SHACLValidator = require("amf-shacl-node")
'use strict';
/* Scala.js runtime support
 * Copyright 2013 LAMP/EPFL
 * Author: Sébastien Doeraene
 */

/* ---------------------------------- *
 * The top-level Scala.js environment *
 * ---------------------------------- */





// Get the environment info
const $env = (typeof __ScalaJSEnv === "object" && __ScalaJSEnv) ? __ScalaJSEnv : {};

// Global scope
const $g =
  (typeof $env["global"] === "object" && $env["global"])
    ? $env["global"]
    : ((typeof global === "object" && global && global["Object"] === Object) ? global : this);
$env["global"] = $g;

// Where to send exports

const $e = exports;





$env["exportsNamespace"] = $e;

// Freeze the environment info
$g["Object"]["freeze"]($env);

// Linking info - must be in sync with scala.scalajs.runtime.LinkingInfo
const $linkingInfo = {
  "envInfo": $env,
  "semantics": {






    "asInstanceOfs": 2,








    "arrayIndexOutOfBounds": 2,








    "moduleInit": 2,





    "strictFloats": false,


    "productionMode": true



  },

  "assumingES6": true,



  "linkerVersion": "0.6.19",
  "globalThis": this
};
$g["Object"]["freeze"]($linkingInfo);
$g["Object"]["freeze"]($linkingInfo["semantics"]);

// Snapshots of builtins and polyfills


const $imul = $g["Math"]["imul"];
const $fround = $g["Math"]["fround"];
const $clz32 = $g["Math"]["clz32"];







































// Other fields




















let $lastIDHash = 0; // last value attributed to an id hash code

const $idHashCodeMap = new $g["WeakMap"]();





// Core mechanism

const $makeIsArrayOfPrimitive = function(primitiveData) {
  return function(obj, depth) {
    return !!(obj && obj.$classData &&
      (obj.$classData.arrayDepth === depth) &&
      (obj.$classData.arrayBase === primitiveData));
  }
};












/** Encode a property name for runtime manipulation
  *  Usage:
  *    env.propertyName({someProp:0})
  *  Returns:
  *    "someProp"
  *  Useful when the property is renamed by a global optimizer (like Closure)
  *  but we must still get hold of a string of that name for runtime
  * reflection.
  */
const $propertyName = function(obj) {
  for (const prop in obj)
    return prop;
};

// Runtime functions

const $isScalaJSObject = function(obj) {
  return !!(obj && obj.$classData);
};
































const $noIsInstance = function(instance) {
  throw new $g["TypeError"](
    "Cannot call isInstance() on a Class representing a raw JS trait/object");
};

const $makeNativeArrayWrapper = function(arrayClassData, nativeArray) {
  return new arrayClassData.constr(nativeArray);
};

const $newArrayObject = function(arrayClassData, lengths) {
  return $newArrayObjectInternal(arrayClassData, lengths, 0);
};

const $newArrayObjectInternal = function(arrayClassData, lengths, lengthIndex) {
  const result = new arrayClassData.constr(lengths[lengthIndex]);

  if (lengthIndex < lengths.length-1) {
    const subArrayClassData = arrayClassData.componentData;
    const subLengthIndex = lengthIndex+1;
    const underlying = result.u;
    for (let i = 0; i < underlying.length; i++) {
      underlying[i] = $newArrayObjectInternal(
        subArrayClassData, lengths, subLengthIndex);
    }
  }

  return result;
};

const $objectToString = function(instance) {
  if (instance === void 0)
    return "undefined";
  else
    return instance.toString();
};

const $objectGetClass = function(instance) {
  switch (typeof instance) {
    case "string":
      return $d_T.getClassOf();
    case "number": {
      const v = instance | 0;
      if (v === instance) { // is the value integral?
        if ($isByte(v))
          return $d_jl_Byte.getClassOf();
        else if ($isShort(v))
          return $d_jl_Short.getClassOf();
        else
          return $d_jl_Integer.getClassOf();
      } else {
        if ($isFloat(instance))
          return $d_jl_Float.getClassOf();
        else
          return $d_jl_Double.getClassOf();
      }
    }
    case "boolean":
      return $d_jl_Boolean.getClassOf();
    case "undefined":
      return $d_sr_BoxedUnit.getClassOf();
    default:
      if (instance === null)
        return instance.getClass__jl_Class();
      else if ($is_sjsr_RuntimeLong(instance))
        return $d_jl_Long.getClassOf();
      else if ($isScalaJSObject(instance))
        return instance.$classData.getClassOf();
      else
        return null; // Exception?
  }
};

const $objectClone = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.clone__O();
  else
    throw new $c_jl_CloneNotSupportedException().init___();
};

const $objectNotify = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notify__V();
};

const $objectNotifyAll = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notifyAll__V();
};

const $objectFinalize = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    instance.finalize__V();
  // else no-op
};

const $objectEquals = function(instance, rhs) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.equals__O__Z(rhs);
  else if (typeof instance === "number")
    return typeof rhs === "number" && $numberEquals(instance, rhs);
  else
    return instance === rhs;
};

const $numberEquals = function(lhs, rhs) {
  return (lhs === rhs) ? (
    // 0.0.equals(-0.0) must be false
    lhs !== 0 || 1/lhs === 1/rhs
  ) : (
    // are they both NaN?
    (lhs !== lhs) && (rhs !== rhs)
  );
};

const $objectHashCode = function(instance) {
  switch (typeof instance) {
    case "string":
      return $m_sjsr_RuntimeString$().hashCode__T__I(instance);
    case "number":
      return $m_sjsr_Bits$().numberHashCode__D__I(instance);
    case "boolean":
      return instance ? 1231 : 1237;
    case "undefined":
      return 0;
    default:
      if ($isScalaJSObject(instance) || instance === null)
        return instance.hashCode__I();




      else
        return $systemIdentityHashCode(instance);
  }
};

const $comparableCompareTo = function(instance, rhs) {
  switch (typeof instance) {
    case "string":



      return instance === rhs ? 0 : (instance < rhs ? -1 : 1);
    case "number":



      return $m_jl_Double$().compare__D__D__I(instance, rhs);
    case "boolean":



      return instance - rhs; // yes, this gives the right result
    default:
      return instance.compareTo__O__I(rhs);
  }
};

const $charSequenceLength = function(instance) {
  if (typeof(instance) === "string")



    return instance["length"] | 0;

  else
    return instance.length__I();
};

const $charSequenceCharAt = function(instance, index) {
  if (typeof(instance) === "string")



    return instance["charCodeAt"](index) & 0xffff;

  else
    return instance.charAt__I__C(index);
};

const $charSequenceSubSequence = function(instance, start, end) {
  if (typeof(instance) === "string")



    return instance["substring"](start, end);

  else
    return instance.subSequence__I__I__jl_CharSequence(start, end);
};

const $booleanBooleanValue = function(instance) {
  if (typeof instance === "boolean") return instance;
  else                               return instance.booleanValue__Z();
};

const $numberByteValue = function(instance) {
  if (typeof instance === "number") return (instance << 24) >> 24;
  else                              return instance.byteValue__B();
};
const $numberShortValue = function(instance) {
  if (typeof instance === "number") return (instance << 16) >> 16;
  else                              return instance.shortValue__S();
};
const $numberIntValue = function(instance) {
  if (typeof instance === "number") return instance | 0;
  else                              return instance.intValue__I();
};
const $numberLongValue = function(instance) {
  if (typeof instance === "number")
    return $m_sjsr_RuntimeLong$().fromDouble__D__sjsr_RuntimeLong(instance);
  else
    return instance.longValue__J();
};
const $numberFloatValue = function(instance) {
  if (typeof instance === "number") return $fround(instance);
  else                              return instance.floatValue__F();
};
const $numberDoubleValue = function(instance) {
  if (typeof instance === "number") return instance;
  else                              return instance.doubleValue__D();
};

const $isNaN = function(instance) {
  return instance !== instance;
};

const $isInfinite = function(instance) {
  return !$g["isFinite"](instance) && !$isNaN(instance);
};

const $doubleToInt = function(x) {
  return (x > 2147483647) ? (2147483647) : ((x < -2147483648) ? -2147483648 : (x | 0));
};

/** Instantiates a JS object with variadic arguments to the constructor. */
const $newJSObjectWithVarargs = function(ctor, args) {
  // This basically emulates the ECMAScript specification for 'new'.
  const instance = $g["Object"]["create"](ctor.prototype);
  const result = ctor["apply"](instance, args);
  switch (typeof result) {
    case "string": case "number": case "boolean": case "undefined": case "symbol":
      return instance;
    default:
      return result === null ? instance : result;
  }
};

const $resolveSuperRef = function(initialProto, propName) {
  const getPrototypeOf = $g["Object"]["getPrototypeOf"];
  const getOwnPropertyDescriptor = $g["Object"]["getOwnPropertyDescriptor"];

  let superProto = getPrototypeOf(initialProto);
  while (superProto !== null) {
    const desc = getOwnPropertyDescriptor(superProto, propName);
    if (desc !== void 0)
      return desc;
    superProto = getPrototypeOf(superProto);
  }

  return void 0;
};

const $superGet = function(initialProto, self, propName) {
  const desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    const getter = desc["get"];
    if (getter !== void 0)
      return getter["call"](self);
    else
      return desc["value"];
  }
  return void 0;
};

const $superSet = function(initialProto, self, propName, value) {
  const desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    const setter = desc["set"];
    if (setter !== void 0) {
      setter["call"](self, value);
      return void 0;
    }
  }
  throw new $g["TypeError"]("super has no setter '" + propName + "'.");
};


const $moduleDefault = function(m) {
  return (m && (typeof m === "object") && "default" in m) ? m["default"] : m;
};


const $propertiesOf = function(obj) {
  const result = [];
  for (const prop in obj)
    result["push"](prop);
  return result;
};

const $systemArraycopy = function(src, srcPos, dest, destPos, length) {
  const srcu = src.u;
  const destu = dest.u;









  if (srcu !== destu || destPos < srcPos || (((srcPos + length) | 0) < destPos)) {
    for (let i = 0; i < length; i = (i + 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  } else {
    for (let i = (length - 1) | 0; i >= 0; i = (i - 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  }
};

const $systemIdentityHashCode =



  (function(obj) {
    switch (typeof obj) {
      case "string": case "number": case "boolean": case "undefined":
        return $objectHashCode(obj);
      default:
        if (obj === null) {
          return 0;
        } else {
          let hash = $idHashCodeMap["get"](obj);
          if (hash === void 0) {
            hash = ($lastIDHash + 1) | 0;
            $lastIDHash = hash;
            $idHashCodeMap["set"](obj, hash);
          }
          return hash;
        }
    }





















  });

// is/as for hijacked boxed classes (the non-trivial ones)

const $isByte = function(v) {
  return typeof v === "number" && (v << 24 >> 24) === v && 1/v !== 1/-0;
};

const $isShort = function(v) {
  return typeof v === "number" && (v << 16 >> 16) === v && 1/v !== 1/-0;
};

const $isInt = function(v) {
  return typeof v === "number" && (v | 0) === v && 1/v !== 1/-0;
};

const $isFloat = function(v) {



  return typeof v === "number";

};




















































// Unboxes




























const $uJ = function(value) {
  return null === value ? $m_sjsr_RuntimeLong$().Zero$1 : value;
};


// TypeArray conversions

const $byteArray2TypedArray = function(value) { return new $g["Int8Array"](value.u); };
const $shortArray2TypedArray = function(value) { return new $g["Int16Array"](value.u); };
const $charArray2TypedArray = function(value) { return new $g["Uint16Array"](value.u); };
const $intArray2TypedArray = function(value) { return new $g["Int32Array"](value.u); };
const $floatArray2TypedArray = function(value) { return new $g["Float32Array"](value.u); };
const $doubleArray2TypedArray = function(value) { return new $g["Float64Array"](value.u); };

const $typedArray2ByteArray = function(value) {
  const arrayClassData = $d_B.getArrayOf();
  return new arrayClassData.constr(new $g["Int8Array"](value));
};
const $typedArray2ShortArray = function(value) {
  const arrayClassData = $d_S.getArrayOf();
  return new arrayClassData.constr(new $g["Int16Array"](value));
};
const $typedArray2CharArray = function(value) {
  const arrayClassData = $d_C.getArrayOf();
  return new arrayClassData.constr(new $g["Uint16Array"](value));
};
const $typedArray2IntArray = function(value) {
  const arrayClassData = $d_I.getArrayOf();
  return new arrayClassData.constr(new $g["Int32Array"](value));
};
const $typedArray2FloatArray = function(value) {
  const arrayClassData = $d_F.getArrayOf();
  return new arrayClassData.constr(new $g["Float32Array"](value));
};
const $typedArray2DoubleArray = function(value) {
  const arrayClassData = $d_D.getArrayOf();
  return new arrayClassData.constr(new $g["Float64Array"](value));
};

// TypeData class





class $TypeData {
constructor() {

  // Runtime support
  this.constr = void 0;
  this.parentData = void 0;
  this.ancestors = null;
  this.componentData = null;
  this.arrayBase = null;
  this.arrayDepth = 0;
  this.zero = null;
  this.arrayEncodedName = "";
  this._classOf = void 0;
  this._arrayOf = void 0;
  this.isArrayOf = void 0;

  // java.lang.Class support
  this["name"] = "";
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = false;
  this["isRawJSType"] = false;
  this["isInstance"] = void 0;
};




initPrim(

    zero, arrayEncodedName, displayName) {
  // Runtime support
  this.ancestors = {};
  this.componentData = null;
  this.zero = zero;
  this.arrayEncodedName = arrayEncodedName;
  this.isArrayOf = function(obj, depth) { return false; };

  // java.lang.Class support
  this["name"] = displayName;
  this["isPrimitive"] = true;
  this["isInstance"] = function(obj) { return false; };

  return this;
};




initClass(

    internalNameObj, isInterface, fullName,
    ancestors, isRawJSType, parentData, isInstance, isArrayOf) {
  const internalName = $propertyName(internalNameObj);

  isInstance = isInstance || function(obj) {
    return !!(obj && obj.$classData && obj.$classData.ancestors[internalName]);
  };

  isArrayOf = isArrayOf || function(obj, depth) {
    return !!(obj && obj.$classData && (obj.$classData.arrayDepth === depth)
      && obj.$classData.arrayBase.ancestors[internalName])
  };

  // Runtime support
  this.parentData = parentData;
  this.ancestors = ancestors;
  this.arrayEncodedName = "L"+fullName+";";
  this.isArrayOf = isArrayOf;

  // java.lang.Class support
  this["name"] = fullName;
  this["isInterface"] = isInterface;
  this["isRawJSType"] = !!isRawJSType;
  this["isInstance"] = isInstance;

  return this;
};




initArray(

    componentData) {
  // The constructor

  const componentZero0 = componentData.zero;

  // The zero for the Long runtime representation
  // is a special case here, since the class has not
  // been defined yet, when this file is read
  const componentZero = (componentZero0 == "longZero")
    ? $m_sjsr_RuntimeLong$().Zero$1
    : componentZero0;






































  class ArrayClass extends $c_O {
    constructor(arg) {
      super();
      if (typeof(arg) === "number") {
        // arg is the length of the array
        this.u = new Array(arg);
        for (let i = 0; i < arg; i++)
          this.u[i] = componentZero;
      } else {
        // arg is a native array that we wrap
        this.u = arg;
      }
    };














    clone__O() {
      if (this.u instanceof Array)
        return new ArrayClass(this.u["slice"](0));
      else
        // The underlying Array is a TypedArray
        return new ArrayClass(new this.u.constructor(this.u));
    };
  };


  ArrayClass.prototype.$classData = this;

  // Don't generate reflective call proxies. The compiler special cases
  // reflective calls to methods on scala.Array

  // The data

  const encodedName = "[" + componentData.arrayEncodedName;
  const componentBase = componentData.arrayBase || componentData;
  const arrayDepth = componentData.arrayDepth + 1;

  const isInstance = function(obj) {
    return componentBase.isArrayOf(obj, arrayDepth);
  }

  // Runtime support
  this.constr = ArrayClass;
  this.parentData = $d_O;
  this.ancestors = {O: 1, jl_Cloneable: 1, Ljava_io_Serializable: 1};
  this.componentData = componentData;
  this.arrayBase = componentBase;
  this.arrayDepth = arrayDepth;
  this.zero = null;
  this.arrayEncodedName = encodedName;
  this._classOf = undefined;
  this._arrayOf = undefined;
  this.isArrayOf = undefined;

  // java.lang.Class support
  this["name"] = encodedName;
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = true;
  this["isInstance"] = isInstance;

  return this;
};




getClassOf() {

  if (!this._classOf)
    this._classOf = new $c_jl_Class().init___jl_ScalaJSClassData(this);
  return this._classOf;
};




getArrayOf() {

  if (!this._arrayOf)
    this._arrayOf = new $TypeData().initArray(this);
  return this._arrayOf;
};

// java.lang.Class support




"getFakeInstance"() {

  if (this === $d_T)
    return "some string";
  else if (this === $d_jl_Boolean)
    return false;
  else if (this === $d_jl_Byte ||
           this === $d_jl_Short ||
           this === $d_jl_Integer ||
           this === $d_jl_Float ||
           this === $d_jl_Double)
    return 0;
  else if (this === $d_jl_Long)
    return $m_sjsr_RuntimeLong$().Zero$1;
  else if (this === $d_sr_BoxedUnit)
    return void 0;
  else
    return {$classData: this};
};




"getSuperclass"() {

  return this.parentData ? this.parentData.getClassOf() : null;
};




"getComponentType"() {

  return this.componentData ? this.componentData.getClassOf() : null;
};




"newArrayOfThisClass"(lengths) {

  let arrayClassData = this;
  for (let i = 0; i < lengths.length; i++)
    arrayClassData = arrayClassData.getArrayOf();
  return $newArrayObject(arrayClassData, lengths);
};

};


// Create primitive types

const $d_V = new $TypeData().initPrim(undefined, "V", "void");
const $d_Z = new $TypeData().initPrim(false, "Z", "boolean");
const $d_C = new $TypeData().initPrim(0, "C", "char");
const $d_B = new $TypeData().initPrim(0, "B", "byte");
const $d_S = new $TypeData().initPrim(0, "S", "short");
const $d_I = new $TypeData().initPrim(0, "I", "int");
const $d_J = new $TypeData().initPrim("longZero", "J", "long");
const $d_F = new $TypeData().initPrim(0.0, "F", "float");
const $d_D = new $TypeData().initPrim(0.0, "D", "double");

// Instance tests for array of primitives

const $isArrayOf_Z = $makeIsArrayOfPrimitive($d_Z);
$d_Z.isArrayOf = $isArrayOf_Z;

const $isArrayOf_C = $makeIsArrayOfPrimitive($d_C);
$d_C.isArrayOf = $isArrayOf_C;

const $isArrayOf_B = $makeIsArrayOfPrimitive($d_B);
$d_B.isArrayOf = $isArrayOf_B;

const $isArrayOf_S = $makeIsArrayOfPrimitive($d_S);
$d_S.isArrayOf = $isArrayOf_S;

const $isArrayOf_I = $makeIsArrayOfPrimitive($d_I);
$d_I.isArrayOf = $isArrayOf_I;

const $isArrayOf_J = $makeIsArrayOfPrimitive($d_J);
$d_J.isArrayOf = $isArrayOf_J;

const $isArrayOf_F = $makeIsArrayOfPrimitive($d_F);
$d_F.isArrayOf = $isArrayOf_F;

const $isArrayOf_D = $makeIsArrayOfPrimitive($d_D);
$d_D.isArrayOf = $isArrayOf_D;












const $i_path = require("path");
const $i_os = require("os");
const $i_http = require("http");
const $i_https = require("https");
const $i_fs = require("fs");
const $is_F0 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.F0)))
});
const $isArrayOf_F0 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.F0)))
});
const $is_F1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.F1)))
});
const $isArrayOf_F1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.F1)))
});
const $f_F2__tupled__F1 = (function($thiz) {
  return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const x1$2 = x0$1.$$und1__O();
        const x2 = x0$1.$$und2__O();
        return $this.apply__O__O__O(x1$2, x2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz))
});
const $is_F2 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.F2)))
});
const $isArrayOf_F2 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.F2)))
});
const $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future = (function($thiz, config) {
  const inputFile = config.input$1.get__O();
  const inputFile$1 = $f_Lamf_client_commands_CommandHelper__ensureUrl__T__T($thiz, inputFile);
  config.inputFormat$1.get__O();
  const jsx$3 = $m_Lamf_core_services_RuntimeCompiler$();
  const jsx$2 = $m_s_Option$();
  const mediaType = config.inputMediaType$1;
  const vendor = config.inputFormat$1;
  const jsx$1 = jsx$2.apply__O__s_Option($f_Lamf_client_commands_CommandHelper__effectiveMediaType__s_Option__s_Option__T($thiz, mediaType, vendor));
  const mediaType$1 = config.inputMediaType$1;
  const vendor$1 = config.inputFormat$1;
  return jsx$3.apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(inputFile$1, jsx$1, $f_Lamf_client_commands_CommandHelper__effectiveVendor__s_Option__s_Option__T($thiz, mediaType$1, vendor$1), $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context($thiz.platform__Lamf_core_remote_Platform()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment()))
});
const $f_Lamf_client_commands_CommandHelper__ensureUrl__T__T = (function($thiz, inputFile) {
  return ((((!(((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("file:".length | 0)) === "file:"))) && (!(((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("http:".length | 0)) === "http:")))) && (!(((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("https:".length | 0)) === "https:")))) ? ((((inputFile.length | 0) >= 0) && (inputFile.substring(0, ("/".length | 0)) === "/")) ? new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["file:/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([inputFile])) : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["file://", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([inputFile]))) : inputFile)
});
const $f_Lamf_client_commands_CommandHelper__processDialects__Lamf_core_client_ParserConfig__s_concurrent_Future = (function($thiz, config) {
  const jsx$2 = config.dialects$1;
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(dialect$2) {
      const dialect = dialect$2;
      return $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.registerDialect__T__Lamf_internal_environment_Environment__s_concurrent_Future(dialect, ($m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$(), $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment()))
    })
  })($thiz));
  const this$2 = $m_sc_Seq$();
  const dialectFutures = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
  const jsx$3 = $m_s_concurrent_Future$();
  const this$3 = $m_sc_Seq$();
  return jsx$3.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(dialectFutures, this$3.ReusableCBFInstance$2, $thiz.executionContext__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
    return (function(x$1$2) {
      return (void 0)
    })
  })($thiz)), $thiz.executionContext__s_concurrent_ExecutionContext())
});
const $f_Lamf_client_commands_CommandHelper__generateOutput__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future = (function($thiz, config, unit) {
  const generateOptions = new $c_Lamf_core_emitter_RenderOptions().init___();
  if (config.withSourceMaps$1) {
    generateOptions.withSourceMaps__Lamf_core_emitter_RenderOptions()
  };
  const mediaType = config.outputMediaType$1;
  const vendor = config.outputFormat$1;
  const mediaType$1 = $f_Lamf_client_commands_CommandHelper__effectiveMediaType__s_Option__s_Option__T($thiz, mediaType, vendor);
  const mediaType$2 = config.outputMediaType$1;
  const vendor$1 = config.outputFormat$1;
  const vendor$2 = $f_Lamf_client_commands_CommandHelper__effectiveVendor__s_Option__s_Option__T($thiz, mediaType$2, vendor$1);
  const x1 = config.output$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const f = x2.value$2;
    return $m_Lamf_core_services_RuntimeSerializer$().dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future($thiz.platform__Lamf_core_remote_Platform(), f, unit, mediaType$1, vendor$2, generateOptions)
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, config$1, unit$1, generateOptions$1, mediaType$3, vendor$3) {
        return (function() {
          config$1.stdout$1.print__T__V($m_Lamf_core_services_RuntimeSerializer$().apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__T(unit$1, mediaType$3, vendor$3, generateOptions$1))
        })
      })($thiz, config, unit, generateOptions, mediaType$1, vendor$2)), $thiz.executionContext__s_concurrent_ExecutionContext())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future = (function($thiz) {
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_OAS20Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_OAS30Plugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_features_validation_AMFValidatorPlugin$());
  $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V($m_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$());
  return $m_Lamf_core_AMF$().init__s_concurrent_Future()
});
const $f_Lamf_client_commands_CommandHelper__effectiveVendor__s_Option__s_Option__T = (function($thiz, mediaType, vendor) {
  if ($is_s_Some(vendor)) {
    const x2 = vendor;
    const effectiveVendor = x2.value$2;
    return effectiveVendor
  } else {
    const x = $m_s_None$();
    if ((x === vendor)) {
      return "Unknown"
    } else {
      throw new $c_s_MatchError().init___O(vendor)
    }
  }
});
const $f_Lamf_client_commands_CommandHelper__effectiveMediaType__s_Option__s_Option__T = (function($thiz, mediaType, vendor) {
  if ($is_s_Some(mediaType)) {
    const x2 = mediaType;
    const effectiveMediaType = x2.value$2;
    return effectiveMediaType
  } else {
    const x = $m_s_None$();
    if ((x === mediaType)) {
      if ($is_s_Some(vendor)) {
        const x2$2 = vendor;
        const effectiveVendor = x2$2.value$2;
        const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
        if (this$1.documentPluginIDRegistry$1.get__O__s_Option(effectiveVendor).isDefined__Z()) {
          const this$2 = $m_Lamf_core_registries_AMFPluginsRegistry$();
          return this$2.documentPluginIDRegistry$1.get__O__s_Option(effectiveVendor).get__O().documentSyntaxes__sc_Seq().head__O()
        }
      };
      return "*/*"
    } else {
      throw new $c_s_MatchError().init___O(mediaType)
    }
  }
});
const $is_Lamf_client_handler_FileHandler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_handler_FileHandler)))
});
const $isArrayOf_Lamf_client_handler_FileHandler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_handler_FileHandler)))
});
const $is_Lamf_client_handler_Handler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_handler_Handler)))
});
const $isArrayOf_Lamf_client_handler_Handler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_handler_Handler)))
});
const $is_Lamf_client_model_AmfObjectWrapper = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_AmfObjectWrapper)))
});
const $isArrayOf_Lamf_client_model_AmfObjectWrapper = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_AmfObjectWrapper)))
});
const $f_Lamf_client_model_ValueField__is__O__Z = (function($thiz, other) {
  const this$1 = $thiz.$$undoption__s_Option();
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    return $m_sr_BoxesRunTime$().equals__O__O__Z(arg1, other)
  } else {
    return false
  }
});
const $f_Lamf_client_model_ValueField__toString__T = (function($thiz) {
  const this$1 = $thiz.$$undoption__s_Option();
  let this$2;
  if (this$1.isEmpty__Z()) {
    this$2 = $m_s_None$()
  } else {
    const arg1 = this$1.get__O();
    this$2 = new $c_s_Some().init___O($objectToString(arg1))
  };
  return (this$2.isEmpty__Z() ? null : this$2.get__O())
});
const $f_Lamf_client_model_ValueField__is__F1__Z = (function($thiz, accepts) {
  const this$1 = $thiz.$$undoption__s_Option();
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    return (!(!accepts.apply__O__O(arg1)))
  } else {
    return false
  }
});
const $f_Lamf_client_model_domain_Linkable__isLink__Z = (function($thiz) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  return $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()
});
const $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const from = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement = (function($thiz, label) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, label);
  return $thiz
});
const $f_Lamf_client_model_domain_Linkable__link__s_Option__O = (function($thiz, label) {
  const this$1 = $thiz.linkCopy__Lamf_client_model_domain_Linkable();
  const target = $thiz;
  const copy = $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this$1, target);
  if ((!label.isEmpty__Z())) {
    const arg1 = label.get__O();
    const label$2 = arg1;
    $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(copy, label$2)
  };
  return copy
});
const $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement = (function($thiz, target) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const target$1 = target.$$undinternal__Lamf_core_model_domain_DomainElement();
  $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$1, target$1);
  return $thiz
});
const $is_Lamf_client_model_domain_Linkable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Linkable)))
});
const $isArrayOf_Lamf_client_model_domain_Linkable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Linkable)))
});
const $is_Lamf_client_resource_ResourceLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_resource_ResourceLoader)))
});
const $isArrayOf_Lamf_client_resource_ResourceLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_resource_ResourceLoader)))
});
const $is_Lamf_core_emitter_Emitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_Emitter)))
});
const $isArrayOf_Lamf_core_emitter_Emitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_Emitter)))
});
const $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj = (function($thiz, instance) {
  if ($is_Lamf_core_model_document_BaseUnit(instance)) {
    const x2 = instance;
    return x2.meta__Lamf_core_metamodel_Obj()
  } else if ($is_Lamf_core_model_domain_DomainElement(instance)) {
    const x3 = instance;
    return x3.meta__Lamf_core_metamodel_Obj()
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Missing metadata mapping for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([instance]))))
  }
});
const $is_Lamf_core_metamodel_ModelDefaultBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_ModelDefaultBuilder)))
});
const $isArrayOf_Lamf_core_metamodel_ModelDefaultBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_ModelDefaultBuilder)))
});
const $is_Lamf_core_metamodel_Type = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type)))
});
const $isArrayOf_Lamf_core_metamodel_Type = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type)))
});
const $f_Lamf_core_model_ValueField__is__O__Z = (function($thiz, other) {
  const this$1 = $thiz.option__s_Option();
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    return $m_sr_BoxesRunTime$().equals__O__O__Z(arg1, other)
  } else {
    return false
  }
});
const $f_Lamf_core_model_ValueField__toString__T = (function($thiz) {
  const this$1 = $thiz.option__s_Option();
  let this$2;
  if (this$1.isEmpty__Z()) {
    this$2 = $m_s_None$()
  } else {
    const arg1 = this$1.get__O();
    this$2 = new $c_s_Some().init___O($objectToString(arg1))
  };
  return (this$2.isEmpty__Z() ? null : this$2.get__O())
});
const $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement = (function($thiz, annotation) {
  $thiz.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(annotation);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement = (function($thiz, other) {
  $thiz.annotations__Lamf_core_parser_Annotations().$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(other);
  return $thiz
});
const $is_Lamf_core_model_domain_AmfElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfElement)))
});
const $isArrayOf_Lamf_core_model_domain_AmfElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfElement)))
});
const $is_Lamf_core_model_domain_Annotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Annotation)))
});
const $isArrayOf_Lamf_core_model_domain_Annotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Annotation)))
});
const $is_Lamf_core_model_domain_AnnotationGraphLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AnnotationGraphLoader)))
});
const $isArrayOf_Lamf_core_model_domain_AnnotationGraphLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AnnotationGraphLoader)))
});
const $is_Lamf_core_model_domain_NamedDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_NamedDomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_NamedDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_NamedDomainElement)))
});
const $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V = (function($thiz, name, value) {
  const this$1 = $thiz.promises$1;
  const x1 = this$1.get__O__s_Option(name);
  let jsx$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    jsx$1 = v
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  jsx$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, value$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      x$1.resolve__Lamf_core_model_domain_Linkable__V(value$1)
    })
  })($thiz, value)));
  $thiz.promises$1 = $thiz.promises$1.updated__O__O__sci_Map(name, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
});
const $f_Lamf_core_parser_FutureDeclarations__$$init$__V = (function($thiz) {
  $thiz.promises$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())
});
const $f_Lamf_core_parser_FutureDeclarations__resolve__V = (function($thiz) {
  const this$1 = $thiz.promises$1;
  const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
  $m_sc_Iterable$();
  $m_sci_Iterable$();
  const b = new $c_scm_ListBuffer().init___();
  const this$5 = this$2.$$outer$3.valuesIterator__sc_Iterator();
  while (this$5.hasNext__Z()) {
    const arg1 = this$5.next__O();
    const xs = arg1.seq__sc_TraversableOnce();
    b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
  };
  const this$6 = b.toList__sci_List();
  $m_sci_List$();
  const b$1 = new $c_scm_ListBuffer().init___();
  let these = this$6;
  while ((!these.isEmpty__Z())) {
    const arg1$1 = these.head__O();
    const x$2 = arg1$1;
    if (((!x$2.resolved$1) !== false)) {
      b$1.$$plus$eq__O__scm_ListBuffer(arg1$1)
    };
    these = these.tail__O()
  };
  const this$8 = b$1.toList__sci_List();
  let these$1 = this$8;
  while ((!these$1.isEmpty__Z())) {
    const arg1$2 = these$1.head__O();
    const x$3 = arg1$2;
    x$3.fail__V();
    these$1 = these$1.tail__O()
  }
});
const $f_Lamf_core_parser_FutureDeclarations__futureRef__T__T__Lamf_core_parser_DeclarationPromise__V = (function($thiz, id, name, promise) {
  const this$1 = $thiz.promises$1;
  const x1 = this$1.get__O__s_Option(name);
  let otherPromises;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    otherPromises = v
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    otherPromises = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  const jsx$2 = $thiz.promises$1;
  const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([promise]));
  const this$2 = $m_sc_Seq$();
  $thiz.promises$1 = jsx$2.updated__O__O__sci_Map(name, otherPromises.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
});
const $is_Lamf_core_parser_ReferenceKind = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ReferenceKind)))
});
const $isArrayOf_Lamf_core_parser_ReferenceKind = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ReferenceKind)))
});
const $is_Lamf_core_parser_SearchScope$Scope = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_SearchScope$Scope)))
});
const $isArrayOf_Lamf_core_parser_SearchScope$Scope = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_SearchScope$Scope)))
});
const $is_Lamf_core_parser_TypedNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_TypedNode)))
});
const $isArrayOf_Lamf_core_parser_TypedNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_TypedNode)))
});
const $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement = (function($thiz, c) {
  $thiz.ctx$3 = new $c_s_Some().init___O(c);
  return $thiz
});
const $is_Lamf_core_plugins_AMFPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFPlugin)))
});
const $is_Lamf_core_registries_AMFDomainEntityResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_registries_AMFDomainEntityResolver)))
});
const $isArrayOf_Lamf_core_registries_AMFDomainEntityResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_registries_AMFDomainEntityResolver)))
});
const $f_Lamf_core_remote_FileMediaType__extension__T__s_Option = (function($thiz, path) {
  const this$3 = new $c_s_Some().init___O((path.lastIndexOf(".") | 0));
  const arg1 = this$3.value$2;
  const x$1 = (arg1 | 0);
  let this$4;
  if ((x$1 > 0)) {
    this$4 = this$3
  } else {
    this$4 = $m_s_None$()
  };
  if (this$4.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1$1 = this$4.get__O();
    const dot = (arg1$1 | 0);
    const beginIndex = ((1 + dot) | 0);
    return new $c_s_Some().init___O(path.substring(beginIndex))
  }
});
const $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option = (function($thiz, extension) {
  return ((extension === "json") ? new $c_s_Some().init___O($m_Lamf_core_remote_Mimes$().APPLICATION$divJSON$1) : (((extension === "yaml") || ((extension === "yam") || (extension === "yml"))) ? new $c_s_Some().init___O($m_Lamf_core_remote_Mimes$().APPLICATION$divYAML$1) : ((extension === "raml") ? new $c_s_Some().init___O($m_Lamf_core_remote_Mimes$().APPLICATION$divRAML$plusYAML$1) : ((extension === "openapi") ? new $c_s_Some().init___O($m_Lamf_core_remote_Mimes$().APPLICATION$divOPENAPI$plusJSON$1) : (((extension === "jsonld") || (extension === "amf")) ? new $c_s_Some().init___O($m_Lamf_core_remote_Mimes$().APPLICATION$divLD$plusJSONLD$1) : $m_s_None$())))))
});
const $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z = (function($thiz, vendor) {
  return ((vendor !== null) && (vendor === $thiz))
});
const $is_Lamf_core_remote_Vendor = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Vendor)))
});
const $isArrayOf_Lamf_core_remote_Vendor = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Vendor)))
});
const $is_Lamf_core_services_RuntimeCompiler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_services_RuntimeCompiler)))
});
const $isArrayOf_Lamf_core_services_RuntimeCompiler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_services_RuntimeCompiler)))
});
const $is_Lamf_core_services_RuntimeSerializer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_services_RuntimeSerializer)))
});
const $isArrayOf_Lamf_core_services_RuntimeSerializer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_services_RuntimeSerializer)))
});
const $is_Lamf_core_services_RuntimeValidator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_services_RuntimeValidator)))
});
const $isArrayOf_Lamf_core_services_RuntimeValidator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_services_RuntimeValidator)))
});
const $f_Lamf_core_validation_ValidationResultProcessor__buildValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option = (function($thiz, model, result, messageStyle, validations) {
  const thiz = result.sourceShape__T();
  const prefix = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
  let validationSpecToLook;
  if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
    const thiz$1 = result.sourceShape__T();
    const target = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
    validationSpecToLook = thiz$1.split(target).join("")
  } else {
    validationSpecToLook = result.sourceShape__T()
  };
  const idMapping = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  const x1 = validations.all$1.get__O__s_Option(validationSpecToLook);
  let maybeTargetSpec;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const validationSpec = x2.value$2;
    idMapping.put__O__O__s_Option(result.sourceShape__T(), validationSpecToLook);
    maybeTargetSpec = new $c_s_Some().init___O(validationSpec)
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$8 = validations.all$1;
    const this$9 = this$8.iterator__sc_Iterator();
    let x1$2;
    inlinereturn$13: {
      while (this$9.hasNext__Z()) {
        const a = this$9.next__O();
        const x0$1 = a;
        if ((x0$1 === null)) {
          throw new $c_s_MatchError().init___O(x0$1)
        };
        const v = x0$1.$$und1__O();
        if ((((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, (v.length | 0)) === v))) {
          x1$2 = new $c_s_Some().init___O(a);
          break inlinereturn$13
        }
      };
      x1$2 = $m_s_None$()
    };
    matchEnd6: {
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const p3 = x2$2.value$2;
        if ((p3 !== null)) {
          const v$1 = p3.$$und1__O();
          const spec = p3.$$und2__O();
          idMapping.put__O__O__s_Option(result.sourceShape__T(), v$1);
          maybeTargetSpec = new $c_s_Some().init___O(spec);
          break matchEnd6
        }
      };
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2)) {
        if ((!(((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, ("_:".length | 0)) === "_:")))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find validation spec for validation error:\\n ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result]))))
        };
        maybeTargetSpec = $m_s_None$();
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1$2)
    }
  };
  if ($is_s_Some(maybeTargetSpec)) {
    const x2$3 = maybeTargetSpec;
    const targetSpec = x2$3.value$2;
    let message;
    if ((($m_Lamf_ProfileNames$().RAML$1 === messageStyle) || ($m_Lamf_ProfileNames$().RAML08$1 === messageStyle))) {
      const this$20 = targetSpec.ramlMessage$1;
      message = (this$20.isEmpty__Z() ? targetSpec.message$1 : this$20.get__O())
    } else if (($m_Lamf_ProfileNames$().OAS$1 === messageStyle)) {
      const this$21 = targetSpec.ramlMessage$1;
      message = (this$21.isEmpty__Z() ? targetSpec.message$1 : this$21.get__O())
    } else {
      const this$22 = $m_s_Option$().apply__O__s_Option(targetSpec.message$1);
      if (this$22.isEmpty__Z()) {
        const this$23 = result.message__s_Option();
        message = (this$23.isEmpty__Z() ? "" : this$23.get__O())
      } else {
        message = this$22.get__O()
      }
    };
    if (($m_s_Option$().apply__O__s_Option(message).isEmpty__Z() || (message === ""))) {
      const this$24 = result.message__s_Option();
      message = (this$24.isEmpty__Z() ? "Constraint violation" : this$24.get__O())
    };
    let jsx$1;
    if (targetSpec.isParserSide__Z()) {
      const this$25 = result.message__s_Option();
      jsx$1 = this$25.isDefined__Z()
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      message = result.message__s_Option().get__O()
    };
    const thiz$2 = idMapping.apply__O__O(result.sourceShape__T());
    const x1$5 = (((thiz$2.length | 0) >= 0) && (thiz$2.substring(0, ("http".length | 0)) === "http"));
    let finalId;
    if ((x1$5 === true)) {
      finalId = idMapping.apply__O__O(result.sourceShape__T())
    } else {
      if ((x1$5 !== false)) {
        throw new $c_s_MatchError().init___O(x1$5)
      };
      finalId = (("" + $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1) + idMapping.apply__O__O(result.sourceShape__T()))
    };
    const id = idMapping.apply__O__O(result.sourceShape__T());
    const severity = $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T($thiz, id, validations);
    const validation = $m_Lamf_core_validation_AMFValidationResult$().fromSHACLValidation__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_AMFValidationResult(model, message, severity, result);
    const message$1 = validation.message$1;
    const level = validation.level$1;
    const targetNode = validation.targetNode$1;
    const targetProperty = validation.targetProperty$1;
    const position = validation.position$1;
    const source = validation.source$1;
    return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message$1, level, targetNode, targetProperty, finalId, position, source))
  } else {
    return $m_s_None$()
  }
});
const $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T = (function($thiz, id, validations) {
  return (validations.info$1.get__O__s_Option(id).isDefined__Z() ? $m_Lamf_core_validation_SeverityLevels$().INFO$1 : (validations.warning$1.get__O__s_Option(id).isDefined__Z() ? $m_Lamf_core_validation_SeverityLevels$().WARNING$1 : $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1))
});
const $f_Lamf_core_validation_ValidationResultProcessor__processAggregatedResult__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_AMFValidationResult = (function($thiz, result, messageStyle, validations) {
  const x1 = validations.all$1.get__O__s_Option(result.validationId$1);
  if ((!$is_s_Some(x1))) {
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find spec for aggregated validation result ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.validationId$1]))))
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  const x2 = x1;
  const s = x2.value$2;
  let message;
  if ((($m_Lamf_ProfileNames$().RAML$1 === messageStyle) || ($m_Lamf_ProfileNames$().RAML08$1 === messageStyle))) {
    const this$1 = s.ramlMessage$1;
    message = (this$1.isEmpty__Z() ? result.message$1 : this$1.get__O())
  } else if (($m_Lamf_ProfileNames$().OAS$1 === messageStyle)) {
    const this$2 = s.oasMessage$1;
    message = (this$2.isEmpty__Z() ? result.message$1 : this$2.get__O())
  } else {
    message = s.message$1
  };
  if ((message === "")) {
    message = "Constraint violation"
  };
  if ((s.isParserSide__Z() && $m_s_Option$().apply__O__s_Option(result.message$1).isDefined__Z())) {
    message = result.message$1
  };
  const id = s.id__T();
  const severity = $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T($thiz, id, validations);
  return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, severity, result.targetNode$1, result.targetProperty$1, s.id__T(), result.position$1, result.source$1)
});
const $is_Lamf_core_validation_core_ValidationReport = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationReport)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationReport = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationReport)))
});
const $is_Lamf_core_validation_core_ValidationResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationResult)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationResult)))
});
const $is_Lamf_internal_resource_ResourceLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_internal_resource_ResourceLoader)))
});
const $isArrayOf_Lamf_internal_resource_ResourceLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_internal_resource_ResourceLoader)))
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option = (function($thiz, map, ctx) {
  const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@id");
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const entry = x2.value$2;
    return new $c_s_Some().init___O(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
  } else {
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["No @id declaration on node ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map]));
    $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(ctx, message, map);
    return $m_s_None$()
  }
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__ts__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__T__sc_Seq = (function($thiz, map, ctx, id) {
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const documentType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Document").iri__T();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const fragmentType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Fragment").iri__T();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const moduleType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Module").iri__T();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const unitType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Unit").iri__T();
  const array = [documentType, fragmentType, moduleType, unitType];
  let documentTypesSet;
  if (((array.length | 0) === 0)) {
    documentTypesSet = $m_sci_Set$EmptySet$()
  } else {
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      b.$$plus$eq__O__scm_SetBuilder(arg1);
      i = ((1 + i) | 0)
    };
    documentTypesSet = b.elems$1
  };
  const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@type");
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const entry = x2.value$2;
    const node = entry.value$1;
    const this$12 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$SeqNodeYRead$());
    const jsx$2 = (this$12.isEmpty__Z() ? $m_sci_Nil$() : this$12.get__O());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(v$2) {
        const v = v$2;
        const this$14 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(v).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        let xo;
        if (this$14.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1$1 = this$14.get__O();
          const x$2 = arg1$1;
          xo = new $c_s_Some().init___O(x$2.text$3)
        };
        return xo.toList__sci_List()
      })
    })($thiz));
    const this$16 = $m_sc_Seq$();
    const allTypes = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$16.ReusableCBFInstance$2);
    const nonDocumentTypes = allTypes.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, documentTypesSet$1) {
      return (function(t$2) {
        const t = t$2;
        return (!documentTypesSet$1.contains__O__Z(t))
      })
    })($thiz, documentTypesSet)));
    const documentTypes = allTypes.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, documentTypesSet$2) {
      return (function(t$3$2) {
        const t$3 = t$3$2;
        return documentTypesSet$2.contains__O__Z(t$3)
      })
    })($thiz, documentTypesSet))).sorted__s_math_Ordering__O($m_s_math_Ordering$String$());
    const this$17 = $m_sc_Seq$();
    return nonDocumentTypes.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(documentTypes, this$17.ReusableCBFInstance$2)
  } else {
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["No @type declaration on node ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([map]));
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx, id, message, map);
    return $m_sci_Nil$()
  }
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__parseSourceNode__pLamf_plugins_document_graph_parser_GraphParserHelpers__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap = (function($thiz, map) {
  const result = $m_Lamf_core_model_document_SourceMap$().apply__Lamf_core_model_document_SourceMap();
  map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(entry$2) {
      const entry = entry$2;
      const node = entry.key$1;
      const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
      let this$3;
      if (this$2.isEmpty__Z()) {
        this$3 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const x$1 = arg1;
        this$3 = new $c_s_Some().init___O(x$1.text$3)
      };
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const x0$1 = arg1$1;
        matchEnd4: {
          const o7 = $this.AnnotationName__Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$().unapply__T__s_Option(x0$1);
          if ((!o7.isEmpty__Z())) {
            const annotation = o7.get__O();
            const consumer = result$1.annotation__T__F2(annotation);
            entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, consumer$1) {
              return (function(e$2) {
                const e = e$2;
                const element = e.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
                const k = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(element).key__T__s_Option($m_Lamf_core_metamodel_document_SourceMapModel$().Element$1.value$1.iri__T()).get__O();
                const v = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(element).key__T__s_Option($m_Lamf_core_metamodel_document_SourceMapModel$().Value$1.value$1.iri__T()).get__O();
                const t = $m_Lamf_core_metamodel_document_SourceMapModel$().Element$1.type$1;
                const node$1 = k.value$1;
                const jsx$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this$1, t, node$1).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
                const t$1 = $m_Lamf_core_metamodel_document_SourceMapModel$().Value$1.type$1;
                const node$2 = v.value$1;
                consumer$1.apply__O__O__O(jsx$1, $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this$1, t$1, node$2).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
              })
            })($this, consumer)));
            break matchEnd4
          }
        }
      }
    })
  })($thiz, result)));
  return result
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap = (function($thiz, id, map) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1.value$1.iri__T());
  let this$5;
  if (this$2.isEmpty__Z()) {
    this$5 = $m_s_None$()
  } else {
    const arg1 = this$2.get__O();
    const entry = arg1;
    const t = $m_Lamf_core_metamodel_document_SourceMapModel$();
    const node = entry.value$1;
    const node$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($thiz, t, node);
    const this$4 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if (this$4.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1$1 = this$4.get__O();
      const map$1 = arg1$1;
      this$5 = new $c_s_Some().init___O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__parseSourceNode__pLamf_plugins_document_graph_parser_GraphParserHelpers__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap($thiz, map$1))
    }
  };
  return (this$5.isEmpty__Z() ? $m_Lamf_core_model_document_SourceMap$().empty$1 : this$5.get__O())
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode = (function($thiz, t, node) {
  const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
  const x = $m_Lorg_yaml_model_YType$().Seq$1;
  if ((x === x1)) {
    if ($is_Lamf_core_metamodel_Type$Array(t)) {
      return node
    } else {
      const node$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).head__O();
      return $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($thiz, t, node$1)
    }
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x$3 === x1)) {
      const m = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      const x$5 = $m_Lamf_core_metamodel_Type$Iri$();
      if (x$5.equals__O__Z(t)) {
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("@id").get__O().value$1
      } else {
        const x$7 = $m_Lamf_core_metamodel_Type$Str$();
        let jsx$1;
        if (x$7.equals__O__Z(t)) {
          jsx$1 = true
        } else {
          const x$9 = $m_Lamf_core_metamodel_Type$RegExp$();
          if (x$9.equals__O__Z(t)) {
            jsx$1 = true
          } else {
            const x$11 = $m_Lamf_core_metamodel_Type$Bool$();
            if (x$11.equals__O__Z(t)) {
              jsx$1 = true
            } else {
              const x$13 = $m_Lamf_core_metamodel_Type$Int$();
              if (x$13.equals__O__Z(t)) {
                jsx$1 = true
              } else {
                const x$15 = $m_Lamf_core_metamodel_Type$Any$();
                jsx$1 = (x$15 === t)
              }
            }
          }
        };
        if (jsx$1) {
          return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("@value").get__O().value$1
        } else {
          return node
        }
      }
    } else {
      return node
    }
  }
});
const $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations = (function($thiz, nodes, sources, key) {
  const result = new $c_Lamf_core_parser_Annotations().init___();
  const this$2 = sources.annotations$1;
  if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
    const this$3 = sources.annotations$1;
    const this$4 = this$3.elems$5;
    const this$5 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$4);
    while (this$5.hasNext__Z()) {
      const arg1 = this$5.next__O();
      const x0$2 = arg1;
      matchEnd4$2: {
        if ((x0$2 !== null)) {
          const annotation = x0$2.$$und1__O();
          const values = x0$2.$$und2__O();
          if ((values !== null)) {
            const o7 = $m_Lamf_core_model_domain_Annotation$().unapply__T__s_Option(annotation);
            if ((!o7.isEmpty__Z())) {
              const deserialize = o7.get__O();
              if ($f_sc_MapLike__contains__O__Z(values, key)) {
                result.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(deserialize.apply__O__O__O($f_sc_MapLike__apply__O__O(values, key), nodes));
                break matchEnd4$2
              }
            };
            break matchEnd4$2
          }
        };
        throw new $c_s_MatchError().init___O(x0$2)
      }
    }
  };
  return result
});
const $f_Lamf_plugins_document_graph_parser_ScalarEmitter__raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V = (function($thiz, b, content, tag) {
  $m_Lorg_yaml_model_YNode$();
  const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(content);
  $m_Lorg_yaml_model_YNode$();
  const t = tag.org$yaml$model$YType$$tag$und$1;
  $m_Lorg_yaml_model_YNode$();
  const a = $m_s_None$();
  $m_Lorg_yaml_model_YNode$();
  const cs = null;
  const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
  b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
});
const $f_Lamf_plugins_document_graph_parser_ScalarEmitter__emit$1__pLamf_plugins_document_graph_parser_ScalarEmitter__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V = (function($thiz, b, content$1, tag$1) {
  const tg = $f_Lamf_plugins_document_graph_parser_ScalarEmitter__fixTagIfNeeded__Lorg_yaml_model_YType__T__Lorg_yaml_model_YType($thiz, tag$1, content$1);
  const jsx$2 = b.builder$1;
  const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
  $m_Lorg_yaml_model_YNode$();
  const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
  const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
  $f_Lamf_plugins_document_graph_parser_ScalarEmitter__raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V($thiz, v, content$1, tg);
  const this$3 = v.builder$1;
  const array = [key];
  if ((this$3.size0$6 < 0)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T("0")
  };
  const len = (array.length | 0);
  const newSize = ((this$3.size0$6 + len) | 0);
  $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
  const len$1 = this$3.size0$6;
  const src = this$3.array$6;
  const dest = this$3.array$6;
  $systemArraycopy(src, 0, dest, len, len$1);
  const xs = this$3.array$6;
  const len$2 = xs.u.length;
  let i = 0;
  let j = 0;
  const x = (array.length | 0);
  const x$1 = ((x < len$2) ? x : len$2);
  const that = xs.u.length;
  const end = ((x$1 < that) ? x$1 : that);
  while ((i < end)) {
    const jsx$1 = j;
    const index = i;
    xs.u[jsx$1] = array[index];
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  };
  this$3.size0$6 = newSize;
  b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
  $m_Lorg_yaml_model_YNode$();
  $m_Lorg_yaml_model_YMap$();
  const c = b$1.builder$1;
  const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
  const tt = $m_Lorg_yaml_model_YType$().Map$1;
  $m_Lorg_yaml_model_YNode$();
  const t = tt.org$yaml$model$YType$$tag$und$1;
  $m_Lorg_yaml_model_YNode$();
  const a = $m_s_None$();
  $m_Lorg_yaml_model_YNode$();
  const cs = null;
  jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
});
const $f_Lamf_plugins_document_graph_parser_ScalarEmitter__fixTagIfNeeded__Lorg_yaml_model_YType__T__Lorg_yaml_model_YType = (function($thiz, tag, content) {
  const x = $m_Lorg_yaml_model_YType$().Bool$1;
  let tg;
  if ((x === tag)) {
    tg = (((content !== "true") && (content !== "false")) ? $m_Lorg_yaml_model_YType$().Str$1 : tag)
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Int$1;
    if ((x$3 === tag)) {
      try {
        const this$2 = new $c_sci_StringOps().init___T(content);
        const this$4 = $m_jl_Integer$();
        const $$this = this$2.repr$1;
        this$4.parseInt__T__I__I($$this, 10);
        tg = tag
      } catch (e) {
        if ($is_jl_NumberFormatException(e)) {
          tg = $m_Lorg_yaml_model_YType$().Str$1
        } else {
          throw e
        }
      }
    } else {
      const x$5 = $m_Lorg_yaml_model_YType$().Float$1;
      if ((x$5 === tag)) {
        try {
          const this$6 = new $c_sci_StringOps().init___T(content);
          const jsx$1 = $m_jl_Double$();
          const $$this$1 = this$6.repr$1;
          jsx$1.parseDouble__T__D($$this$1);
          tg = tag
        } catch (e$2) {
          if ($is_jl_NumberFormatException(e$2)) {
            tg = $m_Lorg_yaml_model_YType$().Str$1
          } else {
            throw e$2
          }
        }
      } else {
        tg = tag
      }
    }
  };
  return tg
});
const $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V = (function($thiz, b, content, tag, inArray) {
  if (inArray) {
    $f_Lamf_plugins_document_graph_parser_ScalarEmitter__emit$1__pLamf_plugins_document_graph_parser_ScalarEmitter__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V($thiz, b, content, tag)
  } else {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $f_Lamf_plugins_document_graph_parser_ScalarEmitter__emit$1__pLamf_plugins_document_graph_parser_ScalarEmitter__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V($thiz, b$1, content, tag);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
  }
});
const $is_Lamf_plugins_document_graph_parser_ScalarEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_graph_parser_ScalarEmitter)))
});
const $isArrayOf_Lamf_plugins_document_graph_parser_ScalarEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_graph_parser_ScalarEmitter)))
});
const $f_Lamf_plugins_document_vocabularies_JsonHeaderExtractor__dialect__Lamf_core_Root__s_Option = (function($thiz, root) {
  const jsx$2 = root.parsed$1.document$1.children$3;
  const jsx$1 = new $c_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1().init___Lamf_plugins_document_vocabularies_JsonHeaderExtractor($thiz);
  const this$1 = $m_sc_IndexedSeq$();
  const parsed = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6);
  const pf = new $c_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1().init___Lamf_plugins_document_vocabularies_JsonHeaderExtractor($thiz);
  return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parsed, pf)
});
const $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__nodeMappingDeclarationEmitters__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__sc_Seq = (function($thiz, dialect, ordering, aliases) {
  const jsx$2 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1);
  const jsx$1 = new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5().init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters($thiz);
  const this$1 = $m_sc_Seq$();
  const nodeMappingDeclarations = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  return (nodeMappingDeclarations.nonEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6().init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__sc_Seq($thiz, dialect, ordering, aliases, nodeMappingDeclarations)])) : $m_sci_Nil$())
});
const $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__externalEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq = (function($thiz, ordering) {
  const this$1 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  if (this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1).nonEmpty__Z()) {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5().init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__Lamf_core_emitter_SpecOrdering($thiz, ordering)]))
  } else {
    return $m_sci_Nil$()
  }
});
const $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__rootLevelEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq = (function($thiz, ordering) {
  const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map($thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect(), ordering, $thiz.aliases__sci_Map())]));
  const dialect = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  const aliases = $thiz.aliases__sci_Map();
  const jsx$3 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__nodeMappingDeclarationEmitters__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__sc_Seq($thiz, dialect, ordering, aliases);
  const this$1 = $m_sc_Seq$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
  const jsx$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__externalEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq($thiz, ordering);
  const this$2 = $m_sc_Seq$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
});
const $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__collectAliases__sci_Map = (function($thiz) {
  const this$1 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  const thiz = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
  const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "/", 0);
  const this$4 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
  const vocabFile = $f_sc_IndexedSeqOptimized__last__O(this$4);
  const this$5 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  const thiz$1 = this$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
  const vocabFilePrefix = thiz$1.split(vocabFile).join("");
  const this$8 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect().annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
  let this$12;
  if (this$8.isEmpty__Z()) {
    this$12 = $m_s_None$()
  } else {
    const arg1 = this$8.get__O();
    const aliases = arg1;
    const this$11 = aliases.aliases$1;
    const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$4$2, x1$1$2) {
        const x0$4 = x0$4$2;
        const x1$1 = x1$1$2;
        const x1 = new $c_T2().init___O__O(x0$4, x1$1);
        const acc = x1.$$und1$f;
        const p2 = x1.$$und2$f;
        if ((p2 !== null)) {
          const alias = p2.$$und1__O();
          const p3 = p2.$$und2__O();
          if ((p3 !== null)) {
            const id = p3.$$und1__O();
            return acc.$$plus__T2__sci_Map(new $c_T2().init___O__O(id, alias))
          }
        };
        throw new $c_s_MatchError().init___O(x1)
      })
    })($thiz));
    this$12 = new $c_s_Some().init___O($f_sc_TraversableOnce__foldLeft__O__F2__O(this$11, z, op))
  };
  const maps = (this$12.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$12.get__O());
  const idCounter = new $c_Lamf_plugins_document_vocabularies_emitters_common_IdCounter().init___();
  const this$13 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  const dialectReferences = this$13.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1).foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1, vocabFilePrefix$1, maps$1, idCounter$1) {
    return (function(x0$5$2, x1$2$2) {
      const x0$5 = x0$5$2;
      const x1$2 = x1$2$2;
      const x1$3 = new $c_T2().init___O__O(x0$5, x1$2);
      const acc$1 = x1$3.$$und1$f;
      const m = x1$3.$$und2$f;
      if ((acc$1 !== null)) {
        if ($is_Lamf_core_model_document_DeclaresModel(m)) {
          const thiz$2 = m.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
          let importLocation;
          if (((thiz$2.indexOf(vocabFilePrefix$1) | 0) !== (-1))) {
            const thiz$3 = m.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
            importLocation = thiz$3.split(vocabFilePrefix$1).join("")
          } else {
            const thiz$4 = m.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
            importLocation = thiz$4.split("file://").join("")
          };
          if (maps$1.get__O__s_Option(m.id__T()).isDefined__Z()) {
            const alias$1 = maps$1.apply__O__O(m.id__T());
            const self = m.id__T();
            const y = new $c_T2().init___O__O(alias$1, importLocation);
            return acc$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, y))
          } else {
            const nextAlias = idCounter$1.genId__T__T("uses_");
            const self$1 = m.id__T();
            const y$1 = new $c_T2().init___O__O(nextAlias, importLocation);
            return acc$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, y$1))
          }
        }
      };
      const acc$2 = x1$3.$$und1$f;
      if ((acc$2 !== null)) {
        return acc$2
      };
      throw new $c_s_MatchError().init___O(x1$3)
    })
  })($thiz, vocabFilePrefix, maps, idCounter)));
  const this$25 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  return this$25.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1).foldLeft__O__F2__O(dialectReferences, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$4$1) {
    return (function(x0$6$2, x1$3$2) {
      const x0$6 = x0$6$2;
      const x1$3$1 = x1$3$2;
      const x1$4 = new $c_T2().init___O__O(x0$6, x1$3$1);
      const acc$3 = x1$4.$$und1$f;
      const e = x1$4.$$und2$f;
      if ((acc$3 !== null)) {
        if ((e !== null)) {
          const this$26 = e.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
          const this$27 = this$26.option$1;
          const self$2 = (this$27.isEmpty__Z() ? null : this$27.get__O());
          const this$29 = e.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
          const this$30 = this$29.option$1;
          const y$2 = new $c_T2().init___O__O((this$30.isEmpty__Z() ? null : this$30.get__O()), "");
          return acc$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$2, y$2))
        }
      };
      throw new $c_s_MatchError().init___O(x1$4)
    })
  })($thiz)))
});
const $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position = (function($thiz, element, field) {
  const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
  let this$4;
  if (this$1.isEmpty__Z()) {
    this$4 = $m_s_None$()
  } else {
    const arg1 = this$1.get__O();
    const x$3 = arg1;
    const this$2 = x$3.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      const x$4 = arg1$1;
      this$3 = new $c_s_Some().init___O(x$4.range__Lamf_core_parser_Range().start$1)
    };
    this$4 = new $c_s_Some().init___O((this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O()))
  };
  return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
});
const $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__maybeFindNodeMappingById__T__s_Option = (function($thiz, nodeMappingId) {
  const this$1 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
  const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, nodeMappingId$1) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$1)) {
        const x2 = x0$1;
        return (x2.id$1 === nodeMappingId$1)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz, nodeMappingId)));
  let this$3;
  if (this$2.isEmpty__Z()) {
    this$3 = $m_s_None$()
  } else {
    const arg1 = this$2.get__O();
    const nodeMapping = arg1;
    this$3 = new $c_s_Some().init___O(new $c_T2().init___O__O($thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect(), nodeMapping))
  };
  let inDialectMapping;
  if (this$3.isEmpty__Z()) {
    const this$4 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
    const jsx$2 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__T($thiz, nodeMappingId);
    const this$5 = $m_sc_Seq$();
    const this$6 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const pf = new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper($thiz);
    inDialectMapping = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$6, pf)
  } else {
    inDialectMapping = this$3
  };
  return (inDialectMapping.isEmpty__Z() ? $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.findNode__T__s_Option(nodeMappingId) : inDialectMapping)
});
const $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2 = (function($thiz, nodeMappingId) {
  const this$1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__maybeFindNodeMappingById__T__s_Option($thiz, nodeMappingId);
  if (this$1.isEmpty__Z()) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([nodeMappingId]))))
  };
  return this$1.get__O()
});
const $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T = (function($thiz, id, aliasMapping) {
  const s = $m_Lamf_core_vocabulary_Namespace$().Xsd$1.base$1;
  if (((id.indexOf(s) | 0) !== (-1))) {
    const regex = $m_Lamf_core_vocabulary_Namespace$().Xsd$1.base$1;
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(id, regex, 0);
    const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const x1 = $f_sc_IndexedSeqOptimized__last__O(this$6);
    return ((x1 === "anyUri") ? "uri" : ((x1 === "anyType") ? "any" : x1))
  } else {
    const this$7 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(aliasMapping);
    const this$8 = this$7.$$outer$4.keysIterator__sc_Iterator();
    let x1$2;
    inlinereturn$15: {
      while (this$8.hasNext__Z()) {
        const a = this$8.next__O();
        const k = a;
        if (((id.indexOf(k) | 0) !== (-1))) {
          x1$2 = new $c_s_Some().init___O(a);
          break inlinereturn$15
        }
      };
      x1$2 = $m_s_None$()
    };
    if ($is_s_Some(x1$2)) {
      const x2 = x1$2;
      const k$3 = x2.value$2;
      const alias = aliasMapping.apply__O__O(k$3);
      const replacement = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([alias]));
      return id.split(k$3).join(replacement)
    } else {
      const x = $m_s_None$();
      if ((x === x1$2)) {
        const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(id, "#", 0);
        const this$16 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
        const thiz = $f_sc_IndexedSeqOptimized__last__O(this$16);
        const xs$2 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "/", 0);
        const this$19 = new $c_scm_ArrayOps$ofRef().init___AO(xs$2);
        return $f_sc_IndexedSeqOptimized__last__O(this$19)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    }
  }
});
const $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__buildAliasMapping__Lamf_plugins_document_vocabularies_model_document_Vocabulary__sci_Map = (function($thiz, vocabulary) {
  const elem = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  const aliasMapping = new $c_sr_ObjectRef().init___O(elem);
  vocabulary.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, aliasMapping$1) {
    return (function(external$2) {
      const external = external$2;
      const jsx$1 = aliasMapping$1.elem$1;
      const this$2 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
      const this$3 = this$2.option$1;
      const self = (this$3.isEmpty__Z() ? null : this$3.get__O());
      const this$5 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
      const this$6 = this$5.option$1;
      const y = (this$6.isEmpty__Z() ? null : this$6.get__O());
      aliasMapping$1.elem$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, y))
    })
  })($thiz, aliasMapping)));
  vocabulary.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, aliasMapping$2) {
    return (function(imported$2) {
      const imported = imported$2;
      const jsx$2 = aliasMapping$2.elem$1;
      const this$8 = imported.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Reference$1);
      const this$9 = this$8.option$1;
      const self$1 = (this$9.isEmpty__Z() ? null : this$9.get__O());
      const this$11 = imported.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Alias$1);
      const this$12 = this$11.option$1;
      const y$1 = (this$12.isEmpty__Z() ? null : this$12.get__O());
      aliasMapping$2.elem$1 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, y$1))
    })
  })($thiz, aliasMapping)));
  return aliasMapping.elem$1
});
const $f_Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport__$$init$__V = (function($thiz) {
  $thiz.composedDialects$und$eq__sci_Map__V($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
});
const $f_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer__findNodeMapping__T__s_Option = (function($thiz, mappingId) {
  const x1 = $thiz.declares__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, mappingId$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return (x$1.id__T() === mappingId$1)
    })
  })($thiz, mappingId)));
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const mapping = x2.value$2;
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(mapping)) {
      const x3 = mapping;
      return new $c_s_Some().init___O(x3)
    }
  };
  const jsx$6 = $thiz.references__sc_Seq();
  const jsx$5 = new $c_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5().init___Lamf_plugins_document_vocabularies_model_document_MappingDeclarer($thiz);
  const this$1 = $m_sc_Seq$();
  const jsx$4 = jsx$6.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$5, this$1.ReusableCBFInstance$2);
  const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, mappingId$2) {
    return (function(dec$2) {
      const dec = dec$2;
      const this$3 = dec;
      return $f_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer__findNodeMapping__T__s_Option(this$3, mappingId$2)
    })
  })($thiz, mappingId));
  const this$4 = $m_sc_Seq$();
  const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      return x$2.isDefined__Z()
    })
  })($thiz)));
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
    return (function(x$3$2) {
      const x$3 = x$3$2;
      return x$3.get__O()
    })
  })($thiz));
  const this$5 = $m_sc_Seq$();
  return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).headOption__s_Option()
});
const $is_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_MappingDeclarer)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_MappingDeclarer)))
});
const $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyViolation__T__T__T__Lorg_yaml_model_YPart__V = (function($thiz, id, property, nodeType, ast) {
  const this$1 = $thiz;
  const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().MissingPropertySpecification$1.id__T();
  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property: '", "' mandatory in a ", " node"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property, nodeType]));
  const property$1 = $m_s_None$();
  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id$1, id, property$1, message, ast)
});
const $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__inconsistentPropertyRangeValueViolation__T__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__T__Lorg_yaml_model_YNode__V = (function($thiz, node, property, expected, found, valueNode) {
  const this$7 = $thiz;
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().InconsistentPropertyRangeValueSpecification$1.id__T();
  const this$1 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
  const this$2 = this$1.option$1;
  const property$1 = new $c_s_Some().init___O((this$2.isEmpty__Z() ? null : this$2.get__O()));
  const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find expected range for property ", " (", ")"]));
  const this$3 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
  const this$4 = this$3.option$1;
  const jsx$1 = (this$4.isEmpty__Z() ? null : this$4.get__O());
  const this$5 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
  const this$6 = this$5.option$1;
  const message = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, (this$6.isEmpty__Z() ? null : this$6.get__O())]));
  const lexical = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(valueNode).find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
  const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
  const this$8 = $m_Lamf_core_services_RuntimeValidator$();
  const parserRun = this$7.parserCount__I();
  this$8.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property$1, message, lexical, parserRun)
});
const $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingFragmentViolation__T__T__Lorg_yaml_model_YPart__V = (function($thiz, fragment, node, ast) {
  const this$1 = $thiz;
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().MissingFragmentSpecification$1.id__T();
  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find fragment ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([fragment]));
  const property = $m_s_None$();
  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id, node, property, message, ast)
});
const $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__closedNodeViolation__T__T__T__Lorg_yaml_model_YPart__V = (function($thiz, id, property, nodeType, ast) {
  const this$1 = $thiz;
  const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ClosedShapeSpecification$1.id__T();
  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property: '", "' not supported in a ", " node"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property, nodeType]));
  const property$1 = $m_s_None$();
  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id$1, id, property$1, message, ast)
});
const $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V = (function($thiz, term, node, ast) {
  const this$1 = $thiz;
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().MissingTermSpecification$1.id__T();
  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find vocabulary term ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([term]));
  const property = $m_s_None$();
  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id, node, property, message, ast)
});
const $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyRangeViolation__T__T__s_Option__V = (function($thiz, term, node, lexical) {
  const this$1 = $thiz;
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().MissingPropertyRangeSpecification$1.id__T();
  const property = new $c_s_Some().init___O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1.value$1.iri__T());
  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property range term ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([term]));
  const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
  const this$2 = $m_Lamf_core_services_RuntimeValidator$();
  const parserRun = this$1.parserCount__I();
  this$2.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, message, lexical, parserRun)
});
const $is_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter)))
});
const $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__isInclude__pLamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__Lorg_yaml_model_YNode__Z = (function($thiz, node) {
  const x = node.tag__Lorg_yaml_model_YTag().tagType$2;
  const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
  return (x === x$2)
});
const $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V = (function($thiz, nodeType, id, map) {
  let allowedProps;
  if ((nodeType === "dialect")) {
    allowedProps = $thiz.dialect$2
  } else if ((nodeType === "library")) {
    allowedProps = $thiz.library$2
  } else if ((nodeType === "fragment")) {
    allowedProps = $thiz.fragment$2
  } else if ((nodeType === "nodeMapping")) {
    allowedProps = $thiz.nodeMapping$2
  } else if ((nodeType === "propertyMapping")) {
    allowedProps = $thiz.propertyMapping$2
  } else {
    if ((nodeType !== "documentsMapping")) {
      throw new $c_s_MatchError().init___O(nodeType)
    };
    allowedProps = $thiz.documentsMapping$2
  };
  const this$1 = map.map$3;
  const this$3 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$1);
  const this$2 = $m_sci_Set$();
  const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$2);
  const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
  const this$4 = this$3.$$outer$4.keysIterator__sc_Iterator();
  while (this$4.hasNext__Z()) {
    const arg1 = this$4.next__O();
    const x$6 = arg1;
    b.$$plus$eq__O__scm_Builder(x$6.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
  };
  b.result__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, nodeType$1, id$1, map$1, allowedProps$1) {
    return (function(property$2) {
      const property = property$2;
      const x1 = allowedProps$1.get__O__s_Option(property);
      if ((!$is_s_Some(x1))) {
        const x = $m_s_None$();
        if ((x === x1)) {
          const this$5 = this$2$1;
          $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__closedNodeViolation__T__T__T__Lorg_yaml_model_YPart__V(this$5, id$1, property, nodeType$1, map$1)
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    })
  })($thiz, nodeType, id, map, allowedProps)));
  allowedProps.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, nodeType$2, id$2, map$2) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const propName = x0$1.$$und1__O();
        const mandatory = (!(!x0$1.$$und2__O()));
        const this$6 = map$2.map$3;
        const this$8 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$6);
        const this$7 = $m_sci_Set$();
        const bf$1 = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$7);
        const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$8, bf$1);
        const this$9 = this$8.$$outer$4.keysIterator__sc_Iterator();
        while (this$9.hasNext__Z()) {
          const arg1$1 = this$9.next__O();
          const x$7 = arg1$1;
          b$1.$$plus$eq__O__scm_Builder(x$7.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
        };
        const props = b$1.result__O();
        if (mandatory) {
          if ((!props.contains__O__Z(propName))) {
            const this$10 = this$3$1;
            $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyViolation__T__T__T__Lorg_yaml_model_YPart__V(this$10, id$2, propName, nodeType$2, map$2)
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz, nodeType, id, map)))
});
const $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__$$init$__V = (function($thiz) {
  const array = [new $c_T2().init___O__O("$dialect", false), new $c_T2().init___O__O("dialect", true), new $c_T2().init___O__O("version", true), new $c_T2().init___O__O("usage", false), new $c_T2().init___O__O("external", false), new $c_T2().init___O__O("uses", false), new $c_T2().init___O__O("nodeMappings", false), new $c_T2().init___O__O("documents", false)];
  const this$18 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i = 0;
  const len = (array.length | 0);
  while ((i < len)) {
    const index = i;
    const arg1 = array[index];
    this$18.$$plus$eq__T2__scm_MapBuilder(arg1);
    i = ((1 + i) | 0)
  };
  $thiz.dialect$2 = this$18.elems$1;
  const array$1 = [new $c_T2().init___O__O("usage", false), new $c_T2().init___O__O("external", false), new $c_T2().init___O__O("uses", false), new $c_T2().init___O__O("nodeMappings", false)];
  const this$28 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$1 = 0;
  const len$1 = (array$1.length | 0);
  while ((i$1 < len$1)) {
    const index$1 = i$1;
    const arg1$1 = array$1[index$1];
    this$28.$$plus$eq__T2__scm_MapBuilder(arg1$1);
    i$1 = ((1 + i$1) | 0)
  };
  $thiz.library$2 = this$28.elems$1;
  const array$2 = [new $c_T2().init___O__O("classTerm", true), new $c_T2().init___O__O("mapping", false), new $c_T2().init___O__O("idProperty", false), new $c_T2().init___O__O("idTemplate", false)];
  const this$38 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$2 = 0;
  const len$2 = (array$2.length | 0);
  while ((i$2 < len$2)) {
    const index$2 = i$2;
    const arg1$2 = array$2[index$2];
    this$38.$$plus$eq__T2__scm_MapBuilder(arg1$2);
    i$2 = ((1 + i$2) | 0)
  };
  $thiz.nodeMapping$2 = this$38.elems$1;
  const array$3 = [new $c_T2().init___O__O("usage", false), new $c_T2().init___O__O("external", false), new $c_T2().init___O__O("uses", false)];
  const this$46 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$3 = 0;
  const len$3 = (array$3.length | 0);
  while ((i$3 < len$3)) {
    const index$3 = i$3;
    const arg1$3 = array$3[index$3];
    this$46.$$plus$eq__T2__scm_MapBuilder(arg1$3);
    i$3 = ((1 + i$3) | 0)
  };
  $thiz.fragment$2 = this$46.elems$1.$$plus$plus__sc_GenTraversableOnce__sci_Map($thiz.nodeMapping$2);
  const array$4 = [new $c_T2().init___O__O("propertyTerm", true), new $c_T2().init___O__O("range", false), new $c_T2().init___O__O("mapKey", false), new $c_T2().init___O__O("mapValue", false), new $c_T2().init___O__O("mandatory", false), new $c_T2().init___O__O("pattern", false), new $c_T2().init___O__O("sorted", false), new $c_T2().init___O__O("minimum", false), new $c_T2().init___O__O("maximum", false), new $c_T2().init___O__O("allowMultiple", false), new $c_T2().init___O__O("enum", false), new $c_T2().init___O__O("typeDiscriminatorName", false), new $c_T2().init___O__O("typeDiscriminator", false)];
  const this$74 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$4 = 0;
  const len$4 = (array$4.length | 0);
  while ((i$4 < len$4)) {
    const index$4 = i$4;
    const arg1$4 = array$4[index$4];
    this$74.$$plus$eq__T2__scm_MapBuilder(arg1$4);
    i$4 = ((1 + i$4) | 0)
  };
  $thiz.propertyMapping$2 = this$74.elems$1;
  const array$5 = [new $c_T2().init___O__O("root", false), new $c_T2().init___O__O("fragments", false), new $c_T2().init___O__O("library", false)];
  const this$82 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$5 = 0;
  const len$5 = (array$5.length | 0);
  while ((i$5 < len$5)) {
    const index$5 = i$5;
    const arg1$5 = array$5[index$5];
    this$82.$$plus$eq__T2__scm_MapBuilder(arg1$5);
    i$5 = ((1 + i$5) | 0)
  };
  $thiz.documentsMapping$2 = this$82.elems$1
});
const $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__link__Lorg_yaml_model_YNode__s_util_Either = (function($thiz, node) {
  if ($f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__isInclude__pLamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__Lorg_yaml_model_YNode__Z($thiz, node)) {
    $m_s_package$();
    const value = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
    return new $c_s_util_Left().init___O(value)
  } else {
    $m_s_package$();
    return new $c_s_util_Right().init___O(node)
  }
});
const $f_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax__closedNode__T__T__Lorg_yaml_model_YMap__V = (function($thiz, nodeType, id, map) {
  let allowedProps;
  if ((nodeType === "vocabulary")) {
    allowedProps = $thiz.vocabulary$2
  } else if ((nodeType === "classTerm")) {
    allowedProps = $thiz.classTerm$2
  } else {
    if ((nodeType !== "propertyTerm")) {
      throw new $c_s_MatchError().init___O(nodeType)
    };
    allowedProps = $thiz.propertyTerm$2
  };
  const this$1 = map.map$3;
  const this$3 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$1);
  const this$2 = $m_sci_Set$();
  const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$2);
  const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
  const this$4 = this$3.$$outer$4.keysIterator__sc_Iterator();
  while (this$4.hasNext__Z()) {
    const arg1 = this$4.next__O();
    const x$1 = arg1;
    b.$$plus$eq__O__scm_Builder(x$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
  };
  b.result__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, nodeType$1, id$1, map$1, allowedProps$1) {
    return (function(property$2) {
      const property = property$2;
      const x1 = allowedProps$1.get__O__s_Option(property);
      if ((!$is_s_Some(x1))) {
        const x = $m_s_None$();
        if ((x === x1)) {
          const this$5 = this$2$1;
          $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__closedNodeViolation__T__T__T__Lorg_yaml_model_YPart__V(this$5, id$1, property, nodeType$1, map$1)
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    })
  })($thiz, nodeType, id, map, allowedProps)))
});
const $f_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax__$$init$__V = (function($thiz) {
  const array = [new $c_T2().init___O__O("$dialect", "string"), new $c_T2().init___O__O("base", "string"), new $c_T2().init___O__O("usage", "string"), new $c_T2().init___O__O("vocabulary", "string"), new $c_T2().init___O__O("uses", "libraries"), new $c_T2().init___O__O("external", "libraries"), new $c_T2().init___O__O("classTerms", "ClassTerm[]"), new $c_T2().init___O__O("propertyTerms", "PropertyTerm[]")];
  const this$18 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i = 0;
  const len = (array.length | 0);
  while ((i < len)) {
    const index = i;
    const arg1 = array[index];
    this$18.$$plus$eq__T2__scm_MapBuilder(arg1);
    i = ((1 + i) | 0)
  };
  $thiz.vocabulary$2 = this$18.elems$1;
  const array$1 = [new $c_T2().init___O__O("displayName", "string"), new $c_T2().init___O__O("description", "string"), new $c_T2().init___O__O("properties", "string[]"), new $c_T2().init___O__O("extends", "string[]")];
  const this$28 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$1 = 0;
  const len$1 = (array$1.length | 0);
  while ((i$1 < len$1)) {
    const index$1 = i$1;
    const arg1$1 = array$1[index$1];
    this$28.$$plus$eq__T2__scm_MapBuilder(arg1$1);
    i$1 = ((1 + i$1) | 0)
  };
  $thiz.classTerm$2 = this$28.elems$1;
  const array$2 = [new $c_T2().init___O__O("displayName", "string"), new $c_T2().init___O__O("description", "string"), new $c_T2().init___O__O("range", "string[]"), new $c_T2().init___O__O("extends", "string[]")];
  const this$38 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$2 = 0;
  const len$2 = (array$2.length | 0);
  while ((i$2 < len$2)) {
    const index$2 = i$2;
    const arg1$2 = array$2[index$2];
    this$38.$$plus$eq__T2__scm_MapBuilder(arg1$2);
    i$2 = ((1 + i$2) | 0)
  };
  $thiz.propertyTerm$2 = this$38.elems$1
});
const $is_Lamf_plugins_document_webapi_parser_RamlFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_RamlFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_RamlFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_RamlFragment)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer__toJsonSchema__Lamf_plugins_domain_shapes_models_AnyShape__T = (function($thiz, element) {
  $m_Lamf_core_AMFSerializer$().init__V();
  const jsx$1 = $m_Lamf_core_services_RuntimeSerializer$();
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$4 = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
  return jsx$1.apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__T($f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$4, field, element), "application/schema+json", "JSON Schema", ($m_Lamf_core_services_RuntimeSerializer$(), new $c_Lamf_core_emitter_RenderOptions().init___()))
});
const $f_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__checkBalancedParams__T__Lorg_yaml_model_YNode__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext__V = (function($thiz, path, value, node, property, ctx) {
  const this$2 = new $c_sci_StringOps().init___T("\\{[^\\}]*\\{");
  const groupNames = $m_sci_Nil$();
  const $$this = this$2.repr$1;
  const pattern1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
  const this$5 = new $c_sci_StringOps().init___T("\\}[^\\{]*\\}");
  const groupNames$1 = $m_sci_Nil$();
  const $$this$1 = this$5.repr$1;
  const pattern2 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
  const this$7 = pattern1.findFirstMatchIn__jl_CharSequence__s_Option(path);
  let jsx$1;
  if (this$7.isDefined__Z()) {
    jsx$1 = true
  } else {
    const this$8 = pattern2.findFirstMatchIn__jl_CharSequence__s_Option(path);
    jsx$1 = this$8.isDefined__Z()
  };
  if (jsx$1) {
    const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().PathTemplateUnbalancedParameters$1.id__T();
    const property$1 = new $c_s_Some().init___O(property);
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(ctx, id, node, property$1, "Invalid path template syntax", value)
  }
});
const $is_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser__parseExamples__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext__V = (function($thiz, shape, map, options, ctx) {
  const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser().init___Lorg_yaml_model_YMap__T__T__s_Option__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(map, "example", "examples", $m_s_Option$().apply__O__s_Option(shape.id$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shape$1) {
    return (function(name$2) {
      const name = name$2;
      return shape$1.withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name)
    })
  })($thiz, shape)), options, ctx).parse__sc_Seq();
  if (examples.nonEmpty__Z()) {
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(shape, field, examples)
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter__emitExamples__Lamf_plugins_domain_shapes_models_AnyShape__scm_ListBuffer__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V = (function($thiz, shape, results, ordering, references, spec) {
  const this$1 = shape.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    const f = arg1;
    const x1 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1).partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const this$2 = e.fields$1.fieldsMeta__sci_List();
        const elem = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
        if ((!$f_sc_LinearSeqOptimized__contains__O__Z(this$2, elem))) {
          return (!$f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(e).isDefined__Z())
        } else {
          return false
        }
      })
    })($thiz)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const anonymous = x1.$$und1__O();
    const named = x1.$$und2__O();
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter($thiz);
    const this$3 = $m_sc_Seq$();
    const examples = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$4 = anonymous.headOption__s_Option();
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const a = arg1$1;
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter().init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("example", a, ordering, spec))
    };
    let jsx$3;
    if ((anonymous.lengthCompare__I__I(1) > 0)) {
      jsx$3 = examples.tail__O()
    } else {
      const xo = $m_s_None$();
      jsx$3 = xo.toList__sci_List()
    };
    const this$6 = $m_sc_Seq$();
    new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("examples", named.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2), ordering, references, spec)))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z = (function($thiz, node, element, ctx) {
  if ($is_Lorg_yaml_model_YNode$MutRef(node)) {
    const x2 = node;
    if ($is_Lorg_yaml_model_YScalar(x2.origValue$5)) {
      const text = x2.origValue$5.text$3;
      const this$1 = ctx.declarations$2.fragments$1.get__O__s_Option(text);
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const e = arg1;
        const id = e.id__T();
        const field = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(element, field, id)
      };
      return true
    }
  };
  return false
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter__emitCommonFields__Lamf_core_parser_Fields__scm_ListBuffer__s_Option = (function($thiz, fs, result) {
  const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    const f = arg1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("pattern", f, $m_s_None$())))
  };
  const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
  if ((!this$3.isEmpty__Z())) {
    const arg1$1 = this$3.get__O();
    const f$3 = arg1$1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minLength", f$3, $m_s_None$())))
  };
  const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
  if ((!this$5.isEmpty__Z())) {
    const arg1$2 = this$5.get__O();
    const f$4 = arg1$2;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maxLength", f$4, $m_s_None$())))
  };
  const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
  if ((!this$7.isEmpty__Z())) {
    const arg1$3 = this$7.get__O();
    const f$5 = arg1$3;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minimum", f$5, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__s_Option__Lorg_yaml_model_YType($thiz.typeDef__s_Option())))))
  };
  const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
  if ((!this$8.isEmpty__Z())) {
    const arg1$4 = this$8.get__O();
    const f$6 = arg1$4;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maximum", f$6, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__s_Option__Lorg_yaml_model_YType($thiz.typeDef__s_Option())))))
  };
  const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1);
  if ((!this$9.isEmpty__Z())) {
    const arg1$5 = this$9.get__O();
    const f$7 = arg1$5;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("exclusiveMinimum", f$7, $m_s_None$())))
  };
  const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1);
  if ((!this$11.isEmpty__Z())) {
    const arg1$6 = this$11.get__O();
    const f$8 = arg1$6;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("exclusiveMaximum", f$8, $m_s_None$())))
  };
  const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1);
  if ((!this$13.isEmpty__Z())) {
    const arg1$7 = this$13.get__O();
    const f$9 = arg1$7;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("multipleOf", f$9, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__s_Option__Lorg_yaml_model_YType($thiz.typeDef__s_Option())))))
  };
  const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
  if (this$14.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1$8 = this$14.get__O();
    const f$10 = arg1$8;
    return new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("format", f$10, $m_s_None$())))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic__parseScalar__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V = (function($thiz, map, shape) {
  const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
  const iv = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$1.key__T__F1__V("pattern", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
  const iv$1 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$2.key__T__F1__V("minLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$6 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
  const iv$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$3.key__T__F1__V("maxLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$9 = this$8.key__T__s_Option("minimum");
  if ((!this$9.isEmpty__Z())) {
    const arg1 = this$9.get__O();
    const entry = arg1;
    const node = entry.value$1;
    const iv$3 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
    const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$3);
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
    const value$1 = value.text__Lamf_core_model_domain_AmfScalar();
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$3, value$1, annotations)
  };
  const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$13 = this$12.key__T__s_Option("maximum");
  if ((!this$13.isEmpty__Z())) {
    const arg1$1 = this$13.get__O();
    const entry$3 = arg1$1;
    const node$1 = entry$3.value$1;
    const iv$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
    const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$4);
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
    const value$3 = value$2.text__Lamf_core_model_domain_AmfScalar();
    const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$4, value$3, annotations$1)
  };
  const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$16 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
  const iv$5 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$4.key__T__F1__V("exclusiveMinimum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$16, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$18 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
  const iv$6 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$5.key__T__F1__V("exclusiveMaximum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$18, field$6, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$20 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
  const iv$7 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$6.key__T__F1__V("format", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$20, field$7, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$22 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser();
  const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
  const iv$8 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().ctx$2;
  jsx$7.key__T__F1__V("multipleOf", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$22, field$8, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape))
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter__emitOASFields__Lamf_core_parser_Fields__scm_ListBuffer__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V = (function($thiz, fs, result, spec) {
  const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
  if ((!this$1.isEmpty__Z())) {
    const arg1 = this$1.get__O();
    const f = arg1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minLength", f, $m_s_None$(), spec)))
  };
  const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
  if ((!this$3.isEmpty__Z())) {
    const arg1$1 = this$3.get__O();
    const f$3 = arg1$1;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxLength", f$3, $m_s_None$(), spec)))
  };
  const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1);
  if ((!this$5.isEmpty__Z())) {
    const arg1$2 = this$5.get__O();
    const f$4 = arg1$2;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("exclusiveMinimum").asRamlAnnotation__T(), f$4, $m_s_None$())))
  };
  const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1);
  if ((!this$8.isEmpty__Z())) {
    const arg1$3 = this$8.get__O();
    const f$5 = arg1$3;
    new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("exclusiveMaximum").asRamlAnnotation__T(), f$5, $m_s_None$())))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic__parseOASFields__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V = (function($thiz, map, shape) {
  const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
  const iv = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$1.key__T__F1__V("pattern", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
  const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
  const iv$1 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$2.key__T__F1__V("minLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
  const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$6 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
  const iv$2 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$3.key__T__F1__V("maxLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
  const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("exclusiveMinimum").asRamlAnnotation__T();
  const this$9 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
  const iv$3 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$5.key__T__F1__V(jsx$4, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$9, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
  const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const jsx$6 = new $c_Lamf_core_utils_package$Strings().init___T("exclusiveMaximum").asRamlAnnotation__T();
  const this$12 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser();
  const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
  const iv$4 = $thiz.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser().ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  jsx$7.key__T__F1__V(jsx$6, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$12, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape))
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__isTypeExpression__T__Z = (function($thiz, str) {
  try {
    const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
    $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
    const x$24 = "";
    const x = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(str, x$24, x$23);
    const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$();
    return ((x !== null) && (x === x$2))
  } catch (e) {
    const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ($is_jl_Exception(e$2)) {
      return false
    } else {
      throw e
    }
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__parseWellKnownTypeRef__T__Lamf_core_model_domain_Shape = (function($thiz, ramlType) {
  if (((ramlType === "nil") || ((ramlType === "") || (ramlType === "null")))) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  } else if ((ramlType === "any")) {
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$1)
  } else if ((ramlType === "string")) {
    const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
    const this$13 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "string").iri__T();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field, dataType)
  } else if ((ramlType === "integer")) {
    const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
    const this$19 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "integer").iri__T();
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$1, dataType$1)
  } else if ((ramlType === "number")) {
    const annotations$4 = new $c_Lamf_core_parser_Annotations().init___();
    const this$25 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4);
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const dataType$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "number").iri__T();
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$2, dataType$2)
  } else if ((ramlType === "boolean")) {
    const annotations$5 = new $c_Lamf_core_parser_Annotations().init___();
    const this$31 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5);
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "boolean").iri__T();
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$31, field$3, dataType$3)
  } else if ((ramlType === "datetime")) {
    const annotations$6 = new $c_Lamf_core_parser_Annotations().init___();
    const this$37 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$6);
    const this$35 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$35, "dateTime").iri__T();
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$37, field$4, dataType$4)
  } else if ((ramlType === "datetime-only")) {
    const annotations$7 = new $c_Lamf_core_parser_Annotations().init___();
    const this$43 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7);
    const this$41 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const dataType$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$41, "dateTimeOnly").iri__T();
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$43, field$5, dataType$5)
  } else if ((ramlType === "time-only")) {
    const annotations$8 = new $c_Lamf_core_parser_Annotations().init___();
    const this$49 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8);
    const this$47 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$47, "time").iri__T();
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$49, field$6, dataType$6)
  } else if ((ramlType === "date-only")) {
    const annotations$9 = new $c_Lamf_core_parser_Annotations().init___();
    const this$55 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$9);
    const this$53 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$53, "date").iri__T();
    const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$55, field$7, dataType$7)
  } else if ((ramlType === "array")) {
    const annotations$10 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$10)
  } else if ((ramlType === "object")) {
    const annotations$11 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$11)
  } else if ((ramlType === "union")) {
    const annotations$12 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$12)
  } else if ((ramlType === "file")) {
    const annotations$13 = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$13)
  } else {
    throw new $c_s_MatchError().init___O(ramlType)
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z = (function($thiz, str) {
  if ((!(((((((str.indexOf("|") | 0) > (-1)) || ((str.indexOf("[") | 0) > (-1))) || ((str.indexOf("{") | 0) > (-1))) || ((str.indexOf("]") | 0) > (-1))) || ((str.indexOf("}") | 0) > (-1))) || ((((str.length | 0) >= 0) && (str.substring(0, ("<<".length | 0)) === "<<")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(str, ">>"))))) {
    const x$20 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
    $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
    const x$21 = "";
    const x = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(str, x$21, x$20);
    const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
    return (!((x !== null) && (x === x$2)))
  } else {
    return false
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V = (function($thiz, key, map, parentPath) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$3 = this$2.key__T__s_Option(key);
  if ((!this$3.isEmpty__Z())) {
    const arg1 = this$3.get__O();
    const entry = arg1;
    entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$1, entry$1) {
      return (function(e$2) {
        const e = e$2;
        const parameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$1$1) {
          return (function(name$2) {
            const name = name$2;
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$7 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const value = ((parentPath$1$1 + "/") + name);
            const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, name)
          })
        })($this, parentPath$1)), false, $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_webapi_models_Parameter();
        const this$9 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        if ($f_Lamf_core_model_StrField__isNullOrEmpty__Z(this$9)) {
          const this$10 = $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
          const node = parameter.id$1;
          const ast = entry$1.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node, "Missing binding information in declared parameter", ast)
        };
        const jsx$2 = $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$2;
        const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
        const jsx$1 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(parameter, annotation);
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$14 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const schema = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        jsx$2.registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(jsx$1, $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$14, field$1, schema))
      })
    })($thiz, parentPath, entry)))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V = (function($thiz, map, parent) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
  const this$3 = this$2.key__T__s_Option("securitySchemes");
  if ((!this$3.isEmpty__Z())) {
    const arg1 = this$3.get__O();
    const e = arg1;
    const this$4 = e.value$1;
    const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const jsx$1 = $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$2;
          const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$1$1, entry$1) {
            return (function(scheme$2) {
              const scheme = scheme$2;
              const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
              const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1.value__Lorg_yaml_model_YValue()));
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme, field, value, annotations);
              return scheme.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$1$1)
            })
          })($this, parent$1, entry)), $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation))
        })
      })($thiz, parent)))
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
      if ((!(x$3 === x1))) {
        const this$6 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'securitySchemes' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]));
        const ast = e.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$6, parent, message, ast)
      }
    }
  }
});
const $is_Lamf_plugins_document_webapi_resolution_stages_Branch = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_Branch)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_Branch = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_Branch)))
});
const $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T = (function($thiz, s, $default) {
  if ($is_s_Some(s)) {
    const x2 = s;
    const p = x2.value$2;
    if (((p.indexOf("#") | 0) > (-1))) {
      const thiz = $m_sjsr_RuntimeString$().split__T__T__I__AT(p, "#", 0).u[1];
      return thiz.trim()
    } else if ((((p.indexOf("/") | 0) === (-1)) && ((p.indexOf(":") | 0) !== (-1)))) {
      const thiz$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(p, ":", 0).u[1];
      return thiz$1.trim()
    } else {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(p, "/", 0);
      const this$13 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const thiz$2 = $f_sc_IndexedSeqOptimized__last__O(this$13);
      return thiz$2.trim()
    }
  } else {
    const x = $m_s_None$();
    if ((x === s)) {
      return $default
    } else {
      throw new $c_s_MatchError().init___O(s)
    }
  }
});
const $f_Lamf_plugins_document_webapi_validation_ImportUtils__validationId__Lamf_plugins_document_webapi_validation_AMFValidation__T = (function($thiz, validation) {
  const x1 = validation.uri$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const s = x2.value$2;
    return $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(s.trim()).iri__T()
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      const s$1 = validation.owlClass$1;
      const classPostfix = $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T($thiz, s$1, "domain");
      const s$2 = validation.owlProperty$1;
      const propertyPostfix = $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T($thiz, s$2, "property");
      const s$3 = new $c_s_Some().init___O(validation.constraint$1);
      const constraint = $f_Lamf_plugins_document_webapi_validation_ImportUtils__postfix__s_Option__T__T($thiz, s$3, "constraint");
      return (((((("" + $m_Lamf_core_vocabulary_Namespace$().AmfParser$1.base$1) + classPostfix) + "-") + propertyPostfix.trim()) + "-") + constraint.trim())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_Lamf_plugins_domain_shapes_metamodel_CommonShapeFields__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Pattern$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "pattern"), true));
  const jsx$2 = $m_Lamf_core_metamodel_Type$Int$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MinLength$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "minLength"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Int$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MaxLength$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "maxLength"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Double$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Minimum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "minInclusive"), true));
  const jsx$5 = $m_Lamf_core_metamodel_Type$Double$();
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Maximum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "maxInclusive"), true));
  const jsx$6 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMinimum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "minExclusive"), true));
  const jsx$7 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMaximum$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "maxExclusive"), true));
  const jsx$8 = $m_Lamf_core_metamodel_Type$Str$();
  const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Format$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "format"), true));
  const jsx$9 = $m_Lamf_core_metamodel_Type$Double$();
  const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MultipleOf$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "multipleOf"), true));
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Pattern__Lamf_core_metamodel_Field(), $thiz.MinLength__Lamf_core_metamodel_Field(), $thiz.MaxLength__Lamf_core_metamodel_Field(), $thiz.Minimum__Lamf_core_metamodel_Field(), $thiz.Maximum__Lamf_core_metamodel_Field(), $thiz.ExclusiveMinimum__Lamf_core_metamodel_Field(), $thiz.ExclusiveMaximum__Lamf_core_metamodel_Field(), $thiz.Format__Lamf_core_metamodel_Field(), $thiz.MultipleOf__Lamf_core_metamodel_Field()]);
  const this$20 = $m_sci_List$();
  const cbf = this$20.ReusableCBFInstance$2;
  $thiz.amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$commonOASFields$und$eq__sci_List__V($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minimum__Lamf_core_model_DoubleField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__multipleOf__Lamf_core_model_DoubleField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMinimum__Lamf_core_model_BoolField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minLength__Lamf_core_model_IntField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMaximum__Lamf_core_model_BoolField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maxLength__Lamf_core_model_IntField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maximum__Lamf_core_model_DoubleField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1)
});
const $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__Lamf_core_model_StrField = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1)
});
const $is_Lamf_plugins_domain_shapes_models_CommonShapeFields = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_CommonShapeFields)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_CommonShapeFields = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_CommonShapeFields)))
});
const $is_Lamf_plugins_domain_shapes_models_ScalarType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ScalarType)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ScalarType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ScalarType)))
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__buildFixPoint__s_Option__Lamf_core_model_domain_Linkable__s_Option__Lamf_core_model_domain_RecursiveShape = (function($thiz, id, link, recursionErrorHandler) {
  let jsx$1;
  if (recursionErrorHandler.isDefined__Z()) {
    const this$1 = link.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_LinkableElementModel$().SupportsRecursion$1).option$1;
    jsx$1 = (!(!(!(this$1.isEmpty__Z() ? false : this$1.get__O()))))
  } else {
    jsx$1 = false
  };
  if (jsx$1) {
    const this$2 = recursionErrorHandler.get__O();
    const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().RecursiveShapeSpecification$1.id__T();
    const node = link.id__T();
    const property = $m_s_None$();
    const lexical = link.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const this$3 = $m_Lamf_core_services_RuntimeValidator$();
    const parserRun = this$2.parserCount__I();
    this$3.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id$1, node, property, "Error recursive shape", lexical, parserRun)
  };
  const fixPointId = (id.isEmpty__Z() ? link.id__T() : id.get__O());
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$7 = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const value = link.id__T();
  const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
  const field = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1;
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, fixPointId)
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape = (function($thiz, recursionErrorHandler, withRecursionBase, traversed) {
  if (traversed.contains__O__Z($thiz.id__T())) {
    const link = $thiz;
    return $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__buildFixPoint__s_Option__Lamf_core_model_domain_Linkable__s_Option__Lamf_core_model_domain_RecursiveShape($thiz, withRecursionBase, link, recursionErrorHandler)
  } else {
    const x1 = $thiz;
    let jsx$1;
    if ((x1 !== null)) {
      const this$1 = $thiz;
      jsx$1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()
    } else {
      jsx$1 = false
    };
    let cloned;
    if (jsx$1) {
      const link$1 = $thiz;
      cloned = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__buildFixPoint__s_Option__Lamf_core_model_domain_Linkable__s_Option__Lamf_core_model_domain_RecursiveShape($thiz, withRecursionBase, link$1, recursionErrorHandler)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(x1)) {
      const annotations = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
    } else if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const annotations$1 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const annotations$2 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const annotations$3 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x1)) {
      const annotations$4 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x1)) {
      const annotations$5 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5)
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(x1)) {
      const annotations$6 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$6)
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(x1)) {
      const annotations$7 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7)
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const annotations$8 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8)
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1)) {
      const annotations$9 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$9)
    } else if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const annotations$10 = $thiz.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$10)
    } else if ($is_Lamf_plugins_domain_shapes_models_UnresolvedShape(x1)) {
      const x2 = x1;
      const annots = x2.annotations$2;
      const reference = x2.reference$3;
      const parser = x2.fatherExtensionParser$3;
      cloned = new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T__s_Option(new $c_Lamf_core_parser_Fields().init___(), annots, reference, parser)
    } else {
      if ((!$is_Lamf_plugins_domain_shapes_models_AnyShape(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const annotations$11 = $thiz.annotations__Lamf_core_parser_Annotations();
      const fields = new $c_Lamf_core_parser_Fields().init___();
      cloned = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$11)
    };
    cloned.id$1 = $thiz.id__T();
    $thiz.copyFields__s_Option__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(recursionErrorHandler, cloned, withRecursionBase, traversed.$$plus__O__sc_Set($thiz.id__T()));
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(cloned)) {
      const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(cloned, annotation)
    };
    return cloned
  }
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__externalSourceID__s_Option = (function($thiz) {
  const x1 = $thiz;
  if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
    const x2 = x1;
    return x2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1).option$1
  } else {
    return $m_s_None$()
  }
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__fromExternalSource__Z = (function($thiz) {
  const x1 = $thiz;
  if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
    const x2 = x1;
    return x2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1).option$1.isDefined__Z()
  } else {
    return false
  }
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__typeExpression__T = (function($thiz) {
  const x1 = $thiz.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf());
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const expr = x2.value$2;
    if ((expr !== null)) {
      return expr.value$1
    }
  };
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Trying to extract non existent type expression"))
});
const $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__fromTypeExpression__Z = (function($thiz) {
  return $thiz.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf())
});
const $is_Lamf_plugins_domain_shapes_models_ShapeHelpers = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ShapeHelpers)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ShapeHelpers = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ShapeHelpers)))
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z = (function($thiz) {
  return $is_Lamf_plugins_domain_shapes_models_ScalarType($thiz)
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isNumber__Z = (function($thiz) {
  const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
  if ((x === $thiz)) {
    return true
  } else {
    const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
    if ((x$3 === $thiz)) {
      return true
    } else {
      const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
      if ((x$5 === $thiz)) {
        return true
      } else {
        const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
        return (x$7 === $thiz)
      }
    }
  }
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isDate__Z = (function($thiz) {
  const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
  if ((x === $thiz)) {
    return true
  } else {
    const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
    if ((x$3 === $thiz)) {
      return true
    } else {
      const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
      if ((x$5 === $thiz)) {
        return true
      } else {
        const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
        return (x$7 === $thiz)
      }
    }
  }
});
const $f_Lamf_plugins_domain_shapes_models_TypeDef__isNil__Z = (function($thiz) {
  const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
  return (x === $thiz)
});
const $is_Lamf_plugins_domain_shapes_models_TypeDef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_TypeDef)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_TypeDef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_TypeDef)))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement = (function($thiz, comparison, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lnum = x2.toNumber__jl_Number();
      const rnum = rvalue.toNumber__jl_Number();
      if ((comparison === "max")) {
        return (($numberIntValue(lnum) <= $numberIntValue(rnum)) ? rvalue : lvalue)
      } else if ((comparison === "min")) {
        return (($numberIntValue(lnum) >= $numberIntValue(rnum)) ? rvalue : lvalue)
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown numeric comparison ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([comparison]))))
      }
    }
  };
  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Cannot compare non numeric or missing values")
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrow__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement = (function($thiz, field, baseValue, superValue) {
  const x = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
  if (((x === null) ? (field === null) : x.equals__O__Z(field))) {
    const baseStrValue = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__stringValue__Lamf_core_model_domain_AmfElement__s_Option($thiz, baseValue);
    const superStrValue = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__stringValue__Lamf_core_model_domain_AmfElement__s_Option($thiz, superValue);
    let jsx$1;
    if (superStrValue.isDefined__Z()) {
      if (baseStrValue.isEmpty__Z()) {
        jsx$1 = true
      } else {
        const x$3 = baseStrValue.get__O();
        jsx$1 = ((x$3 !== null) && $objectEquals(x$3, "schema"))
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return superValue
    } else {
      return baseValue
    }
  } else {
    const x$5 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    if (((x$5 === null) ? (field === null) : x$5.equals__O__Z(field))) {
      if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
        return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
      } else {
        throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for min-properties than base type for minProperties")
      }
    } else {
      const x$7 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
      if (((x$7 === null) ? (field === null) : x$7.equals__O__Z(field))) {
        if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
          return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
        } else {
          throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for max-properties than base type for maxProperties")
        }
      } else {
        const x$9 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
        if (((x$9 === null) ? (field === null) : x$9.equals__O__Z(field))) {
          if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
            return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
          } else {
            throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for min-length than base type for maxProperties")
          }
        } else {
          const x$11 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
          if (((x$11 === null) ? (field === null) : x$11.equals__O__Z(field))) {
            if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
              return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
            } else {
              throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for max-length than base type for maxProperties")
            }
          } else {
            const x$13 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
            if (((x$13 === null) ? (field === null) : x$13.equals__O__Z(field))) {
              if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
                return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
              } else {
                throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for min-minimum than base type for minimum")
              }
            } else {
              const x$15 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
              if (((x$15 === null) ? (field === null) : x$15.equals__O__Z(field))) {
                if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
                  return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
                } else {
                  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for maximum than base type for maximum")
                }
              } else {
                const x$17 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
                if (((x$17 === null) ? (field === null) : x$17.equals__O__Z(field))) {
                  if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
                    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
                  } else {
                    throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for minItems than base type for minItems")
                  }
                } else {
                  const x$19 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
                  if (((x$19 === null) ? (field === null) : x$19.equals__O__Z(field))) {
                    if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
                      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
                    } else {
                      throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for maxItems than base type for maxItems")
                    }
                  } else {
                    const x$21 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
                    if (((x$21 === null) ? (field === null) : x$21.equals__O__Z(field))) {
                      if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                        return baseValue
                      } else {
                        throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for format constraint")
                      }
                    } else {
                      const x$23 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
                      if (((x$23 === null) ? (field === null) : x$23.equals__O__Z(field))) {
                        if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                          return baseValue
                        } else {
                          throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for pattern constraint")
                        }
                      } else {
                        const x$25 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
                        if (((x$25 === null) ? (field === null) : x$25.equals__O__Z(field))) {
                          if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                            return baseValue
                          } else {
                            throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for discriminator constraint")
                          }
                        } else {
                          const x$27 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
                          if (((x$27 === null) ? (field === null) : x$27.equals__O__Z(field))) {
                            if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                              return baseValue
                            } else {
                              throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for discriminator value constraint")
                            }
                          } else {
                            const x$29 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
                            if (((x$29 === null) ? (field === null) : x$29.equals__O__Z(field))) {
                              const jsx$3 = baseValue.values$1;
                              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
                                return (function(x$1$2) {
                                  const x$1 = x$1$2;
                                  return x$1.toString__T()
                                })
                              })($thiz));
                              const this$1 = $m_sc_Seq$();
                              const baseEnumeration = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$1.ReusableCBFInstance$2);
                              const jsx$5 = superValue.values$1;
                              const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
                                return (function(x$2$2$2) {
                                  const x$2$2 = x$2$2$2;
                                  return x$2$2.toString__T()
                                })
                              })($thiz));
                              const this$3 = $m_sc_Seq$();
                              const superEnumeration = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$3.ReusableCBFInstance$2);
                              if (superEnumeration.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, baseEnumeration$1) {
                                return (function(e$2) {
                                  const e = e$2;
                                  return baseEnumeration$1.contains__O__Z(e)
                                })
                              })($thiz, baseEnumeration)))) {
                                return baseValue
                              } else {
                                throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Values in super type not found in the subtype enumeration")
                              }
                            } else {
                              const x$31 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
                              if (((x$31 === null) ? (field === null) : x$31.equals__O__Z(field))) {
                                if ((($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, true, true, superValue, baseValue) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, false, false, superValue, baseValue)) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, false, true, superValue, baseValue))) {
                                  return baseValue
                                } else {
                                  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for unique items constraint")
                                }
                              } else {
                                const x$33 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                                if (((x$33 === null) ? (field === null) : x$33.equals__O__Z(field))) {
                                  if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, "<=", superValue, baseValue)) {
                                    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "max", superValue, baseValue)
                                  } else {
                                    throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for minCount than base type for minCount")
                                  }
                                } else {
                                  const x$35 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1;
                                  if (((x$35 === null) ? (field === null) : x$35.equals__O__Z(field))) {
                                    if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, ">=", superValue, baseValue)) {
                                      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericRestriction__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($thiz, "min", superValue, baseValue)
                                    } else {
                                      throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Resolution error: sub type has a weaker constraint for maxCount than base type for maxCount")
                                    }
                                  } else {
                                    const x$37 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
                                    if (((x$37 === null) ? (field === null) : x$37.equals__O__Z(field))) {
                                      if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                                        return baseValue
                                      } else {
                                        throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for discriminator value path")
                                      }
                                    } else {
                                      const x$39 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
                                      if (((x$39 === null) ? (field === null) : x$39.equals__O__Z(field))) {
                                        if ($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, superValue, baseValue)) {
                                          return baseValue
                                        } else {
                                          throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("different values for discriminator value range")
                                        }
                                      } else {
                                        const x$41 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
                                        if (((x$41 === null) ? (field === null) : x$41.equals__O__Z(field))) {
                                          if ((($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, true, true, superValue, baseValue) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, false, false, superValue, baseValue)) || $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z($thiz, true, false, superValue, baseValue))) {
                                            return baseValue
                                          } else {
                                            throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("closed shapes cannot inherit from open shapes")
                                          }
                                        } else {
                                          return baseValue
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeBooleanComparison__Z__Z__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z = (function($thiz, lcomparison, rcomparison, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lbool = x2.toBool__Z();
      const rbool = rvalue.toBool__Z();
      return ((lbool === lcomparison) && (rbool === rcomparison))
    }
  };
  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Cannot compare non boolean or missing values")
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNumericComparison__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z = (function($thiz, comparison, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lnum = x2.toNumber__jl_Number();
      const rnum = rvalue.toNumber__jl_Number();
      if ((comparison === "<=")) {
        return ($numberIntValue(lnum) <= $numberIntValue(rnum))
      } else if ((comparison === ">=")) {
        return ($numberIntValue(lnum) >= $numberIntValue(rnum))
      } else {
        throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown numeric comparison ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([comparison])))
      }
    }
  };
  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Cannot compare non numeric or missing values")
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape = (function($thiz, restriction, shape) {
  const this$1 = restriction.fields__Lamf_core_parser_Fields();
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shape$1) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const field = x0$1.$$und1__O();
        const baseValue = x0$1.$$und2__O();
        const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
        if ((!((field === null) ? (x$2 === null) : field.equals__O__Z(x$2)))) {
          const x1$2 = $m_s_Option$().apply__O__s_Option(shape$1.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field));
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const superValue = x2.value$2;
            const baseValue$1 = baseValue.value$1;
            const superValue$1 = superValue.value$1;
            const value = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrow__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($this, field, baseValue$1, superValue$1);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(shape$1, field, value)
          } else {
            const x$3 = $m_s_None$();
            if ((!(x$3 === x1$2))) {
              throw new $c_s_MatchError().init___O(x1$2)
            };
            shape$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, baseValue.value$1, baseValue.annotations$1)
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz, shape));
  this$1.fs$1.foreach__F1__V(fn);
  return shape
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeStringEquality__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Z = (function($thiz, lvalue, rvalue) {
  if ($is_Lamf_core_model_domain_AmfScalar(lvalue)) {
    const x2 = lvalue;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(rvalue)) && $m_s_Option$().apply__O__s_Option(rvalue.value$1).isDefined__Z())) {
      const lstr = x2.toString__T();
      const rstr = rvalue.toString__T();
      return (lstr === rstr)
    }
  };
  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Cannot compare non numeric or missing values")
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape = (function($thiz, fields, baseShape, superShape, filteredFields) {
  fields.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, baseShape$1, superShape$1, filteredFields$1) {
    return (function(f$2) {
      const f = f$2;
      if ((!filteredFields$1.contains__O__Z(f))) {
        const baseValue = $m_s_Option$().apply__O__s_Option(baseShape$1.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(f));
        const superValue = $m_s_Option$().apply__O__s_Option(superShape$1.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(f));
        let rc6 = false;
        let x2 = null;
        if ($is_s_Some(baseValue)) {
          rc6 = true;
          x2 = baseValue;
          const bvalue = x2.value$2;
          if (superValue.isEmpty__Z()) {
            const value = bvalue.value$1;
            const annotations = bvalue.annotations$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(baseShape$1, f, value, annotations)
          }
        };
        const x = $m_s_None$();
        if (((x === baseValue) && superValue.isDefined__Z())) {
          const finalAnnotations = $m_Lamf_core_parser_Annotations$().apply__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(superValue.get__O().annotations$1);
          if ($this.keepEditingInfo__Z()) {
            $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__inheritAnnotations__Lamf_core_parser_Annotations__Lamf_core_model_domain_Shape__Lamf_core_parser_Annotations($this, finalAnnotations, superShape$1)
          };
          const value$1 = superValue.get__O().value$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(baseShape$1, f, value$1, finalAnnotations)
        };
        if (rc6) {
          const bvalue$2 = x2.value$2;
          if (superValue.isDefined__Z()) {
            const baseValue$1 = bvalue$2.value$1;
            const superValue$1 = superValue.get__O().value$1;
            const finalValue = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrow__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement($this, f, baseValue$1, superValue$1);
            const finalAnnotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(bvalue$2.annotations$1);
            const x$4 = bvalue$2.value$1;
            if (((!((finalValue === null) ? (x$4 === null) : finalValue.equals__O__Z(x$4))) && $this.keepEditingInfo__Z())) {
              $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__inheritAnnotations__Lamf_core_parser_Annotations__Lamf_core_model_domain_Shape__Lamf_core_parser_Annotations($this, finalAnnotations$2, superShape$1)
            };
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(baseShape$1, f, finalValue, finalAnnotations$2)
          }
        };
        return (void 0)
      } else {
        return (void 0)
      }
    })
  })($thiz, baseShape, superShape, filteredFields)));
  return baseShape
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__stringValue__Lamf_core_model_domain_AmfElement__s_Option = (function($thiz, value) {
  if ($is_Lamf_core_model_domain_AmfScalar(value)) {
    const x2 = value;
    if ((($m_s_Option$().apply__O__s_Option(x2.value$1).isDefined__Z() && $is_Lamf_core_model_domain_AmfScalar(value)) && $m_s_Option$().apply__O__s_Option(value.value$1).isDefined__Z())) {
      return new $c_s_Some().init___O(x2.toString__T())
    }
  };
  return $m_s_None$()
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__inheritAnnotations__Lamf_core_parser_Annotations__Lamf_core_model_domain_Shape__Lamf_core_parser_Annotations = (function($thiz, annotations, from) {
  if ((!annotations.contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance.getClassOf()))) {
    annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance().init___T(from.id$1))
  };
  return annotations
});
const $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withResourceType__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = (function($thiz, name) {
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$4 = new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1;
  const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
  const jsx$2 = $thiz.id__T();
  const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/resourceType/", ""]));
  const this$6 = new $c_Lamf_core_utils_package$Strings().init___T(name);
  const this$7 = this$6.platform$1;
  const url = this$6.str$1;
  const value = (("" + jsx$2) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$7, url)])));
  const result = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value);
  const this$9 = $thiz;
  const field$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$9, field$1, result);
  return result
});
const $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = (function($thiz, name) {
  const annotations = new $c_Lamf_core_parser_Annotations().init___();
  const this$4 = new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1;
  const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
  const jsx$2 = $thiz.id__T();
  const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/trait/", ""]));
  const this$6 = new $c_Lamf_core_utils_package$Strings().init___T(name);
  const this$7 = this$6.platform$1;
  const url = this$6.str$1;
  const value = (("" + jsx$2) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$7, url)])));
  const result = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value);
  const this$9 = $thiz;
  const field$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$9, field$1, result);
  return result
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq = (function($thiz, node, property) {
  const this$1 = node.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
  const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1) {
    return (function(x$4$2) {
      const x$4 = x$4$2;
      const this$2 = x$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$3 = this$2.option$1;
      return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === property$1)
    })
  })($thiz, property)));
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const profileProperty = x2.value$2;
    if (node.literalProperties$1.contains__O__Z(profileProperty.id$1)) {
      return node.literalProperties$1.apply__O__O(profileProperty.id$1)
    }
  };
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O = (function($thiz, message, x) {
  if ($is_s_Some(x)) {
    const x2 = x;
    const e = x2.value$2;
    return e
  } else {
    const x$2 = $m_s_None$();
    if ((x$2 === x)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Missing mandatory property '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([message]))))
    } else {
      throw new $c_s_MatchError().init___O(x)
    }
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option = (function($thiz, node, property) {
  let rc5 = false;
  let x2 = null;
  const this$1 = node.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
  const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      const this$2 = x$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$3 = this$2.option$1;
      return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === property$1)
    })
  })($thiz, property)));
  if ($is_s_Some(x1)) {
    rc5 = true;
    x2 = x1;
    const profileProperty = x2.value$2;
    if (node.literalProperties$1.contains__O__Z(profileProperty.id$1)) {
      const this$4 = node.literalProperties$1.get__O__s_Option(profileProperty.id$1);
      if (this$4.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$4.get__O();
        return new $c_s_Some().init___O($objectToString(arg1))
      }
    }
  };
  if (rc5) {
    const profileProperty$2 = x2.value$2;
    const jsx$1 = node.mapKeyProperties$1;
    const this$5 = profileProperty$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
    const this$6 = this$5.option$1;
    if (jsx$1.contains__O__Z((this$6.isEmpty__Z() ? null : this$6.get__O()))) {
      const jsx$2 = node.mapKeyProperties$1;
      const this$7 = profileProperty$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$8 = this$7.option$1;
      const this$9 = jsx$2.get__O__s_Option((this$8.isEmpty__Z() ? null : this$8.get__O()));
      if (this$9.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$9.get__O();
        return new $c_s_Some().init___O($objectToString(arg1$1))
      }
    }
  };
  return $m_s_None$()
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__expand__T__scm_Map__T = (function($thiz, value, prefixes) {
  const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(value, "\\.", 0);
  const this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
  const valuePrefix = $f_sc_IndexedSeqOptimized__head__O(this$3);
  const x1 = prefixes.get__O__s_Option(valuePrefix);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const uri = x2.value$2;
    const target = (valuePrefix + ".");
    return value.split(target).join(uri)
  } else {
    return value
  }
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__prefixes__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__scm_Map = (function($thiz, node) {
  const prefixMap = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  const this$1 = node.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
  const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$7$2) {
      const x$7 = x$7$2;
      const this$2 = x$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$3 = this$2.option$1;
      return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === "prefixes")
    })
  })($thiz)));
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const prefixesProperty = x2.value$2;
    const this$4 = node.objectCollectionProperties$1.get__O__s_Option(prefixesProperty.id$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const prefixes = arg1;
      prefixes.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, prefixMap$1) {
        return (function(prefixEntity$2) {
          const prefixEntity = prefixEntity$2;
          const this$5 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option($this$1, prefixEntity, "prefix");
          const prefix = (this$5.isEmpty__Z() ? "" : this$5.get__O());
          const this$6 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option($this$1, prefixEntity, "uri");
          const prefixUri = (this$6.isEmpty__Z() ? "" : this$6.get__O());
          return prefixMap$1.put__O__O__s_Option(prefix, prefixUri)
        })
      })($thiz, prefixMap)))
    }
  };
  return prefixMap
});
const $f_Lamf_plugins_features_validation_model_DialectWrapper__mapEntities__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__F1__sc_Seq = (function($thiz, node, property, f) {
  const this$1 = node.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
  const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1) {
    return (function(x$5$2) {
      const x$5 = x$5$2;
      const this$2 = x$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$3 = this$2.option$1;
      return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === property$1)
    })
  })($thiz, property)));
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const profileProperty = x2.value$2;
    if (node.objectCollectionProperties$1.contains__O__Z(profileProperty.id$1)) {
      const jsx$1 = node.objectCollectionProperties$1.apply__O__O(profileProperty.id$1);
      const this$4 = $m_sc_Seq$();
      return jsx$1.map__F1__scg_CanBuildFrom__O(f, this$4.ReusableCBFInstance$2)
    }
  };
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
});
const $is_Ljava_io_Closeable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_io_Closeable)))
});
const $isArrayOf_Ljava_io_Closeable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_io_Closeable)))
});
const $is_Lorg_mulesoft_lexer_LexerInput$Mark = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_LexerInput$Mark)))
});
const $isArrayOf_Lorg_mulesoft_lexer_LexerInput$Mark = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_LexerInput$Mark)))
});
const $f_Lorg_yaml_model_YPart__$$init$__V = (function($thiz) {
  $thiz.org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(($thiz.children__sc_IndexedSeq().isEmpty__Z() ? $m_Lorg_mulesoft_lexer_InputRange$().Zero$1 : $thiz.children__sc_IndexedSeq().head__O().range__Lorg_mulesoft_lexer_InputRange().extent__Lorg_mulesoft_lexer_InputRange__Lorg_mulesoft_lexer_InputRange($thiz.children__sc_IndexedSeq().last__O().range__Lorg_mulesoft_lexer_InputRange())))
});
const $is_Lorg_yaml_model_YPart = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YPart)))
});
const $isArrayOf_Lorg_yaml_model_YPart = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YPart)))
});
const $d_Lorg_yaml_model_YPart = new $TypeData().initClass({
  Lorg_yaml_model_YPart: 0
}, true, "org.yaml.model.YPart", {
  Lorg_yaml_model_YPart: 1
});
const $f_Lscopt_Read__tokensToRead__I = (function($thiz) {
  return (($thiz.arity__I() === 0) ? 0 : 1)
});
const $f_Lscopt_platform$PlatformReadInstances__$$init$__V = (function($thiz) {
  $m_Lscopt_Read$();
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return new $c_Ljava_net_URI().init___T(x$1)
    })
  })($thiz));
  $thiz.uriRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f)
});
class $c_O {
  init___() {
    return this
  };
  equals__O__Z(that) {
    return (this === that)
  };
  toString__T() {
    const jsx$2 = $objectGetClass(this).getName__T();
    const i = this.hashCode__I();
    const x = (+(i >>> 0));
    const jsx$1 = x.toString(16);
    return ((jsx$2 + "@") + jsx$1)
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
  "toString"() {
    return this.toString__T()
  };
}
const $is_O = (function(obj) {
  return (obj !== null)
});
const $isArrayOf_O = (function(obj, depth) {
  const data = (obj && obj.$classData);
  if ((!data)) {
    return false
  } else {
    const arrayDepth = (data.arrayDepth || 0);
    return ((!(arrayDepth < depth)) && ((arrayDepth > depth) || (!data.arrayBase.isPrimitive)))
  }
});
const $d_O = new $TypeData().initClass({
  O: 0
}, false, "java.lang.Object", {
  O: 1
}, (void 0), (void 0), $is_O, $isArrayOf_O);
$c_O.prototype.$classData = $d_O;
const $is_jl_CharSequence = (function(obj) {
  return (!(!(((obj && obj.$classData) && obj.$classData.ancestors.jl_CharSequence) || ((typeof obj) === "string"))))
});
const $isArrayOf_jl_CharSequence = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_CharSequence)))
});
const $is_jl_Comparable = (function(obj) {
  return (!(!(((((obj && obj.$classData) && obj.$classData.ancestors.jl_Comparable) || ((typeof obj) === "string")) || ((typeof obj) === "number")) || ((typeof obj) === "boolean"))))
});
const $isArrayOf_jl_Comparable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Comparable)))
});
const $is_jl_Runnable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Runnable)))
});
const $isArrayOf_jl_Runnable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Runnable)))
});
const $is_ju_Formattable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.ju_Formattable)))
});
const $isArrayOf_ju_Formattable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.ju_Formattable)))
});
const $f_s_Proxy__equals__O__Z = (function($thiz, that) {
  return ((that !== null) && (((that === $thiz) || (that === $thiz.self__O())) || $objectEquals(that, $thiz.self__O())))
});
const $f_s_Proxy__toString__T = (function($thiz) {
  return ("" + $thiz.self__O())
});
const $is_s_concurrent_BlockContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_BlockContext)))
});
const $isArrayOf_s_concurrent_BlockContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_BlockContext)))
});
const $is_s_concurrent_OnCompleteRunnable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_OnCompleteRunnable)))
});
const $isArrayOf_s_concurrent_OnCompleteRunnable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_OnCompleteRunnable)))
});
const $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise = (function($thiz, cause) {
  const result = new $c_s_util_Failure().init___jl_Throwable(cause);
  return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise($thiz, result)
});
const $f_s_concurrent_Promise__tryCompleteWith__s_concurrent_Future__s_concurrent_Promise = (function($thiz, other) {
  if ((other !== $thiz)) {
    other.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $this.tryComplete__s_util_Try__Z(x$1)
      })
    })($thiz)), $m_s_concurrent_Future$InternalCallbackExecutor$())
  };
  return $thiz
});
const $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise = (function($thiz, result) {
  if ($thiz.tryComplete__s_util_Try__Z(result)) {
    return $thiz
  } else {
    throw new $c_jl_IllegalStateException().init___T("Promise already completed.")
  }
});
const $f_s_concurrent_Promise__success__O__s_concurrent_Promise = (function($thiz, value) {
  const result = new $c_s_util_Success().init___O(value);
  return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise($thiz, result)
});
const $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveEquals__O__Z = (function($thiz, x) {
  if ($is_jl_Character(x)) {
    let x2;
    if ((x === null)) {
      x2 = 0
    } else {
      const this$2 = x;
      x2 = this$2.value$1
    };
    return ($thiz.isValidChar__Z() && ($thiz.intValue__I() === x2))
  } else if ($isByte(x)) {
    const x3 = (x | 0);
    return ($thiz.isValidByte__Z() && ($thiz.byteValue__B() === x3))
  } else if ($isShort(x)) {
    const x4 = (x | 0);
    return ($thiz.isValidShort__Z() && ($thiz.shortValue__S() === x4))
  } else if ($isInt(x)) {
    const x5 = (x | 0);
    return ($thiz.isValidInt__Z() && ($thiz.intValue__I() === x5))
  } else if ($is_sjsr_RuntimeLong(x)) {
    const t = $uJ(x);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const t$1 = $thiz.longValue__J();
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    return ((lo$1 === lo) && (hi$1 === hi))
  } else if ($isFloat(x)) {
    const x7 = (+x);
    return ($thiz.floatValue__F() === x7)
  } else if (((typeof x) === "number")) {
    const x8 = (+x);
    return ($thiz.doubleValue__D() === x8)
  } else {
    return false
  }
});
const $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveHashcode__I = (function($thiz) {
  const t = $thiz.longValue__J();
  const lo = t.lo$2;
  const hi = t.hi$2;
  return ((((hi === (-1)) ? (((-2147483648) ^ lo) >= 0) : (hi > (-1))) && ((hi === 0) ? (((-2147483648) ^ lo) <= (-1)) : (hi < 0))) ? lo : $m_sr_Statics$().longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi)))
});
const $f_s_util_control_NoStackTrace__fillInStackTrace__jl_Throwable = (function($thiz) {
  const this$1 = $m_s_util_control_NoStackTrace$();
  if (this$1.$$undnoSuppression$1) {
    return $c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable.call($thiz)
  } else {
    return $thiz
  }
});
const $f_s_util_matching_Regex$MatchData__matched__T = (function($thiz) {
  return (($thiz.start__I() >= 0) ? $objectToString($charSequenceSubSequence($thiz.source__jl_CharSequence(), $thiz.start__I(), $thiz.end__I())) : null)
});
const $f_s_util_matching_Regex$MatchData__group__I__T = (function($thiz, i) {
  return (($thiz.start__I__I(i) >= 0) ? $objectToString($charSequenceSubSequence($thiz.source__jl_CharSequence(), $thiz.start__I__I(i), $thiz.end__I__I(i))) : null)
});
const $f_s_util_matching_Regex$Replacement__replaced__T = (function($thiz) {
  const newsb = new $c_jl_StringBuffer().init___jl_CharSequence($thiz.scala$util$matching$Regex$Replacement$$sb$2);
  $thiz.matcher__ju_regex_Matcher().appendTail__jl_StringBuffer__jl_StringBuffer(newsb);
  return newsb.content$1
});
const $is_sc_GenTraversableOnce = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversableOnce)))
});
const $isArrayOf_sc_GenTraversableOnce = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversableOnce)))
});
const $f_sc_ViewMkString__mkString__T__T__T__T = (function($thiz, start, sep, end) {
  const this$1 = $f_sc_ViewMkString__thisSeq__sc_Seq($thiz).addString__scm_StringBuilder__T__T__T__scm_StringBuilder(new $c_scm_StringBuilder().init___(), start, sep, end);
  const this$2 = this$1.underlying$5;
  return this$2.content$1
});
const $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function($thiz, b, start, sep, end) {
  const first = new $c_sr_BooleanRef().init___Z(true);
  b.append__T__scm_StringBuilder(start);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, sep$1, first$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        first$1.elem$1 = false
      } else {
        b$1.append__T__scm_StringBuilder(sep$1)
      };
      return b$1.append__O__scm_StringBuilder(x$2)
    })
  })($thiz, b, sep, first)));
  b.append__T__scm_StringBuilder(end);
  return b
});
const $f_sc_ViewMkString__thisSeq__sc_Seq = (function($thiz) {
  return new $c_scm_ArrayBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer($thiz)
});
const $f_scg_Shrinkable__$$minus$minus$eq__sc_TraversableOnce__scg_Shrinkable = (function($thiz, xs) {
  xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(elem$2) {
      return $this.$$minus$eq__O__scg_Shrinkable(elem$2)
    })
  })($thiz)));
  return $thiz
});
const $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable = (function($thiz, xs) {
  const x$1 = $thiz.repr__scg_Subtractable();
  return xs.seq__sc_TraversableOnce().$$div$colon__O__F2__O(x$1, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(x$2$2, x$3$2) {
      const x$2 = x$2$2;
      return x$2.$$minus__O__scg_Subtractable(x$3$2)
    })
  })($thiz)))
});
const $is_scg_Subtractable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_Subtractable)))
});
const $isArrayOf_scg_Subtractable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_Subtractable)))
});
const $f_sci_VectorPointer__copyOf__AO__AO = (function($thiz, a) {
  const copy = $newArrayObject($d_O.getArrayOf(), [a.u.length]);
  $systemArraycopy(a, 0, copy, 0, a.u.length);
  return copy
});
const $f_sci_VectorPointer__gotoNextBlockStart__I__I__V = (function($thiz, index, xor) {
  if ((xor < 1024)) {
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
  } else if ((xor < 32768)) {
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else if ((xor < 1048576)) {
    $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[0]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else if ((xor < 33554432)) {
    $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((index >>> 20) | 0))]);
    $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[0]);
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[0]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else if ((xor < 1073741824)) {
    $thiz.display4$und$eq__AO__V($thiz.display5__AO().u[(31 & ((index >>> 25) | 0))]);
    $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[0]);
    $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[0]);
    $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[0]);
    $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[0])
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_sci_VectorPointer__gotoFreshPosWritable1__I__I__I__V = (function($thiz, oldIndex, newIndex, xor) {
  $f_sci_VectorPointer__stabilize__I__V($thiz, oldIndex);
  $f_sci_VectorPointer__gotoFreshPosWritable0__I__I__I__V($thiz, oldIndex, newIndex, xor)
});
const $f_sci_VectorPointer__getElem__I__I__O = (function($thiz, index, xor) {
  if ((xor < 32)) {
    return $thiz.display0__AO().u[(31 & index)]
  } else if ((xor < 1024)) {
    return $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 32768)) {
    return $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 1048576)) {
    return $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))].u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 33554432)) {
    return $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))].u[(31 & ((index >>> 15) | 0))].u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else if ((xor < 1073741824)) {
    return $thiz.display5__AO().u[(31 & ((index >>> 25) | 0))].u[(31 & ((index >>> 20) | 0))].u[(31 & ((index >>> 15) | 0))].u[(31 & ((index >>> 10) | 0))].u[(31 & ((index >>> 5) | 0))].u[(31 & index)]
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_sci_VectorPointer__gotoFreshPosWritable0__I__I__I__V = (function($thiz, oldIndex, newIndex, xor) {
  if ((xor >= 32)) {
    if ((xor < 1024)) {
      if (($thiz.depth__I() === 1)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 32768)) {
      if (($thiz.depth__I() === 2)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 1048576)) {
      if (($thiz.depth__I() === 3)) {
        $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((newIndex >>> 15) | 0))]);
      if (($thiz.display2__AO() === null)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 33554432)) {
      if (($thiz.depth__I() === 4)) {
        $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display4__AO().u[(31 & ((oldIndex >>> 20) | 0))] = $thiz.display3__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((newIndex >>> 20) | 0))]);
      if (($thiz.display3__AO() === null)) {
        $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((newIndex >>> 15) | 0))]);
      if (($thiz.display2__AO() === null)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else if ((xor < 1073741824)) {
      if (($thiz.depth__I() === 5)) {
        $thiz.display5$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
        $thiz.display5__AO().u[(31 & ((oldIndex >>> 25) | 0))] = $thiz.display4__AO();
        $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
      };
      $thiz.display4$und$eq__AO__V($thiz.display5__AO().u[(31 & ((newIndex >>> 25) | 0))]);
      if (($thiz.display4__AO() === null)) {
        $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((newIndex >>> 20) | 0))]);
      if (($thiz.display3__AO() === null)) {
        $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((newIndex >>> 15) | 0))]);
      if (($thiz.display2__AO() === null)) {
        $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((newIndex >>> 10) | 0))]);
      if (($thiz.display1__AO() === null)) {
        $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
      };
      $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]))
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  }
});
const $f_sci_VectorPointer__gotoPosWritable1__I__I__I__V = (function($thiz, oldIndex, newIndex, xor) {
  if ((xor < 32)) {
    const a = $thiz.display0__AO();
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a))
  } else if ((xor < 1024)) {
    const a$1 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$1));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    const array = $thiz.display1__AO();
    const index = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array, index))
  } else if ((xor < 32768)) {
    const a$2 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$2));
    const a$3 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$3));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    const array$1 = $thiz.display2__AO();
    const index$1 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$1, index$1));
    const array$2 = $thiz.display1__AO();
    const index$2 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$2, index$2))
  } else if ((xor < 1048576)) {
    const a$4 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$4));
    const a$5 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$5));
    const a$6 = $thiz.display3__AO();
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$6));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
    const array$3 = $thiz.display3__AO();
    const index$3 = (31 & ((newIndex >>> 15) | 0));
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$3, index$3));
    const array$4 = $thiz.display2__AO();
    const index$4 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$4, index$4));
    const array$5 = $thiz.display1__AO();
    const index$5 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$5, index$5))
  } else if ((xor < 33554432)) {
    const a$7 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$7));
    const a$8 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$8));
    const a$9 = $thiz.display3__AO();
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$9));
    const a$10 = $thiz.display4__AO();
    $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$10));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((oldIndex >>> 20) | 0))] = $thiz.display3__AO();
    const array$6 = $thiz.display4__AO();
    const index$6 = (31 & ((newIndex >>> 20) | 0));
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$6, index$6));
    const array$7 = $thiz.display3__AO();
    const index$7 = (31 & ((newIndex >>> 15) | 0));
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$7, index$7));
    const array$8 = $thiz.display2__AO();
    const index$8 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$8, index$8));
    const array$9 = $thiz.display1__AO();
    const index$9 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$9, index$9))
  } else if ((xor < 1073741824)) {
    const a$11 = $thiz.display1__AO();
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$11));
    const a$12 = $thiz.display2__AO();
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$12));
    const a$13 = $thiz.display3__AO();
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$13));
    const a$14 = $thiz.display4__AO();
    $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$14));
    const a$15 = $thiz.display5__AO();
    $thiz.display5$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$15));
    $thiz.display1__AO().u[(31 & ((oldIndex >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((oldIndex >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((oldIndex >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((oldIndex >>> 20) | 0))] = $thiz.display3__AO();
    $thiz.display5__AO().u[(31 & ((oldIndex >>> 25) | 0))] = $thiz.display4__AO();
    const array$10 = $thiz.display5__AO();
    const index$10 = (31 & ((newIndex >>> 25) | 0));
    $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$10, index$10));
    const array$11 = $thiz.display4__AO();
    const index$11 = (31 & ((newIndex >>> 20) | 0));
    $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$11, index$11));
    const array$12 = $thiz.display3__AO();
    const index$12 = (31 & ((newIndex >>> 15) | 0));
    $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$12, index$12));
    const array$13 = $thiz.display2__AO();
    const index$13 = (31 & ((newIndex >>> 10) | 0));
    $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$13, index$13));
    const array$14 = $thiz.display1__AO();
    const index$14 = (31 & ((newIndex >>> 5) | 0));
    $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$14, index$14))
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_sci_VectorPointer__copyRange__AO__I__I__AO = (function($thiz, array, oldLeft, newLeft) {
  const elems = $newArrayObject($d_O.getArrayOf(), [32]);
  $systemArraycopy(array, oldLeft, elems, newLeft, ((32 - ((newLeft > oldLeft) ? newLeft : oldLeft)) | 0));
  return elems
});
const $f_sci_VectorPointer__gotoPos__I__I__V = (function($thiz, index, xor) {
  if ((xor >= 32)) {
    if ((xor < 1024)) {
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 32768)) {
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 1048576)) {
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 33554432)) {
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((index >>> 20) | 0))]);
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else if ((xor < 1073741824)) {
      $thiz.display4$und$eq__AO__V($thiz.display5__AO().u[(31 & ((index >>> 25) | 0))]);
      $thiz.display3$und$eq__AO__V($thiz.display4__AO().u[(31 & ((index >>> 20) | 0))]);
      $thiz.display2$und$eq__AO__V($thiz.display3__AO().u[(31 & ((index >>> 15) | 0))]);
      $thiz.display1$und$eq__AO__V($thiz.display2__AO().u[(31 & ((index >>> 10) | 0))]);
      $thiz.display0$und$eq__AO__V($thiz.display1__AO().u[(31 & ((index >>> 5) | 0))])
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  }
});
const $f_sci_VectorPointer__gotoPosWritable0__I__I__V = (function($thiz, newIndex, xor) {
  const x1 = (((-1) + $thiz.depth__I()) | 0);
  switch (x1) {
    case 5: {
      const a = $thiz.display5__AO();
      $thiz.display5$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a));
      const array = $thiz.display5__AO();
      const index = (31 & ((newIndex >>> 25) | 0));
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array, index));
      const array$1 = $thiz.display4__AO();
      const index$1 = (31 & ((newIndex >>> 20) | 0));
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$1, index$1));
      const array$2 = $thiz.display3__AO();
      const index$2 = (31 & ((newIndex >>> 15) | 0));
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$2, index$2));
      const array$3 = $thiz.display2__AO();
      const index$3 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$3, index$3));
      const array$4 = $thiz.display1__AO();
      const index$4 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$4, index$4));
      break
    }
    case 4: {
      const a$1 = $thiz.display4__AO();
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$1));
      const array$5 = $thiz.display4__AO();
      const index$5 = (31 & ((newIndex >>> 20) | 0));
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$5, index$5));
      const array$6 = $thiz.display3__AO();
      const index$6 = (31 & ((newIndex >>> 15) | 0));
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$6, index$6));
      const array$7 = $thiz.display2__AO();
      const index$7 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$7, index$7));
      const array$8 = $thiz.display1__AO();
      const index$8 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$8, index$8));
      break
    }
    case 3: {
      const a$2 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$2));
      const array$9 = $thiz.display3__AO();
      const index$9 = (31 & ((newIndex >>> 15) | 0));
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$9, index$9));
      const array$10 = $thiz.display2__AO();
      const index$10 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$10, index$10));
      const array$11 = $thiz.display1__AO();
      const index$11 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$11, index$11));
      break
    }
    case 2: {
      const a$3 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$3));
      const array$12 = $thiz.display2__AO();
      const index$12 = (31 & ((newIndex >>> 10) | 0));
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$12, index$12));
      const array$13 = $thiz.display1__AO();
      const index$13 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$13, index$13));
      break
    }
    case 1: {
      const a$4 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$4));
      const array$14 = $thiz.display1__AO();
      const index$14 = (31 & ((newIndex >>> 5) | 0));
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO($thiz, array$14, index$14));
      break
    }
    case 0: {
      const a$5 = $thiz.display0__AO();
      $thiz.display0$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$5));
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_sci_VectorPointer__stabilize__I__V = (function($thiz, index) {
  const x1 = (((-1) + $thiz.depth__I()) | 0);
  switch (x1) {
    case 5: {
      const a = $thiz.display5__AO();
      $thiz.display5$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a));
      const a$1 = $thiz.display4__AO();
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$1));
      const a$2 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$2));
      const a$3 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$3));
      const a$4 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$4));
      $thiz.display5__AO().u[(31 & ((index >>> 25) | 0))] = $thiz.display4__AO();
      $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO();
      $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 4: {
      const a$5 = $thiz.display4__AO();
      $thiz.display4$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$5));
      const a$6 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$6));
      const a$7 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$7));
      const a$8 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$8));
      $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO();
      $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 3: {
      const a$9 = $thiz.display3__AO();
      $thiz.display3$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$9));
      const a$10 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$10));
      const a$11 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$11));
      $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 2: {
      const a$12 = $thiz.display2__AO();
      $thiz.display2$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$12));
      const a$13 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$13));
      $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 1: {
      const a$14 = $thiz.display1__AO();
      $thiz.display1$und$eq__AO__V($f_sci_VectorPointer__copyOf__AO__AO($thiz, a$14));
      $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
      break
    }
    case 0: {
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_sci_VectorPointer__nullSlotAndCopy__AO__I__AO = (function($thiz, array, index) {
  const x = array.u[index];
  array.u[index] = null;
  const a = x;
  return $f_sci_VectorPointer__copyOf__AO__AO($thiz, a)
});
const $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V = (function($thiz, that, depth) {
  $thiz.depth$und$eq__I__V(depth);
  const x1 = (((-1) + depth) | 0);
  switch (x1) {
    case (-1): {
      break
    }
    case 0: {
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 1: {
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 2: {
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 3: {
      $thiz.display3$und$eq__AO__V(that.display3__AO());
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 4: {
      $thiz.display4$und$eq__AO__V(that.display4__AO());
      $thiz.display3$und$eq__AO__V(that.display3__AO());
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 5: {
      $thiz.display5$und$eq__AO__V(that.display5__AO());
      $thiz.display4$und$eq__AO__V(that.display4__AO());
      $thiz.display3$und$eq__AO__V(that.display3__AO());
      $thiz.display2$und$eq__AO__V(that.display2__AO());
      $thiz.display1$und$eq__AO__V(that.display1__AO());
      $thiz.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_sci_VectorPointer__gotoNextBlockStartWritable__I__I__V = (function($thiz, index, xor) {
  if ((xor < 1024)) {
    if (($thiz.depth__I() === 1)) {
      $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display1__AO().u[0] = $thiz.display0__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO()
  } else if ((xor < 32768)) {
    if (($thiz.depth__I() === 2)) {
      $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display2__AO().u[0] = $thiz.display1__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO()
  } else if ((xor < 1048576)) {
    if (($thiz.depth__I() === 3)) {
      $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display3__AO().u[0] = $thiz.display2__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO()
  } else if ((xor < 33554432)) {
    if (($thiz.depth__I() === 4)) {
      $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display4__AO().u[0] = $thiz.display3__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO()
  } else if ((xor < 1073741824)) {
    if (($thiz.depth__I() === 5)) {
      $thiz.display5$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $thiz.display5__AO().u[0] = $thiz.display4__AO();
      $thiz.depth$und$eq__I__V(((1 + $thiz.depth__I()) | 0))
    };
    $thiz.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $thiz.display1__AO().u[(31 & ((index >>> 5) | 0))] = $thiz.display0__AO();
    $thiz.display2__AO().u[(31 & ((index >>> 10) | 0))] = $thiz.display1__AO();
    $thiz.display3__AO().u[(31 & ((index >>> 15) | 0))] = $thiz.display2__AO();
    $thiz.display4__AO().u[(31 & ((index >>> 20) | 0))] = $thiz.display3__AO();
    $thiz.display5__AO().u[(31 & ((index >>> 25) | 0))] = $thiz.display4__AO()
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
});
const $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O = (function($thiz, elem) {
  return ((elem === null) ? $m_scm_FlatHashTable$NullSentinel$() : elem)
});
const $f_scm_FlatHashTable$HashUtils__entryToElem__O__O = (function($thiz, entry) {
  return ((entry === $m_scm_FlatHashTable$NullSentinel$()) ? null : entry)
});
const $f_scm_FlatHashTable$HashUtils__improve__I__I__I = (function($thiz, hcode, seed) {
  const i = $m_s_util_hashing_package$().byteswap32__I__I(hcode);
  return (((i >>> seed) | 0) | (i << ((-seed) | 0)))
});
const $d_scm_HashEntry = new $TypeData().initClass({
  scm_HashEntry: 0
}, true, "scala.collection.mutable.HashEntry", {
  scm_HashEntry: 1
});
const $f_scm_HashTable$HashUtils__improve__I__I__I = (function($thiz, hcode, seed) {
  const i = $m_s_util_hashing_package$().byteswap32__I__I(hcode);
  return (((i >>> seed) | 0) | (i << ((-seed) | 0)))
});
class $c_Lamf_ProfileNames$ extends $c_O {
  constructor() {
    super();
    this.AMF$1 = null;
    this.OAS$1 = null;
    this.OAS3$1 = null;
    this.RAML$1 = null;
    this.RAML08$1 = null
  };
  init___() {
    this.AMF$1 = "AMF";
    this.OAS$1 = "OpenAPI";
    this.OAS3$1 = "OpenAPI3";
    this.RAML$1 = "RAML";
    this.RAML08$1 = "RAML08";
    return this
  };
}
const $d_Lamf_ProfileNames$ = new $TypeData().initClass({
  Lamf_ProfileNames$: 0
}, false, "amf.ProfileNames$", {
  Lamf_ProfileNames$: 1,
  O: 1
});
$c_Lamf_ProfileNames$.prototype.$classData = $d_Lamf_ProfileNames$;
let $n_Lamf_ProfileNames$ = (void 0);
const $m_Lamf_ProfileNames$ = (function() {
  if ((!$n_Lamf_ProfileNames$)) {
    $n_Lamf_ProfileNames$ = new $c_Lamf_ProfileNames$().init___()
  };
  return $n_Lamf_ProfileNames$
});
class $c_Lamf_client_AMF$ extends $c_O {
  $$js$exported$meth$resolveOas20__Lamf_client_model_document_BaseUnit__O(unit) {
    const this$1 = new $c_Lamf_client_resolve_Oas20Resolver().init___();
    return this$1.resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, $m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1)
  };
  $$js$exported$meth$oas20Parser__O() {
    return new $c_Lamf_client_parse_Oas20Parser().init___()
  };
  init___() {
    return this
  };
  $$js$exported$meth$yamlPayloadParser__O() {
    return new $c_Lamf_client_parse_YamlPayloadParser().init___()
  };
  $$js$exported$meth$amfGraphParser__O() {
    return new $c_Lamf_client_parse_AmfGraphParser().init___()
  };
  $$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    $m_Lamf_Core$();
    return $m_Lamf_client_validate_Validator$().validate__Lamf_client_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$oas20Generator__O() {
    return new $c_Lamf_client_render_Oas20Renderer().init___()
  };
  $$js$exported$meth$raml10Generator__O() {
    return new $c_Lamf_client_render_Raml10Renderer().init___()
  };
  $$js$exported$meth$ramlParser__O() {
    return new $c_Lamf_client_parse_RamlParser().init___()
  };
  $$js$exported$meth$resolveAmfGraph__Lamf_client_model_document_BaseUnit__O(unit) {
    const this$1 = new $c_Lamf_client_resolve_AmfGraphResolver().init___();
    return this$1.resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, $m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1)
  };
  $$js$exported$meth$init__O() {
    return this.init__sjs_js_Promise()
  };
  $$js$exported$meth$raml08Generator__O() {
    return new $c_Lamf_client_render_Raml08Renderer().init___()
  };
  $$js$exported$meth$resolveRaml08__Lamf_client_model_document_BaseUnit__O(unit) {
    const this$1 = new $c_Lamf_client_resolve_Raml08Resolver().init___();
    return this$1.resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, $m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1)
  };
  $$js$exported$meth$resolveRaml10__Lamf_client_model_document_BaseUnit__O(unit) {
    const this$1 = new $c_Lamf_client_resolve_Raml10Resolver().init___();
    return this$1.resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, $m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1)
  };
  $$js$exported$meth$jsonPayloadParser__O() {
    return new $c_Lamf_client_parse_JsonPayloadParser().init___()
  };
  $$js$exported$meth$raml08Parser__O() {
    return new $c_Lamf_client_parse_Raml08Parser().init___()
  };
  $$js$exported$meth$registerDialect__T__O(url) {
    return $m_Lamf_plugins_document_Vocabularies$().registerDialect__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    $m_Lamf_Core$();
    return $m_Lamf_client_validate_Validator$().loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerNamespace__T__T__O(alias, prefix) {
    return $m_Lamf_Core$().registerNamespace__T__T__Z(alias, prefix)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  $$js$exported$meth$amfGraphGenerator__O() {
    return new $c_Lamf_client_render_AmfGraphRenderer().init___()
  };
  $$js$exported$meth$raml10Parser__O() {
    return new $c_Lamf_client_parse_Raml10Parser().init___()
  };
  init__sjs_js_Promise() {
    $m_Lamf_plugins_document_WebApi$().register__V();
    $m_Lamf_plugins_document_Vocabularies$().register__V();
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_features_validation_AMFValidatorPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin);
    $m_Lamf_Core$();
    const plugin$1 = $m_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$1);
    return $m_Lamf_Core$().init__sjs_js_Promise()
  };
  "yamlPayloadParser"() {
    return this.$$js$exported$meth$yamlPayloadParser__O()
  };
  "jsonPayloadParser"() {
    return this.$$js$exported$meth$jsonPayloadParser__O()
  };
  "resolveAmfGraph"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveAmfGraph__Lamf_client_model_document_BaseUnit__O(prep0)
  };
  "resolveOas20"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveOas20__Lamf_client_model_document_BaseUnit__O(prep0)
  };
  "resolveRaml08"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveRaml08__Lamf_client_model_document_BaseUnit__O(prep0)
  };
  "resolveRaml10"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolveRaml10__Lamf_client_model_document_BaseUnit__O(prep0)
  };
  "registerDialect"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$registerDialect__T__O(prep0)
  };
  "registerNamespace"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$registerNamespace__T__T__O(prep0, prep1)
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
  "amfGraphGenerator"() {
    return this.$$js$exported$meth$amfGraphGenerator__O()
  };
  "amfGraphParser"() {
    return this.$$js$exported$meth$amfGraphParser__O()
  };
  "oas20Generator"() {
    return this.$$js$exported$meth$oas20Generator__O()
  };
  "oas20Parser"() {
    return this.$$js$exported$meth$oas20Parser__O()
  };
  "raml08Generator"() {
    return this.$$js$exported$meth$raml08Generator__O()
  };
  "raml08Parser"() {
    return this.$$js$exported$meth$raml08Parser__O()
  };
  "raml10Generator"() {
    return this.$$js$exported$meth$raml10Generator__O()
  };
  "ramlParser"() {
    return this.$$js$exported$meth$ramlParser__O()
  };
  "raml10Parser"() {
    return this.$$js$exported$meth$raml10Parser__O()
  };
  "init"() {
    return this.$$js$exported$meth$init__O()
  };
}
const $d_Lamf_client_AMF$ = new $TypeData().initClass({
  Lamf_client_AMF$: 0
}, false, "amf.client.AMF$", {
  Lamf_client_AMF$: 1,
  O: 1
});
$c_Lamf_client_AMF$.prototype.$classData = $d_Lamf_client_AMF$;
let $n_Lamf_client_AMF$ = (void 0);
const $m_Lamf_client_AMF$ = (function() {
  if ((!$n_Lamf_client_AMF$)) {
    $n_Lamf_client_AMF$ = new $c_Lamf_client_AMF$().init___()
  };
  return $n_Lamf_client_AMF$
});
class $c_Lamf_client_CoreWrapper$ extends $c_O {
  init___() {
    return this
  };
  $$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(plugin) {
    $m_Lamf_Core$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  $$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    $m_Lamf_Core$();
    return $m_Lamf_client_validate_Validator$().validate__Lamf_client_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$generator__T__T__O(vendor, mediaType) {
    $m_Lamf_Core$();
    return new $c_Lamf_client_render_Renderer().init___T__T(vendor, mediaType)
  };
  $$js$exported$meth$init__O() {
    return $m_Lamf_Core$().init__sjs_js_Promise()
  };
  $$js$exported$meth$parser__T__T__O(vendor, mediaType) {
    $m_Lamf_Core$();
    return new $c_Lamf_client_parse_Parser().init___T__T__s_Option(vendor, mediaType, $m_s_None$())
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    $m_Lamf_Core$();
    return $m_Lamf_client_validate_Validator$().loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerNamespace__T__T__O(alias, prefix) {
    return $m_Lamf_Core$().registerNamespace__T__T__Z(alias, prefix)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  $$js$exported$meth$resolver__T__O(vendor) {
    $m_Lamf_Core$();
    return new $c_Lamf_client_resolve_Resolver().init___T(vendor)
  };
  "registerPlugin"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(prep0)
  };
  "registerNamespace"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$registerNamespace__T__T__O(prep0, prep1)
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
  "resolver"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolver__T__O(prep0)
  };
  "generator"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$generator__T__T__O(prep0, prep1)
  };
  "parser"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$parser__T__T__O(prep0, prep1)
  };
  "init"() {
    return this.$$js$exported$meth$init__O()
  };
}
const $d_Lamf_client_CoreWrapper$ = new $TypeData().initClass({
  Lamf_client_CoreWrapper$: 0
}, false, "amf.client.CoreWrapper$", {
  Lamf_client_CoreWrapper$: 1,
  O: 1
});
$c_Lamf_client_CoreWrapper$.prototype.$classData = $d_Lamf_client_CoreWrapper$;
let $n_Lamf_client_CoreWrapper$ = (void 0);
const $m_Lamf_client_CoreWrapper$ = (function() {
  if ((!$n_Lamf_client_CoreWrapper$)) {
    $n_Lamf_client_CoreWrapper$ = new $c_Lamf_client_CoreWrapper$().init___()
  };
  return $n_Lamf_client_CoreWrapper$
});
class $c_Lamf_client_DocumentPluginsWrapper$ extends $c_O {
  constructor() {
    super();
    this.WebApi$1 = null;
    this.Vocabularies$1 = null
  };
  init___() {
    $n_Lamf_client_DocumentPluginsWrapper$ = this;
    this.WebApi$1 = $m_Lamf_plugins_document_WebApi$();
    this.Vocabularies$1 = $m_Lamf_plugins_document_Vocabularies$();
    return this
  };
  $$js$exported$prop$Vocabularies__O() {
    return this.Vocabularies$1
  };
  $$js$exported$prop$WebApi__O() {
    return this.WebApi$1
  };
  get "Vocabularies"() {
    return this.$$js$exported$prop$Vocabularies__O()
  };
  get "WebApi"() {
    return this.$$js$exported$prop$WebApi__O()
  };
}
const $d_Lamf_client_DocumentPluginsWrapper$ = new $TypeData().initClass({
  Lamf_client_DocumentPluginsWrapper$: 0
}, false, "amf.client.DocumentPluginsWrapper$", {
  Lamf_client_DocumentPluginsWrapper$: 1,
  O: 1
});
$c_Lamf_client_DocumentPluginsWrapper$.prototype.$classData = $d_Lamf_client_DocumentPluginsWrapper$;
let $n_Lamf_client_DocumentPluginsWrapper$ = (void 0);
const $m_Lamf_client_DocumentPluginsWrapper$ = (function() {
  if ((!$n_Lamf_client_DocumentPluginsWrapper$)) {
    $n_Lamf_client_DocumentPluginsWrapper$ = new $c_Lamf_client_DocumentPluginsWrapper$().init___()
  };
  return $n_Lamf_client_DocumentPluginsWrapper$
});
class $c_Lamf_client_FeaturesPluginsWrapper$ extends $c_O {
  constructor() {
    super();
    this.AMFValidation$1 = null
  };
  init___() {
    $n_Lamf_client_FeaturesPluginsWrapper$ = this;
    this.AMFValidation$1 = $m_Lamf_plugins_features_AMFValidation$();
    return this
  };
  $$js$exported$prop$AMFValidation__O() {
    return this.AMFValidation$1
  };
  get "AMFValidation"() {
    return this.$$js$exported$prop$AMFValidation__O()
  };
}
const $d_Lamf_client_FeaturesPluginsWrapper$ = new $TypeData().initClass({
  Lamf_client_FeaturesPluginsWrapper$: 0
}, false, "amf.client.FeaturesPluginsWrapper$", {
  Lamf_client_FeaturesPluginsWrapper$: 1,
  O: 1
});
$c_Lamf_client_FeaturesPluginsWrapper$.prototype.$classData = $d_Lamf_client_FeaturesPluginsWrapper$;
let $n_Lamf_client_FeaturesPluginsWrapper$ = (void 0);
const $m_Lamf_client_FeaturesPluginsWrapper$ = (function() {
  if ((!$n_Lamf_client_FeaturesPluginsWrapper$)) {
    $n_Lamf_client_FeaturesPluginsWrapper$ = new $c_Lamf_client_FeaturesPluginsWrapper$().init___()
  };
  return $n_Lamf_client_FeaturesPluginsWrapper$
});
class $c_Lamf_client_PluginsWrapper$ extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.features$1 = null
  };
  init___() {
    $n_Lamf_client_PluginsWrapper$ = this;
    this.document$1 = $m_Lamf_client_DocumentPluginsWrapper$();
    this.features$1 = $m_Lamf_client_FeaturesPluginsWrapper$();
    return this
  };
  $$js$exported$prop$features__O() {
    return this.features$1
  };
  $$js$exported$prop$document__O() {
    return this.document$1
  };
  get "features"() {
    return this.$$js$exported$prop$features__O()
  };
  get "document"() {
    return this.$$js$exported$prop$document__O()
  };
}
const $d_Lamf_client_PluginsWrapper$ = new $TypeData().initClass({
  Lamf_client_PluginsWrapper$: 0
}, false, "amf.client.PluginsWrapper$", {
  Lamf_client_PluginsWrapper$: 1,
  O: 1
});
$c_Lamf_client_PluginsWrapper$.prototype.$classData = $d_Lamf_client_PluginsWrapper$;
let $n_Lamf_client_PluginsWrapper$ = (void 0);
const $m_Lamf_client_PluginsWrapper$ = (function() {
  if ((!$n_Lamf_client_PluginsWrapper$)) {
    $n_Lamf_client_PluginsWrapper$ = new $c_Lamf_client_PluginsWrapper$().init___()
  };
  return $n_Lamf_client_PluginsWrapper$
});
class $c_Lamf_client_commands_CmdLineParser$ extends $c_O {
  constructor() {
    super();
    this.parser$1 = null
  };
  init___() {
    $n_Lamf_client_commands_CmdLineParser$ = this;
    this.parser$1 = new $c_Lamf_client_commands_CmdLineParser$$anon$1().init___();
    return this
  };
  parse__AT__s_Option(args) {
    return this.parser$1.parse__sc_Seq__O__s_Option($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(args), new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc($m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), $m_s_None$(), false, true, $m_Lamf_ProfileNames$().AMF$1, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_Lamf_core_client_StdOutWriter$(), $m_Lamf_core_client_StdErrWriter$(), $m_Lamf_core_client_RuntimeProc$()))
  };
  knownSpec__T__Z(f) {
    return (((((((((($m_Lamf_ProfileNames$().RAML$1 === f) || ($m_Lamf_ProfileNames$().RAML08$1 === f)) || ($m_Lamf_ProfileNames$().OAS3$1 === f)) || ($m_Lamf_ProfileNames$().OAS$1 === f)) || ($m_Lamf_ProfileNames$().AMF$1 === f)) || (f === "RAML 1.0")) || (f === "RAML 0.8")) || (f === "OAS 3.0.0")) || (f === "OAS 2.0")) || (f === "RAML Vocabulary"))
  };
}
const $d_Lamf_client_commands_CmdLineParser$ = new $TypeData().initClass({
  Lamf_client_commands_CmdLineParser$: 0
}, false, "amf.client.commands.CmdLineParser$", {
  Lamf_client_commands_CmdLineParser$: 1,
  O: 1
});
$c_Lamf_client_commands_CmdLineParser$.prototype.$classData = $d_Lamf_client_commands_CmdLineParser$;
let $n_Lamf_client_commands_CmdLineParser$ = (void 0);
const $m_Lamf_client_commands_CmdLineParser$ = (function() {
  if ((!$n_Lamf_client_commands_CmdLineParser$)) {
    $n_Lamf_client_commands_CmdLineParser$ = new $c_Lamf_client_commands_CmdLineParser$().init___()
  };
  return $n_Lamf_client_commands_CmdLineParser$
});
class $c_Lamf_client_convert_CollectionConverter$ClientListOps extends $c_O {
  constructor() {
    super();
    this.from$1 = null;
    this.m$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher($$outer, from, m) {
    this.from$1 = from;
    this.m$1 = m;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__sc_Seq() {
    const this$1 = this.$$outer$1;
    const from = this.from$1;
    const m = this.m$1;
    return $f_Lamf_client_convert_CoreBaseClientConverter__asInternalSeq__sjs_js_Array__Lamf_client_convert_ClientInternalMatcher__sc_Seq(this$1, from, m)
  };
}
const $d_Lamf_client_convert_CollectionConverter$ClientListOps = new $TypeData().initClass({
  Lamf_client_convert_CollectionConverter$ClientListOps: 0
}, false, "amf.client.convert.CollectionConverter$ClientListOps", {
  Lamf_client_convert_CollectionConverter$ClientListOps: 1,
  O: 1
});
$c_Lamf_client_convert_CollectionConverter$ClientListOps.prototype.$classData = $d_Lamf_client_convert_CollectionConverter$ClientListOps;
class $c_Lamf_client_convert_CollectionConverter$InternalMapOps extends $c_O {
  constructor() {
    super();
    this.from$1 = null;
    this.m$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CollectionConverter__scm_Map__Lamf_client_convert_InternalClientMatcher($$outer, from, m) {
    this.from$1 = from;
    this.m$1 = m;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O() {
    const this$1 = this.$$outer$1;
    const from = this.from$1;
    const m = this.m$1;
    return $f_Lamf_client_convert_CoreBaseClientConverter__asClientMap__scm_Map__Lamf_client_convert_InternalClientMatcher__sjs_js_Dictionary(this$1, from, m)
  };
}
const $d_Lamf_client_convert_CollectionConverter$InternalMapOps = new $TypeData().initClass({
  Lamf_client_convert_CollectionConverter$InternalMapOps: 0
}, false, "amf.client.convert.CollectionConverter$InternalMapOps", {
  Lamf_client_convert_CollectionConverter$InternalMapOps: 1,
  O: 1
});
$c_Lamf_client_convert_CollectionConverter$InternalMapOps.prototype.$classData = $d_Lamf_client_convert_CollectionConverter$InternalMapOps;
class $c_Lamf_client_convert_CollectionConverter$InternalOptionOps extends $c_O {
  constructor() {
    super();
    this.from$1 = null;
    this.m$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher($$outer, from, m) {
    this.from$1 = from;
    this.m$1 = m;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O() {
    const this$1 = this.$$outer$1;
    const from = this.from$1;
    const m = this.m$1;
    return $f_Lamf_client_convert_CoreBaseClientConverter__asClientOption__s_Option__Lamf_client_convert_InternalClientMatcher__sjs_js_UndefOr(this$1, from, m)
  };
}
const $d_Lamf_client_convert_CollectionConverter$InternalOptionOps = new $TypeData().initClass({
  Lamf_client_convert_CollectionConverter$InternalOptionOps: 0
}, false, "amf.client.convert.CollectionConverter$InternalOptionOps", {
  Lamf_client_convert_CollectionConverter$InternalOptionOps: 1,
  O: 1
});
$c_Lamf_client_convert_CollectionConverter$InternalOptionOps.prototype.$classData = $d_Lamf_client_convert_CollectionConverter$InternalOptionOps;
class $c_Lamf_client_convert_CollectionConverter$InternalSeqOps extends $c_O {
  constructor() {
    super();
    this.from$1 = null;
    this.m$1 = null;
    this.$$outer$1 = null
  };
  asClient__O() {
    const this$1 = this.$$outer$1;
    const from = this.from$1;
    const m = this.m$1;
    return $f_Lamf_client_convert_CoreBaseClientConverter__asClientList__sc_Seq__Lamf_client_convert_InternalClientMatcher__sjs_js_Array(this$1, from, m)
  };
  init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher($$outer, from, m) {
    this.from$1 = from;
    this.m$1 = m;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_CollectionConverter$InternalSeqOps = new $TypeData().initClass({
  Lamf_client_convert_CollectionConverter$InternalSeqOps: 0
}, false, "amf.client.convert.CollectionConverter$InternalSeqOps", {
  Lamf_client_convert_CollectionConverter$InternalSeqOps: 1,
  O: 1
});
$c_Lamf_client_convert_CollectionConverter$InternalSeqOps.prototype.$classData = $d_Lamf_client_convert_CollectionConverter$InternalSeqOps;
class $c_Lamf_client_convert_CoreRegister$ extends $c_O {
  register__Lamf_core_remote_Platform__V(platform) {
    const model = $m_Lamf_core_metamodel_document_ModuleModel$();
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_core_model_document_Module(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_client_model_document_Module().init___Lamf_core_model_document_Module(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model, builder);
    const model$1 = $m_Lamf_core_metamodel_document_DocumentModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_core_model_document_Document(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_client_model_document_Document().init___Lamf_core_model_document_Document(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$1, builder$1);
    const model$2 = $m_Lamf_core_metamodel_document_FragmentModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_model_document_Fragment(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_client_model_document_Fragment().init___Lamf_core_model_document_Fragment(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$2, builder$2);
    const model$3 = $m_Lamf_core_metamodel_document_ExternalFragmentModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_document_ExternalFragment(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_client_model_document_ExternalFragment().init___Lamf_core_model_document_ExternalFragment(x2$3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$3, builder$3);
    const model$4 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_core_model_domain_ExternalDomainElement(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_client_model_domain_ExternalDomainElement().init___Lamf_core_model_domain_ExternalDomainElement(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$4, builder$4);
    const model$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_core_model_domain_DomainElement(x0$6)) {
          const x2$5 = x0$6;
          $m_Lamf_client_convert_CoreClientConverters$();
          const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
          return m.asClient__Lamf_core_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$5, builder$5);
    const model$6 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_client_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$6, builder$6);
    const model$7 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_core_model_domain_extensions_DomainExtension(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_client_model_domain_DomainExtension().init___Lamf_core_model_domain_extensions_DomainExtension(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$7, builder$7);
    const model$8 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_core_model_domain_extensions_PropertyShape(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_client_model_domain_PropertyShape().init___Lamf_core_model_domain_extensions_PropertyShape(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$8, builder$8);
    const model$9 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const builder$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ($is_Lamf_core_model_domain_DataNode(x0$10)) {
          const x2$9 = x0$10;
          return $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$().asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(x2$9)
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$9, builder$9);
    const model$10 = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$();
    const builder$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_core_model_domain_templates_VariableValue(x0$11)) {
          const x2$10 = x0$11;
          return new $c_Lamf_client_model_domain_VariableValue().init___Lamf_core_model_domain_templates_VariableValue(x2$10)
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$10, builder$10)
  };
  init___() {
    return this
  };
}
const $d_Lamf_client_convert_CoreRegister$ = new $TypeData().initClass({
  Lamf_client_convert_CoreRegister$: 0
}, false, "amf.client.convert.CoreRegister$", {
  Lamf_client_convert_CoreRegister$: 1,
  O: 1
});
$c_Lamf_client_convert_CoreRegister$.prototype.$classData = $d_Lamf_client_convert_CoreRegister$;
let $n_Lamf_client_convert_CoreRegister$ = (void 0);
const $m_Lamf_client_convert_CoreRegister$ = (function() {
  if ((!$n_Lamf_client_convert_CoreRegister$)) {
    $n_Lamf_client_convert_CoreRegister$ = new $c_Lamf_client_convert_CoreRegister$().init___()
  };
  return $n_Lamf_client_convert_CoreRegister$
});
class $c_Lamf_client_convert_FutureConverter$ClientFutureOps extends $c_O {
  constructor() {
    super();
    this.from$1 = null;
    this.m$1 = null;
    this.$$outer$1 = null
  };
  asInternal__s_concurrent_Future() {
    const this$1 = this.$$outer$1;
    const from = this.from$1;
    const matcher = this.m$1;
    return $f_Lamf_client_convert_CoreBaseClientConverter__asInternalFuture__sjs_js_Promise__Lamf_client_convert_ClientInternalMatcher__s_concurrent_Future(this$1, from, matcher)
  };
  init___Lamf_client_convert_FutureConverter__O__Lamf_client_convert_ClientInternalMatcher($$outer, from, m) {
    this.from$1 = from;
    this.m$1 = m;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_FutureConverter$ClientFutureOps = new $TypeData().initClass({
  Lamf_client_convert_FutureConverter$ClientFutureOps: 0
}, false, "amf.client.convert.FutureConverter$ClientFutureOps", {
  Lamf_client_convert_FutureConverter$ClientFutureOps: 1,
  O: 1
});
$c_Lamf_client_convert_FutureConverter$ClientFutureOps.prototype.$classData = $d_Lamf_client_convert_FutureConverter$ClientFutureOps;
class $c_Lamf_client_convert_FutureConverter$InternalFutureOps extends $c_O {
  constructor() {
    super();
    this.from$1 = null;
    this.m$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher($$outer, from, m) {
    this.from$1 = from;
    this.m$1 = m;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O() {
    const this$1 = this.$$outer$1;
    const from = this.from$1.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(from$2) {
        return $this.m$1.asClient__O__O(from$2)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return $f_Lamf_client_convert_CoreBaseClientConverter__asClientFuture__s_concurrent_Future__sjs_js_Promise(this$1, from)
  };
}
const $d_Lamf_client_convert_FutureConverter$InternalFutureOps = new $TypeData().initClass({
  Lamf_client_convert_FutureConverter$InternalFutureOps: 0
}, false, "amf.client.convert.FutureConverter$InternalFutureOps", {
  Lamf_client_convert_FutureConverter$InternalFutureOps: 1,
  O: 1
});
$c_Lamf_client_convert_FutureConverter$InternalFutureOps.prototype.$classData = $d_Lamf_client_convert_FutureConverter$InternalFutureOps;
class $c_Lamf_client_convert_WebApiRegister$ extends $c_O {
  init___() {
    return this
  };
  register__Lamf_core_remote_Platform__V(platform) {
    const model = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$();
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_client_model_document_AnnotationTypeDeclaration().init___Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model, builder);
    const model$1 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_client_model_document_DataType().init___Lamf_plugins_document_webapi_model_DataTypeFragment(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$1, builder$1);
    const model$2 = $m_Lamf_core_metamodel_document_PayloadFragmentModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_model_document_PayloadFragment(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_client_model_document_PayloadFragment().init___Lamf_core_model_document_PayloadFragment(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$2, builder$2);
    const model$3 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_client_model_document_DocumentationItem().init___Lamf_plugins_document_webapi_model_DocumentationItemFragment(x2$3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$3, builder$3);
    const model$4 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_client_model_document_NamedExample().init___Lamf_plugins_document_webapi_model_NamedExampleFragment(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$4, builder$4);
    const model$5 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x0$6)) {
          const x2$5 = x0$6;
          return new $c_Lamf_client_model_document_ResourceTypeFragment().init___Lamf_plugins_document_webapi_model_ResourceTypeFragment(x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$5, builder$5);
    const model$6 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_client_model_document_SecuritySchemeFragment().init___Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$6, builder$6);
    const model$7 = $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_client_model_document_TraitFragment().init___Lamf_plugins_document_webapi_model_TraitFragment(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$7, builder$7);
    const model$8 = $m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_document_webapi_model_Extension(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_client_model_document_Extension().init___Lamf_plugins_document_webapi_model_Extension(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$8, builder$8);
    const model$9 = $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$();
    const builder$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ($is_Lamf_plugins_document_webapi_model_Overlay(x0$10)) {
          const x2$9 = x0$10;
          return new $c_Lamf_client_model_document_Overlay().init___Lamf_plugins_document_webapi_model_Overlay(x2$9)
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$9, builder$9);
    const model$10 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$();
    const builder$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_plugins_domain_webapi_models_EndPoint(x0$11)) {
          const x2$10 = x0$11;
          return new $c_Lamf_client_model_domain_EndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(x2$10)
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$10, builder$10);
    const model$11 = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$();
    const builder$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12) {
      return (function(x0$12$2) {
        const x0$12 = x0$12$2;
        if ($is_Lamf_plugins_domain_webapi_models_License(x0$12)) {
          const x2$11 = x0$12;
          return new $c_Lamf_client_model_domain_License().init___Lamf_plugins_domain_webapi_models_License(x2$11)
        } else {
          throw new $c_s_MatchError().init___O(x0$12)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$11, builder$11);
    const model$12 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$();
    const builder$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13) {
      return (function(x0$13$2) {
        const x0$13 = x0$13$2;
        if ($is_Lamf_plugins_domain_webapi_models_Operation(x0$13)) {
          const x2$12 = x0$13;
          return new $c_Lamf_client_model_domain_Operation().init___Lamf_plugins_domain_webapi_models_Operation(x2$12)
        } else {
          throw new $c_s_MatchError().init___O(x0$13)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$12, builder$12);
    const model$13 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$();
    const builder$13 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14) {
      return (function(x0$14$2) {
        const x0$14 = x0$14$2;
        if ($is_Lamf_plugins_domain_webapi_models_Organization(x0$14)) {
          const x2$13 = x0$14;
          return new $c_Lamf_client_model_domain_Organization().init___Lamf_plugins_domain_webapi_models_Organization(x2$13)
        } else {
          throw new $c_s_MatchError().init___O(x0$14)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$13, builder$13);
    const model$14 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$();
    const builder$14 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$15) {
      return (function(x0$15$2) {
        const x0$15 = x0$15$2;
        if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$15)) {
          const x2$14 = x0$15;
          return new $c_Lamf_client_model_domain_Parameter().init___Lamf_plugins_domain_webapi_models_Parameter(x2$14)
        } else {
          throw new $c_s_MatchError().init___O(x0$15)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$14, builder$14);
    const model$15 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$();
    const builder$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$16) {
      return (function(x0$16$2) {
        const x0$16 = x0$16$2;
        if ($is_Lamf_plugins_domain_webapi_models_Server(x0$16)) {
          const x2$15 = x0$16;
          return new $c_Lamf_client_model_domain_Server().init___Lamf_plugins_domain_webapi_models_Server(x2$15)
        } else {
          throw new $c_s_MatchError().init___O(x0$16)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$15, builder$15);
    const model$16 = $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$();
    const builder$16 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$17) {
      return (function(x0$17$2) {
        const x0$17 = x0$17$2;
        if ($is_Lamf_plugins_domain_webapi_models_Callback(x0$17)) {
          const x2$16 = x0$17;
          return new $c_Lamf_client_model_domain_Callback().init___Lamf_plugins_domain_webapi_models_Callback(x2$16)
        } else {
          throw new $c_s_MatchError().init___O(x0$17)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$16, builder$16);
    const model$17 = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$();
    const builder$17 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$18) {
      return (function(x0$18$2) {
        const x0$18 = x0$18$2;
        if ($is_Lamf_plugins_domain_webapi_models_Encoding(x0$18)) {
          const x2$17 = x0$18;
          return new $c_Lamf_client_model_domain_Encoding().init___Lamf_plugins_domain_webapi_models_Encoding(x2$17)
        } else {
          throw new $c_s_MatchError().init___O(x0$18)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$17, builder$17);
    const model$18 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$();
    const builder$18 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$19) {
      return (function(x0$19$2) {
        const x0$19 = x0$19$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x0$19)) {
          const x2$18 = x0$19;
          return new $c_Lamf_client_model_domain_ParametrizedResourceType().init___Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x2$18)
        } else {
          throw new $c_s_MatchError().init___O(x0$19)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$18, builder$18);
    const model$19 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$();
    const builder$19 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$20) {
      return (function(x0$20$2) {
        const x0$20 = x0$20$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x0$20)) {
          const x2$19 = x0$20;
          return new $c_Lamf_client_model_domain_ParametrizedTrait().init___Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x2$19)
        } else {
          throw new $c_s_MatchError().init___O(x0$20)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$19, builder$19);
    const model$20 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$();
    const builder$20 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$21) {
      return (function(x0$21$2) {
        const x0$21 = x0$21$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x0$21)) {
          const x2$20 = x0$21;
          return new $c_Lamf_client_model_domain_ParametrizedSecurityScheme().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x2$20)
        } else {
          throw new $c_s_MatchError().init___O(x0$21)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$20, builder$20);
    const model$21 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$();
    const builder$21 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$22) {
      return (function(x0$22$2) {
        const x0$22 = x0$22$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x0$22)) {
          const x2$21 = x0$22;
          return new $c_Lamf_client_model_domain_SecurityScheme().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme(x2$21)
        } else {
          throw new $c_s_MatchError().init___O(x0$22)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$21, builder$21);
    const model$22 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$();
    const builder$22 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$23) {
      return (function(x0$23$2) {
        const x0$23 = x0$23$2;
        if ($is_Lamf_plugins_domain_webapi_models_Payload(x0$23)) {
          const x2$22 = x0$23;
          return new $c_Lamf_client_model_domain_Payload().init___Lamf_plugins_domain_webapi_models_Payload(x2$22)
        } else {
          throw new $c_s_MatchError().init___O(x0$23)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$22, builder$22);
    const model$23 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$();
    const builder$23 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$24) {
      return (function(x0$24$2) {
        const x0$24 = x0$24$2;
        if ($is_Lamf_plugins_domain_webapi_models_Request(x0$24)) {
          const x2$23 = x0$24;
          return new $c_Lamf_client_model_domain_Request().init___Lamf_plugins_domain_webapi_models_Request(x2$23)
        } else {
          throw new $c_s_MatchError().init___O(x0$24)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$23, builder$23);
    const model$24 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$();
    const builder$24 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$25) {
      return (function(x0$25$2) {
        const x0$25 = x0$25$2;
        if ($is_Lamf_plugins_domain_webapi_models_Response(x0$25)) {
          const x2$24 = x0$25;
          return new $c_Lamf_client_model_domain_Response().init___Lamf_plugins_domain_webapi_models_Response(x2$24)
        } else {
          throw new $c_s_MatchError().init___O(x0$25)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$24, builder$24);
    const model$25 = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$();
    const builder$25 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$26) {
      return (function(x0$26$2) {
        const x0$26 = x0$26$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x0$26)) {
          const x2$25 = x0$26;
          return new $c_Lamf_client_model_domain_Scope().init___Lamf_plugins_domain_webapi_models_security_Scope(x2$25)
        } else {
          throw new $c_s_MatchError().init___O(x0$26)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$25, builder$25);
    const model$26 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$();
    const builder$26 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$27) {
      return (function(x0$27$2) {
        const x0$27 = x0$27$2;
        if ($is_Lamf_plugins_domain_webapi_models_security_Settings(x0$27)) {
          const x2$26 = x0$27;
          return new $c_Lamf_client_model_domain_Settings().init___Lamf_plugins_domain_webapi_models_security_Settings(x2$26)
        } else {
          throw new $c_s_MatchError().init___O(x0$27)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$26, builder$26);
    const model$27 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$();
    const builder$27 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$28) {
      return (function(x0$28$2) {
        const x0$28 = x0$28$2;
        if ($is_Lamf_plugins_domain_webapi_models_WebApi(x0$28)) {
          const x2$27 = x0$28;
          return new $c_Lamf_client_model_domain_WebApi().init___Lamf_plugins_domain_webapi_models_WebApi(x2$27)
        } else {
          throw new $c_s_MatchError().init___O(x0$28)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$27, builder$27);
    const model$28 = $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$();
    const builder$28 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$29) {
      return (function(x0$29$2) {
        const x0$29 = x0$29$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(x0$29)) {
          const x2$28 = x0$29;
          return new $c_Lamf_client_model_domain_Trait().init___Lamf_plugins_domain_webapi_models_templates_Trait(x2$28)
        } else {
          throw new $c_s_MatchError().init___O(x0$29)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$28, builder$28);
    const model$29 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$();
    const builder$29 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$30) {
      return (function(x0$30$2) {
        const x0$30 = x0$30$2;
        if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x0$30)) {
          const x2$29 = x0$30;
          return new $c_Lamf_client_model_domain_ResourceType().init___Lamf_plugins_domain_webapi_models_templates_ResourceType(x2$29)
        } else {
          throw new $c_s_MatchError().init___O(x0$30)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$29, builder$29);
    const model$30 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const builder$30 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$31) {
      return (function(x0$31$2) {
        const x0$31 = x0$31$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$31)) {
          const x2$30 = x0$31;
          return new $c_Lamf_client_model_domain_AnyShape().init___Lamf_plugins_domain_shapes_models_AnyShape(x2$30)
        } else {
          throw new $c_s_MatchError().init___O(x0$31)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$30, builder$30);
    const model$31 = $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$();
    const builder$31 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$32) {
      return (function(x0$32$2) {
        const x0$32 = x0$32$2;
        if ($is_Lamf_plugins_domain_shapes_models_NilShape(x0$32)) {
          const x2$31 = x0$32;
          return new $c_Lamf_client_model_domain_NilShape().init___Lamf_plugins_domain_shapes_models_NilShape(x2$31)
        } else {
          throw new $c_s_MatchError().init___O(x0$32)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$31, builder$31);
    const model$32 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$();
    const builder$32 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$33) {
      return (function(x0$33$2) {
        const x0$33 = x0$33$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$33)) {
          const x2$32 = x0$33;
          return new $c_Lamf_client_model_domain_ArrayShape().init___Lamf_plugins_domain_shapes_models_ArrayShape(x2$32)
        } else {
          throw new $c_s_MatchError().init___O(x0$33)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$32, builder$32);
    const model$33 = $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$();
    const builder$33 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$34) {
      return (function(x0$34$2) {
        const x0$34 = x0$34$2;
        if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x0$34)) {
          const x2$33 = x0$34;
          return new $c_Lamf_client_model_domain_MatrixShape().init___Lamf_plugins_domain_shapes_models_ArrayShape(new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x2$33.fields$2, x2$33.annotations$2))
        } else {
          throw new $c_s_MatchError().init___O(x0$34)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$33, builder$33);
    const model$34 = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$();
    const builder$34 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$35) {
      return (function(x0$35$2) {
        const x0$35 = x0$35$2;
        if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x0$35)) {
          const x2$34 = x0$35;
          return new $c_Lamf_client_model_domain_TupleShape().init___Lamf_plugins_domain_shapes_models_TupleShape(x2$34)
        } else {
          throw new $c_s_MatchError().init___O(x0$35)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$34, builder$34);
    const model$35 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
    const builder$35 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$36) {
      return (function(x0$36$2) {
        const x0$36 = x0$36$2;
        if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x0$36)) {
          const x2$35 = x0$36;
          return new $c_Lamf_client_model_domain_CreativeWork().init___Lamf_plugins_domain_shapes_models_CreativeWork(x2$35)
        } else {
          throw new $c_s_MatchError().init___O(x0$36)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$35, builder$35);
    const model$36 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$();
    const builder$36 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$37) {
      return (function(x0$37$2) {
        const x0$37 = x0$37$2;
        if ($is_Lamf_plugins_domain_shapes_models_Example(x0$37)) {
          const x2$36 = x0$37;
          return new $c_Lamf_client_model_domain_Example().init___Lamf_plugins_domain_shapes_models_Example(x2$36)
        } else {
          throw new $c_s_MatchError().init___O(x0$37)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$36, builder$36);
    const model$37 = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$();
    const builder$37 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$38) {
      return (function(x0$38$2) {
        const x0$38 = x0$38$2;
        if ($is_Lamf_plugins_domain_shapes_models_FileShape(x0$38)) {
          const x2$37 = x0$38;
          return new $c_Lamf_client_model_domain_FileShape().init___Lamf_plugins_domain_shapes_models_FileShape(x2$37)
        } else {
          throw new $c_s_MatchError().init___O(x0$38)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$37, builder$37);
    const model$38 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$();
    const builder$38 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$39) {
      return (function(x0$39$2) {
        const x0$39 = x0$39$2;
        if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x0$39)) {
          const x2$38 = x0$39;
          return new $c_Lamf_client_model_domain_NodeShape().init___Lamf_plugins_domain_shapes_models_NodeShape(x2$38)
        } else {
          throw new $c_s_MatchError().init___O(x0$39)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$38, builder$38);
    const model$39 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$();
    const builder$39 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$40) {
      return (function(x0$40$2) {
        const x0$40 = x0$40$2;
        if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x0$40)) {
          const x2$39 = x0$40;
          return new $c_Lamf_client_model_domain_ScalarShape().init___Lamf_plugins_domain_shapes_models_ScalarShape(x2$39)
        } else {
          throw new $c_s_MatchError().init___O(x0$40)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$39, builder$39);
    const model$40 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$();
    const builder$40 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$41) {
      return (function(x0$41$2) {
        const x0$41 = x0$41$2;
        if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x0$41)) {
          const x2$40 = x0$41;
          return new $c_Lamf_client_model_domain_SchemaShape().init___Lamf_plugins_domain_shapes_models_SchemaShape(x2$40)
        } else {
          throw new $c_s_MatchError().init___O(x0$41)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$40, builder$40);
    const model$41 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$();
    const builder$41 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$42) {
      return (function(x0$42$2) {
        const x0$42 = x0$42$2;
        if ($is_Lamf_plugins_domain_shapes_models_XMLSerializer(x0$42)) {
          const x2$41 = x0$42;
          return new $c_Lamf_client_model_domain_XMLSerializer().init___Lamf_plugins_domain_shapes_models_XMLSerializer(x2$41)
        } else {
          throw new $c_s_MatchError().init___O(x0$42)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$41, builder$41);
    const model$42 = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$();
    const builder$42 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$43) {
      return (function(x0$43$2) {
        const x0$43 = x0$43$2;
        if ($is_Lamf_plugins_domain_shapes_models_PropertyDependencies(x0$43)) {
          const x2$42 = x0$43;
          return new $c_Lamf_client_model_domain_PropertyDependencies().init___Lamf_plugins_domain_shapes_models_PropertyDependencies(x2$42)
        } else {
          throw new $c_s_MatchError().init___O(x0$43)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$42, builder$42);
    const model$43 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$();
    const builder$43 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$44) {
      return (function(x0$44$2) {
        const x0$44 = x0$44$2;
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x0$44)) {
          const x2$43 = x0$44;
          return new $c_Lamf_client_model_domain_UnionShape().init___Lamf_plugins_domain_shapes_models_UnionShape(x2$43)
        } else {
          throw new $c_s_MatchError().init___O(x0$44)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$43, builder$43);
    const model$44 = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$();
    const builder$44 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$45) {
      return (function(x0$45$2) {
        const x0$45 = x0$45$2;
        if ($is_Lamf_plugins_domain_webapi_models_TemplatedLink(x0$45)) {
          const x2$44 = x0$45;
          return new $c_Lamf_client_model_domain_TemplatedLink().init___Lamf_plugins_domain_webapi_models_TemplatedLink(x2$44)
        } else {
          throw new $c_s_MatchError().init___O(x0$45)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$44, builder$44);
    const model$45 = $m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$();
    const builder$45 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$46) {
      return (function(x0$46$2) {
        const x0$46 = x0$46$2;
        if ($is_Lamf_plugins_domain_webapi_models_IriTemplateMapping(x0$46)) {
          const x2$45 = x0$46;
          return new $c_Lamf_client_model_domain_IriTemplateMapping().init___Lamf_plugins_domain_webapi_models_IriTemplateMapping(x2$45)
        } else {
          throw new $c_s_MatchError().init___O(x0$46)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$45, builder$45);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
}
const $d_Lamf_client_convert_WebApiRegister$ = new $TypeData().initClass({
  Lamf_client_convert_WebApiRegister$: 0
}, false, "amf.client.convert.WebApiRegister$", {
  Lamf_client_convert_WebApiRegister$: 1,
  O: 1
});
$c_Lamf_client_convert_WebApiRegister$.prototype.$classData = $d_Lamf_client_convert_WebApiRegister$;
let $n_Lamf_client_convert_WebApiRegister$ = (void 0);
const $m_Lamf_client_convert_WebApiRegister$ = (function() {
  if ((!$n_Lamf_client_convert_WebApiRegister$)) {
    $n_Lamf_client_convert_WebApiRegister$ = new $c_Lamf_client_convert_WebApiRegister$().init___()
  };
  return $n_Lamf_client_convert_WebApiRegister$
});
const $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel = (function($thiz, declared) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_document_DeclaresModel();
  $m_Lamf_client_convert_CoreClientConverters$();
  $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  const element = declared.$$undinternal__Lamf_core_model_domain_DomainElement();
  const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
  $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, element);
  return $thiz
});
const $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array = (function($thiz) {
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_document_DeclaresModel().declares__sc_Seq();
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
});
const $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel = (function($thiz, declares) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_document_DeclaresModel();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  const declarations = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, declares, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
  $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, declarations);
  return $thiz
});
const $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel = (function($thiz, encoded) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_document_EncodesModel();
  $m_Lamf_client_convert_CoreClientConverters$();
  $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  const encoded$1 = encoded.$$undinternal__Lamf_core_model_domain_DomainElement();
  const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, encoded$1);
  return $thiz
});
const $f_Lamf_client_model_document_EncodesModel__encodes__Lamf_client_model_domain_DomainElement = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_document_EncodesModel().encodes__Lamf_core_model_domain_DomainElement();
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  return m.asClient__Lamf_core_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(from)
});
class $c_Lamf_client_parse_Parser extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null;
    this.mediaType$1 = null;
    this.env$1 = null;
    this.parsedModel$1 = null;
    this.DEFAULT$undDOCUMENT$undURL$1 = null
  };
  $$js$exported$meth$parseFileAsync__T__O(url) {
    return this.parseFileAsync__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$reportCustomValidation__T__T__O(profile, customProfilePath) {
    return this.reportCustomValidationImplementation__p1__T__T__sjs_js_Promise(profile, customProfilePath)
  };
  $$js$exported$meth$parseString__T__T__Lamf_client_handler_JsHandler__O(url, stream, handler) {
    this.parseString__T__T__Lamf_client_handler_JsHandler__V(url, stream, handler)
  };
  $$js$exported$meth$reportValidation__T__O(profile) {
    return this.report__p1__T__T__sjs_js_Promise(profile, $m_Lamf_ProfileNames$().RAML$1)
  };
  report__p1__T__T__sjs_js_Promise(profileName, messageStyle) {
    const this$1 = this.parsedModel$1;
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      const this$2 = $m_Lamf_core_services_RuntimeValidator$();
      x1 = new $c_s_Some().init___O(this$2.validator__p1__Lamf_core_services_RuntimeValidator().validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(x$1, profileName, messageStyle))
    };
    let result;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const validation = x2.value$2;
      result = validation
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      result = $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_jl_Exception().init___T("No parsed model or current validation found, cannot validate"))
    };
    const this$3 = $m_Lamf_client_convert_CoreClientConverters$();
    const m = $m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$3, result, m).asClient__O()
  };
  $$js$exported$meth$reportValidation__T__T__O(profile, messageStyle) {
    return this.report__p1__T__T__sjs_js_Promise(profile, messageStyle)
  };
  parseAsync__p1__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(url, loader, parsingOptions) {
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    this$1.validator__p1__Lamf_core_services_RuntimeValidator().reset__V();
    const this$2 = this.env$1;
    const e = (this$2.isEmpty__Z() ? $m_Lamf_client_environment_DefaultEnvironment$().apply__Lamf_client_environment_Environment() : this$2.get__O()).$$undinternal$1;
    let this$3;
    if (loader.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = loader.get__O();
      const loader$2 = arg1;
      this$3 = new $c_s_Some().init___O(e.add__Lamf_internal_resource_ResourceLoader__Lamf_internal_environment_Environment(loader$2))
    };
    const environment = (this$3.isEmpty__Z() ? e : this$3.get__O());
    const x$3 = $m_s_Option$().apply__O__s_Option(this.mediaType$1);
    const x$4 = this.vendor$1;
    const x$5 = $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context($m_Lamf_client_convert_CoreClientConverters$().platform$1);
    $m_Lamf_core_services_RuntimeCompiler$();
    const x$7 = $m_Lamf_core_parser_UnspecifiedReference$();
    $m_Lamf_core_services_RuntimeCompiler$();
    const x$8 = new $c_Lamf_core_remote_Cache().init___();
    $m_Lamf_core_services_RuntimeCompiler$();
    const x$9 = $m_s_None$();
    return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(url, x$3, x$4, x$5, x$7, x$8, x$9, environment).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(model$2) {
        const model = model$2;
        this$4$1.parsedModel$1 = new $c_s_Some().init___O(model);
        return model
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  parseString__T__Lamf_client_handler_JsHandler__V(stream, handler) {
    this.parse__p1__T__Lamf_client_handler_JsHandler__s_Option__V(this.DEFAULT$undDOCUMENT$undURL$1, handler, new $c_s_Some().init___O(this.fromStream__p1__T__T__Lamf_internal_resource_ResourceLoader(this.DEFAULT$undDOCUMENT$undURL$1, stream)))
  };
  fromStream__p1__T__T__Lamf_internal_resource_ResourceLoader(url, stream) {
    return new $c_Lamf_internal_resource_StringResourceLoader().init___T__T($m_Lamf_client_convert_CoreClientConverters$().platform$1.resolvePath__T__T(url), stream)
  };
  $$js$exported$meth$parseStringAsync__T__T__O(url, stream) {
    return this.parseStringAsync__T__T__sjs_js_Promise(url, stream)
  };
  parseString__T__T__Lamf_client_handler_JsHandler__V(url, stream, handler) {
    this.parse__p1__T__Lamf_client_handler_JsHandler__s_Option__V(url, handler, new $c_s_Some().init___O(this.fromStream__p1__T__T__Lamf_internal_resource_ResourceLoader(url, stream)))
  };
  $$js$exported$meth$parseString__T__Lamf_client_handler_JsHandler__O(stream, handler) {
    this.parseString__T__Lamf_client_handler_JsHandler__V(stream, handler)
  };
  parseStringAsync__T__T__sjs_js_Promise(url, stream) {
    const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.parseAsync__p1__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(url, new $c_s_Some().init___O(this.fromStream__p1__T__T__Lamf_internal_resource_ResourceLoader(url, stream)), new $c_Lamf_core_client_ParsingOptions().init___());
    const m = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  parseStringAsync__T__sjs_js_Promise(stream) {
    const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.parseAsync__p1__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(this.DEFAULT$undDOCUMENT$undURL$1, new $c_s_Some().init___O(this.fromStream__p1__T__T__Lamf_internal_resource_ResourceLoader(this.DEFAULT$undDOCUMENT$undURL$1, stream)), new $c_Lamf_core_client_ParsingOptions().init___());
    const m = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$parseFile__T__Lamf_client_handler_JsHandler__O(url, handler) {
    this.parse__p1__T__Lamf_client_handler_JsHandler__s_Option__V(url, handler, $m_s_None$())
  };
  $$js$exported$meth$parseStringAsync__T__O(stream) {
    return this.parseStringAsync__T__sjs_js_Promise(stream)
  };
  parseFileAsync__T__sjs_js_Promise(url) {
    const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.parseAsync__p1__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(url, $m_s_None$(), new $c_Lamf_core_client_ParsingOptions().init___());
    const m = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  parse__p1__T__Lamf_client_handler_JsHandler__s_Option__V(url, handler, loader) {
    this.parseAsync__p1__T__s_Option__Lamf_core_client_ParsingOptions__s_concurrent_Future(url, loader, new $c_Lamf_core_client_ParsingOptions().init___()).onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, handler$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        matchEnd6: {
          if ($is_s_util_Success(x0$1)) {
            const x2 = x0$1;
            const result = x2.value$2;
            if ((result !== null)) {
              $m_Lamf_client_convert_CoreClientConverters$();
              const m = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
              handler$1.success__O__V(m.asClient__Lamf_core_model_document_BaseUnit__Lamf_client_model_document_BaseUnit(result));
              break matchEnd6
            }
          };
          if ($is_s_util_Failure(x0$1)) {
            const x3 = x0$1;
            const exception = x3.exception$2;
            handler$1.error__jl_Throwable__V(exception);
            break matchEnd6
          };
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, handler)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  init___T__T__s_Option(vendor, mediaType, env) {
    this.vendor$1 = vendor;
    this.mediaType$1 = mediaType;
    this.env$1 = env;
    this.parsedModel$1 = $m_s_None$();
    this.DEFAULT$undDOCUMENT$undURL$1 = "http://raml.org/amf/default_document";
    return this
  };
  reportCustomValidationImplementation__p1__T__T__sjs_js_Promise(profileName, customProfilePath) {
    const x1 = this.parsedModel$1;
    if ((!$is_s_Some(x1))) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot validate without parsed model"))
    };
    const x2 = x1;
    const model = x2.value$2;
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    const result = this$1.validator__p1__Lamf_core_services_RuntimeValidator().loadValidationProfile__T__s_concurrent_Future(customProfilePath).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, profileName$1, model$1) {
      return (function(_$2) {
        const this$2 = $m_Lamf_core_services_RuntimeValidator$();
        $m_Lamf_core_services_RuntimeValidator$();
        const messageStyle = "AMF";
        return this$2.validator__p1__Lamf_core_services_RuntimeValidator().validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName$1, messageStyle).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(report$2) {
            const report = report$2;
            return report
          })
        })($this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      })
    })(this, profileName, model)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    const this$3 = $m_Lamf_client_convert_CoreClientConverters$();
    const m = $m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$3, result, m).asClient__O()
  };
  "reportCustomValidation"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$reportCustomValidation__T__T__O(prep0, prep1)
  };
  "reportValidation"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$reportValidation__T__O(prep0);
        break
      }
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        return this.$$js$exported$meth$reportValidation__T__T__O(prep0, prep1);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "parseStringAsync"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$parseStringAsync__T__O(prep0);
        break
      }
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        return this.$$js$exported$meth$parseStringAsync__T__T__O(prep0, prep1);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "parseFileAsync"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$parseFileAsync__T__O(prep0)
  };
  "parseString"(arg$1, arg$2, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        return this.$$js$exported$meth$parseString__T__Lamf_client_handler_JsHandler__O(prep0, prep1);
        break
      }
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        const prep2 = arg$rest[0];
        return this.$$js$exported$meth$parseString__T__T__Lamf_client_handler_JsHandler__O(prep0, prep1, prep2);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "parseFile"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$parseFile__T__Lamf_client_handler_JsHandler__O(prep0, prep1)
  };
}
const $d_Lamf_client_parse_Parser = new $TypeData().initClass({
  Lamf_client_parse_Parser: 0
}, false, "amf.client.parse.Parser", {
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_Parser.prototype.$classData = $d_Lamf_client_parse_Parser;
class $c_Lamf_client_render_RenderOptions extends $c_O {
  constructor() {
    super();
    this.sources$1 = false;
    this.compactUris$1 = false
  };
  init___() {
    this.sources$1 = false;
    this.compactUris$1 = false;
    return this
  };
  $$js$exported$prop$withoutSourceMaps__O() {
    return this.withoutSourceMaps__Lamf_client_render_RenderOptions()
  };
  withoutSourceMaps__Lamf_client_render_RenderOptions() {
    this.sources$1 = false;
    return this
  };
  $$js$exported$prop$withSourceMaps__O() {
    return this.withSourceMaps__Lamf_client_render_RenderOptions()
  };
  withCompactUris__Lamf_client_render_RenderOptions() {
    this.compactUris$1 = true;
    return this
  };
  $$js$exported$prop$isWithSourceMaps__O() {
    return this.sources$1
  };
  withSourceMaps__Lamf_client_render_RenderOptions() {
    this.sources$1 = true;
    return this
  };
  $$js$exported$prop$withoutCompactUris__O() {
    return this.withoutCompactUris__Lamf_client_render_RenderOptions()
  };
  $$js$exported$prop$isWithCompactUris__O() {
    return this.compactUris$1
  };
  withoutCompactUris__Lamf_client_render_RenderOptions() {
    this.compactUris$1 = false;
    return this
  };
  $$js$exported$prop$withCompactUris__O() {
    return this.withCompactUris__Lamf_client_render_RenderOptions()
  };
  get "isWithSourceMaps"() {
    return this.$$js$exported$prop$isWithSourceMaps__O()
  };
  get "isWithCompactUris"() {
    return this.$$js$exported$prop$isWithCompactUris__O()
  };
  get "withoutCompactUris"() {
    return this.$$js$exported$prop$withoutCompactUris__O()
  };
  get "withCompactUris"() {
    return this.$$js$exported$prop$withCompactUris__O()
  };
  get "withoutSourceMaps"() {
    return this.$$js$exported$prop$withoutSourceMaps__O()
  };
  get "withSourceMaps"() {
    return this.$$js$exported$prop$withSourceMaps__O()
  };
}
const $is_Lamf_client_render_RenderOptions = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_render_RenderOptions)))
});
const $isArrayOf_Lamf_client_render_RenderOptions = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_render_RenderOptions)))
});
const $d_Lamf_client_render_RenderOptions = new $TypeData().initClass({
  Lamf_client_render_RenderOptions: 0
}, false, "amf.client.render.RenderOptions", {
  Lamf_client_render_RenderOptions: 1,
  O: 1
});
$c_Lamf_client_render_RenderOptions.prototype.$classData = $d_Lamf_client_render_RenderOptions;
class $c_Lamf_client_render_Renderer extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null;
    this.mediaType$1 = null
  };
  generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__Lamf_client_handler_JsHandler__V(unit, options, handler) {
    this.generate__p1__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lamf_client_handler_Handler__V(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), $m_Lamf_core_emitter_RenderOptions$().apply__Lamf_client_render_RenderOptions__Lamf_core_emitter_RenderOptions(options), handler)
  };
  init___T__T(vendor, mediaType) {
    this.vendor$1 = vendor;
    this.mediaType$1 = mediaType;
    return this
  };
  unitSyncAdapter__p1__Lamf_client_handler_FileHandler__s_util_Try__V(handler, t) {
    if ($is_s_util_Success(t)) {
      handler.success__V()
    } else if ($is_s_util_Failure(t)) {
      const x4 = t;
      const exception = x4.exception$2;
      handler.error__jl_Throwable__V(exception)
    } else {
      throw new $c_s_MatchError().init___O(t)
    }
  };
  $$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__Lamf_client_handler_JsHandler__O(unit, handler) {
    this.generate__p1__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lamf_client_handler_Handler__V(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), new $c_Lamf_core_emitter_RenderOptions().init___(), handler)
  };
  generate__p1__Lamf_core_model_document_BaseUnit__T__Lamf_core_emitter_RenderOptions__Lamf_client_handler_FileHandler__V(unit, url, options, handler) {
    this.generate__p1__Lamf_core_model_document_BaseUnit__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future(unit, url, options).onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, handler$1) {
      return (function(t$2) {
        const t = t$2;
        $this.unitSyncAdapter__p1__Lamf_client_handler_FileHandler__s_util_Try__V(handler$1, t)
      })
    })(this, handler)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__Lamf_client_handler_JsHandler__O(unit, options, handler) {
    this.generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__Lamf_client_handler_JsHandler__V(unit, options, handler)
  };
  generate__p1__Lamf_core_model_document_BaseUnit__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future(unit, url, options) {
    const this$1 = new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions(unit, this.mediaType$1, this.vendor$1, options);
    const remote = $m_Lamf_client_convert_CoreClientConverters$().platform$1;
    const content = this$1.render__T();
    return $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(remote, url, content)
  };
  $$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__O(unit, url) {
    return this.generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__sjs_js_Promise(unit, url, new $c_Lamf_client_render_RenderOptions().init___())
  };
  $$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_handler_JsFileHandler__O(unit, url, handler) {
    this.generate__p1__Lamf_core_model_document_BaseUnit__T__Lamf_core_emitter_RenderOptions__Lamf_client_handler_FileHandler__V(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), url, new $c_Lamf_core_emitter_RenderOptions().init___(), handler)
  };
  generate__p1__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lamf_client_handler_Handler__V(unit, options, handler) {
    this.generate__p1__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_concurrent_Future(unit, options).onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, handler$1) {
      return (function(t$2) {
        const t = t$2;
        $this.stringSyncAdapter__p1__Lamf_client_handler_Handler__s_util_Try__V(handler$1, t)
      })
    })(this, handler)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  $$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__O(unit, url, options) {
    return this.generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__sjs_js_Promise(unit, url, options)
  };
  $$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__O(unit, options) {
    return this.generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__sjs_js_Promise(unit, options)
  };
  generate__p1__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_concurrent_Future(unit, options) {
    return new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions(unit, this.mediaType$1, this.vendor$1, options).renderToString__s_concurrent_Future()
  };
  generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__sjs_js_Promise(unit, options) {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.generate__p1__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_concurrent_Future(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), $m_Lamf_core_emitter_RenderOptions$().apply__Lamf_client_render_RenderOptions__Lamf_core_emitter_RenderOptions(options));
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__Lamf_client_handler_JsFileHandler__V(unit, url, options, handler) {
    this.generate__p1__Lamf_core_model_document_BaseUnit__T__Lamf_core_emitter_RenderOptions__Lamf_client_handler_FileHandler__V(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), url, $m_Lamf_core_emitter_RenderOptions$().apply__Lamf_client_render_RenderOptions__Lamf_core_emitter_RenderOptions(options), handler)
  };
  $$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__Lamf_client_handler_JsFileHandler__O(unit, url, options, handler) {
    this.generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__Lamf_client_handler_JsFileHandler__V(unit, url, options, handler)
  };
  $$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__O(unit) {
    return this.generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__sjs_js_Promise(unit, new $c_Lamf_client_render_RenderOptions().init___())
  };
  stringSyncAdapter__p1__Lamf_client_handler_Handler__s_util_Try__V(handler, t) {
    if ($is_s_util_Success(t)) {
      const x2 = t;
      const value = x2.value$2;
      handler.success__O__V(value)
    } else if ($is_s_util_Failure(t)) {
      const x3 = t;
      const exception = x3.exception$2;
      handler.error__jl_Throwable__V(exception)
    } else {
      throw new $c_s_MatchError().init___O(t)
    }
  };
  generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__sjs_js_Promise(unit, url, options) {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.generate__p1__Lamf_core_model_document_BaseUnit__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), url, $m_Lamf_core_emitter_RenderOptions$().apply__Lamf_client_render_RenderOptions__Lamf_core_emitter_RenderOptions(options));
    const m = $m_Lamf_client_convert_CoreClientConverters$().UnitMatcher__Lamf_client_convert_CoreBaseConverter$UnitMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  "generateString"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__O(prep0);
        break
      }
      case 2: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        const prep2 = arg$rest[1];
        return this.$$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__Lamf_client_handler_JsHandler__O(prep0, prep1, prep2);
        break
      }
      case 1: {
        if ($is_Lamf_client_render_RenderOptions(arg$rest[0])) {
          const prep0 = arg$1;
          const prep1 = arg$rest[0];
          return this.$$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__Lamf_client_render_RenderOptions__O(prep0, prep1)
        } else {
          const prep0 = arg$1;
          const prep1 = arg$rest[0];
          return this.$$js$exported$meth$generateString__Lamf_client_model_document_BaseUnit__Lamf_client_handler_JsHandler__O(prep0, prep1)
        };
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "generateFile"(arg$1, arg$2, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 0: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        return this.$$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__O(prep0, prep1);
        break
      }
      case 1: {
        if ($is_Lamf_client_render_RenderOptions(arg$rest[0])) {
          const prep0 = arg$1;
          const prep1 = arg$2;
          const prep2 = arg$rest[0];
          return this.$$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__O(prep0, prep1, prep2)
        } else {
          const prep0 = arg$1;
          const prep1 = arg$2;
          const prep2 = arg$rest[0];
          return this.$$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_handler_JsFileHandler__O(prep0, prep1, prep2)
        };
        break
      }
      case 2: {
        const prep0 = arg$1;
        const prep1 = arg$2;
        const prep2 = arg$rest[0];
        const prep3 = arg$rest[1];
        return this.$$js$exported$meth$generateFile__Lamf_client_model_document_BaseUnit__T__Lamf_client_render_RenderOptions__Lamf_client_handler_JsFileHandler__O(prep0, prep1, prep2, prep3);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
}
const $d_Lamf_client_render_Renderer = new $TypeData().initClass({
  Lamf_client_render_Renderer: 0
}, false, "amf.client.render.Renderer", {
  Lamf_client_render_Renderer: 1,
  O: 1
});
$c_Lamf_client_render_Renderer.prototype.$classData = $d_Lamf_client_render_Renderer;
class $c_Lamf_client_resolve_Resolver extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null
  };
  $$js$exported$meth$resolve__Lamf_client_model_document_BaseUnit__T__O(unit, pipeline) {
    return this.resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, pipeline)
  };
  $$js$exported$meth$resolve__Lamf_client_model_document_BaseUnit__O(unit) {
    return this.resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, $m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1)
  };
  resolve__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_document_BaseUnit(unit, pipeline) {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = $m_Lamf_core_services_RuntimeResolver$().resolve__T__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(this.vendor$1, ($m_Lamf_client_convert_CoreClientConverters$(), $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$(), unit.$$undinternal__Lamf_core_model_document_BaseUnit()), pipeline);
    const m$1 = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
    return m$1.asClient__Lamf_core_model_document_BaseUnit__Lamf_client_model_document_BaseUnit(from)
  };
  init___T(vendor) {
    this.vendor$1 = vendor;
    return this
  };
  "resolve"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        return this.$$js$exported$meth$resolve__Lamf_client_model_document_BaseUnit__T__O(prep0, prep1);
        break
      }
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$resolve__Lamf_client_model_document_BaseUnit__O(prep0);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
}
const $d_Lamf_client_resolve_Resolver = new $TypeData().initClass({
  Lamf_client_resolve_Resolver: 0
}, false, "amf.client.resolve.Resolver", {
  Lamf_client_resolve_Resolver: 1,
  O: 1
});
$c_Lamf_client_resolve_Resolver.prototype.$classData = $d_Lamf_client_resolve_Resolver;
const $f_Lamf_client_resource_BaseFileResourceLoader__fetch__T__sjs_js_Promise = (function($thiz, resource) {
  const this$2 = new $c_sci_StringOps().init___T(resource);
  const prefix = $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1;
  return $thiz.fetchFile__T__sjs_js_Promise($f_sci_StringLike__stripPrefix__T__T(this$2, prefix))
});
const $f_Lamf_client_resource_BaseFileResourceLoader__accepts__T__Z = (function($thiz, resource) {
  const o8 = $m_Lamf_core_remote_File$().unapply__T__s_Option(resource);
  if ((!o8.isEmpty__Z())) {
    return true
  };
  return false
});
class $c_Lamf_client_validate_ValidationReport extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.conforms$1 = false;
    this.model$1 = null;
    this.profile$1 = null;
    this.results$1 = null
  };
  init___Lamf_core_validation_AMFValidationReport(_internal) {
    this.$$undinternal$1 = _internal;
    this.conforms$1 = _internal.conforms$1;
    this.model$1 = _internal.model$1;
    this.profile$1 = _internal.profile$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = _internal.results$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().ValidationResultMatcher__Lamf_client_convert_ValidationConverter$ValidationResultMatcher$();
    this.results$1 = new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return this
  };
  $$js$exported$meth$toString__O() {
    return this.$$undinternal$1.toString__T()
  };
  toString__T() {
    return this.$$undinternal$1.toString__T()
  };
  $$js$exported$prop$results__O() {
    return this.results$1
  };
  $$js$exported$prop$conforms__O() {
    return this.conforms$1
  };
  $$js$exported$prop$model__O() {
    return this.model$1
  };
  $$js$exported$prop$profile__O() {
    return this.profile$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "results"() {
    return this.$$js$exported$prop$results__O()
  };
  get "profile"() {
    return this.$$js$exported$prop$profile__O()
  };
  get "model"() {
    return this.$$js$exported$prop$model__O()
  };
  get "conforms"() {
    return this.$$js$exported$prop$conforms__O()
  };
}
const $d_Lamf_client_validate_ValidationReport = new $TypeData().initClass({
  Lamf_client_validate_ValidationReport: 0
}, false, "amf.client.validate.ValidationReport", {
  Lamf_client_validate_ValidationReport: 1,
  O: 1
});
$c_Lamf_client_validate_ValidationReport.prototype.$classData = $d_Lamf_client_validate_ValidationReport;
class $c_Lamf_client_validate_ValidationResult extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.message$1 = null;
    this.level$1 = null;
    this.targetNode$1 = null;
    this.targetProperty$1 = null;
    this.validationId$1 = null;
    this.source$1 = null;
    this.position$1 = null
  };
  $$js$exported$prop$validationId__O() {
    return this.validationId$1
  };
  $$js$exported$prop$targetProperty__O() {
    return this.targetProperty$1
  };
  $$js$exported$prop$position__O() {
    return this.position$1
  };
  $$js$exported$prop$message__O() {
    return this.message$1
  };
  $$js$exported$prop$targetNode__O() {
    return this.targetNode$1
  };
  $$js$exported$prop$source__O() {
    return this.source$1
  };
  init___Lamf_core_validation_AMFValidationResult(_internal) {
    this.$$undinternal$1 = _internal;
    this.message$1 = _internal.message$1;
    this.level$1 = _internal.level$1;
    this.targetNode$1 = _internal.targetNode$1;
    const this$1 = _internal.targetProperty$1;
    this.targetProperty$1 = (this$1.isEmpty__Z() ? null : this$1.get__O());
    this.validationId$1 = _internal.validationId$1;
    this.source$1 = _internal.source$1;
    const x1 = _internal.position$1;
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lexical = x2.value$2;
      jsx$1 = lexical.range__Lamf_core_parser_Range()
    } else {
      jsx$1 = $m_Lamf_core_parser_Range$NONE$()
    };
    this.position$1 = jsx$1;
    return this
  };
  $$js$exported$prop$level__O() {
    return this.level$1
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "source"() {
    return this.$$js$exported$prop$source__O()
  };
  get "validationId"() {
    return this.$$js$exported$prop$validationId__O()
  };
  get "targetProperty"() {
    return this.$$js$exported$prop$targetProperty__O()
  };
  get "targetNode"() {
    return this.$$js$exported$prop$targetNode__O()
  };
  get "level"() {
    return this.$$js$exported$prop$level__O()
  };
  get "message"() {
    return this.$$js$exported$prop$message__O()
  };
}
const $d_Lamf_client_validate_ValidationResult = new $TypeData().initClass({
  Lamf_client_validate_ValidationResult: 0
}, false, "amf.client.validate.ValidationResult", {
  Lamf_client_validate_ValidationResult: 1,
  O: 1
});
$c_Lamf_client_validate_ValidationResult.prototype.$classData = $d_Lamf_client_validate_ValidationResult;
class $c_Lamf_client_validate_Validator$ extends $c_O {
  init___() {
    return this
  };
  $$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    return this.validate__Lamf_client_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  loadValidationProfile__T__sjs_js_Promise(url) {
    const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    const from = this$1.validator__p1__Lamf_core_services_RuntimeValidator().loadValidationProfile__T__s_concurrent_Future(url);
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  validate__Lamf_client_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle) {
    const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    const model$1 = model.$$undinternal__Lamf_core_model_document_BaseUnit();
    const from = this$1.validator__p1__Lamf_core_services_RuntimeValidator().validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName, messageStyle).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(report$2) {
        const report = report$2;
        return report
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    const m = $m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    return this.loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
}
const $d_Lamf_client_validate_Validator$ = new $TypeData().initClass({
  Lamf_client_validate_Validator$: 0
}, false, "amf.client.validate.Validator$", {
  Lamf_client_validate_Validator$: 1,
  O: 1
});
$c_Lamf_client_validate_Validator$.prototype.$classData = $d_Lamf_client_validate_Validator$;
let $n_Lamf_client_validate_Validator$ = (void 0);
const $m_Lamf_client_validate_Validator$ = (function() {
  if ((!$n_Lamf_client_validate_Validator$)) {
    $n_Lamf_client_validate_Validator$ = new $c_Lamf_client_validate_Validator$().init___()
  };
  return $n_Lamf_client_validate_Validator$
});
class $c_Lamf_core_AMF$ extends $c_O {
  constructor() {
    super();
    this.initializedPlugins$1 = null
  };
  init___() {
    $n_Lamf_core_AMF$ = this;
    const array = [$m_Lamf_plugins_syntax_SYamlSyntaxPlugin$().ID$2, $m_Lamf_plugins_document_graph_AMFGraphPlugin$().ID$2, $m_Lamf_plugins_syntax_SYamlSyntaxPlugin$().ID$2];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = new $c_scm_HashSet().init___()
    } else {
      const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_HashSet().init___());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_GrowingBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.initializedPlugins$1 = jsx$1;
    return this
  };
  processInitializations__sc_Seq__s_concurrent_Future(plugins) {
    _processInitializations: while (true) {
      if (plugins.isEmpty__Z()) {
        return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
          return (function() {
            return (void 0)
          })
        })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      } else {
        const nextPlugin = plugins.head__O();
        const this$1 = this.initializedPlugins$1;
        const elem = nextPlugin.ID__T();
        if ($f_scm_FlatHashTable__containsElem__O__Z(this$1, elem)) {
          plugins = plugins.tail__O();
          continue _processInitializations
        } else {
          const notInitializedYet = nextPlugin.dependencies__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
            return (function(plugin$2) {
              const plugin = plugin$2;
              const this$3 = this$2.initializedPlugins$1;
              const elem$1 = plugin.ID__T();
              return (!$f_scm_FlatHashTable__containsElem__O__Z(this$3, elem$1))
            })
          })(this)));
          return this.processInitializations__sc_Seq__s_concurrent_Future(notInitializedYet).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, nextPlugin$1) {
            return (function(x$3$2) {
              return nextPlugin$1.init__s_concurrent_Future().map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, nextPlugin$1$1) {
                return (function(x$4$2) {
                  const this$4 = $this$1.initializedPlugins$1;
                  const elem$2 = nextPlugin$1$1.ID__T();
                  return this$4.$$plus$eq__O__scm_HashSet(elem$2)
                })
              })(this$3$1, nextPlugin$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
            })
          })(this, nextPlugin)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, plugins$1) {
            return (function(x$5$2) {
              return this$4$1.processInitializations__sc_Seq__s_concurrent_Future(plugins$1.tail__O())
            })
          })(this, plugins)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      }
    }
  };
  init__s_concurrent_Future() {
    $m_Lamf_core_AMFCompiler$().init__V();
    $m_Lamf_core_AMFSerializer$().init__V();
    const registeredSYamlPlugin = $m_Lamf_plugins_syntax_SYamlSyntaxPlugin$().init__s_concurrent_Future();
    const registeredAMFGraphPlugin = $m_Lamf_plugins_document_graph_AMFGraphPlugin$().init__s_concurrent_Future();
    const parserSideValidation = new $c_Lamf_plugins_features_validation_ParserSideValidationPlugin().init___();
    const registeredParserSideValidationPugin = parserSideValidation.init__s_concurrent_Future();
    const jsx$2 = $m_s_concurrent_Future$();
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([registeredSYamlPlugin, registeredAMFGraphPlugin, registeredParserSideValidationPugin]));
    const this$1 = $m_sc_Seq$();
    return jsx$2.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(jsx$1, this$1.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        return $this.processInitializations__sc_Seq__s_concurrent_Future($m_Lamf_core_registries_AMFPluginsRegistry$().plugins__sc_Iterable().toSeq__sc_Seq())
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, parserSideValidation$1) {
      return (function(x$2$2) {
        $m_Lamf_core_registries_AMFPluginsRegistry$().registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V($m_Lamf_plugins_syntax_SYamlSyntaxPlugin$());
        $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
        $m_Lamf_core_registries_AMFPluginsRegistry$().registerFeaturePlugin__Lamf_core_plugins_AMFFeaturePlugin__V(parserSideValidation$1)
      })
    })(this, parserSideValidation)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin) {
    if ($is_Lamf_core_plugins_AMFSyntaxPlugin(plugin)) {
      const x2 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V(x2)
    } else if ($is_Lamf_core_plugins_AMFDocumentPlugin(plugin)) {
      const x3 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V(x3)
    } else if ($is_Lamf_core_plugins_AMFDomainPlugin(plugin)) {
      const x4 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerDomainPlugin__Lamf_core_plugins_AMFDomainPlugin__V(x4)
    } else if ($is_Lamf_core_plugins_AMFFeaturePlugin(plugin)) {
      const x5 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerFeaturePlugin__Lamf_core_plugins_AMFFeaturePlugin__V(x5)
    } else if ($is_Lamf_core_plugins_AMFPayloadValidationPlugin(plugin)) {
      const x6 = plugin;
      $m_Lamf_core_registries_AMFPluginsRegistry$().registerPayloadValidationPlugin__Lamf_core_plugins_AMFPayloadValidationPlugin__V(x6)
    } else {
      throw new $c_s_MatchError().init___O(plugin)
    }
  };
}
const $d_Lamf_core_AMF$ = new $TypeData().initClass({
  Lamf_core_AMF$: 0
}, false, "amf.core.AMF$", {
  Lamf_core_AMF$: 1,
  O: 1
});
$c_Lamf_core_AMF$.prototype.$classData = $d_Lamf_core_AMF$;
let $n_Lamf_core_AMF$ = (void 0);
const $m_Lamf_core_AMF$ = (function() {
  if ((!$n_Lamf_core_AMF$)) {
    $n_Lamf_core_AMF$ = new $c_Lamf_core_AMF$().init___()
  };
  return $n_Lamf_core_AMF$
});
class $c_Lamf_core_AMFCompiler extends $c_O {
  constructor() {
    super();
    this.rawUrl$1 = null;
    this.remote$1 = null;
    this.base$1 = null;
    this.mediaType$1 = null;
    this.vendor$1 = null;
    this.referenceKind$1 = null;
    this.cache$1 = null;
    this.baseContext$1 = null;
    this.env$1 = null;
    this.url$1 = null;
    this.context$1 = null;
    this.location$1 = null;
    this.amf$core$AMFCompiler$$ctx$1 = null
  };
  parseDomain__p1__Lamf_core_Root__s_concurrent_Future(document) {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parseDomain: parsing domain ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.rawUrl$1])));
    const currentRun = this.amf$core$AMFCompiler$$ctx$1.parserCount$1;
    const x1 = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForVendor__T__sc_Seq(this.vendor$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, document$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.canParse__Lamf_core_Root__Z(document$1)
      })
    })(this, document)));
    let domainPluginOption;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      domainPluginOption = new $c_s_Some().init___O(domainPlugin)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      domainPluginOption = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForMediaType__T__sc_Seq(document.mediatype$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, document$2) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          return x$6.canParse__Lamf_core_Root__Z(document$2)
        })
      })(this, document)))
    };
    let futureDocument;
    if ($is_s_Some(domainPluginOption)) {
      const x2$2 = domainPluginOption;
      const domainPlugin$2 = x2$2.value$2;
      $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parseSyntax: parsing domain ", " plugin ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.rawUrl$1, domainPlugin$2.ID__T()])));
      futureDocument = this.parseReferences__p1__Lamf_core_Root__Lamf_core_plugins_AMFDocumentPlugin__s_concurrent_Future(document, domainPlugin$2).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, document$3, domainPlugin$2$1) {
        return (function(documentWithReferences$2) {
          const documentWithReferences = documentWithReferences$2;
          const x1$1 = domainPlugin$2$1.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(documentWithReferences, this$3.amf$core$AMFCompiler$$ctx$1, this$3.remote$1);
          if ($is_s_Some(x1$1)) {
            const x2$1 = x1$1;
            const baseUnit = x2$1.value$2;
            const raw = document$3.raw$1;
            return $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit(baseUnit, raw)
          } else {
            const x$1 = $m_s_None$();
            if ((x$1 === x1$1)) {
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$6 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const value = document$3.location$1;
              const this$7 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
              const location = document$3.location$1;
              const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
              const this$13 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, location);
              const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
              const this$11 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
              const text = document$3.raw$1;
              const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
              const this$12 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$1, text);
              const mediaType = document$3.mediatype$1;
              const field$2 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
              const encoded = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$12, field$2, mediaType);
              const field$3 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$13, field$3, encoded)
            } else {
              throw new $c_s_MatchError().init___O(x1$1)
            }
          }
        })
      })(this, document, domainPlugin$2)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      const x$3 = $m_s_None$();
      if ((!(x$3 === domainPluginOption))) {
        throw new $c_s_MatchError().init___O(domainPluginOption)
      };
      $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parseSyntax: parsing domain ", " NO PLUGIN"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.rawUrl$1])));
      const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
      const this$17 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
      const location$1 = document.location$1;
      const field$4 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      const this$18 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$4, location$1);
      const value$1 = document.location$1;
      const this$24 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$18, value$1);
      const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
      const this$22 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
      const text$1 = document.raw$1;
      const field$5 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
      const this$23 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$22, field$5, text$1);
      const mediaType$1 = document.mediatype$1;
      const field$6 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
      const encoded$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$23, field$6, mediaType$1);
      const field$7 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      const fragment = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$24, field$7, encoded$1);
      futureDocument = $m_s_concurrent_Future$().successful__O__s_concurrent_Future(fragment)
    };
    return futureDocument.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, currentRun$1) {
      return (function(baseUnit$2) {
        const baseUnit$1 = baseUnit$2;
        baseUnit$1.parserRun$und$eq__s_Option__V(new $c_s_Some().init___O(currentRun$1));
        $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parseDomain: model ready ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$4$1.rawUrl$1])));
        return $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(baseUnit$1, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1) {
          return (function(x0$3$2, x1$3$2) {
            const x0$3 = x0$3$2;
            return x0$3
          })
        })(this$4$1)))
      })
    })(this, currentRun)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  resolveRecursiveUnit__T__s_concurrent_Future(fulllUrl) {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parserReferences: Recursive reference ", " for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([fulllUrl, this.rawUrl$1])));
    const this$1 = this.remote$1;
    const env = this.env$1;
    return $f_Lamf_core_remote_Platform__resolve__T__Lamf_internal_environment_Environment__s_concurrent_Future(this$1, fulllUrl, env).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, fulllUrl$1) {
      return (function(content$2) {
        const content = content$2;
        const this$5 = new $c_Lamf_core_model_document_RecursiveUnit().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
        const this$6 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, fulllUrl$1);
        const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
        const recUnit = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field, fulllUrl$1);
        const raw = content.stream$1.toString__T();
        $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit(recUnit, raw);
        return recUnit
      })
    })(this, fulllUrl)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  parseExternalFragment__Lamf_client_remote_Content__s_concurrent_Future(content) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = (content.url$1 + "#/");
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const text = content.stream$1.toString__T();
    const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, text);
    const this$6 = content.mime$1;
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const mime = arg1;
      const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field$1, mime)
    };
    const jsx$1 = $m_s_concurrent_Future$();
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const this$10 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    const location = content.url$1;
    const field$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field$2, location);
    const value$1 = content.url$1;
    const this$12 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$11, value$1);
    const field$3 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    const this$13 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$12, field$3, result);
    const location$1 = content.url$1;
    const field$4 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    return jsx$1.successful__O__s_concurrent_Future($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field$4, location$1))
  };
  parseDomain__p1__s_util_Either__s_concurrent_Future(parsed) {
    if ($is_s_util_Left(parsed)) {
      const x2 = parsed;
      const content = x2.value$2;
      return this.parseExternalFragment__Lamf_client_remote_Content__s_concurrent_Future(content)
    } else if ($is_s_util_Right(parsed)) {
      const x3 = parsed;
      const document = x3.value$2;
      return this.parseDomain__p1__Lamf_core_Root__s_concurrent_Future(document)
    } else {
      throw new $c_s_MatchError().init___O(parsed)
    }
  };
  build__s_concurrent_Future() {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#build: Building ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.rawUrl$1])));
    if (this.context$1.hasCycles__Z()) {
      return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_Lamf_core_exception_CyclicReferenceException().init___sci_List(this.context$1.history$1))
    } else {
      const this$1 = this.cache$1;
      const url = this.location$1;
      const x1 = this$1.cache$1.get__O__s_Option(url);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const value = x2.value$2;
        return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, value$1) {
          return (function() {
            return value$1
          })
        })(this$1, value)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          return ($m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#build: compiling ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.rawUrl$1]))), this.compile__p1__s_concurrent_Future()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, url$1) {
            return (function(value$2$2) {
              const value$2 = value$2$2;
              this$2.cache$1.update__O__O__V(url$1, value$2);
              return value$2
            })
          })(this$1, url)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  compile__p1__s_concurrent_Future() {
    const this$1 = this.remote$1;
    const url = this.location$1;
    const env = this.env$1;
    return $f_Lamf_core_remote_Platform__resolve__T__Lamf_internal_environment_Environment__s_concurrent_Future(this$1, url, env).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(inputContent$2) {
        const inputContent = inputContent$2;
        return $this.parseSyntax__p1__Lamf_client_remote_Content__s_util_Either(inputContent)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(parsed$2) {
        const parsed = parsed$2;
        return this$2.parseDomain__p1__s_util_Either__s_concurrent_Future(parsed)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  liftedTree1$1__p1__T() {
    try {
      const str = this.rawUrl$1;
      const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(str);
      const this$3 = this$2.platform$1;
      const url = this$2.str$1;
      return $f_Lamf_core_remote_JsPlatform__normalizePath__T__T(this$3, url)
    } catch (e) {
      if ($is_Ljava_net_URISyntaxException(e)) {
        const e$2 = e;
        const this$4 = this.baseContext$1;
        let this$12;
        if (this$4.isEmpty__Z()) {
          const jsx$1 = this.rawUrl$1;
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$8 = new $c_scm_ListBuffer().init___();
          this$12 = new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I(jsx$1, this$8.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I())
        } else {
          this$12 = this$4.get__O()
        };
        const node = this.url$1;
        const message = e$2.s$1;
        const ast = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(this.url$1);
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$12, node, message, ast);
        return this.rawUrl$1
      } else {
        throw e
      }
    }
  };
  parseReferences__p1__Lamf_core_Root__Lamf_core_plugins_AMFDocumentPlugin__s_concurrent_Future(root, domainPlugin) {
    const handler = domainPlugin.referenceHandler__Lamf_core_parser_ReferenceHandler();
    const refs = handler.collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(root.parsed$1, this.amf$core$AMFCompiler$$ctx$1);
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parseReferences: ", " references found in ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([refs.toReferences__sc_Seq().size__I(), this.rawUrl$1])));
    const jsx$2 = refs.toReferences__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        return x$7.isRemote__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, domainPlugin$1, handler$1) {
      return (function(link$2) {
        const link = link$2;
        return link.resolve__Lamf_core_remote_Context__s_Option__T__Lamf_core_remote_Cache__Lamf_core_parser_ParserContext__Lamf_internal_environment_Environment__s_concurrent_Future(this$2.context$1, $m_s_None$(), domainPlugin$1.ID__T(), this$2.cache$1, this$2.amf$core$AMFCompiler$$ctx$1, this$2.env$1).recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1().init___Lamf_core_AMFCompiler__Lamf_core_plugins_AMFDocumentPlugin(this$2, domainPlugin$1), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, handler$1$1, link$1) {
          return (function(u$2) {
            let f;
            if ($is_s_concurrent_Future(u$2)) {
              const x2 = u$2;
              f = x2
            } else {
              if ((!$is_Lamf_core_model_document_BaseUnit(u$2))) {
                throw new $c_s_MatchError().init___O(u$2)
              };
              const x3 = u$2;
              f = $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$2, x3$1) {
                return (function() {
                  return x3$1
                })
              })($this$1, x3)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
            };
            return f.flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, handler$1$2, link$1$1) {
              return (function(u$2$2) {
                const u$2$1 = u$2$2;
                const reference = new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(u$2$1, link$1$1, $m_s_None$());
                return handler$1$2.update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, this$2$1.amf$core$AMFCompiler$$ctx$1, this$2$1.context$1, this$2$1.env$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
                  return (function(x$8$2) {
                    const x$8 = x$8$2;
                    return new $c_s_Some().init___O(x$8)
                  })
                })(this$2$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
              })
            })($this$1, handler$1$1, link$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
          })
        })(this$2, handler$1, link)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2().init___Lamf_core_AMFCompiler__Lamf_core_parser_Reference(this$2, link), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      })
    })(this, domainPlugin, handler));
    const this$3 = $m_sc_Seq$();
    const units = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const jsx$3 = $m_s_concurrent_Future$();
    const this$4 = $m_sc_Seq$();
    return jsx$3.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(units, this$4.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, root$1, domainPlugin$2) {
      return (function(rs$2) {
        const rs = rs$2;
        const x$11 = rs.flatten__F1__sc_GenTraversable(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
          return (function(xo$2) {
            const xo = xo$2;
            return xo.toList__sci_List()
          })
        })(this$3$1)));
        const x$12 = domainPlugin$2.ID__T();
        const x$13 = root$1.parsed$1;
        const x$14 = root$1.location$1;
        const x$15 = root$1.mediatype$1;
        const x$16 = root$1.referenceKind$1;
        const x$17 = root$1.raw$1;
        return new $c_Lamf_core_Root().init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(x$13, x$14, x$15, x$11, x$16, x$12, x$17)
      })
    })(this, root, domainPlugin)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  autodetectSyntax__jl_CharSequence__s_Option(stream) {
    const this$1 = this.base$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const b = arg1;
      const x = $objectToString(stream);
      const this$4 = new $c_sci_StringOps().init___T(x);
      const $$this = this$4.repr$1;
      const len = ($$this.length | 0);
      let i = 0;
      while (true) {
        let jsx$1;
        if ((i < len)) {
          const arg1$1 = this$4.apply__I__O(i);
          let c;
          if ((arg1$1 === null)) {
            c = 0
          } else {
            const this$8 = arg1$1;
            c = this$8.value$1
          };
          jsx$1 = (!((((c !== 10) && (c !== 9)) && (c !== 13)) && (c !== 32)))
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          i = ((1 + i) | 0)
        } else {
          break
        }
      };
      const i$1 = i;
      const $$this$1 = this$4.repr$1;
      let x1;
      if ((i$1 < ($$this$1.length | 0))) {
        x1 = new $c_s_Some().init___O(this$4.apply__I__O(i$1))
      } else {
        x1 = $m_s_None$()
      };
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const c$1 = x2.value$2;
        let c$3;
        if ((c$1 === null)) {
          c$3 = 0
        } else {
          const this$12 = c$1;
          c$3 = this$12.value$1
        };
        if (((c$3 === 123) || (c$3 === 91))) {
          $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#autodetectSyntax: auto detected application/json media type"])).s__sc_Seq__T($m_sci_Nil$()));
          return new $c_s_Some().init___O("application/json")
        }
      };
      return $m_s_None$()
    }
  };
  init___T__Lamf_core_remote_Platform__s_Option__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment(rawUrl, remote, base, mediaType, vendor, referenceKind, cache, baseContext, env) {
    this.rawUrl$1 = rawUrl;
    this.remote$1 = remote;
    this.base$1 = base;
    this.mediaType$1 = mediaType;
    this.vendor$1 = vendor;
    this.referenceKind$1 = referenceKind;
    this.cache$1 = cache;
    this.baseContext$1 = baseContext;
    this.env$1 = env;
    this.url$1 = this.liftedTree1$1__p1__T();
    let this$1;
    if (base.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = base.get__O();
      const x$1 = arg1;
      this$1 = new $c_s_Some().init___O(x$1.update__T__Lamf_core_remote_Context(this.url$1))
    };
    this.context$1 = (this$1.isEmpty__Z() ? $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__T__Lamf_core_remote_Context(this.remote$1, this.url$1) : this$1.get__O());
    this.location$1 = this.context$1.current__T();
    let jsx$1;
    if (baseContext.isEmpty__Z()) {
      const jsx$2 = this.url$1;
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$5 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I(jsx$2, this$5.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I())
    } else {
      jsx$1 = baseContext.get__O()
    };
    this.amf$core$AMFCompiler$$ctx$1 = jsx$1;
    return this
  };
  parseSyntax__p1__Lamf_client_remote_Content__s_util_Either(inputContent) {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFCompiler#parseSyntax: parsing syntax ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.rawUrl$1])));
    const content = $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(inputContent, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$1$2, x1$1$2) {
        const x0$1 = x0$1$2;
        return x0$1
      })
    })(this)));
    const this$1 = content.mime$1;
    const this$2 = (this$1.isEmpty__Z() ? this.mediaType$1 : this$1);
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const mime = arg1;
      const this$3 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(mime);
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const x$2 = arg1$1;
        this$4 = x$2.parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mime, content.stream$1, this.amf$core$AMFCompiler$$ctx$1)
      }
    };
    let this$10;
    if (this$4.isEmpty__Z()) {
      const this$5 = $m_Lamf_core_remote_FileMediaType$();
      const path = content.url$1;
      const this$6 = $f_Lamf_core_remote_FileMediaType__extension__T__s_Option(this$5, path);
      let this$8;
      if (this$6.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$2 = this$6.get__O();
        const extension = arg1$2;
        const this$7 = $m_Lamf_core_remote_FileMediaType$();
        this$8 = $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option(this$7, extension)
      };
      if (this$8.isEmpty__Z()) {
        this$10 = $m_s_None$()
      } else {
        const arg1$3 = this$8.get__O();
        const mime$1 = arg1$3;
        const this$9 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(mime$1);
        if (this$9.isEmpty__Z()) {
          this$10 = $m_s_None$()
        } else {
          const arg1$4 = this$9.get__O();
          const x$3 = arg1$4;
          this$10 = x$3.parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mime$1, content.stream$1, this.amf$core$AMFCompiler$$ctx$1)
        }
      }
    } else {
      this$10 = this$4
    };
    let parsed;
    if (this$10.isEmpty__Z()) {
      const this$11 = this.autodetectSyntax__jl_CharSequence__s_Option(content.stream$1);
      if (this$11.isEmpty__Z()) {
        parsed = $m_s_None$()
      } else {
        const arg1$5 = this$11.get__O();
        const mime$2 = arg1$5;
        try {
          this.mediaType$1 = new $c_s_Some().init___O(mime$2);
          const this$12 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(mime$2);
          if (this$12.isEmpty__Z()) {
            parsed = $m_s_None$()
          } else {
            const arg1$6 = this$12.get__O();
            const x$4 = arg1$6;
            parsed = x$4.parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mime$2, content.stream$1, this.amf$core$AMFCompiler$$ctx$1)
          }
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ($is_jl_Exception(e$2)) {
            parsed = $m_s_None$()
          } else {
            throw e
          }
        }
      }
    } else {
      parsed = this$10
    };
    if ($is_s_Some(parsed)) {
      const x2 = parsed;
      const inputDocument = x2.value$2;
      const document = $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(inputDocument, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$6$1) {
        return (function(x0$2$2, x1$2$2) {
          const x0$2 = x0$2$2;
          return x0$2
        })
      })(this)));
      $m_s_package$();
      const location = content.url$1;
      const this$13 = content.mime$1;
      let mediatype;
      if (this$13.isEmpty__Z()) {
        const this$14 = this.mediaType$1;
        mediatype = (this$14.isEmpty__Z() ? "" : this$14.get__O())
      } else {
        mediatype = this$13.get__O()
      };
      const references = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const referenceKind$1 = this.referenceKind$1;
      const vendor$1 = this.vendor$1;
      const raw = content.stream$1.toString__T();
      const value = new $c_Lamf_core_Root().init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(document, location, mediatype, references, referenceKind$1, vendor$1, raw);
      return new $c_s_util_Right().init___O(value)
    } else {
      const x = $m_s_None$();
      if ((x === parsed)) {
        $m_s_package$();
        return new $c_s_util_Left().init___O(content)
      } else {
        throw new $c_s_MatchError().init___O(parsed)
      }
    }
  };
}
const $d_Lamf_core_AMFCompiler = new $TypeData().initClass({
  Lamf_core_AMFCompiler: 0
}, false, "amf.core.AMFCompiler", {
  Lamf_core_AMFCompiler: 1,
  O: 1
});
$c_Lamf_core_AMFCompiler.prototype.$classData = $d_Lamf_core_AMFCompiler;
class $c_Lamf_core_AMFCompiler$ extends $c_O {
  init___() {
    return this
  };
  init__V() {
    if ($m_Lamf_core_services_RuntimeCompiler$().compiler$1.isEmpty__Z()) {
      $m_Lamf_core_services_RuntimeCompiler$().register__Lamf_core_services_RuntimeCompiler__V(new $c_Lamf_core_AMFCompiler$$$Lambda$1().init___O((function($this) {
        return (function(url$2, base$2, mediaType$2, vendor$2, referenceKind$2, cache$2, ctx$2, env$2) {
          const url = url$2;
          const base = base$2;
          const mediaType = mediaType$2;
          const vendor = vendor$2;
          const referenceKind = referenceKind$2;
          const cache = cache$2;
          const ctx = ctx$2;
          const env = env$2;
          return new $c_Lamf_core_AMFCompiler().init___T__Lamf_core_remote_Platform__s_Option__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment(url, base.platform$1, new $c_s_Some().init___O(base), mediaType, vendor, referenceKind, cache, ctx, env).build__s_concurrent_Future()
        })
      })(this)))
    }
  };
}
const $d_Lamf_core_AMFCompiler$ = new $TypeData().initClass({
  Lamf_core_AMFCompiler$: 0
}, false, "amf.core.AMFCompiler$", {
  Lamf_core_AMFCompiler$: 1,
  O: 1
});
$c_Lamf_core_AMFCompiler$.prototype.$classData = $d_Lamf_core_AMFCompiler$;
let $n_Lamf_core_AMFCompiler$ = (void 0);
const $m_Lamf_core_AMFCompiler$ = (function() {
  if ((!$n_Lamf_core_AMFCompiler$)) {
    $n_Lamf_core_AMFCompiler$ = new $c_Lamf_core_AMFCompiler$().init___()
  };
  return $n_Lamf_core_AMFCompiler$
});
class $c_Lamf_core_AMFCompilerRunCount$ extends $c_O {
  constructor() {
    super();
    this.count$1 = 0
  };
  init___() {
    this.count$1 = 0;
    return this
  };
  nextRun__I() {
    this.count$1 = ((1 + this.count$1) | 0);
    return this.count$1
  };
}
const $d_Lamf_core_AMFCompilerRunCount$ = new $TypeData().initClass({
  Lamf_core_AMFCompilerRunCount$: 0
}, false, "amf.core.AMFCompilerRunCount$", {
  Lamf_core_AMFCompilerRunCount$: 1,
  O: 1
});
$c_Lamf_core_AMFCompilerRunCount$.prototype.$classData = $d_Lamf_core_AMFCompilerRunCount$;
let $n_Lamf_core_AMFCompilerRunCount$ = (void 0);
const $m_Lamf_core_AMFCompilerRunCount$ = (function() {
  if ((!$n_Lamf_core_AMFCompilerRunCount$)) {
    $n_Lamf_core_AMFCompilerRunCount$ = new $c_Lamf_core_AMFCompilerRunCount$().init___()
  };
  return $n_Lamf_core_AMFCompilerRunCount$
});
class $c_Lamf_core_AMFSerializer extends $c_O {
  constructor() {
    super();
    this.unit$1 = null;
    this.mediaType$1 = null;
    this.vendor$1 = null;
    this.options$1 = null
  };
  renderToString__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.render__T()
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  render__T() {
    const jsx$4 = $m_Lamf_core_benchmark_ExecutionLog$();
    const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFSerializer#render: Rendering to ", " (", " file) ", ""]));
    const jsx$2 = this.mediaType$1;
    const jsx$1 = this.vendor$1;
    const this$1 = this.unit$1;
    jsx$4.log__T__Lamf_core_benchmark_ExecutionLog$(jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$2, jsx$1, this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    const ast = this.make__Lorg_yaml_model_YDocument();
    const x1 = $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(this.mediaType$1);
    let parsed;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const syntaxPlugin = x2.value$2;
      parsed = syntaxPlugin.unparse__T__Lorg_yaml_model_YDocument__s_Option(this.mediaType$1, ast)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const x1$2 = this.findDomainPlugin__s_Option();
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const domainPlugin = x2$2.value$2;
          const this$2 = domainPlugin.documentSyntaxes__sc_Seq();
          const pf = new $c_Lamf_core_AMFSerializer$$anonfun$1().init___Lamf_core_AMFSerializer(this);
          const this$3 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$2, pf);
          if (this$3.isEmpty__Z()) {
            parsed = $m_s_None$()
          } else {
            const arg1 = this$3.get__O();
            const x0$1 = arg1;
            matchEnd5: {
              if ((x0$1 !== null)) {
                const effectiveMediaType = x0$1.$$und1__O();
                const p2 = x0$1.$$und2__O();
                if ($is_s_Some(p2)) {
                  const x3 = p2;
                  const syntaxPlugin$1 = x3.value$2;
                  parsed = syntaxPlugin$1.unparse__T__Lorg_yaml_model_YDocument__s_Option(effectiveMediaType, ast);
                  break matchEnd5
                }
              };
              parsed = $m_s_None$()
            }
          }
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$2))) {
            throw new $c_s_MatchError().init___O(x1$2)
          };
          parsed = $m_s_None$()
        }
      } else {
        parsed = $m_s_None$()
      }
    };
    if ($is_s_Some(parsed)) {
      const x2$3 = parsed;
      const doc = x2$3.value$2;
      return $objectToString(doc)
    } else {
      const x$5 = $m_s_None$();
      if (((x$5 === parsed) && $is_Lamf_core_model_document_ExternalFragment(this.unit$1))) {
        const this$4 = this.unit$1;
        const this$5 = this$4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
        const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
        const this$7 = this$6.option$1;
        return (this$7.isEmpty__Z() ? null : this$7.get__O())
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported media type ", " and vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.mediaType$1, this.vendor$1]))))
      }
    }
  };
  init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions(unit, mediaType, vendor, options) {
    this.unit$1 = unit;
    this.mediaType$1 = mediaType;
    this.vendor$1 = vendor;
    this.options$1 = options;
    return this
  };
  make__Lorg_yaml_model_YDocument() {
    const x1 = this.findDomainPlugin__s_Option();
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      const x1$2 = domainPlugin.unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(this.unit$1, this.options$1);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const ast = x2$2.value$2;
        return ast
      } else {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error unparsing syntax ", " with domain plugin ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.mediaType$1, domainPlugin.ID__T()]))))
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        }
      }
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1)) {
        const jsx$2 = $m_sjsr_package$();
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot serialize domain model '", "' for detected media type ", " and vendor ", ""]));
        const this$1 = this.unit$1;
        throw jsx$2.unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1), this.mediaType$1, this.vendor$1]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  findDomainPlugin__s_Option() {
    const x1 = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForVendor__T__sc_Seq(this.vendor$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(plugin$2) {
        const plugin = plugin$2;
        return (plugin.documentSyntaxes__sc_Seq().contains__O__Z($this.mediaType$1) && plugin.canUnparse__Lamf_core_model_document_BaseUnit__Z($this.unit$1))
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      return new $c_s_Some().init___O(domainPlugin)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForMediaType__T__sc_Seq(this.mediaType$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return x$1.canUnparse__Lamf_core_model_document_BaseUnit__Z(this$2.unit$1)
          })
        })(this)))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $d_Lamf_core_AMFSerializer = new $TypeData().initClass({
  Lamf_core_AMFSerializer: 0
}, false, "amf.core.AMFSerializer", {
  Lamf_core_AMFSerializer: 1,
  O: 1
});
$c_Lamf_core_AMFSerializer.prototype.$classData = $d_Lamf_core_AMFSerializer;
class $c_Lamf_core_AMFSerializer$ extends $c_O {
  init___() {
    return this
  };
  init__V() {
    if ($m_Lamf_core_services_RuntimeSerializer$().serializer$1.isEmpty__Z()) {
      $m_Lamf_core_services_RuntimeSerializer$().register__Lamf_core_services_RuntimeSerializer__V(new $c_Lamf_core_AMFSerializer$$anon$1().init___())
    }
  };
}
const $d_Lamf_core_AMFSerializer$ = new $TypeData().initClass({
  Lamf_core_AMFSerializer$: 0
}, false, "amf.core.AMFSerializer$", {
  Lamf_core_AMFSerializer$: 1,
  O: 1
});
$c_Lamf_core_AMFSerializer$.prototype.$classData = $d_Lamf_core_AMFSerializer$;
let $n_Lamf_core_AMFSerializer$ = (void 0);
const $m_Lamf_core_AMFSerializer$ = (function() {
  if ((!$n_Lamf_core_AMFSerializer$)) {
    $n_Lamf_core_AMFSerializer$ = new $c_Lamf_core_AMFSerializer$().init___()
  };
  return $n_Lamf_core_AMFSerializer$
});
class $c_Lamf_core_benchmark_ExecutionLog$ extends $c_O {
  constructor() {
    super();
    this.executions$1 = null;
    this.current$1 = null
  };
  init___() {
    $n_Lamf_core_benchmark_ExecutionLog$ = this;
    this.executions$1 = $m_sci_Nil$();
    this.current$1 = $m_s_None$();
    return this
  };
  $$js$exported$meth$log__T__O(stage) {
    return this.log__T__Lamf_core_benchmark_ExecutionLog$(stage)
  };
  $$js$exported$meth$start__O() {
    return this.start__Lamf_core_benchmark_ExecutionLog$()
  };
  finish__Lamf_core_benchmark_ExecutionLog$() {
    const this$1 = this.current$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const execution = arg1;
      const jsx$2 = this.executions$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([execution.finish__Lamf_core_benchmark_Execution()]));
      const this$2 = $m_sc_Seq$();
      this.executions$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
    };
    this.current$1 = $m_s_None$();
    return this
  };
  $$js$exported$prop$executions__O() {
    return this.executions$1
  };
  $$js$exported$meth$finish__O() {
    return this.finish__Lamf_core_benchmark_ExecutionLog$()
  };
  log__T__Lamf_core_benchmark_ExecutionLog$(stage) {
    const this$1 = this.current$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const execution = arg1;
      const t = new $c_ju_Date().init___().getTime__J();
      const lo = t.lo$2;
      const hi = t.hi$2;
      this.current$1 = new $c_s_Some().init___O(execution.log__T__J__Lamf_core_benchmark_Execution(stage, new $c_sjsr_RuntimeLong().init___I__I(lo, hi)))
    };
    return this
  };
  $$js$exported$prop$current__O() {
    return this.current$1
  };
  $$js$exported$meth$buildReport__O() {
    this.buildReport__V()
  };
  $$js$exported$prop$executions__sc_Seq__O(x$1) {
    this.executions$1 = x$1
  };
  $$js$exported$prop$current__s_Option__O(x$1) {
    this.current$1 = x$1
  };
  start__Lamf_core_benchmark_ExecutionLog$() {
    const this$1 = this.current$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const execution = arg1;
      const jsx$2 = this.executions$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([execution.finish__Lamf_core_benchmark_Execution()]));
      const this$2 = $m_sc_Seq$();
      this.executions$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
    };
    const t = new $c_ju_Date().init___().getTime__J();
    const lo = t.lo$2;
    const hi = t.hi$2;
    this.current$1 = new $c_s_Some().init___O(new $c_Lamf_core_benchmark_Execution().init___J__J__sc_Seq(new $c_sjsr_RuntimeLong().init___I__I(lo, hi), new $c_sjsr_RuntimeLong().init___I__I(lo, hi), $m_sci_Nil$()));
    return this
  };
  buildReport__V() {
    const jsx$1 = this.executions$1;
    const this$1 = $m_sc_Seq$();
    jsx$1.zipWithIndex__scg_CanBuildFrom__O(this$1.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const execution = x0$1.$$und1__O();
          const i = x0$1.$$und2$mcI$sp__I();
          const t = execution.startTime$1;
          const lo = t.lo$2;
          const hi = t.hi$2;
          const prev = new $c_sr_LongRef().init___J(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
          const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["---- Run ", " (", " ms) ----\\n"]));
          const t$1 = execution.endTime$1;
          const lo$1 = t$1.lo$2;
          const hi$1 = t$1.hi$2;
          const b = execution.startTime$1;
          const bhi = b.hi$2;
          const lo$2 = ((lo$1 - b.lo$2) | 0);
          const hi$2 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$1 - bhi) | 0)) | 0) : ((hi$1 - bhi) | 0));
          const x = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i, new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$2)]));
          const this$5 = $m_s_Console$();
          const this$6 = this$5.outVar$2.v$1;
          this$6.java$lang$JSConsoleBasedPrintStream$$printString__T__V((x + "\n"));
          execution.logs$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, prev$1) {
            return (function(log$2) {
              const log = log$2;
              const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["   (", " ms) ", ""]));
              const t$2 = log.time$1;
              const lo$3 = t$2.lo$2;
              const hi$3 = t$2.hi$2;
              const b$1 = prev$1.elem$1;
              const bhi$1 = b$1.hi$2;
              const lo$4 = ((lo$3 - b$1.lo$2) | 0);
              const hi$4 = ((((-2147483648) ^ lo$4) > ((-2147483648) ^ lo$3)) ? (((-1) + ((hi$3 - bhi$1) | 0)) | 0) : ((hi$3 - bhi$1) | 0));
              const x$1 = jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_sjsr_RuntimeLong().init___I__I(lo$4, hi$4), log.stage$1]));
              const this$9 = $m_s_Console$();
              const this$10 = this$9.outVar$2.v$1;
              this$10.java$lang$JSConsoleBasedPrintStream$$printString__T__V((x$1 + "\n"));
              prev$1.elem$1 = log.time$1
            })
          })($this, prev)));
          const jsx$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["   (", " ms) Finished"]));
          const t$3 = execution.endTime$1;
          const lo$5 = t$3.lo$2;
          const hi$5 = t$3.hi$2;
          const b$2 = prev.elem$1;
          const bhi$2 = b$2.hi$2;
          const lo$6 = ((lo$5 - b$2.lo$2) | 0);
          const hi$6 = ((((-2147483648) ^ lo$6) > ((-2147483648) ^ lo$5)) ? (((-1) + ((hi$5 - bhi$2) | 0)) | 0) : ((hi$5 - bhi$2) | 0));
          const x$2 = jsx$4.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_sjsr_RuntimeLong().init___I__I(lo$6, hi$6)]));
          const this$13 = $m_s_Console$();
          const this$14 = this$13.outVar$2.v$1;
          this$14.java$lang$JSConsoleBasedPrintStream$$printString__T__V((x$2 + "\n"));
          const this$16 = $m_s_Console$();
          const this$17 = this$16.outVar$2.v$1;
          this$17.java$lang$JSConsoleBasedPrintStream$$printString__T__V("\n\n\n\n")
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this)))
  };
  "buildReport"() {
    return this.$$js$exported$meth$buildReport__O()
  };
  "finish"() {
    return this.$$js$exported$meth$finish__O()
  };
  "start"() {
    return this.$$js$exported$meth$start__O()
  };
  "log"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$log__T__O(prep0)
  };
  get "current"() {
    return this.$$js$exported$prop$current__O()
  };
  set "current"(arg$1) {
    const prep0 = arg$1;
    this.$$js$exported$prop$current__s_Option__O(prep0)
  };
  get "executions"() {
    return this.$$js$exported$prop$executions__O()
  };
  set "executions"(arg$1) {
    const prep0 = arg$1;
    this.$$js$exported$prop$executions__sc_Seq__O(prep0)
  };
}
const $d_Lamf_core_benchmark_ExecutionLog$ = new $TypeData().initClass({
  Lamf_core_benchmark_ExecutionLog$: 0
}, false, "amf.core.benchmark.ExecutionLog$", {
  Lamf_core_benchmark_ExecutionLog$: 1,
  O: 1
});
$c_Lamf_core_benchmark_ExecutionLog$.prototype.$classData = $d_Lamf_core_benchmark_ExecutionLog$;
let $n_Lamf_core_benchmark_ExecutionLog$ = (void 0);
const $m_Lamf_core_benchmark_ExecutionLog$ = (function() {
  if ((!$n_Lamf_core_benchmark_ExecutionLog$)) {
    $n_Lamf_core_benchmark_ExecutionLog$ = new $c_Lamf_core_benchmark_ExecutionLog$().init___()
  };
  return $n_Lamf_core_benchmark_ExecutionLog$
});
class $c_Lamf_core_client_ExitCodes$ extends $c_O {
  constructor() {
    super();
    this.Success$1 = 0;
    this.WrongInvocation$1 = 0;
    this.FailingValidation$1 = 0;
    this.Exception$1 = 0
  };
  init___() {
    this.Success$1 = 0;
    this.WrongInvocation$1 = (-1);
    this.FailingValidation$1 = (-2);
    this.Exception$1 = (-3);
    return this
  };
}
const $d_Lamf_core_client_ExitCodes$ = new $TypeData().initClass({
  Lamf_core_client_ExitCodes$: 0
}, false, "amf.core.client.ExitCodes$", {
  Lamf_core_client_ExitCodes$: 1,
  O: 1
});
$c_Lamf_core_client_ExitCodes$.prototype.$classData = $d_Lamf_core_client_ExitCodes$;
let $n_Lamf_core_client_ExitCodes$ = (void 0);
const $m_Lamf_core_client_ExitCodes$ = (function() {
  if ((!$n_Lamf_core_client_ExitCodes$)) {
    $n_Lamf_core_client_ExitCodes$ = new $c_Lamf_core_client_ExitCodes$().init___()
  };
  return $n_Lamf_core_client_ExitCodes$
});
class $c_Lamf_core_client_ParsingOptions extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_client_ParsingOptions = new $TypeData().initClass({
  Lamf_core_client_ParsingOptions: 0
}, false, "amf.core.client.ParsingOptions", {
  Lamf_core_client_ParsingOptions: 1,
  O: 1
});
$c_Lamf_core_client_ParsingOptions.prototype.$classData = $d_Lamf_core_client_ParsingOptions;
class $c_Lamf_core_client_Proc extends $c_O {
}
class $c_Lamf_core_client_ProcWriter extends $c_O {
}
class $c_Lamf_core_emitter_BaseEmitters_package$ extends $c_O {
  init___() {
    return this
  };
  traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(emitters, b) {
    emitters.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(e$2) {
        const e = e$2;
        e.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1)
      })
    })(this, b)))
  };
  pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, clazz) {
    const this$1 = annotations.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, clazz$1) {
      return (function(x$1$2) {
        return clazz$1.isInstance__O__Z(x$1$2)
      })
    })(this, clazz)));
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(x$2.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
  raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content, tag) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(content);
    $m_Lorg_yaml_model_YNode$();
    const t = tag.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, id) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str = id.trim();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
  };
  traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(emitters, b) {
    emitters.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(e$2) {
        const e = e$2;
        e.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1)
      })
    })(this, b)))
  };
}
const $d_Lamf_core_emitter_BaseEmitters_package$ = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$: 0
}, false, "amf.core.emitter.BaseEmitters.package$", {
  Lamf_core_emitter_BaseEmitters_package$: 1,
  O: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$;
let $n_Lamf_core_emitter_BaseEmitters_package$ = (void 0);
const $m_Lamf_core_emitter_BaseEmitters_package$ = (function() {
  if ((!$n_Lamf_core_emitter_BaseEmitters_package$)) {
    $n_Lamf_core_emitter_BaseEmitters_package$ = new $c_Lamf_core_emitter_BaseEmitters_package$().init___()
  };
  return $n_Lamf_core_emitter_BaseEmitters_package$
});
class $c_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter(key, f, value, annotations) {
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
    return new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(key, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(f, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value$1, annotations)), $m_s_None$())
  };
}
const $d_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$: 0
}, false, "amf.core.emitter.BaseEmitters.package$RawValueEmitter$", {
  Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$: 1,
  O: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$;
let $n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = (void 0);
const $m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = (function() {
  if ((!$n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$)) {
    $n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$ = new $c_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().init___()
  };
  return $n_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$
});
const $is_Lamf_core_emitter_EntryEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_EntryEmitter)))
});
const $isArrayOf_Lamf_core_emitter_EntryEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_EntryEmitter)))
});
const $is_Lamf_core_emitter_PartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_PartEmitter)))
});
const $isArrayOf_Lamf_core_emitter_PartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_PartEmitter)))
});
class $c_Lamf_core_emitter_RenderOptions extends $c_O {
  constructor() {
    super();
    this.sources$1 = false;
    this.customEmitter$1 = null;
    this.compactUris$1 = false;
    this.rawSourceMaps$1 = false
  };
  withoutSourceMaps__Lamf_core_emitter_RenderOptions() {
    this.sources$1 = false;
    return this
  };
  init___() {
    this.sources$1 = false;
    this.customEmitter$1 = $m_s_None$();
    this.compactUris$1 = false;
    this.rawSourceMaps$1 = false;
    return this
  };
  withCompactUris__Lamf_core_emitter_RenderOptions() {
    this.compactUris$1 = true;
    return this
  };
  withSourceMaps__Lamf_core_emitter_RenderOptions() {
    this.sources$1 = true;
    return this
  };
  withoutCompactUris__Lamf_core_emitter_RenderOptions() {
    this.compactUris$1 = false;
    return this
  };
  withCustomEmitter__Lamf_plugins_document_graph_parser_ScalarEmitter__Lamf_core_emitter_RenderOptions(emitter) {
    this.customEmitter$1 = new $c_s_Some().init___O(emitter);
    return this
  };
}
const $d_Lamf_core_emitter_RenderOptions = new $TypeData().initClass({
  Lamf_core_emitter_RenderOptions: 0
}, false, "amf.core.emitter.RenderOptions", {
  Lamf_core_emitter_RenderOptions: 1,
  O: 1
});
$c_Lamf_core_emitter_RenderOptions.prototype.$classData = $d_Lamf_core_emitter_RenderOptions;
class $c_Lamf_core_emitter_RenderOptions$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_client_render_RenderOptions__Lamf_core_emitter_RenderOptions(client) {
    const opts = (client.sources$1 ? new $c_Lamf_core_emitter_RenderOptions().init___().withSourceMaps__Lamf_core_emitter_RenderOptions() : new $c_Lamf_core_emitter_RenderOptions().init___().withoutSourceMaps__Lamf_core_emitter_RenderOptions());
    return (client.compactUris$1 ? opts.withCompactUris__Lamf_core_emitter_RenderOptions() : opts.withoutCompactUris__Lamf_core_emitter_RenderOptions())
  };
}
const $d_Lamf_core_emitter_RenderOptions$ = new $TypeData().initClass({
  Lamf_core_emitter_RenderOptions$: 0
}, false, "amf.core.emitter.RenderOptions$", {
  Lamf_core_emitter_RenderOptions$: 1,
  O: 1
});
$c_Lamf_core_emitter_RenderOptions$.prototype.$classData = $d_Lamf_core_emitter_RenderOptions$;
let $n_Lamf_core_emitter_RenderOptions$ = (void 0);
const $m_Lamf_core_emitter_RenderOptions$ = (function() {
  if ((!$n_Lamf_core_emitter_RenderOptions$)) {
    $n_Lamf_core_emitter_RenderOptions$ = new $c_Lamf_core_emitter_RenderOptions$().init___()
  };
  return $n_Lamf_core_emitter_RenderOptions$
});
const $is_Lamf_core_metamodel_Obj = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Obj)))
});
const $isArrayOf_Lamf_core_metamodel_Obj = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Obj)))
});
class $c_Lamf_core_model_document_SourceMap extends $c_O {
  constructor() {
    super();
    this.annotations$1 = null
  };
  property__T__Lamf_core_parser_Value__V(element, value) {
    value.annotations$1.serializables__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1) {
      return (function(a$2) {
        const a = a$2;
        const y = a.value__T();
        const tuple = new $c_T2().init___O__O(element$1, y);
        const x1 = $this.annotations$1.get__O__s_Option(a.name__T());
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const values = x2.value$2;
          return values.$$plus$eq__T2__scm_ListMap(tuple)
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            const jsx$1 = $this.annotations$1;
            const self = a.name__T();
            const array = [tuple];
            const this$5 = new $c_scm_ListMap().init___();
            let i = 0;
            const len = (array.length | 0);
            while ((i < len)) {
              const index = i;
              const arg1 = array[index];
              this$5.$$plus$eq__T2__scm_ListMap(arg1);
              i = ((1 + i) | 0)
            };
            return jsx$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, this$5))
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, element)))
  };
  init___scm_ListMap(annotations) {
    this.annotations$1 = annotations;
    return this
  };
  annotation__T__F2(annotation) {
    const x1 = this.annotations$1.get__O__s_Option(annotation);
    let map;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const values = x2.value$2;
      map = values
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const values$2 = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      this.annotations$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(annotation, values$2));
      map = values$2
    };
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, map$1) {
      return (function(key$2, value$2) {
        const key = key$2;
        const value = value$2;
        $f_scm_MapLike__update__O__O__V(map$1, key, value)
      })
    })(this, map))
  };
}
const $is_Lamf_core_model_document_SourceMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_SourceMap)))
});
const $isArrayOf_Lamf_core_model_document_SourceMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_SourceMap)))
});
const $d_Lamf_core_model_document_SourceMap = new $TypeData().initClass({
  Lamf_core_model_document_SourceMap: 0
}, false, "amf.core.model.document.SourceMap", {
  Lamf_core_model_document_SourceMap: 1,
  O: 1
});
$c_Lamf_core_model_document_SourceMap.prototype.$classData = $d_Lamf_core_model_document_SourceMap;
class $c_Lamf_core_model_document_SourceMap$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_Lamf_core_model_document_SourceMap$ = this;
    this.empty$1 = new $c_Lamf_core_model_document_SourceMap().init___scm_ListMap(new $c_scm_ListMap().init___());
    return this
  };
  apply__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_document_SourceMap(id, element) {
    const map = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    element.annotations__Lamf_core_parser_Annotations().serializables__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, map$1) {
      return (function(a$2) {
        const a = a$2;
        const self = a.name__T();
        const y = a.value__T();
        const array = [new $c_T2().init___O__O(id$1, y)];
        const this$5 = new $c_scm_ListMap().init___();
        let i = 0;
        const len = (array.length | 0);
        while ((i < len)) {
          const index = i;
          const arg1 = array[index];
          this$5.$$plus$eq__T2__scm_ListMap(arg1);
          i = ((1 + i) | 0)
        };
        return map$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, this$5))
      })
    })(this, id, map)));
    return new $c_Lamf_core_model_document_SourceMap().init___scm_ListMap(map)
  };
  apply__Lamf_core_model_document_SourceMap() {
    return new $c_Lamf_core_model_document_SourceMap().init___scm_ListMap($m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
  };
}
const $d_Lamf_core_model_document_SourceMap$ = new $TypeData().initClass({
  Lamf_core_model_document_SourceMap$: 0
}, false, "amf.core.model.document.SourceMap$", {
  Lamf_core_model_document_SourceMap$: 1,
  O: 1
});
$c_Lamf_core_model_document_SourceMap$.prototype.$classData = $d_Lamf_core_model_document_SourceMap$;
let $n_Lamf_core_model_document_SourceMap$ = (void 0);
const $m_Lamf_core_model_document_SourceMap$ = (function() {
  if ((!$n_Lamf_core_model_document_SourceMap$)) {
    $n_Lamf_core_model_document_SourceMap$ = new $c_Lamf_core_model_document_SourceMap$().init___()
  };
  return $n_Lamf_core_model_document_SourceMap$
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject = (function($thiz, field, values) {
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$1, new $c_Lamf_core_parser_Annotations().init___())
    })
  })($thiz));
  const this$2 = $m_sc_Seq$();
  const values$1 = values.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
  return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject($thiz, field, values$1)
});
const $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject = (function($thiz, parent) {
  return $thiz.withId__T__Lamf_core_model_domain_AmfObject((("" + parent) + $thiz.componentId__T()))
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject = (function($thiz, value) {
  let cleanId;
  if (((value.indexOf("://") | 0) !== (-1))) {
    const parts = $m_sjsr_RuntimeString$().split__T__T__I__AT(value, "://", 0);
    const jsx$1 = parts.u[0];
    const thiz = parts.u[1];
    cleanId = ((jsx$1 + "://") + thiz.split("//").join("/"))
  } else {
    cleanId = value.split("//").join("/")
  };
  $thiz.id$und$eq__T__V(cleanId);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject = (function($thiz, field, values) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject = (function($thiz, field, values, annotations) {
  $thiz.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), annotations);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject = (function($thiz, field, values, annotations) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), annotations);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, value, ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject = (function($thiz, field, values) {
  $thiz.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(values, new $c_Lamf_core_parser_Annotations().init___()), ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  $thiz.fields__Lamf_core_parser_Fields().add__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Fields($thiz.id__T(), field, value);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject = (function($thiz, field, value, annotations) {
  $thiz.fields__Lamf_core_parser_Fields().set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($thiz.id__T(), field, value, annotations);
  return $thiz
});
const $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject = (function($thiz, field, value) {
  const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___());
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject($thiz, field, value$1)
});
const $is_Lamf_core_model_domain_AmfObject = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfObject)))
});
const $isArrayOf_Lamf_core_model_domain_AmfObject = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfObject)))
});
class $c_Lamf_core_model_domain_Annotation$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(annotation) {
    const x1 = $m_Lamf_core_registries_AMFDomainRegistry$().annotationsRegistry$1.get__O__s_Option(annotation);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const annotationLoader = x2.value$2;
      return new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, annotationLoader$1) {
        return (function(annotatedValue$2, objects$2) {
          const annotatedValue = annotatedValue$2;
          const objects = objects$2;
          return annotationLoader$1.unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects)
        })
      })(this, annotationLoader)))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_core_model_domain_Annotation$ = new $TypeData().initClass({
  Lamf_core_model_domain_Annotation$: 0
}, false, "amf.core.model.domain.Annotation$", {
  Lamf_core_model_domain_Annotation$: 1,
  O: 1
});
$c_Lamf_core_model_domain_Annotation$.prototype.$classData = $d_Lamf_core_model_domain_Annotation$;
let $n_Lamf_core_model_domain_Annotation$ = (void 0);
const $m_Lamf_core_model_domain_Annotation$ = (function() {
  if ((!$n_Lamf_core_model_domain_Annotation$)) {
    $n_Lamf_core_model_domain_Annotation$ = new $c_Lamf_core_model_domain_Annotation$().init___()
  };
  return $n_Lamf_core_model_domain_Annotation$
});
class $c_Lamf_core_model_domain_ArrayNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_ArrayNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Array");
    return this
  };
}
const $d_Lamf_core_model_domain_ArrayNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_ArrayNode$: 0
}, false, "amf.core.model.domain.ArrayNode$", {
  Lamf_core_model_domain_ArrayNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_ArrayNode$.prototype.$classData = $d_Lamf_core_model_domain_ArrayNode$;
let $n_Lamf_core_model_domain_ArrayNode$ = (void 0);
const $m_Lamf_core_model_domain_ArrayNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_ArrayNode$)) {
    $n_Lamf_core_model_domain_ArrayNode$ = new $c_Lamf_core_model_domain_ArrayNode$().init___()
  };
  return $n_Lamf_core_model_domain_ArrayNode$
});
class $c_Lamf_core_model_domain_DataNodeOps$ extends $c_O {
  init___() {
    return this
  };
  adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(id, node) {
    node.forceAdopted__T__Lamf_core_model_domain_DataNode(id);
    if ($is_Lamf_core_model_domain_ArrayNode(node)) {
      const x2 = node;
      const this$1 = x2.members$2;
      const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const x$2 = arg1;
        this.adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(x2.id$1, x$2);
        these = these.tail__O()
      }
    } else if ($is_Lamf_core_model_domain_ObjectNode(node)) {
      const x3 = node;
      x3.properties$2.values__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, x3$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return this$2$1.adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(x3$1.id$1, x$3)
        })
      })(this, x3)))
    };
    return node
  };
}
const $d_Lamf_core_model_domain_DataNodeOps$ = new $TypeData().initClass({
  Lamf_core_model_domain_DataNodeOps$: 0
}, false, "amf.core.model.domain.DataNodeOps$", {
  Lamf_core_model_domain_DataNodeOps$: 1,
  O: 1
});
$c_Lamf_core_model_domain_DataNodeOps$.prototype.$classData = $d_Lamf_core_model_domain_DataNodeOps$;
let $n_Lamf_core_model_domain_DataNodeOps$ = (void 0);
const $m_Lamf_core_model_domain_DataNodeOps$ = (function() {
  if ((!$n_Lamf_core_model_domain_DataNodeOps$)) {
    $n_Lamf_core_model_domain_DataNodeOps$ = new $c_Lamf_core_model_domain_DataNodeOps$().init___()
  };
  return $n_Lamf_core_model_domain_DataNodeOps$
});
class $c_Lamf_core_model_domain_LinkNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_LinkNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Link");
    return this
  };
}
const $d_Lamf_core_model_domain_LinkNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_LinkNode$: 0
}, false, "amf.core.model.domain.LinkNode$", {
  Lamf_core_model_domain_LinkNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_LinkNode$.prototype.$classData = $d_Lamf_core_model_domain_LinkNode$;
let $n_Lamf_core_model_domain_LinkNode$ = (void 0);
const $m_Lamf_core_model_domain_LinkNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_LinkNode$)) {
    $n_Lamf_core_model_domain_LinkNode$ = new $c_Lamf_core_model_domain_LinkNode$().init___()
  };
  return $n_Lamf_core_model_domain_LinkNode$
});
class $c_Lamf_core_model_domain_ObjectNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_ObjectNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Object");
    return this
  };
}
const $d_Lamf_core_model_domain_ObjectNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_ObjectNode$: 0
}, false, "amf.core.model.domain.ObjectNode$", {
  Lamf_core_model_domain_ObjectNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_ObjectNode$.prototype.$classData = $d_Lamf_core_model_domain_ObjectNode$;
let $n_Lamf_core_model_domain_ObjectNode$ = (void 0);
const $m_Lamf_core_model_domain_ObjectNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_ObjectNode$)) {
    $n_Lamf_core_model_domain_ObjectNode$ = new $c_Lamf_core_model_domain_ObjectNode$().init___()
  };
  return $n_Lamf_core_model_domain_ObjectNode$
});
const $is_Lamf_core_model_domain_PerpetualAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_PerpetualAnnotation)))
});
const $isArrayOf_Lamf_core_model_domain_PerpetualAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_PerpetualAnnotation)))
});
class $c_Lamf_core_model_domain_ScalarNode$ extends $c_O {
  constructor() {
    super();
    this.builderType$1 = null
  };
  init___() {
    $n_Lamf_core_model_domain_ScalarNode$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.builderType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Scalar");
    return this
  };
}
const $d_Lamf_core_model_domain_ScalarNode$ = new $TypeData().initClass({
  Lamf_core_model_domain_ScalarNode$: 0
}, false, "amf.core.model.domain.ScalarNode$", {
  Lamf_core_model_domain_ScalarNode$: 1,
  O: 1
});
$c_Lamf_core_model_domain_ScalarNode$.prototype.$classData = $d_Lamf_core_model_domain_ScalarNode$;
let $n_Lamf_core_model_domain_ScalarNode$ = (void 0);
const $m_Lamf_core_model_domain_ScalarNode$ = (function() {
  if ((!$n_Lamf_core_model_domain_ScalarNode$)) {
    $n_Lamf_core_model_domain_ScalarNode$ = new $c_Lamf_core_model_domain_ScalarNode$().init___()
  };
  return $n_Lamf_core_model_domain_ScalarNode$
});
const $is_Lamf_core_model_domain_SerializableAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_SerializableAnnotation)))
});
const $isArrayOf_Lamf_core_model_domain_SerializableAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_SerializableAnnotation)))
});
class $c_Lamf_core_parser_Annotations extends $c_O {
  constructor() {
    super();
    this.amf$core$parser$Annotations$$annotations$1 = null
  };
  init___() {
    this.amf$core$parser$Annotations$$annotations$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  $$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(other) {
    const jsx$2 = this.amf$core$parser$Annotations$$annotations$1;
    const jsx$1 = other.amf$core$parser$Annotations$$annotations$1;
    const this$1 = $m_sc_Seq$();
    this.amf$core$parser$Annotations$$annotations$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  contains__jl_Class__Z(clazz) {
    return this.find__jl_Class__s_Option(clazz).isDefined__Z()
  };
  reject__F1__Lamf_core_parser_Annotations(p) {
    this.amf$core$parser$Annotations$$annotations$1 = this.amf$core$parser$Annotations$$annotations$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
      return (function(a$2) {
        const a = a$2;
        return (!(!(!p$1.apply__O__O(a))))
      })
    })(this, p)));
    return this
  };
  find__jl_Class__s_Option(clazz) {
    return this.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, clazz$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return clazz$1.isInstance__O__Z(x$2)
      })
    })(this, clazz)))
  };
  $$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(annotation) {
    const jsx$1 = this.amf$core$parser$Annotations$$annotations$1;
    const this$1 = $m_sc_Seq$();
    this.amf$core$parser$Annotations$$annotations$1 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(annotation, this$1.ReusableCBFInstance$2);
    return this
  };
  find__F1__s_Option(fn) {
    const this$1 = this.amf$core$parser$Annotations$$annotations$1.find__F1__s_Option(fn);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      return new $c_s_Some().init___O(x$1)
    }
  };
  serializables__sc_Seq() {
    const pf = new $c_Lamf_core_parser_Annotations$$anonfun$serializables$1().init___Lamf_core_parser_Annotations(this);
    const jsx$1 = this.amf$core$parser$Annotations$$annotations$1;
    const this$1 = $m_sc_Seq$();
    return jsx$1.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$1.ReusableCBFInstance$2)
  };
}
const $is_Lamf_core_parser_Annotations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Annotations)))
});
const $isArrayOf_Lamf_core_parser_Annotations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Annotations)))
});
const $d_Lamf_core_parser_Annotations = new $TypeData().initClass({
  Lamf_core_parser_Annotations: 0
}, false, "amf.core.parser.Annotations", {
  Lamf_core_parser_Annotations: 1,
  O: 1
});
$c_Lamf_core_parser_Annotations.prototype.$classData = $d_Lamf_core_parser_Annotations;
class $c_Lamf_core_parser_Annotations$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_Seq__Lamf_core_parser_Annotations(annotations) {
    const result = new $c_Lamf_core_parser_Annotations().init___();
    result.amf$core$parser$Annotations$$annotations$1 = annotations;
    return result
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(ast.range__Lorg_mulesoft_lexer_InputRange()))).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SourceAST().init___Lorg_yaml_model_YPart(ast));
    if ($is_Lorg_yaml_model_YNode(ast)) {
      const x2 = ast;
      return annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SourceNode().init___Lorg_yaml_model_YNode(x2))
    } else if ($is_Lorg_yaml_model_YMapEntry(ast)) {
      const x3 = ast;
      return annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SourceNode().init___Lorg_yaml_model_YNode(x3.value$1))
    } else {
      return annotations
    }
  };
  apply__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(annotations) {
    const result = new $c_Lamf_core_parser_Annotations().init___();
    const jsx$2 = annotations.amf$core$parser$Annotations$$annotations$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    result.amf$core$parser$Annotations$$annotations$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return result
  };
  valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node) {
    return this.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node.value__Lorg_yaml_model_YValue()).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SourceNode().init___Lorg_yaml_model_YNode(node))
  };
}
const $d_Lamf_core_parser_Annotations$ = new $TypeData().initClass({
  Lamf_core_parser_Annotations$: 0
}, false, "amf.core.parser.Annotations$", {
  Lamf_core_parser_Annotations$: 1,
  O: 1
});
$c_Lamf_core_parser_Annotations$.prototype.$classData = $d_Lamf_core_parser_Annotations$;
let $n_Lamf_core_parser_Annotations$ = (void 0);
const $m_Lamf_core_parser_Annotations$ = (function() {
  if ((!$n_Lamf_core_parser_Annotations$)) {
    $n_Lamf_core_parser_Annotations$ = new $c_Lamf_core_parser_Annotations$().init___()
  };
  return $n_Lamf_core_parser_Annotations$
});
class $c_Lamf_core_parser_Declarations extends $c_O {
  constructor() {
    super();
    this.ErrorCustomDomainProperty$module$1 = null;
    this.libraries$1 = null;
    this.fragments$1 = null;
    this.annotations$1 = null;
    this.errorHandler$1 = null;
    this.futureDeclarations$1 = null
  };
  findEquivalent__Lamf_core_model_domain_DomainElement__s_Option(element) {
    if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(element)) {
      const x2 = element;
      const this$1 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
      const this$2 = this$1.option$1;
      return this.findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$2.isEmpty__Z() ? null : this$2.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else {
      return $m_s_None$()
    }
  };
  init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(libraries, fragments, annotations, errorHandler, futureDeclarations) {
    this.libraries$1 = libraries;
    this.fragments$1 = fragments;
    this.annotations$1 = annotations;
    this.errorHandler$1 = errorHandler;
    this.futureDeclarations$1 = futureDeclarations;
    return this
  };
  $$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(element) {
    if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(element)) {
      const x2 = element;
      const this$3 = this.futureDeclarations$1;
      const this$1 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
      const this$2 = this$1.option$1;
      const name = (this$2.isEmpty__Z() ? null : this$2.get__O());
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$3, name, x2);
      const jsx$1 = this.annotations$1;
      const this$4 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
      const this$5 = this$4.option$1;
      const self = (this$5.isEmpty__Z() ? null : this$5.get__O());
      this.annotations$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, x2))
    } else {
      throw new $c_s_MatchError().init___O(element)
    };
    return this
  };
  error__T__Lorg_yaml_model_YPart__V(message, ast) {
    const x1 = this.errorHandler$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const handler = x2.value$2;
      $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(handler, message, ast)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(message))
    }
  };
  findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, map, scope) {
    const x = $m_Lamf_core_parser_SearchScope$All$();
    if ((x === scope)) {
      const this$1 = this.inRef$1__p1__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, map, scope);
      return (this$1.isEmpty__Z() ? this.fragments$1.get__O__s_Option(key) : this$1)
    } else {
      const x$3 = $m_Lamf_core_parser_SearchScope$Fragments$();
      if ((x$3 === scope)) {
        return this.fragments$1.get__O__s_Option(key)
      } else {
        const x$5 = $m_Lamf_core_parser_SearchScope$Named$();
        if ((x$5 === scope)) {
          return this.inRef$1__p1__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, map, scope)
        } else {
          throw new $c_s_MatchError().init___O(scope)
        }
      }
    }
  };
  declarables__sc_Seq() {
    const this$1 = this.annotations$1;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.annotations$1
      })
    })(this)), scope);
    const pf = new $c_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2().init___Lamf_core_parser_Declarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  inRef$1__p1__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key$1, map$1, scope$1) {
    const fqn = $m_Lamf_core_utils_package$QName$().apply__T__Lamf_core_utils_package$QName(key$1);
    let result;
    if (fqn.isQualified$1) {
      const this$1 = this.libraries$1.get__O__s_Option(fqn.qualification$1);
      if (this$1.isEmpty__Z()) {
        result = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const x$2 = arg1;
        result = x$2.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(fqn.name$1, map$1, scope$1)
      }
    } else {
      result = $m_s_None$()
    };
    return (result.isEmpty__Z() ? map$1.apply__O__O(this).get__O__s_Option(key$1) : result)
  };
}
const $is_Lamf_core_parser_Declarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Declarations)))
});
const $isArrayOf_Lamf_core_parser_Declarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Declarations)))
});
class $c_Lamf_core_parser_Fields extends $c_O {
  constructor() {
    super();
    this.StrFieldImpl$module$1 = null;
    this.BoolFieldImpl$module$1 = null;
    this.IntFieldImpl$module$1 = null;
    this.DoubleFieldImpl$module$1 = null;
    this.AnyFieldImpl$module$1 = null;
    this.fs$1 = null
  };
  set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(id, field, value, annotations) {
    if ((field.value$1.iri__T() === "http://raml.org/vocabularies/document#declares")) {
      this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V((id + "#/declarations"), value)
    } else {
      this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id, value)
    };
    const jsx$1 = this.fs$1;
    const y = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
    this.fs$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(field, y));
    return this
  };
  $$qmark__Lamf_core_metamodel_Field__s_Option(field) {
    const this$1 = this.fs$1.get__O__s_Option(field);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$5 = arg1;
      return new $c_s_Some().init___O(x$5.value$1)
    }
  };
  init___() {
    this.fs$1 = $m_sci_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  typed$1__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement__Lamf_core_metamodel_Field__O(t, e, f$1) {
    if ($is_Lamf_core_model_domain_AmfScalar(e)) {
      const x2 = e;
      const x = $m_Lamf_core_metamodel_Type$Str$();
      let jsx$1;
      if (x.equals__O__Z(t)) {
        jsx$1 = true
      } else {
        const x$3 = $m_Lamf_core_metamodel_Type$Iri$();
        jsx$1 = x$3.equals__O__Z(t)
      };
      if (jsx$1) {
        return new $c_Lamf_core_parser_Fields$StrFieldImpl().init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field(this, x2, f$1)
      } else {
        const x$5 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$5.equals__O__Z(t)) {
          return new $c_Lamf_core_parser_Fields$BoolFieldImpl().init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field(this, x2, f$1)
        } else {
          const x$7 = $m_Lamf_core_metamodel_Type$Int$();
          if (x$7.equals__O__Z(t)) {
            return new $c_Lamf_core_parser_Fields$IntFieldImpl().init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field(this, x2, f$1)
          } else {
            const x$9 = $m_Lamf_core_metamodel_Type$Float$();
            if (x$9.equals__O__Z(t)) {
              return new $c_Lamf_core_parser_Fields$DoubleFieldImpl().init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field(this, x2, f$1)
            } else {
              const x$11 = $m_Lamf_core_metamodel_Type$Double$();
              if (x$11.equals__O__Z(t)) {
                return new $c_Lamf_core_parser_Fields$DoubleFieldImpl().init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field(this, x2, f$1)
              } else {
                const x$13 = $m_Lamf_core_metamodel_Type$Any$();
                if ((x$13 === t)) {
                  return new $c_Lamf_core_parser_Fields$AnyFieldImpl().init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field(this, x2, f$1)
                } else {
                  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid value '", "' of type '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2, t]))))
                }
              }
            }
          }
        }
      }
    } else if ($is_Lamf_core_model_domain_AmfObject(e)) {
      const x3 = e;
      if ($is_Lamf_core_metamodel_Obj(t)) {
        return x3
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid value '", "' of type '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x3, t]))))
      }
    } else if ($is_Lamf_core_model_domain_AmfArray(e)) {
      const x4 = e;
      if ($is_Lamf_core_metamodel_Type$ArrayLike(t)) {
        const x2$2 = t;
        const o8 = new $c_s_Some().init___O(x2$2.element__Lamf_core_metamodel_Type());
        const element = o8.value$2;
        const jsx$3 = x4.values$1;
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1$1, element$1) {
          return (function(x$3$2$2) {
            const x$3$2 = x$3$2$2;
            return $this.typed$1__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement__Lamf_core_metamodel_Field__O(element$1, x$3$2, f$1$1)
          })
        })(this, f$1, element));
        const this$2 = $m_sc_Seq$();
        return jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$2.ReusableCBFInstance$2)
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid value '", "' of type '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x4, t]))))
      }
    } else {
      throw new $c_s_MatchError().init___O(e)
    }
  };
  removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(field) {
    this.fs$1 = this.fs$1.$$minus__O__sc_Map(field);
    return this
  };
  rawAny__p1__Lamf_core_model_domain_AmfElement__O(element) {
    if ($is_Lamf_core_model_domain_AmfArray(element)) {
      const x2 = element;
      const values = x2.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(element$2$2) {
          const element$2 = element$2$2;
          return $this.rawAny__p1__Lamf_core_model_domain_AmfElement__O(element$2)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      return values.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
    } else if ($is_Lamf_core_model_domain_AmfScalar(element)) {
      const x4 = element;
      const value = x4.value$1;
      return value
    } else {
      return element
    }
  };
  setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, value, annotations) {
    const jsx$1 = this.fs$1;
    const y = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
    this.fs$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(field, y));
    return this
  };
  adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id, value) {
    if ($is_Lamf_core_model_domain_AmfObject(value)) {
      const x2 = value;
      x2.adopted__T__Lamf_core_model_domain_AmfObject(id)
    } else if ($is_Lamf_core_model_domain_AmfArray(value)) {
      const x3 = value;
      x3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          $this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id$1, x$6)
        })
      })(this, id)))
    }
  };
  apply__Lamf_core_metamodel_Field__O(field) {
    return this.rawAny__p1__Lamf_core_model_domain_AmfElement__O(this.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field))
  };
  entryJsonld__Lamf_core_metamodel_Field__s_Option(f) {
    return (f.jsonldField$1 ? this.entry__Lamf_core_metamodel_Field__s_Option(f) : $m_s_None$())
  };
  getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field) {
    const this$1 = this.fs$1.get__O__s_Option(field);
    return (this$1.isEmpty__Z() ? null : this$1.get__O())
  };
  remove__T__Lamf_core_parser_Fields(uri) {
    const this$1 = this.fs$1;
    const this$2 = this$1.iterator__sc_Iterator();
    let this$4;
    inlinereturn$3: {
      while (this$2.hasNext__Z()) {
        const a = this$2.next__O();
        const t = a;
        const this$3 = t.$$und1__O().value$1.iri__T();
        if ((this$3 === uri)) {
          this$4 = new $c_s_Some().init___O(a);
          break inlinereturn$3
        }
      };
      this$4 = $m_s_None$()
    };
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const t$3 = arg1;
      this.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(t$3.$$und1__O())
    };
    return this
  };
  empty$1__p1__Lamf_core_metamodel_Field__O(f$1) {
    const x1 = f$1.type$1;
    const x = $m_Lamf_core_metamodel_Type$Str$();
    let jsx$1;
    if (x.equals__O__Z(x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lamf_core_metamodel_Type$Iri$();
      jsx$1 = x$3.equals__O__Z(x1)
    };
    if (jsx$1) {
      return new $c_Lamf_core_parser_Fields$StrFieldImpl().init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field(this, $m_s_None$(), new $c_Lamf_core_parser_Annotations().init___(), f$1)
    } else {
      const x$5 = $m_Lamf_core_metamodel_Type$Bool$();
      if (x$5.equals__O__Z(x1)) {
        return new $c_Lamf_core_parser_Fields$BoolFieldImpl().init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field(this, $m_s_None$(), new $c_Lamf_core_parser_Annotations().init___(), f$1)
      } else {
        const x$7 = $m_Lamf_core_metamodel_Type$Int$();
        if (x$7.equals__O__Z(x1)) {
          return new $c_Lamf_core_parser_Fields$IntFieldImpl().init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field(this, $m_s_None$(), new $c_Lamf_core_parser_Annotations().init___(), f$1)
        } else {
          const x$9 = $m_Lamf_core_metamodel_Type$Float$();
          if (x$9.equals__O__Z(x1)) {
            return new $c_Lamf_core_parser_Fields$DoubleFieldImpl().init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field(this, $m_s_None$(), new $c_Lamf_core_parser_Annotations().init___(), f$1)
          } else {
            const x$11 = $m_Lamf_core_metamodel_Type$Double$();
            if (x$11.equals__O__Z(x1)) {
              return new $c_Lamf_core_parser_Fields$DoubleFieldImpl().init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field(this, $m_s_None$(), new $c_Lamf_core_parser_Annotations().init___(), f$1)
            } else {
              const x$13 = $m_Lamf_core_metamodel_Type$Any$();
              if ((x$13 === x1)) {
                return new $c_Lamf_core_parser_Fields$AnyFieldImpl().init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field(this, $m_s_None$(), new $c_Lamf_core_parser_Annotations().init___(), f$1)
              } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1)) {
                const x2 = x1;
                new $c_s_Some().init___O(x2.element__Lamf_core_metamodel_Type());
                return $m_sci_Nil$()
              } else if ($is_Lamf_core_metamodel_Obj(x1)) {
                return null
              } else {
                throw new $c_s_MatchError().init___O(x1)
              }
            }
          }
        }
      }
    }
  };
  get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field) {
    const x1 = this.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value(field);
    const o8 = $m_Lamf_core_parser_Value$().unapply__Lamf_core_parser_Value__s_Option(x1);
    if ((!o8.isEmpty__Z())) {
      const value = o8.get__O().$$und1__O();
      return value
    };
    return this.$default__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field)
  };
  entry__Lamf_core_metamodel_Field__s_Option(f) {
    const x1 = this.fs$1.get__O__s_Option(f);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      return new $c_s_Some().init___O(new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(f, value))
    } else {
      return $m_s_None$()
    }
  };
  $default__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement(field) {
    const this$1 = $m_s_Option$().apply__O__s_Option(field.type$1);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      jsx$1 = $is_Lamf_core_metamodel_Type$Array(x$1)
    };
    let this$2;
    if (jsx$1) {
      this$2 = this$1
    } else {
      this$2 = $m_s_None$()
    };
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      this$4 = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sci_Nil$(), new $c_Lamf_core_parser_Annotations().init___()))
    };
    return (this$4.isEmpty__Z() ? null : this$4.get__O())
  };
  add__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Fields(id, field, value) {
    this.adopt__p1__T__Lamf_core_model_domain_AmfElement__V(id, value);
    const x1 = this.$$qmark__Lamf_core_metamodel_Field__s_Option(field);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const array = x2.value$2;
      array.$$plus$eq__Lamf_core_model_domain_AmfElement__V(value);
      return this
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.set__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(id, field, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([value])), new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  field__Lamf_core_metamodel_Field__O(f) {
    const this$1 = this.fs$1.get__O__s_Option(f);
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const v = arg1;
      this$2 = new $c_s_Some().init___O(this.typed$1__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement__Lamf_core_metamodel_Field__O(f.type$1, v.value$1, f))
    };
    if (this$2.isEmpty__Z()) {
      return this.empty$1__p1__Lamf_core_metamodel_Field__O(f)
    } else {
      const arg1$1 = this$2.get__O();
      return arg1$1
    }
  };
  fieldsMeta__sci_List() {
    const this$1 = this.fs$1;
    const this$2 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$1);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf)
  };
  filter__F1__Lamf_core_parser_Fields(fn) {
    this.fs$1 = this.fs$1.filter__F1__O(fn);
    return this
  };
}
const $d_Lamf_core_parser_Fields = new $TypeData().initClass({
  Lamf_core_parser_Fields: 0
}, false, "amf.core.parser.Fields", {
  Lamf_core_parser_Fields: 1,
  O: 1
});
$c_Lamf_core_parser_Fields.prototype.$classData = $d_Lamf_core_parser_Fields;
const $is_Lamf_core_parser_ScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ScalarNode)))
});
const $isArrayOf_Lamf_core_parser_ScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ScalarNode)))
});
class $c_Lamf_core_parser_Value extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.annotations$1 = null
  };
  toString__T() {
    return this.value$1.toString__T()
  };
  checkUnresolved__V() {
    const x1 = this.value$1;
    matchEnd5: {
      if ($is_Lamf_core_model_domain_Linkable(x1)) {
        const x2 = x1;
        if (x2.isUnresolved__Z()) {
          const resolve = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
            return (function(resolved$2) {
              const resolved = resolved$2;
              $this.value$1 = resolved.resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(x2$1.refName__T(), x2$1.annotations__Lamf_core_parser_Annotations(), x2$1);
              x2$1.afterResolve__V()
            })
          })(this, x2));
          $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V(x2, resolve);
          break matchEnd5
        }
      };
      if ($is_Lamf_core_model_domain_AmfArray(x1)) {
        const x3 = x1;
        x3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            matchEnd4: {
              if ($is_Lamf_core_model_domain_Linkable(x0$1)) {
                const x2$2 = x0$1;
                if (x2$2.isUnresolved__Z()) {
                  const resolve$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x2$3) {
                    return (function(resolved$2$1) {
                      const resolved$1 = resolved$2$1;
                      const unresolved = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
                      const jsx$3 = $this$1.value$1;
                      const jsx$2 = $this$1.value$1.values$1;
                      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, unresolved$1, x2$1$1, resolved$3) {
                        return (function(element$2) {
                          const element = element$2;
                          return (((element === null) ? (x2$1$1 === null) : element.equals__O__Z(x2$1$1)) ? (unresolved$1.$$plus$eq__O__scm_ListBuffer(element), resolved$3.resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(x2$1$1.refName__T(), x2$1$1.annotations__Lamf_core_parser_Annotations(), element)) : element)
                        })
                      })($this$1, unresolved, x2$3, resolved$1));
                      const this$1 = $m_sc_Seq$();
                      jsx$3.values$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
                      const this$3 = unresolved.scala$collection$mutable$ListBuffer$$start$6;
                      let these = this$3;
                      while ((!these.isEmpty__Z())) {
                        const arg1 = these.head__O();
                        const ur = arg1;
                        ur.afterResolve__V();
                        these = these.tail__O()
                      }
                    })
                  })(this$2, x2$2));
                  $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V(x2$2, resolve$1);
                  break matchEnd4
                }
              }
            }
          })
        })(this)));
        break matchEnd5
      }
    }
  };
  init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations) {
    this.value$1 = value;
    this.annotations$1 = annotations;
    this.checkUnresolved__V();
    return this
  };
}
const $is_Lamf_core_parser_Value = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Value)))
});
const $isArrayOf_Lamf_core_parser_Value = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Value)))
});
const $d_Lamf_core_parser_Value = new $TypeData().initClass({
  Lamf_core_parser_Value: 0
}, false, "amf.core.parser.Value", {
  Lamf_core_parser_Value: 1,
  O: 1
});
$c_Lamf_core_parser_Value.prototype.$classData = $d_Lamf_core_parser_Value;
class $c_Lamf_core_parser_Value$ extends $c_O {
  init___() {
    return this
  };
  unapply__Lamf_core_parser_Value__s_Option(link) {
    return ($m_s_Option$().apply__O__s_Option(link).isDefined__Z() ? new $c_s_Some().init___O(new $c_T2().init___O__O(link.value$1, link.annotations$1)) : $m_s_None$())
  };
}
const $d_Lamf_core_parser_Value$ = new $TypeData().initClass({
  Lamf_core_parser_Value$: 0
}, false, "amf.core.parser.Value$", {
  Lamf_core_parser_Value$: 1,
  O: 1
});
$c_Lamf_core_parser_Value$.prototype.$classData = $d_Lamf_core_parser_Value$;
let $n_Lamf_core_parser_Value$ = (void 0);
const $m_Lamf_core_parser_Value$ = (function() {
  if ((!$n_Lamf_core_parser_Value$)) {
    $n_Lamf_core_parser_Value$ = new $c_Lamf_core_parser_Value$().init___()
  };
  return $n_Lamf_core_parser_Value$
});
class $c_Lamf_core_parser_package$YMapOps extends $c_O {
  constructor() {
    super();
    this.map$1 = null
  };
  regex__T__sc_Iterable(expression) {
    const this$2 = new $c_sci_StringOps().init___T(expression);
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    const path = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this.map$1.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, path$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1)) {
          const x2 = x1;
          const this$4 = path$1.unapplySeq__jl_CharSequence__s_Option(x2.text$3);
          return this$4.isDefined__Z()
        } else {
          return false
        }
      })
    })(this, path)))
  };
  key__T__s_Option(keyword) {
    return this.map$1.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, keyword$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1)) {
          const x2 = x1;
          return (x2.text$3 === keyword$1)
        } else {
          return false
        }
      })
    })(this, keyword)))
  };
  init___Lorg_yaml_model_YMap(map) {
    this.map$1 = map;
    return this
  };
  key__T__F1__V(keyword, fn) {
    const this$1 = this.key__T__s_Option(keyword);
    if ((!this$1.isEmpty__Z())) {
      fn.apply__O__O(this$1.get__O())
    }
  };
}
const $d_Lamf_core_parser_package$YMapOps = new $TypeData().initClass({
  Lamf_core_parser_package$YMapOps: 0
}, false, "amf.core.parser.package$YMapOps", {
  Lamf_core_parser_package$YMapOps: 1,
  O: 1
});
$c_Lamf_core_parser_package$YMapOps.prototype.$classData = $d_Lamf_core_parser_package$YMapOps;
class $c_Lamf_core_parser_package$YNodeLikeOps extends $c_O {
  constructor() {
    super();
    this.node$1 = null
  };
  toOption__Lorg_yaml_convert_YRead__s_Option(conversion) {
    return this.node$1.to__Lorg_yaml_convert_YRead__s_util_Either(conversion).toOption__s_Option()
  };
  init___Lorg_yaml_model_YNodeLike(node) {
    this.node$1 = node;
    return this
  };
}
const $d_Lamf_core_parser_package$YNodeLikeOps = new $TypeData().initClass({
  Lamf_core_parser_package$YNodeLikeOps: 0
}, false, "amf.core.parser.package$YNodeLikeOps", {
  Lamf_core_parser_package$YNodeLikeOps: 1,
  O: 1
});
$c_Lamf_core_parser_package$YNodeLikeOps.prototype.$classData = $d_Lamf_core_parser_package$YNodeLikeOps;
class $c_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$ extends $c_O {
  constructor() {
    super();
    this.high$1 = 0;
    this.default$1 = 0;
    this.low$1 = 0
  };
  init___() {
    this.high$1 = 0;
    this.default$1 = 5;
    this.low$1 = 10;
    return this
  };
}
const $d_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$ = new $TypeData().initClass({
  Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$: 0
}, false, "amf.core.plugins.AMFDocumentPluginSettings$PluginPriorities$", {
  Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$: 1,
  O: 1
});
$c_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$.prototype.$classData = $d_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$;
let $n_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$ = (void 0);
const $m_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$ = (function() {
  if ((!$n_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$)) {
    $n_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$ = new $c_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$().init___()
  };
  return $n_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$
});
const $is_Lamf_core_plugins_AMFFeaturePlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFFeaturePlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFFeaturePlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFFeaturePlugin)))
});
const $f_Lamf_core_plugins_AMFPayloadValidationPlugin__validatePayload__Lamf_core_model_domain_Shape__T__T__s_concurrent_Future = (function($thiz, shape, payload, mediaType) {
  return $thiz.validateSet__Lamf_core_validation_ValidationShapeSet__s_concurrent_Future($m_Lamf_core_validation_ValidationShapeSet$().apply__Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment__Lamf_core_validation_ValidationShapeSet(shape, $thiz.parsePayload__T__T__Lamf_core_model_document_PayloadFragment(payload, mediaType)))
});
const $is_Lamf_core_plugins_AMFPayloadValidationPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFPayloadValidationPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFPayloadValidationPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFPayloadValidationPlugin)))
});
const $is_Lamf_core_plugins_AMFValidationPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFValidationPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFValidationPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFValidationPlugin)))
});
class $c_Lamf_core_registries_AMFDomainRegistry$ extends $c_O {
  constructor() {
    super();
    this.annotationsRegistry$1 = null;
    this.metadataRegistry$1 = null;
    this.metadataResolverRegistry$1 = null
  };
  init___() {
    $n_Lamf_core_registries_AMFDomainRegistry$ = this;
    const y = $m_Lamf_core_annotations_LexicalInformation$();
    const jsx$9 = new $c_T2().init___O__O("lexical", y);
    const y$1 = $m_Lamf_core_annotations_HostLexicalInformation$();
    const jsx$8 = new $c_T2().init___O__O("host-lexical", y$1);
    const y$2 = $m_Lamf_core_annotations_BasePathLexicalInformation$();
    const jsx$7 = new $c_T2().init___O__O("base-path-lexical", y$2);
    const y$3 = $m_Lamf_core_annotations_SourceVendor$();
    const jsx$6 = new $c_T2().init___O__O("source-vendor", y$3);
    const y$4 = $m_Lamf_core_annotations_SingleValueArray$();
    const jsx$5 = new $c_T2().init___O__O("single-value-array", y$4);
    const y$5 = $m_Lamf_core_annotations_Aliases$();
    const jsx$4 = new $c_T2().init___O__O("aliases-array", y$5);
    const y$6 = $m_Lamf_core_annotations_SynthesizedField$();
    const jsx$3 = new $c_T2().init___O__O("synthesized-field", y$6);
    const y$7 = $m_Lamf_core_annotations_DefaultNode$();
    const jsx$2 = new $c_T2().init___O__O("default-node", y$7);
    const y$8 = $m_Lamf_core_annotations_DataNodePropertiesAnnotations$();
    const jsx$1 = new $c_T2().init___O__O("data-node-properties", y$8);
    const y$9 = $m_Lamf_core_annotations_ResolvedLinkAnnotation$();
    const array = [jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("resolved-link", y$9)];
    const this$22 = new $c_scm_HashMap().init___();
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$22.$$plus$eq__T2__scm_HashMap(arg1);
      i = ((1 + i) | 0)
    };
    this.annotationsRegistry$1 = this$22;
    const self = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_DocumentModel$());
    const y$10 = $m_Lamf_core_metamodel_document_DocumentModel$();
    const jsx$20 = new $c_T2().init___O__O(self, y$10);
    const self$1 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_ModuleModel$());
    const y$11 = $m_Lamf_core_metamodel_document_ModuleModel$();
    const jsx$19 = new $c_T2().init___O__O(self$1, y$11);
    const self$2 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_templates_VariableValueModel$());
    const y$12 = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$();
    const jsx$18 = new $c_T2().init___O__O(self$2, y$12);
    const self$3 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_SourceMapModel$());
    const y$13 = $m_Lamf_core_metamodel_document_SourceMapModel$();
    const jsx$17 = new $c_T2().init___O__O(self$3, y$13);
    const self$4 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_ShapeModel$());
    const y$14 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const jsx$16 = new $c_T2().init___O__O(self$4, y$14);
    const self$5 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_RecursiveShapeModel$());
    const y$15 = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$();
    const jsx$15 = new $c_T2().init___O__O(self$5, y$15);
    const self$6 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$());
    const y$16 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$();
    const jsx$14 = new $c_T2().init___O__O(self$6, y$16);
    const self$7 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$());
    const y$17 = $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$();
    const jsx$13 = new $c_T2().init___O__O(self$7, y$17);
    const self$8 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$());
    const y$18 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
    const jsx$12 = new $c_T2().init___O__O(self$8, y$18);
    const self$9 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_document_ExternalFragmentModel$());
    const y$19 = $m_Lamf_core_metamodel_document_ExternalFragmentModel$();
    const jsx$11 = new $c_T2().init___O__O(self$9, y$19);
    const self$10 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$());
    const y$20 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$();
    const jsx$10 = new $c_T2().init___O__O(self$10, y$20);
    const self$11 = this.defaultIri__Lamf_core_metamodel_Obj__T($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$());
    const y$21 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$();
    const array$1 = [jsx$20, jsx$19, jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, new $c_T2().init___O__O(self$11, y$21)];
    const this$48 = new $c_scm_HashMap().init___();
    let i$1 = 0;
    const len$1 = (array$1.length | 0);
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = array$1[index$1];
      this$48.$$plus$eq__T2__scm_HashMap(arg1$1);
      i$1 = ((1 + i$1) | 0)
    };
    this.metadataRegistry$1 = this$48;
    $m_scm_ListBuffer$();
    const this$50 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    this.metadataResolverRegistry$1 = this$50.elems$1;
    return this
  };
  registerModelEntityResolver__Lamf_core_registries_AMFDomainEntityResolver__V(resolver) {
    const this$1 = this.metadataResolverRegistry$1;
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([resolver]);
    this$1.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(elems)
  };
  buildType__Lamf_core_metamodel_Obj__s_Option(modelType) {
    const this$1 = this.metadataResolverRegistry$1;
    return this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, modelType$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.buildType__Lamf_core_metamodel_Obj__s_Option(modelType$1)
      })
    })(this, modelType)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.isDefined__Z()
      })
    })(this))).map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.get__O()
      })
    })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).headOption__s_Option()
  };
  findType__T__s_Option(typeString) {
    const this$1 = this.metadataResolverRegistry$1;
    return this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, typeString$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.findType__T__s_Option(typeString$1)
      })
    })(this, typeString)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.isDefined__Z()
      })
    })(this))).map__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.get__O()
      })
    })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())).headOption__s_Option()
  };
  registerModelEntity__Lamf_core_metamodel_Obj__s_Option(entity) {
    return this.metadataRegistry$1.put__O__O__s_Option(this.defaultIri__Lamf_core_metamodel_Obj__T(entity), entity)
  };
  defaultIri__Lamf_core_metamodel_Obj__T(metadata) {
    return metadata.type__sci_List().head__O().iri__T()
  };
}
const $d_Lamf_core_registries_AMFDomainRegistry$ = new $TypeData().initClass({
  Lamf_core_registries_AMFDomainRegistry$: 0
}, false, "amf.core.registries.AMFDomainRegistry$", {
  Lamf_core_registries_AMFDomainRegistry$: 1,
  O: 1
});
$c_Lamf_core_registries_AMFDomainRegistry$.prototype.$classData = $d_Lamf_core_registries_AMFDomainRegistry$;
let $n_Lamf_core_registries_AMFDomainRegistry$ = (void 0);
const $m_Lamf_core_registries_AMFDomainRegistry$ = (function() {
  if ((!$n_Lamf_core_registries_AMFDomainRegistry$)) {
    $n_Lamf_core_registries_AMFDomainRegistry$ = new $c_Lamf_core_registries_AMFDomainRegistry$().init___()
  };
  return $n_Lamf_core_registries_AMFDomainRegistry$
});
class $c_Lamf_core_registries_AMFPluginsRegistry$ extends $c_O {
  constructor() {
    super();
    this.syntaxPluginIDRegistry$1 = null;
    this.syntaxPluginRegistry$1 = null;
    this.documentPluginRegistry$1 = null;
    this.documentPluginIDRegistry$1 = null;
    this.documentPluginVendorsRegistry$1 = null;
    this.domainPluginRegistry$1 = null;
    this.featurePluginIDRegistry$1 = null;
    this.featurePlugin$1 = null;
    this.payloadValidationPluginRegistry$1 = null;
    this.payloadValidationPluginIDRegistry$1 = null
  };
  init___() {
    $n_Lamf_core_registries_AMFPluginsRegistry$ = this;
    this.syntaxPluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.syntaxPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documentPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documentPluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.documentPluginVendorsRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.domainPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.featurePluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.featurePlugin$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.payloadValidationPluginRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.payloadValidationPluginIDRegistry$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  registerFeaturePlugin__Lamf_core_plugins_AMFFeaturePlugin__V(featurePlugin) {
    const x1 = this.featurePluginIDRegistry$1.get__O__s_Option(featurePlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.featurePluginIDRegistry$1.put__O__O__s_Option(featurePlugin.ID__T(), featurePlugin);
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(featurePlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  cleanMediaType__T__T(mediaType) {
    if (((mediaType.indexOf(";") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(mediaType, ";", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      return $f_sc_IndexedSeqOptimized__head__O(this$6)
    } else {
      return mediaType
    }
  };
  simpleMediaType__T__T(mediaType) {
    const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(mediaType, "/", 0);
    const o8 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o8.isEmpty__Z()) && ((o8.get__O() !== null) && (o8.get__O().lengthCompare__I__I(2) === 0)))) {
      const main = o8.get__O().apply__I__O(0);
      const sub = o8.get__O().apply__I__O(1);
      if (((sub.indexOf("+") | 0) > (-1))) {
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(sub, "\\+", 0);
        const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        return ((main + "/") + $f_sc_IndexedSeqOptimized__last__O(this$6))
      }
    };
    const o10 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o10.isEmpty__Z()) && ((o10.get__O() !== null) && (o10.get__O().lengthCompare__I__I(2) === 0)))) {
      const main$2 = o10.get__O().apply__I__O(0);
      const sub$2 = o10.get__O().apply__I__O(1);
      if (((sub$2.indexOf(".") | 0) > (-1))) {
        const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(sub$2, "\\.", 0);
        const this$11 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
        return ((main$2 + "/") + $f_sc_IndexedSeqOptimized__last__O(this$11))
      }
    };
    return mediaType
  };
  registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V(syntaxPlugin) {
    const x1 = this.syntaxPluginIDRegistry$1.get__O__s_Option(syntaxPlugin.ID$2);
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.syntaxPluginIDRegistry$1.put__O__O__s_Option(syntaxPlugin.ID$2, syntaxPlugin);
        syntaxPlugin.supportedMediaTypes__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, syntaxPlugin$1) {
          return (function(mediaType$2) {
            const mediaType = mediaType$2;
            let rc6 = false;
            let x2 = null;
            const x1$1 = $this.syntaxPluginRegistry$1.get__O__s_Option(mediaType);
            if ($is_s_Some(x1$1)) {
              rc6 = true;
              x2 = x1$1;
              const plugin = x2.value$2;
              if ((plugin.ID$2 === syntaxPlugin$1.ID$2)) {
                return (void 0)
              }
            };
            const x$1 = $m_s_None$();
            if ((x$1 === x1$1)) {
              return $this.syntaxPluginRegistry$1.put__O__O__s_Option(mediaType, syntaxPlugin$1)
            };
            if (rc6) {
              const plugin$2 = x2.value$2;
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot register ", " for media type ", ", ", " already registered"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([syntaxPlugin$1.ID$2, mediaType, plugin$2.ID$2]))))
            };
            throw new $c_s_MatchError().init___O(x1$1)
          })
        })(this, syntaxPlugin)));
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(syntaxPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V(documentPlugin) {
    const x1 = this.documentPluginIDRegistry$1.get__O__s_Option(documentPlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.documentPluginIDRegistry$1.put__O__O__s_Option(documentPlugin.ID__T(), documentPlugin);
        documentPlugin.serializableAnnotations__sci_Map().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ((x0$1 !== null)) {
              const name = x0$1.$$und1__O();
              const unloader = x0$1.$$und2__O();
              const this$1 = $m_Lamf_core_registries_AMFDomainRegistry$();
              return this$1.annotationsRegistry$1.put__O__O__s_Option(name, unloader)
            } else {
              throw new $c_s_MatchError().init___O(x0$1)
            }
          })
        })(this)));
        documentPlugin.documentSyntaxes__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, documentPlugin$1) {
          return (function(mediaType$2) {
            const mediaType = mediaType$2;
            const this$3 = this$2.documentPluginRegistry$1;
            const x1$1 = this$3.get__O__s_Option(mediaType);
            let plugins;
            if ($is_s_Some(x1$1)) {
              const x2 = x1$1;
              const v = x2.value$2;
              plugins = v
            } else {
              const x$1 = $m_s_None$();
              if ((!(x$1 === x1$1))) {
                throw new $c_s_MatchError().init___O(x1$1)
              };
              plugins = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
            };
            const jsx$2 = this$2.documentPluginRegistry$1;
            const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([documentPlugin$1]));
            const this$4 = $m_sc_Seq$();
            return jsx$2.put__O__O__s_Option(mediaType, plugins.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2))
          })
        })(this, documentPlugin)));
        documentPlugin.vendors__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, documentPlugin$2) {
          return (function(vendor$2) {
            const vendor = vendor$2;
            const this$5 = this$3$1.documentPluginVendorsRegistry$1;
            const x1$2 = this$5.get__O__s_Option(vendor);
            let plugins$1;
            if ($is_s_Some(x1$2)) {
              const x2$1 = x1$2;
              const v$1 = x2$1.value$2;
              plugins$1 = v$1
            } else {
              const x$2 = $m_s_None$();
              if ((!(x$2 === x1$2))) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              plugins$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
            };
            const jsx$4 = this$3$1.documentPluginVendorsRegistry$1;
            const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([documentPlugin$2]));
            const this$6 = $m_sc_Seq$();
            return jsx$4.put__O__O__s_Option(vendor, plugins$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2))
          })
        })(this, documentPlugin)));
        documentPlugin.modelEntities__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(entity$2) {
            const entity = entity$2;
            return $m_Lamf_core_registries_AMFDomainRegistry$().registerModelEntity__Lamf_core_metamodel_Obj__s_Option(entity)
          })
        })(this)));
        const this$7 = documentPlugin.modelEntitiesResolver__s_Option();
        if ((!this$7.isEmpty__Z())) {
          const arg1 = this$7.get__O();
          const resolver = arg1;
          $m_Lamf_core_registries_AMFDomainRegistry$().registerModelEntityResolver__Lamf_core_registries_AMFDomainEntityResolver__V(resolver)
        };
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(documentPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  registerDomainPlugin__Lamf_core_plugins_AMFDomainPlugin__V(domainPlugin) {
    const x1 = this.domainPluginRegistry$1.get__O__s_Option(domainPlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        domainPlugin.serializableAnnotations__sci_Map().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ((x0$2 !== null)) {
              const name = x0$2.$$und1__O();
              const unloader = x0$2.$$und2__O();
              const this$1 = $m_Lamf_core_registries_AMFDomainRegistry$();
              return this$1.annotationsRegistry$1.put__O__O__s_Option(name, unloader)
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })(this)));
        this.domainPluginRegistry$1.put__O__O__s_Option(domainPlugin.ID__T(), domainPlugin);
        domainPlugin.modelEntities__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(entity$2) {
            const entity = entity$2;
            return $m_Lamf_core_registries_AMFDomainRegistry$().registerModelEntity__Lamf_core_metamodel_Obj__s_Option(entity)
          })
        })(this)));
        this.registerDependencies__Lamf_core_plugins_AMFPlugin__V(domainPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  documentPluginForVendor__T__sc_Seq(vendor) {
    const this$1 = this.documentPluginVendorsRegistry$1;
    const x1 = this$1.get__O__s_Option(vendor);
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      jsx$1 = v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
    };
    return jsx$1.sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.priority__I()
      })
    })(this)), $m_s_math_Ordering$Int$())
  };
  registerDependencies__Lamf_core_plugins_AMFPlugin__V(plugin) {
    plugin.dependencies__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_plugins_AMFDomainPlugin(x0$3)) {
          const x2 = x0$3;
          $this.registerDomainPlugin__Lamf_core_plugins_AMFDomainPlugin__V(x2)
        } else if ($is_Lamf_core_plugins_AMFDocumentPlugin(x0$3)) {
          const x3 = x0$3;
          $this.registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V(x3)
        } else if ($is_Lamf_core_plugins_AMFSyntaxPlugin(x0$3)) {
          const x4 = x0$3;
          $this.registerSyntaxPlugin__Lamf_core_plugins_AMFSyntaxPlugin__V(x4)
        }
      })
    })(this)))
  };
  plugins__sc_Iterable() {
    const this$1 = this.syntaxPluginIDRegistry$1;
    const this$4 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    const this$2 = this.documentPluginIDRegistry$1;
    const that = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$2);
    const this$3 = $m_sc_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this$4, that, bf);
    const this$5 = this.domainPluginRegistry$1;
    const jsx$3 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$5);
    const this$6 = $m_sc_Iterable$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2);
    const this$7 = this.featurePluginIDRegistry$1;
    const jsx$1 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$7);
    const this$8 = $m_sc_Iterable$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2)
  };
  dataNodeValidatorPluginForMediaType__T__sc_Seq(mediaType) {
    const this$1 = this.payloadValidationPluginRegistry$1;
    const x1 = this$1.get__O__s_Option(mediaType);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      return $m_sci_Nil$()
    }
  };
  syntaxPluginForMediaType__T__s_Option(mediaType) {
    const normalizedMediaType = this.cleanMediaType__T__T(mediaType);
    const x1 = this.syntaxPluginRegistry$1.get__O__s_Option(mediaType);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const plugin = x2.value$2;
      return new $c_s_Some().init___O(plugin)
    } else {
      return this.syntaxPluginRegistry$1.get__O__s_Option(this.simpleMediaType__T__T(normalizedMediaType))
    }
  };
  registerPayloadValidationPlugin__Lamf_core_plugins_AMFPayloadValidationPlugin__V(validationPlugin) {
    const x1 = this.payloadValidationPluginIDRegistry$1.get__O__s_Option(validationPlugin.ID__T());
    if ((!$is_s_Some(x1))) {
      const x = $m_s_None$();
      if ((x === x1)) {
        validationPlugin.payloadMediaType__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validationPlugin$1) {
          return (function(mt$2) {
            const mt = mt$2;
            const x1$1 = $this.payloadValidationPluginRegistry$1.get__O__s_Option(mt);
            matchEnd5: {
              if ($is_s_Some(x1$1)) {
                const x2 = x1$1;
                const list = x2.value$2;
                if ((!list.contains__O__Z(validationPlugin$1))) {
                  const this$2 = $this.payloadValidationPluginRegistry$1;
                  const this$1 = $m_sc_Seq$();
                  const value = list.$$colon$plus__O__scg_CanBuildFrom__O(validationPlugin$1, this$1.ReusableCBFInstance$2);
                  this$2.put__O__O__s_Option(mt, value);
                  break matchEnd5
                }
              };
              const x$1 = $m_s_None$();
              if ((x$1 === x1$1)) {
                const this$3 = $this.payloadValidationPluginRegistry$1;
                const value$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationPlugin$1]));
                this$3.put__O__O__s_Option(mt, value$1);
                break matchEnd5
              };
              throw new $c_s_MatchError().init___O(x1$1)
            }
          })
        })(this, validationPlugin)));
        const this$4 = this.payloadValidationPluginIDRegistry$1;
        const key = validationPlugin.ID__T();
        this$4.put__O__O__s_Option(key, validationPlugin)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  featurePlugins__sc_Seq() {
    const this$1 = this.featurePluginIDRegistry$1;
    const this$2 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  documentPluginForMediaType__T__sc_Seq(mediaType) {
    const this$1 = this.documentPluginRegistry$1;
    const x1 = this$1.get__O__s_Option(mediaType);
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      jsx$1 = v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
    };
    return jsx$1.sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.priority__I()
      })
    })(this)), $m_s_math_Ordering$Int$())
  };
}
const $d_Lamf_core_registries_AMFPluginsRegistry$ = new $TypeData().initClass({
  Lamf_core_registries_AMFPluginsRegistry$: 0
}, false, "amf.core.registries.AMFPluginsRegistry$", {
  Lamf_core_registries_AMFPluginsRegistry$: 1,
  O: 1
});
$c_Lamf_core_registries_AMFPluginsRegistry$.prototype.$classData = $d_Lamf_core_registries_AMFPluginsRegistry$;
let $n_Lamf_core_registries_AMFPluginsRegistry$ = (void 0);
const $m_Lamf_core_registries_AMFPluginsRegistry$ = (function() {
  if ((!$n_Lamf_core_registries_AMFPluginsRegistry$)) {
    $n_Lamf_core_registries_AMFPluginsRegistry$ = new $c_Lamf_core_registries_AMFPluginsRegistry$().init___()
  };
  return $n_Lamf_core_registries_AMFPluginsRegistry$
});
class $c_Lamf_core_remote_Absolute$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(url) {
    return (((url.indexOf(":") | 0) !== (-1)) ? new $c_s_Some().init___O(url) : $m_s_None$())
  };
}
const $d_Lamf_core_remote_Absolute$ = new $TypeData().initClass({
  Lamf_core_remote_Absolute$: 0
}, false, "amf.core.remote.Absolute$", {
  Lamf_core_remote_Absolute$: 1,
  O: 1
});
$c_Lamf_core_remote_Absolute$.prototype.$classData = $d_Lamf_core_remote_Absolute$;
let $n_Lamf_core_remote_Absolute$ = (void 0);
const $m_Lamf_core_remote_Absolute$ = (function() {
  if ((!$n_Lamf_core_remote_Absolute$)) {
    $n_Lamf_core_remote_Absolute$ = new $c_Lamf_core_remote_Absolute$().init___()
  };
  return $n_Lamf_core_remote_Absolute$
});
class $c_Lamf_core_remote_Cache extends $c_O {
  constructor() {
    super();
    this.cache$1 = null
  };
  init___() {
    this.cache$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
}
const $is_Lamf_core_remote_Cache = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Cache)))
});
const $isArrayOf_Lamf_core_remote_Cache = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Cache)))
});
const $d_Lamf_core_remote_Cache = new $TypeData().initClass({
  Lamf_core_remote_Cache: 0
}, false, "amf.core.remote.Cache", {
  Lamf_core_remote_Cache: 1,
  O: 1
});
$c_Lamf_core_remote_Cache.prototype.$classData = $d_Lamf_core_remote_Cache;
class $c_Lamf_core_remote_Context extends $c_O {
  constructor() {
    super();
    this.platform$1 = null;
    this.history$1 = null;
    this.mappings$1 = null
  };
  current__T() {
    if (this.history$1.isEmpty__Z()) {
      return ""
    } else {
      const this$1 = this.history$1;
      return $f_sc_LinearSeqOptimized__last__O(this$1)
    }
  };
  update__T__Lamf_core_remote_Context(url) {
    return $m_Lamf_core_remote_Context$().amf$core$remote$Context$$apply__Lamf_core_remote_Platform__sci_List__T__sci_Map__Lamf_core_remote_Context(this.platform$1, this.history$1, this.resolve__T__T(url), this.mappings$1)
  };
  resolve__T__T(url) {
    const jsx$2 = this.platform$1;
    let jsx$1;
    matchEnd6: {
      const o9 = $m_Lamf_core_remote_Absolute$().unapply__T__s_Option(url);
      if ((!o9.isEmpty__Z())) {
        const s = o9.get__O();
        jsx$1 = s;
        break matchEnd6
      };
      const o11 = $m_Lamf_core_remote_RelativeToRoot$().unapply__T__s_Option(url);
      if ((!o11.isEmpty__Z())) {
        const s$2 = o11.get__O();
        jsx$1 = (("" + $m_Lamf_core_remote_Context$().amf$core$remote$Context$$stripFile__T__T(this.root__T())) + s$2);
        break matchEnd6
      };
      const o13 = new $c_s_Some().init___O(url);
      const s$3 = o13.value$2;
      jsx$1 = (("" + $m_Lamf_core_remote_Context$().amf$core$remote$Context$$stripFile__T__T(this.current__T())) + s$3)
    };
    return this.applyMapping__p1__T__T(jsx$2.resolvePath__T__T(jsx$1))
  };
  hasCycles__Z() {
    const this$1 = this.history$1;
    let elem$1 = 0;
    elem$1 = 0;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$1 = arg1;
      const that = this.current__T();
      if ((x$1 === that)) {
        elem$1 = ((1 + elem$1) | 0)
      };
      these = these.tail__O()
    };
    return (elem$1 === 2)
  };
  root__T() {
    return (this.history$1.isEmpty__Z() ? "" : this.history$1.head__O())
  };
  init___Lamf_core_remote_Platform__sci_List__sci_Map(platform, history, mappings) {
    this.platform$1 = platform;
    this.history$1 = history;
    this.mappings$1 = mappings;
    return this
  };
  applyMapping__p1__T__T(path) {
    const this$1 = this.mappings$1;
    const this$2 = this$1.iterator__sc_Iterator();
    let this$8;
    inlinereturn$3: {
      while (this$2.hasNext__Z()) {
        const a = this$2.next__O();
        const m = a;
        const prefix = m.$$und1__O();
        if ((((path.length | 0) >= 0) && (path.substring(0, (prefix.length | 0)) === prefix))) {
          this$8 = new $c_s_Some().init___O(a);
          break inlinereturn$3
        }
      };
      this$8 = $m_s_None$()
    };
    if (this$8.isEmpty__Z()) {
      return path
    } else {
      const arg1 = this$8.get__O();
      const m$3 = arg1;
      const target = m$3.$$und1__O();
      const replacement = m$3.$$und2__O();
      return path.split($objectToString(target)).join($objectToString(replacement))
    }
  };
}
const $is_Lamf_core_remote_Context = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Context)))
});
const $isArrayOf_Lamf_core_remote_Context = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Context)))
});
const $d_Lamf_core_remote_Context = new $TypeData().initClass({
  Lamf_core_remote_Context: 0
}, false, "amf.core.remote.Context", {
  Lamf_core_remote_Context: 1,
  O: 1
});
$c_Lamf_core_remote_Context.prototype.$classData = $d_Lamf_core_remote_Context;
class $c_Lamf_core_remote_Context$ extends $c_O {
  init___() {
    return this
  };
  amf$core$remote$Context$$apply__Lamf_core_remote_Platform__sci_List__T__sci_Map__Lamf_core_remote_Context(platform, history, currentResolved, mapping) {
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    return new $c_Lamf_core_remote_Context().init___Lamf_core_remote_Platform__sci_List__sci_Map(platform, $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(history, currentResolved, bf), mapping)
  };
  apply__Lamf_core_remote_Platform__Lamf_core_remote_Context(platform) {
    return $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__T__sci_Map__Lamf_core_remote_Context(platform, "", $m_sci_Map$EmptyMap$())
  };
  apply__Lamf_core_remote_Platform__T__sci_Map__Lamf_core_remote_Context(platform, root, mapping) {
    const this$1 = $m_s_Option$().apply__O__s_Option(root);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      const this$3 = new $c_sci_StringOps().init___T(x$2);
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$3)
    };
    let this$4;
    if (jsx$1) {
      this$4 = this$1
    } else {
      this$4 = $m_s_None$()
    };
    let this$7;
    if (this$4.isEmpty__Z()) {
      this$7 = $m_s_None$()
    } else {
      const arg1$1 = this$4.get__O();
      const x$3 = arg1$1;
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x$3]);
      const this$6 = $m_sci_List$();
      const cbf = this$6.ReusableCBFInstance$2;
      this$7 = new $c_s_Some().init___O($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
    };
    return new $c_Lamf_core_remote_Context().init___Lamf_core_remote_Platform__sci_List__sci_Map(platform, (this$7.isEmpty__Z() ? $m_sci_Nil$() : this$7.get__O()), mapping)
  };
  amf$core$remote$Context$$stripFile__T__T(url) {
    const this$4 = new $c_sci_StringOps().init___T(url);
    const elem = new $c_jl_Character().init___C(47);
    if ($f_sc_SeqLike__contains__O__Z(this$4, elem)) {
      const endIndex = ((1 + $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(url, 47)) | 0);
      return url.substring(0, endIndex)
    } else {
      return ""
    }
  };
  apply__Lamf_core_remote_Platform__T__Lamf_core_remote_Context(platform, root) {
    return $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__T__sci_Map__Lamf_core_remote_Context(platform, root, $m_sci_Map$EmptyMap$())
  };
}
const $d_Lamf_core_remote_Context$ = new $TypeData().initClass({
  Lamf_core_remote_Context$: 0
}, false, "amf.core.remote.Context$", {
  Lamf_core_remote_Context$: 1,
  O: 1
});
$c_Lamf_core_remote_Context$.prototype.$classData = $d_Lamf_core_remote_Context$;
let $n_Lamf_core_remote_Context$ = (void 0);
const $m_Lamf_core_remote_Context$ = (function() {
  if ((!$n_Lamf_core_remote_Context$)) {
    $n_Lamf_core_remote_Context$ = new $c_Lamf_core_remote_Context$().init___()
  };
  return $n_Lamf_core_remote_Context$
});
class $c_Lamf_core_remote_File$ extends $c_O {
  constructor() {
    super();
    this.FILE$undPROTOCOL$1 = null
  };
  init___() {
    this.FILE$undPROTOCOL$1 = "file://";
    return this
  };
  unapply__T__s_Option(url) {
    const prefix = this.FILE$undPROTOCOL$1;
    if ((((url.length | 0) >= 0) && (url.substring(0, (prefix.length | 0)) === prefix))) {
      const this$7 = new $c_sci_StringOps().init___T(url);
      const prefix$1 = this.FILE$undPROTOCOL$1;
      const path = $f_sci_StringLike__stripPrefix__T__T(this$7, prefix$1);
      return new $c_s_Some().init___O(path)
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_core_remote_File$ = new $TypeData().initClass({
  Lamf_core_remote_File$: 0
}, false, "amf.core.remote.File$", {
  Lamf_core_remote_File$: 1,
  O: 1
});
$c_Lamf_core_remote_File$.prototype.$classData = $d_Lamf_core_remote_File$;
let $n_Lamf_core_remote_File$ = (void 0);
const $m_Lamf_core_remote_File$ = (function() {
  if ((!$n_Lamf_core_remote_File$)) {
    $n_Lamf_core_remote_File$ = new $c_Lamf_core_remote_File$().init___()
  };
  return $n_Lamf_core_remote_File$
});
class $c_Lamf_core_remote_HttpParts$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(uri) {
    if (((((uri.length | 0) >= 0) && (uri.substring(0, ("http://".length | 0)) === "http://")) || (((uri.length | 0) >= 0) && (uri.substring(0, ("https://".length | 0)) === "https://")))) {
      const endIndex = ((3 + (uri.indexOf("://") | 0)) | 0);
      const protocol = uri.substring(0, endIndex);
      const this$16 = new $c_sci_StringOps().init___T(uri);
      const rightOfProtocol = $f_sci_StringLike__stripPrefix__T__T(this$16, protocol);
      let host;
      if (((rightOfProtocol.indexOf("/") | 0) !== (-1))) {
        const endIndex$1 = (rightOfProtocol.indexOf("/") | 0);
        host = rightOfProtocol.substring(0, endIndex$1)
      } else {
        host = rightOfProtocol
      };
      const path = rightOfProtocol.split(host).join("");
      return new $c_s_Some().init___O(new $c_T3().init___O__O__O(protocol, host, path))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_core_remote_HttpParts$ = new $TypeData().initClass({
  Lamf_core_remote_HttpParts$: 0
}, false, "amf.core.remote.HttpParts$", {
  Lamf_core_remote_HttpParts$: 1,
  O: 1
});
$c_Lamf_core_remote_HttpParts$.prototype.$classData = $d_Lamf_core_remote_HttpParts$;
let $n_Lamf_core_remote_HttpParts$ = (void 0);
const $m_Lamf_core_remote_HttpParts$ = (function() {
  if ((!$n_Lamf_core_remote_HttpParts$)) {
    $n_Lamf_core_remote_HttpParts$ = new $c_Lamf_core_remote_HttpParts$().init___()
  };
  return $n_Lamf_core_remote_HttpParts$
});
class $c_Lamf_core_remote_Mimes$ extends $c_O {
  constructor() {
    super();
    this.TEXT$divYAML$1 = null;
    this.TEXT$divX$minusYAML$1 = null;
    this.APPLICATION$divJSON$1 = null;
    this.APPLICATION$divYAML$1 = null;
    this.APPLICATION$divX$minusYAML$1 = null;
    this.APPLICATION$divRAML$plusYAML$1 = null;
    this.APPLICATION$divRAML$plusJSON$1 = null;
    this.APPLICATION$divRAML$1 = null;
    this.APPLICATION$divOPENAPI$plusJSON$1 = null;
    this.APPLICATION$divSWAGGER$plusJSON$1 = null;
    this.APPLICATION$divOPENAPI$plusYAML$1 = null;
    this.APPLICATION$divSWAGGER$plusYAML$1 = null;
    this.APPLICATION$divOPENAPI$1 = null;
    this.APPLICATION$divSWAGGER$1 = null;
    this.APPLICATION$divLD$plusJSONLD$1 = null
  };
  init___() {
    this.TEXT$divYAML$1 = "text/yaml";
    this.TEXT$divX$minusYAML$1 = "text/x-yaml";
    this.APPLICATION$divJSON$1 = "application/json";
    this.APPLICATION$divYAML$1 = "application/yaml";
    this.APPLICATION$divX$minusYAML$1 = "application/x-yaml";
    this.APPLICATION$divRAML$plusYAML$1 = "application/raml+yaml";
    this.APPLICATION$divRAML$plusJSON$1 = "application/raml+json";
    this.APPLICATION$divRAML$1 = "application/raml";
    this.APPLICATION$divOPENAPI$plusJSON$1 = "application/openapi+json";
    this.APPLICATION$divSWAGGER$plusJSON$1 = "application/swagger+json";
    this.APPLICATION$divOPENAPI$plusYAML$1 = "application/openapi+yaml";
    this.APPLICATION$divSWAGGER$plusYAML$1 = "application/swagger+yaml";
    this.APPLICATION$divOPENAPI$1 = "application/openapi";
    this.APPLICATION$divSWAGGER$1 = "application/swagger";
    this.APPLICATION$divLD$plusJSONLD$1 = "application/ld+json";
    return this
  };
}
const $d_Lamf_core_remote_Mimes$ = new $TypeData().initClass({
  Lamf_core_remote_Mimes$: 0
}, false, "amf.core.remote.Mimes$", {
  Lamf_core_remote_Mimes$: 1,
  O: 1
});
$c_Lamf_core_remote_Mimes$.prototype.$classData = $d_Lamf_core_remote_Mimes$;
let $n_Lamf_core_remote_Mimes$ = (void 0);
const $m_Lamf_core_remote_Mimes$ = (function() {
  if ((!$n_Lamf_core_remote_Mimes$)) {
    $n_Lamf_core_remote_Mimes$ = new $c_Lamf_core_remote_Mimes$().init___()
  };
  return $n_Lamf_core_remote_Mimes$
});
const $f_Lamf_core_remote_Oas__isSameWithoutVersion__Lamf_core_remote_Vendor__Z = (function($thiz, vendor) {
  return $is_Lamf_core_remote_Oas(vendor)
});
const $f_Lamf_core_remote_Oas__$$init$__V = (function($thiz) {
  const thiz = ("oas " + $thiz.version__T());
  $thiz.amf$core$remote$Oas$$undsetter$und$name$und$eq__T__V(thiz.trim());
  $thiz.amf$core$remote$Oas$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V($m_Lamf_core_remote_Syntax$Json$())
});
const $is_Lamf_core_remote_Oas = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Oas)))
});
const $isArrayOf_Lamf_core_remote_Oas = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Oas)))
});
const $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option = (function($thiz, model, builder) {
  return $thiz.wrappersRegistry__scm_HashMap().put__O__O__s_Option(model.type__sci_List().head__O().iri__T(), builder)
});
const $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper = (function($thiz, entity) {
  if ($is_Lamf_core_model_domain_DomainElement(entity)) {
    const x2 = entity;
    const this$1 = $thiz.wrappersRegistryFn__scm_HashMap();
    const this$2 = new $c_scm_HashMap$$anon$1().init___scm_HashMap(this$1);
    const this$3 = this$2.$$outer$4.keysIterator__sc_Iterator();
    let x1$2;
    inlinereturn$7: {
      while (this$3.hasNext__Z()) {
        const a = this$3.next__O();
        const p = a;
        if ((!(!p.apply__O__O(x2.meta__Lamf_core_metamodel_Obj())))) {
          x1$2 = new $c_s_Some().init___O(a);
          break inlinereturn$7
        }
      };
      x1$2 = $m_s_None$()
    };
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const k = x2$2.value$2;
      return $thiz.wrappersRegistryFn__scm_HashMap().apply__O__O(k).apply__O__O(x2)
    } else {
      const x = $m_s_None$();
      if ((x === x1$2)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find builder for object meta ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2.meta__Lamf_core_metamodel_Obj()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    }
  } else if ($is_Lamf_core_model_document_BaseUnit(entity)) {
    const x3 = entity;
    const this$4 = $thiz.wrappersRegistryFn__scm_HashMap();
    const this$5 = new $c_scm_HashMap$$anon$1().init___scm_HashMap(this$4);
    const this$6 = this$5.$$outer$4.keysIterator__sc_Iterator();
    let x1$3;
    inlinereturn$20: {
      while (this$6.hasNext__Z()) {
        const a$1 = this$6.next__O();
        const p$3 = a$1;
        if ((!(!p$3.apply__O__O(x3.meta__Lamf_core_metamodel_Obj())))) {
          x1$3 = new $c_s_Some().init___O(a$1);
          break inlinereturn$20
        }
      };
      x1$3 = $m_s_None$()
    };
    if ($is_s_Some(x1$3)) {
      const x2$3 = x1$3;
      const k$2 = x2$3.value$2;
      return $thiz.wrappersRegistryFn__scm_HashMap().apply__O__O(k$2).apply__O__O(x3)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$3)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find builder for object meta ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x3.meta__Lamf_core_metamodel_Obj()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1$3)
      }
    }
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot build object of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entity]))))
  }
});
const $f_Lamf_core_remote_Platform__$$init$__V = (function($thiz) {
  $thiz.testingCommandLine$und$eq__Z__V(false);
  $thiz.amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(new $c_scm_HashMap().init___());
  $thiz.amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(new $c_scm_HashMap().init___())
});
const $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper = (function($thiz, entity) {
  if ($is_Lamf_core_model_domain_DomainElement(entity)) {
    const x2 = entity;
    const x1$2 = $thiz.wrappersRegistry__scm_HashMap().get__O__s_Option(x2.meta__Lamf_core_metamodel_Obj().type__sci_List().head__O().iri__T());
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const builder = x2$2.value$2;
      return builder.apply__O__O(entity)
    } else {
      const x = $m_s_None$();
      if ((x === x1$2)) {
        return $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper($thiz, x2)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    }
  } else if ($is_Lamf_core_model_document_BaseUnit(entity)) {
    const x3 = entity;
    const x1$3 = $thiz.wrappersRegistry__scm_HashMap().get__O__s_Option(x3.meta__Lamf_core_metamodel_Obj().type__sci_List().head__O().iri__T());
    if ($is_s_Some(x1$3)) {
      const x2$3 = x1$3;
      const builder$2 = x2$3.value$2;
      return builder$2.apply__O__O(entity)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$3)) {
        return $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper($thiz, x3)
      } else {
        throw new $c_s_MatchError().init___O(x1$3)
      }
    }
  } else {
    return ((entity === null) ? null : $f_Lamf_core_remote_Platform__wrapFn__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper($thiz, entity))
  }
});
const $f_Lamf_core_remote_Platform__writeFile__T__T__s_concurrent_Future = (function($thiz, path, content) {
  const qual$1 = $thiz.fs__Lorg_mulesoft_common_io_FileSystem().asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path);
  return qual$1.write__jl_CharSequence__T__s_concurrent_Future(content, "UTF-8")
});
const $f_Lamf_core_remote_Platform__resolve__T__Lamf_internal_environment_Environment__s_concurrent_Future = (function($thiz, url, env) {
  const loaders = env.loaders$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      return x$2.accepts__T__Z(url$1)
    })
  })($thiz, url)));
  return $f_Lamf_core_remote_Platform__amf$core$remote$Platform$$loaderConcat__T__sc_Seq__s_concurrent_Future($thiz, url, loaders)
});
const $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future = (function($thiz, url, content) {
  const o7 = $m_Lamf_core_remote_File$().unapply__T__s_Option(url);
  if ((!o7.isEmpty__Z())) {
    const path = o7.get__O();
    return $f_Lamf_core_remote_Platform__writeFile__T__T__s_concurrent_Future($thiz, path, content)
  };
  return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported write operation: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url]))))
});
const $f_Lamf_core_remote_Platform__amf$core$remote$Platform$$loaderConcat__T__sc_Seq__s_concurrent_Future = (function($thiz, url, loaders) {
  let rc8 = false;
  let x2 = null;
  const x1 = loaders.toList__sci_List();
  const x = $m_sci_Nil$();
  if (x.equals__O__Z(x1)) {
    return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["No loader for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url]))))
  };
  if ($is_sci_$colon$colon(x1)) {
    rc8 = true;
    x2 = x1;
    const head = x2.head$5;
    const p3 = x2.tl$5;
    const x$3 = $m_sci_Nil$();
    if (x$3.equals__O__Z(p3)) {
      return head.fetch__T__s_concurrent_Future(url)
    }
  };
  if (rc8) {
    const head$2 = x2.head$5;
    const tail = x2.tl$5;
    return head$2.fetch__T__s_concurrent_Future(url).recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1().init___Lamf_core_remote_Platform__T__sci_List($thiz, url, tail), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  throw new $c_s_MatchError().init___O(x1)
});
const $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z = (function($thiz, vendor) {
  return $is_Lamf_core_remote_Raml(vendor)
});
const $f_Lamf_core_remote_Raml__$$init$__V = (function($thiz) {
  const thiz = ("raml " + $thiz.version__T());
  $thiz.amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(thiz.trim());
  $thiz.amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V($m_Lamf_core_remote_Syntax$Yaml$())
});
const $is_Lamf_core_remote_Raml = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_Raml)))
});
const $isArrayOf_Lamf_core_remote_Raml = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_Raml)))
});
class $c_Lamf_core_remote_RelativeToRoot$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(url) {
    return ((((url.length | 0) >= 0) && (url.substring(0, ("/".length | 0)) === "/")) ? new $c_s_Some().init___O(url) : $m_s_None$())
  };
}
const $d_Lamf_core_remote_RelativeToRoot$ = new $TypeData().initClass({
  Lamf_core_remote_RelativeToRoot$: 0
}, false, "amf.core.remote.RelativeToRoot$", {
  Lamf_core_remote_RelativeToRoot$: 1,
  O: 1
});
$c_Lamf_core_remote_RelativeToRoot$.prototype.$classData = $d_Lamf_core_remote_RelativeToRoot$;
let $n_Lamf_core_remote_RelativeToRoot$ = (void 0);
const $m_Lamf_core_remote_RelativeToRoot$ = (function() {
  if ((!$n_Lamf_core_remote_RelativeToRoot$)) {
    $n_Lamf_core_remote_RelativeToRoot$ = new $c_Lamf_core_remote_RelativeToRoot$().init___()
  };
  return $n_Lamf_core_remote_RelativeToRoot$
});
class $c_Lamf_core_remote_Vendor$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(name) {
    return (($m_Lamf_core_remote_Raml10$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Raml10$()) : (($m_Lamf_core_remote_Raml08$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Raml08$()) : (($m_Lamf_core_remote_Raml$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Raml$()) : (($m_Lamf_core_remote_Oas2$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Oas2$()) : (($m_Lamf_core_remote_Oas3$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Oas3$()) : (($m_Lamf_core_remote_Oas$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Oas$()) : (($m_Lamf_core_remote_Amf$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Amf$()) : (($m_Lamf_core_remote_Payload$().name$1 === name) ? new $c_s_Some().init___O($m_Lamf_core_remote_Payload$()) : $m_s_None$()))))))))
  };
}
const $d_Lamf_core_remote_Vendor$ = new $TypeData().initClass({
  Lamf_core_remote_Vendor$: 0
}, false, "amf.core.remote.Vendor$", {
  Lamf_core_remote_Vendor$: 1,
  O: 1
});
$c_Lamf_core_remote_Vendor$.prototype.$classData = $d_Lamf_core_remote_Vendor$;
let $n_Lamf_core_remote_Vendor$ = (void 0);
const $m_Lamf_core_remote_Vendor$ = (function() {
  if ((!$n_Lamf_core_remote_Vendor$)) {
    $n_Lamf_core_remote_Vendor$ = new $c_Lamf_core_remote_Vendor$().init___()
  };
  return $n_Lamf_core_remote_Vendor$
});
class $c_Lamf_core_resolution_VariableReplacer$ extends $c_O {
  constructor() {
    super();
    this.Transformations$1 = null;
    this.TransformationsRegex$1 = null;
    this.VariableRegex$1 = null
  };
  init___() {
    $n_Lamf_core_resolution_VariableReplacer$ = this;
    this.Transformations$1 = "singularize|pluralize|uppercase|lowercase|lowercamelcase|uppercamelcase|lowerunderscorecase|upperunderscorecase|lowerhyphencase|upperhyphencase";
    const x = this.Transformations$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.TransformationsRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const x$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["<<\\\\s*([^<<>>|\\\\s]+)((?:\\\\s*\\\\|\\\\s*!(?:", ")\\\\s*)*)>>"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Transformations$1]));
    const this$5 = new $c_sci_StringOps().init___T(x$1);
    const groupNames$1 = $m_sci_Nil$();
    const $$this$1 = this$5.repr$1;
    this.VariableRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
    return this
  };
  replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T(values, m) {
    const name = $f_s_util_matching_Regex$MatchData__group__I__T(m, 1);
    const this$1 = values.get__O__s_Option(name);
    let this$10;
    if (this$1.isEmpty__Z()) {
      this$10 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x0$1 = arg1;
      if ((!$is_Lamf_core_model_domain_ScalarNode(x0$1))) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Variable '", "' cannot be replaced with type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name, x0$1]))))
      };
      const x2 = x0$1;
      const this$2 = x2.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
      let xo;
      if (this$2.isEmpty__Z()) {
        xo = $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const x$5 = arg1$1;
        xo = new $c_s_Some().init___O(x$5.ast$1)
      };
      const this$4 = xo.toList__sci_List();
      const pf = new $c_Lamf_core_resolution_VariableReplacer$$anonfun$1().init___();
      const this$5 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$4, pf);
      const text = (this$5.isEmpty__Z() ? x2.value$2 : this$5.get__O());
      const this$6 = $m_s_Option$().apply__O__s_Option($f_s_util_matching_Regex$MatchData__group__I__T(m, 2));
      let this$9;
      if (this$6.isEmpty__Z()) {
        this$9 = $m_s_None$()
      } else {
        const arg1$2 = this$6.get__O();
        const transformations = arg1$2;
        const this$7 = this.TransformationsRegex$1.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(transformations);
        let elem$1 = null;
        elem$1 = text;
        while (this$7.hasNext__Z()) {
          const arg1$3 = this$7.next__T();
          const arg1$4 = elem$1;
          const value = arg1$4;
          elem$1 = this.variableTransformation__T__T__T(value, arg1$3)
        };
        this$9 = new $c_s_Some().init___O(elem$1)
      };
      this$10 = new $c_s_Some().init___O((this$9.isEmpty__Z() ? text : this$9.get__O()))
    };
    const thiz = (this$10.isEmpty__Z() ? name : this$10.get__O());
    return thiz.split("$").join("\\$")
  };
  variableTransformation__T__T__T(value, transformation) {
    if ((transformation === "singularize")) {
      return ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).singularize__T()
    } else if ((transformation === "pluralize")) {
      return ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).pluralize__T()
    } else if ((transformation === "uppercase")) {
      return value.toUpperCase()
    } else if ((transformation === "lowercase")) {
      return value.toLowerCase()
    } else if ((transformation === "lowercamelcase")) {
      $m_Lamf_core_utils_InflectorBase$();
      $m_Lamf_core_utils_InflectorBase$();
      const qual$1 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const word = qual$1.camelize__Z__T(false);
      return new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(word).decapitalize__T()
    } else if ((transformation === "uppercamelcase")) {
      $m_Lamf_core_utils_InflectorBase$();
      const qual$2 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const x = qual$2.camelize__Z__T(false);
      const this$9 = new $c_sci_StringOps().init___T(x);
      return $f_sci_StringLike__capitalize__T(this$9)
    } else if ((transformation === "lowerunderscorecase")) {
      $m_Lamf_core_utils_InflectorBase$();
      const qual$3 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const thiz = qual$3.camelToScoreSing__T__T("_");
      return thiz.toLowerCase()
    } else if ((transformation === "upperunderscorecase")) {
      $m_Lamf_core_utils_InflectorBase$();
      const qual$4 = new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value);
      const thiz$1 = qual$4.camelToScoreSing__T__T("_");
      return thiz$1.toUpperCase()
    } else if ((transformation === "lowerhyphencase")) {
      const thiz$2 = ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).camelToScoreSing__T__T("-");
      return thiz$2.toLowerCase()
    } else if ((transformation === "upperhyphencase")) {
      const thiz$3 = ($m_Lamf_core_utils_InflectorBase$(), new $c_Lamf_core_utils_InflectorBase$Inflector().init___T(value)).camelToScoreSing__T__T("-");
      return thiz$3.toUpperCase()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Transformation '", "' on '", "' is not valid."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([transformation, value]))))
    }
  };
  replaceVariables__Lamf_core_model_domain_ScalarNode__sci_Set__F1__Lamf_core_model_domain_DataNode(s, values, errorFunction) {
    const x1 = s.value$2;
    const o7 = this.VariableRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
    let jsx$1;
    if ((!o7.isEmpty__Z())) {
      if ((o7.get__O() !== null)) {
        const this$1 = o7.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 2) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$2 = o7.get__O();
      const name = $f_sc_LinearSeqOptimized__apply__I__O(this$2, 0);
      const this$3 = o7.get__O();
      const transformations = $f_sc_LinearSeqOptimized__apply__I__O(this$3, 1);
      let rc17 = false;
      let x2 = null;
      const x1$2 = values.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, name$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return (x$1.name$1 === name$1)
        })
      })(this, name)));
      if ($is_s_Some(x1$2)) {
        rc17 = true;
        x2 = x1$2;
        const p3 = x2.value$2;
        if ((p3 !== null)) {
          const scalar = p3.value$1;
          if ($is_Lamf_core_model_domain_ScalarNode(scalar)) {
            const x13 = scalar;
            if ((x13.dataType$2.isEmpty__Z() || $m_sjsr_RuntimeString$().endsWith__T__T__Z(x13.dataType$2.get__O(), "#string"))) {
              const this$4 = this.VariableRegex$1;
              const target = s.value$2;
              const this$5 = new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(target, this$4, this$4.scala$util$matching$Regex$$groupNames$f);
              const it = new $c_s_util_matching_Regex$MatchIterator$$anon$1().init___s_util_matching_Regex$MatchIterator(this$5);
              while (it.hasNext__Z()) {
                const arg1 = it.next__s_util_matching_Regex$Match();
                const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
                  return (function(v$2) {
                    const v = v$2;
                    const self = v.name$1;
                    const y = v.value$1;
                    return new $c_T2().init___O__O(self, y)
                  })
                })(this));
                const this$8 = $m_sci_Set$();
                const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$8);
                const rs = this.replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(values, f, bf).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2), arg1);
                it.matcher__ju_regex_Matcher().appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(it.scala$util$matching$Regex$Replacement$$sb$2, rs)
              };
              s.value$2 = $f_s_util_matching_Regex$Replacement__replaced__T(it);
              return s
            }
          }
        }
      };
      let jsx$2;
      if (rc17) {
        const this$10 = new $c_sci_StringOps().init___T(transformations);
        jsx$2 = $f_sc_TraversableOnce__nonEmpty__Z(this$10)
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot apply transformations '", "' to variable '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([transformations, name]))))
      };
      if (rc17) {
        const p8 = x2.value$2;
        if ((p8 !== null)) {
          const scalar$2 = p8.value$1;
          if ($is_Lamf_core_model_domain_ScalarNode(scalar$2)) {
            const x14 = scalar$2;
            return x14
          }
        }
      };
      if (rc17) {
        const p11 = x2.value$2;
        if ((p11 !== null)) {
          const node = p11.value$1;
          return node
        }
      };
      const x = $m_s_None$();
      if ((x === x1$2)) {
        errorFunction.apply__O__O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find variable '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name])));
        return s
      };
      throw new $c_s_MatchError().init___O(x1$2)
    };
    const this$11 = this.VariableRegex$1;
    const this$12 = new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(x1, this$11, this$11.scala$util$matching$Regex$$groupNames$f);
    const it$1 = new $c_s_util_matching_Regex$MatchIterator$$anon$1().init___s_util_matching_Regex$MatchIterator(this$12);
    while (it$1.hasNext__Z()) {
      const arg1$1 = it$1.next__s_util_matching_Regex$Match();
      const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
        return (function(v$2$1) {
          const v$1 = v$2$1;
          const self$1 = v$1.name$1;
          const y$1 = v$1.value$1;
          return new $c_T2().init___O__O(self$1, y$1)
        })
      })(this));
      const this$15 = $m_sci_Set$();
      const bf$1 = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$15);
      const rs$1 = this.replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(values, f$1, bf$1).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2), arg1$1);
      it$1.matcher__ju_regex_Matcher().appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(it$1.scala$util$matching$Regex$Replacement$$sb$2, rs$1)
    };
    s.value$2 = $f_s_util_matching_Regex$Replacement__replaced__T(it$1);
    return s
  };
  replaceVariables__T__sci_Set__T(s, values) {
    const this$1 = this.VariableRegex$1;
    const this$2 = new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(s, this$1, this$1.scala$util$matching$Regex$$groupNames$f);
    const it = new $c_s_util_matching_Regex$MatchIterator$$anon$1().init___s_util_matching_Regex$MatchIterator(this$2);
    while (it.hasNext__Z()) {
      const arg1 = it.next__s_util_matching_Regex$Match();
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          const self = v.name$1;
          const y = v.value$1;
          return new $c_T2().init___O__O(self, y)
        })
      })(this));
      const this$5 = $m_sci_Set$();
      const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$5);
      const rs = this.replaceMatch__p1__sci_Map__s_util_matching_Regex$Match__T($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(values, f, bf).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2), arg1);
      it.matcher__ju_regex_Matcher().appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(it.scala$util$matching$Regex$Replacement$$sb$2, rs)
    };
    return $f_s_util_matching_Regex$Replacement__replaced__T(it)
  };
}
const $d_Lamf_core_resolution_VariableReplacer$ = new $TypeData().initClass({
  Lamf_core_resolution_VariableReplacer$: 0
}, false, "amf.core.resolution.VariableReplacer$", {
  Lamf_core_resolution_VariableReplacer$: 1,
  O: 1
});
$c_Lamf_core_resolution_VariableReplacer$.prototype.$classData = $d_Lamf_core_resolution_VariableReplacer$;
let $n_Lamf_core_resolution_VariableReplacer$ = (void 0);
const $m_Lamf_core_resolution_VariableReplacer$ = (function() {
  if ((!$n_Lamf_core_resolution_VariableReplacer$)) {
    $n_Lamf_core_resolution_VariableReplacer$ = new $c_Lamf_core_resolution_VariableReplacer$().init___()
  };
  return $n_Lamf_core_resolution_VariableReplacer$
});
class $c_Lamf_core_resolution_pipelines_ResolutionPipeline extends $c_O {
  constructor() {
    super();
    this.model$1 = null
  };
  init___() {
    this.model$1 = $m_s_None$();
    return this
  };
  step__Lamf_core_resolution_stages_ResolutionStage__V(stage) {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["ResolutionPipeline#step: applying resolution stage ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(stage).getName__T()])));
    this.model$1 = new $c_s_Some().init___O(stage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(this.model$1.get__O()));
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["ResolutionPipeline#step: finished applying stage ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(stage).getName__T()])))
  };
}
class $c_Lamf_core_resolution_pipelines_ResolutionPipeline$ extends $c_O {
  constructor() {
    super();
    this.DEFAULT$undPIPELINE$1 = null;
    this.EDITING$undPIPELINE$1 = null
  };
  init___() {
    this.DEFAULT$undPIPELINE$1 = "default";
    this.EDITING$undPIPELINE$1 = "editing";
    return this
  };
}
const $d_Lamf_core_resolution_pipelines_ResolutionPipeline$ = new $TypeData().initClass({
  Lamf_core_resolution_pipelines_ResolutionPipeline$: 0
}, false, "amf.core.resolution.pipelines.ResolutionPipeline$", {
  Lamf_core_resolution_pipelines_ResolutionPipeline$: 1,
  O: 1
});
$c_Lamf_core_resolution_pipelines_ResolutionPipeline$.prototype.$classData = $d_Lamf_core_resolution_pipelines_ResolutionPipeline$;
let $n_Lamf_core_resolution_pipelines_ResolutionPipeline$ = (void 0);
const $m_Lamf_core_resolution_pipelines_ResolutionPipeline$ = (function() {
  if ((!$n_Lamf_core_resolution_pipelines_ResolutionPipeline$)) {
    $n_Lamf_core_resolution_pipelines_ResolutionPipeline$ = new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$().init___()
  };
  return $n_Lamf_core_resolution_pipelines_ResolutionPipeline$
});
class $c_Lamf_core_resolution_stages_ModelReferenceResolver extends $c_O {
  constructor() {
    super();
    this.model$1 = null
  };
  init___Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = model;
    return this
  };
  findFragment__T__s_Option(url) {
    const x1 = this.model$1;
    if ($is_Lamf_core_model_document_EncodesModel(x1)) {
      const this$1 = this.model$1;
      if ((this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1) === url)) {
        return new $c_s_Some().init___O(x1.encodes__Lamf_core_model_domain_DomainElement())
      }
    };
    const this$2 = this.model$1;
    if ((this$2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1) === url)) {
      return $m_s_None$()
    };
    const jsx$2 = this.model$1.references__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(x$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    let remaining = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    let result = $m_s_None$();
    while (remaining.nonEmpty__Z()) {
      const x1$2 = remaining.head__O().findFragment__T__s_Option(url);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        result = x2$2;
        remaining = $m_sci_Nil$()
      } else {
        remaining = remaining.tail__O()
      }
    };
    return result
  };
}
const $is_Lamf_core_resolution_stages_ModelReferenceResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_resolution_stages_ModelReferenceResolver)))
});
const $isArrayOf_Lamf_core_resolution_stages_ModelReferenceResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_resolution_stages_ModelReferenceResolver)))
});
const $d_Lamf_core_resolution_stages_ModelReferenceResolver = new $TypeData().initClass({
  Lamf_core_resolution_stages_ModelReferenceResolver: 0
}, false, "amf.core.resolution.stages.ModelReferenceResolver", {
  Lamf_core_resolution_stages_ModelReferenceResolver: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_ModelReferenceResolver.prototype.$classData = $d_Lamf_core_resolution_stages_ModelReferenceResolver;
class $c_Lamf_core_resolution_stages_ResolutionStage extends $c_O {
}
class $c_Lamf_core_services_PayloadValidator$ extends $c_O {
  init___() {
    return this
  };
  validateAll__sc_Seq__T__s_concurrent_Future(candidates, severity) {
    const pluginToCandidates = candidates.groupBy__F1__sci_Map(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(c$2) {
        const c = c$2;
        const this$1 = c.payload$1;
        const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().MediaType$1);
        const this$3 = this$2.option$1;
        return $this.plugin__T__Lamf_core_model_domain_Shape__Lamf_core_plugins_AMFPayloadValidationPlugin((this$3.isEmpty__Z() ? null : this$3.get__O()), c.shape$1)
      })
    })(this)));
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, severity$1) {
      return (function(candidate$2) {
        const candidate = candidate$2;
        return candidate.$$und1__O().validateSet__Lamf_core_validation_ValidationShapeSet__s_concurrent_Future(new $c_Lamf_core_validation_ValidationShapeSet().init___sc_Seq__T(candidate.$$und2__O(), severity$1))
      })
    })(this, severity));
    const this$4 = $m_sci_Iterable$();
    const bf = this$4.ReusableCBFInstance$2;
    const value = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(pluginToCandidates, f, bf);
    const jsx$1 = $m_s_concurrent_Future$();
    const this$5 = $m_sci_Iterable$();
    return jsx$1.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(value, this$5.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(s$2) {
        const s = s$2;
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(report$2) {
            const report = report$2;
            return report.results$1
          })
        })(this$3$1));
        const this$6 = $m_sci_Iterable$();
        const seq = s.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2).toSeq__sc_Seq();
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!seq.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return (x$1.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)
          })
        })(this$3$1)))), "", "", seq)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  validate__Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment__T__s_concurrent_Future(shape, fragment, severity) {
    return this.validateAll__sc_Seq__T__s_concurrent_Future($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_ValidationCandidate().init___Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment(shape, fragment)])), severity)
  };
  validate__Lamf_core_model_domain_Shape__T__T__s_concurrent_Future(shape, payload, severity) {
    const mediaType = $m_Lamf_core_utils_package$MediaTypeMatcher$().guessMediaType$extension__T__Z__T(payload, false);
    const this$2 = this.plugin__T__Lamf_core_model_domain_Shape__Lamf_core_plugins_AMFPayloadValidationPlugin(mediaType, shape);
    return $f_Lamf_core_plugins_AMFPayloadValidationPlugin__validatePayload__Lamf_core_model_domain_Shape__T__T__s_concurrent_Future(this$2, shape, payload, mediaType)
  };
  plugin__T__Lamf_core_model_domain_Shape__Lamf_core_plugins_AMFPayloadValidationPlugin(mediaType, shape) {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$().dataNodeValidatorPluginForMediaType__T__sc_Seq(mediaType).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shape$1) {
      return (function(plugin$2) {
        const plugin = plugin$2;
        return plugin.canValidate__Lamf_core_model_domain_Shape__Z(shape$1)
      })
    })(this, shape)));
    return (this$1.isEmpty__Z() ? $m_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$() : this$1.get__O())
  };
}
const $d_Lamf_core_services_PayloadValidator$ = new $TypeData().initClass({
  Lamf_core_services_PayloadValidator$: 0
}, false, "amf.core.services.PayloadValidator$", {
  Lamf_core_services_PayloadValidator$: 1,
  O: 1
});
$c_Lamf_core_services_PayloadValidator$.prototype.$classData = $d_Lamf_core_services_PayloadValidator$;
let $n_Lamf_core_services_PayloadValidator$ = (void 0);
const $m_Lamf_core_services_PayloadValidator$ = (function() {
  if ((!$n_Lamf_core_services_PayloadValidator$)) {
    $n_Lamf_core_services_PayloadValidator$ = new $c_Lamf_core_services_PayloadValidator$().init___()
  };
  return $n_Lamf_core_services_PayloadValidator$
});
class $c_Lamf_core_services_RuntimeCompiler$ extends $c_O {
  constructor() {
    super();
    this.compiler$1 = null
  };
  init___() {
    $n_Lamf_core_services_RuntimeCompiler$ = this;
    this.compiler$1 = $m_s_None$();
    return this
  };
  register__Lamf_core_services_RuntimeCompiler__V(runtimeCompiler) {
    this.compiler$1 = new $c_s_Some().init___O(runtimeCompiler)
  };
  apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(url, mediaType, vendor, base, referenceKind, cache, ctx, env) {
    const x1 = this.compiler$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeCompiler = x2.value$2;
      $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1, mediaType$1, vendor$1) {
        return (function(x$1$2) {
          return (void 0)
        })
      })(this, url, mediaType, vendor)));
      return runtimeCompiler.build__T__Lamf_core_remote_Context__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(url, base, mediaType, vendor, referenceKind, cache, ctx, env).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, url$2) {
        return (function(parsedUnit$2) {
          const parsedUnit = parsedUnit$2;
          return $m_Lamf_core_registries_AMFPluginsRegistry$().featurePlugins__sc_Seq().foldLeft__O__F2__O(parsedUnit, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1, url$1$1) {
            return (function(x0$1$2, x1$1$2) {
              const x0$1 = x0$1$2;
              return x0$1
            })
          })(this$2, url$2)))
        })
      })(this, url)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime compiler"))
    }
  };
}
const $d_Lamf_core_services_RuntimeCompiler$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeCompiler$: 0
}, false, "amf.core.services.RuntimeCompiler$", {
  Lamf_core_services_RuntimeCompiler$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeCompiler$.prototype.$classData = $d_Lamf_core_services_RuntimeCompiler$;
let $n_Lamf_core_services_RuntimeCompiler$ = (void 0);
const $m_Lamf_core_services_RuntimeCompiler$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeCompiler$)) {
    $n_Lamf_core_services_RuntimeCompiler$ = new $c_Lamf_core_services_RuntimeCompiler$().init___()
  };
  return $n_Lamf_core_services_RuntimeCompiler$
});
class $c_Lamf_core_services_RuntimeResolver$ extends $c_O {
  init___() {
    return this
  };
  resolve__T__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(vendor, unit, pipelineId) {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
    const x1 = this$1.documentPluginIDRegistry$1.get__O__s_Option(vendor);
    let plugin;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const documentPlugin = x2.value$2;
      plugin = new $c_s_Some().init___O(documentPlugin)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      plugin = $m_Lamf_core_registries_AMFPluginsRegistry$().documentPluginForVendor__T__sc_Seq(vendor).headOption__s_Option()
    };
    if ($is_s_Some(plugin)) {
      const x2$2 = plugin;
      const documentPlugin$2 = x2$2.value$2;
      if ((documentPlugin$2 !== null)) {
        return documentPlugin$2.resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId)
      }
    };
    const x$3 = $m_s_None$();
    if ((x$3 === plugin)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find domain plugin for vendor ", " to resolve unit ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([vendor, unit.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)]))))
    };
    throw new $c_s_MatchError().init___O(plugin)
  };
}
const $d_Lamf_core_services_RuntimeResolver$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeResolver$: 0
}, false, "amf.core.services.RuntimeResolver$", {
  Lamf_core_services_RuntimeResolver$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeResolver$.prototype.$classData = $d_Lamf_core_services_RuntimeResolver$;
let $n_Lamf_core_services_RuntimeResolver$ = (void 0);
const $m_Lamf_core_services_RuntimeResolver$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeResolver$)) {
    $n_Lamf_core_services_RuntimeResolver$ = new $c_Lamf_core_services_RuntimeResolver$().init___()
  };
  return $n_Lamf_core_services_RuntimeResolver$
});
class $c_Lamf_core_services_RuntimeSerializer$ extends $c_O {
  constructor() {
    super();
    this.serializer$1 = null
  };
  init___() {
    $n_Lamf_core_services_RuntimeSerializer$ = this;
    this.serializer$1 = $m_s_None$();
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__T(unit, mediaType, vendor, options) {
    const x1 = this.serializer$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeSerializer = x2.value$2;
      return runtimeSerializer.dump__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__T(unit, mediaType, vendor, options)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime serializer"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future(platform, file, unit, mediaType, vendor, options) {
    const x1 = this.serializer$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeSerializer = x2.value$2;
      return runtimeSerializer.dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future(platform, file, unit, mediaType, vendor, options)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime serializer"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  register__Lamf_core_services_RuntimeSerializer__V(runtimeSerializer) {
    this.serializer$1 = new $c_s_Some().init___O(runtimeSerializer)
  };
}
const $d_Lamf_core_services_RuntimeSerializer$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeSerializer$: 0
}, false, "amf.core.services.RuntimeSerializer$", {
  Lamf_core_services_RuntimeSerializer$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeSerializer$.prototype.$classData = $d_Lamf_core_services_RuntimeSerializer$;
let $n_Lamf_core_services_RuntimeSerializer$ = (void 0);
const $m_Lamf_core_services_RuntimeSerializer$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeSerializer$)) {
    $n_Lamf_core_services_RuntimeSerializer$ = new $c_Lamf_core_services_RuntimeSerializer$().init___()
  };
  return $n_Lamf_core_services_RuntimeSerializer$
});
class $c_Lamf_core_services_RuntimeValidator$ extends $c_O {
  constructor() {
    super();
    this.validatorOption$1 = null
  };
  init___() {
    $n_Lamf_core_services_RuntimeValidator$ = this;
    this.validatorOption$1 = $m_s_None$();
    return this
  };
  register__Lamf_core_services_RuntimeValidator__V(runtimeValidator) {
    this.validatorOption$1 = new $c_s_Some().init___O(runtimeValidator)
  };
  validator__p1__Lamf_core_services_RuntimeValidator() {
    const x1 = this.validatorOption$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runtimeValidator = x2.value$2;
      return runtimeValidator
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("No registered runtime validator"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $d_Lamf_core_services_RuntimeValidator$ = new $TypeData().initClass({
  Lamf_core_services_RuntimeValidator$: 0
}, false, "amf.core.services.RuntimeValidator$", {
  Lamf_core_services_RuntimeValidator$: 1,
  O: 1
});
$c_Lamf_core_services_RuntimeValidator$.prototype.$classData = $d_Lamf_core_services_RuntimeValidator$;
let $n_Lamf_core_services_RuntimeValidator$ = (void 0);
const $m_Lamf_core_services_RuntimeValidator$ = (function() {
  if ((!$n_Lamf_core_services_RuntimeValidator$)) {
    $n_Lamf_core_services_RuntimeValidator$ = new $c_Lamf_core_services_RuntimeValidator$().init___()
  };
  return $n_Lamf_core_services_RuntimeValidator$
});
class $c_Lamf_core_unsafe_PlatformBuilder$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_core_unsafe_PlatformBuilder$ = this;
    this.platform$1 = (this.isBrowser__p1__Z() ? new $c_Lamf_core_remote_browser_JsBrowserPlatform().init___() : new $c_Lamf_core_remote_server_JsServerPlatform().init___());
    return this
  };
  isBrowser__p1__Z() {
    const v = $g.document;
    return (!(v === (void 0)))
  };
}
const $d_Lamf_core_unsafe_PlatformBuilder$ = new $TypeData().initClass({
  Lamf_core_unsafe_PlatformBuilder$: 0
}, false, "amf.core.unsafe.PlatformBuilder$", {
  Lamf_core_unsafe_PlatformBuilder$: 1,
  O: 1
});
$c_Lamf_core_unsafe_PlatformBuilder$.prototype.$classData = $d_Lamf_core_unsafe_PlatformBuilder$;
let $n_Lamf_core_unsafe_PlatformBuilder$ = (void 0);
const $m_Lamf_core_unsafe_PlatformBuilder$ = (function() {
  if ((!$n_Lamf_core_unsafe_PlatformBuilder$)) {
    $n_Lamf_core_unsafe_PlatformBuilder$ = new $c_Lamf_core_unsafe_PlatformBuilder$().init___()
  };
  return $n_Lamf_core_unsafe_PlatformBuilder$
});
class $c_Lamf_core_utils_InflectorBase$ extends $c_O {
  constructor() {
    super();
    this.amf$core$utils$InflectorBase$$singulars$1 = null;
    this.amf$core$utils$InflectorBase$$plurals$1 = null;
    this.amf$core$utils$InflectorBase$$irregulars$1 = null;
    this.amf$core$utils$InflectorBase$$uncountables$1 = null
  };
  init___() {
    $n_Lamf_core_utils_InflectorBase$ = this;
    this.amf$core$utils$InflectorBase$$singulars$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.amf$core$utils$InflectorBase$$plurals$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.amf$core$utils$InflectorBase$$irregulars$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.addPlural__p1__T__T__V("$", "s");
    this.addPlural__p1__T__T__V("s$", "s");
    this.addPlural__p1__T__T__V("(ax|test)is$", "$1es");
    this.addPlural__p1__T__T__V("(octop|vir)us$", "$1i");
    this.addPlural__p1__T__T__V("(alias|status)$", "$1es");
    this.addPlural__p1__T__T__V("(bu)s$", "$1ses");
    this.addPlural__p1__T__T__V("(buffal|tomat)o$", "$1oes");
    this.addPlural__p1__T__T__V("([ti])um$", "$1a");
    this.addPlural__p1__T__T__V("sis$", "ses");
    this.addPlural__p1__T__T__V("(?:([^f])fe|([lr])f)$", "$1$2ves");
    this.addPlural__p1__T__T__V("(hive)$", "$1s");
    this.addPlural__p1__T__T__V("([^aeiouy]|qu)y$", "$1ies");
    this.addPlural__p1__T__T__V("(x|ch|ss|sh)$", "$1es");
    this.addPlural__p1__T__T__V("(matr|vert|ind)(?:ix|ex)$", "$1ices");
    this.addPlural__p1__T__T__V("([m|l])ouse$", "$1ice");
    this.addPlural__p1__T__T__V("^(ox)$", "$1en");
    this.addPlural__p1__T__T__V("(quiz)$", "$1zes");
    this.addSingular__p1__T__T__V("s$", "");
    this.addSingular__p1__T__T__V("(n)ews$", "$1ews");
    this.addSingular__p1__T__T__V("([ti])a$", "$1um");
    this.addSingular__p1__T__T__V("((a)naly|(b)a|(d)iagno|(p)arenthe|(p)rogno|(s)ynop|(t)he)ses$", "$1sis");
    this.addSingular__p1__T__T__V("((a)naly|(b)a|(d)iagno|(p)arenthe|(p)rogno|(s)ynop|(t)he)sis$", "$1sis");
    this.addSingular__p1__T__T__V("(^analy)ses$", "$1sis");
    this.addSingular__p1__T__T__V("([^f])ves$", "$1fe");
    this.addSingular__p1__T__T__V("(hive)s$", "$1");
    this.addSingular__p1__T__T__V("(tive)s$", "$1");
    this.addSingular__p1__T__T__V("([lr])ves$", "$1f");
    this.addSingular__p1__T__T__V("([^aeiouy]|qu)ies$", "$1y");
    this.addSingular__p1__T__T__V("(s)eries$", "$1eries");
    this.addSingular__p1__T__T__V("(m)ovies$", "$1ovie");
    this.addSingular__p1__T__T__V("(x|ch|ss|sh)es$", "$1");
    this.addSingular__p1__T__T__V("([m|l])ice$", "$1ouse");
    this.addSingular__p1__T__T__V("(bus)es$", "$1");
    this.addSingular__p1__T__T__V("(bus)$", "$1");
    this.addSingular__p1__T__T__V("(o)es$", "$1");
    this.addSingular__p1__T__T__V("(shoe)s$", "$1");
    this.addSingular__p1__T__T__V("(cris|ax|test)es$", "$1is");
    this.addSingular__p1__T__T__V("(cris|ax|test)is$", "$1is");
    this.addSingular__p1__T__T__V("(octop|vir)i$", "$1us");
    this.addSingular__p1__T__T__V("(alias|status)es$", "$1");
    this.addSingular__p1__T__T__V("(alias|status)$", "$1");
    this.addSingular__p1__T__T__V("^(ox)en", "$1");
    this.addSingular__p1__T__T__V("(vert|ind)ices$", "$1ex");
    this.addSingular__p1__T__T__V("(matr)ices$", "$1ix");
    this.addSingular__p1__T__T__V("(quiz)zes$", "$1");
    this.addSingular__p1__T__T__V("(database)s$", "$1");
    this.addIrregular__p1__T__T__V("person", "people");
    this.addIrregular__p1__T__T__V("man", "men");
    this.addIrregular__p1__T__T__V("child", "children");
    this.addIrregular__p1__T__T__V("sex", "sexes");
    this.addIrregular__p1__T__T__V("move", "moves");
    this.addIrregular__p1__T__T__V("foot", "feet");
    this.addIrregular__p1__T__T__V("tooth", "teeth");
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["equipment", "information", "rice", "money", "species", "series", "fish", "sheep"]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.amf$core$utils$InflectorBase$$uncountables$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  addPlural__p1__T__T__V(rule, replacement) {
    this.amf$core$utils$InflectorBase$$plurals$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_utils_InflectorBase$Container().init___T__T(rule, replacement))
  };
  addSingular__p1__T__T__V(rule, replacement) {
    this.amf$core$utils$InflectorBase$$singulars$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_utils_InflectorBase$Container().init___T__T(rule, replacement))
  };
  addIrregular__p1__T__T__V(rule, replacement) {
    this.amf$core$utils$InflectorBase$$irregulars$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_utils_InflectorBase$Container().init___T__T(rule, replacement))
  };
}
const $d_Lamf_core_utils_InflectorBase$ = new $TypeData().initClass({
  Lamf_core_utils_InflectorBase$: 0
}, false, "amf.core.utils.InflectorBase$", {
  Lamf_core_utils_InflectorBase$: 1,
  O: 1
});
$c_Lamf_core_utils_InflectorBase$.prototype.$classData = $d_Lamf_core_utils_InflectorBase$;
let $n_Lamf_core_utils_InflectorBase$ = (void 0);
const $m_Lamf_core_utils_InflectorBase$ = (function() {
  if ((!$n_Lamf_core_utils_InflectorBase$)) {
    $n_Lamf_core_utils_InflectorBase$ = new $c_Lamf_core_utils_InflectorBase$().init___()
  };
  return $n_Lamf_core_utils_InflectorBase$
});
class $c_Lamf_core_utils_InflectorBase$Inflector extends $c_O {
  constructor() {
    super();
    this.word$1 = null
  };
  gsub__p1__T__T__T__s_Option(word, rule, replacement) {
    const pattern = $m_ju_regex_Pattern$().compile__T__I__ju_regex_Pattern(rule, 2);
    const matcher = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(pattern, word, 0, (word.length | 0));
    return (matcher.find__Z() ? new $c_s_Some().init___O(matcher.replaceFirst__T__T(replacement)) : $m_s_None$())
  };
  camelize__Z__T(capitalizeFirstChar) {
    const thiz = this.word$1;
    const split = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "_", 0);
    let xs;
    if ((split.u.length === 0)) {
      if ((split.u.length === 0)) {
        throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
      };
      const until = split.u.length;
      const x = ((until > 0) ? until : 0);
      const y = split.u.length;
      const hi = ((x < y) ? x : y);
      const x$1 = (((-1) + hi) | 0);
      const size = ((x$1 > 0) ? x$1 : 0);
      const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(split).getComponentType__jl_Class(), size);
      if ((size > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(split, 1, result, 0, size)
      };
      xs = result
    } else {
      const until$1 = split.u.length;
      const x$2 = ((until$1 > 0) ? until$1 : 0);
      const y$1 = split.u.length;
      const hi$1 = ((x$2 < y$1) ? x$2 : y$1);
      const x$3 = (((-1) + hi$1) | 0);
      const size$1 = ((x$3 > 0) ? x$3 : 0);
      const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(split).getComponentType__jl_Class(), size$1);
      if ((size$1 > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(split, 1, result$1, 0, size$1)
      };
      xs = result$1
    };
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const x$4 = arg1;
      const this$32 = new $c_sci_StringOps().init___T(x$4);
      const c = $f_sc_IndexedSeqOptimized__head__O(this$32);
      let c$1;
      if ((c === null)) {
        c$1 = 0
      } else {
        const this$34 = c;
        c$1 = this$34.value$1
      };
      const c$2 = $m_jl_Character$().toUpperCase__C__C(c$1);
      const jsx$1 = new $c_jl_Character().init___C(c$2);
      const this$40 = new $c_sci_StringOps().init___T(x$4);
      const elem = (("" + jsx$1) + $f_sc_IndexedSeqOptimized__tail__O(this$40));
      elems$2.push(elem);
      i = ((1 + i) | 0)
    };
    const tail = $makeNativeArrayWrapper($d_T.getArrayOf(), elems$2);
    if (capitalizeFirstChar) {
      const this$42 = new $c_scm_ArrayOps$ofRef().init___AO(split);
      const x$5 = $f_sc_IndexedSeqOptimized__head__O(this$42);
      const this$44 = new $c_sci_StringOps().init___T(x$5);
      const jsx$2 = $f_sci_StringLike__capitalize__T(this$44);
      const b = new $c_scm_StringBuilder().init___();
      let elem$1 = false;
      elem$1 = true;
      b.append__T__scm_StringBuilder("");
      let i$1 = 0;
      const len$1 = tail.u.length;
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = tail.u[index$1];
        if (elem$1) {
          b.append__O__scm_StringBuilder(arg1$1);
          elem$1 = false
        } else {
          b.append__T__scm_StringBuilder("");
          b.append__O__scm_StringBuilder(arg1$1)
        };
        i$1 = ((1 + i$1) | 0)
      };
      b.append__T__scm_StringBuilder("");
      const this$49 = b.underlying$5;
      return (("" + jsx$2) + this$49.content$1)
    } else {
      const this$51 = new $c_scm_ArrayOps$ofRef().init___AO(split);
      const jsx$3 = $f_sc_IndexedSeqOptimized__head__O(this$51);
      const b$1 = new $c_scm_StringBuilder().init___();
      let elem$1$1 = false;
      elem$1$1 = true;
      b$1.append__T__scm_StringBuilder("");
      let i$2 = 0;
      const len$2 = tail.u.length;
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = tail.u[index$2];
        if (elem$1$1) {
          b$1.append__O__scm_StringBuilder(arg1$2);
          elem$1$1 = false
        } else {
          b$1.append__T__scm_StringBuilder("");
          b$1.append__O__scm_StringBuilder(arg1$2)
        };
        i$2 = ((1 + i$2) | 0)
      };
      b$1.append__T__scm_StringBuilder("");
      const this$56 = b$1.underlying$5;
      return (("" + jsx$3) + this$56.content$1)
    }
  };
  pluralize__T() {
    const this$1 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$uncountables$1;
    const elem = this.word$1;
    if ($f_sc_LinearSeqOptimized__contains__O__Z(this$1, elem)) {
      return this.word$1
    } else {
      const this$2 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$irregulars$1;
      const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
      let this$7;
      inlinereturn$6: {
        let these = this$3;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const i = arg1;
          const thiz = i.rule$1;
          const that = this.word$1;
          if ((thiz.toLowerCase() === ((that === null) ? null : that.toLowerCase()))) {
            this$7 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$6
          };
          these = these.tail__O()
        };
        this$7 = $m_s_None$()
      };
      let this$8;
      if (this$7.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const x$1 = arg1$1;
        this$8 = new $c_s_Some().init___O(x$1.replacement$1)
      };
      const this$9 = (this$8.isEmpty__Z() ? this.findGSubInList__p1__sc_Seq__T__s_Option($m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$plurals$1, this.word$1) : this$8);
      return (this$9.isEmpty__Z() ? this.word$1 : this$9.get__O())
    }
  };
  camelToScoreSing__T__T(sign) {
    const upper = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const thiz = this.word$1;
    const bytes = $m_sjsr_RuntimeString$().getBytes__T__Ljava_nio_charset_Charset__AB(thiz, $m_sjs_niocharset_UTF$und8$());
    let i = 0;
    const len = bytes.u.length;
    while ((i < len)) {
      const idx = i;
      const arg1 = bytes.u[idx];
      const b = (arg1 | 0);
      if (((b < 97) || (b > 122))) {
        const len$1 = bytes.u.length;
        let i$1 = 0;
        while (true) {
          let jsx$1;
          if ((i$1 < len$1)) {
            const idx$1 = i$1;
            const arg1$1 = bytes.u[idx$1];
            jsx$1 = (!$m_sr_BoxesRunTime$().equals__O__O__Z(b, arg1$1))
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            i$1 = ((1 + i$1) | 0)
          } else {
            break
          }
        };
        const n = i$1;
        const x = ((n >= bytes.u.length) ? (-1) : n);
        upper.$$plus$eq__O__scm_ListBuffer(x)
      };
      i = ((1 + i) | 0)
    };
    const b$3 = new $c_jl_StringBuffer().init___T(this.word$1);
    const this$15 = upper.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$15;
    while ((!these.isEmpty__Z())) {
      const arg1$2 = these.head__O();
      const index = arg1$2;
      b$3.insert__I__T__jl_StringBuffer((index | 0), sign);
      these = these.tail__O()
    };
    const thiz$1 = b$3.content$1;
    return thiz$1.toLowerCase()
  };
  findGSubInList__p1__sc_Seq__T__s_Option(list, word) {
    const this$1 = list.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, word$1) {
      return (function(p$2) {
        const p = p$2;
        return $this.gsub__p1__T__T__T__s_Option(word$1, p.rule$1, p.replacement$1).isDefined__Z()
      })
    })(this, word)));
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p$3 = arg1;
      return this.gsub__p1__T__T__T__s_Option(word, p$3.rule$1, p$3.replacement$1)
    }
  };
  init___T(word) {
    this.word$1 = word;
    return this
  };
  decapitalize__T() {
    const x = this.word$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const c = $m_sjsr_RuntimeString$().toCharArray__T__AC(this.word$1);
      const this$4 = new $c_scm_ArrayOps$ofChar().init___AC(c);
      const c$1 = $f_sc_IndexedSeqOptimized__head__O(this$4);
      let c$2;
      if ((c$1 === null)) {
        c$2 = 0
      } else {
        const this$6 = c$1;
        c$2 = this$6.value$1
      };
      const c$3 = $m_jl_Character$().toLowerCase__C__C(c$2);
      const jsx$1 = new $c_jl_Character().init___C(c$3);
      let xs;
      if ((c.u.length === 0)) {
        if ((c.u.length === 0)) {
          throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
        };
        const until = c.u.length;
        const x$1 = ((until > 0) ? until : 0);
        const y = c.u.length;
        const hi = ((x$1 < y) ? x$1 : y);
        const x$2 = (((-1) + hi) | 0);
        const size = ((x$2 > 0) ? x$2 : 0);
        const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(c).getComponentType__jl_Class(), size);
        if ((size > 0)) {
          $m_s_Array$().copy__O__I__O__I__I__V(c, 1, result, 0, size)
        };
        xs = result
      } else {
        const until$1 = c.u.length;
        const x$3 = ((until$1 > 0) ? until$1 : 0);
        const y$1 = c.u.length;
        const hi$1 = ((x$3 < y$1) ? x$3 : y$1);
        const x$4 = (((-1) + hi$1) | 0);
        const size$1 = ((x$4 > 0) ? x$4 : 0);
        const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(c).getComponentType__jl_Class(), size$1);
        if ((size$1 > 0)) {
          $m_s_Array$().copy__O__I__O__I__I__V(c, 1, result$1, 0, size$1)
        };
        xs = result$1
      };
      const b = new $c_scm_StringBuilder().init___();
      let elem$1 = false;
      elem$1 = true;
      b.append__T__scm_StringBuilder("");
      let i = 0;
      const len = xs.u.length;
      while ((i < len)) {
        const idx = i;
        const c$4 = xs.u[idx];
        const arg1 = new $c_jl_Character().init___C(c$4);
        if (elem$1) {
          b.append__O__scm_StringBuilder(arg1);
          elem$1 = false
        } else {
          b.append__T__scm_StringBuilder("");
          b.append__O__scm_StringBuilder(arg1)
        };
        i = ((1 + i) | 0)
      };
      b.append__T__scm_StringBuilder("");
      const this$38 = b.underlying$5;
      return (("" + jsx$1) + this$38.content$1)
    } else {
      return this.word$1
    }
  };
  singularize__T() {
    const this$1 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$uncountables$1;
    const elem = this.word$1;
    if ($f_sc_LinearSeqOptimized__contains__O__Z(this$1, elem)) {
      return this.word$1
    } else {
      const this$2 = $m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$irregulars$1;
      const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
      let this$7;
      inlinereturn$6: {
        let these = this$3;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const i = arg1;
          const thiz = i.replacement$1;
          const that = this.word$1;
          if ((thiz.toLowerCase() === ((that === null) ? null : that.toLowerCase()))) {
            this$7 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$6
          };
          these = these.tail__O()
        };
        this$7 = $m_s_None$()
      };
      let this$8;
      if (this$7.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const x$2 = arg1$1;
        this$8 = new $c_s_Some().init___O(x$2.rule$1)
      };
      const this$9 = (this$8.isEmpty__Z() ? this.findGSubInList__p1__sc_Seq__T__s_Option($m_Lamf_core_utils_InflectorBase$().amf$core$utils$InflectorBase$$singulars$1, this.word$1) : this$8);
      return (this$9.isEmpty__Z() ? this.word$1 : this$9.get__O())
    }
  };
}
const $d_Lamf_core_utils_InflectorBase$Inflector = new $TypeData().initClass({
  Lamf_core_utils_InflectorBase$Inflector: 0
}, false, "amf.core.utils.InflectorBase$Inflector", {
  Lamf_core_utils_InflectorBase$Inflector: 1,
  O: 1
});
$c_Lamf_core_utils_InflectorBase$Inflector.prototype.$classData = $d_Lamf_core_utils_InflectorBase$Inflector;
class $c_Lamf_core_utils_Lazy extends $c_O {
  constructor() {
    super();
    this.producer$1 = null;
    this.value$1 = null
  };
  init___F0(producer) {
    this.producer$1 = producer;
    this.value$1 = $m_s_None$();
    return this
  };
  getOrCreate__O() {
    const this$1 = this.value$1;
    const ifEmpty = this.producer$1;
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = ifEmpty.apply__O()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = arg1
    };
    this.value$1 = new $c_s_Some().init___O(jsx$1);
    return this.value$1.get__O()
  };
}
const $d_Lamf_core_utils_Lazy = new $TypeData().initClass({
  Lamf_core_utils_Lazy: 0
}, false, "amf.core.utils.Lazy", {
  Lamf_core_utils_Lazy: 1,
  O: 1
});
$c_Lamf_core_utils_Lazy.prototype.$classData = $d_Lamf_core_utils_Lazy;
class $c_Lamf_core_utils_TSort$ extends $c_O {
  init___() {
    return this
  };
  tsort__sci_Map__sc_Iterable__sc_Iterable(preds, done) {
    _tsort: while (true) {
      const this$1 = preds;
      const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return x$1.$$und2__O().isEmpty__Z()
        })
      })(this));
      const x1 = $f_sc_TraversableLike__partition__F1__T2(this$1, p);
      if ((x1 === null)) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const noPreds = x1.$$und1__O();
      const hasPreds = x1.$$und2__O();
      if (noPreds.isEmpty__Z()) {
        if (hasPreds.isEmpty__Z()) {
          return done
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T($f_sc_TraversableLike__toString__T(hasPreds)))
        }
      } else {
        const found = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(noPreds);
        const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, found$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable(x$3, found$1)
          })
        })(this, found));
        const temp$preds = new $c_sci_MapLike$$anon$2().init___sci_MapLike__F1(hasPreds, f);
        const jsx$1 = done;
        const this$3 = $m_sc_Iterable$();
        const temp$done = jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(found, this$3.ReusableCBFInstance$2);
        preds = temp$preds;
        done = temp$done;
        continue _tsort
      }
    }
  };
}
const $d_Lamf_core_utils_TSort$ = new $TypeData().initClass({
  Lamf_core_utils_TSort$: 0
}, false, "amf.core.utils.TSort$", {
  Lamf_core_utils_TSort$: 1,
  O: 1
});
$c_Lamf_core_utils_TSort$.prototype.$classData = $d_Lamf_core_utils_TSort$;
let $n_Lamf_core_utils_TSort$ = (void 0);
const $m_Lamf_core_utils_TSort$ = (function() {
  if ((!$n_Lamf_core_utils_TSort$)) {
    $n_Lamf_core_utils_TSort$ = new $c_Lamf_core_utils_TSort$().init___()
  };
  return $n_Lamf_core_utils_TSort$
});
class $c_Lamf_core_utils_package$MediaTypeMatcher$ extends $c_O {
  init___() {
    return this
  };
  isXml$extension__T__Z($$this) {
    const thiz = $$this.trim();
    return (((thiz.length | 0) >= 0) && (thiz.substring(0, ("<".length | 0)) === "<"))
  };
  guessMediaType$extension__T__Z__T($$this, isScalar) {
    return (($m_Lamf_core_utils_package$MediaTypeMatcher$().isXml$extension__T__Z($$this) && (!isScalar)) ? "application/xml" : (($m_Lamf_core_utils_package$MediaTypeMatcher$().isJson$extension__T__Z($$this) && (!isScalar)) ? "application/json" : "text/vnd.yaml"))
  };
  isJson$extension__T__Z($$this) {
    const thiz = $$this.trim();
    if ((((thiz.length | 0) >= 0) && (thiz.substring(0, ("{".length | 0)) === "{"))) {
      return true
    } else {
      return ((($$this.length | 0) >= 0) && ($$this.substring(0, ("[".length | 0)) === "["))
    }
  };
}
const $d_Lamf_core_utils_package$MediaTypeMatcher$ = new $TypeData().initClass({
  Lamf_core_utils_package$MediaTypeMatcher$: 0
}, false, "amf.core.utils.package$MediaTypeMatcher$", {
  Lamf_core_utils_package$MediaTypeMatcher$: 1,
  O: 1
});
$c_Lamf_core_utils_package$MediaTypeMatcher$.prototype.$classData = $d_Lamf_core_utils_package$MediaTypeMatcher$;
let $n_Lamf_core_utils_package$MediaTypeMatcher$ = (void 0);
const $m_Lamf_core_utils_package$MediaTypeMatcher$ = (function() {
  if ((!$n_Lamf_core_utils_package$MediaTypeMatcher$)) {
    $n_Lamf_core_utils_package$MediaTypeMatcher$ = new $c_Lamf_core_utils_package$MediaTypeMatcher$().init___()
  };
  return $n_Lamf_core_utils_package$MediaTypeMatcher$
});
class $c_Lamf_core_utils_package$TemplateUri$ extends $c_O {
  constructor() {
    super();
    this.varPattern$1 = null
  };
  init___() {
    $n_Lamf_core_utils_package$TemplateUri$ = this;
    const this$2 = new $c_sci_StringOps().init___T("\\{(.[^{]*)\\}");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.varPattern$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this
  };
  invalidMsg__T__T(uri) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["'", "' is not a valid template uri."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([uri]))
  };
  isValid__T__Z(chars) {
    const this$2 = new $c_sci_StringOps().init___T(chars);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    return this.isBalanced$1__p1__sci_List__I__Z($f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf), 0)
  };
  isBalanced$1__p1__sci_List__I__Z(cs, level) {
    _isBalanced: while (true) {
      let rc16 = false;
      let x2 = null;
      const x1 = cs;
      const x$2 = $m_sci_Nil$();
      if (x$2.equals__O__Z(x1)) {
        return (level === 0)
      };
      if ($is_sci_$colon$colon(x1)) {
        rc16 = true;
        x2 = x1;
        const c = x2.head$5;
        let p3;
        if ((c === null)) {
          p3 = 0
        } else {
          const this$2 = c;
          p3 = this$2.value$1
        };
        if (((p3 === 125) && (level < 1))) {
          return false
        }
      };
      if (rc16) {
        const c$1 = x2.head$5;
        let p6;
        if ((c$1 === null)) {
          p6 = 0
        } else {
          const this$4 = c$1;
          p6 = this$4.value$1
        };
        const xs = x2.tl$5;
        if ((p6 === 125)) {
          const temp$level = (((-1) + level) | 0);
          cs = xs;
          level = temp$level;
          continue _isBalanced
        }
      };
      if (rc16) {
        const c$2 = x2.head$5;
        let p8;
        if ((c$2 === null)) {
          p8 = 0
        } else {
          const this$6 = c$2;
          p8 = this$6.value$1
        };
        const xs$2 = x2.tl$5;
        if ((p8 === 123)) {
          const temp$level$2 = ((1 + level) | 0);
          cs = xs$2;
          level = temp$level$2;
          continue _isBalanced
        }
      };
      if (rc16) {
        const xs$3 = x2.tl$5;
        cs = xs$3;
        continue _isBalanced
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  variables__T__sc_Seq(path) {
    const this$1 = this.varPattern$1.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(path);
    const jsx$2 = $f_sc_Iterator__toStream__sci_Stream(this$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        const thiz = v.split("{").join("");
        return thiz.split("}").join("")
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
}
const $d_Lamf_core_utils_package$TemplateUri$ = new $TypeData().initClass({
  Lamf_core_utils_package$TemplateUri$: 0
}, false, "amf.core.utils.package$TemplateUri$", {
  Lamf_core_utils_package$TemplateUri$: 1,
  O: 1
});
$c_Lamf_core_utils_package$TemplateUri$.prototype.$classData = $d_Lamf_core_utils_package$TemplateUri$;
let $n_Lamf_core_utils_package$TemplateUri$ = (void 0);
const $m_Lamf_core_utils_package$TemplateUri$ = (function() {
  if ((!$n_Lamf_core_utils_package$TemplateUri$)) {
    $n_Lamf_core_utils_package$TemplateUri$ = new $c_Lamf_core_utils_package$TemplateUri$().init___()
  };
  return $n_Lamf_core_utils_package$TemplateUri$
});
class $c_Lamf_core_validation_EffectiveValidations extends $c_O {
  constructor() {
    super();
    this.effective$1 = null;
    this.info$1 = null;
    this.warning$1 = null;
    this.violation$1 = null;
    this.all$1 = null
  };
  update__Lamf_core_validation_core_ValidationSpecification__O(other) {
    const x1 = this.all$1.get__O__s_Option(other.name$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const added = x2.value$2;
      const this$1 = this.all$1;
      const key = other.name$1;
      const value = other.withTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(added);
      this$1.put__O__O__s_Option(key, value);
      return (void 0)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$4 = this.all$1;
        const self = other.name$1;
        const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$4, self, other);
        if ((e !== null)) {
          e.value$1 = other
        };
        return this$4
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap(effective, info, warning, violation, all) {
    this.effective$1 = effective;
    this.info$1 = info;
    this.warning$1 = warning;
    this.violation$1 = violation;
    this.all$1 = all;
    return this
  };
  someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(profile) {
    profile.validations$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(other$2) {
        const other = other$2;
        return $this.update__Lamf_core_validation_core_ValidationSpecification__O(other)
      })
    })(this)));
    profile.infoLevel$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(id$2) {
        const id = id$2;
        return this$2.setLevel__p1__T__T__scm_HashMap(id, $m_Lamf_core_validation_SeverityLevels$().INFO$1)
      })
    })(this)));
    profile.warningLevel$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(id$3$2) {
        const id$3 = id$3$2;
        return this$3.setLevel__p1__T__T__scm_HashMap(id$3, $m_Lamf_core_validation_SeverityLevels$().WARNING$1)
      })
    })(this)));
    profile.violationLevel$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4) {
      return (function(id$4$2) {
        const id$4 = id$4$2;
        return this$4.setLevel__p1__T__T__scm_HashMap(id$4, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)
      })
    })(this)));
    profile.disabled$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
      return (function(id$5$2) {
        const id$5 = id$5$2;
        const validationName = ((((!(((id$5.length | 0) >= 0) && (id$5.substring(0, ("http://".length | 0)) === "http://"))) && (!(((id$5.length | 0) >= 0) && (id$5.substring(0, ("https://".length | 0)) === "https://")))) && (!(((id$5.length | 0) >= 0) && (id$5.substring(0, ("file:/".length | 0)) === "file:/")))) ? $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(id$5.split(".").join(":")).iri__T() : id$5);
        return this$5.effective$1.remove__O__s_Option(validationName)
      })
    })(this)));
    return this
  };
  setLevel__p1__T__T__scm_HashMap(id, targetLevel) {
    const validationName = ((((!(((id.length | 0) >= 0) && (id.substring(0, ("http://".length | 0)) === "http://"))) && (!(((id.length | 0) >= 0) && (id.substring(0, ("https://".length | 0)) === "https://")))) && (!(((id.length | 0) >= 0) && (id.substring(0, ("file:/".length | 0)) === "file:/")))) ? $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(id.split(".").join(":")).iri__T() : id);
    const x1 = this.all$1.get__O__s_Option(validationName);
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot enable with ", " level unknown validation ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([targetLevel, validationName]))))
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const validation = x2.value$2;
      this.info$1.remove__O__s_Option(validationName);
      this.warning$1.remove__O__s_Option(validationName);
      this.violation$1.remove__O__s_Option(validationName);
      if (($m_Lamf_core_validation_SeverityLevels$().INFO$1 === targetLevel)) {
        const this$20 = this.info$1;
        const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$20, validationName, validation);
        if ((e !== null)) {
          e.value$1 = validation
        }
      } else if (($m_Lamf_core_validation_SeverityLevels$().WARNING$1 === targetLevel)) {
        const this$23 = this.warning$1;
        const e$1 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$23, validationName, validation);
        if ((e$1 !== null)) {
          e$1.value$1 = validation
        }
      } else if (($m_Lamf_core_validation_SeverityLevels$().VIOLATION$1 === targetLevel)) {
        const this$26 = this.violation$1;
        const e$2 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$26, validationName, validation);
        if ((e$2 !== null)) {
          e$2.value$1 = validation
        }
      } else {
        throw new $c_s_MatchError().init___O(targetLevel)
      };
      const this$29 = this.effective$1;
      const e$3 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this$29, validationName, validation);
      if ((e$3 !== null)) {
        e$3.value$1 = validation
      };
      return this$29
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $is_Lamf_core_validation_EffectiveValidations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_EffectiveValidations)))
});
const $isArrayOf_Lamf_core_validation_EffectiveValidations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_EffectiveValidations)))
});
const $d_Lamf_core_validation_EffectiveValidations = new $TypeData().initClass({
  Lamf_core_validation_EffectiveValidations: 0
}, false, "amf.core.validation.EffectiveValidations", {
  Lamf_core_validation_EffectiveValidations: 1,
  O: 1
});
$c_Lamf_core_validation_EffectiveValidations.prototype.$classData = $d_Lamf_core_validation_EffectiveValidations;
class $c_Lamf_core_validation_SeverityLevels$ extends $c_O {
  constructor() {
    super();
    this.WARNING$1 = null;
    this.INFO$1 = null;
    this.VIOLATION$1 = null
  };
  init___() {
    this.WARNING$1 = "Warning";
    this.INFO$1 = "Info";
    this.VIOLATION$1 = "Violation";
    return this
  };
}
const $d_Lamf_core_validation_SeverityLevels$ = new $TypeData().initClass({
  Lamf_core_validation_SeverityLevels$: 0
}, false, "amf.core.validation.SeverityLevels$", {
  Lamf_core_validation_SeverityLevels$: 1,
  O: 1
});
$c_Lamf_core_validation_SeverityLevels$.prototype.$classData = $d_Lamf_core_validation_SeverityLevels$;
let $n_Lamf_core_validation_SeverityLevels$ = (void 0);
const $m_Lamf_core_validation_SeverityLevels$ = (function() {
  if ((!$n_Lamf_core_validation_SeverityLevels$)) {
    $n_Lamf_core_validation_SeverityLevels$ = new $c_Lamf_core_validation_SeverityLevels$().init___()
  };
  return $n_Lamf_core_validation_SeverityLevels$
});
class $c_Lamf_core_validation_core_ValidationReport$ extends $c_O {
  init___() {
    return this
  };
  displayString__Lamf_core_validation_core_ValidationReport__T(report) {
    const elem = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Conforms? ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([report.conforms__Z()]));
    let elem$1 = null;
    elem$1 = elem;
    const jsx$2 = elem$1;
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Number of results: ", "\\n"]));
    const this$2 = report.results__sci_List();
    elem$1 = (("" + jsx$2) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_sc_LinearSeqOptimized__length__I(this$2)])));
    const this$3 = report.results__sci_List();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const result = arg1;
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n- Source: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.sourceShape__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Path: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.path__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Focus node: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.focusNode__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Constraint: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.sourceConstraintComponent__T()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Message: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.message__s_Option()])));
      elem$1 = (("" + elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Severity: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result.severity__T()])));
      these = these.tail__O()
    };
    return elem$1
  };
}
const $d_Lamf_core_validation_core_ValidationReport$ = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationReport$: 0
}, false, "amf.core.validation.core.ValidationReport$", {
  Lamf_core_validation_core_ValidationReport$: 1,
  O: 1
});
$c_Lamf_core_validation_core_ValidationReport$.prototype.$classData = $d_Lamf_core_validation_core_ValidationReport$;
let $n_Lamf_core_validation_core_ValidationReport$ = (void 0);
const $m_Lamf_core_validation_core_ValidationReport$ = (function() {
  if ((!$n_Lamf_core_validation_core_ValidationReport$)) {
    $n_Lamf_core_validation_core_ValidationReport$ = new $c_Lamf_core_validation_core_ValidationReport$().init___()
  };
  return $n_Lamf_core_validation_core_ValidationReport$
});
class $c_Lamf_plugins_document_graph_parser_EmissionContext extends $c_O {
  constructor() {
    super();
    this.prefixes$1 = null;
    this.base$1 = null;
    this.options$1 = null;
    this.counter$1 = 0
  };
  init___scm_Map__T__Lamf_core_emitter_RenderOptions(prefixes, base, options) {
    this.prefixes$1 = prefixes;
    this.base$1 = base;
    this.options$1 = options;
    this.counter$1 = 1;
    return this
  };
  emitContext__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@context");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@base");
    $m_Lorg_yaml_model_YNode$();
    const str = this.base$1;
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value);
    this.prefixes$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const p = x0$1.$$und1__O();
          const v$1 = x0$1.$$und2__O();
          $m_Lorg_yaml_model_YNode$();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(p);
          $m_Lorg_yaml_model_YNode$();
          const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(v$1);
          b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$2, value$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitIri__T__T(uri) {
    const this$1 = this.options$1;
    if (this$1.compactUris$1) {
      return $m_Lamf_core_vocabulary_Namespace$().compactAndCollect__T__scm_Map__T(uri, this.prefixes$1)
    } else {
      return uri
    }
  };
  emitId__T__T(uri) {
    const this$1 = this.options$1;
    let jsx$1;
    if (this$1.compactUris$1) {
      const s = this.base$1;
      jsx$1 = ((uri.indexOf(s) | 0) !== (-1))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const target = this.base$1;
      return uri.split(target).join("")
    } else {
      return uri
    }
  };
}
const $d_Lamf_plugins_document_graph_parser_EmissionContext = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_EmissionContext: 0
}, false, "amf.plugins.document.graph.parser.EmissionContext", {
  Lamf_plugins_document_graph_parser_EmissionContext: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_EmissionContext.prototype.$classData = $d_Lamf_plugins_document_graph_parser_EmissionContext;
class $c_Lamf_plugins_document_graph_parser_EmissionContext$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lamf_plugins_document_graph_parser_EmissionContext(unit, options) {
    const jsx$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$1 = $m_s_Option$().apply__O__s_Option(unit.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    return new $c_Lamf_plugins_document_graph_parser_EmissionContext().init___scm_Map__T__Lamf_core_emitter_RenderOptions(jsx$1, (this$1.isEmpty__Z() ? unit.id__T() : this$1.get__O()), options)
  };
}
const $d_Lamf_plugins_document_graph_parser_EmissionContext$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_EmissionContext$: 0
}, false, "amf.plugins.document.graph.parser.EmissionContext$", {
  Lamf_plugins_document_graph_parser_EmissionContext$: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_EmissionContext$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_EmissionContext$;
let $n_Lamf_plugins_document_graph_parser_EmissionContext$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_EmissionContext$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_EmissionContext$)) {
    $n_Lamf_plugins_document_graph_parser_EmissionContext$ = new $c_Lamf_plugins_document_graph_parser_EmissionContext$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_EmissionContext$
});
class $c_Lamf_plugins_document_graph_parser_GraphParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_remote_Platform__Lamf_plugins_document_graph_parser_GraphParser(platform) {
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    return new $c_Lamf_plugins_document_graph_parser_GraphParser().init___Lamf_core_remote_Platform__Lamf_core_parser_ParserContext(platform, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()))
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphParser$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParser$: 0
}, false, "amf.plugins.document.graph.parser.GraphParser$", {
  Lamf_plugins_document_graph_parser_GraphParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParser$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParser$;
let $n_Lamf_plugins_document_graph_parser_GraphParser$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_GraphParser$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_GraphParser$)) {
    $n_Lamf_plugins_document_graph_parser_GraphParser$ = new $c_Lamf_plugins_document_graph_parser_GraphParser$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_GraphParser$
});
class $c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$ extends $c_O {
  unapply__T__s_Option(uri) {
    const prefix = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1.base$1;
    if ((((uri.length | 0) >= 0) && (uri.substring(0, (prefix.length | 0)) === prefix))) {
      const beginIndex = ((1 + (uri.indexOf("#") | 0)) | 0);
      return new $c_s_Some().init___O(uri.substring(beginIndex))
    } else {
      return $m_s_None$()
    }
  };
  init___Lamf_plugins_document_graph_parser_GraphParserHelpers($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$: 0
}, false, "amf.plugins.document.graph.parser.GraphParserHelpers$AnnotationName$", {
  Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$: 1,
  O: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$;
class $c_Lamf_plugins_document_vocabularies_emitters_common_IdCounter extends $c_O {
  constructor() {
    super();
    this.c$1 = 0
  };
  init___() {
    this.c$1 = 0;
    return this
  };
  genId__T__T(id) {
    this.c$1 = ((1 + this.c$1) | 0);
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id, this.c$1]))
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_common_IdCounter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_common_IdCounter: 0
}, false, "amf.plugins.document.vocabularies.emitters.common.IdCounter", {
  Lamf_plugins_document_vocabularies_emitters_common_IdCounter: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_common_IdCounter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_common_IdCounter;
const $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option = (function($thiz, id) {
  const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__maybeFindNodeMappingById__T__s_Option($thiz, id);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const p3 = x2.value$2;
    if ((p3 !== null)) {
      const nodeMapping = p3.$$und2__O();
      if ((nodeMapping !== null)) {
        const prefix = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect().id$1;
        if ((((id.length | 0) >= 0) && (id.substring(0, (prefix.length | 0)) === prefix))) {
          const this$6 = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
          const this$7 = this$6.option$1;
          return new $c_s_Some().init___O((this$7.isEmpty__Z() ? null : this$7.get__O()))
        } else {
          const this$8 = $thiz.aliases__sci_Map();
          const this$9 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$8);
          const this$10 = this$9.$$outer$4.keysIterator__sc_Iterator();
          let this$14;
          inlinereturn$23: {
            while (this$10.hasNext__Z()) {
              const a = this$10.next__O();
              const x$1 = a;
              if (((id.indexOf(x$1) | 0) !== (-1))) {
                this$14 = new $c_s_Some().init___O(a);
                break inlinereturn$23
              }
            };
            this$14 = $m_s_None$()
          };
          let this$17;
          if (this$14.isEmpty__Z()) {
            this$17 = $m_s_None$()
          } else {
            const arg1 = this$14.get__O();
            const key = arg1;
            const alias = $thiz.aliases__sci_Map().apply__O__O(key).$$und1__O();
            const this$15 = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
            const this$16 = this$15.option$1;
            this$17 = new $c_s_Some().init___O(((alias + ".") + (this$16.isEmpty__Z() ? null : this$16.get__O())))
          };
          if (this$17.isEmpty__Z()) {
            const this$18 = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
            const this$19 = this$18.option$1;
            return new $c_s_Some().init___O((this$19.isEmpty__Z() ? null : this$19.get__O()))
          } else {
            return this$17
          }
        }
      }
    }
  };
  const prefix$1 = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect().id$1;
  if ((((id.length | 0) >= 0) && (id.substring(0, (prefix$1.length | 0)) === prefix$1))) {
    const regex = $thiz.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect().id$1;
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(id, regex, 0);
    const this$27 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const thiz = $f_sc_IndexedSeqOptimized__last__O(this$27);
    return new $c_s_Some().init___O(thiz.split("/declarations/").join(""))
  } else {
    const this$30 = $thiz.aliases__sci_Map();
    const this$31 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$30);
    const this$32 = this$31.$$outer$4.keysIterator__sc_Iterator();
    let this$36;
    inlinereturn$77: {
      while (this$32.hasNext__Z()) {
        const a$1 = this$32.next__O();
        const x$2 = a$1;
        if (((id.indexOf(x$2) | 0) !== (-1))) {
          this$36 = new $c_s_Some().init___O(a$1);
          break inlinereturn$77
        }
      };
      this$36 = $m_s_None$()
    };
    if (this$36.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = this$36.get__O();
      const key$3 = arg1$1;
      const alias$1 = $thiz.aliases__sci_Map().apply__O__O(key$3).$$und1__O();
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(id, key$3, 0);
      const this$39 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const x1$1 = $f_sc_IndexedSeqOptimized__last__O(this$39);
      const postfix = (((x1$1.indexOf("/declarations/") | 0) !== (-1)) ? x1$1.split("/declarations/").join("") : x1$1);
      return new $c_s_Some().init___O(((alias$1 + ".") + postfix))
    }
  }
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$ extends $c_O {
  init___() {
    return this
  };
  $$lessinit$greater$default$1__T() {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DialectDomainElement").iri__T()
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.DialectDomainElementModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification extends $c_O {
}
class $c_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$ extends $c_O {
  constructor() {
    super();
    this.VocabularyHeader$1 = null;
    this.DialectHeader$1 = null;
    this.DialectLibraryHeader$1 = null;
    this.DialectFragmentHeader$1 = null
  };
  init___() {
    this.VocabularyHeader$1 = "%Vocabulary 1.0";
    this.DialectHeader$1 = "%Dialect 1.0";
    this.DialectLibraryHeader$1 = "%Library / Dialect 1.0";
    this.DialectFragmentHeader$1 = "%Node Mapping / Dialect 1.0";
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_ExtensionHeader$: 0
}, false, "amf.plugins.document.vocabularies.parser.ExtensionHeader$", {
  Lamf_plugins_document_vocabularies_parser_ExtensionHeader$: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$;
let $n_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$)) {
    $n_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$ = new $c_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$
});
const $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3 = (function($thiz) {
  return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
    return (function(target$2, label$2, references$2) {
      const target = target$2;
      const label = label$2;
      const references = references$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(target, label, references, $this.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext())
    })
  })($thiz))
});
const $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__parametrizedSecurityEmitter__F2 = (function($thiz) {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(parametrizedScheme$2, ordering$2) {
      const parametrizedScheme = parametrizedScheme$2;
      const ordering = ordering$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parametrizedScheme, ordering, $this.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext())
    })
  })($thiz))
});
class $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter(key, f, mediaType, spec) {
    const this$1 = f.value$1.value$1.annotations__Lamf_core_parser_Annotations();
    const pf = new $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1().init___();
    const jsx$1 = this$1.amf$core$parser$Annotations$$annotations$1;
    const this$2 = $m_sc_Seq$();
    const extensions = jsx$1.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$2.ReusableCBFInstance$2);
    let jsx$2;
    if (extensions.nonEmpty__Z()) {
      const x = spec.vendor__Lamf_core_remote_Vendor();
      const x$2 = $m_Lamf_core_remote_Raml10$();
      jsx$2 = ((x !== null) && (x === x$2))
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$2$2$2) {
          const x$2$2 = x$2$2$2;
          return x$2$2.extension$1
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      return new $c_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter().init___T__Lamf_core_parser_FieldEntry__sc_Seq__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, extensions.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2), mediaType, spec)
    } else {
      return new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(key, f, mediaType)
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$: 0
}, false, "amf.plugins.document.webapi.contexts.RamlScalarEmitter$", {
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$;
let $n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$)) {
    $n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$ = new $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$
});
class $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext extends $c_O {
  constructor() {
    super();
    this.refEmitter$1 = null
  };
  oasTypePropertyEmitter__T__Lamf_core_model_domain_Shape__Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter(typeName, shape) {
    const x1 = shape.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lexicalInfo = x2.value$2;
      return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeName, $m_Lorg_yaml_model_YType$().Str$1, lexicalInfo.range$1.start$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeName, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, url) {
    this.refEmitter$1.ref__T__Lorg_yaml_model_YDocument$PartBuilder__V(url, b)
  };
  ramlTypePropertyEmitter__T__Lamf_core_model_domain_Shape__s_Option(typeName, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1);
    const x = $m_s_None$();
    if ((x === x1)) {
      const x1$2 = shape.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo.getClassOf());
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const lexicalInfo = x2.value$2;
        return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeName, $m_Lorg_yaml_model_YType$().Str$1, lexicalInfo.range$1.start$1))
      } else {
        return $m_s_None$()
      }
    } else {
      return $m_s_None$()
    }
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    this.refEmitter$1 = refEmitter;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_OasHeader extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null
  };
  init___T__T(key, value) {
    this.key$1 = key;
    this.value$1 = value;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_OasHeader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_OasHeader)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_OasHeader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_OasHeader)))
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$ extends $c_O {
  constructor() {
    super();
    this.extensionName$1 = null;
    this.extensionType$1 = null;
    this.swagger$1 = null;
    this.openapi$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$ = this;
    this.extensionName$1 = new $c_Lamf_core_utils_package$Strings().init___T("fragmentType").asOasExtension__T();
    this.extensionType$1 = new $c_Lamf_core_utils_package$Strings().init___T("extensionType").asOasExtension__T();
    this.swagger$1 = "swagger";
    this.openapi$1 = "openapi";
    return this
  };
  apply__T__s_Option(text) {
    return (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$()) : (($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$().value$1 === text) ? new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$()) : $m_s_None$())))))))))))
  };
  apply__Lamf_core_Root__s_Option(root) {
    const this$1 = root.parsed$1.document$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = this$1.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.extensionName$1);
      const this$5 = (this$3.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.extensionType$1) : this$3);
      const this$7 = (this$5.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.swagger$1) : this$5);
      const this$9 = (this$7.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.openapi$1) : this$7);
      if (this$9.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$9.get__O();
        const extension = arg1;
        const jsx$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$();
        $m_Lorg_yaml_model_YNode$();
        const node = extension.value$1;
        return jsx$1.apply__T__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
      }
    } else if ($is_s_util_Left(x1)) {
      return $m_s_None$()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$", {
  Lamf_plugins_document_webapi_parser_OasHeader$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$
});
class $c_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ extends $c_O {
  constructor() {
    super();
    this.knownFormats$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = this;
    const array = ["time-only", "date-only", "date-time", "date-time-only", "password", "byte", "binary", "int32", "int64", "long", "float"];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.knownFormats$1 = jsx$1;
    return this
  };
  matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef(ramlType, format) {
    return ((ramlType === "string") ? ((format === "time-only") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$() : ((format === "date-only") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$() : ((format === "date-time") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$() : ((format === "date-time-only") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$() : ((format === "password") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$() : ((format === "byte") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$() : ((format === "binary") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()))))))) : ((ramlType === "null") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$() : ((ramlType === "integer") ? ((format === "int64") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()) : ((ramlType === "number") ? ((format === "float") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$() : ((format === "double") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$())) : ((ramlType === "boolean") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$() : ((ramlType === "object") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$() : ((ramlType === "array") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$() : ((ramlType === "file") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()))))))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.OasTypeDefMatcher$", {
  Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$;
let $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$ = new $c_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ extends $c_O {
  init___() {
    return this
  };
  matchFormat__Lamf_plugins_domain_shapes_models_TypeDef__s_Option(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
    if ((x === typeDef)) {
      return new $c_s_Some().init___O("byte")
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
      if ((x$3 === typeDef)) {
        return new $c_s_Some().init___O("binary")
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
        if ((x$5 === typeDef)) {
          return new $c_s_Some().init___O("password")
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
          if ((x$7 === typeDef)) {
            return new $c_s_Some().init___O("date-time")
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
            if ((x$9 === typeDef)) {
              return new $c_s_Some().init___O("date-time-only")
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
              if ((x$11 === typeDef)) {
                return new $c_s_Some().init___O("time-only")
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                if ((x$13 === typeDef)) {
                  return new $c_s_Some().init___O("date-only")
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
                  if ((x$15 === typeDef)) {
                    return new $c_s_Some().init___O("int64")
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
                    if ((x$17 === typeDef)) {
                      return new $c_s_Some().init___O("double")
                    } else {
                      return $m_s_None$()
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  matchType__Lamf_plugins_domain_shapes_models_TypeDef__T(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
    if ((x === typeDef)) {
      return "string"
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
      if ((x$3 === typeDef)) {
        return "string"
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
        if ((x$5 === typeDef)) {
          return "string"
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          if ((x$7 === typeDef)) {
            return "string"
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
            if ((x$9 === typeDef)) {
              return "integer"
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
              if ((x$11 === typeDef)) {
                return "integer"
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
                if ((x$13 === typeDef)) {
                  return "number"
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
                  if ((x$15 === typeDef)) {
                    return "number"
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
                    if ((x$17 === typeDef)) {
                      return "boolean"
                    } else {
                      const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
                      if ((x$19 === typeDef)) {
                        return "string"
                      } else {
                        const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
                        if ((x$21 === typeDef)) {
                          return "string"
                        } else {
                          const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
                          if ((x$23 === typeDef)) {
                            return "string"
                          } else {
                            const x$25 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                            if ((x$25 === typeDef)) {
                              return "string"
                            } else {
                              const x$27 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                              if ((x$27 === typeDef)) {
                                return "array"
                              } else {
                                const x$29 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                                if ((x$29 === typeDef)) {
                                  return "object"
                                } else {
                                  const x$31 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
                                  if ((x$31 === typeDef)) {
                                    return "file"
                                  } else {
                                    const x$33 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
                                    if ((x$33 === typeDef)) {
                                      return "null"
                                    } else {
                                      const x$35 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$();
                                      if ((x$35 === typeDef)) {
                                        return "number"
                                      } else {
                                        const x$37 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                                        if ((x$37 === typeDef)) {
                                          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T("Undefined type def"))
                                        } else {
                                          throw new $c_s_MatchError().init___O(typeDef)
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.OasTypeDefStringValueMatcher$", {
  Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$;
let $n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$ = new $c_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_PayloadParser extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.location$1 = null;
    this.mediaType$1 = null;
    this.ctx$1 = null
  };
  parseUnit__Lamf_core_model_document_PayloadFragment() {
    const payload = this.parseNode__p1__T__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(this.location$1, this.document$1.node$3);
    const this$1 = $m_Lamf_core_model_document_PayloadFragment$().apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(payload, this.mediaType$1);
    const parent = this.location$1;
    const parsedDocument = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$1, parent);
    return parsedDocument
  };
  init___Lorg_yaml_model_YDocument__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext(document, location, mediaType, ctx) {
    this.document$1 = document;
    this.location$1 = location;
    this.mediaType$1 = mediaType;
    this.ctx$1 = ctx;
    return this
  };
  parseNode__p1__T__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(parent, node) {
    const x$2 = new $c_s_Some().init___O(parent);
    const x$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
    const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(node, x$3, x$2, x$4, this.ctx$1).parse__Lamf_core_model_domain_DataNode()
  };
}
const $d_Lamf_plugins_document_webapi_parser_PayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_PayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.PayloadParser", {
  Lamf_plugins_document_webapi_parser_PayloadParser: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_PayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_PayloadParser;
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ extends $c_O {
  init___() {
    return this
  };
  fromText__p1__T__s_Option(text) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$().asRegExp__s_util_matching_Regex().pattern$1;
    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, text, 0, (text.length | 0)).matches__Z()) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$())
    } else {
      const this$3 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$().asRegExp__s_util_matching_Regex().pattern$1;
      if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$3, text, 0, (text.length | 0)).matches__Z()) {
        return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$())
      } else {
        const this$5 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$().asRegExp__s_util_matching_Regex().pattern$1;
        if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$5, text, 0, (text.length | 0)).matches__Z()) {
          return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$())
        } else {
          const this$7 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$().asRegExp__s_util_matching_Regex().pattern$1;
          if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$7, text, 0, (text.length | 0)).matches__Z()) {
            return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$())
          } else {
            const this$9 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$().asRegExp__s_util_matching_Regex().pattern$1;
            if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$9, text, 0, (text.length | 0)).matches__Z()) {
              return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$())
            } else {
              const this$11 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$().asRegExp__s_util_matching_Regex().pattern$1;
              if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$11, text, 0, (text.length | 0)).matches__Z()) {
                return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$())
              } else {
                const this$13 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().asRegExp__s_util_matching_Regex().pattern$1;
                if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$13, text, 0, (text.length | 0)).matches__Z()) {
                  return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$())
                } else {
                  const this$15 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().asRegExp__s_util_matching_Regex().pattern$1;
                  if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$15, text, 0, (text.length | 0)).matches__Z()) {
                    return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$())
                  } else {
                    const this$17 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$().asRegExp__s_util_matching_Regex().pattern$1;
                    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$17, text, 0, (text.length | 0)).matches__Z()) {
                      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$())
                    } else {
                      const this$19 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$().asRegExp__s_util_matching_Regex().pattern$1;
                      if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$19, text, 0, (text.length | 0)).matches__Z()) {
                        return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$())
                      } else {
                        return $m_s_None$()
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  fromRoot__Lamf_core_Root__s_Option(root) {
    const this$1 = root.parsed$1.comment$1;
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const c = arg1;
      x1 = this.fromText__p1__T__s_Option(c.metaText$3)
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const header = x2.value$2;
      return $m_s_Option$().apply__O__s_Option(header)
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ extends $c_O {
  constructor() {
    super();
    this.knownFormats$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = this;
    const array = ["byte", "binary", "password", "int", "int8", "int16", "int32", "int64", "long", "double", "float"];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.knownFormats$1 = jsx$1;
    return this
  };
  matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(ramlType, format, $default) {
    const o28 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(ramlType);
    if ((!o28.isEmpty__Z())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$()
    };
    const o30 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(ramlType);
    if ((!o30.isEmpty__Z())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$()
    };
    const o32 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(ramlType);
    if ((!o32.isEmpty__Z())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$()
    };
    if (((ramlType === "nil") || ((ramlType === "") || (ramlType === "null")))) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$()
    };
    if ((ramlType === "any")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$()
    };
    if ((ramlType === "string")) {
      return ((format === "byte") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$() : ((format === "binary") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$() : ((format === "password") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$())))
    };
    if ((ramlType === "number")) {
      return ((format === "int") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int8") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int16") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int32") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int64") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : ((format === "long") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : ((format === "float") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$() : ((format === "double") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()))))))))
    };
    if ((ramlType === "integer")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()
    };
    if ((ramlType === "boolean")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()
    };
    if ((ramlType === "datetime")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()
    };
    if ((ramlType === "datetime-only")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$()
    };
    if ((ramlType === "time-only")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$()
    };
    if ((ramlType === "date-only")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$()
    };
    if ((ramlType === "array")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$()
    };
    if ((ramlType === "object")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()
    };
    if ((ramlType === "union")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$()
    };
    if ((ramlType === "file")) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$()
    };
    return $default
  };
  match08Type__T__s_Option(value) {
    return ((value === "number") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()) : ((value === "integer") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()) : ((value === "date") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()) : ((value === "boolean") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()) : ((value === "file") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$()) : ((value === "string") ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()) : $m_s_None$()))))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(str) {
    return (((((str.length | 0) >= 0) && (str.substring(0, ("[".length | 0)) === "[")) || (((str.length | 0) >= 0) && (str.substring(0, ("{".length | 0)) === "{"))) ? new $c_s_Some().init___O(str) : $m_s_None$())
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$JSONSchema$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(str) {
    return ((((((((str.indexOf("[]") | 0) !== (-1)) && (!(((str.length | 0) >= 0) && (str.substring(0, ("[".length | 0)) === "[")))) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(str, "]")) || ((str.indexOf("|") | 0) !== (-1))) || ((str.indexOf("(") | 0) !== (-1))) || ((str.indexOf(")") | 0) !== (-1))) ? new $c_s_Some().init___O(str) : $m_s_None$())
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$TypeExpression$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ extends $c_O {
  init___() {
    return this
  };
  unapply__T__s_Option(str) {
    return (((((str.length | 0) >= 0) && (str.substring(0, ("<".length | 0)) === "<")) && (!((((str.length | 0) >= 0) && (str.substring(0, ("<<".length | 0)) === "<<")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(str, ">>")))) ? new $c_s_Some().init___O(str) : $m_s_None$())
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefMatcher$XMLSchema$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$
});
class $c_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ extends $c_O {
  init___() {
    return this
  };
  matchType__Lamf_plugins_domain_shapes_models_TypeDef__s_Option__T2(typeDef, format) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
    if ((x === typeDef)) {
      return new $c_T2().init___O__O("string", "byte")
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
      if ((x$3 === typeDef)) {
        return new $c_T2().init___O__O("string", "binary")
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
        if ((x$5 === typeDef)) {
          return new $c_T2().init___O__O("string", "password")
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          if ((x$7 === typeDef)) {
            return new $c_T2().init___O__O("string", "")
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
            if ((x$9 === typeDef)) {
              let rc15 = false;
              let x2 = null;
              if ($is_s_Some(format)) {
                rc15 = true;
                x2 = format;
                const p3 = x2.value$2;
                if ((p3 === "int")) {
                  return new $c_T2().init___O__O("number", "int")
                }
              };
              if (rc15) {
                const p5 = x2.value$2;
                if ((p5 === "int8")) {
                  return new $c_T2().init___O__O("number", "int8")
                }
              };
              if (rc15) {
                const p7 = x2.value$2;
                if ((p7 === "int16")) {
                  return new $c_T2().init___O__O("number", "int16")
                }
              };
              if (rc15) {
                const p9 = x2.value$2;
                if ((p9 === "int32")) {
                  return new $c_T2().init___O__O("number", "int32")
                }
              };
              return new $c_T2().init___O__O("integer", "")
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
              if ((x$11 === typeDef)) {
                let rc9 = false;
                let x2$2 = null;
                if ($is_s_Some(format)) {
                  rc9 = true;
                  x2$2 = format;
                  const p3$2 = x2$2.value$2;
                  if ((p3$2 === "int64")) {
                    return new $c_T2().init___O__O("number", "int64")
                  }
                };
                if (rc9) {
                  const p5$2 = x2$2.value$2;
                  if ((p5$2 === "long")) {
                    return new $c_T2().init___O__O("number", "long")
                  }
                };
                return new $c_T2().init___O__O("integer", "long")
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
                if ((x$13 === typeDef)) {
                  return new $c_T2().init___O__O("number", "float")
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
                  if ((x$15 === typeDef)) {
                    return new $c_T2().init___O__O("number", "double")
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
                    if ((x$17 === typeDef)) {
                      return new $c_T2().init___O__O("boolean", "")
                    } else {
                      const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
                      if ((x$19 === typeDef)) {
                        return new $c_T2().init___O__O("datetime", "")
                      } else {
                        const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
                        if ((x$21 === typeDef)) {
                          return new $c_T2().init___O__O("datetime-only", "")
                        } else {
                          const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
                          if ((x$23 === typeDef)) {
                            return new $c_T2().init___O__O("time-only", "")
                          } else {
                            const x$25 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                            if ((x$25 === typeDef)) {
                              return new $c_T2().init___O__O("date-only", "")
                            } else {
                              const x$27 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                              if ((x$27 === typeDef)) {
                                return new $c_T2().init___O__O("array", "")
                              } else {
                                const x$29 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                                if ((x$29 === typeDef)) {
                                  return new $c_T2().init___O__O("object", "")
                                } else {
                                  const x$31 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
                                  if ((x$31 === typeDef)) {
                                    return new $c_T2().init___O__O("file", "")
                                  } else {
                                    const x$33 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
                                    if ((x$33 === typeDef)) {
                                      return new $c_T2().init___O__O("nil", "")
                                    } else {
                                      const x$35 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$();
                                      if ((x$35 === typeDef)) {
                                        return new $c_T2().init___O__O("number", "")
                                      } else {
                                        const x$37 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                                        if ((x$37 === typeDef)) {
                                          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T("Undefined type def"))
                                        } else {
                                          throw new $c_s_MatchError().init___O(typeDef)
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.RamlTypeDefStringValueMatcher$", {
  Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$;
let $n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$ = new $c_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$
});
class $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter extends $c_O {
  constructor() {
    super();
    this.protocol$1 = null;
    this.domain$1 = null;
    this.path$1 = null
  };
  init___T__T__T(protocol, domain, path) {
    this.protocol$1 = protocol;
    this.domain$1 = domain;
    this.path$1 = path;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.BaseUriSplitter", {
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter;
class $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter(s) {
    const this$1 = $m_s_Option$().apply__O__s_Option(s);
    if (this$1.isEmpty__Z()) {
      return new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter().init___T__T__T("", "", "")
    } else {
      const arg1 = this$1.get__O();
      const s$2 = arg1;
      let tail = "";
      let host = "";
      if (((s$2.indexOf("://") | 0) !== (-1))) {
        const splittedOne = $m_sjsr_RuntimeString$().split__T__T__I__AT(s$2, "://", 0);
        const this$7 = new $c_scm_ArrayOps$ofRef().init___AO(splittedOne);
        host = $f_sc_IndexedSeqOptimized__head__O(this$7);
        tail = splittedOne.u[1]
      } else {
        tail = s$2
      };
      const thiz = tail;
      const firstSlashIndex = (thiz.indexOf("/") | 0);
      let domain = "";
      let path = "";
      if ((firstSlashIndex > (-1))) {
        const thiz$1 = tail;
        domain = thiz$1.substring(0, firstSlashIndex);
        const thiz$2 = tail;
        path = thiz$2.substring(firstSlashIndex)
      } else {
        domain = tail
      };
      return new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter().init___T__T__T(host, domain, path)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.BaseUriSplitter$", {
  Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$;
let $n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$ = new $c_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declarations, errorHandler, futureDeclarations) {
    const x$34 = $m_s_None$();
    const x$37 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$38 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$39 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$40 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$41 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$42 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$43 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$44 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$45 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$46 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___s_Option__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$34, x$37, x$38, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, errorHandler, futureDeclarations);
    declarations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        return result$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(x$7)
      })
    })(this, result)));
    return result
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$;
let $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter extends $c_O {
  constructor() {
    super();
    this.c$1 = 0
  };
  init___() {
    this.c$1 = 0;
    return this
  };
  genId__T__T(id) {
    this.c$1 = ((1 + this.c$1) | 0);
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id, this.c$1]))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_IdCounter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_IdCounter: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.IdCounter", {
  Lamf_plugins_document_webapi_parser_spec_common_IdCounter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_IdCounter;
class $c_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, iv) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode().init___Lorg_yaml_model_YMap__Lorg_yaml_model_IllegalTypeHandler(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), iv), iv)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.MapArrayNode$", {
  Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ extends $c_O {
  init___() {
    return this
  };
  unexpected__p1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__V(key, iv) {
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected key '", "'. Options are 'value' or annotations \\\\(.+\\\\)"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key]));
    $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(iv, message, key)
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(node, iv) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x2 = x1;
      return this.createScalarValuedNode__p1__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(x2, iv)
    } else {
      return new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv)
    }
  };
  createScalarValuedNode__p1__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(obj, iv) {
    const elem = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const values = new $c_sr_ObjectRef().init___O(elem);
    obj.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, iv$1, values$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
        if ($is_Lorg_yaml_model_YScalar(x1)) {
          const x2 = x1;
          const x1$2 = x2.text$3;
          return ((x1$2 === "value") ? values$1.elem$1.$$plus$eq__O__scm_ListBuffer(entry) : ($m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().isRamlAnnotation__T__Z(x1$2) ? (void 0) : ($this.unexpected__p1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__V(entry.key$1, iv$1), (void 0))))
        } else {
          $this.unexpected__p1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__V(entry.key$1, iv$1);
          return (void 0)
        }
      })
    })(this, iv, values)));
    if (values.elem$1.nonEmpty__Z()) {
      const this$2 = values.elem$1;
      const this$3 = $f_sc_TraversableLike__tail__O(this$2);
      const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$4;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const d = arg1;
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Duplicated key 'value'."])).s__sc_Seq__T($m_sci_Nil$());
        $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(iv, message, d);
        these = these.tail__O()
      }
    };
    const this$5 = values.elem$1;
    const this$6 = this$5.scala$collection$mutable$ListBuffer$$start$6;
    const this$7 = $f_sc_TraversableLike__headOption__s_Option(this$6);
    let jsx$1;
    if (this$7.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1$1 = this$7.get__O();
      const entry$3 = arg1$1;
      const node = entry$3.value$1;
      jsx$1 = new $c_s_Some().init___O(new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv))
    };
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode().init___Lorg_yaml_model_YMap__s_Option__Lamf_plugins_document_webapi_contexts_WebApiContext(obj, jsx$1, iv)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.RamlScalarNode$", {
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, iv) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    return ($is_Lorg_yaml_model_YSequence(x1) ? new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv) : new $c_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, iv))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SingleArrayNode$", {
  Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps extends $c_O {
  constructor() {
    super();
    this.field$1 = null;
    this.iv$1 = null;
    this.$$outer$1 = null
  };
  $in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(target) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this.$$outer$1, target, this.field$1, this.iv$1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext($$outer, field, iv) {
    this.field$1 = field;
    this.iv$1 = iv;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  $in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(elem) {
    return this.$in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_model_domain_DomainElement(this.$$outer$1, elem))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SpecParserOps$FieldOps", {
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps;
class $c_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ extends $c_O {
  constructor() {
    super();
    this.ramlKnownAnnotations$1 = null;
    this.oasKnownAnnotations$1 = null;
    this.amfPrefix$1 = null;
    this.ramlAnnotation$1 = null;
    this.oasAnnotation$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = this;
    const array = ["termsOfService", "parameters", "binding", "contact", "externalDocs", "license", "baseUriParameters", "oasDeprecated", "summary", "externalDocs", "payloads", "readOnly", "dependencies", "tuple", "format", "exclusiveMaximum", "exclusiveMinimum", "consumes", "produces", "flow", "examples", "responses", "additionalProperties", "collectionFormat", "tags", "url", "serverDescription", "servers", "xor", "and", "or", "not"];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      jsx$1 = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    this.ramlKnownAnnotations$1 = jsx$1;
    const array$1 = ["baseUriParameters", "annotationTypes", "requestPayloads", "responsePayloads", "uses", "mediaType", "traits", "resourceTypes", "is", "type", "extensionType", "fragmentType", "usage", "title", "userDocumentation", "description", "displayName", "extends", "describedBy", "discriminatorValue", "settings", "securitySchemes", "queryParameters", "queryString", "examples", "fileTypes", "schema", "serverDescription", "servers", "consumes", "produces", "schemes", "parameters", "facets", "merge", "union"];
    let jsx$2;
    if (((array$1.length | 0) === 0)) {
      jsx$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      jsx$2 = b$1.elems$1
    };
    this.oasKnownAnnotations$1 = jsx$2;
    this.amfPrefix$1 = "amf-";
    const this$4 = new $c_sci_StringOps().init___T("^\\((.+)\\)$");
    const groupNames = $m_sci_Nil$();
    const $$this = this$4.repr$1;
    this.ramlAnnotation$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const this$7 = new $c_sci_StringOps().init___T("^[xX]-(.+)");
    const groupNames$1 = $m_sci_Nil$();
    const $$this$1 = this$7.repr$1;
    this.oasAnnotation$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
    return this
  };
  isRamlAnnotation__T__Z(field) {
    const o8 = this.ramlAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$1;
    if ((!o8.isEmpty__Z())) {
      if ((o8.get__O() !== null)) {
        const this$1 = o8.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 1) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return true
    };
    return false
  };
  resolveAnnotation__T__s_Option(field) {
    const o8 = this.ramlAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$1;
    if ((!o8.isEmpty__Z())) {
      if ((o8.get__O() !== null)) {
        const this$1 = o8.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 1) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$2 = o8.get__O();
      const value = $f_sc_LinearSeqOptimized__apply__I__O(this$2, 0);
      if (this.notContains__p1__sci_Set__T__Z(this.ramlKnownAnnotations$1, value)) {
        return new $c_s_Some().init___O(value)
      }
    };
    const o10 = this.oasAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$2;
    if ((!o10.isEmpty__Z())) {
      if ((o10.get__O() !== null)) {
        const this$3 = o10.get__O();
        jsx$2 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$3, 1) === 0)
      } else {
        jsx$2 = false
      }
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      const this$4 = o10.get__O();
      const value$2 = $f_sc_LinearSeqOptimized__apply__I__O(this$4, 0);
      if (this.notContains__p1__sci_Set__T__Z(this.oasKnownAnnotations$1, value$2)) {
        return new $c_s_Some().init___O(value$2)
      }
    };
    return $m_s_None$()
  };
  isOasAnnotation__T__Z(field) {
    const o8 = this.oasAnnotation$1.unapplySeq__jl_CharSequence__s_Option(field);
    let jsx$1;
    if ((!o8.isEmpty__Z())) {
      if ((o8.get__O() !== null)) {
        const this$1 = o8.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 1) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return true
    };
    return false
  };
  notContains__p1__sci_Set__T__Z(annotations, value) {
    const this$2 = new $c_sci_StringOps().init___T(value);
    const prefix = this.amfPrefix$1;
    return (!annotations.contains__O__Z($f_sci_StringLike__stripPrefix__T__T(this$2, prefix)))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.WellKnownAnnotation$", {
  Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null;
    this.fs$1 = null
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(property, ordering, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    this.fs$1 = property.fields$1;
    return this
  };
  emitters__s_util_Either() {
    let rc10 = false;
    let x2 = null;
    const x1 = this.shapeEmitters__sc_Seq().toList__sci_List();
    if ($is_sci_$colon$colon(x1)) {
      rc10 = true;
      x2 = x1;
      const head = x2.head$5;
      if ($is_Lamf_core_emitter_EntryEmitter(head)) {
        const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        const this$1 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1);
        if ((!this$1.isEmpty__Z())) {
          const arg1 = this$1.get__O();
          const f = arg1;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("displayName", f, $m_s_None$())))
        };
        const this$3 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1);
        if ((!this$3.isEmpty__Z())) {
          const arg1$1 = this$3.get__O();
          const f$3 = arg1$1;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
        };
        const this$5 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1);
        if ((!this$5.isEmpty__Z())) {
          const arg1$2 = this$5.get__O();
          const f$4 = arg1$2;
          const jsx$2 = f$4.value$1.value$1.scalars__sc_Seq();
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(s$2) {
              const s = s$2;
              const x1$1 = $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().uriToRaml$1.get__O__s_Option(s.toString__T());
              if ($is_s_Some(x1$1)) {
                const x2$1 = x1$1;
                const identifier = x2$1.value$2;
                return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(identifier, s.annotations$1)
              } else {
                const x = $m_s_None$();
                if ((x === x1$1)) {
                  return s
                } else {
                  throw new $c_s_MatchError().init___O(x1$1)
                }
              }
            })
          })(this));
          const this$6 = $m_sc_Seq$();
          const scalars = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
          const finalArray = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(scalars, f$4.value$1.value$1.annotations$1);
          const jsx$3 = f$4.field$1;
          const annotations = f$4.value$1.annotations$1;
          const finalFieldEntry = new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$3, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(finalArray, annotations));
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("allowedTargets", finalFieldEntry, this.ordering$1, false)))
        };
        const jsx$5 = this.shapeEmitters__sc_Seq();
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(x$13$2) {
            const x$13 = x$13$2;
            return x$13
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$8.ReusableCBFInstance$2));
        result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.property$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
        $m_s_package$();
        return new $c_s_util_Left().init___O(result)
      }
    };
    if (rc10) {
      const head$2 = x2.head$5;
      const p4 = x2.tl$5;
      if ($is_Lamf_core_emitter_PartEmitter(head$2)) {
        const x6 = head$2;
        const x$1 = $m_sci_Nil$();
        if (x$1.equals__O__Z(p4)) {
          $m_s_package$();
          return new $c_s_util_Right().init___O(x6)
        }
      }
    };
    const x$3 = $m_sci_Nil$();
    if (x$3.equals__O__Z(x1)) {
      $m_s_package$();
      const value = $m_sci_Nil$();
      return new $c_s_util_Left().init___O(value)
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType extends $c_O {
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion extends $c_O {
  constructor() {
    super();
    this.name$1 = null
  };
  init___T(name) {
    this.name$1 = name;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$ extends $c_O {
  init___() {
    return this
  };
  convert__Lamf_plugins_domain_shapes_models_TypeDef__Lorg_yaml_model_YType(datatype) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
    if ((x === datatype)) {
      return $m_Lorg_yaml_model_YType$().Int$1
    } else {
      return $m_Lorg_yaml_model_YType$().Float$1
    }
  };
  convert__s_Option__Lorg_yaml_model_YType(datatype) {
    return this.convert__Lamf_plugins_domain_shapes_models_TypeDef__Lorg_yaml_model_YType((datatype.isEmpty__Z() ? $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$() : datatype.get__O()))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.NumberTypeToYTypeConverter$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.shape$1.fields__Lamf_core_parser_Fields();
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("title", f, $m_s_None$())))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
    };
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f$4 = x2.value$2;
      const this$5 = this.shape$1;
      const x$127 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$5.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
      const this$7 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = f$4.value$1.annotations$1;
      const x$128 = this$7.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const x$129 = $m_Lorg_yaml_model_YType$().Str$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", x$127, x$129, x$128))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1);
        if ((!this$9.isEmpty__Z())) {
          const arg1$2 = this$9.get__O();
          const dv = arg1$2;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("default", dv, $m_s_None$())))
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$3 = this$11.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$5, this.ordering$1, false)))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$4 = this$12.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", f$6.value$1.value$1, this.ordering$1, this.spec$1)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$5 = this$13.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("xml", f$7, this.ordering$1, this.spec$1)))
    };
    this.emitNullable__scm_ListBuffer__V(result);
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field());
    if ((!this$14.isEmpty__Z())) {
      const arg1$6 = this$14.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory().customFacetsEmitter__F3().apply__O__O__O__O(f$8, this.ordering$1, this.references$1)))
    };
    const jsx$2 = $m_s_Option$();
    const this$15 = this.shape$1;
    let jsx$1;
    if (jsx$2.apply__O__s_Option(this$15.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1)).isDefined__Z()) {
      const this$16 = this.shape$1;
      jsx$1 = this$16.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1).nonEmpty__Z()
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$4 = $m_s_Option$();
    const this$17 = this.shape$1;
    let jsx$3;
    if (jsx$4.apply__O__s_Option(this$17.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1)).isDefined__Z()) {
      const this$18 = this.shape$1;
      jsx$3 = this$18.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1).nonEmpty__Z()
    } else {
      jsx$3 = false
    };
    if (jsx$3) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$6 = $m_s_Option$();
    const this$19 = this.shape$1;
    let jsx$5;
    if (jsx$6.apply__O__s_Option(this$19.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1)).isDefined__Z()) {
      const this$20 = this.shape$1;
      jsx$5 = this$20.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1).nonEmpty__Z()
    } else {
      jsx$5 = false
    };
    if (jsx$5) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$7 = $m_s_Option$();
    const this$21 = this.shape$1;
    if (jsx$7.apply__O__s_Option(this$21.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1)).isDefined__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    return result
  };
  emitNullable__scm_ListBuffer__V(result) {
    const x1 = this.shape$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_domain_shapes_annotations_NilUnion.getClassOf());
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const p3 = x2.value$2;
        if ((p3 !== null)) {
          const rangeString = p3.position$1;
          const jsx$2 = $m_Lamf_core_metamodel_Type$Bool$();
          const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
          const jsx$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "nullable"), true);
          const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(true, new $c_Lamf_core_parser_Annotations().init___());
          const annotations = $m_Lamf_core_parser_Annotations$().apply__sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_annotations_LexicalInformation$().apply__T__Lamf_core_annotations_LexicalInformation(rangeString)])));
          result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("nullable", new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$1, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations)), $m_s_None$()));
          break matchEnd5
        }
      }
    }
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  parse__Lamf_core_model_domain_Shape() {
    const map = this.map__Lorg_yaml_model_YMap();
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$1 = this.map__Lorg_yaml_model_YMap();
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$2 = this.map__Lorg_yaml_model_YMap();
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this$6.key__T__s_Option("default");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const node = arg1;
      const str = $m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(node.value$1, false);
      const this$9 = this.shape__Lamf_core_model_domain_Shape();
      const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(str, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field$2, value, annotations);
      const this$10 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(node.value$1, this.shape__Lamf_core_model_domain_Shape().id$1, false, this.ctx$1).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult().dataNode$1;
      if ((!this$10.isEmpty__Z())) {
        const arg1$1 = this$10.get__O();
        const dn = arg1$1;
        const this$11 = this.shape__Lamf_core_model_domain_Shape();
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$3, dn, annotations$1)
      }
    };
    const map$3 = this.map__Lorg_yaml_model_YMap();
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$13 = this.$$outer$1;
    const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("enum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$4 = this.map__Lorg_yaml_model_YMap();
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("externalDocs", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node$3, this$2$1.ctx$1)
      })
    })(this))));
    const map$5 = this.map__Lorg_yaml_model_YMap();
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1;
    const iv$4 = this.ctx$1;
    const jsx$5 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape());
    const this$18 = this.shape__Lamf_core_model_domain_Shape();
    const this$19 = this$18.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    const this$20 = this$19.option$1;
    const eta$0$1 = (this$20.isEmpty__Z() ? null : this$20.get__O());
    jsx$6.key__T__F1__V("xml", jsx$5.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, eta$0$1$1) {
      return (function(node$4$2) {
        const node$4 = node$4$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$().parse__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_XMLSerializer(eta$0$1$1, node$4, this$3$1.ctx$1)
      })
    })(this, eta$0$1))));
    const map$6 = this.map__Lorg_yaml_model_YMap();
    const this$23 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("facets").asOasExtension__T();
    const this$24 = this$23.key__T__s_Option(keyword);
    if ((!this$24.isEmpty__Z())) {
      const arg1$2 = this$24.get__O();
      const entry = arg1$2;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__F1__sci_Map(this.$$outer$1, entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(name$2) {
          const name = name$2;
          return $this.shape__Lamf_core_model_domain_Shape().withCustomShapePropertyDefinition__T__Lamf_core_model_domain_extensions_PropertyShape(name)
        })
      })(this)), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())).parse__sc_Seq()
    };
    const map$7 = this.map__Lorg_yaml_model_YMap();
    const this$26 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$27 = this$26.key__T__s_Option("type");
    if ((!this$27.isEmpty__Z())) {
      const arg1$3 = this$27.get__O();
      const entry$3 = arg1$3;
      this.shape__Lamf_core_model_domain_Shape().annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(entry$3.key$1.range$3)))
    };
    const map$8 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8).key__T__s_Option("anyOf").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$9 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$9).key__T__s_Option("allOf").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$10 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$10).key__T__s_Option("oneOf").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$11 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$11).key__T__s_Option("not").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.shape__Lamf_core_model_domain_Shape(), this.map__Lorg_yaml_model_YMap(), this.ctx$1).parse__V();
    return this.shape__Lamf_core_model_domain_Shape()
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext($$outer, ctx) {
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector extends $c_O {
  constructor() {
    super();
    this.emitters$1 = null;
    this.emitter$1 = null
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.emitters$1 = ordering.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec).emitters__sc_Seq());
    const x1 = this.emitters$1;
    let jsx$1;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_s_package$();
          jsx$1 = new $c_s_util_Left().init___O(x3);
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$49$2) {
          const x$49 = x$49$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$49)
        })
      })(this)))) {
        $m_s_package$();
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector(this);
        const this$3 = $m_sc_Seq$();
        const value = x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
        jsx$1 = new $c_s_util_Right().init___O(value);
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    };
    this.emitter$1 = jsx$1;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.securityScheme$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("type", f, $m_s_None$(), this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, $m_s_None$(), this.spec$1)))
    };
    results.$$plus$eq__O__scm_ListBuffer(this.describedByEmitter__F4().apply__O__O__O__O__O("describedBy", this.securityScheme$1, this.ordering$1, this.references$1));
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$3 = this$7.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$5, this.ordering$1, this.spec$1)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.references$1 = references;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.typeEmitted$1 = false
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    this.typeEmitted$1 = false;
    return this
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.shape$1.fields__Lamf_core_parser_Fields();
    const x1 = $m_s_Option$().apply__O__s_Option(fs.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      if (v.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
        const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
        if ((!this$1.isEmpty__Z())) {
          const arg1 = this$1.get__O();
          const f = arg1;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("required", f, $m_s_None$())))
        }
      }
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, $m_s_None$(), this.spec$1)))
    };
    const x1$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const f$5 = x2$2.value$2;
      const this$7 = this.shape$1;
      const x$84 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$7.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
      const this$9 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = f$5.value$1.annotations$1;
      const x$85 = this$9.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const x$86 = $m_Lorg_yaml_model_YType$().Str$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", x$84, x$86, x$85))
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2)) {
        const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1);
        if ((!this$11.isEmpty__Z())) {
          const arg1$3 = this$11.get__O();
          const dv = arg1$3;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("default", dv, $m_s_None$())))
        }
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$4 = this$13.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$6, this.ordering$1, false)))
    };
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$5 = this$14.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("externalDocs").asRamlAnnotation__T(), f$7.value$1.value$1, this.ordering$1, this.spec$1)))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$6 = this$16.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("xml", f$8, this.ordering$1, this.spec$1)))
    };
    const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field());
    if ((!this$17.isEmpty__Z())) {
      const arg1$7 = this$17.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().customFacetsEmitter__F3().apply__O__O__O__O(f$9, this.ordering$1, this.references$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const this$18 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    if (this$18.isEmpty__Z()) {
      const this$19 = this.typeName__s_Option();
      if ((!this$19.isEmpty__Z())) {
        const arg1$8 = this$19.get__O();
        const value = arg1$8;
        const x1$1 = this.spec$1.ramlTypePropertyEmitter__T__Lamf_core_model_domain_Shape__s_Option(value, this.shape$1);
        if ($is_s_Some(x1$1)) {
          const x2$1 = x1$1;
          const emitter = x2$1.value$2;
          this.typeEmitted$1 = true;
          result.$$plus$eq__O__scm_ListBuffer(emitter)
        } else {
          const x$1 = $m_s_None$();
          if ((x$1 === x1$1)) {
            this.typeEmitted$1 = false
          } else {
            throw new $c_s_MatchError().init___O(x1$1)
          }
        }
      }
    } else {
      const arg1$9 = this$18.get__O();
      const f$10 = arg1$9;
      this.typeEmitted$1 = true;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f$10, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$2 = $m_s_Option$();
    const this$20 = this.shape$1;
    let jsx$1;
    if (jsx$2.apply__O__s_Option(this$20.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1)).isDefined__Z()) {
      const this$21 = this.shape$1;
      jsx$1 = this$21.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1).nonEmpty__Z()
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$4 = $m_s_Option$();
    const this$22 = this.shape$1;
    let jsx$3;
    if (jsx$4.apply__O__s_Option(this$22.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1)).isDefined__Z()) {
      const this$23 = this.shape$1;
      jsx$3 = this$23.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1).nonEmpty__Z()
    } else {
      jsx$3 = false
    };
    if (jsx$3) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$6 = $m_s_Option$();
    const this$24 = this.shape$1;
    let jsx$5;
    if (jsx$6.apply__O__s_Option(this$24.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1)).isDefined__Z()) {
      const this$25 = this.shape$1;
      jsx$5 = this$25.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1).nonEmpty__Z()
    } else {
      jsx$5 = false
    };
    if (jsx$5) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    const jsx$7 = $m_s_Option$();
    const this$26 = this.shape$1;
    if (jsx$7.apply__O__s_Option(this$26.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1)).isDefined__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, this.spec$1))
    };
    return result
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__s_Option(node, parent, format, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector().init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(parent, format, defaultType, false, ctx).detect__Lorg_yaml_model_YNode__s_Option(node)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetection$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__sc_Seq__Lorg_yaml_model_YPart__s_Option(inheritsTypes, ast) {
    const head = inheritsTypes.headOption__s_Option();
    if ((inheritsTypes.count__F1__I(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, head$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const that = head$1.get__O();
        return (x$4 === that)
      })
    })(this, head))) !== inheritsTypes.size__I())) {
      const this$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
      const node = this.$$outer$1.parent$1;
      const property = $m_s_None$();
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id, node, property, "Can't inherit from more than one class type", ast);
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$())
    } else {
      return head
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$InheritsTypeDetecter$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$ extends $c_O {
  constructor() {
    super();
    this.InheritsUnionMatcher$module$1 = null;
    this.$$outer$1 = null
  };
  InheritsUnionMatcher$lzycompute$1__p1__V() {
    if ((this.InheritsUnionMatcher$module$1 === null)) {
      this.InheritsUnionMatcher$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$(this)
    }
  };
  InheritsUnionMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$() {
    if ((this.InheritsUnionMatcher$module$1 === null)) {
      this.InheritsUnionMatcher$lzycompute$1__p1__V()
    };
    return this.InheritsUnionMatcher$module$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(shape, part, plainUnion, ctx) {
    _apply: while (true) {
      const x1 = shape;
      const this$1 = shape;
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()) {
        let rc7 = false;
        let x2 = null;
        const this$2 = shape;
        const x1$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2);
        if ($is_s_Some(x1$2)) {
          rc7 = true;
          x2 = x1$2;
          const linkedShape = x2.value$2;
          if ($is_Lamf_core_model_domain_Shape(linkedShape)) {
            const x4 = linkedShape;
            const x$3 = shape;
            if (((x4 === null) ? (x$3 === null) : x4.equals__O__Z(x$3))) {
              return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$())
            }
          }
        };
        if (rc7) {
          const linkedShape$2 = x2.value$2;
          if ($is_Lamf_core_model_domain_Shape(linkedShape$2)) {
            const x5 = linkedShape$2;
            shape = x5;
            continue _apply
          }
        };
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const node = shape.id$1;
        const property = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(ctx, id, node, property, "Found reference to domain element different of Shape when shape was expected", part);
        return $m_s_None$()
      } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
        return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$())
      } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
        const x3 = x1;
        const jsx$2 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$();
        const jsx$1 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
        const this$3 = x3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
        const this$4 = this$3.option$1;
        const x1$3 = jsx$2.matchType__Lamf_plugins_domain_shapes_models_TypeDef__s_Option__T2(jsx$1.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef((this$4.isEmpty__Z() ? null : this$4.get__O())), $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField(x3).option$1);
        if ((x1$3 === null)) {
          throw new $c_s_MatchError().init___O(x1$3)
        };
        const typeDef = x1$3.$$und1__O();
        const format = x1$3.$$und2__O();
        return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(typeDef, format, ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())))
      } else if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
        const x4$2 = x1;
        return (plainUnion ? this.InheritsUnionMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$().apply__Lamf_plugins_domain_shapes_models_UnionShape__Lorg_yaml_model_YNode__Lamf_core_parser_ParserContext__s_Option(x4$2, part, ctx) : new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$()))
      } else {
        return ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1) ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()) : ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1) ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$()) : ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1) ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$()) : $m_s_None$())))
      }
    }
  };
  findEventualShapes__p1__Lorg_yaml_model_YMap__sc_Seq(map) {
    const this$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(k$2) {
        const k = k$2;
        return $m_sjsr_RuntimeString$().endsWith__T__T__Z(k, "Shape")
      })
    })(this));
    const shapesNodes = new $c_sci_MapLike$$anon$1().init___sci_MapLike__F1(this$1, p);
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const possibles = new $c_sr_ObjectRef().init___O(elem);
    map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, shapesNodes$1, possibles$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const locals = shapesNodes$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, entry$1) {
          return (function(value$2) {
            const value = value$2;
            const this$3 = value.$$und2__O();
            const elem$1 = entry$1.key$1.toString__T();
            return this$3.contains__O__Z(elem$1)
          })
        })(this$2$1, entry)));
        if ($f_sc_TraversableOnce__nonEmpty__Z(locals)) {
          if (possibles$1.elem$1.isEmpty__Z()) {
            const this$4 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(locals);
            possibles$1.elem$1 = $f_sc_SetLike__toSeq__sc_Seq(this$4)
          } else {
            const this$5 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(locals);
            const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
            const this$7 = this$5.$$outer$4.keysIterator__sc_Iterator();
            while (this$7.hasNext__Z()) {
              const arg1 = this$7.next__O();
              const k$1 = arg1;
              if ((possibles$1.elem$1.contains__O__Z(k$1) !== false)) {
                b.$$plus$eq__O__scm_SetBuilder(arg1)
              }
            };
            possibles$1.elem$1 = b.elems$1.toSeq__sc_Seq()
          }
        }
      })
    })(this, shapesNodes, possibles)));
    return possibles.elem$1.distinct__O()
  };
  fetchByRamlSyntax__Lorg_yaml_model_YMap__s_Option(map) {
    const defs = this.findEventualShapes__p1__Lorg_yaml_model_YMap__sc_Seq(map).toList__sci_List();
    const jsx$2 = $m_s_Option$();
    let rc12 = false;
    let x8 = null;
    let rc13 = false;
    let x2 = null;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = defs;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$6 = arg1;
      if (((x$6 !== "shape") !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    const x1 = b.toList__sci_List();
    let jsx$1;
    matchEnd14: {
      const x = $m_sci_Nil$();
      if (x.equals__O__Z(x1)) {
        rc12 = true;
        x8 = x1;
        if ($f_sc_LinearSeqOptimized__contains__O__Z(defs, "shape")) {
          jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          break matchEnd14
        }
      };
      if ((rc12 && (!$f_sc_LinearSeqOptimized__contains__O__Z(defs, "shape")))) {
        jsx$1 = this.$$outer$1.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef();
        break matchEnd14
      };
      if ($is_sci_$colon$colon(x1)) {
        rc13 = true;
        x2 = x1;
        const head = x2.head$5;
        const p3 = x2.tl$5;
        const x$3 = $m_sci_Nil$();
        if (x$3.equals__O__Z(p3)) {
          if ((head === "nodeShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
            break matchEnd14
          } else if ((head === "arrayShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
            break matchEnd14
          } else if ((head === "stringScalarShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
            break matchEnd14
          } else if ((head === "numberScalarShape")) {
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
            break matchEnd14
          } else {
            if ((head !== "fileShape")) {
              throw new $c_s_MatchError().init___O(head)
            };
            jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
            break matchEnd14
          }
        }
      };
      if (rc13) {
        const tail = x2.tl$5;
        if (($f_sc_TraversableOnce__nonEmpty__Z(tail) && new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type").isDefined__Z())) {
          jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
          break matchEnd14
        }
      };
      if (rc13) {
        const tail$2 = x2.tl$5;
        if ($f_sc_TraversableOnce__nonEmpty__Z(tail$2)) {
          jsx$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$();
          break matchEnd14
        }
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    return jsx$2.apply__O__s_Option(jsx$1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$ShapeClassTypeDefMatcher$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_yaml_model_YMap__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_WebApiContext__T2(key, map, root, ctx) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const tmp = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const declarations = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(tmp, key, map, root.references$1, ctx).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(root.location$1);
    return new $c_T2().init___O__O(declarations, tmp.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf()))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferencesParserAnnotations$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, adopt, ctx) {
    const x1 = ctx.vendor__Lamf_core_remote_Vendor();
    if ($is_Lamf_core_remote_Raml(x1)) {
      $m_Lorg_yaml_model_YNode$();
      const node = entry.key$1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), entry.value$1, adopt, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx))
    } else if ($is_Lamf_core_remote_Oas(x1)) {
      $m_Lorg_yaml_model_YNode$();
      const node$1 = entry.key$1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(entry, node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), entry.value$1, adopt, ctx)
    } else {
      throw new $c_jl_IllegalArgumentException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported vendor ", " in security scheme parsers"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])))
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.SecuritySchemeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser(node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
  parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_License(node, ctx) {
    return $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser(node, ctx).parse__Lamf_plugins_domain_webapi_models_License()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.LicenseParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter extends $c_O {
  constructor() {
    super();
    this.ordering$1 = null;
    this.spec$1 = null
  };
  asExtension__T__sc_Seq__scm_ListBuffer__V(key, servers, result) {
    if (servers.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, servers, this.ordering$1, this.spec$1))
    }
  };
  init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(api, f, ordering, references, spec) {
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser(node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
  parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_Organization(node, ctx) {
    return $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser(node, ctx).parse__Lamf_plugins_domain_webapi_models_Organization()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OrganizationParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, "header")
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlHeaderParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx) {
    const head = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx).entries$3.head__O();
    return ctx.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().parameterParser__F3().apply__O__O__O__O(head, producer, parseOptional).parse__Lamf_plugins_domain_webapi_models_Parameter()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParameterParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const jsx$1 = this.producer$1;
    $m_Lorg_yaml_model_YNode$();
    const node = this.entry$1.key$1;
    const this$2 = jsx$1.apply__O__O(new $c_s_Some().init___O(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)));
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(producer, parseOptional, node, ctx);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, "query")
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlQueryParameterParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_TagsParser(map, adopt, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser().init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(map, adopt, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.TagsParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ extends $c_O {
  constructor() {
    super();
    this.apiKeyConst$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = this;
    this.apiKeyConst$1 = new $c_Lamf_core_utils_package$Strings().init___T("apiKey").asOasExtension__T();
    return this
  };
  fromText__T__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType(text) {
    return ((text === "OAuth 2.0") ? new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z("oauth2", true) : ((text === "Basic Authentication") ? new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z("basic", true) : ((this.apiKeyConst$1 === text) ? new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z("apiKey", true) : new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType().init___T__Z(text, false))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSecuritySchemeTypeMapping$", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$;
let $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$ = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$
});
class $c_Lamf_plugins_document_webapi_parser_spec_package$ extends $c_O {
  init___() {
    return this
  };
  toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(ctx.rootContextDocument$1, ctx.refs$1, ctx, new $c_s_Some().init___O(ctx.declarations$2))
  };
  toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx) {
    return new $c_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(ctx.rootContextDocument$1, ctx.refs$1, ctx, new $c_s_Some().init___O(ctx.declarations$2))
  };
  toOas__T__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, refs, ctx) {
    return new $c_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(root, refs, ctx, new $c_s_Some().init___O(ctx.declarations$2))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_package$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_package$: 0
}, false, "amf.plugins.document.webapi.parser.spec.package$", {
  Lamf_plugins_document_webapi_parser_spec_package$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_package$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_package$;
let $n_Lamf_plugins_document_webapi_parser_spec_package$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_package$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_package$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_package$ = new $c_Lamf_plugins_document_webapi_parser_spec_package$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_package$
});
class $c_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ extends $c_O {
  constructor() {
    super();
    this.definitionsPrefix$1 = null;
    this.parameterDefinitionsPrefix$1 = null;
    this.responsesDefinitionsPrefix$1 = null
  };
  init___() {
    this.definitionsPrefix$1 = "#/definitions/";
    this.parameterDefinitionsPrefix$1 = "#/parameters/";
    this.responsesDefinitionsPrefix$1 = "#/responses/";
    return this
  };
  stripParameterDefinitionsPrefix__T__T(url) {
    const this$2 = new $c_sci_StringOps().init___T(url);
    const prefix = this.parameterDefinitionsPrefix$1;
    return $f_sci_StringLike__stripPrefix__T__T(this$2, prefix)
  };
  appendPrefix__p1__T__T__T(prefix, url) {
    return (("" + prefix) + url)
  };
  stripDefinitionsPrefix__T__T(url) {
    const this$2 = new $c_sci_StringOps().init___T(url);
    const prefix = this.definitionsPrefix$1;
    return $f_sci_StringLike__stripPrefix__T__T(this$2, prefix)
  };
  stripResponsesDefinitionsPrefix__T__T(url) {
    const this$2 = new $c_sci_StringOps().init___T(url);
    const prefix = this.responsesDefinitionsPrefix$1;
    return $f_sci_StringLike__stripPrefix__T__T(this$2, prefix)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$: 0
}, false, "amf.plugins.document.webapi.parser.spec.package$OasDefinitions$", {
  Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$;
let $n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$ = new $c_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.DocumentationItemFragmentEmitter$module$1 = null;
    this.DataTypeFragmentEmitter$module$1 = null;
    this.AnnotationFragmentEmitter$module$1 = null;
    this.SecuritySchemeFragmentEmitter$module$1 = null;
    this.ResourceTypeFragmentEmitter$module$1 = null;
    this.TraitFragmentEmitter$module$1 = null;
    this.FragmentNamedExampleEmitter$module$1 = null;
    this.fragment$1 = null;
    this.spec$1 = null
  };
  init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(fragment, spec) {
    this.fragment$1 = fragment;
    this.spec$1 = spec;
    return this
  };
  emitFragment__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), this.fragment$1.encodes__Lamf_core_model_domain_DomainElement().annotations__Lamf_core_parser_Annotations());
    const x1 = this.fragment$1;
    let typeEmitter;
    if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x1)) {
      const x2 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering(this, x2, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x1)) {
      const x3 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering(this, x3, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x1)) {
      const x4 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering(this, x4, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x1)) {
      const x5 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering(this, x5, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x1)) {
      const x6 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering(this, x6, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x1)) {
      const x7 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering(this, x7, ordering)
    } else {
      if ((!$is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x1))) {
        throw new $c_jl_UnsupportedOperationException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported fragment type: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fragment$1])))
      };
      const x8 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering(this, x8, ordering)
    };
    const this$1 = this.fragment$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("usage", f, $m_s_None$()))
    };
    const references = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering(this.fragment$1, ordering)]));
    const this$4 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$4.comment$1;
    const this$6 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$6)) {
      b.comment__T__V(this$4.comment$1)
    };
    b.comment__T__V(typeEmitter.header__Lamf_plugins_document_webapi_parser_RamlHeader().text$1);
    const jsx$5 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$8 = this.fragment$1;
    const jsx$3 = typeEmitter.emitters__sc_Seq__sc_Seq(this$8.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1));
    const jsx$2 = usage.toList__sci_List();
    const this$10 = $m_sc_Seq$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$10.ReusableCBFInstance$2);
    const this$11 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(references, this$11.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters extends $c_O {
  constructor() {
    super();
    this.DeclaredTypesEmitters$module$1 = null;
    this.spec$1 = null
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(doc, ordering, spec) {
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax__$$init$__V = (function($thiz) {
  const array = ["title", "content"];
  let y;
  if (((array.length | 0) === 0)) {
    y = $m_sci_Set$EmptySet$()
  } else {
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      b.$$plus$eq__O__scm_SetBuilder(arg1);
      i = ((1 + i) | 0)
    };
    y = b.elems$1
  };
  const jsx$2 = new $c_T2().init___O__O("userDocumentation", y);
  const array$1 = ["displayName", "description", "headers", "body"];
  let y$1;
  if (((array$1.length | 0) === 0)) {
    y$1 = $m_sci_Set$EmptySet$()
  } else {
    const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i$1 = 0;
    const len$1 = (array$1.length | 0);
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = array$1[index$1];
      b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
      i$1 = ((1 + i$1) | 0)
    };
    y$1 = b$1.elems$1
  };
  const jsx$1 = new $c_T2().init___O__O("response", y$1);
  const array$2 = ["type", "displayName", "description", "decribedBy", "settings"];
  let y$2;
  if (((array$2.length | 0) === 0)) {
    y$2 = $m_sci_Set$EmptySet$()
  } else {
    const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
    let i$2 = 0;
    const len$2 = (array$2.length | 0);
    while ((i$2 < len$2)) {
      const index$2 = i$2;
      const arg1$2 = array$2[index$2];
      b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
      i$2 = ((1 + i$2) | 0)
    };
    y$2 = b$2.elems$1
  };
  const array$3 = [jsx$2, jsx$1, new $c_T2().init___O__O("securitySchema", y$2)];
  const this$11 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i$3 = 0;
  const len$3 = (array$3.length | 0);
  while ((i$3 < len$3)) {
    const index$3 = i$3;
    const arg1$3 = array$3[index$3];
    this$11.$$plus$eq__T2__scm_MapBuilder(arg1$3);
    i$3 = ((1 + i$3) | 0)
  };
  $thiz.amf$plugins$document$webapi$parser$spec$raml$RamlSyntax$$undsetter$und$commonNodes$und$eq__sci_Map__V(this$11.elems$1)
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser extends $c_O {
  constructor() {
    super();
    this.adopt$1 = null;
    this.i$1 = 0;
    this.part$1 = null;
    this.checking$1 = false;
    this.ctx$1 = null;
    this.parsedShape$1 = null;
    this.acc$1 = null;
    this.parsingArray$1 = false;
    this.lexical$1 = null
  };
  fillEmptyArray__p1__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_plugins_domain_shapes_models_DataArrangementShape(shape) {
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x2 = shape;
      let rc9 = false;
      let x2$2 = null;
      const x1$2 = this.parsedShape$1;
      const x = $m_s_None$();
      if ((x === x1$2)) {
        return shape
      };
      if ($is_s_Some(x1$2)) {
        rc9 = true;
        x2$2 = x1$2;
        const a = x2$2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(a)) {
          const x6 = a;
          const this$1 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x2.fields$2, x2.annotations$2);
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, x6)
        }
      };
      if (rc9) {
        const m = x2$2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(m)) {
          const x7 = m;
          const this$2 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x2.fields$2, x2.annotations$2);
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field$1, x7)
        }
      };
      if (rc9) {
        const other = x2$2.value$2;
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x2, field$2, other)
      };
      throw new $c_s_MatchError().init___O(x1$2)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x3 = shape;
      let rc9$2 = false;
      let x2$3 = null;
      const x1$3 = this.parsedShape$1;
      const x$3 = $m_s_None$();
      if ((x$3 === x1$3)) {
        return shape
      };
      if ($is_s_Some(x1$3)) {
        rc9$2 = true;
        x2$3 = x1$3;
        const a$2 = x2$3.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(a$2)) {
          const x6$2 = a$2;
          const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x3, field$3, x6$2)
        }
      };
      if (rc9$2) {
        const m$2 = x2$3.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(m$2)) {
          const x7$2 = m$2;
          const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x3, field$4, x7$2)
        }
      };
      if (rc9$2) {
        const other$2 = x2$3.value$2;
        const this$3 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(x3.fields$2, x3.annotations$2);
        const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$3, field$5, other$2)
      };
      throw new $c_s_MatchError().init___O(x1$3)
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  toUnion__p1__Lamf_core_model_domain_Shape() {
    let rc7 = false;
    let x2 = null;
    const x1 = this.parsedShape$1;
    const x = $m_s_None$();
    if ((x === x1)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const union = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      this.adopt$1.apply__O__O(union);
      const this$4 = this.ctx$1;
      const id = union.id$1;
      const property = $m_s_None$();
      const lexical = this.lexical$1;
      const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      const this$5 = $m_Lamf_core_services_RuntimeValidator$();
      const parserRun = this$4.parserCount$1;
      this$5.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, "", property, "Syntax error, cannot create empty Union", lexical, parserRun);
      return union
    };
    if ($is_s_Some(x1)) {
      rc7 = true;
      x2 = x1;
      const u = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_UnionShape(u)) {
        const x5 = u;
        return x5
      }
    };
    if (rc7) {
      const shape = x2.value$2;
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const union$2 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      this.adopt$1.apply__O__O(union$2);
      const elements = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]));
      const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(union$2, field, elements)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, i, part, checking, ctx) {
    this.adopt$1 = adopt;
    this.i$1 = i;
    this.part$1 = part;
    this.checking$1 = checking;
    this.ctx$1 = ctx;
    this.parsedShape$1 = $m_s_None$();
    this.acc$1 = "";
    this.parsingArray$1 = false;
    let this$1;
    if (part.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = part.get__O();
      const p = arg1;
      this$1 = new $c_s_Some().init___O($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(p.range__Lorg_mulesoft_lexer_InputRange()))
    };
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1$1 = this$1.get__O();
      const range = arg1$1;
      jsx$1 = new $c_s_Some().init___O(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range(range))
    };
    this.lexical$1 = jsx$1;
    return this
  };
  parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input) {
    if (input.isEmpty__Z()) {
      this.processChars__p1__O();
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult().init___s_Option__sc_Seq(this.parsedShape$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
    } else {
      const c = input.head__O();
      let x1;
      if ((c === null)) {
        x1 = 0
      } else {
        const this$2 = c;
        x1 = this$2.value$1
      };
      switch (x1) {
        case 41: {
          this.processChars__p1__O();
          return new $c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult().init___s_Option__sc_Seq(this.parsedShape$1, input.tail__O());
          break
        }
        case 40: {
          this.processChars__p1__O();
          const result = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(this.adopt$1, ((1 + this.i$1) | 0), this.part$1, this.checking$1, this.ctx$1).parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          this.acceptShape__p1__s_Option__O(result.result$1);
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(result.remaining$1);
          break
        }
        case 124: {
          if (((this.acc$1 === "") && this.parsedShape$1.isEmpty__Z())) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Syntax error, cannot parse Union with empty values"))
          };
          this.processChars__p1__O();
          this.parsedShape$1 = new $c_s_Some().init___O(this.toUnion__p1__Lamf_core_model_domain_Shape());
          const result$2 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(this.adopt$1, ((1 + this.i$1) | 0), this.part$1, this.checking$1, this.ctx$1).parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          this.acceptShape__p1__s_Option__O(result$2.result$1);
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(result$2.remaining$1);
          break
        }
        case 91: {
          this.processChars__p1__O();
          if (this.parsingArray$1) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Syntax error, duplicated ["))
          };
          this.parsingArray$1 = true;
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          break
        }
        case 93: {
          if ((!this.parsingArray$1)) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Syntax error, Not matching ]"))
          };
          this.parsingArray$1 = false;
          this.parsedShape$1 = new $c_s_Some().init___O(this.toArray__p1__Lamf_core_model_domain_Shape());
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O());
          break
        }
        default: {
          this.acc$1 = (("" + this.acc$1) + new $c_jl_Character().init___C(x1));
          return this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input.tail__O())
        }
      }
    }
  };
  acceptShape__p1__s_Option__O(maybeShape) {
    let rc7 = false;
    let x2 = null;
    const x = $m_s_None$();
    if ((x === maybeShape)) {
      return (void 0)
    };
    if ($is_s_Some(maybeShape)) {
      rc7 = true;
      x2 = maybeShape;
      const array = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(array)) {
        const x5 = array;
        if (this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x5)) {
          const x1$2 = this.parsedShape$1;
          const x$3 = $m_s_None$();
          if ((x$3 === x1$2)) {
            this.parsedShape$1 = new $c_s_Some().init___O(x5)
          } else {
            if ((!$is_s_Some(x1$2))) {
              throw new $c_s_MatchError().init___O(x1$2)
            };
            this.parsedShape$1 = new $c_s_Some().init___O(this.fillEmptyArray__p1__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_plugins_domain_shapes_models_DataArrangementShape(x5))
          };
          return (void 0)
        }
      }
    };
    if (rc7) {
      const shape = x2.value$2;
      const x1$3 = this.parsedShape$1;
      const x$6 = $m_s_None$();
      if ((x$6 === x1$3)) {
        this.parsedShape$1 = new $c_s_Some().init___O(shape);
        return (void 0)
      };
      if ($is_s_Some(x1$3)) {
        const x2$2 = x1$3;
        const union = x2$2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(union)) {
          const x4 = union;
          if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
            const x2$3 = shape;
            const jsx$2 = x4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            const jsx$1 = x2$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            const this$1 = $m_sc_Seq$();
            const newAnyOf = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
            x4.fields$2.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            return x4.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newAnyOf, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
          } else {
            const jsx$4 = x4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]));
            const this$5 = $m_sc_Seq$();
            const newAnyOf$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
            x4.fields$2.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
            return x4.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newAnyOf$2, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
          }
        }
      };
      const this$9 = this.ctx$1;
      const id = shape.id$1;
      const property = $m_s_None$();
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing type expression, cannot accept type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]));
      const lexical = this.lexical$1;
      const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      const this$10 = $m_Lamf_core_services_RuntimeValidator$();
      const parserRun = this$9.parserCount$1;
      this$10.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, "", property, message, lexical, parserRun);
      return new $c_s_Some().init___O(shape)
    };
    throw new $c_s_MatchError().init___O(maybeShape)
  };
  parse__T__s_Option(expression) {
    const xs = $m_sjsr_RuntimeString$().toCharArray__T__AC($m_sjsr_RuntimeString$().replaceAll__T__T__T__T(expression, "\\s*", ""));
    const input = new $c_scm_WrappedArray$ofChar().init___AC(xs);
    const x1 = this.parseInput__sc_Seq__Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(input).result$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t = x2.value$2;
      this.ensureNotEmptyArray__p1__Lamf_core_model_domain_Shape__V(t);
      t.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression().init___T(expression));
      return new $c_s_Some().init___O(t)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  toArray__p1__Lamf_core_model_domain_Shape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const array = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    this.adopt$1.apply__O__O(array);
    let rc9 = false;
    let x2 = null;
    const x1 = this.parsedShape$1;
    const x = $m_s_None$();
    if ((x === x1)) {
      return array
    };
    if ($is_s_Some(x1)) {
      rc9 = true;
      x2 = x1;
      const a = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(a)) {
        const x6 = a;
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$7 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const value = array.id$1;
        const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
        const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$8, field, x6)
      }
    };
    if (rc9) {
      const a$2 = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(a$2)) {
        const x7 = a$2;
        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
        const this$12 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
        const value$1 = array.id$1;
        const this$13 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$12, value$1);
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$13, field$1, x7)
      }
    };
    if (rc9) {
      const other = x2.value$2;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(array, field$2, other)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  ensureNotEmptyArray__p1__Lamf_core_model_domain_Shape__V(t) {
    let empty;
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(t)) {
      const x2 = t;
      empty = this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(t)) {
      const x3 = t;
      empty = this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x3)
    } else {
      empty = false
    };
    if (empty) {
      const this$1 = this.ctx$1;
      const node = t.id$1;
      const lexical = this.lexical$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__V(this$1, node, "Syntax error, generating empty array", lexical)
    }
  };
  processChars__p1__O() {
    if ((this.acc$1 !== "")) {
      const x1 = this.acc$1;
      let shape$2;
      if ((x1 === "nil")) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        shape$2 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
      } else if ((x1 === "any")) {
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const fields = new $c_Lamf_core_parser_Fields().init___();
        shape$2 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$1)
      } else if ((x1 === "file")) {
        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
        shape$2 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2)
      } else if ((x1 === "string")) {
        const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
        const this$16 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
        const this$14 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$14, "string").iri__T();
        const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field, dataType)
      } else if ((x1 === "integer")) {
        const annotations$4 = new $c_Lamf_core_parser_Annotations().init___();
        const this$22 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4);
        const this$20 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$20, "integer").iri__T();
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$22, field$1, dataType$1)
      } else if ((x1 === "number")) {
        const annotations$5 = new $c_Lamf_core_parser_Annotations().init___();
        const this$28 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5);
        const this$26 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        const dataType$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$26, "number").iri__T();
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$28, field$2, dataType$2)
      } else if ((x1 === "boolean")) {
        const annotations$6 = new $c_Lamf_core_parser_Annotations().init___();
        const this$34 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$6);
        const this$32 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$32, "boolean").iri__T();
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$34, field$3, dataType$3)
      } else if ((x1 === "datetime")) {
        const annotations$7 = new $c_Lamf_core_parser_Annotations().init___();
        const this$40 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7);
        const this$38 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$38, "dateTime").iri__T();
        const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$40, field$4, dataType$4)
      } else if ((x1 === "datetime-only")) {
        const annotations$8 = new $c_Lamf_core_parser_Annotations().init___();
        const this$46 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8);
        const this$44 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$44, "dateTime").iri__T();
        const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$46, field$5, dataType$5)
      } else if ((x1 === "time-only")) {
        const annotations$9 = new $c_Lamf_core_parser_Annotations().init___();
        const this$52 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$9);
        const this$50 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$50, "time").iri__T();
        const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$52, field$6, dataType$6)
      } else if ((x1 === "date-only")) {
        const annotations$10 = new $c_Lamf_core_parser_Annotations().init___();
        const this$58 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$10);
        const this$56 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$56, "date").iri__T();
        const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$58, field$7, dataType$7)
      } else {
        const x1$2 = this.ctx$1.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(x1, $m_Lamf_core_parser_SearchScope$Named$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const s = x2.value$2;
          const annotations$11 = new $c_Lamf_core_parser_Annotations().init___();
          shape$2 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, x1, annotations$11)
        } else {
          const this$60 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__s_Option__Lamf_plugins_domain_shapes_models_UnresolvedShape(x1, this.part$1);
          const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$60, field$8, x1);
          const c = this.ctx$1;
          $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, c);
          this.adopt$1.apply__O__O(shape);
          if ((!this.checking$1)) {
            const this$61 = this.part$1;
            const refAst = (this$61.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : this$61.get__O());
            const ctx = this.ctx$1;
            $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, x1, refAst, ctx)
          };
          shape$2 = shape
        }
      };
      if ($m_s_Option$().apply__O__s_Option(shape$2.id$1).isEmpty__Z()) {
        this.adopt$1.apply__O__O(shape$2)
      };
      this.acc$1 = "";
      return this.acceptShape__p1__s_Option__O(new $c_s_Some().init___O(shape$2))
    } else {
      return (void 0)
    }
  };
  isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(shape) {
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x2 = shape;
      return $m_s_Option$().apply__O__s_Option(x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)).isEmpty__Z()
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x3 = shape;
      return this.isEmptyArray__Lamf_plugins_domain_shapes_models_DataArrangementShape__Z(x3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1))
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlTypeExpressionParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    const pipeline = new $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline().init___();
    const doc = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    doc.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1, shape, new $c_Lamf_core_parser_Annotations().init___());
    const canonicalDoc = pipeline.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(doc);
    return canonicalDoc.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.CanonicalShapePipeline$", {
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$;
let $n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = (void 0);
const $m_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$)) {
    $n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$ = new $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$().init___()
  };
  return $n_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$
});
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  endpoint__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver, endpoint, context) {
    return new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer().init___sc_Seq(this.resolveTraits__p1__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context__sc_Seq(resolver, endpoint.traits__sc_Seq(), context))
  };
  resolveTraits__p1__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context__sc_Seq(resolver, parameterized, context) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resolver$1, context$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return resolver$1.resolve__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x$4, context$1, $this.$$outer$1.ctx__I__Lamf_plugins_document_webapi_contexts_RamlWebApiContext((context$1.model$1.parserRun__s_Option().get__O() | 0)))
      })
    })(this, resolver, context));
    const this$1 = $m_sc_Seq$();
    return parameterized.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  resourceType__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__T__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(traits, resourceType, context, operation) {
    const this$3 = resourceType.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, operation$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const this$1 = x$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1);
        const this$2 = this$1.option$1;
        return ((this$2.isEmpty__Z() ? null : this$2.get__O()) === operation$1)
      })
    })(this, operation)));
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      const x$3 = arg1;
      this$4 = new $c_s_Some().init___O(this.method__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(traits, x$3, context).flatten__sc_Seq())
    };
    const o = (this$4.isEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()) : this$4.get__O());
    const e = this.endpoint__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(traits, resourceType, context).flatten__sc_Seq();
    return new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer().init___sc_Seq($m_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$().merge__sc_Seq__sc_Seq__sc_Seq(o, e))
  };
  method__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver, operation, context) {
    return new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer().init___sc_Seq(this.resolveTraits__p1__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context__sc_Seq(resolver, operation.traits__sc_Seq(), context))
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$Branches$", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$;
class $c_Lamf_plugins_document_webapi_validation_AMFRawValidations$ extends $c_O {
  constructor() {
    super();
    this.raw$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = this;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["amf-parser:mandatory-api-version\tMissing madatory Swagger / info / version\tOpenAPI\tDomain\tschema-org:WebAPI\tschema-org:version\tPropertyShape\tsh:path\tsh:minCount\t1\tAPI Version is Mandatory\tVersion is mandatory in Info object\tViolation", "amf-parser:raml-schemes\tProtocols property must be http or https\tRAML\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:in\thttp,https,HTTP,HTTPS\tProtocols must have a case insensitive value matching http or https\tSwagger object 'schemes' property must have a case insensitive value matching http or https\tViolation", "amf-parser:raml-schemes\tProtocols property must be http or https\tRAML08\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:in\thttp,https,HTTP,HTTPS\tProtocols must have a case insensitive value matching http or https\tSwagger object 'schemes' property must have a case insensitive value matching http or https\tViolation", "amf-parser:openapi-schemes\tProtocols property must be http,https,ws,wss\tOpenAPI\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:in\thttp,https,ws,wss\tProtocols must match a value http, https, ws or wss\tSwagger object 'schemes' property must have a value matching http, https, ws or wss\tViolation", "amf-parser:mandatory-external-doc-url\tSwagger external-doc element without URL\tOpenAPI\tDomain\tschema-org:CreativeWork\tschema-org:url\tPropertyShape\tsh:path\tsh:minCount\t1\tDocumentation URL is mandatory in API external documentation\tURL is mandatory in External Documentation object\tViolation", "amf-parser:mandatory-license-name\tSwagger License node without name\tOpenAPI\tDomain\traml-http:License\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tLicense name is mandatory if license information is included\tName is mandatory in License object\tViolation", "amf-parser:strict-url-strings\tURLs in values mapped to schema-org:url must be valid\tAMF\tDomain\traml-doc:DomainElement\tschema-org:url\tNodeShape\tsh:targetObjectsOf\tsh:nodeKind\tsh:IRI\tURLs must be valid\tURLs must be valid\tViolation", "amf-parser:empty-responses\tNo responses declared\tOpenAPI\tDomain\thydra:Operation\thydra:returns\tPropertyShape\tsh:path\tsh:minCount\t1\tResponses array cannot be empty\tResponses cannot be empty\tViolation", "amf-parser:empty-enum\tEnum in types cannot be empty\tOpenAPI\tDomain\traml-shapes:Shape\tsh:in\tPropertyShape\tsh:path\tsh:node\tamf-parser:NonEmptyList\tProperty 'enum' must have at least one value\tProperty 'enum' for a Schema object must have at least one value\tViolation", "amf-parser:raml-status-code\tStatus code must match a valid numeric status code\tRAML\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:pattern\t^([1-5]{1}[0-9]{2})$\tStatus code must be numeric and in the 1xx-5xx range\tStatus code must be numeric and in the 1xx-5xx range\tViolation", "amf-parser:raml-status-code\tStatus code must match a valid numeric status code\tRAML08\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:pattern\t^([1-5]{1}[0-9]{2})$\tStatus code must be numeric and in the 1xx-5xx range\tStatus code must be numeric an in the 1xx-5xx range\tViolation", "amf-parser:array-shape-items-mandatory\tDeclaration of the type of the items for an array is required\tOpenAPI\tDomain\traml-shapes:ArrayShape\traml-shapes:items\tPropertyShape\tsh:path\tsh:minCount\t1\titems facet of RAML Array type is required\titems property of Schame objects of type 'array' is required\tViolation", "amf-parser:array-shape-items-optional\tDeclaration of the type of the items for an array is optional\tRAML\tDomain\traml-shapes:ArrayShape\traml-shapes:items\tPropertyShape\tsh:path\tsh:minCount\t0\titems facet of RAML Array type is required\titems property of Schame objects of type 'array' is required\tViolation", "amf-parser:array-shape-items-optional\tDeclaration of the type of the items for an array is optional\tRAML08\tDomain\traml-shapes:ArrayShape\traml-shapes:items\tPropertyShape\tsh:path\tsh:minCount\t0\titems facet of RAML Array type is required\titems property of Schame objects of type 'array' is required\tViolation", "amf-parser:min-max-inclusive\tMaximum must be greater than or equal to minimum\tRAML\tDomain\traml-shapes:ScalarShape\tsh:minInclusive\tPropertyShape\tsh:path\traml-shapes:minimumMaximumValidation\t0\tMaximum must be greater than or equal to minimum\tMaximum must be greater than or equal to minimum\tViolation", "amf-parser:min-max-inclusive\tMaximum must be greater than or equal to minimum\tRAML08\tDomain\traml-shapes:ScalarShape\tsh:minInclusive\tPropertyShape\tsh:path\traml-shapes:minimumMaximumValidation\t0\tMaximum must be greater than or equal to minimum\tMaximum must be greater than or equal to minimum\tViolation", "amf-parser:min-max-items\tMaxItems must be greater than or equal to minItems\tRAML\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\traml-shapes:minMaxItemsValidation\t0\tMaxItems must be greater than or equal to minItems\tMaxItems must be greater than or equal to minItems\tViolation", "amf-parser:min-max-items\tMaxItems must be greater than or equal to minItems\tRAML08\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\traml-shapes:minMaxItemsValidation\t0\tMaxItems must be greater than or equal to minItems\tMaxItems must be greater than or equal to minItems\tViolation", "amf-parser:min-max-length\tMaxLength must be greater than or equal to minLength\tRAML\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\traml-shapes:minMaxLengthValidation\t0\tMaxLength must be greater than or equal to minLength\tMaxLength must be greater than or equal to minLength\tViolation", "amf-parser:min-max-length\tMaxLength must be greater than or equal to minLength\tRAML08\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\traml-shapes:minMaxLengthValidation\t0\tMaxLength must be greater than or equal to minLength\tMaxLength must be greater than or equal to minLength\tViolation", "amf-parser:min-max-properties\tMaxProperties must be greater than or equal to minProperties\tRAML\tDomain\tsh:NodeShape\traml-shapes:minProperties\tPropertyShape\tsh:path\traml-shapes:minMaxPropertiesValidation\t0\tMaxProperties must be greater than or equal to minProperties\tMaxProperties must be greater than or equal to minProperties\tViolation", "amf-parser:min-max-properties\tMaxProperties must be greater than or equal to minProperties\tRAML08\tDomain\tsh:NodeShape\traml-shapes:minProperties\tPropertyShape\tsh:path\traml-shapes:minMaxPropertiesValidation\t0\tMaxProperties must be greater than or equal to minProperties\tMaxProperties must be greater than or equal to minProperties\tViolation", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:name\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tTitle and names must be string\tNames must be string\tViolation", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:name\tPropertyShape\tsh:path\tsh:maxCount\t1\tTitles and names must be single values\tNames and titles must be single values\tViolation", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:description\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tDescriptions must be strings\tDescription must be strings\tViolation", "\t\tAMF\tDomain\traml-doc:DomainElement\tschema-org:description\tPropertyShape\tsh:path\tsh:maxCount\t1\tDescriptions must be single values\tDescriptions must be single values\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tAPI name must be a single value\tInfo object 'title' must be a single value\tViolation", "\t\tRAML\tDomain\tschema-org:WebAPI\tschema-org:name\tPropertyShape\tsh:path\tsh:minLength\t1\tAPI name must not be an empty string\tInfo object 'title' must not be empty\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI BaseUri scheme information must be a string\tSwagger object 'schemes' must be strings\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:scheme\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI BaseUri scheme information must be a string\tSwagger object 'schemes' must be strings\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:accepts\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI default media types consumed must be strings\tSwagger object 'consumes' must be strings\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:accepts\tPropertyShape\tsh:path\tsh:pattern\t^\\w+\\/[-+.\\w]+$\tAPI default media types produced must be valid\tSwagger object 'produces' must be valid\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:mediaType\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI default media types produced must be strings\tSwagger object 'produces' must be strings\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:version\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI version must be a string\tInfo object 'version' must be string\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:version\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI version must be a single value\tInfo object 'version' must be a single value\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:termsOfService\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI terms of service must be a string\tInfo object 'termsOfService' must be string\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:termsOfService\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI terms of service must be a single value\tInfo object 'termsOfService' must a single value\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:provider\tPropertyShape\tsh:path\tsh:class\tschema-org:Organization\tAPI provider must hold Provider information\tInfo object 'contact' must be a Contact object\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\tschema-org:provider\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI provider must be a single value\tInfo object 'contact' must be a single value\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:endpoint\tPropertyShape\tsh:path\tsh:class\traml-http:EndPoint\tAPI paths must link Resources\tPaths object must link PathItem objects\tViolation", "\t\tAMF\tDomain\tschema-org:WebAPI\traml-http:parameter\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tAPI parameters must be valid parameters\tSwagger object 'parameters' must be valid Parameter objects\tViolation", "\t\tRAML\tDomain\tschema-org:CreativeWork\tschema-org:title\tPropertyShape\tsh:path\tsh:minCount\t1\tAPI documentation item title is mandatory\tDocumentation object 'x-title' is mandatory\tViolation", "\t\tRAML\tDomain\tschema-org:CreativeWork\tschema-org:description\tPropertyShape\tsh:path\tsh:minCount\t1\tAPI documentation item content is mandatory\tDocumentation object 'description' is mandatory\tViolation", "\t\tAMF\tDomain\tschema-org:Organization\tschema-org:url\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI provider URL must be a single value\tContact object 'url' must be a single value\tViolation", "\t\tAMF\tDomain\tschema-org:Organization\tschema-org:email\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI provider email must be a string\tContact object 'email' must be a string\tViolation", "\t\tAMF\tDomain\tschema-org:Organization\tschema-org:email\tPropertyShape\tsh:path\tsh:maxCount\t1\tAPI provider must be a single value\tContact object 'email' must be a single value\tViolation", "\t\tAMF\tDomain\traml-http:EndPoint\traml-http:path\tPropertyShape\tsh:path\tsh:maxCount\t1\tResource path must be unique\tPathItem object must have a single path\tViolation", "\t\tAMF\tDomain\traml-http:EndPoint\traml-http:path\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tResource path must be a string\tPathItem object path must be a string\tViolation", "\t\tAMF\tDomain\traml-http:EndPoint\traml-http:path\tPropertyShape\tsh:path\tsh:pattern\t^/\tResource path must start with a '/'\tPathItem path must start with a '/'\tViolation", "\t\tAMF\tDomain\traml-http:Endpoint\thydra:supportedOperation\tPropertyShape\tsh:path\tsh:class\thydra:Operation\tResources must hold Methods operation\tPathItems must hold Operations information\tViolation", "\t\tAMF\tDomain\traml-http:Endpoint\traml-http:parameter\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tResources uriParameters must be valid parameters\tPathItems 'parameters' property must be valid parameters\tViolation", "\t\tAMF\tDomain\thydra:Operation\thydra:method\tPropertyShape\tsh:path\tsh:in\tget,put,post,delete,options,head,patch\tUknown method\tUknown Operation method\tViolation", "\t\tAMF\tDomain\thydra:Operation\thydra:method\tPropertyShape\tsh:path\tsh:maxCount\t1\tMethods can only have a single HTTP verbe\tOperations can only have a single HTTP verb\tViolation", "\t\tAMF\tDomain\thydra:Operation\thydra:returns\tPropertyShape\tsh:path\tsh:class\traml-http:Response\tMethods must hold Responses information\tOperations must hold Responses information\tViolation", "\t\tAMF\tDomain\thydra:Operation\traml-http:guiSummary\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tMethods' summary information must be a string\tMethods' summary information must be a string\tViolation", "\t\tAMF\tDomain\thydra:Operation\traml-http:guiSummary\tPropertyShape\tsh:path\tsh:maxCount\t1\tMethods can only have a single value for the summary information\tMethods can only have a single value for summary information\tViolation", "\t\tAMF\tDomain\thydra:Operation\traml-doc:deprecated\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tMethods' deprecated must be a boolean\tMethods' deprecated must be a boolean\tViolation", "\t\tAMF\tDomain\thydra:Operation\traml-doc:deprecated\tPropertyShape\tsh:path\tsh:maxCount\t1\tMethods' depcrecated must be a single value\tMethods' deprecated must be a single value\tViolation", "\t\tAMF\tDomain\thydra:Operation\traml-http:scheme\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tprotocols must be strings\tschemes must be strings\tViolation", "\t\tAMF\tDomain\thydra:Operation\traml-http:accepts\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tMethod default media types consumed must be strings\tOperation object 'consumes' must be strings\tViolation", "\t\tAMF\tDomain\thydra:Operation\thydra:returns\tPropertyShape\tsh:path\tsh:class\traml-http:Response\tAn operation must have valid response information\tOperation object must return a valid Response object\tViolation", "\t\tAMF\tDomain\traml-http:Request\traml-http:header\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tHeader information must be a valid header\tHeader information must be a valid header\tViolation", "\t\tAMF\tDomain\traml-http:Request\traml-http:payload\tPropertyShape\tsh:path\tsh:class\traml-http:Payload\tPayload information for a Method request info must be valid\tPayload information for an Operation object request info must be valid\tViolation", "\t\tAMF\tDomain\traml-http:Request\traml-http:parameter\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tParameter information for a Method must be valid\tParameter information for an Operation object must be valid\tViolation", "\t\tAMF\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tStatus code for a Response must be a string\tStatus code for a Response object must be a string\tViolation", "\t\tAMF\tDomain\traml-http:Response\thydra:statusCode\tPropertyShape\tsh:path\tsh:pattern\t^([0-9]{3})$|^(default)$\tStatus code for a Response must match '^([0-9]{3})$|^(default)$'\tStatus code for a Response must match '^([0-9]{3})$|^(default)$'\tViolation", "\t\tAMF\tDomain\traml-http:Response\traml-http:header\tPropertyShape\tsh:path\tsh:class\traml-http:Parameter\tHeader information must be a valid header\tHeader information must be a valid header\tViolation", "\t\tAMF\tDomain\traml-http:Response\traml-http:payload\tPropertyShape\tsh:path\tsh:class\traml-http:Payload\tPayload information for a Response must be valid\tPayload information for a response must be valid\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tParameter information must have a name\tParameter object must have a name property\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\thydra:required\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tInformation about required parameters must be a boolean value\tRequired property of a Parameter object must be boolean\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\thydra:required\tPropertyShape\tsh:path\tsh:minCount\t1\tRequired information about a parameter is mandatory\tRequired property of a Parameter object is mandatory\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\thydra:required\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one value is allowed for required information of a parameter\tRequired property of a Parameter object must be a single value\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tInformation about the binding of the parameter is mandatory\tin' property of a Parameter object must be a string\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:minCount\t1\tBinding information for a parameter is mandatory\tin' property of a Parameter object is mandatory\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one binding is allowed per parameter\tin' property of a Parameter object must be a single value\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:binding\tPropertyShape\tsh:path\tsh:in\tquery,path,header,uri\tBinding information for a parameter with an invalid value\tin' property of a parameter with an invalid value\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:schema\tPropertyShape\tsh:path\tsh:class\tsh:Shape\tExpected RAML Type not found\tExpected Schema object not found\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:schema\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one RAML type can be specified\tOnly one Schema object can be specified\tViolation", "\t\tAMF\tDomain\traml-http:Parameter\traml-http:schema\tPropertyShape\tsh:path\tsh:minCount\t1\tRAML Type information is mandatory for parameters\tSchema/type information required for Parameter objects\tViolation", "\t\tAMF\tDomain\traml-http:Payload\traml-http:mediaType\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tMethod default media types produced must be strings\tOperation object 'produces' must be strings\tViolation", "\t\tAMF\tDomain\traml-http:Payload\traml-http:mediaType\tPropertyShape\tsh:path\tsh:maxCount\t1\tMedia type maximum cardinality is 1 per payload\tMedia type maximum cardinality is 1 per payload\tViolation", "\t\tAMF\tDomain\traml-http:Payload\traml-http:mediaType\tPropertyShape\tsh:path\tsh:maxCount\t1\tMedia type maximum cardinality is 1 per payload\tMedia type maximum cardinality is 1 per payload\tViolation", "\t\tAMF\tDomain\traml-http:Payload\traml-http:mediaType\tPropertyShape\tsh:path\tsh:pattern\t^\\w+\\/[-+.\\w]+$\tInvalid media type for method\tSwagger Operation object 'produces' must be a valid media type\tViolation", "\t\tAMF\tDomain\traml-http:Payload\traml-http:schema\tPropertyShape\tsh:path\tsh:class\tsh:Shape\tExpected RAML Type not found\tExpected Schema object not found\tViolation", "\t\tAMF\tDomain\traml-http:Payload\traml-http:schema\tPropertyShape\tsh:path\tsh:maxCount\t1\tOnly one RAML type can be specified\tOnly one Schema object can be specified\tViolation", "\t\tAMF\tDomain\traml-shapes:Shape\traml-shapes:xmlSerialization\tPropertyShape\tsh:path\tsh:class\traml-shapes:XMLSerializer\tProperty 'xml' of a RAML type must have as a value a valid XML Serialization\tProperty 'xml' of a Schema object must have as a value a valid XML object\tViolation", "\t\tAMF\tDomain\traml-shapes:Shape\traml-shapes:xmlSerialization\tPropertyShape\tsh:path\tsh:maxCount\t1\tXML serialisation object must be a single value\tXML Object for the 'xml' property of a Schema object must be  single value\tViolation", "\t\tAMF\tDomain\traml-shapes:Shape\tsh:in\tPropertyShape\tsh:path\tsh:maxCount\t1\tProperty 'enum'  must have a single list of values\tProperty 'enum' for a Schema object must have a single list of values\tViolation", "\t\tAMF\tDomain\traml-shapes:Shape\tsh:in\tPropertyShape\tsh:path\tsh:node\tamf-parser:NonEmptyList\tOnly 1 array can be specified in RAML type enum\tOny 1 array can be specified in Schame object enum property\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlAtribute\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tXML attribute serialisation info must be boolean\tXML attribute serialisation info must be boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlAtribute\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'attribute' of the XML serialisation mut be a single vlaue\tproperty 'attribute' of the XML serialisation mut be a single vlaue\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlWrapped\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tXML wraping serialisation info must be boolean\tXML wrapping serialisation info must be boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlWrapped\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'wrapped' of the XML serialisation mut be a single vlaue\tproperty 'wrapped' of the XML serialisation mut be a single vlaue\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlName\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tXML name serialisation info must be string\tXML name serialisation info must be string\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlName\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'name' of the XML serialisation mut be a single vlaue\tproperty 'name' of the XML serialisation mut be a single vlaue\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlNamespace\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tXML namespace serialisation info must be string\tXML namespace serialisation info must be string\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlNamespace\tPropertyShape\tsh:path\tsh:maxCount\t1\tproperty 'namespace' of the XML serialisation mut be a single vlaue\tproperty 'namespace' of the XML serialisation mut be a single vlaue\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlPrefix\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tXML prefix serialisation info must be string\tXML prefix serialisation info must be string\tViolation", "\t\tAMF\tDomain\traml-shapes:XMLSerializer\traml-shapes:xmlPrefix\tPropertyShape\tsh:path\tsh:maxCount\t1\tProperty 'prefix' of the XML serialisation mut be a single vlaue\tProperty 'prefix' of the XML serialisation mut be a single vlaue\tViolation", "\t\tAMF\tDomain\traml-shapes:Shape\tsh:defaultValue\tPropertyShape\tsh:path\tsh:maxCount\t1\tDefault value for a RAML type must be unique\tDefault property for an Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:minProperties\tPropertyShape\tsh:path\tsh:minInclusive\t0\tminProperties for a RAML Object type cannot be negative\tminProperties for a Schema object cannot be negative\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:minProperties\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminProperties for a RAML Object type must be an integer\tminProperties for a Schema object must be an integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:minProperties\tPropertyShape\tsh:path\tsh:maxCount\t1\tminProperties for a RAML Object type must be unique\tminProperties for a Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:maxProperties\tPropertyShape\tsh:path\tsh:minInclusive\t0\tmaxProperties for a RAML Object type cannot be negative\tmaxProperties for a Schema object cannot be negative\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:maxProperties\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaxProperties for a RAML Object type must be an integer\tmaxProperties for a Schema object must be an integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:maxProperties\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaxProperties for a RAML Object type must be unique\tmaxProperties for a Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\tsh:closed\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tadditionalProperties for a RAML Object type must be a boolean\tadditionalProperties for a Schema object must be a boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\tsh:closed\tPropertyShape\tsh:path\tsh:maxCount\t1\tadditionalProperties for a RAML Object must be unique\tadditionalProperties for a Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminator\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tdiscriminator for RAML Object type must be a string value\tdiscriminator for a Schema object must be a string value\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminator\tPropertyShape\tsh:path\tsh:maxCount\t1\tdiscriminator for RAML Object type must be unique\tdiscriminator for a Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminatorValue\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tx-discriminatorValue for RAML Object type must be a string value\tdiscriminatorValue for a Schema object must be a string value\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:discriminatorValue\tPropertyShape\tsh:path\tsh:maxCount\t1\tx-discriminatorValue for RAML Object type must be unique\tdiscriminatorValue for a Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:readOnly \tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\t(readOnly) for a RAML Object type must be a boolean\treadOnly for a Schema object must be a boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:ObjectShape\traml-shapes:readOnly \tPropertyShape\tsh:path\tsh:maxCount\t1\t(readOnly) for a RAML Object must be unique\treadOnly for a Schema object must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\traml-shapes:item\tPropertyShape\tsh:path\tsh:class\traml-shapes:Shape\tvalue of the items facet must be a RAML Type \tvalue of the items property must be a Schema node\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminItems for a RAML Array type must be an integer\tminItems of a Schema object of type 'array' must be an integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:maxCount\t1\tminItems for a RAML Array type must be unique\tminItems of a Schema object of type 'array' must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:minInclusive \t0\tmaxItems for a RAML Array type must be greater than 0\tmaxItems of a Schema object of type 'array' must be greater than 0\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:maxCount\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaxItems for a RAML Array type must be an integer\tmaxItems of a Schema object of type 'array' must be an integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:maxCount\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaxItems for a RAML Array type must be unique\tmaxItems of a Schema object of type 'array' must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\tsh:minCount\tPropertyShape\tsh:path\tsh:minInclusive \t0\tminItems for a RAML Array type must be greater than 0\tminItems of a Schema object of type 'array' must be greater than 0\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\traml-shapes:uniqueItems\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tuniqueItems for a RAML Array type must be a boolean\tuniqueItems of a Schema object of type 'array' must be a boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:ArrayShape\traml-shapes:uniqueItems\tPropertyShape\tsh:path\tsh:maxCount\t1\tuniqueItems for a RAML Array type must be unique\tuniqueItems of a Schema object of type 'array' must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:pattern\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tpattern facet for a RAML scalar type must be a string\tpattern for scalar Schema object of scalar type must be a string\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:pattern\tPropertyShape\tsh:path\tsh:maxCount\t1\tpattern facet for a RAML scalar type must be unique\tpattern for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tminLength facet for a RAML scalar type must be a integer\tminLength for scalar Schema object of scalar type must be a integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\tsh:maxCount\t1\tminLength facet for a RAML scalar type must be unique\tminLength for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\tsh:datatype\txsd:integer\tmaxLength facet for a RAML scalar type must be a integer\tmaxLength for scalar Schema object of scalar type must be a integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaxLength facet for a RAML scalar type must be unique\tmaxLength for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minInclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:double\tminimum facet for a RAML scalar type must be a number\tminimum for scalar Schema object of scalar type must be a integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minInclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tminimum facet for a RAML scalar type must be unique\tminimum for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxInclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:double\tmaximum facet for a RAML scalar type must be a number\tmaximum for scalar Schema object of scalar type must be a integer\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxInclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tmaximum facet for a RAML scalar type must be unique\tmaximum for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minExclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tx-exclusiveMinimum facet for a RAML scalar type must be a boolean\texclusiveMinimum for scalar Schema object of scalar type must be a boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minExclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tx-exclusiveMinimum facet for a RAML scalar type must be unique\texclusiveMinimum for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxExclusive\tPropertyShape\tsh:path\tsh:datatype\txsd:boolean\tx-exclusiveMaximum facet for a RAML scalar type must be a boolean\texclusiveMaximum for scalar Schema object of scalar type must be a boolean\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxExclusive\tPropertyShape\tsh:path\tsh:maxCount\t1\tx-exclusiveMaximum facet for a RAML scalar type must be unique\texclusiveMaximum for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:minLength\tPropertyShape\tsh:path\tsh:minInclusive\t0\tMin length facet should be greater or equal than 0\tMin length facet should be greater or equal than 0\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:maxLength\tPropertyShape\tsh:path\tsh:minInclusive\t0\tMax length facet should be greater or equal than 0\tMax length facet should be greater or equal than 0\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:format\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tformat facet for a RAML scalar type must be a string\tformat for scalar Schema object of scalar type must be a string\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:format\tPropertyShape\tsh:path\tsh:maxCount\t1\tformat facet for a RAML scalar type must be unique\tformat for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\tsh:datatype\txsd:double\tmultipleOf facet for a RAML scalar type must be a number\tmultipleOf for scalar Schema object of scalar type must be a number\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\tsh:maxCount\t1\tmultipleOf facet for a RAML scalar type must be unique\tmultipleOf for scalar Schema object of scalar type must be unique\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\traml-shapes:multipleOf\tPropertyShape\tsh:path\tsh:minExclusive\t0\tmultipleOf facet for a RAML scalar type must be greater than 0\tmultipleOf for scalar Schema object of scalar type must be greater than 0\tViolation", "\t\tAMF\tDomain\traml-shapes:ScalarShape\tsh:datatype\tPropertyShape\tsh:path\tsh:minCount\t1\ttype information for a RAML scalar is required\ttype information fo a Schema object of scalar type is required\tViolation", "\t\tAMF\tDomain\traml-doc:DomainProperty\traml-shapes:schema\tPropertyShape\tsh:path\tsh:minCount\t1\ttype is mandatory for a RAML annotationType\tschema is mandatory for an extension type\tViolation", "\t\tAMF\tDomain\traml-doc:DomainProperty\traml-shapes:schema\tPropertyShape\tsh:path\tsh:maxCount\t1\ttype must be a single value for a RAML annotationType\tschema must be a single value for an extension type\tViolation", "\t\tAMF\tDomain\traml-doc:DomainProperty\traml-shapes:schema\tPropertyShape\tsh:path\tsh:class\traml-shapes:Shape\ttype value must be a RAML Type\tschema value must be a Schema object\tViolation", "\t\tAMF\tDomain\traml-http:Tag\tschema-org:name\tPropertyShape\tsh:path\tsh:minCount\t1\tTag must have a name\tTag object must have a name property\tViolation", "\t\tAMF\tDomain\traml-http:Server\traml-http:url\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tAPI baseUri host information must be a string\tSwagger object 'host' and 'basePath' must be a string\tViolation", "\t\tAMF\tDomain\traml-http:Server\tschema-org:description\tPropertyShape\tsh:path\tsh:datatype\txsd:string\tServer 'description' property must be a string\tServer 'description' property must be a string\tViolation", "\t\tAMF\tDomain\traml-http:Server\traml-http:url\tPropertyShape\tsh:path\tsh:minCount\t1\tServer must have an 'url' property\tServer must have an 'url' propert\tViolation"]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.raw$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFRawValidations$: 0
}, false, "amf.plugins.document.webapi.validation.AMFRawValidations$", {
  Lamf_plugins_document_webapi_validation_AMFRawValidations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFRawValidations$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFRawValidations$;
let $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_AMFRawValidations$)) {
    $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$ = new $c_Lamf_plugins_document_webapi_validation_AMFRawValidations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_AMFRawValidations$
});
class $c_Lamf_plugins_document_webapi_validation_AMFShapeValidations extends $c_O {
  constructor() {
    super();
    this.shape$1 = null
  };
  checkMinLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const length = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have length greater than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, length]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$634 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$635 = (validation.name$1 + "_validation_minLength/prop");
      const x$636 = new $c_s_Some().init___O(msg);
      const x$637 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([length])));
      const x$638 = $m_s_None$();
      const x$639 = $m_s_None$();
      const x$640 = $m_s_None$();
      const x$641 = $m_s_None$();
      const x$642 = $m_s_None$();
      const x$643 = $m_s_None$();
      const x$644 = $m_s_None$();
      const x$645 = $m_s_None$();
      const x$646 = $m_s_None$();
      const x$647 = $m_s_None$();
      const x$648 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$17 = new $c_scm_ListBuffer().init___();
      const x$649 = this$17.toList__sci_List();
      const x$650 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$634, x$635, x$636, x$638, x$639, x$640, x$637, x$641, x$642, x$643, x$644, x$645, x$646, x$647, x$648, x$649, x$650);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$19 = $m_sc_Seq$();
      const x$651 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$19.ReusableCBFInstance$2);
      const x$652 = validation.name$1;
      const x$653 = validation.message$1;
      const x$654 = validation.ramlMessage$1;
      const x$655 = validation.oasMessage$1;
      const x$656 = validation.targetInstance$1;
      const x$657 = validation.targetClass$1;
      const x$658 = validation.targetObject$1;
      const x$659 = validation.unionConstraints$1;
      const x$660 = validation.andConstraints$1;
      const x$661 = validation.xoneConstraints$1;
      const x$662 = validation.notConstraint$1;
      const x$663 = validation.nodeConstraints$1;
      const x$664 = validation.closed$1;
      const x$665 = validation.functionConstraint$1;
      const x$666 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$652, x$653, x$654, x$655, x$656, x$657, x$658, x$659, x$660, x$661, x$662, x$651, x$663, x$664, x$665, x$666)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkClosed__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_validation_core_ValidationSpecification(validation, shape) {
    const x1 = shape.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      if (value.toBool__Z()) {
        const x$304 = new $c_s_Some().init___O(true);
        const x$305 = validation.name$1;
        const x$306 = validation.message$1;
        const x$307 = validation.ramlMessage$1;
        const x$308 = validation.oasMessage$1;
        const x$309 = validation.targetInstance$1;
        const x$310 = validation.targetClass$1;
        const x$311 = validation.targetObject$1;
        const x$312 = validation.unionConstraints$1;
        const x$313 = validation.andConstraints$1;
        const x$314 = validation.xoneConstraints$1;
        const x$315 = validation.notConstraint$1;
        const x$316 = validation.propertyConstraints$1;
        const x$317 = validation.nodeConstraints$1;
        const x$318 = validation.functionConstraint$1;
        const x$319 = validation.custom$1;
        return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$305, x$306, x$307, x$308, x$309, x$310, x$311, x$312, x$313, x$314, x$315, x$316, x$317, x$304, x$318, x$319)
      }
    };
    return validation
  };
  checkMaxCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification(context, property, validation, shape) {
    const x1 = shape.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const maxCount = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have max. cardinality ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, maxCount]));
      const this$6 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const this$1 = shape.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$2 = this$1.option$1;
      const str = (this$2.isEmpty__Z() ? null : this$2.get__O());
      const this$4 = new $c_Lamf_core_utils_package$Strings().init___T(str);
      const this$5 = this$4.platform$1;
      const url = this$4.str$1;
      const id = $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$5, url);
      const x$585 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$6, id).iri__T();
      const jsx$1 = validation.name$1;
      const this$8 = property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$9 = this$8.option$1;
      const str$1 = (this$9.isEmpty__Z() ? null : this$9.get__O());
      const this$11 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
      const this$12 = this$11.platform$1;
      const url$1 = this$11.str$1;
      const x$586 = (((jsx$1 + "_") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$12, url$1)) + "_validation_minCount/prop");
      const x$587 = new $c_s_Some().init___O(msg);
      const x$588 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([maxCount])));
      const x$589 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$590 = $m_s_None$();
      const x$591 = $m_s_None$();
      const x$592 = $m_s_None$();
      const x$593 = $m_s_None$();
      const x$594 = $m_s_None$();
      const x$595 = $m_s_None$();
      const x$596 = $m_s_None$();
      const x$597 = $m_s_None$();
      const x$598 = $m_s_None$();
      const x$599 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$26 = new $c_scm_ListBuffer().init___();
      const x$600 = this$26.toList__sci_List();
      const x$601 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$585, x$586, x$587, x$590, x$588, x$591, x$592, x$593, x$594, x$595, x$596, x$597, x$598, x$589, x$599, x$600, x$601);
      const jsx$3 = validation.propertyConstraints$1;
      const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$28 = $m_sc_Seq$();
      const x$602 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$28.ReusableCBFInstance$2);
      const x$603 = validation.name$1;
      const x$604 = validation.message$1;
      const x$605 = validation.ramlMessage$1;
      const x$606 = validation.oasMessage$1;
      const x$607 = validation.targetInstance$1;
      const x$608 = validation.targetClass$1;
      const x$609 = validation.targetObject$1;
      const x$610 = validation.unionConstraints$1;
      const x$611 = validation.andConstraints$1;
      const x$612 = validation.xoneConstraints$1;
      const x$613 = validation.notConstraint$1;
      const x$614 = validation.nodeConstraints$1;
      const x$615 = validation.closed$1;
      const x$616 = validation.functionConstraint$1;
      const x$617 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$603, x$604, x$605, x$606, x$607, x$608, x$609, x$610, x$611, x$612, x$613, x$602, x$614, x$615, x$616, x$617)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMinimum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const minimum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be greater than or equal to ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, minimum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$700 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$701 = (validation.name$1 + "_validation_minimum/prop");
      const x$702 = new $c_s_Some().init___O(msg);
      const x$703 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([minimum])));
      const x$704 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$705 = $m_s_None$();
      const x$706 = $m_s_None$();
      const x$707 = $m_s_None$();
      const x$708 = $m_s_None$();
      const x$709 = $m_s_None$();
      const x$710 = $m_s_None$();
      const x$711 = $m_s_None$();
      const x$712 = $m_s_None$();
      const x$713 = $m_s_None$();
      const x$714 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$715 = this$16.toList__sci_List();
      const x$716 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$700, x$701, x$702, x$705, x$706, x$707, x$708, x$709, x$710, x$711, x$703, x$712, x$713, x$704, x$714, x$715, x$716);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$717 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$718 = validation.name$1;
      const x$719 = validation.message$1;
      const x$720 = validation.ramlMessage$1;
      const x$721 = validation.oasMessage$1;
      const x$722 = validation.targetInstance$1;
      const x$723 = validation.targetClass$1;
      const x$724 = validation.targetObject$1;
      const x$725 = validation.unionConstraints$1;
      const x$726 = validation.andConstraints$1;
      const x$727 = validation.xoneConstraints$1;
      const x$728 = validation.notConstraint$1;
      const x$729 = validation.nodeConstraints$1;
      const x$730 = validation.closed$1;
      const x$731 = validation.functionConstraint$1;
      const x$732 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$718, x$719, x$720, x$721, x$722, x$723, x$724, x$725, x$726, x$727, x$728, x$717, x$729, x$730, x$731, x$732)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, parent, validation, acc) {
    let computedValidation = validation;
    const nestedConstraints = new $c_sr_ObjectRef().init___O(acc);
    const count = new $c_sr_IntRef().init___I(0);
    if (($m_s_Option$().apply__O__s_Option(parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1)).isDefined__Z() && parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1).nonEmpty__Z())) {
      parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1, nestedConstraints$1, count$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const jsx$2 = nestedConstraints$1.elem$1;
          const jsx$1 = $this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/and_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([count$1.elem$1]))), shape);
          const this$3 = $m_sci_List$();
          nestedConstraints$1.elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
          count$1.elem$1 = ((1 + count$1.elem$1) | 0)
        })
      })(this, context, nestedConstraints, count)));
      const qual$1 = computedValidation;
      const jsx$4 = parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(s$2) {
          const s = s$2;
          return this$2$1.validationId__Lamf_core_model_domain_Shape__T(s)
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      const x$44 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
      const x$45 = qual$1.name$1;
      const x$46 = qual$1.message$1;
      const x$47 = qual$1.ramlMessage$1;
      const x$48 = qual$1.oasMessage$1;
      const x$49 = qual$1.targetInstance$1;
      const x$50 = qual$1.targetClass$1;
      const x$51 = qual$1.targetObject$1;
      const x$52 = qual$1.unionConstraints$1;
      const x$53 = qual$1.xoneConstraints$1;
      const x$54 = qual$1.notConstraint$1;
      const x$55 = qual$1.propertyConstraints$1;
      const x$56 = qual$1.nodeConstraints$1;
      const x$57 = qual$1.closed$1;
      const x$58 = qual$1.functionConstraint$1;
      const x$59 = qual$1.custom$1;
      computedValidation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$44, x$53, x$54, x$55, x$56, x$57, x$58, x$59)
    };
    count.elem$1 = 0;
    if (($m_s_Option$().apply__O__s_Option(parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1)).isDefined__Z() && parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1).nonEmpty__Z())) {
      parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, context$2, nestedConstraints$2, count$2) {
        return (function(shape$3$2) {
          const shape$3 = shape$3$2;
          const jsx$6 = nestedConstraints$2.elem$1;
          const jsx$5 = this$3$1.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$2) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/or_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([count$2.elem$1]))), shape$3);
          const this$5 = $m_sci_List$();
          nestedConstraints$2.elem$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$5.ReusableCBFInstance$2);
          count$2.elem$1 = ((1 + count$2.elem$1) | 0)
        })
      })(this, context, nestedConstraints, count)));
      const qual$2 = computedValidation;
      const jsx$8 = parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
      const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(s$3$2) {
          const s$3 = s$3$2;
          return this$4$1.validationId__Lamf_core_model_domain_Shape__T(s$3)
        })
      })(this));
      const this$6 = $m_sc_Seq$();
      const x$60 = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$7, this$6.ReusableCBFInstance$2);
      const x$61 = qual$2.name$1;
      const x$62 = qual$2.message$1;
      const x$63 = qual$2.ramlMessage$1;
      const x$64 = qual$2.oasMessage$1;
      const x$65 = qual$2.targetInstance$1;
      const x$66 = qual$2.targetClass$1;
      const x$67 = qual$2.targetObject$1;
      const x$68 = qual$2.andConstraints$1;
      const x$69 = qual$2.xoneConstraints$1;
      const x$70 = qual$2.notConstraint$1;
      const x$71 = qual$2.propertyConstraints$1;
      const x$72 = qual$2.nodeConstraints$1;
      const x$73 = qual$2.closed$1;
      const x$74 = qual$2.functionConstraint$1;
      const x$75 = qual$2.custom$1;
      computedValidation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$61, x$62, x$63, x$64, x$65, x$66, x$67, x$60, x$68, x$69, x$70, x$71, x$72, x$73, x$74, x$75)
    };
    count.elem$1 = 0;
    if (($m_s_Option$().apply__O__s_Option(parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1)).isDefined__Z() && parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1).nonEmpty__Z())) {
      parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, context$3, nestedConstraints$3, count$3) {
        return (function(shape$4$2) {
          const shape$4 = shape$4$2;
          const jsx$10 = nestedConstraints$3.elem$1;
          const jsx$9 = this$5$1.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$3) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/xone_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([count$3.elem$1]))), shape$4);
          const this$7 = $m_sci_List$();
          nestedConstraints$3.elem$1 = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$7.ReusableCBFInstance$2);
          count$3.elem$1 = ((1 + count$3.elem$1) | 0)
        })
      })(this, context, nestedConstraints, count)));
      const qual$3 = computedValidation;
      const jsx$12 = parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
      const jsx$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
        return (function(s$4$2) {
          const s$4 = s$4$2;
          return this$6$1.validationId__Lamf_core_model_domain_Shape__T(s$4)
        })
      })(this));
      const this$8 = $m_sc_Seq$();
      const x$76 = jsx$12.map__F1__scg_CanBuildFrom__O(jsx$11, this$8.ReusableCBFInstance$2);
      const x$77 = qual$3.name$1;
      const x$78 = qual$3.message$1;
      const x$79 = qual$3.ramlMessage$1;
      const x$80 = qual$3.oasMessage$1;
      const x$81 = qual$3.targetInstance$1;
      const x$82 = qual$3.targetClass$1;
      const x$83 = qual$3.targetObject$1;
      const x$84 = qual$3.unionConstraints$1;
      const x$85 = qual$3.andConstraints$1;
      const x$86 = qual$3.notConstraint$1;
      const x$87 = qual$3.propertyConstraints$1;
      const x$88 = qual$3.nodeConstraints$1;
      const x$89 = qual$3.closed$1;
      const x$90 = qual$3.functionConstraint$1;
      const x$91 = qual$3.custom$1;
      computedValidation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$77, x$78, x$79, x$80, x$81, x$82, x$83, x$84, x$85, x$76, x$86, x$87, x$88, x$89, x$90, x$91)
    };
    if ($m_s_Option$().apply__O__s_Option(parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1)).isDefined__Z()) {
      const jsx$14 = nestedConstraints.elem$1;
      const jsx$13 = this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((context + "/not"), parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1));
      const this$9 = $m_sci_List$();
      nestedConstraints.elem$1 = jsx$14.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$13, this$9.ReusableCBFInstance$2);
      const qual$4 = computedValidation;
      const x$92 = new $c_s_Some().init___O(this.validationId__Lamf_core_model_domain_Shape__T(parent.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1)));
      const x$93 = qual$4.name$1;
      const x$94 = qual$4.message$1;
      const x$95 = qual$4.ramlMessage$1;
      const x$96 = qual$4.oasMessage$1;
      const x$97 = qual$4.targetInstance$1;
      const x$98 = qual$4.targetClass$1;
      const x$99 = qual$4.targetObject$1;
      const x$100 = qual$4.unionConstraints$1;
      const x$101 = qual$4.andConstraints$1;
      const x$102 = qual$4.xoneConstraints$1;
      const x$103 = qual$4.propertyConstraints$1;
      const x$104 = qual$4.nodeConstraints$1;
      const x$105 = qual$4.closed$1;
      const x$106 = qual$4.functionConstraint$1;
      const x$107 = qual$4.custom$1;
      computedValidation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$93, x$94, x$95, x$96, x$97, x$98, x$99, x$100, x$101, x$102, x$92, x$103, x$104, x$105, x$106, x$107)
    };
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([computedValidation]);
    const this$11 = $m_sci_List$();
    const cbf = this$11.ReusableCBFInstance$2;
    const jsx$16 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$15 = nestedConstraints.elem$1;
    const this$12 = $m_sci_List$();
    return jsx$16.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$15, this$12.ReusableCBFInstance$2)
  };
  canonicalShape__Lamf_core_model_domain_Shape() {
    return $m_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline$().apply__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this.shape$1)
  };
  scalarConstraints__T__Lamf_plugins_domain_shapes_models_ScalarShape__sci_List(context, scalar) {
    let jsx$2;
    if ($f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField(scalar).option$1.isDefined__Z()) {
      const this$1 = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField(scalar);
      const this$2 = this$1.option$1;
      const thiz = (this$2.isEmpty__Z() ? null : this$2.get__O());
      jsx$2 = (thiz.toLowerCase() === "rfc2616")
    } else {
      jsx$2 = false
    };
    let jsx$1;
    if (jsx$2) {
      const jsx$3 = $m_sjsr_RuntimeString$();
      const this$4 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      const this$5 = this$4.option$1;
      jsx$1 = jsx$3.endsWith__T__T__Z((this$5.isEmpty__Z() ? null : this$5.get__O()), "dateTime")
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must be valid RFC2616 date"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
      const x$353 = this.validationId__Lamf_core_model_domain_Shape__T(scalar);
      const x$355 = new $c_s_Some().init___O(msg);
      const x$356 = new $c_s_Some().init___O(msg);
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$8 = new $c_scm_ListBuffer().init___();
      const x$357 = this$8.toList__sci_List();
      const jsx$19 = $m_sc_Seq$();
      const this$9 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const jsx$18 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "value").iri__T();
      const jsx$17 = scalar.id$1;
      const jsx$16 = new $c_s_Some().init___O(msg);
      const jsx$15 = new $c_s_Some().init___O("((Mon|Tue|Wed|Thu|Fri|Sat|Sun), [0-9]{2} (Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec) [0-9]{4} [0-9]{2}:[0-9]{2}:[0-9]{2} GMT)");
      const jsx$14 = $m_s_None$();
      const jsx$13 = $m_s_None$();
      const jsx$12 = $m_s_None$();
      const jsx$11 = $m_s_None$();
      const jsx$10 = $m_s_None$();
      const jsx$9 = $m_s_None$();
      const jsx$8 = $m_s_None$();
      const jsx$7 = $m_s_None$();
      const jsx$6 = $m_s_None$();
      const jsx$5 = $m_s_None$();
      const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$25 = new $c_scm_ListBuffer().init___();
      const x$358 = jsx$19.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$18, (jsx$17 + "_validation_range/prop"), jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, this$25.toList__sci_List(), $m_s_None$())]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$30 = new $c_scm_ListBuffer().init___();
      const x$359 = this$30.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$34 = new $c_scm_ListBuffer().init___();
      const x$360 = this$34.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$38 = new $c_scm_ListBuffer().init___();
      const x$361 = this$38.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$42 = new $c_scm_ListBuffer().init___();
      const x$362 = this$42.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$46 = new $c_scm_ListBuffer().init___();
      const x$363 = this$46.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$364 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$51 = new $c_scm_ListBuffer().init___();
      const x$365 = this$51.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$366 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$367 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$368 = $m_s_None$();
      const validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$353, msg, x$355, x$356, x$359, x$357, x$360, x$361, x$362, x$363, x$364, x$358, x$365, x$366, x$367, x$368);
      return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, scalar, validation, $m_sci_Nil$())
    } else {
      const msg$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
      const this$55 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      const this$56 = this$55.option$1;
      const jsx$20 = (this$56.isEmpty__Z() ? null : this$56.get__O());
      const this$57 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      let propertyConstraints;
      if ((jsx$20 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$57, "string").iri__T())) {
        const custom = new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
          return (function(b$2, parentId$2) {
            const b = b$2;
            $m_Lorg_yaml_model_YNode$();
            const this$59 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$59, "or").iri__T();
            const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
            const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$38 = v.builder$1;
            const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
            const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$36 = v$1.builder$1;
            const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$23 = b$3.builder$1;
            const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$66 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$66, "datatype").iri__T();
            const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
            const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$21 = v$2.builder$1;
            const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$71 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            const thiz$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$71, "string").iri__T();
            const str$2 = thiz$1.trim();
            const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
            b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$3, value);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c = b$5.builder$1;
            const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
            const tt = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            jsx$21.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
            const this$79 = v$2.builder$1;
            const array = [key$2];
            if ((this$79.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len = (array.length | 0);
            const newSize = ((this$79.size0$6 + len) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$79, newSize);
            const len$1 = this$79.size0$6;
            const src = this$79.array$6;
            const dest = this$79.array$6;
            $systemArraycopy(src, 0, dest, len, len$1);
            const xs = this$79.array$6;
            const len$2 = xs.u.length;
            let i = 0;
            let j = 0;
            const x = (array.length | 0);
            const x$1 = ((x < len$2) ? x : len$2);
            const that = xs.u.length;
            const end = ((x$1 < that) ? x$1 : that);
            while ((i < end)) {
              const jsx$22 = j;
              const index = i;
              xs.u[jsx$22] = array[index];
              i = ((1 + i) | 0);
              j = ((1 + j) | 0)
            };
            this$79.size0$6 = newSize;
            b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$1 = b$4.builder$1;
            const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
            const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$1 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$1 = null;
            jsx$23.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
            const jsx$26 = b$3.builder$1;
            const b$6 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$95 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$95, "datatype").iri__T();
            const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
            const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$24 = v$3.builder$1;
            const b$7 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$100 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            const thiz$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$100, "time").iri__T();
            const str$4 = thiz$2.trim();
            const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
            b$7.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$3);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$2 = b$7.builder$1;
            const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
            const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$2 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$2 = null;
            jsx$24.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2));
            const this$108 = v$3.builder$1;
            const array$1 = [key$4];
            if ((this$108.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$3 = (array$1.length | 0);
            const newSize$1 = ((this$108.size0$6 + len$3) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$108, newSize$1);
            const len$4 = this$108.size0$6;
            const src$1 = this$108.array$6;
            const dest$1 = this$108.array$6;
            $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
            const xs$1 = this$108.array$6;
            const len$5 = xs$1.u.length;
            let i$1 = 0;
            let j$1 = 0;
            const x$2 = (array$1.length | 0);
            const x$3 = ((x$2 < len$5) ? x$2 : len$5);
            const that$1 = xs$1.u.length;
            const end$1 = ((x$3 < that$1) ? x$3 : that$1);
            while ((i$1 < end$1)) {
              const jsx$25 = j$1;
              const index$1 = i$1;
              xs$1.u[jsx$25] = array$1[index$1];
              i$1 = ((1 + i$1) | 0);
              j$1 = ((1 + j$1) | 0)
            };
            this$108.size0$6 = newSize$1;
            b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$3 = b$6.builder$1;
            const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
            const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$3 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$3 = null;
            jsx$26.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$3, a$3, cs$3));
            const jsx$29 = b$3.builder$1;
            const b$8 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$124 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$124, "datatype").iri__T();
            const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
            const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$27 = v$4.builder$1;
            const b$9 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$129 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            const thiz$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$129, "date").iri__T();
            const str$6 = thiz$3.trim();
            const value$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
            b$9.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$7, value$6);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$4 = b$9.builder$1;
            const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
            const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$4 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$4 = null;
            jsx$27.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$4, a$4, cs$4));
            const this$137 = v$4.builder$1;
            const array$2 = [key$6];
            if ((this$137.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$6 = (array$2.length | 0);
            const newSize$2 = ((this$137.size0$6 + len$6) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$137, newSize$2);
            const len$7 = this$137.size0$6;
            const src$2 = this$137.array$6;
            const dest$2 = this$137.array$6;
            $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
            const xs$2 = this$137.array$6;
            const len$8 = xs$2.u.length;
            let i$2 = 0;
            let j$2 = 0;
            const x$4 = (array$2.length | 0);
            const x$5 = ((x$4 < len$8) ? x$4 : len$8);
            const that$2 = xs$2.u.length;
            const end$2 = ((x$5 < that$2) ? x$5 : that$2);
            while ((i$2 < end$2)) {
              const jsx$28 = j$2;
              const index$2 = i$2;
              xs$2.u[jsx$28] = array$2[index$2];
              i$2 = ((1 + i$2) | 0);
              j$2 = ((1 + j$2) | 0)
            };
            this$137.size0$6 = newSize$2;
            b$8.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$5 = b$8.builder$1;
            const value$8 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
            const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$5 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$5 = null;
            jsx$29.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$8, t$5, a$5, cs$5));
            const jsx$32 = b$3.builder$1;
            const b$10 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$153 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$153, "datatype").iri__T();
            const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
            const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$30 = v$5.builder$1;
            const b$11 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$158 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            const thiz$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$158, "dateTime").iri__T();
            const str$8 = thiz$4.trim();
            const value$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
            b$11.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$9, value$9);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$6 = b$11.builder$1;
            const value$10 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$6);
            const tt$6 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$6 = tt$6.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$6 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$6 = null;
            jsx$30.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$10, t$6, a$6, cs$6));
            const this$166 = v$5.builder$1;
            const array$3 = [key$8];
            if ((this$166.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$9 = (array$3.length | 0);
            const newSize$3 = ((this$166.size0$6 + len$9) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$166, newSize$3);
            const len$10 = this$166.size0$6;
            const src$3 = this$166.array$6;
            const dest$3 = this$166.array$6;
            $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
            const xs$3 = this$166.array$6;
            const len$11 = xs$3.u.length;
            let i$3 = 0;
            let j$3 = 0;
            const x$6 = (array$3.length | 0);
            const x$7 = ((x$6 < len$11) ? x$6 : len$11);
            const that$3 = xs$3.u.length;
            const end$3 = ((x$7 < that$3) ? x$7 : that$3);
            while ((i$3 < end$3)) {
              const jsx$31 = j$3;
              const index$3 = i$3;
              xs$3.u[jsx$31] = array$3[index$3];
              i$3 = ((1 + i$3) | 0);
              j$3 = ((1 + j$3) | 0)
            };
            this$166.size0$6 = newSize$3;
            b$10.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$7 = b$10.builder$1;
            const value$11 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$7);
            const tt$7 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$7 = tt$7.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$7 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$7 = null;
            jsx$32.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$11, t$7, a$7, cs$7));
            const jsx$35 = b$3.builder$1;
            const b$12 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$182 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$9 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$182, "datatype").iri__T();
            const key$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
            const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$33 = v$6.builder$1;
            const b$13 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$187 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
            const thiz$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$187, "dateTimeOnly").iri__T();
            const str$10 = thiz$5.trim();
            const value$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$10);
            b$13.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$11, value$12);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$8 = b$13.builder$1;
            const value$13 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$8);
            const tt$8 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$8 = tt$8.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$8 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$8 = null;
            jsx$33.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$13, t$8, a$8, cs$8));
            const this$195 = v$6.builder$1;
            const array$4 = [key$10];
            if ((this$195.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$12 = (array$4.length | 0);
            const newSize$4 = ((this$195.size0$6 + len$12) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$195, newSize$4);
            const len$13 = this$195.size0$6;
            const src$4 = this$195.array$6;
            const dest$4 = this$195.array$6;
            $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
            const xs$4 = this$195.array$6;
            const len$14 = xs$4.u.length;
            let i$4 = 0;
            let j$4 = 0;
            const x$8 = (array$4.length | 0);
            const x$9 = ((x$8 < len$14) ? x$8 : len$14);
            const that$4 = xs$4.u.length;
            const end$4 = ((x$9 < that$4) ? x$9 : that$4);
            while ((i$4 < end$4)) {
              const jsx$34 = j$4;
              const index$4 = i$4;
              xs$4.u[jsx$34] = array$4[index$4];
              i$4 = ((1 + i$4) | 0);
              j$4 = ((1 + j$4) | 0)
            };
            this$195.size0$6 = newSize$4;
            b$12.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$9 = b$12.builder$1;
            const value$14 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$9);
            const tt$9 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$9 = tt$9.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$9 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$9 = null;
            jsx$35.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$14, t$9, a$9, cs$9));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YSequence$();
            const c$10 = b$3.builder$1;
            const value$15 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$10);
            const tt$10 = $m_Lorg_yaml_model_YType$().Seq$1;
            $m_Lorg_yaml_model_YNode$();
            const t$10 = tt$10.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$10 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$10 = null;
            const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$15, t$10, a$10, cs$10);
            jsx$36.$$plus$eq__O__scm_ArrayBuffer(node);
            const this$214 = v$1.builder$1;
            const array$5 = [key$1];
            if ((this$214.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$15 = (array$5.length | 0);
            const newSize$5 = ((this$214.size0$6 + len$15) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$214, newSize$5);
            const len$16 = this$214.size0$6;
            const src$5 = this$214.array$6;
            const dest$5 = this$214.array$6;
            $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
            const xs$5 = this$214.array$6;
            const len$17 = xs$5.u.length;
            let i$5 = 0;
            let j$5 = 0;
            const x$10 = (array$5.length | 0);
            const x$11 = ((x$10 < len$17) ? x$10 : len$17);
            const that$5 = xs$5.u.length;
            const end$5 = ((x$11 < that$5) ? x$11 : that$5);
            while ((i$5 < end$5)) {
              const jsx$37 = j$5;
              const index$5 = i$5;
              xs$5.u[jsx$37] = array$5[index$5];
              i$5 = ((1 + i$5) | 0);
              j$5 = ((1 + j$5) | 0)
            };
            this$214.size0$6 = newSize$5;
            b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$11 = b$1.builder$1;
            const value$16 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$11);
            const tt$11 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$11 = tt$11.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$11 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$11 = null;
            jsx$38.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$16, t$11, a$11, cs$11));
            const this$229 = v.builder$1;
            const array$6 = [key];
            if ((this$229.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$18 = (array$6.length | 0);
            const newSize$6 = ((this$229.size0$6 + len$18) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$229, newSize$6);
            const len$19 = this$229.size0$6;
            const src$6 = this$229.array$6;
            const dest$6 = this$229.array$6;
            $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
            const xs$6 = this$229.array$6;
            const len$20 = xs$6.u.length;
            let i$6 = 0;
            let j$6 = 0;
            const x$12 = (array$6.length | 0);
            const x$13 = ((x$12 < len$20) ? x$12 : len$20);
            const that$6 = xs$6.u.length;
            const end$6 = ((x$13 < that$6) ? x$13 : that$6);
            while ((i$6 < end$6)) {
              const jsx$39 = j$6;
              const index$6 = i$6;
              xs$6.u[jsx$39] = array$6[index$6];
              i$6 = ((1 + i$6) | 0);
              j$6 = ((1 + j$6) | 0)
            };
            this$229.size0$6 = newSize$6;
            b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
          })
        })(this)));
        const jsx$41 = $m_sc_Seq$();
        const this$240 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const x$369 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$240, "value").iri__T();
        const x$370 = (scalar.id$1 + "_validation_range/prop");
        const jsx$40 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must have data type ", ""]));
        const this$242 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
        const this$243 = this$242.option$1;
        const x$371 = new $c_s_Some().init___O(jsx$40.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, (this$243.isEmpty__Z() ? null : this$243.get__O())])));
        const x$373 = $m_s_None$();
        const x$374 = $m_s_None$();
        const x$375 = $m_s_None$();
        const x$376 = $m_s_None$();
        const x$377 = $m_s_None$();
        const x$378 = $m_s_None$();
        const x$379 = $m_s_None$();
        const x$380 = $m_s_None$();
        const x$381 = $m_s_None$();
        const x$382 = $m_s_None$();
        const x$383 = $m_s_None$();
        const x$384 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$259 = new $c_scm_ListBuffer().init___();
        const x$385 = this$259.toList__sci_List();
        propertyConstraints = jsx$41.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$369, x$370, x$371, x$373, x$374, x$375, x$376, x$377, x$378, x$379, x$380, x$381, x$382, x$383, x$384, x$385, custom)]))
      } else {
        const this$260 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
        const this$261 = this$260.option$1;
        const jsx$42 = (this$261.isEmpty__Z() ? null : this$261.get__O());
        const this$262 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        if ((jsx$42 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$262, "number").iri__T())) {
          const custom$2 = new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
            return (function(b$3$2, parentId$3$2) {
              const b$3$1 = b$3$2;
              $m_Lorg_yaml_model_YNode$();
              const this$264 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
              const str$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$264, "or").iri__T();
              const key$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$11);
              const v$7 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$57 = v$7.builder$1;
              const b$14 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const key$13 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
              const v$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$55 = v$8.builder$1;
              const b$15 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$45 = b$15.builder$1;
              const b$16 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const this$271 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
              const str$12 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$271, "datatype").iri__T();
              const key$14 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$12);
              const v$9 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$43 = v$9.builder$1;
              const b$17 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const key$15 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
              $m_Lorg_yaml_model_YNode$();
              const this$276 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              const thiz$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$276, "integer").iri__T();
              const str$13 = thiz$6.trim();
              const value$17 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$13);
              b$17.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$15, value$17);
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$12 = b$17.builder$1;
              const value$18 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$12);
              const tt$12 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$12 = tt$12.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$12 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$12 = null;
              jsx$43.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$18, t$12, a$12, cs$12));
              const this$284 = v$9.builder$1;
              const array$7 = [key$14];
              if ((this$284.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$21 = (array$7.length | 0);
              const newSize$7 = ((this$284.size0$6 + len$21) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$284, newSize$7);
              const len$22 = this$284.size0$6;
              const src$7 = this$284.array$6;
              const dest$7 = this$284.array$6;
              $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
              const xs$7 = this$284.array$6;
              const len$23 = xs$7.u.length;
              let i$7 = 0;
              let j$7 = 0;
              const x$14 = (array$7.length | 0);
              const x$15 = ((x$14 < len$23) ? x$14 : len$23);
              const that$7 = xs$7.u.length;
              const end$7 = ((x$15 < that$7) ? x$15 : that$7);
              while ((i$7 < end$7)) {
                const jsx$44 = j$7;
                const index$7 = i$7;
                xs$7.u[jsx$44] = array$7[index$7];
                i$7 = ((1 + i$7) | 0);
                j$7 = ((1 + j$7) | 0)
              };
              this$284.size0$6 = newSize$7;
              b$16.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$9.builder$1));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$13 = b$16.builder$1;
              const value$19 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$13);
              const tt$13 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$13 = tt$13.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$13 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$13 = null;
              jsx$45.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$19, t$13, a$13, cs$13));
              const jsx$48 = b$15.builder$1;
              const b$18 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const this$300 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
              const str$14 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$300, "datatype").iri__T();
              const key$16 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$14);
              const v$10 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$46 = v$10.builder$1;
              const b$19 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const key$17 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
              $m_Lorg_yaml_model_YNode$();
              const this$305 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              const thiz$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$305, "long").iri__T();
              const str$15 = thiz$7.trim();
              const value$20 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$15);
              b$19.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$17, value$20);
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$14 = b$19.builder$1;
              const value$21 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$14);
              const tt$14 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$14 = tt$14.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$14 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$14 = null;
              jsx$46.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$21, t$14, a$14, cs$14));
              const this$313 = v$10.builder$1;
              const array$8 = [key$16];
              if ((this$313.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$24 = (array$8.length | 0);
              const newSize$8 = ((this$313.size0$6 + len$24) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$313, newSize$8);
              const len$25 = this$313.size0$6;
              const src$8 = this$313.array$6;
              const dest$8 = this$313.array$6;
              $systemArraycopy(src$8, 0, dest$8, len$24, len$25);
              const xs$8 = this$313.array$6;
              const len$26 = xs$8.u.length;
              let i$8 = 0;
              let j$8 = 0;
              const x$16 = (array$8.length | 0);
              const x$17 = ((x$16 < len$26) ? x$16 : len$26);
              const that$8 = xs$8.u.length;
              const end$8 = ((x$17 < that$8) ? x$17 : that$8);
              while ((i$8 < end$8)) {
                const jsx$47 = j$8;
                const index$8 = i$8;
                xs$8.u[jsx$47] = array$8[index$8];
                i$8 = ((1 + i$8) | 0);
                j$8 = ((1 + j$8) | 0)
              };
              this$313.size0$6 = newSize$8;
              b$18.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$10.builder$1));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$15 = b$18.builder$1;
              const value$22 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$15);
              const tt$15 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$15 = tt$15.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$15 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$15 = null;
              jsx$48.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$22, t$15, a$15, cs$15));
              const jsx$51 = b$15.builder$1;
              const b$20 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const this$329 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
              const str$16 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$329, "datatype").iri__T();
              const key$18 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$16);
              const v$11 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$49 = v$11.builder$1;
              const b$21 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const key$19 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
              $m_Lorg_yaml_model_YNode$();
              const this$334 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              const thiz$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$334, "float").iri__T();
              const str$17 = thiz$8.trim();
              const value$23 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$17);
              b$21.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$19, value$23);
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$16 = b$21.builder$1;
              const value$24 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$16);
              const tt$16 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$16 = tt$16.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$16 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$16 = null;
              jsx$49.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$24, t$16, a$16, cs$16));
              const this$342 = v$11.builder$1;
              const array$9 = [key$18];
              if ((this$342.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$27 = (array$9.length | 0);
              const newSize$9 = ((this$342.size0$6 + len$27) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$342, newSize$9);
              const len$28 = this$342.size0$6;
              const src$9 = this$342.array$6;
              const dest$9 = this$342.array$6;
              $systemArraycopy(src$9, 0, dest$9, len$27, len$28);
              const xs$9 = this$342.array$6;
              const len$29 = xs$9.u.length;
              let i$9 = 0;
              let j$9 = 0;
              const x$18 = (array$9.length | 0);
              const x$19 = ((x$18 < len$29) ? x$18 : len$29);
              const that$9 = xs$9.u.length;
              const end$9 = ((x$19 < that$9) ? x$19 : that$9);
              while ((i$9 < end$9)) {
                const jsx$50 = j$9;
                const index$9 = i$9;
                xs$9.u[jsx$50] = array$9[index$9];
                i$9 = ((1 + i$9) | 0);
                j$9 = ((1 + j$9) | 0)
              };
              this$342.size0$6 = newSize$9;
              b$20.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$11.builder$1));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$17 = b$20.builder$1;
              const value$25 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$17);
              const tt$17 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$17 = tt$17.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$17 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$17 = null;
              jsx$51.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$25, t$17, a$17, cs$17));
              const jsx$54 = b$15.builder$1;
              const b$22 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const this$358 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
              const str$18 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$358, "datatype").iri__T();
              const key$20 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$18);
              const v$12 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$52 = v$12.builder$1;
              const b$23 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const key$21 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
              $m_Lorg_yaml_model_YNode$();
              const this$363 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              const thiz$9 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$363, "double").iri__T();
              const str$19 = thiz$9.trim();
              const value$26 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$19);
              b$23.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$21, value$26);
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$18 = b$23.builder$1;
              const value$27 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$18);
              const tt$18 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$18 = tt$18.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$18 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$18 = null;
              jsx$52.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$27, t$18, a$18, cs$18));
              const this$371 = v$12.builder$1;
              const array$10 = [key$20];
              if ((this$371.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$30 = (array$10.length | 0);
              const newSize$10 = ((this$371.size0$6 + len$30) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$371, newSize$10);
              const len$31 = this$371.size0$6;
              const src$10 = this$371.array$6;
              const dest$10 = this$371.array$6;
              $systemArraycopy(src$10, 0, dest$10, len$30, len$31);
              const xs$10 = this$371.array$6;
              const len$32 = xs$10.u.length;
              let i$10 = 0;
              let j$10 = 0;
              const x$20 = (array$10.length | 0);
              const x$21 = ((x$20 < len$32) ? x$20 : len$32);
              const that$10 = xs$10.u.length;
              const end$10 = ((x$21 < that$10) ? x$21 : that$10);
              while ((i$10 < end$10)) {
                const jsx$53 = j$10;
                const index$10 = i$10;
                xs$10.u[jsx$53] = array$10[index$10];
                i$10 = ((1 + i$10) | 0);
                j$10 = ((1 + j$10) | 0)
              };
              this$371.size0$6 = newSize$10;
              b$22.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$12.builder$1));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$19 = b$22.builder$1;
              const value$28 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$19);
              const tt$19 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$19 = tt$19.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$19 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$19 = null;
              jsx$54.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$28, t$19, a$19, cs$19));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YSequence$();
              const c$20 = b$15.builder$1;
              const value$29 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$20);
              const tt$20 = $m_Lorg_yaml_model_YType$().Seq$1;
              $m_Lorg_yaml_model_YNode$();
              const t$20 = tt$20.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$20 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$20 = null;
              const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$29, t$20, a$20, cs$20);
              jsx$55.$$plus$eq__O__scm_ArrayBuffer(node$1);
              const this$390 = v$8.builder$1;
              const array$11 = [key$13];
              if ((this$390.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$33 = (array$11.length | 0);
              const newSize$11 = ((this$390.size0$6 + len$33) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$390, newSize$11);
              const len$34 = this$390.size0$6;
              const src$11 = this$390.array$6;
              const dest$11 = this$390.array$6;
              $systemArraycopy(src$11, 0, dest$11, len$33, len$34);
              const xs$11 = this$390.array$6;
              const len$35 = xs$11.u.length;
              let i$11 = 0;
              let j$11 = 0;
              const x$22 = (array$11.length | 0);
              const x$23 = ((x$22 < len$35) ? x$22 : len$35);
              const that$11 = xs$11.u.length;
              const end$11 = ((x$23 < that$11) ? x$23 : that$11);
              while ((i$11 < end$11)) {
                const jsx$56 = j$11;
                const index$11 = i$11;
                xs$11.u[jsx$56] = array$11[index$11];
                i$11 = ((1 + i$11) | 0);
                j$11 = ((1 + j$11) | 0)
              };
              this$390.size0$6 = newSize$11;
              b$14.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$8.builder$1));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$21 = b$14.builder$1;
              const value$30 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$21);
              const tt$21 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$21 = tt$21.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$21 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$21 = null;
              jsx$57.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$30, t$21, a$21, cs$21));
              const this$405 = v$7.builder$1;
              const array$12 = [key$12];
              if ((this$405.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$36 = (array$12.length | 0);
              const newSize$12 = ((this$405.size0$6 + len$36) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$405, newSize$12);
              const len$37 = this$405.size0$6;
              const src$12 = this$405.array$6;
              const dest$12 = this$405.array$6;
              $systemArraycopy(src$12, 0, dest$12, len$36, len$37);
              const xs$12 = this$405.array$6;
              const len$38 = xs$12.u.length;
              let i$12 = 0;
              let j$12 = 0;
              const x$24 = (array$12.length | 0);
              const x$25 = ((x$24 < len$38) ? x$24 : len$38);
              const that$12 = xs$12.u.length;
              const end$12 = ((x$25 < that$12) ? x$25 : that$12);
              while ((i$12 < end$12)) {
                const jsx$58 = j$12;
                const index$12 = i$12;
                xs$12.u[jsx$58] = array$12[index$12];
                i$12 = ((1 + i$12) | 0);
                j$12 = ((1 + j$12) | 0)
              };
              this$405.size0$6 = newSize$12;
              b$3$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$7.builder$1))
            })
          })(this)));
          const jsx$60 = $m_sc_Seq$();
          const this$416 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
          const x$386 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$416, "value").iri__T();
          const x$387 = (scalar.id$1 + "_validation_range/prop");
          const jsx$59 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must have data type ", ""]));
          const this$418 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
          const this$419 = this$418.option$1;
          const x$388 = new $c_s_Some().init___O(jsx$59.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, (this$419.isEmpty__Z() ? null : this$419.get__O())])));
          const x$390 = $m_s_None$();
          const x$391 = $m_s_None$();
          const x$392 = $m_s_None$();
          const x$393 = $m_s_None$();
          const x$394 = $m_s_None$();
          const x$395 = $m_s_None$();
          const x$396 = $m_s_None$();
          const x$397 = $m_s_None$();
          const x$398 = $m_s_None$();
          const x$399 = $m_s_None$();
          const x$400 = $m_s_None$();
          const x$401 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$435 = new $c_scm_ListBuffer().init___();
          const x$402 = this$435.toList__sci_List();
          propertyConstraints = jsx$60.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$386, x$387, x$388, x$390, x$391, x$392, x$393, x$394, x$395, x$396, x$397, x$398, x$399, x$400, x$401, x$402, custom$2)]))
        } else {
          const this$436 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
          const this$437 = this$436.option$1;
          const jsx$62 = (this$437.isEmpty__Z() ? null : this$437.get__O());
          const this$438 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          let jsx$61;
          if ((jsx$62 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$438, "float").iri__T())) {
            jsx$61 = true
          } else {
            const this$440 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
            const this$441 = this$440.option$1;
            const jsx$63 = (this$441.isEmpty__Z() ? null : this$441.get__O());
            const this$442 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            jsx$61 = (jsx$63 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$442, "double").iri__T())
          };
          if (jsx$61) {
            const custom$3 = new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1) {
              return (function(b$4$2, parentId$4$2) {
                const b$4$1 = b$4$2;
                $m_Lorg_yaml_model_YNode$();
                const this$444 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
                const str$20 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$444, "or").iri__T();
                const key$22 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$20);
                const v$13 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const jsx$72 = v$13.builder$1;
                const b$24 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                $m_Lorg_yaml_model_YNode$();
                const key$23 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
                const v$14 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const jsx$70 = v$14.builder$1;
                const b$25 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const jsx$66 = b$25.builder$1;
                const b$26 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                $m_Lorg_yaml_model_YNode$();
                const this$451 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
                const str$21 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$451, "datatype").iri__T();
                const key$24 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$21);
                const v$15 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const jsx$64 = v$15.builder$1;
                const b$27 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                $m_Lorg_yaml_model_YNode$();
                const key$25 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
                $m_Lorg_yaml_model_YNode$();
                const this$456 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                const thiz$10 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$456, "float").iri__T();
                const str$22 = thiz$10.trim();
                const value$31 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$22);
                b$27.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$25, value$31);
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YMap$();
                const c$22 = b$27.builder$1;
                const value$32 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$22);
                const tt$22 = $m_Lorg_yaml_model_YType$().Map$1;
                $m_Lorg_yaml_model_YNode$();
                const t$22 = tt$22.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$22 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$22 = null;
                jsx$64.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$32, t$22, a$22, cs$22));
                const this$464 = v$15.builder$1;
                const array$13 = [key$24];
                if ((this$464.size0$6 < 0)) {
                  throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                };
                const len$39 = (array$13.length | 0);
                const newSize$13 = ((this$464.size0$6 + len$39) | 0);
                $f_scm_ResizableArray__ensureSize__I__V(this$464, newSize$13);
                const len$40 = this$464.size0$6;
                const src$13 = this$464.array$6;
                const dest$13 = this$464.array$6;
                $systemArraycopy(src$13, 0, dest$13, len$39, len$40);
                const xs$13 = this$464.array$6;
                const len$41 = xs$13.u.length;
                let i$13 = 0;
                let j$13 = 0;
                const x$26 = (array$13.length | 0);
                const x$27 = ((x$26 < len$41) ? x$26 : len$41);
                const that$13 = xs$13.u.length;
                const end$13 = ((x$27 < that$13) ? x$27 : that$13);
                while ((i$13 < end$13)) {
                  const jsx$65 = j$13;
                  const index$13 = i$13;
                  xs$13.u[jsx$65] = array$13[index$13];
                  i$13 = ((1 + i$13) | 0);
                  j$13 = ((1 + j$13) | 0)
                };
                this$464.size0$6 = newSize$13;
                b$26.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$15.builder$1));
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YMap$();
                const c$23 = b$26.builder$1;
                const value$33 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$23);
                const tt$23 = $m_Lorg_yaml_model_YType$().Map$1;
                $m_Lorg_yaml_model_YNode$();
                const t$23 = tt$23.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$23 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$23 = null;
                jsx$66.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$33, t$23, a$23, cs$23));
                const jsx$69 = b$25.builder$1;
                const b$28 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                $m_Lorg_yaml_model_YNode$();
                const this$480 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
                const str$23 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$480, "datatype").iri__T();
                const key$26 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$23);
                const v$16 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const jsx$67 = v$16.builder$1;
                const b$29 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                $m_Lorg_yaml_model_YNode$();
                const key$27 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
                $m_Lorg_yaml_model_YNode$();
                const this$485 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                const thiz$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$485, "double").iri__T();
                const str$24 = thiz$11.trim();
                const value$34 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$24);
                b$29.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$27, value$34);
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YMap$();
                const c$24 = b$29.builder$1;
                const value$35 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$24);
                const tt$24 = $m_Lorg_yaml_model_YType$().Map$1;
                $m_Lorg_yaml_model_YNode$();
                const t$24 = tt$24.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$24 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$24 = null;
                jsx$67.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$35, t$24, a$24, cs$24));
                const this$493 = v$16.builder$1;
                const array$14 = [key$26];
                if ((this$493.size0$6 < 0)) {
                  throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                };
                const len$42 = (array$14.length | 0);
                const newSize$14 = ((this$493.size0$6 + len$42) | 0);
                $f_scm_ResizableArray__ensureSize__I__V(this$493, newSize$14);
                const len$43 = this$493.size0$6;
                const src$14 = this$493.array$6;
                const dest$14 = this$493.array$6;
                $systemArraycopy(src$14, 0, dest$14, len$42, len$43);
                const xs$14 = this$493.array$6;
                const len$44 = xs$14.u.length;
                let i$14 = 0;
                let j$14 = 0;
                const x$28 = (array$14.length | 0);
                const x$29 = ((x$28 < len$44) ? x$28 : len$44);
                const that$14 = xs$14.u.length;
                const end$14 = ((x$29 < that$14) ? x$29 : that$14);
                while ((i$14 < end$14)) {
                  const jsx$68 = j$14;
                  const index$14 = i$14;
                  xs$14.u[jsx$68] = array$14[index$14];
                  i$14 = ((1 + i$14) | 0);
                  j$14 = ((1 + j$14) | 0)
                };
                this$493.size0$6 = newSize$14;
                b$28.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$16.builder$1));
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YMap$();
                const c$25 = b$28.builder$1;
                const value$36 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$25);
                const tt$25 = $m_Lorg_yaml_model_YType$().Map$1;
                $m_Lorg_yaml_model_YNode$();
                const t$25 = tt$25.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$25 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$25 = null;
                jsx$69.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$36, t$25, a$25, cs$25));
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YSequence$();
                const c$26 = b$25.builder$1;
                const value$37 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$26);
                const tt$26 = $m_Lorg_yaml_model_YType$().Seq$1;
                $m_Lorg_yaml_model_YNode$();
                const t$26 = tt$26.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$26 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$26 = null;
                const node$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$37, t$26, a$26, cs$26);
                jsx$70.$$plus$eq__O__scm_ArrayBuffer(node$2);
                const this$512 = v$14.builder$1;
                const array$15 = [key$23];
                if ((this$512.size0$6 < 0)) {
                  throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                };
                const len$45 = (array$15.length | 0);
                const newSize$15 = ((this$512.size0$6 + len$45) | 0);
                $f_scm_ResizableArray__ensureSize__I__V(this$512, newSize$15);
                const len$46 = this$512.size0$6;
                const src$15 = this$512.array$6;
                const dest$15 = this$512.array$6;
                $systemArraycopy(src$15, 0, dest$15, len$45, len$46);
                const xs$15 = this$512.array$6;
                const len$47 = xs$15.u.length;
                let i$15 = 0;
                let j$15 = 0;
                const x$30 = (array$15.length | 0);
                const x$31 = ((x$30 < len$47) ? x$30 : len$47);
                const that$15 = xs$15.u.length;
                const end$15 = ((x$31 < that$15) ? x$31 : that$15);
                while ((i$15 < end$15)) {
                  const jsx$71 = j$15;
                  const index$15 = i$15;
                  xs$15.u[jsx$71] = array$15[index$15];
                  i$15 = ((1 + i$15) | 0);
                  j$15 = ((1 + j$15) | 0)
                };
                this$512.size0$6 = newSize$15;
                b$24.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$14.builder$1));
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YMap$();
                const c$27 = b$24.builder$1;
                const value$38 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$27);
                const tt$27 = $m_Lorg_yaml_model_YType$().Map$1;
                $m_Lorg_yaml_model_YNode$();
                const t$27 = tt$27.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$27 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$27 = null;
                jsx$72.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$38, t$27, a$27, cs$27));
                const this$527 = v$13.builder$1;
                const array$16 = [key$22];
                if ((this$527.size0$6 < 0)) {
                  throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                };
                const len$48 = (array$16.length | 0);
                const newSize$16 = ((this$527.size0$6 + len$48) | 0);
                $f_scm_ResizableArray__ensureSize__I__V(this$527, newSize$16);
                const len$49 = this$527.size0$6;
                const src$16 = this$527.array$6;
                const dest$16 = this$527.array$6;
                $systemArraycopy(src$16, 0, dest$16, len$48, len$49);
                const xs$16 = this$527.array$6;
                const len$50 = xs$16.u.length;
                let i$16 = 0;
                let j$16 = 0;
                const x$32 = (array$16.length | 0);
                const x$33 = ((x$32 < len$50) ? x$32 : len$50);
                const that$16 = xs$16.u.length;
                const end$16 = ((x$33 < that$16) ? x$33 : that$16);
                while ((i$16 < end$16)) {
                  const jsx$73 = j$16;
                  const index$16 = i$16;
                  xs$16.u[jsx$73] = array$16[index$16];
                  i$16 = ((1 + i$16) | 0);
                  j$16 = ((1 + j$16) | 0)
                };
                this$527.size0$6 = newSize$16;
                b$4$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$13.builder$1))
              })
            })(this)));
            const jsx$75 = $m_sc_Seq$();
            const this$538 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
            const x$403 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$538, "value").iri__T();
            const x$404 = (scalar.id$1 + "_validation_range/prop");
            const jsx$74 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must have data type ", ""]));
            const this$540 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
            const this$541 = this$540.option$1;
            const x$405 = new $c_s_Some().init___O(jsx$74.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, (this$541.isEmpty__Z() ? null : this$541.get__O())])));
            const x$407 = $m_s_None$();
            const x$408 = $m_s_None$();
            const x$409 = $m_s_None$();
            const x$410 = $m_s_None$();
            const x$411 = $m_s_None$();
            const x$412 = $m_s_None$();
            const x$413 = $m_s_None$();
            const x$414 = $m_s_None$();
            const x$415 = $m_s_None$();
            const x$416 = $m_s_None$();
            const x$417 = $m_s_None$();
            const x$418 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$557 = new $c_scm_ListBuffer().init___();
            const x$419 = this$557.toList__sci_List();
            propertyConstraints = jsx$75.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$403, x$404, x$405, x$407, x$408, x$409, x$410, x$411, x$412, x$413, x$414, x$415, x$416, x$417, x$418, x$419, custom$3)]))
          } else {
            const jsx$77 = $m_sc_Seq$();
            const this$558 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
            const x$420 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$558, "value").iri__T();
            const x$421 = (scalar.id$1 + "_validation_range/prop");
            const jsx$76 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Scalar at ", " must have data type ", ""]));
            const this$560 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
            const this$561 = this$560.option$1;
            const x$422 = new $c_s_Some().init___O(jsx$76.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, (this$561.isEmpty__Z() ? null : this$561.get__O())])));
            const this$562 = scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
            const this$563 = this$562.option$1;
            const x$423 = new $c_s_Some().init___O((this$563.isEmpty__Z() ? null : this$563.get__O()));
            const x$424 = $m_s_None$();
            const x$425 = $m_s_None$();
            const x$426 = $m_s_None$();
            const x$427 = $m_s_None$();
            const x$428 = $m_s_None$();
            const x$429 = $m_s_None$();
            const x$430 = $m_s_None$();
            const x$431 = $m_s_None$();
            const x$432 = $m_s_None$();
            const x$433 = $m_s_None$();
            const x$434 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            $m_sc_Seq$();
            $m_sci_Seq$();
            const this$578 = new $c_scm_ListBuffer().init___();
            const x$435 = this$578.toList__sci_List();
            const x$436 = $m_s_None$();
            propertyConstraints = jsx$77.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$420, x$421, x$422, x$424, x$425, x$426, x$427, x$428, x$429, x$430, x$431, x$432, x$433, x$423, x$434, x$435, x$436)]))
          }
        }
      };
      const x$437 = this.validationId__Lamf_core_model_domain_Shape__T(scalar);
      const x$439 = new $c_s_Some().init___O(msg$2);
      const x$440 = new $c_s_Some().init___O(msg$2);
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$582 = new $c_scm_ListBuffer().init___();
      const x$441 = this$582.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$586 = new $c_scm_ListBuffer().init___();
      const x$443 = this$586.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$590 = new $c_scm_ListBuffer().init___();
      const x$444 = this$590.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$594 = new $c_scm_ListBuffer().init___();
      const x$445 = this$594.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$598 = new $c_scm_ListBuffer().init___();
      const x$446 = this$598.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$602 = new $c_scm_ListBuffer().init___();
      const x$447 = this$602.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$448 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$607 = new $c_scm_ListBuffer().init___();
      const x$449 = this$607.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$450 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$451 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$452 = $m_s_None$();
      let validation$2 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$437, msg$2, x$439, x$440, x$443, x$441, x$444, x$445, x$446, x$447, x$448, propertyConstraints, x$449, x$450, x$451, x$452);
      validation$2 = this.checkScalarType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(scalar, context, validation$2);
      validation$2 = this.checkPattern__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkMinLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkMaxLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkMinimum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkMaximum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkMinimumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkMaximumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      validation$2 = this.checkEnum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation$2, scalar);
      return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, scalar, validation$2, $m_sci_Nil$())
    }
  };
  checkPattern__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const this$1 = shape;
    const x1 = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__Lamf_core_model_StrField(this$1).option$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pattern = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must match pattern ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, pattern]));
      const this$2 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const jsx$15 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "value").iri__T();
      const jsx$14 = validation.name$1;
      const jsx$13 = new $c_s_Some().init___O(msg);
      const jsx$12 = new $c_s_Some().init___O(pattern);
      const jsx$11 = $m_s_None$();
      const jsx$10 = $m_s_None$();
      const jsx$9 = $m_s_None$();
      const jsx$8 = $m_s_None$();
      const jsx$7 = $m_s_None$();
      const jsx$6 = $m_s_None$();
      const jsx$5 = $m_s_None$();
      const jsx$4 = $m_s_None$();
      const jsx$3 = $m_s_None$();
      const jsx$2 = $m_s_None$();
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$18 = new $c_scm_ListBuffer().init___();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$15, (jsx$14 + "_validation_pattern/prop"), jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, this$18.toList__sci_List(), $m_s_None$());
      const jsx$17 = validation.propertyConstraints$1;
      const jsx$16 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$20 = $m_sc_Seq$();
      const x$618 = jsx$17.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$16, this$20.ReusableCBFInstance$2);
      const x$619 = validation.name$1;
      const x$620 = validation.message$1;
      const x$621 = validation.ramlMessage$1;
      const x$622 = validation.oasMessage$1;
      const x$623 = validation.targetInstance$1;
      const x$624 = validation.targetClass$1;
      const x$625 = validation.targetObject$1;
      const x$626 = validation.unionConstraints$1;
      const x$627 = validation.andConstraints$1;
      const x$628 = validation.xoneConstraints$1;
      const x$629 = validation.notConstraint$1;
      const x$630 = validation.nodeConstraints$1;
      const x$631 = validation.closed$1;
      const x$632 = validation.functionConstraint$1;
      const x$633 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$619, x$620, x$621, x$622, x$623, x$624, x$625, x$626, x$627, x$628, x$629, x$618, x$630, x$631, x$632, x$633)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMaxItems__T__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const itemsMaximum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Number of items at ", " must be smaller than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, itemsMaximum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
      const x$931 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "member").iri__T();
      const x$932 = (validation.name$1 + "_validation_maxItems/prop");
      const x$933 = new $c_s_Some().init___O(msg);
      const x$934 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([itemsMaximum])));
      const x$935 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$936 = $m_s_None$();
      const x$937 = $m_s_None$();
      const x$938 = $m_s_None$();
      const x$939 = $m_s_None$();
      const x$940 = $m_s_None$();
      const x$941 = $m_s_None$();
      const x$942 = $m_s_None$();
      const x$943 = $m_s_None$();
      const x$944 = $m_s_None$();
      const x$945 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$946 = this$16.toList__sci_List();
      const x$947 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$931, x$932, x$933, x$936, x$934, x$937, x$938, x$939, x$940, x$941, x$942, x$943, x$944, x$935, x$945, x$946, x$947);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$948 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$949 = validation.name$1;
      const x$950 = validation.message$1;
      const x$951 = validation.ramlMessage$1;
      const x$952 = validation.oasMessage$1;
      const x$953 = validation.targetInstance$1;
      const x$954 = validation.targetClass$1;
      const x$955 = validation.targetObject$1;
      const x$956 = validation.unionConstraints$1;
      const x$957 = validation.andConstraints$1;
      const x$958 = validation.xoneConstraints$1;
      const x$959 = validation.notConstraint$1;
      const x$960 = validation.nodeConstraints$1;
      const x$961 = validation.closed$1;
      const x$962 = validation.functionConstraint$1;
      const x$963 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$949, x$950, x$951, x$952, x$953, x$954, x$955, x$956, x$957, x$958, x$959, x$948, x$960, x$961, x$962, x$963)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMaxLength__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const length = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have length smaller than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, length]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$667 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$668 = (validation.name$1 + "_validation_maxLength/prop");
      const x$669 = new $c_s_Some().init___O(msg);
      const x$670 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([length])));
      const x$671 = $m_s_None$();
      const x$672 = $m_s_None$();
      const x$673 = $m_s_None$();
      const x$674 = $m_s_None$();
      const x$675 = $m_s_None$();
      const x$676 = $m_s_None$();
      const x$677 = $m_s_None$();
      const x$678 = $m_s_None$();
      const x$679 = $m_s_None$();
      const x$680 = $m_s_None$();
      const x$681 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$17 = new $c_scm_ListBuffer().init___();
      const x$682 = this$17.toList__sci_List();
      const x$683 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$667, x$668, x$669, x$671, x$672, x$673, x$674, x$670, x$675, x$676, x$677, x$678, x$679, x$680, x$681, x$682, x$683);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$19 = $m_sc_Seq$();
      const x$684 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$19.ReusableCBFInstance$2);
      const x$685 = validation.name$1;
      const x$686 = validation.message$1;
      const x$687 = validation.ramlMessage$1;
      const x$688 = validation.oasMessage$1;
      const x$689 = validation.targetInstance$1;
      const x$690 = validation.targetClass$1;
      const x$691 = validation.targetObject$1;
      const x$692 = validation.unionConstraints$1;
      const x$693 = validation.andConstraints$1;
      const x$694 = validation.xoneConstraints$1;
      const x$695 = validation.notConstraint$1;
      const x$696 = validation.nodeConstraints$1;
      const x$697 = validation.closed$1;
      const x$698 = validation.functionConstraint$1;
      const x$699 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$685, x$686, x$687, x$688, x$689, x$690, x$691, x$692, x$693, x$694, x$695, x$684, x$696, x$697, x$698, x$699)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMinProperties__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const minProperties = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected min properties ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([minProperties]));
      const x$832 = ($m_Lamf_core_vocabulary_Namespace$().AmfValidation$1.base$1 + "/properties");
      const x$833 = (validation.name$1 + "_validation_minProperties/prop");
      const x$834 = new $c_s_Some().init___O(msg);
      const x$835 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([minProperties])));
      const x$836 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$837 = $m_s_None$();
      const x$838 = $m_s_None$();
      const x$839 = $m_s_None$();
      const x$840 = $m_s_None$();
      const x$841 = $m_s_None$();
      const x$842 = $m_s_None$();
      const x$843 = $m_s_None$();
      const x$844 = $m_s_None$();
      const x$845 = $m_s_None$();
      const x$846 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$14 = new $c_scm_ListBuffer().init___();
      const x$847 = this$14.toList__sci_List();
      const x$848 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$832, x$833, x$834, x$837, x$838, x$839, x$840, x$841, x$842, x$843, x$835, x$844, x$845, x$836, x$846, x$847, x$848);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$16 = $m_sc_Seq$();
      const x$849 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$16.ReusableCBFInstance$2);
      const x$850 = validation.name$1;
      const x$851 = validation.message$1;
      const x$852 = validation.ramlMessage$1;
      const x$853 = validation.oasMessage$1;
      const x$854 = validation.targetInstance$1;
      const x$855 = validation.targetClass$1;
      const x$856 = validation.targetObject$1;
      const x$857 = validation.unionConstraints$1;
      const x$858 = validation.andConstraints$1;
      const x$859 = validation.xoneConstraints$1;
      const x$860 = validation.notConstraint$1;
      const x$861 = validation.nodeConstraints$1;
      const x$862 = validation.closed$1;
      const x$863 = validation.functionConstraint$1;
      const x$864 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$850, x$851, x$852, x$853, x$854, x$855, x$856, x$857, x$858, x$859, x$860, x$849, x$861, x$862, x$863, x$864)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  profile__Lamf_core_validation_core_ValidationProfile() {
    const parsedValidations = this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List("/", this.canonicalShape__Lamf_core_model_domain_Shape());
    const x$37 = $m_s_None$();
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.name$1
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let x$38;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((parsedValidations === $m_sci_Nil$())) {
        x$38 = $m_sci_Nil$()
      } else {
        const arg1 = parsedValidations.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = parsedValidations.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        x$38 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(parsedValidations, bf);
      let these = parsedValidations;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      x$38 = b.result__O()
    };
    const jsx$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    const this$2 = $m_sci_List$();
    const x$39 = parsedValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$6 = new $c_scm_ListBuffer().init___();
    const x$40 = this$6.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$10 = new $c_scm_ListBuffer().init___();
    const x$41 = this$10.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$14 = new $c_scm_ListBuffer().init___();
    const x$42 = this$14.toList__sci_List();
    const x$43 = new $c_scm_HashMap().init___();
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map("Payload", x$37, x$38, x$40, x$41, x$42, x$39, x$43)
  };
  checkMinimumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const exclusiveMinimum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be greater than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, exclusiveMinimum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$766 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$767 = (validation.name$1 + "_validation_exclusiveMinimum/prop");
      const x$768 = new $c_s_Some().init___O(msg);
      const x$769 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([exclusiveMinimum])));
      const x$770 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$771 = $m_s_None$();
      const x$772 = $m_s_None$();
      const x$773 = $m_s_None$();
      const x$774 = $m_s_None$();
      const x$775 = $m_s_None$();
      const x$776 = $m_s_None$();
      const x$777 = $m_s_None$();
      const x$778 = $m_s_None$();
      const x$779 = $m_s_None$();
      const x$780 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$781 = this$16.toList__sci_List();
      const x$782 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$766, x$767, x$768, x$771, x$772, x$773, x$774, x$775, x$769, x$776, x$777, x$778, x$779, x$770, x$780, x$781, x$782);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$783 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$784 = validation.name$1;
      const x$785 = validation.message$1;
      const x$786 = validation.ramlMessage$1;
      const x$787 = validation.oasMessage$1;
      const x$788 = validation.targetInstance$1;
      const x$789 = validation.targetClass$1;
      const x$790 = validation.targetObject$1;
      const x$791 = validation.unionConstraints$1;
      const x$792 = validation.andConstraints$1;
      const x$793 = validation.xoneConstraints$1;
      const x$794 = validation.notConstraint$1;
      const x$795 = validation.nodeConstraints$1;
      const x$796 = validation.closed$1;
      const x$797 = validation.functionConstraint$1;
      const x$798 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$784, x$785, x$786, x$787, x$788, x$789, x$790, x$791, x$792, x$793, x$794, x$783, x$795, x$796, x$797, x$798)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMaxProperties__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const maxProperties = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected max properties ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([maxProperties]));
      const x$865 = ($m_Lamf_core_vocabulary_Namespace$().AmfValidation$1.base$1 + "/properties");
      const x$866 = (validation.name$1 + "_validation_maxProperties/prop");
      const x$867 = new $c_s_Some().init___O(msg);
      const x$868 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([maxProperties])));
      const x$869 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$870 = $m_s_None$();
      const x$871 = $m_s_None$();
      const x$872 = $m_s_None$();
      const x$873 = $m_s_None$();
      const x$874 = $m_s_None$();
      const x$875 = $m_s_None$();
      const x$876 = $m_s_None$();
      const x$877 = $m_s_None$();
      const x$878 = $m_s_None$();
      const x$879 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$14 = new $c_scm_ListBuffer().init___();
      const x$880 = this$14.toList__sci_List();
      const x$881 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$865, x$866, x$867, x$870, x$871, x$872, x$873, x$874, x$875, x$876, x$877, x$868, x$878, x$869, x$879, x$880, x$881);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$16 = $m_sc_Seq$();
      const x$882 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$16.ReusableCBFInstance$2);
      const x$883 = validation.name$1;
      const x$884 = validation.message$1;
      const x$885 = validation.ramlMessage$1;
      const x$886 = validation.oasMessage$1;
      const x$887 = validation.targetInstance$1;
      const x$888 = validation.targetClass$1;
      const x$889 = validation.targetObject$1;
      const x$890 = validation.unionConstraints$1;
      const x$891 = validation.andConstraints$1;
      const x$892 = validation.xoneConstraints$1;
      const x$893 = validation.notConstraint$1;
      const x$894 = validation.nodeConstraints$1;
      const x$895 = validation.closed$1;
      const x$896 = validation.functionConstraint$1;
      const x$897 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$883, x$884, x$885, x$886, x$887, x$888, x$889, x$890, x$891, x$892, x$893, x$882, x$894, x$895, x$896, x$897)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  anyConstraints__T__Lamf_plugins_domain_shapes_models_AnyShape__sci_List(context, any) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be a valid shape"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const jsx$11 = this.validationId__Lamf_core_model_domain_Shape__T(any);
    const jsx$10 = new $c_s_Some().init___O(msg);
    const jsx$9 = new $c_s_Some().init___O(msg);
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    const jsx$8 = this$4.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$8 = new $c_scm_ListBuffer().init___();
    const jsx$7 = this$8.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$12 = new $c_scm_ListBuffer().init___();
    const jsx$6 = this$12.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$16 = new $c_scm_ListBuffer().init___();
    const jsx$5 = this$16.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$20 = new $c_scm_ListBuffer().init___();
    const jsx$4 = this$20.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$24 = new $c_scm_ListBuffer().init___();
    const jsx$3 = this$24.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$2 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$29 = new $c_scm_ListBuffer().init___();
    const jsx$1 = this$29.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$33 = new $c_scm_ListBuffer().init___();
    const validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$11, msg, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, this$33.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, any, validation, $m_sci_Nil$())
  };
  emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List(context, shape) {
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
      const x2 = shape;
      return this.unionConstraints__T__Lamf_plugins_domain_shapes_models_UnionShape__sci_List(context, x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape)) {
      const x3 = shape;
      return this.scalarConstraints__T__Lamf_plugins_domain_shapes_models_ScalarShape__sci_List(context, x3)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(shape)) {
      const x4 = shape;
      return this.tupleConstraints__T__Lamf_plugins_domain_shapes_models_TupleShape__sci_List(context, x4)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x5 = shape;
      return this.arrayConstraints__T__Lamf_plugins_domain_shapes_models_ArrayShape__sci_List(context, x5)
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
      const x6 = shape;
      return this.nodeConstraints__T__Lamf_plugins_domain_shapes_models_NodeShape__sci_List(context, x6)
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(shape)) {
      const x7 = shape;
      return this.nilConstraints__T__Lamf_plugins_domain_shapes_models_NilShape__sci_List(context, x7)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      return $m_sci_Nil$()
    } else if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
      const x9 = shape;
      return this.anyConstraints__T__Lamf_plugins_domain_shapes_models_AnyShape__sci_List(context, x9)
    } else {
      $m_sci_List$();
      return $m_sci_Nil$()
    }
  };
  validationLiteralId__T__T(id) {
    const name = (id + "_validation");
    if ((((((name.length | 0) >= 0) && (name.substring(0, ("http://".length | 0)) === "http://")) || (((name.length | 0) >= 0) && (name.substring(0, ("https://".length | 0)) === "https://"))) || (((name.length | 0) >= 0) && (name.substring(0, ("file:".length | 0)) === "file:")))) {
      return name
    } else {
      const this$16 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$16, name).iri__T()
    }
  };
  checkEnum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Values$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const valuesArray = x2.value$2;
      const jsx$2 = valuesArray.scalars__sc_Seq();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$33$2) {
          const x$33 = x$33$2;
          return x$33.toString__T()
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const values = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be within the values (", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, values.mkString__T__T(",")]));
      const this$2 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$964 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "value").iri__T();
      const x$965 = (validation.name$1 + "_validation_enum/prop");
      const x$966 = new $c_s_Some().init___O(msg);
      const x$968 = $m_s_None$();
      const x$969 = $m_s_None$();
      const x$970 = $m_s_None$();
      const x$971 = $m_s_None$();
      const x$972 = $m_s_None$();
      const x$973 = $m_s_None$();
      const x$974 = $m_s_None$();
      const x$975 = $m_s_None$();
      const x$976 = $m_s_None$();
      const x$977 = $m_s_None$();
      const x$978 = $m_s_None$();
      const x$979 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const x$980 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$964, x$965, x$966, x$968, x$969, x$970, x$971, x$972, x$973, x$974, x$975, x$976, x$977, x$978, x$979, values, x$980);
      const jsx$4 = validation.propertyConstraints$1;
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$17 = $m_sc_Seq$();
      const x$981 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$17.ReusableCBFInstance$2);
      const x$982 = validation.name$1;
      const x$983 = validation.message$1;
      const x$984 = validation.ramlMessage$1;
      const x$985 = validation.oasMessage$1;
      const x$986 = validation.targetInstance$1;
      const x$987 = validation.targetClass$1;
      const x$988 = validation.targetObject$1;
      const x$989 = validation.unionConstraints$1;
      const x$990 = validation.andConstraints$1;
      const x$991 = validation.xoneConstraints$1;
      const x$992 = validation.notConstraint$1;
      const x$993 = validation.nodeConstraints$1;
      const x$994 = validation.closed$1;
      const x$995 = validation.functionConstraint$1;
      const x$996 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$982, x$983, x$984, x$985, x$986, x$987, x$988, x$989, x$990, x$991, x$992, x$981, x$993, x$994, x$995, x$996)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  effectiveDataType__Lamf_core_model_domain_Shape__s_Option(scalar) {
    const this$1 = this.shape$1.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$34 = arg1;
      x1 = new $c_s_Some().init___O(x$34.toString__T())
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const datatype = x2.value$2;
      const this$2 = this.shape$1.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
      let format;
      if (this$2.isEmpty__Z()) {
        format = $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const x$35 = arg1$1;
        format = new $c_s_Some().init___O(x$35.toString__T())
      };
      const x1$2 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().typeDef__T__T__Lamf_plugins_domain_shapes_models_TypeDef(datatype, (format.isEmpty__Z() ? "" : format.get__O()));
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$();
      if ((x === x1$2)) {
        const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        return new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "number").iri__T())
      } else {
        return new $c_s_Some().init___O(datatype)
      }
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  nodeConstraints__T__Lamf_plugins_domain_shapes_models_NodeShape__sci_List(context, node) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Object at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    const elem = $m_sci_Nil$();
    const nestedConstraints = new $c_sr_ObjectRef().init___O(elem);
    const x$222 = this.validationId__Lamf_core_model_domain_Shape__T(node);
    const x$224 = new $c_s_Some().init___O(msg);
    const x$225 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$5 = new $c_scm_ListBuffer().init___();
    const x$226 = this$5.toList__sci_List();
    const x$227 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$228 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$229 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$230 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$21 = new $c_scm_ListBuffer().init___();
    const x$231 = this$21.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$25 = new $c_scm_ListBuffer().init___();
    const x$232 = this$25.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$233 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$30 = new $c_scm_ListBuffer().init___();
    const x$234 = this$30.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$235 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$236 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$237 = $m_s_None$();
    const elem$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$222, msg, x$224, x$225, x$228, x$226, x$229, x$230, x$231, x$232, x$233, x$227, x$234, x$235, x$236, x$237);
    const validation = new $c_sr_ObjectRef().init___O(elem$1);
    node.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1, node$1, nestedConstraints$1, validation$1) {
      return (function(property$2) {
        const property = property$2;
        const this$35 = property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$36 = this$35.option$1;
        const str = (this$36.isEmpty__Z() ? null : this$36.get__O());
        const this$38 = new $c_Lamf_core_utils_package$Strings().init___T(str);
        const this$39 = this$38.platform$1;
        const url = this$38.str$1;
        const encodedName = $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$39, url);
        const jsx$2 = nestedConstraints$1.elem$1;
        const jsx$1 = $this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([encodedName]))), property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
        const this$40 = $m_sci_List$();
        nestedConstraints$1.elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$40.ReusableCBFInstance$2);
        const propertyValidationId = $this.validationId__Lamf_core_model_domain_Shape__T(property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
        const this$41 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const propertyId = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$41, encodedName).iri__T();
        const jsx$4 = $this.validationId__Lamf_core_model_domain_Shape__T(node$1);
        const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_validation_node_prop_", ""]));
        const this$43 = property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$44 = this$43.option$1;
        const x$239 = (("" + jsx$4) + jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$44.isEmpty__Z() ? null : this$44.get__O())])));
        const jsx$5 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " at ", " must have a valid value"]));
        const this$45 = property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$46 = this$45.option$1;
        const x$240 = new $c_s_Some().init___O(jsx$5.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$46.isEmpty__Z() ? null : this$46.get__O()), context$1])));
        const x$241 = new $c_s_Some().init___O(propertyValidationId);
        const x$242 = $m_s_None$();
        const x$243 = $m_s_None$();
        const x$244 = $m_s_None$();
        const x$245 = $m_s_None$();
        const x$246 = $m_s_None$();
        const x$247 = $m_s_None$();
        const x$248 = $m_s_None$();
        const x$249 = $m_s_None$();
        const x$250 = $m_s_None$();
        const x$251 = $m_s_None$();
        const x$252 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$61 = new $c_scm_ListBuffer().init___();
        const x$253 = this$61.toList__sci_List();
        const x$254 = $m_s_None$();
        const nodeConstraint = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(propertyId, x$239, x$240, x$242, x$243, x$244, x$245, x$246, x$247, x$248, x$249, x$250, x$241, x$251, x$252, x$253, x$254);
        const qual$7 = validation$1.elem$1;
        const jsx$7 = validation$1.elem$1.propertyConstraints$1;
        const jsx$6 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([nodeConstraint]));
        const this$63 = $m_sc_Seq$();
        const x$255 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$63.ReusableCBFInstance$2);
        const x$256 = qual$7.name$1;
        const x$257 = qual$7.message$1;
        const x$258 = qual$7.ramlMessage$1;
        const x$259 = qual$7.oasMessage$1;
        const x$260 = qual$7.targetInstance$1;
        const x$261 = qual$7.targetClass$1;
        const x$262 = qual$7.targetObject$1;
        const x$263 = qual$7.unionConstraints$1;
        const x$264 = qual$7.andConstraints$1;
        const x$265 = qual$7.xoneConstraints$1;
        const x$266 = qual$7.notConstraint$1;
        const x$267 = qual$7.nodeConstraints$1;
        const x$268 = qual$7.closed$1;
        const x$269 = qual$7.functionConstraint$1;
        const x$270 = qual$7.custom$1;
        validation$1.elem$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$256, x$257, x$258, x$259, x$260, x$261, x$262, x$263, x$264, x$265, x$266, x$255, x$267, x$268, x$269, x$270);
        validation$1.elem$1 = $this.checkMinCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([encodedName]))), property, validation$1.elem$1, property);
        validation$1.elem$1 = $this.checkMaxCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([encodedName]))), property, validation$1.elem$1, property)
      })
    })(this, context, node, nestedConstraints, validation)));
    const qual$8 = validation.elem$1;
    const jsx$10 = validation.elem$1.propertyConstraints$1;
    const jsx$9 = $m_sc_Seq$();
    const x$271 = ($m_Lamf_core_vocabulary_Namespace$().AmfValidation$1.base$1 + "/properties");
    const x$272 = (("" + this.validationId__Lamf_core_model_domain_Shape__T(node)) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_validation_node_prop_properties"])).s__sc_Seq__T($m_sci_Nil$()));
    const x$273 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property /properties at ", " must have a valid value"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context])));
    const x$274 = new $c_s_Some().init___O(($m_Lamf_core_vocabulary_Namespace$().AmfValidation$1.base$1 + "/properties"));
    const x$275 = $m_s_None$();
    const x$276 = $m_s_None$();
    const x$277 = $m_s_None$();
    const x$278 = $m_s_None$();
    const x$279 = $m_s_None$();
    const x$280 = $m_s_None$();
    const x$281 = $m_s_None$();
    const x$282 = $m_s_None$();
    const x$283 = $m_s_None$();
    const x$284 = $m_s_None$();
    const x$285 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$78 = new $c_scm_ListBuffer().init___();
    const x$286 = this$78.toList__sci_List();
    const x$287 = $m_s_None$();
    const jsx$8 = jsx$9.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$271, x$272, x$273, x$275, x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$283, x$274, x$284, x$285, x$286, x$287)]));
    const this$80 = $m_sc_Seq$();
    const x$288 = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$80.ReusableCBFInstance$2);
    const x$289 = qual$8.name$1;
    const x$290 = qual$8.message$1;
    const x$291 = qual$8.ramlMessage$1;
    const x$292 = qual$8.oasMessage$1;
    const x$293 = qual$8.targetInstance$1;
    const x$294 = qual$8.targetClass$1;
    const x$295 = qual$8.targetObject$1;
    const x$296 = qual$8.unionConstraints$1;
    const x$297 = qual$8.andConstraints$1;
    const x$298 = qual$8.xoneConstraints$1;
    const x$299 = qual$8.notConstraint$1;
    const x$300 = qual$8.nodeConstraints$1;
    const x$301 = qual$8.closed$1;
    const x$302 = qual$8.functionConstraint$1;
    const x$303 = qual$8.custom$1;
    validation.elem$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$289, x$290, x$291, x$292, x$293, x$294, x$295, x$296, x$297, x$298, x$299, x$288, x$300, x$301, x$302, x$303);
    validation.elem$1 = this.checkClosed__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_validation_core_ValidationSpecification(validation.elem$1, node);
    validation.elem$1 = this.checkObjectType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(node, context, validation.elem$1);
    validation.elem$1 = this.checkMinProperties__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation.elem$1, node);
    validation.elem$1 = this.checkMaxProperties__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation.elem$1, node);
    return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, node, validation.elem$1, nestedConstraints.elem$1)
  };
  init___Lamf_core_model_domain_Shape(shape) {
    this.shape$1 = shape;
    return this
  };
  arrayConstraints__T__Lamf_plugins_domain_shapes_models_ArrayShape__sci_List(context, array) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    let nestedConstraints = $m_sci_Nil$();
    const x$124 = this.validationId__Lamf_core_model_domain_Shape__T(array);
    const x$126 = new $c_s_Some().init___O(msg);
    const x$127 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    const x$128 = this$4.toList__sci_List();
    const x$129 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$8 = new $c_scm_ListBuffer().init___();
    const x$130 = this$8.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$12 = new $c_scm_ListBuffer().init___();
    const x$131 = this$12.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$16 = new $c_scm_ListBuffer().init___();
    const x$132 = this$16.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$20 = new $c_scm_ListBuffer().init___();
    const x$133 = this$20.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$24 = new $c_scm_ListBuffer().init___();
    const x$134 = this$24.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$135 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$29 = new $c_scm_ListBuffer().init___();
    const x$136 = this$29.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$137 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$138 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$139 = $m_s_None$();
    let validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$124, msg, x$126, x$127, x$130, x$128, x$131, x$132, x$133, x$134, x$135, x$129, x$136, x$137, x$138, x$139);
    if (array.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).isDefined__Z()) {
      const jsx$2 = nestedConstraints;
      const jsx$1 = this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((context + "/items"), array.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
      const this$33 = $m_sci_List$();
      nestedConstraints = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$33.ReusableCBFInstance$2);
      const itemsValidationId = (this.validationId__Lamf_core_model_domain_Shape__T(array) + "/prop");
      const this$34 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
      const x$140 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$34, "member").iri__T();
      const x$142 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array items at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context])));
      const x$143 = new $c_s_Some().init___O(this.validationId__Lamf_core_model_domain_Shape__T(array.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)));
      const x$144 = $m_s_None$();
      const x$145 = $m_s_None$();
      const x$146 = $m_s_None$();
      const x$147 = $m_s_None$();
      const x$148 = $m_s_None$();
      const x$149 = $m_s_None$();
      const x$150 = $m_s_None$();
      const x$151 = $m_s_None$();
      const x$152 = $m_s_None$();
      const x$153 = $m_s_None$();
      const x$154 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$50 = new $c_scm_ListBuffer().init___();
      const x$155 = this$50.toList__sci_List();
      const x$156 = $m_s_None$();
      const itemsConstraint = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$140, itemsValidationId, x$142, x$144, x$145, x$146, x$147, x$148, x$149, x$150, x$151, x$152, x$143, x$153, x$154, x$155, x$156);
      const qual$5 = validation;
      const jsx$4 = validation.propertyConstraints$1;
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([itemsConstraint]));
      const this$52 = $m_sc_Seq$();
      const x$157 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$52.ReusableCBFInstance$2);
      const x$158 = qual$5.name$1;
      const x$159 = qual$5.message$1;
      const x$160 = qual$5.ramlMessage$1;
      const x$161 = qual$5.oasMessage$1;
      const x$162 = qual$5.targetInstance$1;
      const x$163 = qual$5.targetClass$1;
      const x$164 = qual$5.targetObject$1;
      const x$165 = qual$5.unionConstraints$1;
      const x$166 = qual$5.andConstraints$1;
      const x$167 = qual$5.xoneConstraints$1;
      const x$168 = qual$5.notConstraint$1;
      const x$169 = qual$5.nodeConstraints$1;
      const x$170 = qual$5.closed$1;
      const x$171 = qual$5.functionConstraint$1;
      const x$172 = qual$5.custom$1;
      validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$158, x$159, x$160, x$161, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$157, x$169, x$170, x$171, x$172)
    };
    validation = this.checkMinItems__T__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_core_validation_core_ValidationSpecification(context, validation, array);
    validation = this.checkMaxItems__T__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_core_validation_core_ValidationSpecification(context, validation, array);
    validation = this.checkArrayType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(array, context, validation);
    return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, array, validation, nestedConstraints)
  };
  checkMaximum__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const maximum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be smaller than or equal to ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, maximum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$733 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$734 = (validation.name$1 + "_validation_maximum/prop");
      const x$735 = new $c_s_Some().init___O(msg);
      const x$736 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([maximum])));
      const x$737 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$738 = $m_s_None$();
      const x$739 = $m_s_None$();
      const x$740 = $m_s_None$();
      const x$741 = $m_s_None$();
      const x$742 = $m_s_None$();
      const x$743 = $m_s_None$();
      const x$744 = $m_s_None$();
      const x$745 = $m_s_None$();
      const x$746 = $m_s_None$();
      const x$747 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$748 = this$16.toList__sci_List();
      const x$749 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$733, x$734, x$735, x$738, x$739, x$740, x$741, x$742, x$743, x$744, x$745, x$736, x$746, x$737, x$747, x$748, x$749);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$750 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$751 = validation.name$1;
      const x$752 = validation.message$1;
      const x$753 = validation.ramlMessage$1;
      const x$754 = validation.oasMessage$1;
      const x$755 = validation.targetInstance$1;
      const x$756 = validation.targetClass$1;
      const x$757 = validation.targetObject$1;
      const x$758 = validation.unionConstraints$1;
      const x$759 = validation.andConstraints$1;
      const x$760 = validation.xoneConstraints$1;
      const x$761 = validation.notConstraint$1;
      const x$762 = validation.nodeConstraints$1;
      const x$763 = validation.closed$1;
      const x$764 = validation.functionConstraint$1;
      const x$765 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$751, x$752, x$753, x$754, x$755, x$756, x$757, x$758, x$759, x$760, x$761, x$750, x$762, x$763, x$764, x$765)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkArrayType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(shape, context, validation) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be an array"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$519 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "type").iri__T();
    const x$520 = (validation.name$1 + "_validation_type/prop");
    const x$521 = new $c_s_Some().init___O(msg);
    const jsx$2 = $m_sc_Seq$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Seq").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$522 = jsx$2.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Array").iri__T()]));
    const x$523 = $m_s_None$();
    const x$524 = $m_s_None$();
    const x$525 = $m_s_None$();
    const x$526 = $m_s_None$();
    const x$527 = $m_s_None$();
    const x$528 = $m_s_None$();
    const x$529 = $m_s_None$();
    const x$530 = $m_s_None$();
    const x$531 = $m_s_None$();
    const x$532 = $m_s_None$();
    const x$533 = $m_s_None$();
    const x$534 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$535 = $m_s_None$();
    const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$519, x$520, x$521, x$523, x$524, x$525, x$526, x$527, x$528, x$529, x$530, x$531, x$532, x$533, x$534, x$522, x$535);
    const jsx$4 = validation.propertyConstraints$1;
    const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
    const this$20 = $m_sc_Seq$();
    const x$536 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$20.ReusableCBFInstance$2);
    const x$537 = validation.name$1;
    const x$538 = validation.message$1;
    const x$539 = validation.ramlMessage$1;
    const x$540 = validation.oasMessage$1;
    const x$541 = validation.targetInstance$1;
    const x$542 = validation.targetClass$1;
    const x$543 = validation.targetObject$1;
    const x$544 = validation.unionConstraints$1;
    const x$545 = validation.andConstraints$1;
    const x$546 = validation.xoneConstraints$1;
    const x$547 = validation.notConstraint$1;
    const x$548 = validation.nodeConstraints$1;
    const x$549 = validation.closed$1;
    const x$550 = validation.functionConstraint$1;
    const x$551 = validation.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$537, x$538, x$539, x$540, x$541, x$542, x$543, x$544, x$545, x$546, x$547, x$536, x$548, x$549, x$550, x$551)
  };
  checkMinItems__T__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const itemsMinimum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Number of items at ", " must be greater than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, itemsMinimum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
      const x$898 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "member").iri__T();
      const x$899 = (validation.name$1 + "_validation_minItems/prop");
      const x$900 = new $c_s_Some().init___O(msg);
      const x$901 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([itemsMinimum])));
      const x$902 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$903 = $m_s_None$();
      const x$904 = $m_s_None$();
      const x$905 = $m_s_None$();
      const x$906 = $m_s_None$();
      const x$907 = $m_s_None$();
      const x$908 = $m_s_None$();
      const x$909 = $m_s_None$();
      const x$910 = $m_s_None$();
      const x$911 = $m_s_None$();
      const x$912 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$913 = this$16.toList__sci_List();
      const x$914 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$898, x$899, x$900, x$903, x$904, x$901, x$905, x$906, x$907, x$908, x$909, x$910, x$911, x$902, x$912, x$913, x$914);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$915 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$916 = validation.name$1;
      const x$917 = validation.message$1;
      const x$918 = validation.ramlMessage$1;
      const x$919 = validation.oasMessage$1;
      const x$920 = validation.targetInstance$1;
      const x$921 = validation.targetClass$1;
      const x$922 = validation.targetObject$1;
      const x$923 = validation.unionConstraints$1;
      const x$924 = validation.andConstraints$1;
      const x$925 = validation.xoneConstraints$1;
      const x$926 = validation.notConstraint$1;
      const x$927 = validation.nodeConstraints$1;
      const x$928 = validation.closed$1;
      const x$929 = validation.functionConstraint$1;
      const x$930 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$916, x$917, x$918, x$919, x$920, x$921, x$922, x$923, x$924, x$925, x$926, x$915, x$927, x$928, x$929, x$930)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  nilConstraints__T__Lamf_plugins_domain_shapes_models_NilShape__sci_List(context, nil) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property at ", " must be null"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const x$337 = this.validationId__Lamf_core_model_domain_Shape__T(nil);
    const x$339 = new $c_s_Some().init___O(msg);
    const x$340 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$3 = new $c_scm_ListBuffer().init___();
    const x$341 = this$3.toList__sci_List();
    const jsx$1 = $m_sc_Seq$();
    const this$4 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$320 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "value").iri__T();
    const x$321 = (nil.id$1 + "_validation_range/prop");
    const x$322 = new $c_s_Some().init___O(msg);
    const this$6 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const x$323 = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$6, "nil").iri__T());
    const x$324 = $m_s_None$();
    const x$325 = $m_s_None$();
    const x$326 = $m_s_None$();
    const x$327 = $m_s_None$();
    const x$328 = $m_s_None$();
    const x$329 = $m_s_None$();
    const x$330 = $m_s_None$();
    const x$331 = $m_s_None$();
    const x$332 = $m_s_None$();
    const x$333 = $m_s_None$();
    const x$334 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$22 = new $c_scm_ListBuffer().init___();
    const x$335 = this$22.toList__sci_List();
    const x$336 = $m_s_None$();
    const x$342 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$320, x$321, x$322, x$324, x$325, x$326, x$327, x$328, x$329, x$330, x$331, x$332, x$333, x$323, x$334, x$335, x$336)]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$27 = new $c_scm_ListBuffer().init___();
    const x$343 = this$27.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$31 = new $c_scm_ListBuffer().init___();
    const x$344 = this$31.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$35 = new $c_scm_ListBuffer().init___();
    const x$345 = this$35.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$39 = new $c_scm_ListBuffer().init___();
    const x$346 = this$39.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$43 = new $c_scm_ListBuffer().init___();
    const x$347 = this$43.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$348 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$48 = new $c_scm_ListBuffer().init___();
    const x$349 = this$48.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$350 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$351 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$352 = $m_s_None$();
    const validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$337, msg, x$339, x$340, x$343, x$341, x$344, x$345, x$346, x$347, x$348, x$342, x$349, x$350, x$351, x$352);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation]);
    const this$53 = $m_sci_List$();
    const cbf = this$53.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  tupleConstraints__T__Lamf_plugins_domain_shapes_models_TupleShape__sci_List(context, tuple) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Tuple at ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    const elem = $m_sci_Nil$();
    const nestedConstraints = new $c_sr_ObjectRef().init___O(elem);
    const x$173 = this.validationId__Lamf_core_model_domain_Shape__T(tuple);
    const x$175 = new $c_s_Some().init___O(msg);
    const x$176 = new $c_s_Some().init___O(msg);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$5 = new $c_scm_ListBuffer().init___();
    const x$177 = this$5.toList__sci_List();
    const x$178 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$179 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$180 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$181 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$21 = new $c_scm_ListBuffer().init___();
    const x$182 = this$21.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$25 = new $c_scm_ListBuffer().init___();
    const x$183 = this$25.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$184 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$30 = new $c_scm_ListBuffer().init___();
    const x$185 = this$30.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$186 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$187 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$188 = $m_s_None$();
    let validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$173, msg, x$175, x$176, x$179, x$177, x$180, x$181, x$182, x$183, x$184, x$178, x$185, x$186, x$187, x$188);
    const jsx$5 = tuple.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
    const this$34 = $m_sc_Seq$();
    const jsx$4 = jsx$5.zipWithIndex__scg_CanBuildFrom__O(this$34.ReusableCBFInstance$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1, nestedConstraints$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const item = x0$1.$$und1__O();
          const i = x0$1.$$und2$mcI$sp__I();
          const jsx$3 = nestedConstraints$1.elem$1;
          const jsx$2 = $this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/items/"])).s__sc_Seq__T($m_sci_Nil$())), item);
          const this$35 = $m_sci_List$();
          nestedConstraints$1.elem$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$35.ReusableCBFInstance$2);
          const itemsValidationId = ($this.validationId__Lamf_core_model_domain_Shape__T(item) + "/prop");
          const this$36 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
          const id = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["pos", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i]));
          const x$189 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$36, id).iri__T();
          const x$191 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Tupe items at ", "/items pos ", " must be valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context$1, i])));
          const x$192 = new $c_s_Some().init___O($this.validationId__Lamf_core_model_domain_Shape__T(item));
          const x$193 = $m_s_None$();
          const x$194 = $m_s_None$();
          const x$195 = $m_s_None$();
          const x$196 = $m_s_None$();
          const x$197 = $m_s_None$();
          const x$198 = $m_s_None$();
          const x$199 = $m_s_None$();
          const x$200 = $m_s_None$();
          const x$201 = $m_s_None$();
          const x$202 = $m_s_None$();
          const x$203 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$52 = new $c_scm_ListBuffer().init___();
          const x$204 = this$52.toList__sci_List();
          const x$205 = $m_s_None$();
          return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$189, itemsValidationId, x$191, x$193, x$194, x$195, x$196, x$197, x$198, x$199, x$200, x$201, x$192, x$202, x$203, x$204, x$205)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, context, nestedConstraints));
    const this$54 = $m_sc_Seq$();
    const itemsConstraints = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$1, this$54.ReusableCBFInstance$2);
    const qual$6 = validation;
    const jsx$6 = validation.propertyConstraints$1;
    const this$55 = $m_sc_Seq$();
    const x$206 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(itemsConstraints, this$55.ReusableCBFInstance$2);
    const x$207 = qual$6.name$1;
    const x$208 = qual$6.message$1;
    const x$209 = qual$6.ramlMessage$1;
    const x$210 = qual$6.oasMessage$1;
    const x$211 = qual$6.targetInstance$1;
    const x$212 = qual$6.targetClass$1;
    const x$213 = qual$6.targetObject$1;
    const x$214 = qual$6.unionConstraints$1;
    const x$215 = qual$6.andConstraints$1;
    const x$216 = qual$6.xoneConstraints$1;
    const x$217 = qual$6.notConstraint$1;
    const x$218 = qual$6.nodeConstraints$1;
    const x$219 = qual$6.closed$1;
    const x$220 = qual$6.functionConstraint$1;
    const x$221 = qual$6.custom$1;
    validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$207, x$208, x$209, x$210, x$211, x$212, x$213, x$214, x$215, x$216, x$217, x$206, x$218, x$219, x$220, x$221);
    validation = this.checkMinItems__T__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_core_validation_core_ValidationSpecification(context, validation, tuple);
    validation = this.checkMaxItems__T__Lamf_core_validation_core_ValidationSpecification__Lamf_plugins_domain_shapes_models_DataArrangementShape__Lamf_core_validation_core_ValidationSpecification(context, validation, tuple);
    validation = this.checkArrayType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(tuple, context, validation);
    return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, tuple, validation, nestedConstraints.elem$1)
  };
  unionConstraints__T__Lamf_plugins_domain_shapes_models_UnionShape__sci_List(context, union) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be one of the valid union types"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    $m_sci_List$();
    const elem = $m_sci_Nil$();
    const nestedConstraints = new $c_sr_ObjectRef().init___O(elem);
    const count = new $c_sr_IntRef().init___I(0);
    union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, context$1, nestedConstraints$1, count$1) {
      return (function(shape$2) {
        const shape = shape$2;
        const jsx$2 = nestedConstraints$1.elem$1;
        const jsx$1 = $this.emitShapeValidations__T__Lamf_core_model_domain_Shape__sci_List((("" + context$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/union_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([count$1.elem$1]))), shape);
        const this$4 = $m_sci_List$();
        nestedConstraints$1.elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
        count$1.elem$1 = ((1 + count$1.elem$1) | 0)
      })
    })(this, context, nestedConstraints, count)));
    const x$108 = this.validationId__Lamf_core_model_domain_Shape__T(union);
    const x$110 = new $c_s_Some().init___O(msg);
    const x$111 = new $c_s_Some().init___O(msg);
    const jsx$4 = union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(s$2) {
        const s = s$2;
        return this$2$1.validationId__Lamf_core_model_domain_Shape__T(s)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const x$112 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$9 = new $c_scm_ListBuffer().init___();
    const x$113 = this$9.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$13 = new $c_scm_ListBuffer().init___();
    const x$114 = this$13.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$17 = new $c_scm_ListBuffer().init___();
    const x$115 = this$17.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$21 = new $c_scm_ListBuffer().init___();
    const x$116 = this$21.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$25 = new $c_scm_ListBuffer().init___();
    const x$117 = this$25.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$118 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$30 = new $c_scm_ListBuffer().init___();
    const x$119 = this$30.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$34 = new $c_scm_ListBuffer().init___();
    const x$120 = this$34.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$121 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$122 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$123 = $m_s_None$();
    const validation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$108, msg, x$110, x$111, x$113, x$114, x$115, x$112, x$116, x$117, x$118, x$119, x$120, x$121, x$122, x$123);
    return this.checkLogicalConstraints__T__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification__sci_List__sci_List(context, union, validation, nestedConstraints.elem$1)
  };
  checkMaximumExclusive__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_Shape__Lamf_core_validation_core_ValidationSpecification(context, validation, shape) {
    const x1 = shape.fields__Lamf_core_parser_Fields().$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const exclusiveMaximum = x2.value$2;
      const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be smaller than ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, exclusiveMaximum]));
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const x$799 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value").iri__T();
      const x$800 = (validation.name$1 + "_validation_exclusiveMaximum/prop");
      const x$801 = new $c_s_Some().init___O(msg);
      const x$802 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([exclusiveMaximum])));
      const x$803 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
      const x$804 = $m_s_None$();
      const x$805 = $m_s_None$();
      const x$806 = $m_s_None$();
      const x$807 = $m_s_None$();
      const x$808 = $m_s_None$();
      const x$809 = $m_s_None$();
      const x$810 = $m_s_None$();
      const x$811 = $m_s_None$();
      const x$812 = $m_s_None$();
      const x$813 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$16 = new $c_scm_ListBuffer().init___();
      const x$814 = this$16.toList__sci_List();
      const x$815 = $m_s_None$();
      const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$799, x$800, x$801, x$804, x$805, x$806, x$807, x$808, x$809, x$802, x$810, x$811, x$812, x$803, x$813, x$814, x$815);
      const jsx$2 = validation.propertyConstraints$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
      const this$18 = $m_sc_Seq$();
      const x$816 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      const x$817 = validation.name$1;
      const x$818 = validation.message$1;
      const x$819 = validation.ramlMessage$1;
      const x$820 = validation.oasMessage$1;
      const x$821 = validation.targetInstance$1;
      const x$822 = validation.targetClass$1;
      const x$823 = validation.targetObject$1;
      const x$824 = validation.unionConstraints$1;
      const x$825 = validation.andConstraints$1;
      const x$826 = validation.xoneConstraints$1;
      const x$827 = validation.notConstraint$1;
      const x$828 = validation.nodeConstraints$1;
      const x$829 = validation.closed$1;
      const x$830 = validation.functionConstraint$1;
      const x$831 = validation.custom$1;
      return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$817, x$818, x$819, x$820, x$821, x$822, x$823, x$824, x$825, x$826, x$827, x$816, x$828, x$829, x$830, x$831)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return validation
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkMinCount__T__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_validation_core_ValidationSpecification(context, property, validation, shape) {
    const x1 = shape.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const minCount = x2.value$2;
      if (($numberIntValue(minCount.toNumber__jl_Number()) > 0)) {
        const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must have min. cardinality ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context, minCount]));
        const this$6 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const this$1 = shape.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$2 = this$1.option$1;
        const str = (this$2.isEmpty__Z() ? null : this$2.get__O());
        const this$4 = new $c_Lamf_core_utils_package$Strings().init___T(str);
        const this$5 = this$4.platform$1;
        const url = this$4.str$1;
        const id = $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$5, url);
        const x$552 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$6, id).iri__T();
        const jsx$1 = validation.name$1;
        const this$8 = property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$9 = this$8.option$1;
        const str$1 = (this$9.isEmpty__Z() ? null : this$9.get__O());
        const this$11 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
        const this$12 = this$11.platform$1;
        const url$1 = this$11.str$1;
        const x$553 = (((jsx$1 + "_") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$12, url$1)) + "_validation_minCount/prop");
        const x$554 = new $c_s_Some().init___O(msg);
        const x$555 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([minCount])));
        const x$556 = this.effectiveDataType__Lamf_core_model_domain_Shape__s_Option(shape);
        const x$557 = $m_s_None$();
        const x$558 = $m_s_None$();
        const x$559 = $m_s_None$();
        const x$560 = $m_s_None$();
        const x$561 = $m_s_None$();
        const x$562 = $m_s_None$();
        const x$563 = $m_s_None$();
        const x$564 = $m_s_None$();
        const x$565 = $m_s_None$();
        const x$566 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$26 = new $c_scm_ListBuffer().init___();
        const x$567 = this$26.toList__sci_List();
        const x$568 = $m_s_None$();
        const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$552, x$553, x$554, x$557, x$558, x$555, x$559, x$560, x$561, x$562, x$563, x$564, x$565, x$556, x$566, x$567, x$568);
        const jsx$3 = validation.propertyConstraints$1;
        const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
        const this$28 = $m_sc_Seq$();
        const x$569 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$28.ReusableCBFInstance$2);
        const x$570 = validation.name$1;
        const x$571 = validation.message$1;
        const x$572 = validation.ramlMessage$1;
        const x$573 = validation.oasMessage$1;
        const x$574 = validation.targetInstance$1;
        const x$575 = validation.targetClass$1;
        const x$576 = validation.targetObject$1;
        const x$577 = validation.unionConstraints$1;
        const x$578 = validation.andConstraints$1;
        const x$579 = validation.xoneConstraints$1;
        const x$580 = validation.notConstraint$1;
        const x$581 = validation.nodeConstraints$1;
        const x$582 = validation.closed$1;
        const x$583 = validation.functionConstraint$1;
        const x$584 = validation.custom$1;
        return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$570, x$571, x$572, x$573, x$574, x$575, x$576, x$577, x$578, x$579, x$580, x$569, x$581, x$582, x$583, x$584)
      }
    };
    return validation
  };
  validationId__Lamf_core_model_domain_Shape__T(shape) {
    if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      const x2 = shape;
      if (x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1).option$1.isDefined__Z()) {
        const this$1 = x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1);
        const this$2 = this$1.option$1;
        return this.validationLiteralId__T__T((this$2.isEmpty__Z() ? null : this$2.get__O()))
      }
    };
    return this.validationLiteralId__T__T(shape.id$1)
  };
  checkObjectType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(shape, context, validation) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be an object"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$486 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "type").iri__T();
    const x$487 = (validation.name$1 + "_validation_type/prop");
    const x$488 = new $c_s_Some().init___O(msg);
    const jsx$1 = $m_sc_Seq$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$489 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Object").iri__T()]));
    const x$490 = $m_s_None$();
    const x$491 = $m_s_None$();
    const x$492 = $m_s_None$();
    const x$493 = $m_s_None$();
    const x$494 = $m_s_None$();
    const x$495 = $m_s_None$();
    const x$496 = $m_s_None$();
    const x$497 = $m_s_None$();
    const x$498 = $m_s_None$();
    const x$499 = $m_s_None$();
    const x$500 = $m_s_None$();
    const x$501 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$502 = $m_s_None$();
    const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$486, x$487, x$488, x$490, x$491, x$492, x$493, x$494, x$495, x$496, x$497, x$498, x$499, x$500, x$501, x$489, x$502);
    const jsx$3 = validation.propertyConstraints$1;
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
    const this$18 = $m_sc_Seq$();
    const x$503 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$18.ReusableCBFInstance$2);
    const x$504 = validation.name$1;
    const x$505 = validation.message$1;
    const x$506 = validation.ramlMessage$1;
    const x$507 = validation.oasMessage$1;
    const x$508 = validation.targetInstance$1;
    const x$509 = validation.targetClass$1;
    const x$510 = validation.targetObject$1;
    const x$511 = validation.unionConstraints$1;
    const x$512 = validation.andConstraints$1;
    const x$513 = validation.xoneConstraints$1;
    const x$514 = validation.notConstraint$1;
    const x$515 = validation.nodeConstraints$1;
    const x$516 = validation.closed$1;
    const x$517 = validation.functionConstraint$1;
    const x$518 = validation.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$504, x$505, x$506, x$507, x$508, x$509, x$510, x$511, x$512, x$513, x$514, x$503, x$515, x$516, x$517, x$518)
  };
  checkScalarType__Lamf_core_model_domain_Shape__T__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(shape, context, validation) {
    const msg = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Data at ", " must be a scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([context]));
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$453 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "type").iri__T();
    const x$454 = (validation.name$1 + "_validation_type/prop");
    const x$455 = new $c_s_Some().init___O(msg);
    const jsx$1 = $m_sc_Seq$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$456 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Scalar").iri__T()]));
    const x$457 = $m_s_None$();
    const x$458 = $m_s_None$();
    const x$459 = $m_s_None$();
    const x$460 = $m_s_None$();
    const x$461 = $m_s_None$();
    const x$462 = $m_s_None$();
    const x$463 = $m_s_None$();
    const x$464 = $m_s_None$();
    const x$465 = $m_s_None$();
    const x$466 = $m_s_None$();
    const x$467 = $m_s_None$();
    const x$468 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$469 = $m_s_None$();
    const propertyValidation = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$453, x$454, x$455, x$457, x$458, x$459, x$460, x$461, x$462, x$463, x$464, x$465, x$466, x$467, x$468, x$456, x$469);
    const jsx$3 = validation.propertyConstraints$1;
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyValidation]));
    const this$18 = $m_sc_Seq$();
    const x$470 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$18.ReusableCBFInstance$2);
    const x$471 = validation.name$1;
    const x$472 = validation.message$1;
    const x$473 = validation.ramlMessage$1;
    const x$474 = validation.oasMessage$1;
    const x$475 = validation.targetInstance$1;
    const x$476 = validation.targetClass$1;
    const x$477 = validation.targetObject$1;
    const x$478 = validation.unionConstraints$1;
    const x$479 = validation.andConstraints$1;
    const x$480 = validation.xoneConstraints$1;
    const x$481 = validation.notConstraint$1;
    const x$482 = validation.nodeConstraints$1;
    const x$483 = validation.closed$1;
    const x$484 = validation.functionConstraint$1;
    const x$485 = validation.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$471, x$472, x$473, x$474, x$475, x$476, x$477, x$478, x$479, x$480, x$481, x$470, x$482, x$483, x$484, x$485)
  };
}
const $d_Lamf_plugins_document_webapi_validation_AMFShapeValidations = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFShapeValidations: 0
}, false, "amf.plugins.document.webapi.validation.AMFShapeValidations", {
  Lamf_plugins_document_webapi_validation_AMFShapeValidations: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFShapeValidations.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFShapeValidations;
class $c_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector extends $c_O {
  constructor() {
    super();
    this.model$1 = null
  };
  findExtensionsWithTypes__sc_Seq() {
    const this$6 = this.model$1;
    const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_core_model_domain_extensions_DomainExtension(x0$1)) {
          const x2 = x0$1;
          const this$1 = $m_s_Option$().apply__O__s_Option(x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1));
          if ((!this$1.isEmpty__Z())) {
            const arg1 = this$1.get__O();
            const definition = arg1;
            if ($m_s_Option$().apply__O__s_Option(definition.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1)).isDefined__Z()) {
              const jsx$2 = $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$();
              const this$2 = definition.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
              const this$3 = this$2.option$1;
              return jsx$2.resolveAnnotation__T__s_Option((("(" + (this$3.isEmpty__Z() ? null : this$3.get__O())) + ")")).isDefined__Z()
            } else {
              return false
            }
          } else {
            return false
          }
        } else {
          return false
        }
      })
    })(this));
    const cycles = $m_sci_Set$EmptySet$();
    const jsx$3 = $f_Lamf_core_model_document_BaseUnit__findBy__F1__sci_Set__sc_Seq(this$6, predicate, cycles);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1
      })
    })(this));
    const this$7 = $m_sc_Seq$();
    return jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform) {
    this.model$1 = model;
    return this
  };
  collect__sc_Seq() {
    const domainExtensionsWithTypes = this.findExtensionsWithTypes__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(extension$2) {
        const extension = extension$2;
        const extensionPayload = extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1);
        const this$1 = extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1);
        const extensionShape = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
        const fragment = $m_Lamf_core_model_document_PayloadFragment$().apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(extensionPayload, "application/yaml");
        return new $c_Lamf_core_validation_ValidationCandidate().init___Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment(extensionShape, fragment)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    return domainExtensionsWithTypes.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
}
const $d_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector: 0
}, false, "amf.plugins.document.webapi.validation.AnnotationsCandidatesCollector", {
  Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector;
class $c_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform__sc_Seq(model, platform) {
    return new $c_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector().init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform).collect__sc_Seq()
  };
}
const $d_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$: 0
}, false, "amf.plugins.document.webapi.validation.AnnotationsCandidatesCollector$", {
  Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$;
let $n_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$)) {
    $n_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$ = new $c_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$
});
class $c_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__sc_Seq(model) {
    return new $c_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector().init___Lamf_core_model_document_BaseUnit(model).collect__sc_Seq()
  };
}
const $d_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$: 0
}, false, "amf.plugins.document.webapi.validation.ExamplesCandidatesCollector$", {
  Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$;
let $n_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$)) {
    $n_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$ = new $c_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$
});
class $c_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector extends $c_O {
  constructor() {
    super();
    this.model$1 = null;
    this.idCounter$1 = null
  };
  init___Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = model;
    this.idCounter$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
    return this
  };
  findExamples__sc_Seq() {
    const this$5 = this.model$1;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const shapeType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Shape").iri__T();
    const cycles = $m_sci_Set$EmptySet$();
    const jsx$4 = $f_Lamf_core_model_document_BaseUnit__findByType__T__sci_Set__sc_Seq(this$5, shapeType, cycles);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$2)) {
          const x2 = x0$2;
          const jsx$3 = x2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
          const jsx$2 = new $c_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1().init___Lamf_plugins_document_webapi_validation_ExamplesValidationCollector__Lamf_plugins_domain_shapes_models_AnyShape($this, x2);
          const this$6 = $m_sc_Seq$();
          return jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2)
        } else {
          return $m_sci_Nil$()
        }
      })
    })(this));
    const this$7 = $m_sc_Seq$();
    const allExamples = jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
    return allExamples
  };
  collect__sc_Seq() {
    const examples = this.findExamples__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const shape = x0$1.$$und1__O();
          const example = x0$1.$$und2__O();
          return new $c_Lamf_core_validation_ValidationCandidate().init___Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment(shape, $this.buildFragment__p1__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_Example__Lamf_core_model_document_PayloadFragment(shape, example))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return examples.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  buildFragment__p1__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_Example__Lamf_core_model_document_PayloadFragment(shape, example) {
    const this$1 = example.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1).option$1;
    let mediaType;
    if (this$1.isEmpty__Z()) {
      const jsx$1 = $m_Lamf_core_utils_package$MediaTypeMatcher$();
      const this$2 = example.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1);
      const this$3 = this$2.option$1;
      const content = (this$3.isEmpty__Z() ? null : this$3.get__O());
      mediaType = jsx$1.guessMediaType$extension__T__Z__T(content, $is_Lamf_plugins_domain_shapes_models_ScalarShape(shape))
    } else {
      mediaType = this$1.get__O()
    };
    const this$5 = example.fields$1;
    const f = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1;
    let fragment;
    if (this$5.fs$1.contains__O__Z(f)) {
      fragment = $m_Lamf_core_model_document_PayloadFragment$().apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(example.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1), mediaType)
    } else {
      const jsx$2 = $m_Lamf_core_model_document_PayloadFragment$();
      const this$6 = example.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1);
      const this$7 = this$6.option$1;
      fragment = jsx$2.apply__T__T__Lamf_core_model_document_PayloadFragment((this$7.isEmpty__Z() ? null : this$7.get__O()), mediaType)
    };
    const this$8 = fragment.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1);
    const value = example.id$1;
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value);
    return fragment
  };
}
const $d_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ExamplesValidationCollector: 0
}, false, "amf.plugins.document.webapi.validation.ExamplesValidationCollector", {
  Lamf_plugins_document_webapi_validation_ExamplesValidationCollector: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector;
class $c_Lamf_plugins_document_webapi_validation_JsCustomValidations$ extends $c_O {
  constructor() {
    super();
    this.functions$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = this;
    const this$3 = new $c_sci_StringOps().init___T("|function(shape) {\n         |  //console.log(JSON.stringify(shape));\n         |  var minimum = shape[\"shacl:minInclusive\"];\n         |  var maximum = shape[\"shacl:maxInclusive\"];\n         |  if (minimum == undefined || maximum == undefined) return true;\n         |  else return (parseFloat(minimum) <= parseFloat(maximum));\n         |}\n      ");
    const y = $f_sci_StringLike__stripMargin__C__T(this$3, 124);
    const jsx$3 = new $c_T2().init___O__O("minimumMaximumValidation", y);
    const this$7 = new $c_sci_StringOps().init___T("|function(shape) {\n         |  //console.log(JSON.stringify(shape));\n         |  var minCount = shape[\"shacl:minCount\"];\n         |  var maxCount = shape[\"shacl:maxCount\"];\n         |  if (minCount == undefined || maxCount == undefined) return true;\n         |  else return (parseInt(minCount) <= parseInt(maxCount));\n         |}\n      ");
    const y$1 = $f_sci_StringLike__stripMargin__C__T(this$7, 124);
    const jsx$2 = new $c_T2().init___O__O("minMaxItemsValidation", y$1);
    const this$11 = new $c_sci_StringOps().init___T("|function(shape) {\n         |  //console.log(JSON.stringify(shape));\n         |  var minLength = shape[\"shacl:minLength\"];\n         |  var maxLength = shape[\"shacl:maxLength\"];\n         |  if (minLength == undefined || maxLength == undefined) return true;\n         |  else return (parseInt(minLength) <= parseInt(maxLength));\n         |}\n      ");
    const y$2 = $f_sci_StringLike__stripMargin__C__T(this$11, 124);
    const jsx$1 = new $c_T2().init___O__O("minMaxLengthValidation", y$2);
    const this$15 = new $c_sci_StringOps().init___T("|function(shape) {\n         |  //console.log(JSON.stringify(shape));\n         |  var minProperties = shape[\"raml-shapes:minProperties\"];\n         |  var maxProperties = shape[\"raml-shapes:maxProperties\"];\n         |  if (minProperties == undefined || maxProperties == undefined) return true;\n         |  else return (parseInt(minProperties) <= parseInt(maxProperties));\n         |}\n      ");
    const y$3 = $f_sci_StringLike__stripMargin__C__T(this$15, 124);
    const array = [jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("minMaxPropertiesValidation", y$3)];
    const this$18 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$18.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    this.functions$1 = this$18.elems$1;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_JsCustomValidations$: 0
}, false, "amf.plugins.document.webapi.validation.JsCustomValidations$", {
  Lamf_plugins_document_webapi_validation_JsCustomValidations$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_JsCustomValidations$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_JsCustomValidations$;
let $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_JsCustomValidations$)) {
    $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$ = new $c_Lamf_plugins_document_webapi_validation_JsCustomValidations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_JsCustomValidations$
});
class $c_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector extends $c_O {
  constructor() {
    super();
    this.model$1 = null
  };
  toFacetsDefinitionShape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape(shape, facetDefinitions) {
    if ((facetDefinitions.length__I() === 1)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const value = (shape.id$1 + "Shape");
      const facetsShape = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
      const properties = facetDefinitions.head__O().values__sc_Iterable().toSeq__sc_Seq();
      const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(facetsShape, field, properties)
    } else {
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$8 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const value$1 = (shape.id$1 + "Shape");
      const facetsShape$2 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value$1);
      const counter = new $c_sr_IntRef().init___I(0);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shape$1, counter$1) {
        return (function(facetsMap$2) {
          const facetsMap = facetsMap$2;
          const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
          const this$13 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
          const value$2 = ((shape$1.id$1 + "Shape") + counter$1.elem$1);
          const facetsUnionShape = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$13, value$2);
          counter$1.elem$1 = ((1 + counter$1.elem$1) | 0);
          const this$14 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(facetsMap);
          const properties$1 = this$14.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
          return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(facetsUnionShape, field$1, properties$1)
        })
      })(this, shape, counter));
      const this$15 = $m_sc_Seq$();
      const anyOfShapes = facetDefinitions.map__F1__scg_CanBuildFrom__O(jsx$1, this$15.ReusableCBFInstance$2);
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(facetsShape$2, field$2, anyOfShapes)
    }
  };
  findShapesWithFacets__sc_Seq() {
    const jsx$5 = $m_sc_Seq$();
    const jsx$4 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().type$1.head__O().iri__T();
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().type$1.head__O().iri__T();
    const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().type$1.head__O().iri__T();
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().type$1.head__O().iri__T();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const typesWithShapes = jsx$5.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$4, jsx$3, jsx$2, jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DomainProperty").iri__T()]));
    const this$5 = this.model$1;
    const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, typesWithShapes$1) {
      return (function(element$2) {
        const element = element$2;
        return element.graph__Lamf_core_model_domain_Graph().types__sc_Seq().exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, typesWithShapes$1$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return typesWithShapes$1$1.contains__O__Z(x$1)
          })
        })($this, typesWithShapes$1)))
      })
    })(this, typesWithShapes));
    const cycles = $m_sci_Set$EmptySet$();
    const encodedShapes = $f_Lamf_core_model_document_BaseUnit__findBy__F1__sci_Set__sc_Seq(this$5, predicate, cycles);
    const x1 = this.model$1;
    let declaredShapes;
    if ($is_Lamf_core_model_document_DeclaresModel(x1)) {
      const jsx$7 = x1.declares__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          return $is_Lamf_core_model_domain_Shape(x$2)
        })
      })(this)));
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return x$3
        })
      })(this));
      const this$6 = $m_sc_Seq$();
      declaredShapes = jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$6.ReusableCBFInstance$2)
    } else {
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$9 = new $c_scm_ListBuffer().init___();
      declaredShapes = this$9.toList__sci_List()
    };
    const this$10 = $m_sc_Seq$();
    const elements = encodedShapes.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(declaredShapes, this$10.ReusableCBFInstance$2);
    const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_domain_webapi_models_Payload(x0$2)) {
          const x2 = x0$2;
          const x1$2 = $m_s_Option$().apply__O__s_Option(x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const shape = x2$2.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape, shape.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$())))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$2)) {
          const x3 = x0$2;
          const x1$3 = $m_s_Option$().apply__O__s_Option(x3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1));
          if ($is_s_Some(x1$3)) {
            const x2$3 = x1$3;
            const shape$2 = x2$3.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$2, shape$2.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$())))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_plugins_domain_webapi_models_Request(x0$2)) {
          const x4 = x0$2;
          const x1$4 = $m_s_Option$().apply__O__s_Option(x4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1));
          if ($is_s_Some(x1$4)) {
            const x2$4 = x1$4;
            const shape$3 = x2$4.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$3, shape$3.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$())))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x0$2)) {
          const x5 = x0$2;
          const x1$5 = $m_s_Option$().apply__O__s_Option(x5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1));
          if ($is_s_Some(x1$5)) {
            const x2$5 = x1$5;
            const shape$4 = x2$5.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$4, shape$4.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$())))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x0$2)) {
          const x6 = x0$2;
          const x1$6 = $m_s_Option$().apply__O__s_Option(x6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1));
          if ($is_s_Some(x1$6)) {
            const x2$6 = x1$6;
            const shape$5 = x2$6.value$2;
            return new $c_s_Some().init___O(new $c_T2().init___O__O(shape$5, shape$5.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$())))
          } else {
            return $m_s_None$()
          }
        } else if ($is_Lamf_core_model_domain_Shape(x0$2)) {
          const x7 = x0$2;
          return new $c_s_Some().init___O(new $c_T2().init___O__O(x7, x7.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$())))
        } else {
          return $m_s_None$()
        }
      })
    })(this));
    const this$17 = $m_sc_Seq$();
    const jsx$9 = elements.map__F1__scg_CanBuildFrom__O(jsx$10, this$17.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_s_Some(x0$3)) {
          const x2$1 = x0$3;
          const p3 = x2$1.value$2;
          if ((p3 !== null)) {
            const shape$1 = p3.$$und1__O();
            const facetDefinitions = p3.$$und2__O();
            if (((shape$1 !== null) && (facetDefinitions !== null))) {
              return facetDefinitions.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
                return (function(x$4$2) {
                  const x$4 = x$4$2;
                  return $f_sc_TraversableOnce__nonEmpty__Z(x$4)
                })
              })(this$5$1)))
            }
          }
        };
        return false
      })
    })(this)));
    const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.get__O()
      })
    })(this));
    const this$18 = $m_sc_Seq$();
    return jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$18.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform) {
    this.model$1 = model;
    return this
  };
  toFacetsPayload__Lamf_core_model_domain_Shape__Lamf_core_model_domain_DataNode(shape) {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = shape.annotations__Lamf_core_parser_Annotations();
    const this$3 = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = shape.id$1;
    const payload = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$3, value);
    shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field()).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
      return (function(extension$2) {
        const extension = extension$2;
        const this$4 = extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1);
        const this$5 = this$4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$6 = this$5.option$1;
        return payload$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode((this$6.isEmpty__Z() ? null : this$6.get__O()), extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().Extension$1), extension.annotations$1)
      })
    })(this, payload)));
    return payload
  };
  collect__sc_Seq() {
    const shapesWithFacets = this.findShapesWithFacets__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const shape = x0$1.$$und1__O();
          const facetDefinitions = x0$1.$$und2__O();
          if ((shape !== null)) {
            if ((facetDefinitions !== null)) {
              const effectiveShape = (($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(shape).isDefined__Z() && $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(shape).isDefined__Z()) ? $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(shape).get__O() : shape);
              const facetsPayload = $this.toFacetsPayload__Lamf_core_model_domain_Shape__Lamf_core_model_domain_DataNode(effectiveShape);
              const facetsShape = $this.toFacetsDefinitionShape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape(effectiveShape, facetDefinitions);
              const fragment = $m_Lamf_core_model_document_PayloadFragment$().apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(facetsPayload, "application/yaml");
              return new $c_Lamf_core_validation_ValidationCandidate().init___Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment(facetsShape, fragment)
            }
          }
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return shapesWithFacets.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
}
const $d_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector: 0
}, false, "amf.plugins.document.webapi.validation.ShapeFacetsCandidatesCollector", {
  Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector;
class $c_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform__sc_Seq(model, platform) {
    return new $c_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector().init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(model, platform).collect__sc_Seq()
  };
}
const $d_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$: 0
}, false, "amf.plugins.document.webapi.validation.ShapeFacetsCandidatesCollector$", {
  Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$;
let $n_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$)) {
    $n_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$ = new $c_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildValidationWithCustomLevelForProfile__Lamf_core_model_document_BaseUnit__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option = (function($thiz, model, result, messageStyle, validations) {
  const id = result.validationId$1;
  const x$6 = $f_Lamf_core_validation_ValidationResultProcessor__findLevel__T__Lamf_core_validation_EffectiveValidations__T($thiz, id, validations);
  const x$7 = result.message$1;
  const x$8 = result.targetNode$1;
  const x$9 = result.targetProperty$1;
  const x$10 = result.validationId$1;
  const x$11 = result.position$1;
  const x$12 = result.source$1;
  return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(x$7, x$6, x$8, x$9, x$10, x$11, x$12))
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V = (function($thiz) {
  $thiz.aggregatedReport$und$eq__sci_List__V($m_sci_Nil$());
  const this$1 = $m_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$().profiles__sci_List();
  const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  let acc = z;
  let these = this$1;
  while ((!these.isEmpty__Z())) {
    const arg1 = acc;
    const arg2 = these.head__O();
    const x0$1 = arg1;
    const x1$1 = arg2;
    acc = x0$1.updated__O__O__sci_Map(x1$1.name$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, profile) {
      return (function() {
        return profile
      })
    })($thiz, x1$1)));
    these = these.tail__O()
  };
  $thiz.amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(acc)
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future = (function($thiz, unresolvedUnit, profile, validations, messageStyle, platform) {
  const baseUnit = new $c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline().init___T(profile).resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unresolvedUnit);
  $thiz.aggregatedReport$und$eq__sci_List__V($m_sci_Nil$());
  return new $c_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation().init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(baseUnit, platform).validate__s_concurrent_Future().flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, profile$1, validations$1, messageStyle$1, baseUnit$1) {
    return (function(examplesResults$2) {
      const examplesResults = examplesResults$2;
      const this$1 = $m_Lamf_core_services_RuntimeValidator$();
      return this$1.validator__p1__Lamf_core_services_RuntimeValidator().shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(baseUnit$1, validations$1, messageStyle$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, profile$2, validations$1$1, messageStyle$1$1, baseUnit$1$1, examplesResults$1) {
        return (function(shaclReport$2) {
          const shaclReport = shaclReport$2;
          const this$3 = $this$1.aggregatedReport__sci_List();
          const f = (function($this$2, validations$1$2, messageStyle$1$2) {
            return (function(r$2) {
              const r = r$2;
              return $f_Lamf_core_validation_ValidationResultProcessor__processAggregatedResult__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_AMFValidationResult($this$2, r, messageStyle$1$2, validations$1$2)
            })
          })($this$1, validations$1$1, messageStyle$1$1);
          const this$2 = $m_sci_List$();
          const bf = this$2.ReusableCBFInstance$2;
          let results;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$3 === $m_sci_Nil$())) {
              results = $m_sci_Nil$()
            } else {
              const arg1 = this$3.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
              let t = h;
              let rest = this$3.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$1 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              results = h
            }
          } else {
            const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
            let these = this$3;
            while ((!these.isEmpty__Z())) {
              const arg1$2 = these.head__O();
              b.$$plus$eq__O__scm_Builder(f(arg1$2));
              these = these.tail__O()
            };
            results = b.result__O()
          };
          const jsx$3 = results;
          const this$5 = shaclReport.results__sci_List();
          const f$1 = (function(this$2$1, validations$1$3, messageStyle$1$3, baseUnit$1$2) {
            return (function(r$3$2) {
              const r$3 = r$3$2;
              return $f_Lamf_core_validation_ValidationResultProcessor__buildValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option(this$2$1, baseUnit$1$2, r$3, messageStyle$1$3, validations$1$3)
            })
          })($this$1, validations$1$1, messageStyle$1$1, baseUnit$1$1);
          const this$4 = $m_sci_List$();
          const bf$1 = this$4.ReusableCBFInstance$2;
          let jsx$1;
          if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$5 === $m_sci_Nil$())) {
              jsx$1 = $m_sci_Nil$()
            } else {
              const arg1$3 = this$5.head__O();
              const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
              let t$1 = h$1;
              let rest$1 = this$5.tail__O();
              while ((rest$1 !== $m_sci_Nil$())) {
                const arg1$4 = rest$1.head__O();
                const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
                t$1.tl$5 = nx$1;
                t$1 = nx$1;
                rest$1 = rest$1.tail__O()
              };
              jsx$1 = h$1
            }
          } else {
            const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
            let these$1 = this$5;
            while ((!these$1.isEmpty__Z())) {
              const arg1$5 = these$1.head__O();
              b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
              these$1 = these$1.tail__O()
            };
            jsx$1 = b$1.result__O()
          };
          const this$7 = jsx$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              return x$1.isDefined__Z()
            })
          })($this$1)));
          const f$2 = (function(this$4$1) {
            return (function(x$2$2) {
              const x$2 = x$2$2;
              return x$2.get__O()
            })
          })($this$1);
          const this$6 = $m_sci_List$();
          const bf$2 = this$6.ReusableCBFInstance$2;
          let jsx$2;
          if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$7 === $m_sci_Nil$())) {
              jsx$2 = $m_sci_Nil$()
            } else {
              const arg1$6 = this$7.head__O();
              const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$6), $m_sci_Nil$());
              let t$2 = h$2;
              let rest$2 = this$7.tail__O();
              while ((rest$2 !== $m_sci_Nil$())) {
                const arg1$7 = rest$2.head__O();
                const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$7), $m_sci_Nil$());
                t$2.tl$5 = nx$2;
                t$2 = nx$2;
                rest$2 = rest$2.tail__O()
              };
              jsx$2 = h$2
            }
          } else {
            const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$7, bf$2);
            let these$2 = this$7;
            while ((!these$2.isEmpty__Z())) {
              const arg1$8 = these$2.head__O();
              b$2.$$plus$eq__O__scm_Builder(f$2(arg1$8));
              these$2 = these$2.tail__O()
            };
            jsx$2 = b$2.result__O()
          };
          const this$8 = $m_sci_List$();
          results = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$8.ReusableCBFInstance$2);
          const jsx$8 = results;
          const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, validations$1$4, messageStyle$1$4, baseUnit$1$3) {
            return (function(r$4$2) {
              const r$4 = r$4$2;
              return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildValidationWithCustomLevelForProfile__Lamf_core_model_document_BaseUnit__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option(this$5$1, baseUnit$1$3, r$4, messageStyle$1$4, validations$1$4)
            })
          })($this$1, validations$1$1, messageStyle$1$1, baseUnit$1$1));
          const this$9 = $m_sc_Seq$();
          const jsx$6 = examplesResults$1.map__F1__scg_CanBuildFrom__O(jsx$7, this$9.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
            return (function(x$3$2) {
              const x$3 = x$3$2;
              return x$3.isDefined__Z()
            })
          })($this$1)));
          const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
            return (function(x$4$2) {
              const x$4 = x$4$2;
              return x$4.get__O()
            })
          })($this$1));
          const this$10 = $m_sc_Seq$();
          const jsx$4 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$10.ReusableCBFInstance$2);
          const this$11 = $m_sci_List$();
          results = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2);
          const this$12 = results;
          let jsx$9;
          inlinereturn$63: {
            let these$3 = this$12;
            while ((!these$3.isEmpty__Z())) {
              const arg1$9 = these$3.head__O();
              const x$5 = arg1$9;
              if ((x$5.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
                jsx$9 = true;
                break inlinereturn$63
              };
              these$3 = these$3.tail__O()
            };
            jsx$9 = false
          };
          return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$9), baseUnit$1$1.id__T(), profile$2, results)
        })
      })($this, profile$1, validations$1, messageStyle$1, baseUnit$1, examplesResults)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    })
  })($thiz, profile, validations, messageStyle, baseUnit)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
});
const $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildPayloadValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_EffectiveValidations__s_Option = (function($thiz, model, result, validations) {
  const thiz = result.sourceShape__T();
  const prefix = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
  let validationSpecToLook;
  if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
    const thiz$1 = result.sourceShape__T();
    const target = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
    validationSpecToLook = thiz$1.split(target).join("")
  } else {
    validationSpecToLook = result.sourceShape__T()
  };
  const x1 = validations.all$1.get__O__s_Option(validationSpecToLook);
  let maybeTargetSpec;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const validationSpec = x2.value$2;
    maybeTargetSpec = new $c_s_Some().init___O(validationSpec)
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$8 = validations.all$1;
    const this$9 = this$8.iterator__sc_Iterator();
    let x1$2$1;
    inlinereturn$13: {
      while (this$9.hasNext__Z()) {
        const a = this$9.next__O();
        const x0$2 = a;
        if ((x0$2 === null)) {
          throw new $c_s_MatchError().init___O(x0$2)
        };
        const v = x0$2.$$und1__O();
        const validation = x0$2.$$und2__O();
        const x1$2 = validation.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validationSpecToLook$1) {
          return (function(p$2) {
            const p = p$2;
            return (p.name$1 === validationSpecToLook$1)
          })
        })($thiz, validationSpecToLook)));
        let jsx$1;
        if ($is_s_Some(x1$2)) {
          jsx$1 = true
        } else {
          const x$1 = $m_s_None$();
          if ((!(x$1 === x1$2))) {
            throw new $c_s_MatchError().init___O(x1$2)
          };
          jsx$1 = (((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, (v.length | 0)) === v))
        };
        if (jsx$1) {
          x1$2$1 = new $c_s_Some().init___O(a);
          break inlinereturn$13
        }
      };
      x1$2$1 = $m_s_None$()
    };
    matchEnd6: {
      if ($is_s_Some(x1$2$1)) {
        const x2$2 = x1$2$1;
        const p3 = x2$2.value$2;
        if ((p3 !== null)) {
          const spec = p3.$$und2__O();
          maybeTargetSpec = new $c_s_Some().init___O(spec);
          break matchEnd6
        }
      };
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2$1)) {
        if ((!(((validationSpecToLook.length | 0) >= 0) && (validationSpecToLook.substring(0, ("_:".length | 0)) === "_:")))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find validation spec for validation error:\\n ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([result]))))
        };
        maybeTargetSpec = $m_s_None$();
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1$2$1)
    }
  };
  if ($is_s_Some(maybeTargetSpec)) {
    const x2$3 = maybeTargetSpec;
    const targetSpec = x2$3.value$2;
    const propertyConstraint = targetSpec.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, validationSpecToLook$2) {
      return (function(p$2$1) {
        const p$1 = p$2$1;
        return (p$1.name$1 === validationSpecToLook$2)
      })
    })($thiz, validationSpecToLook)));
    let message;
    if ($is_s_Some(propertyConstraint)) {
      const x2$4 = propertyConstraint;
      const p$3 = x2$4.value$2;
      const this$20 = p$3.message$1;
      message = (this$20.isEmpty__Z() ? targetSpec.message$1 : this$20.get__O())
    } else {
      const x$5 = $m_s_None$();
      if ((!(x$5 === propertyConstraint))) {
        throw new $c_s_MatchError().init___O(propertyConstraint)
      };
      message = targetSpec.message$1
    };
    if (($m_s_Option$().apply__O__s_Option(message).isEmpty__Z() || (message === ""))) {
      const this$21 = result.message__s_Option();
      message = (this$21.isEmpty__Z() ? "Constraint violation" : this$21.get__O())
    };
    let finalId;
    if ($is_s_Some(propertyConstraint)) {
      const x2$5 = propertyConstraint;
      const p$4 = x2$5.value$2;
      finalId = p$4.name$1
    } else {
      const x$7 = $m_s_None$();
      if ((!(x$7 === propertyConstraint))) {
        throw new $c_s_MatchError().init___O(propertyConstraint)
      };
      finalId = targetSpec.name$1
    };
    const severity = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const validation$1 = $m_Lamf_core_validation_AMFValidationResult$().fromSHACLValidation__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_AMFValidationResult(model, message, severity, result);
    const message$1 = validation$1.message$1;
    const level = validation$1.level$1;
    const targetNode = validation$1.targetNode$1;
    const targetProperty = validation$1.targetProperty$1;
    const position = validation$1.position$1;
    const source = validation$1.source$1;
    return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message$1, level, targetNode, targetProperty, finalId, position, source))
  } else {
    return $m_s_None$()
  }
});
class $c_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ extends $c_O {
  constructor() {
    super();
    this.webapi$1 = null;
    this.documentationItem$1 = null;
    this.endpoint$1 = null;
    this.operation$1 = null;
    this.response$1 = null;
    this.request$1 = null;
    this.payload$1 = null;
    this.shape$1 = null;
    this.example$1 = null;
    this.resourceType$1 = null;
    this.trait$1 = null;
    this.securityScheme$1 = null;
    this.securitySettings$1 = null;
    this.customDomainProperty$1 = null;
    this.library$1 = null;
    this.overlay$1 = null;
    this.extension$1 = null;
    this.uriToRaml$1 = null;
    this.ramlToUri$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.webapi$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "WebAPI").iri__T();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.documentationItem$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "DocumentationItem").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.endpoint$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "EndPoint").iri__T();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.operation$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Operation").iri__T();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.response$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Response").iri__T();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.request$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Request").iri__T();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.payload$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "Payload").iri__T();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.shape$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "Shape").iri__T();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.example$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "Example").iri__T();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.resourceType$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "ResourceType").iri__T();
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.trait$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "Trait").iri__T();
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.securityScheme$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "SecurityScheme").iri__T();
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.securitySettings$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "SecuritySettings").iri__T();
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.customDomainProperty$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "CustomDomainProperty").iri__T();
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.library$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "Module").iri__T();
    const this$31 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.overlay$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, "AbstractDocument").iri__T();
    const this$33 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.extension$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "PartialDocument").iri__T();
    const self = this.webapi$1;
    const jsx$16 = new $c_T2().init___O__O(self, "API");
    const self$1 = this.documentationItem$1;
    const jsx$15 = new $c_T2().init___O__O(self$1, "DocumentationItem");
    const self$2 = this.endpoint$1;
    const jsx$14 = new $c_T2().init___O__O(self$2, "Resource");
    const self$3 = this.operation$1;
    const jsx$13 = new $c_T2().init___O__O(self$3, "Method");
    const self$4 = this.response$1;
    const jsx$12 = new $c_T2().init___O__O(self$4, "Response");
    const self$5 = this.request$1;
    const jsx$11 = new $c_T2().init___O__O(self$5, "RequestBody");
    const self$6 = this.payload$1;
    const jsx$10 = new $c_T2().init___O__O(self$6, "ResponseBody");
    const self$7 = this.shape$1;
    const jsx$9 = new $c_T2().init___O__O(self$7, "TypeDeclaration");
    const self$8 = this.example$1;
    const jsx$8 = new $c_T2().init___O__O(self$8, "Example");
    const self$9 = this.resourceType$1;
    const jsx$7 = new $c_T2().init___O__O(self$9, "ResourceType");
    const self$10 = this.trait$1;
    const jsx$6 = new $c_T2().init___O__O(self$10, "Trait");
    const self$11 = this.securityScheme$1;
    const jsx$5 = new $c_T2().init___O__O(self$11, "SecurityScheme");
    const self$12 = this.securitySettings$1;
    const jsx$4 = new $c_T2().init___O__O(self$12, "SecuritySchemeSettings");
    const self$13 = this.customDomainProperty$1;
    const jsx$3 = new $c_T2().init___O__O(self$13, "AnnotationType");
    const self$14 = this.library$1;
    const jsx$2 = new $c_T2().init___O__O(self$14, "Library");
    const self$15 = this.overlay$1;
    const jsx$1 = new $c_T2().init___O__O(self$15, "Overlay");
    const self$16 = this.extension$1;
    const array = [jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O(self$16, "Extension")];
    const this$70 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$70.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    this.uriToRaml$1 = this$70.elems$1;
    const this$74 = this.uriToRaml$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const k = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          return new $c_T2().init___O__O(v, k)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$73 = $m_sci_Map$();
    const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$73);
    this.ramlToUri$1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$74, f, bf);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$: 0
}, false, "amf.plugins.document.webapi.vocabulary.VocabularyMappings$", {
  Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$.prototype.$classData = $d_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$;
let $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = (void 0);
const $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$)) {
    $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$ = new $c_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().init___()
  };
  return $n_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$
});
class $c_Lamf_plugins_domain_VocabulariesRegister$ extends $c_O {
  init___() {
    return this
  };
  register__Lamf_core_remote_Platform__V(platform) {
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return $is_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel(x)
      })
    })(this));
    const builder = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_client_model_domain_DialectDomainElement().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    platform.wrappersRegistryFn__scm_HashMap().put__O__O__s_Option(p, builder);
    const model = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$();
    const builder$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x0$2)) {
          const x2$1 = x0$2;
          return new $c_Lamf_client_model_domain_ClassTerm().init___Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x2$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model, builder$1);
    const model$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$();
    const builder$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_External(x0$3)) {
          const x2$2 = x0$3;
          return new $c_Lamf_client_model_domain_External().init___Lamf_plugins_document_vocabularies_model_domain_External(x2$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$1, builder$2);
    const model$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$();
    const builder$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$4)) {
          const x2$3 = x0$4;
          return new $c_Lamf_client_model_domain_NodeMapping().init___Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x2$3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$2, builder$3);
    const model$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$();
    const builder$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(x0$5)) {
          const x2$4 = x0$5;
          return new $c_Lamf_client_model_domain_PropertyMapping().init___Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(x2$4)
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$3, builder$4);
    const model$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$();
    const builder$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm(x0$6)) {
          const x2$5 = x0$6;
          return new $c_Lamf_client_model_domain_ObjectPropertyTerm().init___Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm(x2$5)
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$4, builder$5);
    const model$5 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$();
    const builder$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm(x0$7)) {
          const x2$6 = x0$7;
          return new $c_Lamf_client_model_domain_DatatypePropertyTerm().init___Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm(x2$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$5, builder$6);
    const model$6 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$();
    const builder$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(x0$8)) {
          const x2$7 = x0$8;
          return new $c_Lamf_client_model_domain_PublicNodeMapping().init___Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(x2$7)
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$6, builder$7);
    const model$7 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$();
    const builder$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(x0$9)) {
          const x2$8 = x0$9;
          return new $c_Lamf_client_model_domain_DocumentMapping().init___Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(x2$8)
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$7, builder$8);
    const model$8 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$();
    const builder$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(x0$10)) {
          const x2$9 = x0$10;
          return new $c_Lamf_client_model_domain_DocumentsModel().init___Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(x2$9)
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$8, builder$9);
    const model$9 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$();
    const builder$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference(x0$11)) {
          const x2$10 = x0$11;
          return new $c_Lamf_client_model_domain_VocabularyReference().init___Lamf_plugins_document_vocabularies_model_domain_VocabularyReference(x2$10)
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$9, builder$10);
    const model$10 = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$();
    const builder$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13) {
      return (function(x0$12$2) {
        const x0$12 = x0$12$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(x0$12)) {
          const x2$11 = x0$12;
          return new $c_Lamf_client_model_document_Vocabulary().init___Lamf_plugins_document_vocabularies_model_document_Vocabulary(x2$11)
        } else {
          throw new $c_s_MatchError().init___O(x0$12)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$10, builder$11);
    const model$11 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$();
    const builder$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14) {
      return (function(x0$13$2) {
        const x0$13 = x0$13$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(x0$13)) {
          const x2$12 = x0$13;
          return new $c_Lamf_client_model_document_Dialect().init___Lamf_plugins_document_vocabularies_model_document_Dialect(x2$12)
        } else {
          throw new $c_s_MatchError().init___O(x0$13)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$11, builder$12);
    const model$12 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$();
    const builder$13 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$15) {
      return (function(x0$14$2) {
        const x0$14 = x0$14$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x0$14)) {
          const x2$13 = x0$14;
          return new $c_Lamf_client_model_document_DialectFragment().init___Lamf_plugins_document_vocabularies_model_document_DialectFragment(x2$13)
        } else {
          throw new $c_s_MatchError().init___O(x0$14)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$12, builder$13);
    const model$13 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$();
    const builder$14 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$16) {
      return (function(x0$15$2) {
        const x0$15 = x0$15$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x0$15)) {
          const x2$14 = x0$15;
          return new $c_Lamf_client_model_document_DialectLibrary().init___Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x2$14)
        } else {
          throw new $c_s_MatchError().init___O(x0$15)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$13, builder$14);
    const model$14 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$();
    const builder$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$17) {
      return (function(x0$16$2) {
        const x0$16 = x0$16$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(x0$16)) {
          const x2$15 = x0$16;
          return new $c_Lamf_client_model_document_DialectInstance().init___Lamf_plugins_document_vocabularies_model_document_DialectInstance(x2$15)
        } else {
          throw new $c_s_MatchError().init___O(x0$16)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$14, builder$15);
    const model$15 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$();
    const builder$16 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$18) {
      return (function(x0$17$2) {
        const x0$17 = x0$17$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(x0$17)) {
          const x2$16 = x0$17;
          return new $c_Lamf_client_model_document_DialectInstanceFragment().init___Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(x2$16)
        } else {
          throw new $c_s_MatchError().init___O(x0$17)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$15, builder$16);
    const model$16 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$();
    const builder$17 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$19) {
      return (function(x0$18$2) {
        const x0$18 = x0$18$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary(x0$18)) {
          const x2$17 = x0$18;
          return new $c_Lamf_client_model_document_DialectInstanceLibrary().init___Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary(x2$17)
        } else {
          throw new $c_s_MatchError().init___O(x0$18)
        }
      })
    })(this));
    $f_Lamf_core_remote_Platform__registerWrapper__Lamf_core_metamodel_Obj__F1__s_Option(platform, model$16, builder$17);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
}
const $d_Lamf_plugins_domain_VocabulariesRegister$ = new $TypeData().initClass({
  Lamf_plugins_domain_VocabulariesRegister$: 0
}, false, "amf.plugins.domain.VocabulariesRegister$", {
  Lamf_plugins_domain_VocabulariesRegister$: 1,
  O: 1
});
$c_Lamf_plugins_domain_VocabulariesRegister$.prototype.$classData = $d_Lamf_plugins_domain_VocabulariesRegister$;
let $n_Lamf_plugins_domain_VocabulariesRegister$ = (void 0);
const $m_Lamf_plugins_domain_VocabulariesRegister$ = (function() {
  if ((!$n_Lamf_plugins_domain_VocabulariesRegister$)) {
    $n_Lamf_plugins_domain_VocabulariesRegister$ = new $c_Lamf_plugins_domain_VocabulariesRegister$().init___()
  };
  return $n_Lamf_plugins_domain_VocabulariesRegister$
});
class $c_Lamf_plugins_domain_shapes_models_AnyShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_AnyShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_AnyShape$: 0
}, false, "amf.plugins.domain.shapes.models.AnyShape$", {
  Lamf_plugins_domain_shapes_models_AnyShape$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_models_AnyShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_AnyShape$;
let $n_Lamf_plugins_domain_shapes_models_AnyShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_AnyShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_AnyShape$)) {
    $n_Lamf_plugins_domain_shapes_models_AnyShape$ = new $c_Lamf_plugins_domain_shapes_models_AnyShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_AnyShape$
});
class $c_Lamf_plugins_domain_shapes_models_CreativeWork$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_CreativeWork(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_CreativeWork$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_CreativeWork$: 0
}, false, "amf.plugins.domain.shapes.models.CreativeWork$", {
  Lamf_plugins_domain_shapes_models_CreativeWork$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_models_CreativeWork$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_CreativeWork$;
let $n_Lamf_plugins_domain_shapes_models_CreativeWork$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_CreativeWork$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_CreativeWork$)) {
    $n_Lamf_plugins_domain_shapes_models_CreativeWork$ = new $c_Lamf_plugins_domain_shapes_models_CreativeWork$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_CreativeWork$
});
class $c_Lamf_plugins_domain_shapes_models_Example$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_Example$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_Example$: 0
}, false, "amf.plugins.domain.shapes.models.Example$", {
  Lamf_plugins_domain_shapes_models_Example$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_models_Example$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_Example$;
let $n_Lamf_plugins_domain_shapes_models_Example$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_Example$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_Example$)) {
    $n_Lamf_plugins_domain_shapes_models_Example$ = new $c_Lamf_plugins_domain_shapes_models_Example$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_Example$
});
class $c_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ extends $c_O {
  init___() {
    return this
  };
  type08Def__T__Lamf_plugins_domain_shapes_models_TypeDef(iri) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()
    } else {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T())) {
        return $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()
      } else {
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "float").iri__T())) {
          return $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$()
        } else {
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "number").iri__T())) {
            return $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()
          } else {
            const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "boolean").iri__T())) {
              return $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()
            } else {
              const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "dateTime").iri__T())) {
                return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()
              } else {
                const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "file").iri__T())) {
                  return $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$()
                } else {
                  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown mapping: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([iri]))))
                }
              }
            }
          }
        }
      }
    }
  };
  typeDef__T__T__Lamf_plugins_domain_shapes_models_TypeDef(iri, format) {
    const x1 = this.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(iri);
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
    if ((x === x1)) {
      return ((format === "int32") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$() : ((format === "int64") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$() : ((format === "float") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$() : ((format === "double") ? $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$() : $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()))))
    } else {
      return x1
    }
  };
  typeDef08__T__T(iri) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T())) {
      return "string"
    } else {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T())) {
        return "integer"
      } else {
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "number").iri__T())) {
          return "number"
        } else {
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float").iri__T())) {
            return "number"
          } else {
            const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "double").iri__T())) {
              return "number"
            } else {
              const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "boolean").iri__T())) {
                return "boolean"
              } else {
                const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "dateTime").iri__T())) {
                  return "date"
                } else {
                  const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                  if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "file").iri__T())) {
                    return "file"
                  } else {
                    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown mapping: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([iri]))))
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(iri) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T())) {
      return $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$()
    } else {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T())) {
        return $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$()
      } else {
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "long").iri__T())) {
          return $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$()
        } else {
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float").iri__T())) {
            return $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$()
          } else {
            const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "double").iri__T())) {
              return $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$()
            } else {
              const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
              if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "number").iri__T())) {
                return $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$()
              } else {
                const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "boolean").iri__T())) {
                  return $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$()
                } else {
                  const this$15 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "dateTime").iri__T())) {
                    return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$()
                  } else {
                    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                    if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "dateTimeOnly").iri__T())) {
                      return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$()
                    } else {
                      const this$19 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                      if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "time").iri__T())) {
                        return $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$()
                      } else {
                        const this$21 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                        if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "date").iri__T())) {
                          return $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$()
                        } else {
                          const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "byte").iri__T())) {
                            return $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$()
                          } else {
                            const this$25 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                            if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "base64Binary").iri__T())) {
                              return $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$()
                            } else {
                              const this$27 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                              if ((iri === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "password").iri__T())) {
                                return $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$()
                              } else {
                                return $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$()
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$: 0
}, false, "amf.plugins.domain.shapes.parser.TypeDefXsdMapping$", {
  Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$.prototype.$classData = $d_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$;
let $n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = (void 0);
const $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$)) {
    $n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$ = new $c_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$
});
class $c_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ extends $c_O {
  init___() {
    return this
  };
  xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(typeDef) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
    let jsx$1;
    if ((x === typeDef)) {
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string")
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
      if ((x$3 === typeDef)) {
        const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer")
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$();
        if ((x$5 === typeDef)) {
          const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "long")
        } else {
          const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$();
          if ((x$7 === typeDef)) {
            const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float")
          } else {
            const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$();
            if ((x$9 === typeDef)) {
              const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "double")
            } else {
              const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$();
              if ((x$11 === typeDef)) {
                const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "number")
              } else {
                const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
                if ((x$13 === typeDef)) {
                  const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "boolean")
                } else {
                  const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$();
                  if ((x$15 === typeDef)) {
                    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                    jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "dateTime")
                  } else {
                    const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$();
                    if ((x$17 === typeDef)) {
                      const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                      jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "dateTimeOnly")
                    } else {
                      const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$();
                      if ((x$19 === typeDef)) {
                        const this$19 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                        jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "time")
                      } else {
                        const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$();
                        if ((x$21 === typeDef)) {
                          const this$21 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "date")
                        } else {
                          const x$23 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$();
                          if ((x$23 === typeDef)) {
                            const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                            jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "byte")
                          } else {
                            const x$25 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$();
                            if ((x$25 === typeDef)) {
                              const this$25 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                              jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "base64Binary")
                            } else {
                              const x$27 = $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$();
                              if ((!(x$27 === typeDef))) {
                                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T("Unknown mapping"))
                              };
                              const this$27 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                              jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "password")
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
    return jsx$1.iri__T()
  };
  xsdFromString__T__T2(text) {
    if ((text === "string")) {
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T(), new $c_s_Some().init___O(""))
    } else if (((text === "number") || ((text === "float") || (text === "double")))) {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "number").iri__T(), new $c_s_Some().init___O(""))
    } else if ((text === "integer")) {
      const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "integer").iri__T(), new $c_s_Some().init___O(""))
    } else if ((text === "date")) {
      const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "dateTime").iri__T(), new $c_s_Some().init___O("RFC2616"))
    } else if ((text === "boolean")) {
      const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "boolean").iri__T(), new $c_s_Some().init___O(""))
    } else if ((text === "file")) {
      const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
      return new $c_T2().init___O__O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "file").iri__T(), new $c_s_Some().init___O(""))
    } else {
      throw new $c_s_MatchError().init___O(text)
    }
  };
}
const $d_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$: 0
}, false, "amf.plugins.domain.shapes.parser.XsdTypeDefMapping$", {
  Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$: 1,
  O: 1
});
$c_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$.prototype.$classData = $d_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$;
let $n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = (void 0);
const $m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$)) {
    $n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$ = new $c_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape = (function($thiz, baseNode, superNode) {
  const superProperties = superNode.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
  const baseProperties = baseNode.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
  const commonProps = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
  superProperties.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, commonProps$1) {
    return (function(p$2) {
      const p = p$2;
      const this$1 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
      const this$2 = this$1.option$1;
      return commonProps$1.put__O__O__s_Option((this$2.isEmpty__Z() ? null : this$2.get__O()), false)
    })
  })($thiz, commonProps)));
  baseProperties.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, commonProps$2) {
    return (function(p$3$2) {
      const p$3 = p$3$2;
      const this$3 = p$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
      const this$4 = this$3.option$1;
      if (commonProps$2.get__O__s_Option((this$4.isEmpty__Z() ? null : this$4.get__O())).isDefined__Z()) {
        const this$5 = p$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
        const this$6 = this$5.option$1;
        return commonProps$2.put__O__O__s_Option((this$6.isEmpty__Z() ? null : this$6.get__O()), true)
      } else {
        const this$7 = p$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
        const this$8 = this$7.option$1;
        return commonProps$2.put__O__O__s_Option((this$8.isEmpty__Z() ? null : this$8.get__O()), false)
      }
    })
  })($thiz, commonProps)));
  const this$9 = $m_scm_Iterable$();
  const bf = this$9.ReusableCBFInstance$2;
  const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(commonProps, bf);
  const iterTable = commonProps.table$5;
  let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(commonProps);
  let es = iterTable.u[idx];
  while ((es !== null)) {
    const this$10 = es;
    const next = this$10.next$1;
    const arg1 = es;
    const e = arg1;
    const arg1$1 = new $c_T2().init___O__O(e.key$1, e.value$1);
    let jsx$1;
    matchEnd7: {
      const path = arg1$1.$$und1$f;
      const p2 = (!(!arg1$1.$$und2$f));
      if ((p2 === true)) {
        const superProp = superProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, path$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            const this$11 = x$2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
            return $f_Lamf_core_model_ValueField__is__O__Z(this$11, path$1)
          })
        })($thiz, path))).get__O();
        const baseProp = baseProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, path$2) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            const this$12 = x$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
            return $f_Lamf_core_model_ValueField__is__O__Z(this$12, path$2)
          })
        })($thiz, path))).get__O();
        jsx$1 = $thiz.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseProp, superProp);
        break matchEnd7
      };
      const path$2$1 = arg1$1.$$und1$f;
      const p3 = (!(!arg1$1.$$und2$f));
      if ((p3 === false)) {
        const superProp$2 = superProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, path$2$2) {
          return (function(x$4$2) {
            const x$4 = x$4$2;
            const this$13 = x$4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
            return $f_Lamf_core_model_ValueField__is__O__Z(this$13, path$2$2)
          })
        })($thiz, path$2$1)));
        const baseProp$2 = baseProperties.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, path$2$3) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            const this$14 = x$5.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
            return $f_Lamf_core_model_ValueField__is__O__Z(this$14, path$2$3)
          })
        })($thiz, path$2$1)));
        if ($thiz.keepEditingInfo__Z()) {
          let this$15;
          if (superProp$2.isEmpty__Z()) {
            this$15 = $m_s_None$()
          } else {
            const arg1$2 = superProp$2.get__O();
            const prop = arg1$2;
            this$15 = new $c_s_Some().init___O($f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__inheritProp__Lamf_core_model_domain_Shape__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape($thiz, superNode, prop))
          };
          if (this$15.isEmpty__Z()) {
            const qual$1 = baseProp$2.get__O();
            const x$7 = new $c_s_Some().init___O($thiz.errorHandler$2);
            const x$8 = $m_s_None$();
            const x$9 = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            jsx$1 = qual$1.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(x$7, x$8, x$9);
            break matchEnd7
          } else {
            jsx$1 = this$15.get__O();
            break matchEnd7
          }
        } else {
          let this$16;
          if (superProp$2.isEmpty__Z()) {
            this$16 = $m_s_None$()
          } else {
            const arg1$3 = superProp$2.get__O();
            const x$6 = arg1$3;
            this$16 = new $c_s_Some().init___O(x$6.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(new $c_s_Some().init___O($thiz.errorHandler$2), $m_s_None$(), $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())))
          };
          if (this$16.isEmpty__Z()) {
            const qual$2 = baseProp$2.get__O();
            const x$10 = new $c_s_Some().init___O($thiz.errorHandler$2);
            const x$11 = $m_s_None$();
            const x$12 = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            jsx$1 = qual$2.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(x$10, x$11, x$12);
            break matchEnd7
          } else {
            jsx$1 = this$16.get__O();
            break matchEnd7
          }
        }
      };
      throw new $c_s_MatchError().init___O(arg1$1)
    };
    b.$$plus$eq__O__scm_Builder(jsx$1);
    es = next;
    while (((es === null) && (idx > 0))) {
      idx = (((-1) + idx) | 0);
      es = iterTable.u[idx]
    }
  };
  const minProps = b.result__O();
  const x1 = $m_s_Option$().apply__O__s_Option(baseNode.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1));
  let annotations;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const field = x2.value$2;
    annotations = field.annotations$1
  } else {
    const x = $m_s_None$();
    if ((!(x === x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    annotations = new $c_Lamf_core_parser_Annotations().init___()
  };
  baseNode.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(minProps.toSeq__sc_Seq(), new $c_Lamf_core_parser_Annotations().init___()), annotations);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1, $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Examples$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseNode, superNode, filteredFields);
  return baseNode
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinAny__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_model_domain_Shape = (function($thiz, baseShape, anyShape) {
  const fields = $thiz.allShapeFields$2;
  $m_sc_Seq$();
  $m_sci_Seq$();
  const this$3 = new $c_scm_ListBuffer().init___();
  const filteredFields = this$3.toList__sci_List();
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseShape, anyShape, filteredFields);
  return baseShape
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape = (function($thiz, baseMatrix, superMatrix) {
  const superItems = baseMatrix.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const baseItems = superMatrix.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const newItems = $thiz.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseItems, superItems);
  baseMatrix.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, newItems, new $c_Lamf_core_parser_Annotations().init___());
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().fields$1;
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseMatrix, superMatrix, filteredFields);
  return baseMatrix
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__isGenericNodeShape__Lamf_core_model_domain_Shape__Z = (function($thiz, shape) {
  if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
    const x2 = shape;
    return x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).isEmpty__Z()
  } else {
    return false
  }
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape = (function($thiz, baseProperty, superProperty) {
  const newRange = $thiz.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseProperty.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1), superProperty.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
  baseProperty.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1, newRange, baseProperty.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).annotations$1);
  const fields = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseProperty, superProperty, filteredFields);
  return baseProperty
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnionNode__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape = (function($thiz, baseUnion, superNode) {
  const jsx$2 = baseUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, superNode$1) {
    return (function(baseUnionElement$2) {
      const baseUnionElement = baseUnionElement$2;
      return $this.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseUnionElement, superNode$1)
    })
  })($thiz, superNode));
  const this$1 = $m_sc_Seq$();
  const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  baseUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newUnionItems, new $c_Lamf_core_parser_Annotations().init___()), baseUnion.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseUnion, superNode, filteredFields);
  return baseUnion
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape = (function($thiz, baseUnion, superUnion) {
  let newUnionItems;
  if ((baseUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).isEmpty__Z() || superUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).isEmpty__Z())) {
    const jsx$2 = baseUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = superUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const this$1 = $m_sc_Seq$();
    newUnionItems = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  } else {
    const jsx$6 = baseUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, superUnion$1) {
      return (function(baseUnionElement$2) {
        const baseUnionElement = baseUnionElement$2;
        const jsx$5 = superUnion$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, baseUnionElement$1) {
          return (function(superUnionElement$2) {
            const superUnionElement = superUnionElement$2;
            return $this$1.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseUnionElement$1, superUnionElement)
          })
        })($this, baseUnionElement));
        const this$2 = $m_sc_Seq$();
        return jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$2.ReusableCBFInstance$2)
      })
    })($thiz, superUnion));
    const this$3 = $m_sc_Seq$();
    newUnionItems = jsx$6.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2)
  };
  baseUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newUnionItems, new $c_Lamf_core_parser_Annotations().init___()), baseUnion.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1);
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().fields__sci_List();
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseUnion, superUnion, filteredFields);
  return baseUnion
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape = (function($thiz, baseScalar, superScalar) {
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().fields$1;
  $m_sc_Seq$();
  $m_sci_Seq$();
  const this$3 = new $c_scm_ListBuffer().init___();
  const filteredFields = this$3.toList__sci_List();
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseScalar, superScalar, filteredFields);
  return baseScalar
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__$$init$__V = (function($thiz) {
  const jsx$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().fields$1;
  const jsx$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().fields$1;
  const this$1 = $m_sci_List$();
  const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$1.ReusableCBFInstance$2);
  const jsx$3 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().fields__sci_List();
  const this$2 = $m_sci_List$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2);
  const this$3 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
  const jsx$1 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$3);
  const this$4 = $m_sci_List$();
  $thiz.allShapeFields$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).distinct__O()
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape = (function($thiz, baseArray, superArray) {
  const superItems = superArray.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
  const baseItemsOption = $m_s_Option$().apply__O__s_Option(baseArray.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
  let this$1;
  if (baseItemsOption.isEmpty__Z()) {
    this$1 = $m_s_None$()
  } else {
    const arg1 = baseItemsOption.get__O();
    const baseItems = arg1;
    this$1 = new $c_s_Some().init___O($thiz.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseItems, superItems))
  };
  const newItems = (this$1.isEmpty__Z() ? $m_s_Option$().apply__O__s_Option(superItems) : this$1);
  if ((!newItems.isEmpty__Z())) {
    const arg1$1 = newItems.get__O();
    const ni = arg1$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(baseArray, field, ni)
  };
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().fields$1;
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseArray, superArray, filteredFields);
  return baseArray
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape = (function($thiz, baseShapeOrig, superShape) {
  const baseShape = baseShapeOrig.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(new $c_s_Some().init___O($thiz.errorHandler$2), baseShapeOrig.cloneShape$default$2__s_Option(), baseShapeOrig.cloneShape$default$3__sci_Set());
  let rc15 = false;
  let x6 = null;
  let rc16 = false;
  let x7 = null;
  if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(baseShape)) {
    const x2 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(superShape)) {
      const superScalar = superShape;
      const this$1 = x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      const this$2 = this$1.option$1;
      const b = (this$2.isEmpty__Z() ? null : this$2.get__O());
      const this$3 = superScalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      const this$4 = this$3.option$1;
      const s = (this$4.isEmpty__Z() ? null : this$4.get__O());
      if ((b === s)) {
        return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape($thiz, x2, superScalar)
      } else {
        const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        let jsx$1;
        if ((b === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "integer").iri__T())) {
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          jsx$1 = (s === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "float").iri__T())
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "integer").iri__T();
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
          const superScalar$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(superScalar, field, dataType);
          return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape($thiz, x2, superScalar$1)
        } else {
          throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Invalid scalar inheritance base type ", " < ", " "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([b, s])))
        }
      }
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(baseShape)) {
    const x3 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(superShape)) {
      const superArray = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape($thiz, x3, superArray)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(baseShape)) {
    const x4 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(superShape)) {
      const superArray$2 = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape($thiz, x4, superArray$2)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_TupleShape(baseShape)) {
    const x5 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_TupleShape(superShape)) {
      const superArray$3 = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape($thiz, x5, superArray$3)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_NodeShape(baseShape)) {
    rc15 = true;
    x6 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(superShape)) {
      const superNode = superShape;
      const baseNode = x6;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape($thiz, baseNode, superNode)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_UnionShape(baseShape)) {
    rc16 = true;
    x7 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(superShape)) {
      const superUnion = superShape;
      const baseUnion = x7;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape($thiz, baseUnion, superUnion)
    }
  };
  if ((rc16 && $is_Lamf_plugins_domain_shapes_models_NodeShape(superShape))) {
    const superNode$2 = superShape;
    const baseUnion$1 = x7;
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinUnionNode__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape($thiz, baseUnion$1, superNode$2)
  };
  if ((baseShape !== null)) {
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(superShape)) {
      const superUnion$2 = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinSuperUnion__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape($thiz, baseShape, superUnion$2)
    }
  };
  if ($is_Lamf_core_model_domain_extensions_PropertyShape(baseShape)) {
    const x10 = baseShape;
    if ($is_Lamf_core_model_domain_extensions_PropertyShape(superShape)) {
      const superProperty = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape($thiz, x10, superProperty)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_FileShape(baseShape)) {
    const x11 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(superShape)) {
      const superFile = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinFile__Lamf_plugins_domain_shapes_models_FileShape__Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_model_domain_Shape($thiz, x11, superFile)
    }
  };
  if ($is_Lamf_plugins_domain_shapes_models_NilShape(baseShape)) {
    const x12 = baseShape;
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(superShape)) {
      return x12
    }
  };
  if ($is_Lamf_core_model_domain_RecursiveShape(superShape)) {
    const recursiveShape = superShape;
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseShape, recursiveShape)
  };
  const x = baseShape.meta__Lamf_core_metamodel_Obj();
  const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
  let jsx$2;
  if (((x !== null) && (x === x$2))) {
    jsx$2 = true
  } else {
    const x$3 = superShape.meta__Lamf_core_metamodel_Obj();
    const x$4 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    jsx$2 = ((x$3 !== null) && (x$3 === x$4))
  };
  if (jsx$2) {
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(baseShape)) {
      const x2$2 = baseShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, x2$2, superShape)
    } else {
      const anyShape = superShape;
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinAny__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_model_domain_Shape($thiz, baseShape, anyShape)
    }
  };
  let jsx$3;
  if (rc15) {
    const shape = x6;
    jsx$3 = $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__isGenericNodeShape__Lamf_core_model_domain_Shape__Z($thiz, shape)
  } else {
    jsx$3 = false
  };
  if (jsx$3) {
    const baseShape$1 = x6;
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__restrictShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape($thiz, baseShape$1, superShape)
  };
  throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Incompatible types [", ", ", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(baseShape), $objectGetClass(superShape)])))
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape = (function($thiz, baseTuple, superTuple) {
  const superItems = baseTuple.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
  const baseItems = superTuple.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
  if ((superItems.length__I() !== baseItems.length__I())) {
    throw new $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError().init___T("Cannot inherit from a tuple shape with different number of elements")
  } else {
    const this$2 = baseItems.view__sc_SeqView().zipWithIndex__scg_CanBuildFrom__O(new $c_sc_SeqView$$anon$1().init___());
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })($thiz));
    const this$4 = $f_sc_TraversableViewLike__withFilter__F1__sc_TraversableView(this$2, p);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, superItems$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        if ((x$1 !== null)) {
          const baseItem = x$1.$$und1__O();
          const i = x$1.$$und2$mcI$sp__I();
          return this$2$1.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseItem, superItems$1.apply__I__O(i))
        } else {
          throw new $c_s_MatchError().init___O(x$1)
        }
      })
    })($thiz, superItems));
    new $c_sc_SeqView$$anon$1().init___();
    const newItems = this$4.newMapped__F1__sc_TraversableViewLike$Transformed(f);
    baseTuple.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newItems, new $c_Lamf_core_parser_Annotations().init___()), baseTuple.fields$2.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$1).annotations__Lamf_core_parser_Annotations());
    const fields = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().fields$2;
    const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$1]));
    $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseTuple, superTuple, filteredFields);
    return baseTuple
  }
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinFile__Lamf_plugins_domain_shapes_models_FileShape__Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_model_domain_Shape = (function($thiz, baseFile, superFile) {
  const fields = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().fields__sci_List();
  $m_sc_Seq$();
  $m_sci_Seq$();
  const this$3 = new $c_scm_ListBuffer().init___();
  const filteredFields = this$3.toList__sci_List();
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseFile, superFile, filteredFields);
  return baseFile
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__computeMinSuperUnion__Lamf_core_model_domain_Shape__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape = (function($thiz, baseShape, superUnion) {
  const jsx$2 = superUnion.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, baseShape$1) {
    return (function(superUnionElement$2) {
      const superUnionElement = superUnionElement$2;
      return $this.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseShape$1, superUnionElement)
    })
  })($thiz, baseShape));
  const this$1 = $m_sc_Seq$();
  const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  const elem = $m_sci_Nil$();
  const accExamples = new $c_sr_ObjectRef().init___O(elem);
  const this$3 = $m_sc_Seq$();
  const jsx$6 = newUnionItems.zipWithIndex__scg_CanBuildFrom__O(this$3.ReusableCBFInstance$2);
  const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, accExamples$1) {
    return (function(x0$2$2) {
      const x0$2 = x0$2$2;
      if ((x0$2 !== null)) {
        const shape = x0$2.$$und1__O();
        const i = x0$2.$$und2$mcI$sp__I();
        shape.id$1 = (("" + shape.id$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i])));
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
          const x2 = shape;
          const jsx$5 = accExamples$1.elem$1;
          const jsx$4 = x2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
          const this$4 = $m_sci_List$();
          accExamples$1.elem$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$4.ReusableCBFInstance$2);
          x2.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1)
        };
        return shape
      } else {
        throw new $c_s_MatchError().init___O(x0$2)
      }
    })
  })($thiz, accExamples));
  const this$5 = $m_sc_Seq$();
  const unionShapesWithIds = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
  superUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(unionShapesWithIds, new $c_Lamf_core_parser_Annotations().init___()), superUnion.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1);
  const fields = $thiz.allShapeFields$2;
  const filteredFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1]));
  $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation__computeNarrowRestrictions__sc_Seq__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__sc_Seq__Lamf_core_model_domain_Shape($thiz, fields, baseShape, superUnion, filteredFields);
  const this$7 = baseShape.fields__Lamf_core_parser_Fields();
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, superUnion$1) {
    return (function(x0$3$2) {
      const x0$3 = x0$3$2;
      if ((x0$3 !== null)) {
        const field = x0$3.$$und1__O();
        const value = x0$3.$$und2__O();
        const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        if ((!((field === null) ? (x$2 === null) : field.equals__O__Z(x$2)))) {
          superUnion$1.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(field, value.value$1, value.annotations$1)
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$3)
      }
    })
  })($thiz, superUnion));
  this$7.fs$1.foreach__F1__V(fn);
  const this$8 = accExamples.elem$1;
  if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
    superUnion.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(accExamples.elem$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
  };
  return superUnion
});
const $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__inheritProp__Lamf_core_model_domain_Shape__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape = (function($thiz, from, prop) {
  const clonedProp = prop.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(new $c_s_Some().init___O($thiz.errorHandler$2), $m_s_None$(), $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()));
  if (clonedProp.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance.getClassOf()).isEmpty__Z()) {
    clonedProp.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance().init___T(from.id$1))
  };
  return clonedProp
});
class $c_Lamf_plugins_domain_webapi_models_Parameter$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_Parameter(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Parameter$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Parameter$: 0
}, false, "amf.plugins.domain.webapi.models.Parameter$", {
  Lamf_plugins_domain_webapi_models_Parameter$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_models_Parameter$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Parameter$;
let $n_Lamf_plugins_domain_webapi_models_Parameter$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Parameter$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Parameter$)) {
    $n_Lamf_plugins_domain_webapi_models_Parameter$ = new $c_Lamf_plugins_domain_webapi_models_Parameter$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Parameter$
});
class $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_SecurityScheme$: 0
}, false, "amf.plugins.domain.webapi.models.security.SecurityScheme$", {
  Lamf_plugins_domain_webapi_models_security_SecurityScheme$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_models_security_SecurityScheme$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme$;
let $n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$)) {
    $n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$ = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_security_SecurityScheme$
});
class $c_Lamf_plugins_domain_webapi_models_templates_ResourceType$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ResourceType$: 0
}, false, "amf.plugins.domain.webapi.models.templates.ResourceType$", {
  Lamf_plugins_domain_webapi_models_templates_ResourceType$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ResourceType$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ResourceType$;
let $n_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_templates_ResourceType$)) {
    $n_Lamf_plugins_domain_webapi_models_templates_ResourceType$ = new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_templates_ResourceType$
});
class $c_Lamf_plugins_domain_webapi_models_templates_Trait$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_templates_Trait$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_Trait$: 0
}, false, "amf.plugins.domain.webapi.models.templates.Trait$", {
  Lamf_plugins_domain_webapi_models_templates_Trait$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_Trait$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_Trait$;
let $n_Lamf_plugins_domain_webapi_models_templates_Trait$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_templates_Trait$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_templates_Trait$)) {
    $n_Lamf_plugins_domain_webapi_models_templates_Trait$ = new $c_Lamf_plugins_domain_webapi_models_templates_Trait$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_templates_Trait$
});
class $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ extends $c_O {
  init___() {
    return this
  };
  custom__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(profile) {
    return (($m_Lamf_ProfileNames$().RAML08$1 === profile) ? new $c_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext().init___() : new $c_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext().init___())
  };
  asOperation__T__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit__T__T__s_Option__Z__s_Option__Lamf_plugins_domain_webapi_models_Operation(profile, node, unit, name, extensionId, extensionLocation, keepEditingInfo, context) {
    const ctx = (context.isEmpty__Z() ? this.custom__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(profile) : context.get__O());
    const referencesCollector = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("extends");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(node, $m_Lamf_core_emitter_SpecOrdering$Default$(), true, referencesCollector).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const document = new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1);
    const entry = document.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).entries$3.head__O();
    this.declarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, unit);
    referencesCollector.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, ctx$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const alias = x0$1.$$und1__O();
          const ref = x0$1.$$und2__O();
          ctx$1.declarations$2.fragments$1 = ctx$1.declarations$2.fragments$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, ref))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, ctx)));
    const mergeMissingSecuritySchemes = new $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx);
    const this$24 = $m_Lamf_core_services_RuntimeValidator$();
    const this$25 = this$24.validator__p1__Lamf_core_services_RuntimeValidator();
    const this$26 = this$25.aggregatedReport$1;
    const key$1 = mergeMissingSecuritySchemes.parserRun$1;
    const x1 = this$26.get__O__s_Option(key$1);
    let oldAggregatedReport;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v$1 = x2.value$2;
      oldAggregatedReport = v$1
    } else {
      const x$3 = $m_s_None$();
      if ((!(x$3 === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      oldAggregatedReport = $m_sci_Nil$()
    };
    const oldEnabled = this$25.enabled$1;
    this$25.enabled$1 = true;
    this$25.aggregatedReport$1 = this$25.aggregatedReport$1.updated__O__O__sci_Map(mergeMissingSecuritySchemes.parserRun$1, $m_sci_Nil$());
    const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(name, "\\.", 0);
    const until = (((-1) + xs$1.u.length) | 0);
    const x$4 = ((until > 0) ? until : 0);
    const y = xs$1.u.length;
    const hi = ((x$4 < y) ? x$4 : y);
    const size = ((hi > 0) ? hi : 0);
    const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$1).getComponentType__jl_Class(), size);
    if ((size > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(xs$1, 0, result, 0, size)
    };
    const pathElements = result;
    const adaptedDeclarations = ctx.findDeclarations__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(pathElements), ctx.declarations$2);
    const arg1 = ctx.clone__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx.declarations$2.merge__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(adaptedDeclarations));
    arg1.declarations$2.resourceTypes$2.$$plus$plus__sc_GenTraversableOnce__sci_Map(arg1.declarations$2.traits$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1$1) {
      return (function(e$2) {
        const e = e$2;
        return ctx$1$1.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(e.$$und2__O())
      })
    })(this, ctx)));
    const res = ctx.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().operationParser__F3().apply__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$4$2) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
      })
    })(this)), true).parse__Lamf_plugins_domain_webapi_models_Operation();
    if ((mergeMissingSecuritySchemes.parserRun$1 === $m_Lamf_core_services_IgnoreValidationsMerger$().parserRun$1)) {
      this$25.aggregatedReport$1 = this$25.aggregatedReport$1.updated__O__O__sci_Map(mergeMissingSecuritySchemes.parserRun$1, $m_sci_Nil$())
    } else {
      const this$43 = this$25.aggregatedReport$1;
      const key$2 = mergeMissingSecuritySchemes.parserRun$1;
      const x1$1 = this$43.get__O__s_Option(key$2);
      let jsx$3;
      if ($is_s_Some(x1$1)) {
        const x2$1 = x1$1;
        const v$2 = x2$1.value$2;
        jsx$3 = v$2
      } else {
        const x$5 = $m_s_None$();
        if ((!(x$5 === x1$1))) {
          throw new $c_s_MatchError().init___O(x1$1)
        };
        jsx$3 = $m_sci_Nil$()
      };
      const toMerge = jsx$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2, merger) {
        return (function(result$2) {
          const result$1 = result$2;
          return merger.merge__Lamf_core_validation_AMFValidationResult__Z(result$1)
        })
      })(this$25, mergeMissingSecuritySchemes)));
      const jsx$5 = this$25.aggregatedReport$1;
      const jsx$4 = mergeMissingSecuritySchemes.parserRun$1;
      const this$44 = $m_sci_List$();
      this$25.aggregatedReport$1 = jsx$5.updated__O__O__sci_Map(jsx$4, oldAggregatedReport.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(toMerge, this$44.ReusableCBFInstance$2));
      this$25.enabled$1 = oldEnabled
    };
    this.checkNoNestedEndpoints__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_domain_DataNode__T__V(entry, ctx, node, extensionId);
    if (keepEditingInfo) {
      this.annotateExtensionId__p1__Lamf_core_model_domain_DomainElement__T__s_Option__V(res, extensionId, this.findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(extensionId, unit))
    };
    return new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(profile, keepEditingInfo).resolveDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(res)
  };
  declarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, model) {
    if ($is_Lamf_core_model_document_DeclaresModel(model)) {
      model.declares__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1, model$1) {
        return (function(declaration$2) {
          const declaration = declaration$2;
          ctx$1.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration);
          $this.processDeclaration__p1__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(declaration, ctx$1, model$1)
        })
      })(this, ctx, model)))
    };
    this.nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, model)
  };
  nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, model) {
    model.references__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1, model$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_document_Fragment(x0$4)) {
          const x2 = x0$4;
          const this$1 = ctx$1.declarations$2;
          const _1 = x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
          const jsx$1 = this$1.fragments$1;
          const y = x2.encodes__Lamf_core_model_domain_DomainElement();
          this$1.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(_1, y));
          $this.nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx$1, x2)
        } else if ($is_Lamf_core_model_document_Module(x0$4)) {
          const x3 = x0$4;
          const this$4 = model$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
          (this$4.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$4.get__O()).aliases$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, ctx$5, x3$1) {
            return (function(x0$5$2) {
              const x0$5 = x0$5$2;
              matchEnd4: {
                if ((x0$5 !== null)) {
                  const alias = x0$5.$$und1__O();
                  const p2 = x0$5.$$und2__O();
                  if ((p2 !== null)) {
                    const fullUrl = p2.$$und1__O();
                    if ((x3$1.id$1 === fullUrl)) {
                      const jsx$2 = $m_sci_Nil$();
                      $m_sc_Seq$();
                      $m_sci_Seq$();
                      const this$8 = new $c_scm_ListBuffer().init___();
                      const nestedCtx = new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option("", jsx$2, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$8.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()), $m_s_None$());
                      x3$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, nestedCtx$1, x3$1$1) {
                        return (function(declaration$2) {
                          const declaration = declaration$2;
                          $this$1.processDeclaration__p1__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(declaration, nestedCtx$1, x3$1$1)
                        })
                      })(this$2$1, nestedCtx, x3$1)));
                      const jsx$4 = ctx$5.declarations$2;
                      const jsx$3 = ctx$5.declarations$2.libraries$1;
                      const y$1 = nestedCtx.declarations$2;
                      jsx$4.libraries$1 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, y$1));
                      break matchEnd4
                    } else {
                      break matchEnd4
                    }
                  }
                };
                throw new $c_s_MatchError().init___O(x0$5)
              }
            })
          })($this, ctx$1, x3)));
          $this.nestedDeclarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx$1, x3)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this, ctx, model)))
  };
  annotateExtensionId__p1__Lamf_core_model_domain_DomainElement__T__s_Option__V(point, extensionId, extensionLocation) {
    const extendedFieldAnnotation = new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId, extensionLocation);
    const this$1 = point.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, extensionId$1, extensionLocation$1, extendedFieldAnnotation$1) {
      return (function(field$2) {
        const field = field$2;
        field.value$1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(extendedFieldAnnotation$1);
        const x1 = field.value$1.value$1;
        if ($is_Lamf_core_model_domain_DomainElement(x1)) {
          const x2 = x1;
          $this.annotateExtensionId__p1__Lamf_core_model_domain_DomainElement__T__s_Option__V(x2, extensionId$1, extensionLocation$1);
          return (void 0)
        } else if ($is_Lamf_core_model_domain_AmfArray(x1)) {
          const x3 = x1;
          x3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, extensionId$3, extensionLocation$1$1, extendedFieldAnnotation$1$1) {
            return (function(x0$3$2) {
              const x0$3 = x0$3$2;
              if ($is_Lamf_core_model_domain_DomainElement(x0$3)) {
                const x2$1 = x0$3;
                x2$1.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(extendedFieldAnnotation$1$1);
                $this$1.annotateExtensionId__p1__Lamf_core_model_domain_DomainElement__T__s_Option__V(x2$1, extensionId$3, extensionLocation$1$1);
                return (void 0)
              } else {
                return x0$3.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(extendedFieldAnnotation$1$1)
              }
            })
          })($this, extensionId$1, extensionLocation$1, extendedFieldAnnotation$1)));
          return (void 0)
        } else {
          return x1.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(extendedFieldAnnotation$1)
        }
      })
    })(this, extensionId, extensionLocation, extendedFieldAnnotation)))
  };
  findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(elementId, unit) {
    const this$1 = unit.references__sc_Seq();
    const pf = new $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1().init___T(elementId);
    return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf)
  };
  checkNoNestedEndpoints__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_domain_DataNode__T__V(entry, ctx, node, extensionId) {
    const this$1 = entry.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const this$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).map$3;
      const this$3 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$2);
      const this$4 = this$3.$$outer$4.keysIterator__sc_Iterator();
      while (this$4.hasNext__Z()) {
        const arg1 = this$4.next__O();
        const propertyNode = arg1;
        const property = propertyNode.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
        if ((((property.length | 0) >= 0) && (property.substring(0, ("/".length | 0)) === "/"))) {
          const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
          const property$1 = $m_s_None$();
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Nested endpoint in trait: '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property]));
          const lexical = node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
          const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
          const this$10 = $m_Lamf_core_services_RuntimeValidator$();
          const parserRun = ctx.parserCount$1;
          this$10.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, extensionId, property$1, message, lexical, parserRun)
        }
      }
    }
  };
  asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_domain_DataNode__T__T__s_Option__Z__s_Option__Lamf_plugins_domain_webapi_models_EndPoint(unit, profile, dataNode, name, extensionId, extensionLocation, keepEditingInfo, context) {
    const ctx = (context.isEmpty__Z() ? this.custom__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(profile) : context.get__O());
    const referencesCollector = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("/endpoint");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(dataNode, $m_Lamf_core_emitter_SpecOrdering$Default$(), true, referencesCollector).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const document = new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1);
    const endPointEntry = document.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).entries$3.head__O();
    const collector = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.declarations__p1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(ctx, unit);
    referencesCollector.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, ctx$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const alias = x0$2.$$und1__O();
          const ref = x0$2.$$und2__O();
          ctx$1.declarations$2.fragments$1 = ctx$1.declarations$2.fragments$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, ref))
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, ctx)));
    const mergeMissingSecuritySchemes = new $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx);
    const this$24 = $m_Lamf_core_services_RuntimeValidator$();
    const this$25 = this$24.validator__p1__Lamf_core_services_RuntimeValidator();
    const this$26 = this$25.aggregatedReport$1;
    const key$1 = mergeMissingSecuritySchemes.parserRun$1;
    const x1 = this$26.get__O__s_Option(key$1);
    let oldAggregatedReport;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v$1 = x2.value$2;
      oldAggregatedReport = v$1
    } else {
      const x$3 = $m_s_None$();
      if ((!(x$3 === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      oldAggregatedReport = $m_sci_Nil$()
    };
    const oldEnabled = this$25.enabled$1;
    this$25.enabled$1 = true;
    this$25.aggregatedReport$1 = this$25.aggregatedReport$1.updated__O__O__sci_Map(mergeMissingSecuritySchemes.parserRun$1, $m_sci_Nil$());
    const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(name, "\\.", 0);
    const until = (((-1) + xs$1.u.length) | 0);
    const x$4 = ((until > 0) ? until : 0);
    const y = xs$1.u.length;
    const hi = ((x$4 < y) ? x$4 : y);
    const size = ((hi > 0) ? hi : 0);
    const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$1).getComponentType__jl_Class(), size);
    if ((size > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(xs$1, 0, result, 0, size)
    };
    const pathElements = result;
    const adaptedDeclarations = ctx.findDeclarations__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(pathElements), ctx.declarations$2);
    const arg1 = ctx.clone__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx.declarations$2.merge__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(adaptedDeclarations));
    arg1.declarations$2.resourceTypes$2.$$plus$plus__sc_GenTraversableOnce__sci_Map(arg1.declarations$2.traits$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$4) {
      return (function(e$2) {
        const e = e$2;
        return ctx$4.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(e.$$und2__O())
      })
    })(this, ctx)));
    arg1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().endPointParser__F5().apply__O__O__O__O__O__O(endPointEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, extensionId$1) {
      return (function(x$8$2) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const fields = new $c_Lamf_core_parser_Fields().init___();
        const this$43 = new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
        const value$1 = (extensionId$1 + "/applied");
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$43, value$1)
      })
    })(this, extensionId)), $m_s_None$(), collector, true).parse__V();
    if ((mergeMissingSecuritySchemes.parserRun$1 === $m_Lamf_core_services_IgnoreValidationsMerger$().parserRun$1)) {
      this$25.aggregatedReport$1 = this$25.aggregatedReport$1.updated__O__O__sci_Map(mergeMissingSecuritySchemes.parserRun$1, $m_sci_Nil$())
    } else {
      const this$44 = this$25.aggregatedReport$1;
      const key$2 = mergeMissingSecuritySchemes.parserRun$1;
      const x1$1 = this$44.get__O__s_Option(key$2);
      let jsx$3;
      if ($is_s_Some(x1$1)) {
        const x2$1 = x1$1;
        const v$2 = x2$1.value$2;
        jsx$3 = v$2
      } else {
        const x$5 = $m_s_None$();
        if ((!(x$5 === x1$1))) {
          throw new $c_s_MatchError().init___O(x1$1)
        };
        jsx$3 = $m_sci_Nil$()
      };
      const toMerge = jsx$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2, merger) {
        return (function(result$2) {
          const result$1 = result$2;
          return merger.merge__Lamf_core_validation_AMFValidationResult__Z(result$1)
        })
      })(this$25, mergeMissingSecuritySchemes)));
      const jsx$5 = this$25.aggregatedReport$1;
      const jsx$4 = mergeMissingSecuritySchemes.parserRun$1;
      const this$45 = $m_sci_List$();
      this$25.aggregatedReport$1 = jsx$5.updated__O__O__sci_Map(jsx$4, oldAggregatedReport.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(toMerge, this$45.ReusableCBFInstance$2));
      this$25.enabled$1 = oldEnabled
    };
    const x1$2 = collector.toList__sci_List();
    if ($is_sci_$colon$colon(x1$2)) {
      const x2$2 = x1$2;
      const e$1 = x2$2.head$5;
      const p3 = x2$2.tl$5;
      const x$6 = $m_sci_Nil$();
      if (x$6.equals__O__Z(p3)) {
        if (keepEditingInfo) {
          this.annotateExtensionId__p1__Lamf_core_model_domain_DomainElement__T__s_Option__V(e$1, extensionId, extensionLocation)
        };
        return new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(profile, keepEditingInfo).resolveDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(e$1)
      }
    };
    const x$3$1 = $m_sci_Nil$();
    if (x$3$1.equals__O__Z(x1$2)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Couldn't parse an endpoint from resourceType '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Nested endpoints found in resourceType '", "'."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]))))
  };
  processDeclaration__p1__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_core_model_document_BaseUnit__V(declaration, nestedCtx, model) {
    const x1 = declaration.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_resolution_stages_ResolvedNamedEntity.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const resolvedNamedEntity = x2.value$2;
      const this$1 = resolvedNamedEntity.vals$1;
      const iterTable = this$1.table$5;
      let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
      let es = iterTable.u[idx];
      while ((es !== null)) {
        const this$2 = es;
        const next = this$2.next$1;
        const arg1 = es;
        const e = arg1;
        const _2 = e.value$1;
        const namedEntities = _2;
        const inContext = namedEntities.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, model$2) {
          return (function(entity$2) {
            const entity = entity$2;
            if ($is_Lamf_core_model_domain_DomainElement(entity)) {
              const thiz = entity.id__T();
              const s = model$2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
              return ((thiz.indexOf(s) | 0) !== (-1))
            } else {
              return false
            }
          })
        })(this, model)));
        matchEnd4: {
          if ($is_Lamf_core_model_domain_NamedDomainElement(declaration)) {
            if (inContext.isDefined__Z()) {
              const this$6 = inContext.get__O().name__Lamf_core_model_StrField();
              const this$7 = this$6.option$1;
              const localName = (this$7.isEmpty__Z() ? null : this$7.get__O());
              const this$8 = declaration.name__Lamf_core_model_StrField();
              const this$9 = this$8.option$1;
              const realName = (this$9.isEmpty__Z() ? null : this$9.get__O());
              declaration.withName__T__Lamf_core_model_domain_NamedDomainElement(localName);
              nestedCtx.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration);
              declaration.withName__T__Lamf_core_model_domain_NamedDomainElement(realName);
              break matchEnd4
            }
          };
          nestedCtx.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration)
        };
        es = next;
        while (((es === null) && (idx > 0))) {
          idx = (((-1) + idx) | 0);
          es = iterTable.u[idx]
        }
      }
    } else {
      nestedCtx.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declaration)
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$: 0
}, false, "amf.plugins.domain.webapi.resolution.ExtendsHelper$", {
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$;
let $n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = (void 0);
const $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$)) {
    $n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$ = new $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$
});
class $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ extends $c_O {
  init___() {
    return this
  };
  merge__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode__V(existing, overlay) {
    matchEnd9: {
      if ($is_Lamf_core_model_domain_ScalarNode(existing)) {
        const x2 = existing;
        if ($is_Lamf_core_model_domain_ScalarNode(overlay)) {
          const x3 = overlay;
          x2.value$2 = x3.value$2;
          x2.dataType$2 = x3.dataType$2;
          break matchEnd9
        }
      };
      if ($is_Lamf_core_model_domain_ObjectNode(existing)) {
        const x4 = existing;
        if ($is_Lamf_core_model_domain_ObjectNode(overlay)) {
          const x5 = overlay;
          this.mergeObjectNode__Lamf_core_model_domain_ObjectNode__Lamf_core_model_domain_ObjectNode__V(x4, x5);
          break matchEnd9
        }
      };
      if ($is_Lamf_core_model_domain_ArrayNode(existing)) {
        const x6 = existing;
        if ($is_Lamf_core_model_domain_ArrayNode(overlay)) {
          const x7 = overlay;
          this.mergeArrayNode__p1__Lamf_core_model_domain_ArrayNode__Lamf_core_model_domain_ArrayNode__V(x6, x7);
          break matchEnd9
        }
      }
    }
  };
  mergeArrayNode__p1__Lamf_core_model_domain_ArrayNode__Lamf_core_model_domain_ArrayNode__V(main, other) {
    const this$2 = main.members$2;
    const pf = new $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1().init___();
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const existing = $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this$2, pf, bf);
    const this$3 = other.members$2;
    const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$4;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x0$3 = arg1;
      if ($is_Lamf_core_model_domain_ScalarNode(x0$3)) {
        const x2 = x0$3;
        const elem = x2.value$2;
        const this$5 = existing.scala$collection$mutable$ListBuffer$$start$6;
        if ((!$f_sc_LinearSeqOptimized__contains__O__Z(this$5, elem))) {
          main.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(x2)
        }
      } else {
        main.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer($m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(main.id$1, x0$3))
      };
      these = these.tail__O()
    }
  };
  mergeObjectNode__Lamf_core_model_domain_ObjectNode__Lamf_core_model_domain_ObjectNode__V(left, right) {
    const this$1 = right.properties$2;
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$1, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, left$1, right$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        if ((x$5 !== null)) {
          const key = x$5.$$und1__O();
          const value = x$5.$$und2__O();
          const x1$2 = left$1.properties$2.get__O__s_Option(key);
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const property = x2.value$2;
            this$2.merge__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode__V(property, value);
            return (void 0)
          } else {
            const x = $m_s_None$();
            if ((x === x1$2)) {
              return left$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(key, $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(left$1.id$1, value), right$1.propertyAnnotations$2.apply__O__O(key))
            } else {
              throw new $c_s_MatchError().init___O(x1$2)
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(x$5)
        }
      })
    })(this, left, right)))
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DataNodeMerging$", {
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$;
let $n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = (void 0);
const $m_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$)) {
    $n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$ = new $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$
});
class $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ extends $c_O {
  init___() {
    return this
  };
  setNonOptional__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__V(target, field, element, other) {
    if ($is_Lamf_core_metamodel_domain_templates_OptionalField(element)) {
      const x2 = element;
      const nonOptional = other.value$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
        return (function(v$2) {
          const v = v$2;
          return (!$this.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(x2$1, v))
        })
      })(this, x2)));
      const value = this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(target.id__T(), new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(nonOptional, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target, field, value)
    } else {
      const value$1 = this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(target.id__T(), other.value$1, new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target, field, value$1)
    }
  };
  mergeByKeyValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, element, key, main, other) {
    const jsx$2 = main.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
      return (function(m$2) {
        const m = m$2;
        const obj = m;
        const this$1 = obj.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$1.key__Lamf_core_metamodel_Field());
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$3 = arg1;
          const self = x$3.value$1.value$1.value$1;
          xo = new $c_s_Some().init___O(new $c_T2().init___O__O(self, obj))
        };
        return xo.toList__sci_List()
      })
    })(this, key));
    const this$5 = $m_sc_Seq$();
    const existing = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, target$1, field$1, element$1, key$2, existing$1) {
      return (function(o$2) {
        const o = o$2;
        const obj$1 = o;
        const x1 = obj$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$2.key__Lamf_core_metamodel_Field());
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const value = x2.value$2;
          if (existing$1.contains__O__Z(value.value$1.value$1.value$1)) {
            return this$2$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(existing$1.apply__O__O(value.value$1.value$1.value$1), obj$1.adopted__T__Lamf_core_model_domain_AmfObject(target$1.id__T()))
          } else if ((!this$2$1.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(element$1, obj$1))) {
            const value$1 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(target$1.id__T(), o, new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted().init___());
            return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, value$1)
          } else {
            return (void 0)
          }
        } else {
          return (void 0)
        }
      })
    })(this, target, field, element, key, existing)))
  };
  mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, main, other) {
    const jsx$2 = main.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.value$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const existing = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toSet__sci_Set();
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, target$1, field$1, existing$1) {
      return (function(value$2) {
        const value = value$2;
        const scalar = value.value$1;
        if ((!existing$1.contains__O__Z(scalar))) {
          const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(scalar, new $c_Lamf_core_parser_Annotations().init___());
          return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, value$1)
        } else {
          return (void 0)
        }
      })
    })(this, target, field, existing)))
  };
  ignored__p1__Lamf_core_parser_FieldEntry__Z(entry) {
    const x1 = entry.field$1;
    const x = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
    let jsx$1;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1;
      jsx$1 = ((x$3 === null) ? (x1 === null) : x$3.equals__O__Z(x1))
    };
    return (!jsx$1)
  };
  adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(id, target, adopted) {
    if ($is_Lamf_core_model_domain_AmfArray(target)) {
      const x2 = target;
      const jsx$2 = x2.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, adopted$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return $this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(id$1, x$1, adopted$1)
        })
      })(this, id, adopted));
      const this$1 = $m_sc_Seq$();
      return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2), x2.annotations$1)
    };
    if ($is_Lamf_core_model_domain_DomainElement(target)) {
      const x3 = target;
      if (adopted.notYet__T__Z(x3.id__T())) {
        this.adoptElementByType__p1__Lamf_core_model_domain_DomainElement__T__Lamf_core_model_domain_DomainElement(x3, id);
        adopted.$$plus$eq__T__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted(x3.id__T());
        const this$3 = x3.fields__Lamf_core_parser_Fields();
        const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, adopted$2, x3$1) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ((x0$2 !== null)) {
              const value = x0$2.$$und2__O();
              this$2.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(x3$1.id__T(), value.value$1, adopted$2)
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })(this, adopted, x3));
        this$3.fs$1.foreach__F1__V(fn);
        return x3
      }
    };
    return target
  };
  mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__V(target, field, element, main, other) {
    const m = main.value$1;
    const o = other.value$1;
    if ($is_Lamf_core_metamodel_Type$Scalar(element)) {
      this.mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, m, o)
    } else if ($is_Lamf_core_metamodel_domain_templates_KeyField(element)) {
      const x3 = element;
      this.mergeByKeyValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__V(target, field, element, x3, m, o)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "': not a KeyField nor a Scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element]))))
    }
  };
  isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(type, obj) {
    if ($is_Lamf_core_metamodel_domain_templates_OptionalField(type)) {
      const this$1 = obj.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(type.Optional__Lamf_core_metamodel_Field());
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const x$4 = arg1;
        return x$4.value$1.value$1.toBool__Z()
      } else {
        return false
      }
    } else {
      return false
    }
  };
  merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(main, other) {
    const this$1 = other.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $this.ignored__p1__Lamf_core_parser_FieldEntry__Z(entry)
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, main$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const field = x0$1.field$1;
          const value = x0$1.value$1;
          let rc6 = false;
          let x2 = null;
          const x1$2 = main$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
          const x = $m_s_None$();
          if ((x === x1$2)) {
            const x1$3 = field.type$1;
            if ($is_Lamf_core_metamodel_domain_templates_OptionalField(x1$3)) {
              const x4 = x1$3;
              if (this$2$1.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(x4, value.value$1)) {
                return (void 0)
              }
            };
            if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$3)) {
              const x2$2 = x1$3;
              const o10 = new $c_s_Some().init___O(x2$2.element__Lamf_core_metamodel_Type());
              const element = o10.value$2;
              this$2$1.setNonOptional__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__V(main$1, field, element, value);
              return (void 0)
            };
            const value$1 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(main$1.id__T(), value.value$1, new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted().init___());
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(main$1, field, value$1)
          };
          if ($is_s_Some(x1$2)) {
            rc6 = true;
            x2 = x1$2;
            const existing = x2.value$2;
            if ((($m_s_Option$().apply__O__s_Option(existing.value$1).isDefined__Z() && $m_s_Option$().apply__O__s_Option(existing.value$1.value$1).isDefined__Z()) && existing.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_DefaultNode.getClassOf()))) {
              const x1$4 = field.type$1;
              if ($is_Lamf_core_metamodel_domain_templates_OptionalField(x1$4)) {
                const x4$2 = x1$4;
                if (this$2$1.isOptional__p1__Lamf_core_metamodel_Type__Lamf_core_model_domain_DomainElement__Z(x4$2, value.value$1)) {
                  return (void 0)
                }
              };
              if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$4)) {
                const x2$3 = x1$4;
                const o10$2 = new $c_s_Some().init___O(x2$3.element__Lamf_core_metamodel_Type());
                const element$2 = o10$2.value$2;
                this$2$1.setNonOptional__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__V(main$1, field, element$2, value);
                return (void 0)
              };
              const value$2 = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted__Lamf_core_model_domain_AmfElement(main$1.id__T(), value.value$1, new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted().init___());
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(main$1, field, value$2)
            }
          };
          if (rc6) {
            const existing$2 = x2.value$2;
            const x1$5 = field.type$1;
            if ($is_Lamf_core_metamodel_Type$Scalar(x1$5)) {
              return (void 0)
            } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$5)) {
              const x2$4 = x1$5;
              const o11 = new $c_s_Some().init___O(x2$4.element__Lamf_core_metamodel_Type());
              const element$3 = o11.value$2;
              this$2$1.mergeByValue__p1__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__V(main$1, field, element$3, existing$2.value$1, value);
              return (void 0)
            } else if ($is_Lamf_core_metamodel_domain_DomainElementModel(x1$5)) {
              return this$2$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(existing$2.value$1.value$1, x0$1.value$1.value$1)
            } else {
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "':not a (Scalar|Array|Object)"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([field.type$1]))))
            }
          };
          throw new $c_s_MatchError().init___O(x1$2)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, main)));
    return main
  };
  adoptElementByType__p1__Lamf_core_model_domain_DomainElement__T__Lamf_core_model_domain_DomainElement(element, parent) {
    if ($is_Lamf_core_model_domain_Shape(element)) {
      const x2 = element;
      return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(x2, parent)
    } else if ($is_Lamf_core_model_domain_DataNode(element)) {
      const x3 = element;
      return $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(parent, x3)
    } else {
      return element.adopted__T__Lamf_core_model_domain_AmfObject(parent)
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DomainElementMerging$", {
  Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$;
let $n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = (void 0);
const $m_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$)) {
    $n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$ = new $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$
});
class $c_Lamf_plugins_features_AMFValidation$ extends $c_O {
  init___() {
    return this
  };
  $$js$exported$meth$register__O() {
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_features_validation_AMFValidatorPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_features_AMFValidation$ = new $TypeData().initClass({
  Lamf_plugins_features_AMFValidation$: 0
}, false, "amf.plugins.features.AMFValidation$", {
  Lamf_plugins_features_AMFValidation$: 1,
  O: 1
});
$c_Lamf_plugins_features_AMFValidation$.prototype.$classData = $d_Lamf_plugins_features_AMFValidation$;
let $n_Lamf_plugins_features_AMFValidation$ = (void 0);
const $m_Lamf_plugins_features_AMFValidation$ = (function() {
  if ((!$n_Lamf_plugins_features_AMFValidation$)) {
    $n_Lamf_plugins_features_AMFValidation$ = new $c_Lamf_plugins_features_AMFValidation$().init___()
  };
  return $n_Lamf_plugins_features_AMFValidation$
});
class $c_Lamf_plugins_features_validation_JSUtils$ extends $c_O {
  init___() {
    return this
  };
  $default__sjs_js_Dynamic__O__O(x, $default) {
    return ((x === (void 0)) ? $default : ($m_s_Option$().apply__O__s_Option(x).isEmpty__Z() ? $default : x))
  };
  maybe__sjs_js_Dynamic__s_Option(obj) {
    return ((obj === (void 0)) ? $m_s_None$() : ($m_s_Option$().apply__O__s_Option(obj).isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(obj)))
  };
}
const $d_Lamf_plugins_features_validation_JSUtils$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_JSUtils$: 0
}, false, "amf.plugins.features.validation.JSUtils$", {
  Lamf_plugins_features_validation_JSUtils$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_JSUtils$.prototype.$classData = $d_Lamf_plugins_features_validation_JSUtils$;
let $n_Lamf_plugins_features_validation_JSUtils$ = (void 0);
const $m_Lamf_plugins_features_validation_JSUtils$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_JSUtils$)) {
    $n_Lamf_plugins_features_validation_JSUtils$ = new $c_Lamf_plugins_features_validation_JSUtils$().init___()
  };
  return $n_Lamf_plugins_features_validation_JSUtils$
});
class $c_Lamf_plugins_features_validation_ParserSideValidations$ extends $c_O {
  constructor() {
    super();
    this.ChainedReferenceSpecification$1 = null;
    this.RecursiveShapeSpecification$1 = null;
    this.ExclusivePropertiesSpecification$1 = null;
    this.PathTemplateUnbalancedParameters$1 = null;
    this.OasBodyAndFormDataParameterSpecification$1 = null;
    this.OasInvalidBodyParameter$1 = null;
    this.OasInvalidFormDataParameter$1 = null;
    this.OasInvalidParameterBinding$1 = null;
    this.OasFormDataNotFileSpecification$1 = null;
    this.ExampleValidationErrorSpecification$1 = null;
    this.UnsupportedExampleMediaTypeErrorSpecification$1 = null;
    this.UnsupportedExampleMediaTypeWarningSpecification$1 = null;
    this.UnknownSecuritySchemeErrorSpecification$1 = null;
    this.NamedExampleUsedInExample$1 = null;
    this.DialectAmbiguousRangeSpecification$1 = null;
    this.ClosedShapeSpecification$1 = null;
    this.DuplicatedPropertySpecification$1 = null;
    this.MissingPropertySpecification$1 = null;
    this.ParsingErrorSpecification$1 = null;
    this.InvalidTypeInheritanceErrorSpecification$1 = null;
    this.JsonSchemaInheratinaceWarningSpecification$1 = null;
    this.ParsingWarningSpecification$1 = null;
    this.InconsistentPropertyRangeValueSpecification$1 = null;
    this.MissingPropertyRangeSpecification$1 = null;
    this.MissingTermSpecification$1 = null;
    this.MissingFragmentSpecification$1 = null;
    this.levels$1 = null
  };
  init___() {
    $n_Lamf_plugins_features_validation_ParserSideValidations$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "chained-reference-error").iri__T();
    const jsx$10 = $m_s_None$();
    const jsx$9 = $m_s_None$();
    const jsx$8 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$6 = new $c_scm_ListBuffer().init___();
    const jsx$7 = this$6.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$10 = new $c_scm_ListBuffer().init___();
    const jsx$6 = this$10.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$14 = new $c_scm_ListBuffer().init___();
    const jsx$5 = this$14.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$18 = new $c_scm_ListBuffer().init___();
    const jsx$4 = this$18.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$22 = new $c_scm_ListBuffer().init___();
    const jsx$3 = this$22.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$2 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$27 = new $c_scm_ListBuffer().init___();
    const jsx$1 = this$27.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$31 = new $c_scm_ListBuffer().init___();
    this.ChainedReferenceSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$11, "References cannot be chained", jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, this$31.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$35 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$22 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$35, "recursive-shape").iri__T();
    const jsx$21 = new $c_s_Some().init___O("Recursive type");
    const jsx$20 = new $c_s_Some().init___O("Recursive schema");
    const jsx$19 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$40 = new $c_scm_ListBuffer().init___();
    const jsx$18 = this$40.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$44 = new $c_scm_ListBuffer().init___();
    const jsx$17 = this$44.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$48 = new $c_scm_ListBuffer().init___();
    const jsx$16 = this$48.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$52 = new $c_scm_ListBuffer().init___();
    const jsx$15 = this$52.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$56 = new $c_scm_ListBuffer().init___();
    const jsx$14 = this$56.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$13 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$61 = new $c_scm_ListBuffer().init___();
    const jsx$12 = this$61.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$65 = new $c_scm_ListBuffer().init___();
    this.RecursiveShapeSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$22, "Recursive shape", jsx$21, jsx$20, jsx$19, jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, this$65.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$69 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$33 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$69, "exclusive-properties-error").iri__T();
    const jsx$32 = $m_s_None$();
    const jsx$31 = $m_s_None$();
    const jsx$30 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$74 = new $c_scm_ListBuffer().init___();
    const jsx$29 = this$74.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$78 = new $c_scm_ListBuffer().init___();
    const jsx$28 = this$78.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$82 = new $c_scm_ListBuffer().init___();
    const jsx$27 = this$82.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$86 = new $c_scm_ListBuffer().init___();
    const jsx$26 = this$86.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$90 = new $c_scm_ListBuffer().init___();
    const jsx$25 = this$90.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$24 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$95 = new $c_scm_ListBuffer().init___();
    const jsx$23 = this$95.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$99 = new $c_scm_ListBuffer().init___();
    this.ExclusivePropertiesSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$33, "Exclusive properties declared together", jsx$32, jsx$31, jsx$30, jsx$29, jsx$28, jsx$27, jsx$26, jsx$25, jsx$24, jsx$23, this$99.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$103 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$44 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$103, "path-template-unbalanced-parameters").iri__T();
    const jsx$43 = $m_s_None$();
    const jsx$42 = $m_s_None$();
    const jsx$41 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$108 = new $c_scm_ListBuffer().init___();
    const jsx$40 = this$108.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$112 = new $c_scm_ListBuffer().init___();
    const jsx$39 = this$112.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$116 = new $c_scm_ListBuffer().init___();
    const jsx$38 = this$116.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$120 = new $c_scm_ListBuffer().init___();
    const jsx$37 = this$120.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$124 = new $c_scm_ListBuffer().init___();
    const jsx$36 = this$124.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$35 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$129 = new $c_scm_ListBuffer().init___();
    const jsx$34 = this$129.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$133 = new $c_scm_ListBuffer().init___();
    this.PathTemplateUnbalancedParameters$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$44, "Nested parameters are not allowed in path templates", jsx$43, jsx$42, jsx$41, jsx$40, jsx$39, jsx$38, jsx$37, jsx$36, jsx$35, jsx$34, this$133.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$137 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$55 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$137, "oas-not-body-and-form-data-parameters").iri__T();
    const jsx$54 = $m_s_None$();
    const jsx$53 = $m_s_None$();
    const jsx$52 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$142 = new $c_scm_ListBuffer().init___();
    const jsx$51 = this$142.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$146 = new $c_scm_ListBuffer().init___();
    const jsx$50 = this$146.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$150 = new $c_scm_ListBuffer().init___();
    const jsx$49 = this$150.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$154 = new $c_scm_ListBuffer().init___();
    const jsx$48 = this$154.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$158 = new $c_scm_ListBuffer().init___();
    const jsx$47 = this$158.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$46 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$163 = new $c_scm_ListBuffer().init___();
    const jsx$45 = this$163.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$167 = new $c_scm_ListBuffer().init___();
    this.OasBodyAndFormDataParameterSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$55, "Operation cannot have a body parameter and a formData parameter", jsx$54, jsx$53, jsx$52, jsx$51, jsx$50, jsx$49, jsx$48, jsx$47, jsx$46, jsx$45, this$167.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$171 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$66 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$171, "oas-invalid-body-parameter").iri__T();
    const jsx$65 = $m_s_None$();
    const jsx$64 = $m_s_None$();
    const jsx$63 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$176 = new $c_scm_ListBuffer().init___();
    const jsx$62 = this$176.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$180 = new $c_scm_ListBuffer().init___();
    const jsx$61 = this$180.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$184 = new $c_scm_ListBuffer().init___();
    const jsx$60 = this$184.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$188 = new $c_scm_ListBuffer().init___();
    const jsx$59 = this$188.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$192 = new $c_scm_ListBuffer().init___();
    const jsx$58 = this$192.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$57 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$197 = new $c_scm_ListBuffer().init___();
    const jsx$56 = this$197.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$201 = new $c_scm_ListBuffer().init___();
    this.OasInvalidBodyParameter$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$66, "Only one body parameter is allowed", jsx$65, jsx$64, jsx$63, jsx$62, jsx$61, jsx$60, jsx$59, jsx$58, jsx$57, jsx$56, this$201.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$205 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$77 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$205, "oas-invalid-form-data-parameter").iri__T();
    const jsx$76 = $m_s_None$();
    const jsx$75 = $m_s_None$();
    const jsx$74 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$210 = new $c_scm_ListBuffer().init___();
    const jsx$73 = this$210.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$214 = new $c_scm_ListBuffer().init___();
    const jsx$72 = this$214.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$218 = new $c_scm_ListBuffer().init___();
    const jsx$71 = this$218.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$222 = new $c_scm_ListBuffer().init___();
    const jsx$70 = this$222.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$226 = new $c_scm_ListBuffer().init___();
    const jsx$69 = this$226.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$68 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$231 = new $c_scm_ListBuffer().init___();
    const jsx$67 = this$231.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$235 = new $c_scm_ListBuffer().init___();
    this.OasInvalidFormDataParameter$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$77, "Only one formData parameter is allowed", jsx$76, jsx$75, jsx$74, jsx$73, jsx$72, jsx$71, jsx$70, jsx$69, jsx$68, jsx$67, this$235.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$239 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$88 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$239, "oas-invalid-parameter-binding").iri__T();
    const jsx$87 = $m_s_None$();
    const jsx$86 = $m_s_None$();
    const jsx$85 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$244 = new $c_scm_ListBuffer().init___();
    const jsx$84 = this$244.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$248 = new $c_scm_ListBuffer().init___();
    const jsx$83 = this$248.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$252 = new $c_scm_ListBuffer().init___();
    const jsx$82 = this$252.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$256 = new $c_scm_ListBuffer().init___();
    const jsx$81 = this$256.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$260 = new $c_scm_ListBuffer().init___();
    const jsx$80 = this$260.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$79 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$265 = new $c_scm_ListBuffer().init___();
    const jsx$78 = this$265.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$269 = new $c_scm_ListBuffer().init___();
    this.OasInvalidParameterBinding$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$88, "Parameter has invalid binding", jsx$87, jsx$86, jsx$85, jsx$84, jsx$83, jsx$82, jsx$81, jsx$80, jsx$79, jsx$78, this$269.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$273 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$99 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$273, "oas-file-not-form-data-parameters").iri__T();
    const jsx$98 = $m_s_None$();
    const jsx$97 = $m_s_None$();
    const jsx$96 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$278 = new $c_scm_ListBuffer().init___();
    const jsx$95 = this$278.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$282 = new $c_scm_ListBuffer().init___();
    const jsx$94 = this$282.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$286 = new $c_scm_ListBuffer().init___();
    const jsx$93 = this$286.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$290 = new $c_scm_ListBuffer().init___();
    const jsx$92 = this$290.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$294 = new $c_scm_ListBuffer().init___();
    const jsx$91 = this$294.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$90 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$299 = new $c_scm_ListBuffer().init___();
    const jsx$89 = this$299.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$303 = new $c_scm_ListBuffer().init___();
    this.OasFormDataNotFileSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$99, "Parameters with type file must be in formData", jsx$98, jsx$97, jsx$96, jsx$95, jsx$94, jsx$93, jsx$92, jsx$91, jsx$90, jsx$89, this$303.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$307 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$110 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$307, "example-validation-error").iri__T();
    const jsx$109 = $m_s_None$();
    const jsx$108 = $m_s_None$();
    const jsx$107 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$312 = new $c_scm_ListBuffer().init___();
    const jsx$106 = this$312.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$316 = new $c_scm_ListBuffer().init___();
    const jsx$105 = this$316.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$320 = new $c_scm_ListBuffer().init___();
    const jsx$104 = this$320.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$324 = new $c_scm_ListBuffer().init___();
    const jsx$103 = this$324.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$328 = new $c_scm_ListBuffer().init___();
    const jsx$102 = this$328.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$101 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$333 = new $c_scm_ListBuffer().init___();
    const jsx$100 = this$333.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$337 = new $c_scm_ListBuffer().init___();
    this.ExampleValidationErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$110, "Example does not validate type", jsx$109, jsx$108, jsx$107, jsx$106, jsx$105, jsx$104, jsx$103, jsx$102, jsx$101, jsx$100, this$337.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$341 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$121 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$341, "unsupported-example-media-type").iri__T();
    const jsx$120 = $m_s_None$();
    const jsx$119 = $m_s_None$();
    const jsx$118 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$346 = new $c_scm_ListBuffer().init___();
    const jsx$117 = this$346.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$350 = new $c_scm_ListBuffer().init___();
    const jsx$116 = this$350.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$354 = new $c_scm_ListBuffer().init___();
    const jsx$115 = this$354.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$358 = new $c_scm_ListBuffer().init___();
    const jsx$114 = this$358.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$362 = new $c_scm_ListBuffer().init___();
    const jsx$113 = this$362.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$112 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$367 = new $c_scm_ListBuffer().init___();
    const jsx$111 = this$367.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$371 = new $c_scm_ListBuffer().init___();
    this.UnsupportedExampleMediaTypeErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$121, "Cannot validate example with unsupported media type", jsx$120, jsx$119, jsx$118, jsx$117, jsx$116, jsx$115, jsx$114, jsx$113, jsx$112, jsx$111, this$371.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$375 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$132 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$375, "unsupported-example-media-type-warning").iri__T();
    const jsx$131 = $m_s_None$();
    const jsx$130 = $m_s_None$();
    const jsx$129 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$380 = new $c_scm_ListBuffer().init___();
    const jsx$128 = this$380.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$384 = new $c_scm_ListBuffer().init___();
    const jsx$127 = this$384.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$388 = new $c_scm_ListBuffer().init___();
    const jsx$126 = this$388.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$392 = new $c_scm_ListBuffer().init___();
    const jsx$125 = this$392.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$396 = new $c_scm_ListBuffer().init___();
    const jsx$124 = this$396.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$123 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$401 = new $c_scm_ListBuffer().init___();
    const jsx$122 = this$401.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$405 = new $c_scm_ListBuffer().init___();
    this.UnsupportedExampleMediaTypeWarningSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$132, "Cannot validate example with unsupported media type", jsx$131, jsx$130, jsx$129, jsx$128, jsx$127, jsx$126, jsx$125, jsx$124, jsx$123, jsx$122, this$405.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$409 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$143 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$409, "unknown-security-scheme").iri__T();
    const jsx$142 = $m_s_None$();
    const jsx$141 = $m_s_None$();
    const jsx$140 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$414 = new $c_scm_ListBuffer().init___();
    const jsx$139 = this$414.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$418 = new $c_scm_ListBuffer().init___();
    const jsx$138 = this$418.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$422 = new $c_scm_ListBuffer().init___();
    const jsx$137 = this$422.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$426 = new $c_scm_ListBuffer().init___();
    const jsx$136 = this$426.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$430 = new $c_scm_ListBuffer().init___();
    const jsx$135 = this$430.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$134 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$435 = new $c_scm_ListBuffer().init___();
    const jsx$133 = this$435.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$439 = new $c_scm_ListBuffer().init___();
    this.UnknownSecuritySchemeErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$143, "Cannot find the security scheme", jsx$142, jsx$141, jsx$140, jsx$139, jsx$138, jsx$137, jsx$136, jsx$135, jsx$134, jsx$133, this$439.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$443 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$154 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$443, "named-example-used-inlined-example").iri__T();
    const jsx$153 = $m_s_None$();
    const jsx$152 = $m_s_None$();
    const jsx$151 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$448 = new $c_scm_ListBuffer().init___();
    const jsx$150 = this$448.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$452 = new $c_scm_ListBuffer().init___();
    const jsx$149 = this$452.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$456 = new $c_scm_ListBuffer().init___();
    const jsx$148 = this$456.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$460 = new $c_scm_ListBuffer().init___();
    const jsx$147 = this$460.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$464 = new $c_scm_ListBuffer().init___();
    const jsx$146 = this$464.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$145 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$469 = new $c_scm_ListBuffer().init___();
    const jsx$144 = this$469.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$473 = new $c_scm_ListBuffer().init___();
    this.NamedExampleUsedInExample$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$154, "Named example should not be used as inline examples", jsx$153, jsx$152, jsx$151, jsx$150, jsx$149, jsx$148, jsx$147, jsx$146, jsx$145, jsx$144, this$473.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$477 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$165 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$477, "dialect-ambiguous-range").iri__T();
    const jsx$164 = $m_s_None$();
    const jsx$163 = $m_s_None$();
    const jsx$162 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$482 = new $c_scm_ListBuffer().init___();
    const jsx$161 = this$482.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$486 = new $c_scm_ListBuffer().init___();
    const jsx$160 = this$486.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$490 = new $c_scm_ListBuffer().init___();
    const jsx$159 = this$490.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$494 = new $c_scm_ListBuffer().init___();
    const jsx$158 = this$494.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$498 = new $c_scm_ListBuffer().init___();
    const jsx$157 = this$498.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$156 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$503 = new $c_scm_ListBuffer().init___();
    const jsx$155 = this$503.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$507 = new $c_scm_ListBuffer().init___();
    this.DialectAmbiguousRangeSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$165, "Ambiguous entity range", jsx$164, jsx$163, jsx$162, jsx$161, jsx$160, jsx$159, jsx$158, jsx$157, jsx$156, jsx$155, this$507.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$511 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$176 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$511, "closed-shape").iri__T();
    const jsx$175 = $m_s_None$();
    const jsx$174 = $m_s_None$();
    const jsx$173 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$516 = new $c_scm_ListBuffer().init___();
    const jsx$172 = this$516.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$520 = new $c_scm_ListBuffer().init___();
    const jsx$171 = this$520.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$524 = new $c_scm_ListBuffer().init___();
    const jsx$170 = this$524.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$528 = new $c_scm_ListBuffer().init___();
    const jsx$169 = this$528.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$532 = new $c_scm_ListBuffer().init___();
    const jsx$168 = this$532.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$167 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$537 = new $c_scm_ListBuffer().init___();
    const jsx$166 = this$537.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$541 = new $c_scm_ListBuffer().init___();
    this.ClosedShapeSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$176, "Invalid property for node", jsx$175, jsx$174, jsx$173, jsx$172, jsx$171, jsx$170, jsx$169, jsx$168, jsx$167, jsx$166, this$541.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$545 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$187 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$545, "duplicated-property").iri__T();
    const jsx$186 = $m_s_None$();
    const jsx$185 = $m_s_None$();
    const jsx$184 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$550 = new $c_scm_ListBuffer().init___();
    const jsx$183 = this$550.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$554 = new $c_scm_ListBuffer().init___();
    const jsx$182 = this$554.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$558 = new $c_scm_ListBuffer().init___();
    const jsx$181 = this$558.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$562 = new $c_scm_ListBuffer().init___();
    const jsx$180 = this$562.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$566 = new $c_scm_ListBuffer().init___();
    const jsx$179 = this$566.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$178 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$571 = new $c_scm_ListBuffer().init___();
    const jsx$177 = this$571.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$575 = new $c_scm_ListBuffer().init___();
    this.DuplicatedPropertySpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$187, "Duplicated property in node", jsx$186, jsx$185, jsx$184, jsx$183, jsx$182, jsx$181, jsx$180, jsx$179, jsx$178, jsx$177, this$575.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$579 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$198 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$579, "mandatory-property-shape").iri__T();
    const jsx$197 = $m_s_None$();
    const jsx$196 = $m_s_None$();
    const jsx$195 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$584 = new $c_scm_ListBuffer().init___();
    const jsx$194 = this$584.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$588 = new $c_scm_ListBuffer().init___();
    const jsx$193 = this$588.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$592 = new $c_scm_ListBuffer().init___();
    const jsx$192 = this$592.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$596 = new $c_scm_ListBuffer().init___();
    const jsx$191 = this$596.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$600 = new $c_scm_ListBuffer().init___();
    const jsx$190 = this$600.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$189 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$605 = new $c_scm_ListBuffer().init___();
    const jsx$188 = this$605.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$609 = new $c_scm_ListBuffer().init___();
    this.MissingPropertySpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$198, "Missing mandatory property", jsx$197, jsx$196, jsx$195, jsx$194, jsx$193, jsx$192, jsx$191, jsx$190, jsx$189, jsx$188, this$609.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$613 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$209 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$613, "parsing-error").iri__T();
    const jsx$208 = $m_s_None$();
    const jsx$207 = $m_s_None$();
    const jsx$206 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$618 = new $c_scm_ListBuffer().init___();
    const jsx$205 = this$618.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$622 = new $c_scm_ListBuffer().init___();
    const jsx$204 = this$622.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$626 = new $c_scm_ListBuffer().init___();
    const jsx$203 = this$626.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$630 = new $c_scm_ListBuffer().init___();
    const jsx$202 = this$630.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$634 = new $c_scm_ListBuffer().init___();
    const jsx$201 = this$634.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$200 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$639 = new $c_scm_ListBuffer().init___();
    const jsx$199 = this$639.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$643 = new $c_scm_ListBuffer().init___();
    this.ParsingErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$209, "Parsing error", jsx$208, jsx$207, jsx$206, jsx$205, jsx$204, jsx$203, jsx$202, jsx$201, jsx$200, jsx$199, this$643.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$647 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$220 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$647, "invalid-type-inheritance").iri__T();
    const jsx$219 = $m_s_None$();
    const jsx$218 = $m_s_None$();
    const jsx$217 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$652 = new $c_scm_ListBuffer().init___();
    const jsx$216 = this$652.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$656 = new $c_scm_ListBuffer().init___();
    const jsx$215 = this$656.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$660 = new $c_scm_ListBuffer().init___();
    const jsx$214 = this$660.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$664 = new $c_scm_ListBuffer().init___();
    const jsx$213 = this$664.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$668 = new $c_scm_ListBuffer().init___();
    const jsx$212 = this$668.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$211 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$673 = new $c_scm_ListBuffer().init___();
    const jsx$210 = this$673.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$677 = new $c_scm_ListBuffer().init___();
    this.InvalidTypeInheritanceErrorSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$220, "Invalid inheritance relationship", jsx$219, jsx$218, jsx$217, jsx$216, jsx$215, jsx$214, jsx$213, jsx$212, jsx$211, jsx$210, this$677.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$681 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$231 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$681, "json-schema-inheritance").iri__T();
    const jsx$230 = $m_s_None$();
    const jsx$229 = $m_s_None$();
    const jsx$228 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$686 = new $c_scm_ListBuffer().init___();
    const jsx$227 = this$686.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$690 = new $c_scm_ListBuffer().init___();
    const jsx$226 = this$690.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$694 = new $c_scm_ListBuffer().init___();
    const jsx$225 = this$694.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$698 = new $c_scm_ListBuffer().init___();
    const jsx$224 = this$698.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$702 = new $c_scm_ListBuffer().init___();
    const jsx$223 = this$702.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$222 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$707 = new $c_scm_ListBuffer().init___();
    const jsx$221 = this$707.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$711 = new $c_scm_ListBuffer().init___();
    this.JsonSchemaInheratinaceWarningSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$231, "Inheriting from JSON Schema", jsx$230, jsx$229, jsx$228, jsx$227, jsx$226, jsx$225, jsx$224, jsx$223, jsx$222, jsx$221, this$711.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$715 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$242 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$715, "parsing-warning").iri__T();
    const jsx$241 = $m_s_None$();
    const jsx$240 = $m_s_None$();
    const jsx$239 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$720 = new $c_scm_ListBuffer().init___();
    const jsx$238 = this$720.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$724 = new $c_scm_ListBuffer().init___();
    const jsx$237 = this$724.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$728 = new $c_scm_ListBuffer().init___();
    const jsx$236 = this$728.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$732 = new $c_scm_ListBuffer().init___();
    const jsx$235 = this$732.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$736 = new $c_scm_ListBuffer().init___();
    const jsx$234 = this$736.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$233 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$741 = new $c_scm_ListBuffer().init___();
    const jsx$232 = this$741.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$745 = new $c_scm_ListBuffer().init___();
    this.ParsingWarningSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$242, "Parsing warning", jsx$241, jsx$240, jsx$239, jsx$238, jsx$237, jsx$236, jsx$235, jsx$234, jsx$233, jsx$232, this$745.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$749 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$253 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$749, "inconsistent-property-range-value").iri__T();
    const jsx$252 = $m_s_None$();
    const jsx$251 = $m_s_None$();
    const jsx$250 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$754 = new $c_scm_ListBuffer().init___();
    const jsx$249 = this$754.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$758 = new $c_scm_ListBuffer().init___();
    const jsx$248 = this$758.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$762 = new $c_scm_ListBuffer().init___();
    const jsx$247 = this$762.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$766 = new $c_scm_ListBuffer().init___();
    const jsx$246 = this$766.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$770 = new $c_scm_ListBuffer().init___();
    const jsx$245 = this$770.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$244 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$775 = new $c_scm_ListBuffer().init___();
    const jsx$243 = this$775.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$779 = new $c_scm_ListBuffer().init___();
    this.InconsistentPropertyRangeValueSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$253, "Range value does not match the expected type", jsx$252, jsx$251, jsx$250, jsx$249, jsx$248, jsx$247, jsx$246, jsx$245, jsx$244, jsx$243, this$779.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$783 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$264 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$783, "missing-node-mapping-range-term").iri__T();
    const jsx$263 = $m_s_None$();
    const jsx$262 = $m_s_None$();
    const jsx$261 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$788 = new $c_scm_ListBuffer().init___();
    const jsx$260 = this$788.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$792 = new $c_scm_ListBuffer().init___();
    const jsx$259 = this$792.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$796 = new $c_scm_ListBuffer().init___();
    const jsx$258 = this$796.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$800 = new $c_scm_ListBuffer().init___();
    const jsx$257 = this$800.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$804 = new $c_scm_ListBuffer().init___();
    const jsx$256 = this$804.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$255 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$809 = new $c_scm_ListBuffer().init___();
    const jsx$254 = this$809.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$813 = new $c_scm_ListBuffer().init___();
    this.MissingPropertyRangeSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$264, "Missing property range term", jsx$263, jsx$262, jsx$261, jsx$260, jsx$259, jsx$258, jsx$257, jsx$256, jsx$255, jsx$254, this$813.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$817 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$275 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$817, "missing-vocabulary-term").iri__T();
    const jsx$274 = $m_s_None$();
    const jsx$273 = $m_s_None$();
    const jsx$272 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$822 = new $c_scm_ListBuffer().init___();
    const jsx$271 = this$822.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$826 = new $c_scm_ListBuffer().init___();
    const jsx$270 = this$826.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$830 = new $c_scm_ListBuffer().init___();
    const jsx$269 = this$830.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$834 = new $c_scm_ListBuffer().init___();
    const jsx$268 = this$834.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$838 = new $c_scm_ListBuffer().init___();
    const jsx$267 = this$838.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$266 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$843 = new $c_scm_ListBuffer().init___();
    const jsx$265 = this$843.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$847 = new $c_scm_ListBuffer().init___();
    this.MissingTermSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$275, "Missing vocabulary term", jsx$274, jsx$273, jsx$272, jsx$271, jsx$270, jsx$269, jsx$268, jsx$267, jsx$266, jsx$265, this$847.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const this$851 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    const jsx$286 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$851, "missing-dialect-fragment").iri__T();
    const jsx$285 = $m_s_None$();
    const jsx$284 = $m_s_None$();
    const jsx$283 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1]));
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$856 = new $c_scm_ListBuffer().init___();
    const jsx$282 = this$856.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$860 = new $c_scm_ListBuffer().init___();
    const jsx$281 = this$860.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$864 = new $c_scm_ListBuffer().init___();
    const jsx$280 = this$864.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$868 = new $c_scm_ListBuffer().init___();
    const jsx$279 = this$868.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$872 = new $c_scm_ListBuffer().init___();
    const jsx$278 = this$872.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const jsx$277 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$877 = new $c_scm_ListBuffer().init___();
    const jsx$276 = this$877.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$881 = new $c_scm_ListBuffer().init___();
    this.MissingFragmentSpecification$1 = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(jsx$286, "Missing dialect fragment", jsx$285, jsx$284, jsx$283, jsx$282, jsx$281, jsx$280, jsx$279, jsx$278, jsx$277, jsx$276, this$881.toList__sci_List(), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()), ($m_Lamf_core_validation_core_ValidationSpecification$(), $m_s_None$()));
    const jsx$436 = $m_s_Predef$().Map$2;
    const self = this.RecursiveShapeSpecification$1.id__T();
    const $$this$5 = self;
    const jsx$434 = $m_s_Predef$().Map$2;
    const self$1 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this = self$1;
    const y = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$433 = new $c_T2().init___O__O($$this, y);
    const self$2 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$1 = self$2;
    const y$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$432 = new $c_T2().init___O__O($$this$1, y$1);
    const self$3 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$2 = self$3;
    const y$2 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$431 = new $c_T2().init___O__O($$this$2, y$2);
    const self$4 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$3 = self$4;
    const y$3 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$430 = new $c_T2().init___O__O($$this$3, y$3);
    const self$5 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$4 = self$5;
    const y$4 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
    const y$5 = jsx$434.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$433, jsx$432, jsx$431, jsx$430, new $c_T2().init___O__O($$this$4, y$4)]));
    const jsx$435 = new $c_T2().init___O__O($$this$5, y$5);
    const self$6 = this.ChainedReferenceSpecification$1.id__T();
    const $$this$11 = self$6;
    const jsx$428 = $m_s_Predef$().Map$2;
    const self$7 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$6 = self$7;
    const y$6 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$427 = new $c_T2().init___O__O($$this$6, y$6);
    const self$8 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$7 = self$8;
    const y$7 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$426 = new $c_T2().init___O__O($$this$7, y$7);
    const self$9 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$8 = self$9;
    const y$8 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$425 = new $c_T2().init___O__O($$this$8, y$8);
    const self$10 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$9 = self$10;
    const y$9 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$424 = new $c_T2().init___O__O($$this$9, y$9);
    const self$11 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$10 = self$11;
    const y$10 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$11 = jsx$428.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$427, jsx$426, jsx$425, jsx$424, new $c_T2().init___O__O($$this$10, y$10)]));
    const jsx$429 = new $c_T2().init___O__O($$this$11, y$11);
    const self$12 = this.ExclusivePropertiesSpecification$1.id__T();
    const $$this$17 = self$12;
    const jsx$422 = $m_s_Predef$().Map$2;
    const self$13 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$12 = self$13;
    const y$12 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$421 = new $c_T2().init___O__O($$this$12, y$12);
    const self$14 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$13 = self$14;
    const y$13 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$420 = new $c_T2().init___O__O($$this$13, y$13);
    const self$15 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$14 = self$15;
    const y$14 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$419 = new $c_T2().init___O__O($$this$14, y$14);
    const self$16 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$15 = self$16;
    const y$15 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$418 = new $c_T2().init___O__O($$this$15, y$15);
    const self$17 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$16 = self$17;
    const y$16 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$17 = jsx$422.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$421, jsx$420, jsx$419, jsx$418, new $c_T2().init___O__O($$this$16, y$16)]));
    const jsx$423 = new $c_T2().init___O__O($$this$17, y$17);
    const self$18 = this.PathTemplateUnbalancedParameters$1.id__T();
    const $$this$23 = self$18;
    const jsx$416 = $m_s_Predef$().Map$2;
    const self$19 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$18 = self$19;
    const y$18 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$415 = new $c_T2().init___O__O($$this$18, y$18);
    const self$20 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$19 = self$20;
    const y$19 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$414 = new $c_T2().init___O__O($$this$19, y$19);
    const self$21 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$20 = self$21;
    const y$20 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$413 = new $c_T2().init___O__O($$this$20, y$20);
    const self$22 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$21 = self$22;
    const y$21 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$412 = new $c_T2().init___O__O($$this$21, y$21);
    const self$23 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$22 = self$23;
    const y$22 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$23 = jsx$416.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$415, jsx$414, jsx$413, jsx$412, new $c_T2().init___O__O($$this$22, y$22)]));
    const jsx$417 = new $c_T2().init___O__O($$this$23, y$23);
    const self$24 = this.OasBodyAndFormDataParameterSpecification$1.id__T();
    const $$this$26 = self$24;
    const jsx$410 = $m_s_Predef$().Map$2;
    const self$25 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$24 = self$25;
    const y$24 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$409 = new $c_T2().init___O__O($$this$24, y$24);
    const self$26 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$25 = self$26;
    const y$25 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$26 = jsx$410.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$409, new $c_T2().init___O__O($$this$25, y$25)]));
    const jsx$411 = new $c_T2().init___O__O($$this$26, y$26);
    const self$27 = this.OasInvalidBodyParameter$1.id__T();
    const $$this$32 = self$27;
    const jsx$407 = $m_s_Predef$().Map$2;
    const self$28 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$27 = self$28;
    const y$27 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$406 = new $c_T2().init___O__O($$this$27, y$27);
    const self$29 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$28 = self$29;
    const y$28 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$405 = new $c_T2().init___O__O($$this$28, y$28);
    const self$30 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$29 = self$30;
    const y$29 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$404 = new $c_T2().init___O__O($$this$29, y$29);
    const self$31 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$30 = self$31;
    const y$30 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$403 = new $c_T2().init___O__O($$this$30, y$30);
    const self$32 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$31 = self$32;
    const y$31 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$32 = jsx$407.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$406, jsx$405, jsx$404, jsx$403, new $c_T2().init___O__O($$this$31, y$31)]));
    const jsx$408 = new $c_T2().init___O__O($$this$32, y$32);
    const self$33 = this.OasInvalidFormDataParameter$1.id__T();
    const $$this$38 = self$33;
    const jsx$401 = $m_s_Predef$().Map$2;
    const self$34 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$33 = self$34;
    const y$33 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$400 = new $c_T2().init___O__O($$this$33, y$33);
    const self$35 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$34 = self$35;
    const y$34 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$399 = new $c_T2().init___O__O($$this$34, y$34);
    const self$36 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$35 = self$36;
    const y$35 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$398 = new $c_T2().init___O__O($$this$35, y$35);
    const self$37 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$36 = self$37;
    const y$36 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$397 = new $c_T2().init___O__O($$this$36, y$36);
    const self$38 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$37 = self$38;
    const y$37 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$38 = jsx$401.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$400, jsx$399, jsx$398, jsx$397, new $c_T2().init___O__O($$this$37, y$37)]));
    const jsx$402 = new $c_T2().init___O__O($$this$38, y$38);
    const self$39 = this.OasInvalidParameterBinding$1.id__T();
    const $$this$44 = self$39;
    const jsx$395 = $m_s_Predef$().Map$2;
    const self$40 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$39 = self$40;
    const y$39 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$394 = new $c_T2().init___O__O($$this$39, y$39);
    const self$41 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$40 = self$41;
    const y$40 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$393 = new $c_T2().init___O__O($$this$40, y$40);
    const self$42 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$41 = self$42;
    const y$41 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$392 = new $c_T2().init___O__O($$this$41, y$41);
    const self$43 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$42 = self$43;
    const y$42 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$391 = new $c_T2().init___O__O($$this$42, y$42);
    const self$44 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$43 = self$44;
    const y$43 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$44 = jsx$395.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$394, jsx$393, jsx$392, jsx$391, new $c_T2().init___O__O($$this$43, y$43)]));
    const jsx$396 = new $c_T2().init___O__O($$this$44, y$44);
    const self$45 = this.OasFormDataNotFileSpecification$1.id__T();
    const $$this$47 = self$45;
    const jsx$389 = $m_s_Predef$().Map$2;
    const self$46 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$45 = self$46;
    const y$45 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$388 = new $c_T2().init___O__O($$this$45, y$45);
    const self$47 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$46 = self$47;
    const y$46 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$47 = jsx$389.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$388, new $c_T2().init___O__O($$this$46, y$46)]));
    const jsx$390 = new $c_T2().init___O__O($$this$47, y$47);
    const self$48 = this.InvalidTypeInheritanceErrorSpecification$1.id__T();
    const $$this$53 = self$48;
    const jsx$386 = $m_s_Predef$().Map$2;
    const self$49 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$48 = self$49;
    const y$48 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$385 = new $c_T2().init___O__O($$this$48, y$48);
    const self$50 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$49 = self$50;
    const y$49 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$384 = new $c_T2().init___O__O($$this$49, y$49);
    const self$51 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$50 = self$51;
    const y$50 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$383 = new $c_T2().init___O__O($$this$50, y$50);
    const self$52 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$51 = self$52;
    const y$51 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$382 = new $c_T2().init___O__O($$this$51, y$51);
    const self$53 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$52 = self$53;
    const y$52 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$53 = jsx$386.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$385, jsx$384, jsx$383, jsx$382, new $c_T2().init___O__O($$this$52, y$52)]));
    const jsx$387 = new $c_T2().init___O__O($$this$53, y$53);
    const self$54 = this.JsonSchemaInheratinaceWarningSpecification$1.id__T();
    const $$this$59 = self$54;
    const jsx$380 = $m_s_Predef$().Map$2;
    const self$55 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$54 = self$55;
    const y$54 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$379 = new $c_T2().init___O__O($$this$54, y$54);
    const self$56 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$55 = self$56;
    const y$55 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$378 = new $c_T2().init___O__O($$this$55, y$55);
    const self$57 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$56 = self$57;
    const y$56 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$377 = new $c_T2().init___O__O($$this$56, y$56);
    const self$58 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$57 = self$58;
    const y$57 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$376 = new $c_T2().init___O__O($$this$57, y$57);
    const self$59 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$58 = self$59;
    const y$58 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const y$59 = jsx$380.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$379, jsx$378, jsx$377, jsx$376, new $c_T2().init___O__O($$this$58, y$58)]));
    const jsx$381 = new $c_T2().init___O__O($$this$59, y$59);
    const self$60 = this.UnknownSecuritySchemeErrorSpecification$1.id__T();
    const $$this$65 = self$60;
    const jsx$374 = $m_s_Predef$().Map$2;
    const self$61 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$60 = self$61;
    const y$60 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$373 = new $c_T2().init___O__O($$this$60, y$60);
    const self$62 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$61 = self$62;
    const y$61 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$372 = new $c_T2().init___O__O($$this$61, y$61);
    const self$63 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$62 = self$63;
    const y$62 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$371 = new $c_T2().init___O__O($$this$62, y$62);
    const self$64 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$63 = self$64;
    const y$63 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$370 = new $c_T2().init___O__O($$this$63, y$63);
    const self$65 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$64 = self$65;
    const y$64 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$65 = jsx$374.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$373, jsx$372, jsx$371, jsx$370, new $c_T2().init___O__O($$this$64, y$64)]));
    const jsx$375 = new $c_T2().init___O__O($$this$65, y$65);
    const self$66 = this.ClosedShapeSpecification$1.id__T();
    const $$this$71 = self$66;
    const jsx$368 = $m_s_Predef$().Map$2;
    const self$67 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$66 = self$67;
    const y$66 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$367 = new $c_T2().init___O__O($$this$66, y$66);
    const self$68 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$67 = self$68;
    const y$67 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$366 = new $c_T2().init___O__O($$this$67, y$67);
    const self$69 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$68 = self$69;
    const y$68 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$365 = new $c_T2().init___O__O($$this$68, y$68);
    const self$70 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$69 = self$70;
    const y$69 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$364 = new $c_T2().init___O__O($$this$69, y$69);
    const self$71 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$70 = self$71;
    const y$70 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$71 = jsx$368.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$367, jsx$366, jsx$365, jsx$364, new $c_T2().init___O__O($$this$70, y$70)]));
    const jsx$369 = new $c_T2().init___O__O($$this$71, y$71);
    const self$72 = this.DuplicatedPropertySpecification$1.id__T();
    const $$this$77 = self$72;
    const jsx$362 = $m_s_Predef$().Map$2;
    const self$73 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$72 = self$73;
    const y$72 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$361 = new $c_T2().init___O__O($$this$72, y$72);
    const self$74 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$73 = self$74;
    const y$73 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$360 = new $c_T2().init___O__O($$this$73, y$73);
    const self$75 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$74 = self$75;
    const y$74 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$359 = new $c_T2().init___O__O($$this$74, y$74);
    const self$76 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$75 = self$76;
    const y$75 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$358 = new $c_T2().init___O__O($$this$75, y$75);
    const self$77 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$76 = self$77;
    const y$76 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$77 = jsx$362.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$361, jsx$360, jsx$359, jsx$358, new $c_T2().init___O__O($$this$76, y$76)]));
    const jsx$363 = new $c_T2().init___O__O($$this$77, y$77);
    const self$78 = this.NamedExampleUsedInExample$1.id__T();
    const $$this$83 = self$78;
    const jsx$356 = $m_s_Predef$().Map$2;
    const self$79 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$78 = self$79;
    const y$78 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$355 = new $c_T2().init___O__O($$this$78, y$78);
    const self$80 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$79 = self$80;
    const y$79 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$354 = new $c_T2().init___O__O($$this$79, y$79);
    const self$81 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$80 = self$81;
    const y$80 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
    const jsx$353 = new $c_T2().init___O__O($$this$80, y$80);
    const self$82 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$81 = self$82;
    const y$81 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
    const jsx$352 = new $c_T2().init___O__O($$this$81, y$81);
    const self$83 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$82 = self$83;
    const y$82 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
    const y$83 = jsx$356.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$355, jsx$354, jsx$353, jsx$352, new $c_T2().init___O__O($$this$82, y$82)]));
    const jsx$357 = new $c_T2().init___O__O($$this$83, y$83);
    const self$84 = this.DialectAmbiguousRangeSpecification$1.id__T();
    const $$this$89 = self$84;
    const jsx$350 = $m_s_Predef$().Map$2;
    const self$85 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$84 = self$85;
    const y$84 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$349 = new $c_T2().init___O__O($$this$84, y$84);
    const self$86 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$85 = self$86;
    const y$85 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$348 = new $c_T2().init___O__O($$this$85, y$85);
    const self$87 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$86 = self$87;
    const y$86 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$347 = new $c_T2().init___O__O($$this$86, y$86);
    const self$88 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$87 = self$88;
    const y$87 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$346 = new $c_T2().init___O__O($$this$87, y$87);
    const self$89 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$88 = self$89;
    const y$88 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$89 = jsx$350.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$349, jsx$348, jsx$347, jsx$346, new $c_T2().init___O__O($$this$88, y$88)]));
    const jsx$351 = new $c_T2().init___O__O($$this$89, y$89);
    const self$90 = this.ParsingErrorSpecification$1.id__T();
    const $$this$95 = self$90;
    const jsx$344 = $m_s_Predef$().Map$2;
    const self$91 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$90 = self$91;
    const y$90 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$343 = new $c_T2().init___O__O($$this$90, y$90);
    const self$92 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$91 = self$92;
    const y$91 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$342 = new $c_T2().init___O__O($$this$91, y$91);
    const self$93 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$92 = self$93;
    const y$92 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$341 = new $c_T2().init___O__O($$this$92, y$92);
    const self$94 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$93 = self$94;
    const y$93 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$340 = new $c_T2().init___O__O($$this$93, y$93);
    const self$95 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$94 = self$95;
    const y$94 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$95 = jsx$344.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$343, jsx$342, jsx$341, jsx$340, new $c_T2().init___O__O($$this$94, y$94)]));
    const jsx$345 = new $c_T2().init___O__O($$this$95, y$95);
    const self$96 = this.ExampleValidationErrorSpecification$1.id__T();
    const $$this$101 = self$96;
    const jsx$338 = $m_s_Predef$().Map$2;
    const self$97 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$96 = self$97;
    const y$96 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$337 = new $c_T2().init___O__O($$this$96, y$96);
    const self$98 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$97 = self$98;
    const y$97 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$336 = new $c_T2().init___O__O($$this$97, y$97);
    const self$99 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$98 = self$99;
    const y$98 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$335 = new $c_T2().init___O__O($$this$98, y$98);
    const self$100 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$99 = self$100;
    const y$99 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$334 = new $c_T2().init___O__O($$this$99, y$99);
    const self$101 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$100 = self$101;
    const y$100 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$101 = jsx$338.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$337, jsx$336, jsx$335, jsx$334, new $c_T2().init___O__O($$this$100, y$100)]));
    const jsx$339 = new $c_T2().init___O__O($$this$101, y$101);
    const self$102 = this.ParsingWarningSpecification$1.id__T();
    const $$this$107 = self$102;
    const jsx$332 = $m_s_Predef$().Map$2;
    const self$103 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$102 = self$103;
    const y$102 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$331 = new $c_T2().init___O__O($$this$102, y$102);
    const self$104 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$103 = self$104;
    const y$103 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$330 = new $c_T2().init___O__O($$this$103, y$103);
    const self$105 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$104 = self$105;
    const y$104 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$329 = new $c_T2().init___O__O($$this$104, y$104);
    const self$106 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$105 = self$106;
    const y$105 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$328 = new $c_T2().init___O__O($$this$105, y$105);
    const self$107 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$106 = self$107;
    const y$106 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const y$107 = jsx$332.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$331, jsx$330, jsx$329, jsx$328, new $c_T2().init___O__O($$this$106, y$106)]));
    const jsx$333 = new $c_T2().init___O__O($$this$107, y$107);
    const self$108 = this.UnsupportedExampleMediaTypeErrorSpecification$1.id__T();
    const $$this$113 = self$108;
    const jsx$326 = $m_s_Predef$().Map$2;
    const self$109 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$108 = self$109;
    const y$108 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$325 = new $c_T2().init___O__O($$this$108, y$108);
    const self$110 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$109 = self$110;
    const y$109 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$324 = new $c_T2().init___O__O($$this$109, y$109);
    const self$111 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$110 = self$111;
    const y$110 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$323 = new $c_T2().init___O__O($$this$110, y$110);
    const self$112 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$111 = self$112;
    const y$111 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$322 = new $c_T2().init___O__O($$this$111, y$111);
    const self$113 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$112 = self$113;
    const y$112 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$113 = jsx$326.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$325, jsx$324, jsx$323, jsx$322, new $c_T2().init___O__O($$this$112, y$112)]));
    const jsx$327 = new $c_T2().init___O__O($$this$113, y$113);
    const self$114 = this.UnsupportedExampleMediaTypeWarningSpecification$1.id__T();
    const $$this$119 = self$114;
    const jsx$320 = $m_s_Predef$().Map$2;
    const self$115 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$114 = self$115;
    const y$114 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$319 = new $c_T2().init___O__O($$this$114, y$114);
    const self$116 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$115 = self$116;
    const y$115 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$318 = new $c_T2().init___O__O($$this$115, y$115);
    const self$117 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$116 = self$117;
    const y$116 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$317 = new $c_T2().init___O__O($$this$116, y$116);
    const self$118 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$117 = self$118;
    const y$117 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const jsx$316 = new $c_T2().init___O__O($$this$117, y$117);
    const self$119 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$118 = self$119;
    const y$118 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const y$119 = jsx$320.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$319, jsx$318, jsx$317, jsx$316, new $c_T2().init___O__O($$this$118, y$118)]));
    const jsx$321 = new $c_T2().init___O__O($$this$119, y$119);
    const self$120 = this.InconsistentPropertyRangeValueSpecification$1.id__T();
    const $$this$125 = self$120;
    const jsx$314 = $m_s_Predef$().Map$2;
    const self$121 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$120 = self$121;
    const y$120 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$313 = new $c_T2().init___O__O($$this$120, y$120);
    const self$122 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$121 = self$122;
    const y$121 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$312 = new $c_T2().init___O__O($$this$121, y$121);
    const self$123 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$122 = self$123;
    const y$122 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$311 = new $c_T2().init___O__O($$this$122, y$122);
    const self$124 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$123 = self$124;
    const y$123 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$310 = new $c_T2().init___O__O($$this$123, y$123);
    const self$125 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$124 = self$125;
    const y$124 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$125 = jsx$314.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$313, jsx$312, jsx$311, jsx$310, new $c_T2().init___O__O($$this$124, y$124)]));
    const jsx$315 = new $c_T2().init___O__O($$this$125, y$125);
    const self$126 = this.MissingPropertyRangeSpecification$1.id__T();
    const $$this$131 = self$126;
    const jsx$308 = $m_s_Predef$().Map$2;
    const self$127 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$126 = self$127;
    const y$126 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$307 = new $c_T2().init___O__O($$this$126, y$126);
    const self$128 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$127 = self$128;
    const y$127 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$306 = new $c_T2().init___O__O($$this$127, y$127);
    const self$129 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$128 = self$129;
    const y$128 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$305 = new $c_T2().init___O__O($$this$128, y$128);
    const self$130 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$129 = self$130;
    const y$129 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$304 = new $c_T2().init___O__O($$this$129, y$129);
    const self$131 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$130 = self$131;
    const y$130 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$131 = jsx$308.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$307, jsx$306, jsx$305, jsx$304, new $c_T2().init___O__O($$this$130, y$130)]));
    const jsx$309 = new $c_T2().init___O__O($$this$131, y$131);
    const self$132 = this.MissingTermSpecification$1.id__T();
    const $$this$137 = self$132;
    const jsx$302 = $m_s_Predef$().Map$2;
    const self$133 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$132 = self$133;
    const y$132 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$301 = new $c_T2().init___O__O($$this$132, y$132);
    const self$134 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$133 = self$134;
    const y$133 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$300 = new $c_T2().init___O__O($$this$133, y$133);
    const self$135 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$134 = self$135;
    const y$134 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$299 = new $c_T2().init___O__O($$this$134, y$134);
    const self$136 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$135 = self$136;
    const y$135 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$298 = new $c_T2().init___O__O($$this$135, y$135);
    const self$137 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$136 = self$137;
    const y$136 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$137 = jsx$302.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$301, jsx$300, jsx$299, jsx$298, new $c_T2().init___O__O($$this$136, y$136)]));
    const jsx$303 = new $c_T2().init___O__O($$this$137, y$137);
    const self$138 = this.MissingFragmentSpecification$1.id__T();
    const $$this$143 = self$138;
    const jsx$296 = $m_s_Predef$().Map$2;
    const self$139 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$138 = self$139;
    const y$138 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$295 = new $c_T2().init___O__O($$this$138, y$138);
    const self$140 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$139 = self$140;
    const y$139 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$294 = new $c_T2().init___O__O($$this$139, y$139);
    const self$141 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$140 = self$141;
    const y$140 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$293 = new $c_T2().init___O__O($$this$140, y$140);
    const self$142 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$141 = self$142;
    const y$141 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$292 = new $c_T2().init___O__O($$this$141, y$141);
    const self$143 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$142 = self$143;
    const y$142 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$143 = jsx$296.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$295, jsx$294, jsx$293, jsx$292, new $c_T2().init___O__O($$this$142, y$142)]));
    const jsx$297 = new $c_T2().init___O__O($$this$143, y$143);
    const self$144 = this.MissingPropertySpecification$1.id__T();
    const $$this$149 = self$144;
    const jsx$291 = $m_s_Predef$().Map$2;
    const self$145 = $m_Lamf_ProfileNames$().RAML$1;
    const $$this$144 = self$145;
    const y$144 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$290 = new $c_T2().init___O__O($$this$144, y$144);
    const self$146 = $m_Lamf_ProfileNames$().RAML08$1;
    const $$this$145 = self$146;
    const y$145 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$289 = new $c_T2().init___O__O($$this$145, y$145);
    const self$147 = $m_Lamf_ProfileNames$().OAS$1;
    const $$this$146 = self$147;
    const y$146 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$288 = new $c_T2().init___O__O($$this$146, y$146);
    const self$148 = $m_Lamf_ProfileNames$().OAS3$1;
    const $$this$147 = self$148;
    const y$147 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const jsx$287 = new $c_T2().init___O__O($$this$147, y$147);
    const self$149 = $m_Lamf_ProfileNames$().AMF$1;
    const $$this$148 = self$149;
    const y$148 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
    const y$149 = jsx$291.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$290, jsx$289, jsx$288, jsx$287, new $c_T2().init___O__O($$this$148, y$148)]));
    this.levels$1 = jsx$436.apply__sc_Seq__sc_GenMap(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$435, jsx$429, jsx$423, jsx$417, jsx$411, jsx$408, jsx$402, jsx$396, jsx$390, jsx$387, jsx$381, jsx$375, jsx$369, jsx$363, jsx$357, jsx$351, jsx$345, jsx$339, jsx$333, jsx$327, jsx$321, jsx$315, jsx$309, jsx$303, jsx$297, new $c_T2().init___O__O($$this$149, y$149)]));
    return this
  };
  validations__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.RecursiveShapeSpecification$1, this.NamedExampleUsedInExample$1, this.ChainedReferenceSpecification$1, this.ExclusivePropertiesSpecification$1, this.PathTemplateUnbalancedParameters$1, this.UnknownSecuritySchemeErrorSpecification$1, this.JsonSchemaInheratinaceWarningSpecification$1, this.InvalidTypeInheritanceErrorSpecification$1, this.ClosedShapeSpecification$1, this.DuplicatedPropertySpecification$1, this.DialectAmbiguousRangeSpecification$1, this.ParsingErrorSpecification$1, this.ParsingWarningSpecification$1, this.ExampleValidationErrorSpecification$1, this.UnsupportedExampleMediaTypeErrorSpecification$1, this.UnsupportedExampleMediaTypeWarningSpecification$1, this.InconsistentPropertyRangeValueSpecification$1, this.MissingPropertyRangeSpecification$1, this.MissingTermSpecification$1, this.MissingFragmentSpecification$1, this.MissingPropertySpecification$1, this.OasInvalidBodyParameter$1, this.OasInvalidFormDataParameter$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
}
const $d_Lamf_plugins_features_validation_ParserSideValidations$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_ParserSideValidations$: 0
}, false, "amf.plugins.features.validation.ParserSideValidations$", {
  Lamf_plugins_features_validation_ParserSideValidations$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_ParserSideValidations$.prototype.$classData = $d_Lamf_plugins_features_validation_ParserSideValidations$;
let $n_Lamf_plugins_features_validation_ParserSideValidations$ = (void 0);
const $m_Lamf_plugins_features_validation_ParserSideValidations$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_ParserSideValidations$)) {
    $n_Lamf_plugins_features_validation_ParserSideValidations$ = new $c_Lamf_plugins_features_validation_ParserSideValidations$().init___()
  };
  return $n_Lamf_plugins_features_validation_ParserSideValidations$
});
class $c_Lamf_plugins_features_validation_PlatformValidator$ extends $c_O {
  constructor() {
    super();
    this.instance$1 = null
  };
  init___() {
    $n_Lamf_plugins_features_validation_PlatformValidator$ = this;
    this.instance$1 = new $c_Lamf_plugins_features_validation_SHACLValidator().init___();
    return this
  };
}
const $d_Lamf_plugins_features_validation_PlatformValidator$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_PlatformValidator$: 0
}, false, "amf.plugins.features.validation.PlatformValidator$", {
  Lamf_plugins_features_validation_PlatformValidator$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_PlatformValidator$.prototype.$classData = $d_Lamf_plugins_features_validation_PlatformValidator$;
let $n_Lamf_plugins_features_validation_PlatformValidator$ = (void 0);
const $m_Lamf_plugins_features_validation_PlatformValidator$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_PlatformValidator$)) {
    $n_Lamf_plugins_features_validation_PlatformValidator$ = new $c_Lamf_plugins_features_validation_PlatformValidator$().init___()
  };
  return $n_Lamf_plugins_features_validation_PlatformValidator$
});
class $c_Lamf_plugins_features_validation_emitters_JSLibraryEmitter extends $c_O {
  constructor() {
    super();
    this.profile$1 = null;
    this.preamble$1 = null
  };
  composeText__sc_Seq__T(validations) {
    const elem = this.preamble$1;
    const text = new $c_sr_ObjectRef().init___O(elem);
    validations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, text$1) {
      return (function(validation$2) {
        const validation = validation$2;
        const constraint = validation.functionConstraint$1.get__O();
        const jsx$1 = text$1.elem$1;
        const x = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\n        |\n        |function ", "($this) {\n        |  var innerFn = ", ";\n        |  var input = amfFindNode($this, {});\n        |  // print(JSON.stringify(input))\n        |  try {\n        |    return innerFn(input);\n        |  } catch(e) {\n        |    console.log(\"Error in validation function\");\n        |    console.log(e);\n        |    return false;\n        |  }\n        |}\n        |\n      "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([constraint.computeFunctionName__T__T(validation.id__T()), constraint.code$1.get__O()]));
        const this$3 = new $c_sci_StringOps().init___T(x);
        text$1.elem$1 = (("" + jsx$1) + $f_sci_StringLike__stripMargin__C__T(this$3, 124))
      })
    })(this, text)));
    return text.elem$1
  };
  prefixes__T() {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().ns$1;
    const b = new $c_scm_HashMap().init___();
    const iterTable = this$1.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const this$3 = es;
      const next = this$3.next$1;
      const arg1 = es;
      const e = arg1;
      const _1 = e.key$1;
      const _2 = e.value$1;
      const prefix = _1;
      if ((((prefix !== "schema-org") && (prefix !== "raml-http")) !== false)) {
        const e$1 = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(b, _1, _2);
        if ((e$1 !== null)) {
          e$1.value$1 = _2
        }
      };
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    };
    const x1 = this.profile$1;
    let customNamespaces;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const prof = x2.value$2;
      customNamespaces = prof.prefixes$1
    } else {
      customNamespaces = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())
    };
    const this$4 = $m_scm_HashMap$();
    const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$4);
    const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(b, bf);
    const iterTable$1 = b.table$5;
    let idx$1 = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(b);
    let es$1 = iterTable$1.u[idx$1];
    while ((es$1 !== null)) {
      const this$5 = es$1;
      const next$1 = this$5.next$1;
      const arg1$1 = es$1;
      const e$2 = arg1$1;
      const _1$1 = e$2.key$1;
      const _2$1 = e$2.value$1;
      const prefix$1 = _1$1;
      const ns = _2$1;
      b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(prefix$1, ns.base$1));
      es$1 = next$1;
      while (((es$1 === null) && (idx$1 > 0))) {
        idx$1 = (((-1) + idx$1) | 0);
        es$1 = iterTable$1.u[idx$1]
      }
    };
    const this$7 = b$1.result__O();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ((x0$3 !== null)) {
          const prefix$2 = x0$3.$$und1__O();
          const ns$1 = x0$3.$$und2__O();
          return new $c_T2().init___O__O(prefix$2, ns$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    const this$6 = $m_sc_Map$();
    const bf$1 = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$6);
    const xs = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(customNamespaces, f, bf$1);
    const this$8 = this$7.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$7);
    const xs$1 = xs.seq__sc_TraversableOnce();
    const allNamespaces = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$8, xs$1);
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const prefix$3 = x0$4.$$und1__O();
          const ns$2 = x0$4.$$und2__O();
          return (((("  \"" + prefix$3) + "\": \"") + ns$2) + "\"")
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this));
    const this$9 = $m_scm_Iterable$();
    const bf$2 = this$9.ReusableCBFInstance$2;
    return (("{\n" + $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(allNamespaces, f$1, bf$2).mkString__T__T(",\n")) + "}")
  };
  init___s_Option(profile) {
    this.profile$1 = profile;
    const x = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\n       |function amfExtractLiteral(v){\n       |    if(v.datatype == null || v.datatype.value === \"http://www.w3.org/2001/XMLSchema#string\") {\n       |        return v.value;\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#integer\") {\n       |        return parseInt(v.value);\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#float\") {\n       |        return parseFloat(v.value);\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#double\") {\n       |        return v.value;\n       |    } else if(v.datatype.value === \"http://www.w3.org/2001/XMLSchema#boolean\") {\n       |        return v.value === \"true\";\n       |    } else {\n       |        return v.value;\n       |    }\n       |}\n       |\n       |function amfCompactProperty(prop) {\n       |    var prefixes = ", ";\n       |    for (var p in prefixes) {\n       |        if (prop.indexOf(prefixes[p]) === 0) {\n       |            return p + \":\" + prop.replace(prefixes[p], \"\")\n       |        }\n       |    }\n       |\n       |    return prop;\n       |}\n       |\n       |function amfFindNode(node, cache) {\n       |    var acc = {\"@id\": amfCompactProperty(node.value)};\n       |    var pairs = $data.query().match(node, \"?p\", \"?o\");\n       |    cache[node.value] = acc;\n       |    for(var pair = pairs.nextSolution(); pair; pair = pairs.nextSolution()) {\n       |        var prop = amfCompactProperty(pair.p.value);\n       |        if (pair.p.value === \"http://www.w3.org/1999/02/22-rdf-syntax-ns#type\") {\n       |            prop = \"@type\"\n       |        }\n       |\n       |        var value = acc[prop] || [];\n       |        acc[prop] = value;\n       |        if(prop === \"@type\") {\n       |            value.push(amfCompactProperty(pair.o.value));\n       |        } else if(pair.o.termType === \"BlankNode\" || pair.o.value.indexOf(\"urn:\") === 0 ) {\n       |            value.push(cache[pair.o.value] || amfFindNode(pair.o, cache));\n       |        } else if (pair.o.value.indexOf(\"http:/\") === 0 || pair.o.value.indexOf(\"file:/\") === 0) {\n       |            value.push(cache[pair.o.value] || amfFindNode(pair.o, cache));\n       |        } else {\n       |            value.push(amfExtractLiteral(pair.o));\n       |        }\n       |    }\n       |\n       |    return acc;\n       |}\n       |\n       |function path(node, path) {\n       |  var acc = [node]\n       |  if (node.constructor === Array) {\n       |    acc = node;\n       |  }\n       |  var paths = path.replace(new RegExp(\" \",\"g\"), \"\").split(\"/\") || [];\n       |  for (var i=0; i<paths.length; i++) {\n       |    var nextPath = paths[i];\n       |    var newAcc = [];\n       |    for (var j=0; j<acc.length; j++) {\n       |      var nextNode = acc[j];\n       |      newAcc = newAcc.concat(nextNode[nextPath] || [])\n       |    }\n       |    acc = newAcc;\n       |  }\n       |\n       |  return acc;\n       |}\n       |\n       |function value(node, propertyPath, value) {\n       |  var values = path(node, propertyPath);\n       |  for (var i=0; i<values.length; i++) {\n       |    if (values[i] === value)\n       |      return true;\n       |  }\n       |  return false;\n       |}\n       |\n       |function filterByPropertyValue(nodes, propertyPath, val) {\n       |  var acc = [];\n       |  for (var i=0; i<nodes.length; i++) {\n       |    if (value(nodes[i], propertyPath, val)) {\n       |      acc.push(nodes[i]);\n       |    }\n       |  }\n       |  return acc;\n       |}\n       |\n       |\n       |\n       |function isModelType(node, type) {\n       |  if (node == null) {\n       |    return false;\n       |  }\n       |  if (node.constructor === Array && node.length == 1) {\n       |    node = node[0]\n       |  }\n       |  var types = node['@type'] || [];\n       |  for(var i=0; i<types.length; i++) {\n       |    if (types[i] === type) {\n       |      return true;\n       |    }\n       |  }\n       |\n       |  return false;\n       |}\n       |\n       |if (typeof(console) === \"undefined\") {\n       |  console = {\n       |    log: function(x) { print(x) }\n       |  };\n       |}\n       |\n       |if (typeof(accumulators) == \"undefined\") {\n       |  accumulators = {};\n       |}\n       |for (var p in accumulators) {\n       |  delete accumulators[p];\n       |}\n    "])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.prefixes__T()]));
    const this$2 = new $c_sci_StringOps().init___T(x);
    this.preamble$1 = $f_sci_StringLike__stripMargin__C__T(this$2, 124);
    return this
  };
  emitJS__sc_Seq__s_Option(validations) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(validation$2) {
        const validation = validation$2;
        const this$1 = validation.functionConstraint$1;
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const functionConstraint = arg1;
          const this$2 = functionConstraint.code$1;
          if (this$2.isEmpty__Z()) {
            xo = $m_s_None$()
          } else {
            const arg1$1 = this$2.get__O();
            xo = new $c_s_Some().init___O(validation)
          }
        };
        return xo.toList__sci_List()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const constraints = validations.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    return (constraints.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(this.composeText__sc_Seq__T(constraints)))
  };
}
const $d_Lamf_plugins_features_validation_emitters_JSLibraryEmitter = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_JSLibraryEmitter: 0
}, false, "amf.plugins.features.validation.emitters.JSLibraryEmitter", {
  Lamf_plugins_features_validation_emitters_JSLibraryEmitter: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_JSLibraryEmitter.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_JSLibraryEmitter;
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter extends $c_O {
  constructor() {
    super();
    this.targetProfile$1 = null;
    this.jsValidatorEmitters$1 = null;
    this.jsConstraintEmitters$1 = null
  };
  emitConstraint__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lamf_core_validation_core_PropertyConstraint__V(b, constraintId, constraint) {
    if ($m_s_Option$().apply__O__s_Option(constraint.ramlPropertyId$1).isDefined__Z()) {
      const jsx$14 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
      $m_Lorg_yaml_model_YNode$();
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(constraintId);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      const this$4 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "path").iri__T();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v, this.expandRamlId__p1__T__T(constraint.ramlPropertyId$1));
      const this$7 = v.builder$1;
      const array = [key$1];
      if ((this$7.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$7.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
      const len$1 = this$7.size0$6;
      const src = this$7.array$6;
      const dest = this$7.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$7.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$7.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      const this$18 = constraint.maxCount$1;
      if ((!this$18.isEmpty__Z())) {
        const arg1 = this$18.get__O();
        const x$25 = arg1;
        this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxCount", x$25, new $c_s_Some().init___O(constraint))
      };
      const this$19 = constraint.minCount$1;
      if ((!this$19.isEmpty__Z())) {
        const arg1$1 = this$19.get__O();
        const x$26 = arg1$1;
        this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minCount", x$26, new $c_s_Some().init___O(constraint))
      };
      const this$20 = constraint.maxLength$1;
      if ((!this$20.isEmpty__Z())) {
        const arg1$2 = this$20.get__O();
        const x$27 = arg1$2;
        this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxLength", x$27, new $c_s_Some().init___O(constraint))
      };
      const this$21 = constraint.minLength$1;
      if ((!this$21.isEmpty__Z())) {
        const arg1$3 = this$21.get__O();
        const x$28 = arg1$3;
        this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minLength", x$28, new $c_s_Some().init___O(constraint))
      };
      const this$22 = constraint.maxExclusive$1;
      if ((!this$22.isEmpty__Z())) {
        const arg1$4 = this$22.get__O();
        const x$29 = arg1$4;
        this.genNumericPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxExclusive", x$29, new $c_s_Some().init___O(constraint))
      };
      const this$23 = constraint.minExclusive$1;
      if ((!this$23.isEmpty__Z())) {
        const arg1$5 = this$23.get__O();
        const x$30 = arg1$5;
        this.genNumericPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minExclusive", x$30, new $c_s_Some().init___O(constraint))
      };
      const this$24 = constraint.maxInclusive$1;
      if ((!this$24.isEmpty__Z())) {
        const arg1$6 = this$24.get__O();
        const x$31 = arg1$6;
        this.genNumericPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "maxInclusive", x$31, new $c_s_Some().init___O(constraint))
      };
      const this$25 = constraint.minInclusive$1;
      if ((!this$25.isEmpty__Z())) {
        const arg1$7 = this$25.get__O();
        const x$32 = arg1$7;
        this.genNumericPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "minInclusive", x$32, new $c_s_Some().init___O(constraint))
      };
      const this$26 = constraint.pattern$1;
      if ((!this$26.isEmpty__Z())) {
        const arg1$8 = this$26.get__O();
        const v$1 = arg1$8;
        this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "pattern", v$1, $m_s_None$())
      };
      const this$27 = constraint.node$1;
      if ((!this$27.isEmpty__Z())) {
        const arg1$9 = this$27.get__O();
        const x$33 = arg1$9;
        this.genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b$1, "node", x$33, $m_s_None$())
      };
      const this$28 = constraint.datatype$1;
      if ((!this$28.isEmpty__Z())) {
        const arg1$10 = this$28.get__O();
        const v$3 = arg1$10;
        if (((!$m_sjsr_RuntimeString$().endsWith__T__T__Z(v$3, "#float")) && (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(v$3, "#number")))) {
          $m_Lorg_yaml_model_YNode$();
          const this$29 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "datatype").iri__T();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$2, v$3);
          const this$32 = v$2.builder$1;
          const array$1 = [key$2];
          if ((this$32.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$32.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$1);
          const len$4 = this$32.size0$6;
          const src$1 = this$32.array$6;
          const dest$1 = this$32.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$32.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$2 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$2] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$32.size0$6 = newSize$1;
          b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
        }
      };
      if (constraint.class$1.nonEmpty__Z()) {
        if ((constraint.class$1.length__I() === 1)) {
          $m_Lorg_yaml_model_YNode$();
          const this$43 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$43, "class").iri__T();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
          const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$4, constraint.class$1.head__O());
          const this$46 = v$4.builder$1;
          const array$2 = [key$3];
          if ((this$46.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$6 = (array$2.length | 0);
          const newSize$2 = ((this$46.size0$6 + len$6) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$46, newSize$2);
          const len$7 = this$46.size0$6;
          const src$2 = this$46.array$6;
          const dest$2 = this$46.array$6;
          $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
          const xs$2 = this$46.array$6;
          const len$8 = xs$2.u.length;
          let i$2 = 0;
          let j$2 = 0;
          const x$4 = (array$2.length | 0);
          const x$5 = ((x$4 < len$8) ? x$4 : len$8);
          const that$2 = xs$2.u.length;
          const end$2 = ((x$5 < that$2) ? x$5 : that$2);
          while ((i$2 < end$2)) {
            const jsx$3 = j$2;
            const index$2 = i$2;
            xs$2.u[jsx$3] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$2 = ((1 + j$2) | 0)
          };
          this$46.size0$6 = newSize$2;
          b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
        } else {
          $m_Lorg_yaml_model_YNode$();
          const this$57 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$57, "or").iri__T();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
          const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$8 = v$5.builder$1;
          const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
          const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$6 = v$6.builder$1;
          const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          constraint.class$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, l) {
            return (function(v$2$1) {
              const v$7 = v$2$1;
              const jsx$5 = l.builder$1;
              const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              $m_Lorg_yaml_model_YNode$();
              const this$64 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
              const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$64, "class").iri__T();
              const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
              const v$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$8, v$7);
              const this$67 = v$8.builder$1;
              const array$3 = [key$6];
              if ((this$67.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$9 = (array$3.length | 0);
              const newSize$3 = ((this$67.size0$6 + len$9) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$67, newSize$3);
              const len$10 = this$67.size0$6;
              const src$3 = this$67.array$6;
              const dest$3 = this$67.array$6;
              $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
              const xs$3 = this$67.array$6;
              const len$11 = xs$3.u.length;
              let i$3 = 0;
              let j$3 = 0;
              const x$6 = (array$3.length | 0);
              const x$7 = ((x$6 < len$11) ? x$6 : len$11);
              const that$3 = xs$3.u.length;
              const end$3 = ((x$7 < that$3) ? x$7 : that$3);
              while ((i$3 < end$3)) {
                const jsx$4 = j$3;
                const index$3 = i$3;
                xs$3.u[jsx$4] = array$3[index$3];
                i$3 = ((1 + i$3) | 0);
                j$3 = ((1 + j$3) | 0)
              };
              this$67.size0$6 = newSize$3;
              b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$8.builder$1));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c = b$4.builder$1;
              const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
              const tt = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t = tt.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs = null;
              jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
            })
          })(this, b$3)));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$1 = b$3.builder$1;
          const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1);
          jsx$6.$$plus$eq__O__scm_ArrayBuffer(node);
          const this$86 = v$6.builder$1;
          const array$4 = [key$5];
          if ((this$86.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$12 = (array$4.length | 0);
          const newSize$4 = ((this$86.size0$6 + len$12) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$86, newSize$4);
          const len$13 = this$86.size0$6;
          const src$4 = this$86.array$6;
          const dest$4 = this$86.array$6;
          $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
          const xs$4 = this$86.array$6;
          const len$14 = xs$4.u.length;
          let i$4 = 0;
          let j$4 = 0;
          const x$8 = (array$4.length | 0);
          const x$9 = ((x$8 < len$14) ? x$8 : len$14);
          const that$4 = xs$4.u.length;
          const end$4 = ((x$9 < that$4) ? x$9 : that$4);
          while ((i$4 < end$4)) {
            const jsx$7 = j$4;
            const index$4 = i$4;
            xs$4.u[jsx$7] = array$4[index$4];
            i$4 = ((1 + i$4) | 0);
            j$4 = ((1 + j$4) | 0)
          };
          this$86.size0$6 = newSize$4;
          b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$2 = b$2.builder$1;
          const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$2, a$2, cs$2));
          const this$101 = v$5.builder$1;
          const array$5 = [key$4];
          if ((this$101.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$15 = (array$5.length | 0);
          const newSize$5 = ((this$101.size0$6 + len$15) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$101, newSize$5);
          const len$16 = this$101.size0$6;
          const src$5 = this$101.array$6;
          const dest$5 = this$101.array$6;
          $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
          const xs$5 = this$101.array$6;
          const len$17 = xs$5.u.length;
          let i$5 = 0;
          let j$5 = 0;
          const x$10 = (array$5.length | 0);
          const x$11 = ((x$10 < len$17) ? x$10 : len$17);
          const that$5 = xs$5.u.length;
          const end$5 = ((x$11 < that$5) ? x$11 : that$5);
          while ((i$5 < end$5)) {
            const jsx$9 = j$5;
            const index$5 = i$5;
            xs$5.u[jsx$9] = array$5[index$5];
            i$5 = ((1 + i$5) | 0);
            j$5 = ((1 + j$5) | 0)
          };
          this$101.size0$6 = newSize$5;
          b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1))
        }
      };
      const this$112 = constraint.custom$1;
      if ((!this$112.isEmpty__Z())) {
        const arg1$11 = this$112.get__O();
        const builder = arg1$11;
        builder.apply__O__O__O(b$1, constraintId)
      };
      if (constraint.in$1.nonEmpty__Z()) {
        $m_Lorg_yaml_model_YNode$();
        const this$113 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$113, "in").iri__T();
        const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
        const v$9 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$12 = v$9.builder$1;
        const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
        const v$10 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$10 = v$10.builder$1;
        const b$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        constraint.in$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$7) {
          return (function(x$44$2) {
            const x$44 = x$44$2;
            $this$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(b$7, x$44, $m_s_None$())
          })
        })(this, b$6)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$3 = b$6.builder$1;
        const value$4 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
        const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$3 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$3 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$3, a$3, cs$3);
        jsx$10.$$plus$eq__O__scm_ArrayBuffer(node$1);
        const this$123 = v$10.builder$1;
        const array$6 = [key$8];
        if ((this$123.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$18 = (array$6.length | 0);
        const newSize$6 = ((this$123.size0$6 + len$18) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$123, newSize$6);
        const len$19 = this$123.size0$6;
        const src$6 = this$123.array$6;
        const dest$6 = this$123.array$6;
        $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
        const xs$6 = this$123.array$6;
        const len$20 = xs$6.u.length;
        let i$6 = 0;
        let j$6 = 0;
        const x$12 = (array$6.length | 0);
        const x$13 = ((x$12 < len$20) ? x$12 : len$20);
        const that$6 = xs$6.u.length;
        const end$6 = ((x$13 < that$6) ? x$13 : that$6);
        while ((i$6 < end$6)) {
          const jsx$11 = j$6;
          const index$6 = i$6;
          xs$6.u[jsx$11] = array$6[index$6];
          i$6 = ((1 + i$6) | 0);
          j$6 = ((1 + j$6) | 0)
        };
        this$123.size0$6 = newSize$6;
        b$5.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$10.builder$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$4 = b$5.builder$1;
        const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
        const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$4 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$4 = null;
        jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$4, a$4, cs$4));
        const this$138 = v$9.builder$1;
        const array$7 = [key$7];
        if ((this$138.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$21 = (array$7.length | 0);
        const newSize$7 = ((this$138.size0$6 + len$21) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$138, newSize$7);
        const len$22 = this$138.size0$6;
        const src$7 = this$138.array$6;
        const dest$7 = this$138.array$6;
        $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
        const xs$7 = this$138.array$6;
        const len$23 = xs$7.u.length;
        let i$7 = 0;
        let j$7 = 0;
        const x$14 = (array$7.length | 0);
        const x$15 = ((x$14 < len$23) ? x$14 : len$23);
        const that$7 = xs$7.u.length;
        const end$7 = ((x$15 < that$7) ? x$15 : that$7);
        while ((i$7 < end$7)) {
          const jsx$13 = j$7;
          const index$7 = i$7;
          xs$7.u[jsx$13] = array$7[index$7];
          i$7 = ((1 + i$7) | 0);
          j$7 = ((1 + j$7) | 0)
        };
        this$138.size0$6 = newSize$7;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$9.builder$1))
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$5 = b$1.builder$1;
      const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
      const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$5 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$5 = null;
      jsx$14.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$5, a$5, cs$5))
    }
  };
  isPropertyConstraintUri__p1__T__Z(name) {
    return ((((((name.length | 0) >= 0) && (name.substring(0, ("http://".length | 0)) === "http://")) || (((name.length | 0) >= 0) && (name.substring(0, ("https://".length | 0)) === "https://"))) || (((name.length | 0) >= 0) && (name.substring(0, ("file:".length | 0)) === "file:"))) && ((name.indexOf("/prop") | 0) > (-1)))
  };
  genJSValidator__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f) {
    const validatorId = f.validatorId__T__T(validationId);
    return this.jsValidatorEmitters$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1().init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__Lamf_core_validation_core_FunctionConstraint__T(this, validationId, f, validatorId))
  };
  emitValidation__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_core_ValidationSpecification__V(b, validation) {
    const validationId = validation.id__T();
    const jsx$31 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(validationId);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "NodeShape").iri__T();
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
    const x1 = this.targetProfile$1;
    let message;
    if ((($m_Lamf_ProfileNames$().RAML$1 === x1) || ($m_Lamf_ProfileNames$().RAML08$1 === x1))) {
      const this$8 = validation.ramlMessage$1;
      message = (this$8.isEmpty__Z() ? validation.message$1 : this$8.get__O())
    } else if (($m_Lamf_ProfileNames$().OAS$1 === x1)) {
      const this$9 = validation.oasMessage$1;
      message = (this$9.isEmpty__Z() ? validation.message$1 : this$9.get__O())
    } else {
      message = validation.message$1
    };
    if ((message !== "")) {
      $m_Lorg_yaml_model_YNode$();
      const this$10 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$10, "message").iri__T();
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, message, $m_s_None$());
      const this$13 = v.builder$1;
      const array = [key$2];
      if ((this$13.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$13.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
      const len$1 = this$13.size0$6;
      const src = this$13.array$6;
      const dest = this$13.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$13.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$13.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    };
    if (validation.targetInstance$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$24 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$24, "targetNode").iri__T();
      const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$2 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.targetInstance$1.distinct__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p) {
        return (function(ti$2) {
          const ti = ti$2;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(p, $this.expandRamlId__p1__T__T(ti))
        })
      })(this, b$2)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs);
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$32 = v$1.builder$1;
      const array$1 = [key$3];
      if ((this$32.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$32.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$1);
      const len$4 = this$32.size0$6;
      const src$1 = this$32.array$6;
      const dest$1 = this$32.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$32.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$3 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$3] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$32.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    };
    if (validation.targetClass$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$43 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$43, "targetClass").iri__T();
      const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$4 = v$2.builder$1;
      const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.targetClass$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, p$1) {
        return (function(tc$2) {
          const tc = tc$2;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(p$1, $this$1.expandRamlId__p1__T__T(tc))
        })
      })(this, b$3)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$1 = b$3.builder$1;
      const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$1, a$1, cs$1);
      jsx$4.$$plus$eq__O__scm_ArrayBuffer(node$1);
      const this$51 = v$2.builder$1;
      const array$2 = [key$4];
      if ((this$51.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$6 = (array$2.length | 0);
      const newSize$2 = ((this$51.size0$6 + len$6) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$51, newSize$2);
      const len$7 = this$51.size0$6;
      const src$2 = this$51.array$6;
      const dest$2 = this$51.array$6;
      $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
      const xs$2 = this$51.array$6;
      const len$8 = xs$2.u.length;
      let i$2 = 0;
      let j$2 = 0;
      const x$4 = (array$2.length | 0);
      const x$5 = ((x$4 < len$8) ? x$4 : len$8);
      const that$2 = xs$2.u.length;
      const end$2 = ((x$5 < that$2) ? x$5 : that$2);
      while ((i$2 < end$2)) {
        const jsx$5 = j$2;
        const index$2 = i$2;
        xs$2.u[jsx$5] = array$2[index$2];
        i$2 = ((1 + i$2) | 0);
        j$2 = ((1 + j$2) | 0)
      };
      this$51.size0$6 = newSize$2;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
    };
    const this$62 = validation.closed$1;
    if ((!this$62.isEmpty__Z())) {
      const arg1 = this$62.get__O();
      const closedShape = (!(!arg1));
      if (closedShape) {
        $m_Lorg_yaml_model_YNode$();
        const this$63 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$63, "closed").iri__T();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
        const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, ("" + closedShape), $m_s_None$());
        const this$67 = v$3.builder$1;
        const array$3 = [key$5];
        if ((this$67.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$9 = (array$3.length | 0);
        const newSize$3 = ((this$67.size0$6 + len$9) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$67, newSize$3);
        const len$10 = this$67.size0$6;
        const src$3 = this$67.array$6;
        const dest$3 = this$67.array$6;
        $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
        const xs$3 = this$67.array$6;
        const len$11 = xs$3.u.length;
        let i$3 = 0;
        let j$3 = 0;
        const x$6 = (array$3.length | 0);
        const x$7 = ((x$6 < len$11) ? x$6 : len$11);
        const that$3 = xs$3.u.length;
        const end$3 = ((x$7 < that$3) ? x$7 : that$3);
        while ((i$3 < end$3)) {
          const jsx$6 = j$3;
          const index$3 = i$3;
          xs$3.u[jsx$6] = array$3[index$3];
          i$3 = ((1 + i$3) | 0);
          j$3 = ((1 + j$3) | 0)
        };
        this$67.size0$6 = newSize$3;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1))
      };
      new $c_s_Some().init___O((void 0))
    };
    if (validation.targetObject$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$78 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$78, "targetObjectsOf").iri__T();
      const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
      const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$7 = v$4.builder$1;
      const b$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.targetObject$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, p$2) {
        return (function(to$2) {
          const to = to$2;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(p$2, $this$2.expandRamlId__p1__T__T(to))
        })
      })(this, b$4)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$2 = b$4.builder$1;
      const value$4 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
      const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$2 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$2 = null;
      const node$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2);
      jsx$7.$$plus$eq__O__scm_ArrayBuffer(node$2);
      const this$86 = v$4.builder$1;
      const array$4 = [key$6];
      if ((this$86.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$12 = (array$4.length | 0);
      const newSize$4 = ((this$86.size0$6 + len$12) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$86, newSize$4);
      const len$13 = this$86.size0$6;
      const src$4 = this$86.array$6;
      const dest$4 = this$86.array$6;
      $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
      const xs$4 = this$86.array$6;
      const len$14 = xs$4.u.length;
      let i$4 = 0;
      let j$4 = 0;
      const x$8 = (array$4.length | 0);
      const x$9 = ((x$8 < len$14) ? x$8 : len$14);
      const that$4 = xs$4.u.length;
      const end$4 = ((x$9 < that$4) ? x$9 : that$4);
      while ((i$4 < end$4)) {
        const jsx$8 = j$4;
        const index$4 = i$4;
        xs$4.u[jsx$8] = array$4[index$4];
        i$4 = ((1 + i$4) | 0);
        j$4 = ((1 + j$4) | 0)
      };
      this$86.size0$6 = newSize$4;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
    };
    if (validation.unionConstraints$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$97 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$97, "or").iri__T();
      const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
      const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$11 = v$5.builder$1;
      const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
      const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$9 = v$6.builder$1;
      const b$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.unionConstraints$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, l) {
        return (function(v$2$1) {
          const v$7 = v$2$1;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(l, v$7)
        })
      })(this, b$6)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$3 = b$6.builder$1;
      const value$5 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
      const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$3 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$3 = null;
      const node$3 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$3, a$3, cs$3);
      jsx$9.$$plus$eq__O__scm_ArrayBuffer(node$3);
      const this$107 = v$6.builder$1;
      const array$5 = [key$8];
      if ((this$107.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$15 = (array$5.length | 0);
      const newSize$5 = ((this$107.size0$6 + len$15) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$107, newSize$5);
      const len$16 = this$107.size0$6;
      const src$5 = this$107.array$6;
      const dest$5 = this$107.array$6;
      $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
      const xs$5 = this$107.array$6;
      const len$17 = xs$5.u.length;
      let i$5 = 0;
      let j$5 = 0;
      const x$10 = (array$5.length | 0);
      const x$11 = ((x$10 < len$17) ? x$10 : len$17);
      const that$5 = xs$5.u.length;
      const end$5 = ((x$11 < that$5) ? x$11 : that$5);
      while ((i$5 < end$5)) {
        const jsx$10 = j$5;
        const index$5 = i$5;
        xs$5.u[jsx$10] = array$5[index$5];
        i$5 = ((1 + i$5) | 0);
        j$5 = ((1 + j$5) | 0)
      };
      this$107.size0$6 = newSize$5;
      b$5.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$4 = b$5.builder$1;
      const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
      const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$4 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$4 = null;
      jsx$11.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$4, a$4, cs$4));
      const this$122 = v$5.builder$1;
      const array$6 = [key$7];
      if ((this$122.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$18 = (array$6.length | 0);
      const newSize$6 = ((this$122.size0$6 + len$18) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$122, newSize$6);
      const len$19 = this$122.size0$6;
      const src$6 = this$122.array$6;
      const dest$6 = this$122.array$6;
      $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
      const xs$6 = this$122.array$6;
      const len$20 = xs$6.u.length;
      let i$6 = 0;
      let j$6 = 0;
      const x$12 = (array$6.length | 0);
      const x$13 = ((x$12 < len$20) ? x$12 : len$20);
      const that$6 = xs$6.u.length;
      const end$6 = ((x$13 < that$6) ? x$13 : that$6);
      while ((i$6 < end$6)) {
        const jsx$12 = j$6;
        const index$6 = i$6;
        xs$6.u[jsx$12] = array$6[index$6];
        i$6 = ((1 + i$6) | 0);
        j$6 = ((1 + j$6) | 0)
      };
      this$122.size0$6 = newSize$6;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1))
    };
    if (validation.andConstraints$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$133 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$133, "and").iri__T();
      const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
      const v$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$15 = v$8.builder$1;
      const b$7 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
      const v$9 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$13 = v$9.builder$1;
      const b$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.andConstraints$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, l$1) {
        return (function(v$2$2) {
          const v$10 = v$2$2;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(l$1, v$10)
        })
      })(this, b$8)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$5 = b$8.builder$1;
      const value$7 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$5);
      const tt$5 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$5 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$5 = null;
      const node$4 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$5, a$5, cs$5);
      jsx$13.$$plus$eq__O__scm_ArrayBuffer(node$4);
      const this$143 = v$9.builder$1;
      const array$7 = [key$10];
      if ((this$143.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$21 = (array$7.length | 0);
      const newSize$7 = ((this$143.size0$6 + len$21) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$143, newSize$7);
      const len$22 = this$143.size0$6;
      const src$7 = this$143.array$6;
      const dest$7 = this$143.array$6;
      $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
      const xs$7 = this$143.array$6;
      const len$23 = xs$7.u.length;
      let i$7 = 0;
      let j$7 = 0;
      const x$14 = (array$7.length | 0);
      const x$15 = ((x$14 < len$23) ? x$14 : len$23);
      const that$7 = xs$7.u.length;
      const end$7 = ((x$15 < that$7) ? x$15 : that$7);
      while ((i$7 < end$7)) {
        const jsx$14 = j$7;
        const index$7 = i$7;
        xs$7.u[jsx$14] = array$7[index$7];
        i$7 = ((1 + i$7) | 0);
        j$7 = ((1 + j$7) | 0)
      };
      this$143.size0$6 = newSize$7;
      b$7.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$9.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$6 = b$7.builder$1;
      const value$8 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$6);
      const tt$6 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$6 = tt$6.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$6 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$6 = null;
      jsx$15.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$8, t$6, a$6, cs$6));
      const this$158 = v$8.builder$1;
      const array$8 = [key$9];
      if ((this$158.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$24 = (array$8.length | 0);
      const newSize$8 = ((this$158.size0$6 + len$24) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$158, newSize$8);
      const len$25 = this$158.size0$6;
      const src$8 = this$158.array$6;
      const dest$8 = this$158.array$6;
      $systemArraycopy(src$8, 0, dest$8, len$24, len$25);
      const xs$8 = this$158.array$6;
      const len$26 = xs$8.u.length;
      let i$8 = 0;
      let j$8 = 0;
      const x$16 = (array$8.length | 0);
      const x$17 = ((x$16 < len$26) ? x$16 : len$26);
      const that$8 = xs$8.u.length;
      const end$8 = ((x$17 < that$8) ? x$17 : that$8);
      while ((i$8 < end$8)) {
        const jsx$16 = j$8;
        const index$8 = i$8;
        xs$8.u[jsx$16] = array$8[index$8];
        i$8 = ((1 + i$8) | 0);
        j$8 = ((1 + j$8) | 0)
      };
      this$158.size0$6 = newSize$8;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$8.builder$1))
    };
    if (validation.xoneConstraints$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$169 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$169, "xone").iri__T();
      const key$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
      const v$11 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$19 = v$11.builder$1;
      const b$9 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
      const v$12 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$17 = v$12.builder$1;
      const b$10 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      validation.xoneConstraints$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, l$2) {
        return (function(v$2$3) {
          const v$13 = v$2$3;
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(l$2, v$13)
        })
      })(this, b$10)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$7 = b$10.builder$1;
      const value$9 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$7);
      const tt$7 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$7 = tt$7.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$7 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$7 = null;
      const node$5 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$9, t$7, a$7, cs$7);
      jsx$17.$$plus$eq__O__scm_ArrayBuffer(node$5);
      const this$179 = v$12.builder$1;
      const array$9 = [key$12];
      if ((this$179.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$27 = (array$9.length | 0);
      const newSize$9 = ((this$179.size0$6 + len$27) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$179, newSize$9);
      const len$28 = this$179.size0$6;
      const src$9 = this$179.array$6;
      const dest$9 = this$179.array$6;
      $systemArraycopy(src$9, 0, dest$9, len$27, len$28);
      const xs$9 = this$179.array$6;
      const len$29 = xs$9.u.length;
      let i$9 = 0;
      let j$9 = 0;
      const x$18 = (array$9.length | 0);
      const x$19 = ((x$18 < len$29) ? x$18 : len$29);
      const that$9 = xs$9.u.length;
      const end$9 = ((x$19 < that$9) ? x$19 : that$9);
      while ((i$9 < end$9)) {
        const jsx$18 = j$9;
        const index$9 = i$9;
        xs$9.u[jsx$18] = array$9[index$9];
        i$9 = ((1 + i$9) | 0);
        j$9 = ((1 + j$9) | 0)
      };
      this$179.size0$6 = newSize$9;
      b$9.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$12.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$8 = b$9.builder$1;
      const value$10 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$8);
      const tt$8 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$8 = tt$8.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$8 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$8 = null;
      jsx$19.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$10, t$8, a$8, cs$8));
      const this$194 = v$11.builder$1;
      const array$10 = [key$11];
      if ((this$194.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$30 = (array$10.length | 0);
      const newSize$10 = ((this$194.size0$6 + len$30) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$194, newSize$10);
      const len$31 = this$194.size0$6;
      const src$10 = this$194.array$6;
      const dest$10 = this$194.array$6;
      $systemArraycopy(src$10, 0, dest$10, len$30, len$31);
      const xs$10 = this$194.array$6;
      const len$32 = xs$10.u.length;
      let i$10 = 0;
      let j$10 = 0;
      const x$20 = (array$10.length | 0);
      const x$21 = ((x$20 < len$32) ? x$20 : len$32);
      const that$10 = xs$10.u.length;
      const end$10 = ((x$21 < that$10) ? x$21 : that$10);
      while ((i$10 < end$10)) {
        const jsx$20 = j$10;
        const index$10 = i$10;
        xs$10.u[jsx$20] = array$10[index$10];
        i$10 = ((1 + i$10) | 0);
        j$10 = ((1 + j$10) | 0)
      };
      this$194.size0$6 = newSize$10;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$11.builder$1))
    };
    if (validation.notConstraint$1.isDefined__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$205 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$9 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$205, "not").iri__T();
      const key$13 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
      const v$14 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$21 = v$14.builder$1;
      const b$11 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$11, validation.notConstraint$1.get__O());
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$9 = b$11.builder$1;
      const value$11 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$9);
      const tt$9 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$9 = tt$9.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$9 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$9 = null;
      const node$6 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$11, t$9, a$9, cs$9);
      jsx$21.$$plus$eq__O__scm_ArrayBuffer(node$6);
      const this$213 = v$14.builder$1;
      const array$11 = [key$13];
      if ((this$213.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$33 = (array$11.length | 0);
      const newSize$11 = ((this$213.size0$6 + len$33) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$213, newSize$11);
      const len$34 = this$213.size0$6;
      const src$11 = this$213.array$6;
      const dest$11 = this$213.array$6;
      $systemArraycopy(src$11, 0, dest$11, len$33, len$34);
      const xs$11 = this$213.array$6;
      const len$35 = xs$11.u.length;
      let i$11 = 0;
      let j$11 = 0;
      const x$22 = (array$11.length | 0);
      const x$23 = ((x$22 < len$35) ? x$22 : len$35);
      const that$11 = xs$11.u.length;
      const end$11 = ((x$23 < that$11) ? x$23 : that$11);
      while ((i$11 < end$11)) {
        const jsx$22 = j$11;
        const index$11 = i$11;
        xs$11.u[jsx$22] = array$11[index$11];
        i$11 = ((1 + i$11) | 0);
        j$11 = ((1 + j$11) | 0)
      };
      this$213.size0$6 = newSize$11;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$14.builder$1))
    };
    const x1$2 = validation.functionConstraint$1;
    if ($is_s_Some(x1$2)) {
      const x2 = x1$2;
      const f = x2.value$2;
      this.emitFunctionConstraint__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_validation_core_FunctionConstraint__V(b$1, validationId, f)
    };
    const this$224 = validation.nodeConstraints$1.groupBy__F1__sci_Map(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1) {
      return (function(x$20$2) {
        const x$20$1 = x$20$2;
        return x$20$1.constraint$1
      })
    })(this)));
    const p$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13$1) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    const jsx$26 = new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$224, p$3);
    const jsx$23 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14$1, p$4) {
      return (function(x$22$2) {
        const x$22$1 = x$22$2;
        if ((x$22$1 !== null)) {
          const constraint = x$22$1.$$und1__O();
          const values = x$22$1.$$und2__O();
          $m_Lorg_yaml_model_YNode$();
          const str$10 = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(constraint).iri__T();
          const key$14 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$10);
          const v$15 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$24 = v$15.builder$1;
          const b$12 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          values.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, b$13) {
            return (function(v$2$4) {
              const v$16 = v$2$4;
              $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$13, $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(v$16.value$1).iri__T())
            })
          })(this$14$1, b$12)));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$10 = b$12.builder$1;
          const value$12 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$10);
          const tt$10 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$10 = tt$10.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$10 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$10 = null;
          const node$7 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$12, t$10, a$10, cs$10);
          jsx$24.$$plus$eq__O__scm_ArrayBuffer(node$7);
          const this$231 = v$15.builder$1;
          const array$12 = [key$14];
          if ((this$231.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$36 = (array$12.length | 0);
          const newSize$12 = ((this$231.size0$6 + len$36) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$231, newSize$12);
          const len$37 = this$231.size0$6;
          const src$12 = this$231.array$6;
          const dest$12 = this$231.array$6;
          $systemArraycopy(src$12, 0, dest$12, len$36, len$37);
          const xs$12 = this$231.array$6;
          const len$38 = xs$12.u.length;
          let i$12 = 0;
          let j$12 = 0;
          const x$24 = (array$12.length | 0);
          const x$25 = ((x$24 < len$38) ? x$24 : len$38);
          const that$12 = xs$12.u.length;
          const end$12 = ((x$25 < that$12) ? x$25 : that$12);
          while ((i$12 < end$12)) {
            const jsx$25 = j$12;
            const index$12 = i$12;
            xs$12.u[jsx$25] = array$12[index$12];
            i$12 = ((1 + i$12) | 0);
            j$12 = ((1 + j$12) | 0)
          };
          this$231.size0$6 = newSize$12;
          p$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$15.builder$1))
        } else {
          throw new $c_s_MatchError().init___O(x$22$1)
        }
      })
    })(this, b$1));
    const this$242 = $m_sci_Iterable$();
    jsx$26.map__F1__scg_CanBuildFrom__O(jsx$23, this$242.ReusableCBFInstance$2);
    if (validation.propertyConstraints$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const this$243 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$243, "property").iri__T();
      const key$15 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$11);
      const v$17 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$29 = v$17.builder$1;
      const b$14 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$28 = validation.propertyConstraints$1;
      const jsx$27 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$7, validationId$1, b$15) {
        return (function(constraint$2) {
          const constraint$1 = constraint$2;
          if ($this$7.isPropertyConstraintUri__p1__T__Z(constraint$1.name$1)) {
            $this$7.emitConstraint__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lamf_core_validation_core_PropertyConstraint__V(b$15, constraint$1.name$1, constraint$1)
          } else {
            const thiz = constraint$1.name$1;
            let constraintSegment;
            if (((thiz.indexOf("#") | 0) > (-1))) {
              const thiz$1 = constraint$1.name$1;
              const xs$13 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$1, "#", 0);
              const this$251 = new $c_scm_ArrayOps$ofRef().init___AO(xs$13);
              const thiz$2 = $f_sc_IndexedSeqOptimized__last__O(this$251);
              constraintSegment = thiz$2.split(".").join("-")
            } else {
              const thiz$3 = constraint$1.name$1;
              constraintSegment = thiz$3.split(".").join("-")
            };
            $this$7.emitConstraint__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lamf_core_validation_core_PropertyConstraint__V(b$15, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/prop/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId$1, constraintSegment])), constraint$1)
          }
        })
      })(this, validationId, b$14));
      const this$256 = $m_sc_Seq$();
      jsx$28.map__F1__scg_CanBuildFrom__O(jsx$27, this$256.ReusableCBFInstance$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$11 = b$14.builder$1;
      const value$13 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$11);
      const tt$11 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$11 = tt$11.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$11 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$11 = null;
      const node$8 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$13, t$11, a$11, cs$11);
      jsx$29.$$plus$eq__O__scm_ArrayBuffer(node$8);
      const this$261 = v$17.builder$1;
      const array$13 = [key$15];
      if ((this$261.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$39 = (array$13.length | 0);
      const newSize$13 = ((this$261.size0$6 + len$39) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$261, newSize$13);
      const len$40 = this$261.size0$6;
      const src$13 = this$261.array$6;
      const dest$13 = this$261.array$6;
      $systemArraycopy(src$13, 0, dest$13, len$39, len$40);
      const xs$14 = this$261.array$6;
      const len$41 = xs$14.u.length;
      let i$13 = 0;
      let j$13 = 0;
      const x$26 = (array$13.length | 0);
      const x$27 = ((x$26 < len$41) ? x$26 : len$41);
      const that$13 = xs$14.u.length;
      const end$13 = ((x$27 < that$13) ? x$27 : that$13);
      while ((i$13 < end$13)) {
        const jsx$30 = j$13;
        const index$13 = i$13;
        xs$14.u[jsx$30] = array$13[index$13];
        i$13 = ((1 + i$13) | 0);
        j$13 = ((1 + j$13) | 0)
      };
      this$261.size0$6 = newSize$13;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$17.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$12 = b$1.builder$1;
    const value$14 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$12);
    const tt$12 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$12 = tt$12.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$12 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$12 = null;
    jsx$31.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$14, t$12, a$12, cs$12))
  };
  genNonEmptyList__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$12 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "NodeShape").iri__T(), $m_Lorg_yaml_model_YType$().Str$1);
    const this$6 = v.builder$1;
    const array = [key];
    if ((this$6.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$6.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
    const len$1 = this$6.size0$6;
    const src = this$6.array$6;
    const dest = this$6.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$6.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$6.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "message").iri__T();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, "List cannot be empty", $m_Lorg_yaml_model_YType$().Str$1);
    const this$21 = v$1.builder$1;
    const array$1 = [key$1];
    if ((this$21.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$21.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize$1);
    const len$4 = this$21.size0$6;
    const src$1 = this$21.array$6;
    const dest$1 = this$21.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$21.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$3 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$3] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$21.size0$6 = newSize$1;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$32 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$32, "property").iri__T();
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$10 = v$2.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$9 = b$2.builder$1;
    const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const this$37 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$37, "path").iri__T();
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$40 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
    jsx$4.link__Lorg_yaml_model_YDocument$PartBuilder__T__V(v$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$40, "_1").iri__T());
    const this$42 = v$3.builder$1;
    const array$2 = [key$3];
    if ((this$42.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$42.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$42, newSize$2);
    const len$7 = this$42.size0$6;
    const src$2 = this$42.array$6;
    const dest$2 = this$42.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$42.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$5 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$5] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$42.size0$6 = newSize$2;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$53 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$53, "minCount").iri__T();
    const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = v$4.builder$1;
    const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$5, "1", $m_Lorg_yaml_model_YType$().Int$1);
    const this$58 = v$5.builder$1;
    const array$3 = [key$5];
    if ((this$58.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$58.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$58, newSize$3);
    const len$10 = this$58.size0$6;
    const src$3 = this$58.array$6;
    const dest$3 = this$58.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$58.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$6 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$6] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$58.size0$6 = newSize$3;
    b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$4.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$73 = v$4.builder$1;
    const array$4 = [key$4];
    if ((this$73.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$12 = (array$4.length | 0);
    const newSize$4 = ((this$73.size0$6 + len$12) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$73, newSize$4);
    const len$13 = this$73.size0$6;
    const src$4 = this$73.array$6;
    const dest$4 = this$73.array$6;
    $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
    const xs$4 = this$73.array$6;
    const len$14 = xs$4.u.length;
    let i$4 = 0;
    let j$4 = 0;
    const x$8 = (array$4.length | 0);
    const x$9 = ((x$8 < len$14) ? x$8 : len$14);
    const that$4 = xs$4.u.length;
    const end$4 = ((x$9 < that$4) ? x$9 : that$4);
    while ((i$4 < end$4)) {
      const jsx$8 = j$4;
      const index$4 = i$4;
      xs$4.u[jsx$8] = array$4[index$4];
      i$4 = ((1 + i$4) | 0);
      j$4 = ((1 + j$4) | 0)
    };
    this$73.size0$6 = newSize$4;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$3.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c$2 = b$2.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2);
    jsx$10.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$92 = v$2.builder$1;
    const array$5 = [key$2];
    if ((this$92.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$15 = (array$5.length | 0);
    const newSize$5 = ((this$92.size0$6 + len$15) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$92, newSize$5);
    const len$16 = this$92.size0$6;
    const src$5 = this$92.array$6;
    const dest$5 = this$92.array$6;
    $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
    const xs$5 = this$92.array$6;
    const len$17 = xs$5.u.length;
    let i$5 = 0;
    let j$5 = 0;
    const x$10 = (array$5.length | 0);
    const x$11 = ((x$10 < len$17) ? x$10 : len$17);
    const that$5 = xs$5.u.length;
    const end$5 = ((x$11 < that$5) ? x$11 : that$5);
    while ((i$5 < end$5)) {
      const jsx$11 = j$5;
      const index$5 = i$5;
      xs$5.u[jsx$11] = array$5[index$5];
      i$5 = ((1 + i$5) | 0);
      j$5 = ((1 + j$5) | 0)
    };
    this$92.size0$6 = newSize$5;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$3 = b$1.builder$1;
    const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
    const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$3 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$3 = null;
    jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$3, a$3, cs$3))
  };
  expandRamlId__p1__T__T(s) {
    if ((((((s.length | 0) >= 0) && (s.substring(0, ("http://".length | 0)) === "http://")) || (((s.length | 0) >= 0) && (s.substring(0, ("https://".length | 0)) === "https://"))) || (((s.length | 0) >= 0) && (s.substring(0, ("file:".length | 0)) === "file:")))) {
      return s.trim()
    } else {
      const thiz = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(s.split(".").join(":")).iri__T();
      return thiz.trim()
    }
  };
  genNumericPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b, constraintName, value, constraint) {
    let rc7 = false;
    let x2 = null;
    let x1;
    if (constraint.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = constraint.get__O();
      const x$72 = arg1;
      x1 = x$72.datatype$1
    };
    matchEnd8: {
      if ($is_s_Some(x1)) {
        rc7 = true;
        x2 = x1;
        const scalarType = x2.value$2;
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        let jsx$1;
        if ((scalarType === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "number").iri__T())) {
          jsx$1 = true
        } else {
          const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          jsx$1 = (scalarType === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "double").iri__T())
        };
        if (jsx$1) {
          $m_Lorg_yaml_model_YNode$();
          const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, constraintName).iri__T();
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$9 = new $c_sci_StringOps().init___T(value);
          const jsx$2 = $m_jl_Double$();
          const $$this = this$9.repr$1;
          const this$11 = jsx$2.parseDouble__T__D($$this);
          const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, ("" + this$11), new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "double").iri__T()));
          const this$15 = v.builder$1;
          const array = [key];
          if ((this$15.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$15.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize);
          const len$1 = this$15.size0$6;
          const src = this$15.array$6;
          const dest = this$15.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$15.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x = (array.length | 0);
          const x$1 = ((x < len$2) ? x : len$2);
          const that = xs.u.length;
          const end = ((x$1 < that) ? x$1 : that);
          while ((i < end)) {
            const jsx$3 = j;
            const index = i;
            xs.u[jsx$3] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$15.size0$6 = newSize;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          break matchEnd8
        }
      };
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        $m_Lorg_yaml_model_YNode$();
        const this$26 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$26, constraintName).iri__T();
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const this$30 = new $c_sci_StringOps().init___T(value);
        const jsx$4 = $m_jl_Double$();
        const $$this$1 = this$30.repr$1;
        const this$32 = jsx$4.parseDouble__T__D($$this$1);
        const this$34 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$1, ("" + this$32), new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$34, "double").iri__T()));
        const this$36 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$36.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$36.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$36, newSize$1);
        const len$4 = this$36.size0$6;
        const src$1 = this$36.array$6;
        const dest$1 = this$36.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$36.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$3 = (array$1.length | 0);
        const x$4 = ((x$3 < len$5) ? x$3 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$4 < that$1) ? x$4 : that$1);
        while ((i$1 < end$1)) {
          const jsx$5 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$5] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$36.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
        break matchEnd8
      };
      if (rc7) {
        const scalarType$2 = x2.value$2;
        const this$47 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((scalarType$2 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$47, "float").iri__T())) {
          $m_Lorg_yaml_model_YNode$();
          const this$49 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$49, constraintName).iri__T();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$53 = new $c_sci_StringOps().init___T(value);
          const jsx$6 = $m_jl_Double$();
          const $$this$2 = this$53.repr$1;
          const this$55 = jsx$6.parseDouble__T__D($$this$2);
          const this$57 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$2, ("" + this$55), new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$57, "float").iri__T()));
          const this$59 = v$2.builder$1;
          const array$2 = [key$2];
          if ((this$59.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$6 = (array$2.length | 0);
          const newSize$2 = ((this$59.size0$6 + len$6) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$59, newSize$2);
          const len$7 = this$59.size0$6;
          const src$2 = this$59.array$6;
          const dest$2 = this$59.array$6;
          $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
          const xs$2 = this$59.array$6;
          const len$8 = xs$2.u.length;
          let i$2 = 0;
          let j$2 = 0;
          const x$5 = (array$2.length | 0);
          const x$6 = ((x$5 < len$8) ? x$5 : len$8);
          const that$2 = xs$2.u.length;
          const end$2 = ((x$6 < that$2) ? x$6 : that$2);
          while ((i$2 < end$2)) {
            const jsx$7 = j$2;
            const index$2 = i$2;
            xs$2.u[jsx$7] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$2 = ((1 + j$2) | 0)
          };
          this$59.size0$6 = newSize$2;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
          break matchEnd8
        }
      };
      if (rc7) {
        const scalarType$3 = x2.value$2;
        const this$70 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((scalarType$3 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$70, "integer").iri__T())) {
          $m_Lorg_yaml_model_YNode$();
          const this$72 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$72, constraintName).iri__T();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
          const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$76 = new $c_sci_StringOps().init___T(value);
          const jsx$8 = $m_jl_Double$();
          const $$this$3 = this$76.repr$1;
          const x$7 = jsx$8.parseDouble__T__D($$this$3);
          const this$82 = $doubleToInt((+$g.Math.floor(x$7)));
          const this$84 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, ("" + this$82), new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$84, "integer").iri__T()));
          const this$86 = v$3.builder$1;
          const array$3 = [key$3];
          if ((this$86.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$9 = (array$3.length | 0);
          const newSize$3 = ((this$86.size0$6 + len$9) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$86, newSize$3);
          const len$10 = this$86.size0$6;
          const src$3 = this$86.array$6;
          const dest$3 = this$86.array$6;
          $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
          const xs$3 = this$86.array$6;
          const len$11 = xs$3.u.length;
          let i$3 = 0;
          let j$3 = 0;
          const x$8 = (array$3.length | 0);
          const x$9 = ((x$8 < len$11) ? x$8 : len$11);
          const that$3 = xs$3.u.length;
          const end$3 = ((x$9 < that$3) ? x$9 : that$3);
          while ((i$3 < end$3)) {
            const jsx$9 = j$3;
            const index$3 = i$3;
            xs$3.u[jsx$9] = array$3[index$3];
            i$3 = ((1 + i$3) | 0);
            j$3 = ((1 + j$3) | 0)
          };
          this$86.size0$6 = newSize$3;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
          break matchEnd8
        }
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  emitFunctionConstraint__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_validation_core_FunctionConstraint__V(b, validationId, f) {
    this.genJSValidator__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f);
    this.genJSConstraint__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f);
    $m_Lorg_yaml_model_YNode$();
    const str = f.validatorPath__T__T(validationId);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, "true", $m_s_None$());
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  genPropertyConstraintValue__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__T__s_Option__V(b, constraintName, value, constraint) {
    let rc7 = false;
    let x2 = null;
    let x1;
    if (constraint.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = constraint.get__O();
      const x$63 = arg1;
      x1 = x$63.datatype$1
    };
    matchEnd8: {
      if ($is_s_Some(x1)) {
        rc7 = true;
        x2 = x1;
        const scalarType = x2.value$2;
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        if ((scalarType === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "number").iri__T())) {
          $m_Lorg_yaml_model_YNode$();
          const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "or").iri__T();
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$9 = v.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$7 = v$1.builder$1;
          const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$3 = b$2.builder$1;
          const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$10 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$10, constraintName).iri__T();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$14 = new $c_sci_StringOps().init___T(value);
          const jsx$1 = $m_jl_Double$();
          const $$this = this$14.repr$1;
          const x = jsx$1.parseDouble__T__D($$this);
          const this$20 = $doubleToInt((+$g.Math.floor(x)));
          const this$22 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$2, ("" + this$20), new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$22, "integer").iri__T()));
          const this$24 = v$2.builder$1;
          const array = [key$2];
          if ((this$24.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$24.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$24, newSize);
          const len$1 = this$24.size0$6;
          const src = this$24.array$6;
          const dest = this$24.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$24.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x$1 = (array.length | 0);
          const x$2 = ((x$1 < len$2) ? x$1 : len$2);
          const that = xs.u.length;
          const end = ((x$2 < that) ? x$2 : that);
          while ((i < end)) {
            const jsx$2 = j;
            const index = i;
            xs.u[jsx$2] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$24.size0$6 = newSize;
          b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$3.builder$1;
          const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
          const jsx$6 = b$2.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$40 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$40, constraintName).iri__T();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
          const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$44 = new $c_sci_StringOps().init___T(value);
          const jsx$4 = $m_jl_Double$();
          const $$this$1 = this$44.repr$1;
          const this$46 = jsx$4.parseDouble__T__D($$this$1);
          const this$48 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, ("" + this$46), new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$48, "double").iri__T()));
          const this$50 = v$3.builder$1;
          const array$1 = [key$3];
          if ((this$50.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$50.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$50, newSize$1);
          const len$4 = this$50.size0$6;
          const src$1 = this$50.array$6;
          const dest$1 = this$50.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$50.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$3 = (array$1.length | 0);
          const x$4 = ((x$3 < len$5) ? x$3 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$4 < that$1) ? x$4 : that$1);
          while ((i$1 < end$1)) {
            const jsx$5 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$5] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$50.size0$6 = newSize$1;
          b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$4.builder$1;
          const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$2 = b$2.builder$1;
          const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$2, a$2, cs$2);
          jsx$7.$$plus$eq__O__scm_ArrayBuffer(node);
          const this$69 = v$1.builder$1;
          const array$2 = [key$1];
          if ((this$69.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$6 = (array$2.length | 0);
          const newSize$2 = ((this$69.size0$6 + len$6) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$69, newSize$2);
          const len$7 = this$69.size0$6;
          const src$2 = this$69.array$6;
          const dest$2 = this$69.array$6;
          $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
          const xs$2 = this$69.array$6;
          const len$8 = xs$2.u.length;
          let i$2 = 0;
          let j$2 = 0;
          const x$5 = (array$2.length | 0);
          const x$6 = ((x$5 < len$8) ? x$5 : len$8);
          const that$2 = xs$2.u.length;
          const end$2 = ((x$6 < that$2) ? x$6 : that$2);
          while ((i$2 < end$2)) {
            const jsx$8 = j$2;
            const index$2 = i$2;
            xs$2.u[jsx$8] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$2 = ((1 + j$2) | 0)
          };
          this$69.size0$6 = newSize$2;
          b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$3 = b$1.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
          const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$3 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$3 = null;
          jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$3, a$3, cs$3));
          const this$84 = v.builder$1;
          const array$3 = [key];
          if ((this$84.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$9 = (array$3.length | 0);
          const newSize$3 = ((this$84.size0$6 + len$9) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$84, newSize$3);
          const len$10 = this$84.size0$6;
          const src$3 = this$84.array$6;
          const dest$3 = this$84.array$6;
          $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
          const xs$3 = this$84.array$6;
          const len$11 = xs$3.u.length;
          let i$3 = 0;
          let j$3 = 0;
          const x$7 = (array$3.length | 0);
          const x$8 = ((x$7 < len$11) ? x$7 : len$11);
          const that$3 = xs$3.u.length;
          const end$3 = ((x$8 < that$3) ? x$8 : that$3);
          while ((i$3 < end$3)) {
            const jsx$10 = j$3;
            const index$3 = i$3;
            xs$3.u[jsx$10] = array$3[index$3];
            i$3 = ((1 + i$3) | 0);
            j$3 = ((1 + j$3) | 0)
          };
          this$84.size0$6 = newSize$3;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          break matchEnd8
        }
      };
      if (rc7) {
        $m_Lorg_yaml_model_YNode$();
        const this$95 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$95, constraintName).iri__T();
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
        const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        let jsx$11;
        if (constraint.isEmpty__Z()) {
          jsx$11 = $m_s_None$()
        } else {
          const arg1$1 = constraint.get__O();
          const x$70 = arg1$1;
          jsx$11 = x$70.datatype$1
        };
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$4, value, jsx$11);
        const this$98 = v$4.builder$1;
        const array$4 = [key$4];
        if ((this$98.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$12 = (array$4.length | 0);
        const newSize$4 = ((this$98.size0$6 + len$12) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$98, newSize$4);
        const len$13 = this$98.size0$6;
        const src$4 = this$98.array$6;
        const dest$4 = this$98.array$6;
        $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
        const xs$4 = this$98.array$6;
        const len$14 = xs$4.u.length;
        let i$4 = 0;
        let j$4 = 0;
        const x$9 = (array$4.length | 0);
        const x$10 = ((x$9 < len$14) ? x$9 : len$14);
        const that$4 = xs$4.u.length;
        const end$4 = ((x$10 < that$4) ? x$10 : that$4);
        while ((i$4 < end$4)) {
          const jsx$12 = j$4;
          const index$4 = i$4;
          xs$4.u[jsx$12] = array$4[index$4];
          i$4 = ((1 + i$4) | 0);
          j$4 = ((1 + j$4) | 0)
        };
        this$98.size0$6 = newSize$4;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
        break matchEnd8
      };
      const x$11 = $m_s_None$();
      if ((x$11 === x1)) {
        $m_Lorg_yaml_model_YNode$();
        const this$109 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$109, constraintName).iri__T();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
        const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$5, value, $m_s_None$());
        const this$112 = v$5.builder$1;
        const array$5 = [key$5];
        if ((this$112.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$15 = (array$5.length | 0);
        const newSize$5 = ((this$112.size0$6 + len$15) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$112, newSize$5);
        const len$16 = this$112.size0$6;
        const src$5 = this$112.array$6;
        const dest$5 = this$112.array$6;
        $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
        const xs$5 = this$112.array$6;
        const len$17 = xs$5.u.length;
        let i$5 = 0;
        let j$5 = 0;
        const x$12 = (array$5.length | 0);
        const x$13 = ((x$12 < len$17) ? x$12 : len$17);
        const that$5 = xs$5.u.length;
        const end$5 = ((x$13 < that$5) ? x$13 : that$5);
        while ((i$5 < end$5)) {
          const jsx$13 = j$5;
          const index$5 = i$5;
          xs$5.u[jsx$13] = array$5[index$5];
          i$5 = ((1 + i$5) | 0);
          j$5 = ((1 + j$5) | 0)
        };
        this$112.size0$6 = newSize$5;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
        break matchEnd8
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  emitJSONLDAST__p1__sc_Seq__Lorg_yaml_model_YDocument(validations) {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    validations.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        $this.emitValidation__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_core_ValidationSpecification__V(b$2, x$2)
      })
    })(this, b$1)));
    const this$6 = this.jsValidatorEmitters$1;
    const this$7 = this$6.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$7;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$3 = arg1;
      x$3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1);
      these = these.tail__O()
    };
    const this$8 = this.jsConstraintEmitters$1;
    const this$9 = this$8.scala$collection$mutable$ListBuffer$$start$6;
    let these$1 = this$9;
    while ((!these$1.isEmpty__Z())) {
      const arg1$1 = these$1.head__O();
      const x$4 = arg1$1;
      x$4.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1);
      these$1 = these$1.tail__O()
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  emitJSON__sc_Seq__T(validations) {
    return $m_Lorg_yaml_render_JsonRender$().render__Lorg_yaml_model_YDocument__T(this.emitJSONLDAST__p1__sc_Seq__Lorg_yaml_model_YDocument(validations))
  };
  init___T(targetProfile) {
    this.targetProfile$1 = targetProfile;
    this.jsValidatorEmitters$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.jsConstraintEmitters$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(b, s, dType) {
    if ($is_s_Some(dType)) {
      const x2 = dType;
      const dt = x2.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
      $m_Lorg_yaml_model_YNode$();
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(s);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
      $m_Lorg_yaml_model_YNode$();
      const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(dt);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs))
    } else {
      const x = $m_s_None$();
      if ((x === dType)) {
        if ((s === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("[1-9][\\d]*", s)) {
          const jsx$3 = b.builder$1;
          const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, s, $m_Lorg_yaml_model_YType$().Int$1);
          const this$13 = v.builder$1;
          const array = [key$2];
          if ((this$13.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$13.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
          const len$1 = this$13.size0$6;
          const src = this$13.array$6;
          const dest = this$13.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$13.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x$1 = (array.length | 0);
          const x$2 = ((x$1 < len$2) ? x$1 : len$2);
          const that = xs.u.length;
          const end = ((x$2 < that) ? x$2 : that);
          while ((i < end)) {
            const jsx$2 = j;
            const index = i;
            xs.u[jsx$2] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$13.size0$6 = newSize;
          b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$2.builder$1;
          const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$1, a$1, cs$1))
        } else if (((s === "true") || (s === "false"))) {
          const jsx$5 = b.builder$1;
          const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, s, $m_Lorg_yaml_model_YType$().Bool$1);
          const this$30 = v$1.builder$1;
          const array$1 = [key$3];
          if ((this$30.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$30.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$30, newSize$1);
          const len$4 = this$30.size0$6;
          const src$1 = this$30.array$6;
          const dest$1 = this$30.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$30.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$3 = (array$1.length | 0);
          const x$4 = ((x$3 < len$5) ? x$3 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$4 < that$1) ? x$4 : that$1);
          while ((i$1 < end$1)) {
            const jsx$4 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$4] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$30.size0$6 = newSize$1;
          b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$2 = b$3.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
          const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$2 = null;
          jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2))
        } else if (($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(s).iri__T() === $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType("amf-parser:NonEmptyList").iri__T())) {
          this.genNonEmptyList__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b)
        } else if ((((((s.length | 0) >= 0) && (s.substring(0, ("http://".length | 0)) === "http://")) || (((s.length | 0) >= 0) && (s.substring(0, ("https://".length | 0)) === "https://"))) || (((s.length | 0) >= 0) && (s.substring(0, ("file:".length | 0)) === "file:")))) {
          $m_Lamf_core_emitter_BaseEmitters_package$().link__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, s)
        } else {
          const jsx$6 = b.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          $m_Lorg_yaml_model_YNode$();
          const value$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(s);
          b$4.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$4, value$5);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$3 = b$4.builder$1;
          const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
          const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$3 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$3 = null;
          jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$3, a$3, cs$3))
        }
      } else {
        throw new $c_s_MatchError().init___O(dType)
      }
    }
  };
  genJSConstraint__p1__T__Lamf_core_validation_core_FunctionConstraint__scm_ListBuffer(validationId, f) {
    const constraintId = f.constraintId__T__T(validationId);
    const validatorId = f.validatorId__T__T(validationId);
    const validatorPath = f.validatorPath__T__T(validationId);
    return this.jsConstraintEmitters$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2().init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__T__T(this, constraintId, validatorId, validatorPath))
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter;
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ extends $c_O {
  init___() {
    return this
  };
  validationLibraryUrl__T() {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "validationLibrary.js").iri__T()
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter$", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$;
let $n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = (void 0);
const $m_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$)) {
    $n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$ = new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$().init___()
  };
  return $n_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$
});
class $c_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ extends $c_O {
  init___() {
    return this
  };
  emitViolation__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, severity) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    let str;
    if (($m_Lamf_core_validation_SeverityLevels$().INFO$1 === severity)) {
      str = this.shacl__T__T("Info")
    } else if (($m_Lamf_core_validation_SeverityLevels$().WARNING$1 === severity)) {
      str = this.shacl__T__T("Warning")
    } else {
      if (($m_Lamf_core_validation_SeverityLevels$().VIOLATION$1 !== severity)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown severity level ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([severity]))))
      };
      str = this.shacl__T__T("Violation")
    };
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
  };
  emitResult__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_AMFValidationResult__V(b, result) {
    const jsx$9 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str = this.shacl__T__T("ValidationResult");
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const str$1 = this.shacl__T__T("resultSeverity");
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitViolation__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(v, result.level$1);
    const this$5 = v.builder$1;
    const array = [key$1];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$2 = this.shacl__T__T("focusNode");
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = v$1.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$3 = result.targetNode$1;
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$3, value$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$2.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
    const this$24 = v$1.builder$1;
    const array$1 = [key$2];
    if ((this$24.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$24.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$24, newSize$1);
    const len$4 = this$24.size0$6;
    const src$1 = this$24.array$6;
    const dest$1 = this$24.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$24.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$3 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$3] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$24.size0$6 = newSize$1;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    const this$35 = result.targetProperty$1;
    if ((!this$35.isEmpty__Z())) {
      const arg1 = this$35.get__O();
      const x0$1 = arg1;
      if ((x0$1 !== "")) {
        $m_Lorg_yaml_model_YNode$();
        const str$4 = this.shacl__T__T("resultPath");
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
        const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$4 = v$2.builder$1;
        const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
        $m_Lorg_yaml_model_YNode$();
        const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(x0$1);
        b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$3);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$1 = b$3.builder$1;
        const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$1, a$1, cs$1));
        const this$44 = v$2.builder$1;
        const array$2 = [key$4];
        if ((this$44.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$6 = (array$2.length | 0);
        const newSize$2 = ((this$44.size0$6 + len$6) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$44, newSize$2);
        const len$7 = this$44.size0$6;
        const src$2 = this$44.array$6;
        const dest$2 = this$44.array$6;
        $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
        const xs$2 = this$44.array$6;
        const len$8 = xs$2.u.length;
        let i$2 = 0;
        let j$2 = 0;
        const x$4 = (array$2.length | 0);
        const x$5 = ((x$4 < len$8) ? x$4 : len$8);
        const that$2 = xs$2.u.length;
        const end$2 = ((x$5 < that$2) ? x$5 : that$2);
        while ((i$2 < end$2)) {
          const jsx$5 = j$2;
          const index$2 = i$2;
          xs$2.u[jsx$5] = array$2[index$2];
          i$2 = ((1 + i$2) | 0);
          j$2 = ((1 + j$2) | 0)
        };
        this$44.size0$6 = newSize$2;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
      }
    };
    $m_Lorg_yaml_model_YNode$();
    const str$5 = this.shacl__T__T("resultMessage");
    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
    $m_Lorg_yaml_model_YNode$();
    const str$6 = result.message$1;
    const value$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$5);
    $m_Lorg_yaml_model_YNode$();
    const str$7 = this.shacl__T__T("sourceShape");
    const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$6 = v$3.builder$1;
    const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$8 = result.validationId$1;
    const value$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
    b$4.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$6);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$2 = b$4.builder$1;
    const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$2, a$2, cs$2));
    const this$65 = v$3.builder$1;
    const array$3 = [key$7];
    if ((this$65.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$65.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$65, newSize$3);
    const len$10 = this$65.size0$6;
    const src$3 = this$65.array$6;
    const dest$3 = this$65.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$65.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$7 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$7] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$65.size0$6 = newSize$3;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    const this$76 = result.position$1;
    if ((!this$76.isEmpty__Z())) {
      const arg1$1 = this$76.get__O();
      const pos = arg1$1;
      $m_Lorg_yaml_model_YNode$();
      const str$9 = this.amfParser__T__T("lexicalPosition");
      const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
      const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emitPosition__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_annotations_LexicalInformation__V(v$4, pos);
      const this$78 = v$4.builder$1;
      const array$4 = [key$9];
      if ((this$78.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$12 = (array$4.length | 0);
      const newSize$4 = ((this$78.size0$6 + len$12) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$78, newSize$4);
      const len$13 = this$78.size0$6;
      const src$4 = this$78.array$6;
      const dest$4 = this$78.array$6;
      $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
      const xs$4 = this$78.array$6;
      const len$14 = xs$4.u.length;
      let i$4 = 0;
      let j$4 = 0;
      const x$8 = (array$4.length | 0);
      const x$9 = ((x$8 < len$14) ? x$8 : len$14);
      const that$4 = xs$4.u.length;
      const end$4 = ((x$9 < that$4) ? x$9 : that$4);
      while ((i$4 < end$4)) {
        const jsx$8 = j$4;
        const index$4 = i$4;
        xs$4.u[jsx$8] = array$4[index$4];
        i$4 = ((1 + i$4) | 0);
        j$4 = ((1 + j$4) | 0)
      };
      this$78.size0$6 = newSize$4;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$3 = b$1.builder$1;
    const value$8 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
    const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$3 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$3 = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$8, t$3, a$3, cs$3))
  };
  emitJSONLDAST__Lamf_core_validation_AMFValidationReport__Lorg_yaml_model_YDocument(report) {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$5 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str = this.shacl__T__T("ValidationReport");
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const str$1 = this.shacl__T__T("conforms");
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$9 = report.conforms$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, ("" + this$9), $m_Lorg_yaml_model_YType$().Bool$1);
    const this$11 = v.builder$1;
    const array = [key$1];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    if (report.results$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str$2 = this.shacl__T__T("result");
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      report.results$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          $this.emitResult__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_validation_AMFValidationResult__V(b$3, x$4)
        })
      })(this, b$2)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$28 = v$1.builder$1;
      const array$1 = [key$2];
      if ((this$28.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$28.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$28, newSize$1);
      const len$4 = this$28.size0$6;
      const src$1 = this$28.array$6;
      const dest$1 = this$28.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$28.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$3 = (array$1.length | 0);
      const x$5 = ((x$3 < len$5) ? x$3 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$5 < that$1) ? x$5 : that$1);
      while ((i$1 < end$1)) {
        const jsx$4 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$4] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$28.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$1.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  amfParser__T__T(postfix) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, postfix).iri__T()
  };
  shacl__T__T(postfix) {
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, postfix).iri__T()
  };
  emitJSON__Lamf_core_validation_AMFValidationReport__T(report) {
    return $m_Lorg_yaml_render_JsonRender$().render__Lorg_yaml_model_YDocument__T(this.emitJSONLDAST__Lamf_core_validation_AMFValidationReport__Lorg_yaml_model_YDocument(report))
  };
  emitPosition__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_annotations_LexicalInformation__V(b, pos) {
    const jsx$13 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str = this.amfParser__T__T("Position");
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const str$1 = this.amfParser__T__T("start");
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str$2 = this.amfParser__T__T("Location");
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$2, value$1);
    $m_Lorg_yaml_model_YNode$();
    const str$3 = this.amfParser__T__T("line");
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$9 = pos.range__Lamf_core_parser_Range().start$1.line$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, ("" + this$9), $m_Lorg_yaml_model_YType$().Int$1);
    const this$11 = v$1.builder$1;
    const array = [key$3];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$4 = this.amfParser__T__T("column");
    const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
    const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$23 = pos.range__Lamf_core_parser_Range().start$1.column$1;
    jsx$3.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$2, ("" + this$23), $m_Lorg_yaml_model_YType$().Int$1);
    const this$25 = v$2.builder$1;
    const array$1 = [key$4];
    if ((this$25.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$25.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$25, newSize$1);
    const len$4 = this$25.size0$6;
    const src$1 = this$25.array$6;
    const dest$1 = this$25.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$25.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$4 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$4] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$25.size0$6 = newSize$1;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$2.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
    const this$40 = v.builder$1;
    const array$2 = [key$1];
    if ((this$40.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$40.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$40, newSize$2);
    const len$7 = this$40.size0$6;
    const src$2 = this$40.array$6;
    const dest$2 = this$40.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$40.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$6 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$6] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$40.size0$6 = newSize$2;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$5 = this.amfParser__T__T("end");
    const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$11 = v$3.builder$1;
    const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const str$6 = this.amfParser__T__T("Location");
    const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
    b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$3);
    $m_Lorg_yaml_model_YNode$();
    const str$7 = this.amfParser__T__T("line");
    const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
    const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$56 = pos.range__Lamf_core_parser_Range().end$1.line$1;
    jsx$7.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$4, ("" + this$56), $m_Lorg_yaml_model_YType$().Int$1);
    const this$58 = v$4.builder$1;
    const array$3 = [key$7];
    if ((this$58.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$58.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$58, newSize$3);
    const len$10 = this$58.size0$6;
    const src$3 = this$58.array$6;
    const dest$3 = this$58.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$58.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$8 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$8] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$58.size0$6 = newSize$3;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const str$8 = this.amfParser__T__T("column");
    const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
    const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$9 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$70 = pos.range__Lamf_core_parser_Range().end$1.column$1;
    jsx$9.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$5, ("" + this$70), $m_Lorg_yaml_model_YType$().Int$1);
    const this$72 = v$5.builder$1;
    const array$4 = [key$8];
    if ((this$72.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$12 = (array$4.length | 0);
    const newSize$4 = ((this$72.size0$6 + len$12) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$72, newSize$4);
    const len$13 = this$72.size0$6;
    const src$4 = this$72.array$6;
    const dest$4 = this$72.array$6;
    $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
    const xs$4 = this$72.array$6;
    const len$14 = xs$4.u.length;
    let i$4 = 0;
    let j$4 = 0;
    const x$8 = (array$4.length | 0);
    const x$9 = ((x$8 < len$14) ? x$8 : len$14);
    const that$4 = xs$4.u.length;
    const end$4 = ((x$9 < that$4) ? x$9 : that$4);
    while ((i$4 < end$4)) {
      const jsx$10 = j$4;
      const index$4 = i$4;
      xs$4.u[jsx$10] = array$4[index$4];
      i$4 = ((1 + i$4) | 0);
      j$4 = ((1 + j$4) | 0)
    };
    this$72.size0$6 = newSize$4;
    b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$3.builder$1;
    const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$11.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$1, a$1, cs$1));
    const this$87 = v$3.builder$1;
    const array$5 = [key$5];
    if ((this$87.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$15 = (array$5.length | 0);
    const newSize$5 = ((this$87.size0$6 + len$15) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$87, newSize$5);
    const len$16 = this$87.size0$6;
    const src$5 = this$87.array$6;
    const dest$5 = this$87.array$6;
    $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
    const xs$5 = this$87.array$6;
    const len$17 = xs$5.u.length;
    let i$5 = 0;
    let j$5 = 0;
    const x$10 = (array$5.length | 0);
    const x$11 = ((x$10 < len$17) ? x$10 : len$17);
    const that$5 = xs$5.u.length;
    const end$5 = ((x$11 < that$5) ? x$11 : that$5);
    while ((i$5 < end$5)) {
      const jsx$12 = j$5;
      const index$5 = i$5;
      xs$5.u[jsx$12] = array$5[index$5];
      i$5 = ((1 + i$5) | 0);
      j$5 = ((1 + j$5) | 0)
    };
    this$87.size0$6 = newSize$5;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$2 = b$1.builder$1;
    const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    jsx$13.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$2, a$2, cs$2))
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$: 0
}, false, "amf.plugins.features.validation.emitters.ValidationReportJSONLDEmitter$", {
  Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$;
let $n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = (void 0);
const $m_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$)) {
    $n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$ = new $c_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$().init___()
  };
  return $n_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$
});
class $c_Lamf_plugins_features_validation_model_ValidationDialectText$ extends $c_O {
  init___() {
    return this
  };
  text__T() {
    const this$2 = new $c_sci_StringOps().init___T("\n      |#%Dialect 1.0\n      |\n      |dialect: Validation Profile\n      |version: 1.0\n      |usage: Dialect to describe validations over RAML documents\n      |external:\n      |  schema-org: \"http://schema.org/\"\n      |  shacl: \"http://www.w3.org/ns/shacl#\"\n      |  validation: \"http://raml.org/vocabularies/amf-validation#\"\n      |nodeMappings:\n      |  functionConstraintNode:\n      |    classTerm: shacl.JSConstraint\n      |    mapping:\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      code:\n      |        range: string\n      |        propertyTerm: validation.jsCode\n      |        #pattern: '^function\\(.+\\)\\s*\\{.+\\}$'\n      |      libraries:\n      |        propertyTerm: shacl.jsLibrary\n      |        range: string\n      |        allowMultiple: true\n      |      functionName:\n      |        propertyTerm: shacl.jsFunctionName\n      |        range: string\n      |  propertyConstraintNode:\n      |    classTerm: shacl.PropertyShape\n      |    mapping:\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      name:\n      |        propertyTerm: validation.ramlPropertyId\n      |        mandatory: true\n      |        range: string\n      |      pattern:\n      |        propertyTerm: shacl.pattern\n      |        range: string\n      |      maxCount:\n      |        propertyTerm: shacl.maxCount\n      |        range: integer\n      |      minCount:\n      |        propertyTerm: shacl.minCount\n      |        range: integer\n      |      minExclusive:\n      |        propertyTerm: shacl.minExclusive\n      |        range: number\n      |      maxExclusive:\n      |        propertyTerm: shacl.maxExclusive\n      |        range: number\n      |      minInclusive:\n      |        propertyTerm: shacl.minInclusive\n      |        range: number\n      |      maxInclusive:\n      |        propertyTerm: shacl.maxInclusive\n      |        range: number\n      |      datatype:\n      |         propertyTerm: shacl.datatype\n      |         range: string\n      |      in:\n      |        propertyTerm: shacl.in\n      |        allowMultiple: true\n      |        range: string\n      |  functionValidationNode:\n      |    classTerm: validation.FunctionValidation\n      |    mapping:\n      |      name:\n      |        propertyTerm: schema-org.name\n      |        range: string\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      targetClass:\n      |        propertyTerm: validation.ramlClassId\n      |        range: string\n      |        allowMultiple: true\n      |      functionConstraint:\n      |        mandatory: true\n      |        propertyTerm: shacl.js\n      |        range: functionConstraintNode\n      |  shapeValidationNode:\n      |    classTerm: validation.ShapeValidation\n      |    mapping:\n      |      name:\n      |        propertyTerm: schema-org.name\n      |        range: string\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      targetClass:\n      |        propertyTerm: validation.ramlClassId\n      |        range: string\n      |        allowMultiple: true\n      |      propertyConstraints:\n      |        mandatory: true\n      |        propertyTerm: shacl.property\n      |        mapKey: validation.ramlPropertyId\n      |        range: propertyConstraintNode\n      |  queryValidationNode:\n      |    classTerm: validation.QueryValidation\n      |    mapping:\n      |      name:\n      |        propertyTerm: schema-org.name\n      |        range: string\n      |      message:\n      |        propertyTerm: shacl.message\n      |        range: string\n      |      targetClass:\n      |        propertyTerm: validation.ramlClassId\n      |        range: string\n      |        allowMultiple: true\n      |      propertyConstraints:\n      |        propertyTerm: shacl.property\n      |        mapKey: validation.ramlPropertyId\n      |        range: propertyConstraintNode\n      |      targetQuery:\n      |        mandatory: true\n      |        propertyTerm: validation.targetQuery\n      |        range: string\n      |\n      |  ramlPrefixNode:\n      |    classTerm: validation.RamlPrefix\n      |    mapping:\n      |      prefix:\n      |        propertyTerm: validation.ramlPrefixName\n      |        range: string\n      |      uri:\n      |        propertyTerm: validation.ramlPrefixUri\n      |        range: string\n      |\n      |  profileNode:\n      |    classTerm: validation.Profile\n      |    mapping:\n      |      prefixes:\n      |        propertyTerm: validation.ramlPrefixes\n      |        mapKey: validation.ramlPrefixName\n      |        mapValue: validation.ramlPrefixUri\n      |        range: ramlPrefixNode\n      |      profile:\n      |        propertyTerm: schema-org.name\n      |        mandatory: true\n      |        range: string\n      |      description:\n      |        propertyTerm: schema-org.description\n      |        range: string\n      |      extends:\n      |        propertyTerm: validation.extendsProfile\n      |        range: string\n      |      violation:\n      |        propertyTerm: validation.setSeverityViolation\n      |        range: string\n      |        allowMultiple: true\n      |      info:\n      |        propertyTerm: validation.setSeverityInfo\n      |        range: string\n      |        allowMultiple: true\n      |      warning:\n      |        propertyTerm: validation.setSeverityWarning\n      |        range: string\n      |        allowMultiple: true\n      |      disabled:\n      |        propertyTerm: validation.disableValidation\n      |        range: string\n      |        allowMultiple: true\n      |      validations:\n      |        propertyTerm: validation.validations\n      |        mapKey: schema-org.name\n      |        range: [ shapeValidationNode, queryValidationNode,functionValidationNode]\n      |documents:\n      |  fragments:\n      |    encodes:\n      |      ShapeValidation: queryValidationNode\n      |      FunctionValidation: functionValidationNode\n      |\n      |  library:\n      |    declares:\n      |      shapes: queryValidationNode\n      |      functions: functionValidationNode\n      |\n      |  root:\n      |    encodes: profileNode\n    ");
    return $f_sci_StringLike__stripMargin__C__T(this$2, 124)
  };
}
const $d_Lamf_plugins_features_validation_model_ValidationDialectText$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ValidationDialectText$: 0
}, false, "amf.plugins.features.validation.model.ValidationDialectText$", {
  Lamf_plugins_features_validation_model_ValidationDialectText$: 1,
  O: 1
});
$c_Lamf_plugins_features_validation_model_ValidationDialectText$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ValidationDialectText$;
let $n_Lamf_plugins_features_validation_model_ValidationDialectText$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ValidationDialectText$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ValidationDialectText$)) {
    $n_Lamf_plugins_features_validation_model_ValidationDialectText$ = new $c_Lamf_plugins_features_validation_model_ValidationDialectText$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ValidationDialectText$
});
class $c_Ljava_math_BigInteger$QuotAndRem extends $c_O {
  constructor() {
    super();
    this.quot$1 = null;
    this.rem$1 = null
  };
  toArray__ALjava_math_BigInteger() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.quot$1, this.rem$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
  init___Ljava_math_BigInteger__Ljava_math_BigInteger(quot, rem) {
    this.quot$1 = quot;
    this.rem$1 = rem;
    return this
  };
}
const $d_Ljava_math_BigInteger$QuotAndRem = new $TypeData().initClass({
  Ljava_math_BigInteger$QuotAndRem: 0
}, false, "java.math.BigInteger$QuotAndRem", {
  Ljava_math_BigInteger$QuotAndRem: 1,
  O: 1
});
$c_Ljava_math_BigInteger$QuotAndRem.prototype.$classData = $d_Ljava_math_BigInteger$QuotAndRem;
class $c_Ljava_math_BitLevel$ extends $c_O {
  init___() {
    return this
  };
  shiftLeftOneBit__AI__AI__I__V(result, source, srcLen) {
    let elem$1 = 0;
    elem$1 = 0;
    const isEmpty$4 = (srcLen <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + srcLen) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        const iVal = source.u[v1];
        result.u[v1] = ((iVal << 1) | elem$1);
        elem$1 = ((iVal >>> 31) | 0);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    if ((elem$1 !== 0)) {
      result.u[srcLen] = elem$1
    }
  };
  shiftLeft__Ljava_math_BigInteger__I__Ljava_math_BigInteger(source, count) {
    const intCount = (count >> 5);
    const andCount = (31 & count);
    const offset = ((andCount === 0) ? 0 : 1);
    const resLength = ((((source.numberLength$2 + intCount) | 0) + offset) | 0);
    const resDigits = $newArrayObject($d_I.getArrayOf(), [resLength]);
    this.shiftLeft__AI__AI__I__I__V(resDigits, source.digits$2, intCount, andCount);
    const result = new $c_Ljava_math_BigInteger().init___I__I__AI(source.sign$2, resLength, resDigits);
    result.cutOffLeadingZeroes__V();
    return result
  };
  shiftRight__Ljava_math_BigInteger__I__Ljava_math_BigInteger(source, count) {
    const intCount = (count >> 5);
    const andCount = (31 & count);
    if ((intCount >= source.numberLength$2)) {
      return ((source.sign$2 < 0) ? $m_Ljava_math_BigInteger$().MINUS$undONE$1 : $m_Ljava_math_BigInteger$().ZERO$1)
    } else {
      let resLength = ((source.numberLength$2 - intCount) | 0);
      const resDigits = $newArrayObject($d_I.getArrayOf(), [((1 + resLength) | 0)]);
      this.shiftRight__AI__I__AI__I__I__Z(resDigits, resLength, source.digits$2, intCount, andCount);
      if ((source.sign$2 < 0)) {
        let i = 0;
        while (((i < intCount) && (source.digits$2.u[i] === 0))) {
          i = ((1 + i) | 0)
        };
        const cmp = ((source.digits$2.u[i] << ((32 - andCount) | 0)) !== 0);
        if (((i < intCount) || ((andCount > 0) && cmp))) {
          i = 0;
          while (((i < resLength) && (resDigits.u[i] === (-1)))) {
            resDigits.u[i] = 0;
            i = ((1 + i) | 0)
          };
          if ((i === resLength)) {
            resLength = ((1 + resLength) | 0)
          };
          const ev$6 = i;
          resDigits.u[ev$6] = ((1 + resDigits.u[ev$6]) | 0)
        }
      };
      const result = new $c_Ljava_math_BigInteger().init___I__I__AI(source.sign$2, resLength, resDigits);
      result.cutOffLeadingZeroes__V();
      return result
    }
  };
  shiftLeftOneBit__Ljava_math_BigInteger__Ljava_math_BigInteger(source) {
    const srcLen = source.numberLength$2;
    const resLen = ((1 + srcLen) | 0);
    const resDigits = $newArrayObject($d_I.getArrayOf(), [resLen]);
    this.shiftLeftOneBit__AI__AI__I__V(resDigits, source.digits$2, srcLen);
    const result = new $c_Ljava_math_BigInteger().init___I__I__AI(source.sign$2, resLen, resDigits);
    result.cutOffLeadingZeroes__V();
    return result
  };
  bitLength__Ljava_math_BigInteger__I(bi) {
    if ((bi.sign$2 === 0)) {
      return 0
    } else {
      let bLength = (bi.numberLength$2 << 5);
      let highDigit = bi.digits$2.u[(((-1) + bi.numberLength$2) | 0)];
      if ((bi.sign$2 < 0)) {
        const i = bi.getFirstNonzeroDigit__I();
        if ((i === (((-1) + bi.numberLength$2) | 0))) {
          highDigit = (((-1) + highDigit) | 0)
        }
      };
      bLength = ((bLength - $clz32(highDigit)) | 0);
      return bLength
    }
  };
  shiftRight__AI__I__AI__I__I__Z(result, resultLen, source, intCount, count) {
    let i = 0;
    let allZero = true;
    while ((i < intCount)) {
      allZero = (!(!(allZero & (source.u[i] === 0))));
      i = ((1 + i) | 0)
    };
    if ((count === 0)) {
      $systemArraycopy(source, intCount, result, 0, resultLen)
    } else {
      const leftShiftCount = ((32 - count) | 0);
      allZero = (!(!(allZero & ((source.u[i] << leftShiftCount) === 0))));
      i = 0;
      while ((i < (((-1) + resultLen) | 0))) {
        result.u[i] = (((source.u[((i + intCount) | 0)] >>> count) | 0) | (source.u[((1 + ((i + intCount) | 0)) | 0)] << leftShiftCount));
        i = ((1 + i) | 0)
      };
      result.u[i] = ((source.u[((i + intCount) | 0)] >>> count) | 0);
      i = ((1 + i) | 0)
    };
    return allZero
  };
  shiftLeft__AI__AI__I__I__V(result, source, intCount, count) {
    if ((count === 0)) {
      $systemArraycopy(source, 0, result, intCount, ((result.u.length - intCount) | 0))
    } else {
      const rightShiftCount = ((32 - count) | 0);
      result.u[(((-1) + result.u.length) | 0)] = 0;
      let i = (((-1) + result.u.length) | 0);
      while ((i > intCount)) {
        const ev$5 = i;
        result.u[ev$5] = (result.u[ev$5] | ((source.u[(((-1) + ((i - intCount) | 0)) | 0)] >>> rightShiftCount) | 0));
        result.u[(((-1) + i) | 0)] = (source.u[(((-1) + ((i - intCount) | 0)) | 0)] << count);
        i = (((-1) + i) | 0)
      }
    };
    const isEmpty$4 = (intCount <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + intCount) | 0);
    if ((!isEmpty$4)) {
      let i$1 = 0;
      while (true) {
        const v1 = i$1;
        result.u[v1] = 0;
        if ((i$1 === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i$1 = ((1 + i$1) | 0)
      }
    }
  };
}
const $d_Ljava_math_BitLevel$ = new $TypeData().initClass({
  Ljava_math_BitLevel$: 0
}, false, "java.math.BitLevel$", {
  Ljava_math_BitLevel$: 1,
  O: 1
});
$c_Ljava_math_BitLevel$.prototype.$classData = $d_Ljava_math_BitLevel$;
let $n_Ljava_math_BitLevel$ = (void 0);
const $m_Ljava_math_BitLevel$ = (function() {
  if ((!$n_Ljava_math_BitLevel$)) {
    $n_Ljava_math_BitLevel$ = new $c_Ljava_math_BitLevel$().init___()
  };
  return $n_Ljava_math_BitLevel$
});
class $c_Ljava_math_Conversion$ extends $c_O {
  constructor() {
    super();
    this.DigitFitInInt$1 = null;
    this.BigRadices$1 = null
  };
  init___() {
    $n_Ljava_math_Conversion$ = this;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-1), (-1), 31, 19, 15, 13, 11, 11, 10, 9, 9, 8, 8, 8, 8, 7, 7, 7, 7, 7, 7, 7, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 6, 5]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_I.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$5.hasNext__Z()) {
      const arg1 = this$5.next__O();
      array.u[elem$1] = (arg1 | 0);
      elem$1 = ((1 + elem$1) | 0)
    };
    this.DigitFitInInt$1 = array;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-2147483648), 1162261467, 1073741824, 1220703125, 362797056, 1977326743, 1073741824, 387420489, 1000000000, 214358881, 429981696, 815730721, 1475789056, 170859375, 268435456, 410338673, 612220032, 893871739, 1280000000, 1801088541, 113379904, 148035889, 191102976, 244140625, 308915776, 387420489, 481890304, 594823321, 729000000, 887503681, 1073741824, 1291467969, 1544804416, 1838265625, 60466176]);
    const len$1 = (xs$1.array$6.length | 0);
    const array$1 = $newArrayObject($d_I.getArrayOf(), [len$1]);
    let elem$1$1 = 0;
    elem$1$1 = 0;
    const this$10 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs$1, 0, (xs$1.array$6.length | 0));
    while (this$10.hasNext__Z()) {
      const arg1$1 = this$10.next__O();
      array$1.u[elem$1$1] = (arg1$1 | 0);
      elem$1$1 = ((1 + elem$1$1) | 0)
    };
    this.BigRadices$1 = array$1;
    return this
  };
  toDecimalScaledString__J__I__T(value, scale) {
    if (((value.lo$2 === 0) && (value.hi$2 === 0))) {
      switch (scale) {
        case 0: {
          return "0";
          break
        }
        case 1: {
          return "0.0";
          break
        }
        case 2: {
          return "0.00";
          break
        }
        case 3: {
          return "0.000";
          break
        }
        case 4: {
          return "0.0000";
          break
        }
        case 5: {
          return "0.00000";
          break
        }
        case 6: {
          return "0.000000";
          break
        }
        default: {
          let scaleVal;
          if ((scale === (-2147483648))) {
            scaleVal = "2147483648"
          } else {
            const i = ((-scale) | 0);
            scaleVal = ("" + i)
          };
          const result = ((scale < 0) ? "0E+" : "0E");
          return (result + scaleVal)
        }
      }
    } else {
      const ahi = value.hi$2;
      const negNumber = (ahi < 0);
      let elem$1 = null;
      elem$1 = "";
      let currentChar = 18;
      let t;
      if (negNumber) {
        const lo = value.lo$2;
        const hi = value.hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
        const x_$_lo$2 = lo$1;
        const x_$_hi$2 = hi$1;
        t = new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2)
      } else {
        t = value
      };
      const lo$2 = t.lo$2;
      const hi$2 = t.hi$2;
      let v_$_lo$2 = lo$2;
      let v_$_hi$2 = hi$2;
      while (true) {
        const prev_$_lo$2 = v_$_lo$2;
        const prev_$_hi$2 = v_$_hi$2;
        const this$5_$_lo$2 = v_$_lo$2;
        const this$5_$_hi$2 = v_$_hi$2;
        const this$6 = $m_sjsr_RuntimeLong$();
        const lo$3 = this$6.divideImpl__I__I__I__I__I(this$5_$_lo$2, this$5_$_hi$2, 10, 0);
        const hi$3 = this$6.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const jsx$1_$_lo$2 = lo$3;
        const jsx$1_$_hi$2 = hi$3;
        v_$_lo$2 = jsx$1_$_lo$2;
        v_$_hi$2 = jsx$1_$_hi$2;
        currentChar = (((-1) + currentChar) | 0);
        const b_$_lo$2 = v_$_lo$2;
        const b_$_hi$2 = v_$_hi$2;
        const blo = b_$_lo$2;
        const b0 = (65535 & blo);
        const b1 = ((blo >>> 16) | 0);
        const a0b0 = $imul(10, b0);
        const a0b1 = $imul(10, b1);
        const lo$4 = ((a0b0 + (a0b1 << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (($imul(10, b_$_hi$2) + ((c1part >>> 16) | 0)) | 0);
        const alo = prev_$_lo$2;
        const ahi$1 = prev_$_hi$2;
        const lo$5 = ((alo - lo$4) | 0);
        const hi$5 = ((((-2147483648) ^ lo$5) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi$1 - hi$4) | 0)) | 0) : ((ahi$1 - hi$4) | 0));
        const lo$6 = ((48 + lo$5) | 0);
        const c = (65535 & lo$6);
        elem$1 = (("" + new $c_jl_Character().init___C(c)) + elem$1);
        const this$11_$_lo$2 = v_$_lo$2;
        const this$11_$_hi$2 = v_$_hi$2;
        if ((!((this$11_$_lo$2 === 0) && (this$11_$_hi$2 === 0)))) {
          /*<skip>*/
        } else {
          break
        }
      };
      const exponent = (((-1) + ((((18 - currentChar) | 0) - scale) | 0)) | 0);
      if (((scale > 0) && (exponent >= (-6)))) {
        const index = ((1 + exponent) | 0);
        if ((index > 0)) {
          const thiz = elem$1;
          const jsx$2 = thiz.substring(0, index);
          const thiz$1 = elem$1;
          elem$1 = ((jsx$2 + ".") + thiz$1.substring(index))
        } else {
          const end = ((-index) | 0);
          const isEmpty$4 = (end <= 0);
          const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
          if ((!isEmpty$4)) {
            let i$1 = 0;
            while (true) {
              const v1 = i$1;
              elem$1 = (("" + new $c_jl_Character().init___C(48)) + elem$1);
              if ((i$1 === scala$collection$immutable$Range$$lastElement$4)) {
                break
              };
              i$1 = ((1 + i$1) | 0)
            }
          };
          elem$1 = ("0." + elem$1)
        }
      } else if ((scale !== 0)) {
        let result1 = ("" + exponent);
        if ((exponent > 0)) {
          result1 = (("" + new $c_jl_Character().init___C(43)) + result1)
        };
        result1 = (("" + new $c_jl_Character().init___C(69)) + result1);
        if ((((18 - currentChar) | 0) > 1)) {
          const x$1 = elem$1;
          const c$1 = (65535 & (x$1.charCodeAt(0) | 0));
          const jsx$3 = new $c_jl_Character().init___C(c$1);
          const thiz$2 = elem$1;
          elem$1 = (((jsx$3 + ".") + thiz$2.substring(1)) + result1)
        } else {
          elem$1 = (("" + elem$1) + result1)
        }
      };
      return (negNumber ? (("" + new $c_jl_Character().init___C(45)) + elem$1) : elem$1)
    }
  };
  dropLeadingZeros__p1__T__T(s) {
    let zeroPrefixLength = 0;
    const len = (s.length | 0);
    while (true) {
      let jsx$1;
      if ((zeroPrefixLength < len)) {
        const index = zeroPrefixLength;
        jsx$1 = ((65535 & (s.charCodeAt(index) | 0)) === 48)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        zeroPrefixLength = ((1 + zeroPrefixLength) | 0)
      } else {
        break
      }
    };
    const beginIndex = zeroPrefixLength;
    return s.substring(beginIndex)
  };
  toDecimalScaledString__Ljava_math_BigInteger__T(bi) {
    const sign = bi.sign$2;
    const numberLength = bi.numberLength$2;
    const digits = bi.digits$2;
    if ((sign === 0)) {
      return "0"
    } else if ((numberLength === 1)) {
      const i = digits.u[0];
      const x = (+(i >>> 0));
      const absStr = x.toString(10);
      return ((sign < 0) ? ("-" + absStr) : absStr)
    } else {
      let result = "";
      const temp = $newArrayObject($d_I.getArrayOf(), [numberLength]);
      let tempLen = numberLength;
      $systemArraycopy(digits, 0, temp, 0, tempLen);
      do {
        let rem = 0;
        let i$1 = (((-1) + tempLen) | 0);
        while ((i$1 >= 0)) {
          const value = rem;
          const value$1 = temp.u[i$1];
          const this$8 = $m_sjsr_RuntimeLong$();
          const lo = this$8.divideUnsignedImpl__I__I__I__I__I(value$1, value, 1000000000, 0);
          temp.u[i$1] = lo;
          const hi$3 = (lo >> 31);
          const b0 = (65535 & lo);
          const b1 = ((lo >>> 16) | 0);
          const a0b0 = $imul(51712, b0);
          const a1b0 = $imul(15258, b0);
          const a0b1 = $imul(51712, b1);
          const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
          const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
          const hi$4 = (((((($imul(1000000000, hi$3) + $imul(15258, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
          const lo$2 = ((value$1 - lo$1) | 0);
          rem = lo$2;
          i$1 = (((-1) + i$1) | 0)
        };
        const this$10 = rem;
        const remStr = ("" + this$10);
        const beginIndex = (remStr.length | 0);
        const padding = "000000000".substring(beginIndex);
        result = ((padding + remStr) + result);
        while (((tempLen !== 0) && (temp.u[(((-1) + tempLen) | 0)] === 0))) {
          tempLen = (((-1) + tempLen) | 0)
        }
      } while ((tempLen !== 0));
      result = this.dropLeadingZeros__p1__T__T(result);
      return ((sign < 0) ? (("" + new $c_jl_Character().init___C(45)) + result) : result)
    }
  };
}
const $d_Ljava_math_Conversion$ = new $TypeData().initClass({
  Ljava_math_Conversion$: 0
}, false, "java.math.Conversion$", {
  Ljava_math_Conversion$: 1,
  O: 1
});
$c_Ljava_math_Conversion$.prototype.$classData = $d_Ljava_math_Conversion$;
let $n_Ljava_math_Conversion$ = (void 0);
const $m_Ljava_math_Conversion$ = (function() {
  if ((!$n_Ljava_math_Conversion$)) {
    $n_Ljava_math_Conversion$ = new $c_Ljava_math_Conversion$().init___()
  };
  return $n_Ljava_math_Conversion$
});
class $c_Ljava_math_Division$ extends $c_O {
  init___() {
    return this
  };
  divide__AI__I__AI__I__AI__I__AI(quot, quotLength, a, aLength, b, bLength) {
    const normA = $newArrayObject($d_I.getArrayOf(), [((1 + aLength) | 0)]);
    const normB = $newArrayObject($d_I.getArrayOf(), [((1 + bLength) | 0)]);
    const divisorShift = $clz32(b.u[(((-1) + bLength) | 0)]);
    if ((divisorShift !== 0)) {
      $m_Ljava_math_BitLevel$().shiftLeft__AI__AI__I__I__V(normB, b, 0, divisorShift);
      $m_Ljava_math_BitLevel$().shiftLeft__AI__AI__I__I__V(normA, a, 0, divisorShift)
    } else {
      $systemArraycopy(a, 0, normA, 0, aLength);
      $systemArraycopy(b, 0, normB, 0, bLength)
    };
    const firstDivisorDigit = normB.u[(((-1) + bLength) | 0)];
    let i = (((-1) + quotLength) | 0);
    let elem$1 = 0;
    elem$1 = aLength;
    while ((i >= 0)) {
      let elem$1$1 = 0;
      elem$1$1 = 0;
      if ((normA.u[elem$1] === firstDivisorDigit)) {
        elem$1$1 = (-1)
      } else {
        const value = normA.u[elem$1];
        const value$1 = normA.u[(((-1) + elem$1) | 0)];
        const this$5 = $m_sjsr_RuntimeLong$();
        const lo = this$5.divideUnsignedImpl__I__I__I__I__I(value$1, value, firstDivisorDigit, 0);
        const hi$3 = this$5.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        elem$1$1 = lo;
        const a0 = (65535 & lo);
        const a1 = ((lo >>> 16) | 0);
        const b0 = (65535 & firstDivisorDigit);
        const b1 = ((firstDivisorDigit >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (((((($imul(hi$3, firstDivisorDigit) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const lo$2 = ((value$1 - lo$1) | 0);
        let elem$1$2 = 0;
        elem$1$2 = lo$2;
        if ((elem$1$1 !== 0)) {
          elem$1$1 = ((1 + elem$1$1) | 0);
          _loop: while (true) {
            elem$1$1 = (((-1) + elem$1$1) | 0);
            const value$2 = elem$1$1;
            const value$3 = normB.u[(((-2) + bLength) | 0)];
            const a0$1 = (65535 & value$2);
            const a1$1 = ((value$2 >>> 16) | 0);
            const b0$1 = (65535 & value$3);
            const b1$1 = ((value$3 >>> 16) | 0);
            const a0b0$1 = $imul(a0$1, b0$1);
            const a1b0$1 = $imul(a1$1, b0$1);
            const a0b1$1 = $imul(a0$1, b1$1);
            const lo$3 = ((a0b0$1 + (((a1b0$1 + a0b1$1) | 0) << 16)) | 0);
            const c1part$1 = ((((a0b0$1 >>> 16) | 0) + a0b1$1) | 0);
            const hi$8 = (((($imul(a1$1, b1$1) + ((c1part$1 >>> 16) | 0)) | 0) + (((((65535 & c1part$1) + a1b0$1) | 0) >>> 16) | 0)) | 0);
            const value$4 = elem$1$2;
            const value$5 = normA.u[(((-2) + elem$1) | 0)];
            const value$6 = elem$1$2;
            const lo$4 = ((value$6 + firstDivisorDigit) | 0);
            const hi$13 = ((((-2147483648) ^ lo$4) < ((-2147483648) ^ value$6)) ? 1 : 0);
            if ((hi$13 === 0)) {
              elem$1$2 = lo$4;
              const hi$14 = ((-2147483648) ^ hi$8);
              const hi$15 = ((-2147483648) ^ value$4);
              if (((hi$14 === hi$15) ? (((-2147483648) ^ lo$3) > ((-2147483648) ^ value$5)) : (hi$14 > hi$15))) {
                continue _loop
              }
            };
            break
          }
        }
      };
      if ((elem$1$1 !== 0)) {
        const borrow = $m_Ljava_math_Division$().multiplyAndSubtract__AI__I__AI__I__I__I(normA, ((elem$1 - bLength) | 0), normB, bLength, elem$1$1);
        if ((borrow !== 0)) {
          elem$1$1 = (((-1) + elem$1$1) | 0);
          let elem$1$3_$_lo$2 = 0;
          let elem$1$3_$_hi$2 = 0;
          const jsx$1_$_lo$2 = 0;
          const jsx$1_$_hi$2 = 0;
          elem$1$3_$_lo$2 = jsx$1_$_lo$2;
          elem$1$3_$_hi$2 = jsx$1_$_hi$2;
          const isEmpty$4 = (bLength <= 0);
          const scala$collection$immutable$Range$$lastElement$4 = (((-1) + bLength) | 0);
          if ((!isEmpty$4)) {
            let i$1 = 0;
            while (true) {
              const v1 = i$1;
              const this$15_$_lo$2 = elem$1$3_$_lo$2;
              const this$15_$_hi$2 = elem$1$3_$_hi$2;
              const value$7 = normA.u[((((elem$1 - bLength) | 0) + v1) | 0)];
              const value$8 = normB.u[v1];
              const lo$5 = ((value$7 + value$8) | 0);
              const hi$20 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ value$7)) ? 1 : 0);
              const alo = this$15_$_lo$2;
              const ahi = this$15_$_hi$2;
              const lo$6 = ((alo + lo$5) | 0);
              const hi$21 = ((((-2147483648) ^ lo$6) < ((-2147483648) ^ alo)) ? ((1 + ((ahi + hi$20) | 0)) | 0) : ((ahi + hi$20) | 0));
              const jsx$2_$_lo$2 = lo$6;
              const jsx$2_$_hi$2 = hi$21;
              elem$1$3_$_lo$2 = jsx$2_$_lo$2;
              elem$1$3_$_hi$2 = jsx$2_$_hi$2;
              const jsx$3 = elem$1;
              const this$17_$_lo$2 = elem$1$3_$_lo$2;
              const this$17_$_hi$2 = elem$1$3_$_hi$2;
              normA.u[((((jsx$3 - bLength) | 0) + v1) | 0)] = this$17_$_lo$2;
              const this$18_$_lo$2 = elem$1$3_$_lo$2;
              const this$18_$_hi$2 = elem$1$3_$_hi$2;
              const lo$7 = this$18_$_hi$2;
              const jsx$4_$_lo$2 = lo$7;
              const jsx$4_$_hi$2 = 0;
              elem$1$3_$_lo$2 = jsx$4_$_lo$2;
              elem$1$3_$_hi$2 = jsx$4_$_hi$2;
              if ((i$1 === scala$collection$immutable$Range$$lastElement$4)) {
                break
              };
              i$1 = ((1 + i$1) | 0)
            }
          }
        }
      };
      if ((quot !== null)) {
        quot.u[i] = elem$1$1
      };
      elem$1 = (((-1) + elem$1) | 0);
      i = (((-1) + i) | 0)
    };
    return ((divisorShift !== 0) ? ($m_Ljava_math_BitLevel$().shiftRight__AI__I__AI__I__I__Z(normB, bLength, normA, 0, divisorShift), normB) : ($systemArraycopy(normA, 0, normB, 0, bLength), normA))
  };
  divideAndRemainderByInteger__Ljava_math_BigInteger__I__I__Ljava_math_BigInteger$QuotAndRem(bi, divisor, divisorSign) {
    const valDigits = bi.digits$2;
    const valLen = bi.numberLength$2;
    const valSign = bi.sign$2;
    if ((valLen === 1)) {
      const valDigit = valDigits.u[0];
      const n = ((+(valDigit >>> 0)) / (+(divisor >>> 0)));
      const value = ((n | 0) | 0);
      let quo_$_lo$2 = value;
      let quo_$_hi$2 = 0;
      const n$1 = ((+(valDigit >>> 0)) % (+(divisor >>> 0)));
      const value$1 = ((n$1 | 0) | 0);
      let rem_$_lo$2 = value$1;
      let rem_$_hi$2 = 0;
      if ((valSign !== divisorSign)) {
        const this$13_$_lo$2 = quo_$_lo$2;
        const this$13_$_hi$2 = quo_$_hi$2;
        const lo = this$13_$_lo$2;
        const hi$2 = this$13_$_hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$3 = ((lo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi$3;
        quo_$_lo$2 = jsx$1_$_lo$2;
        quo_$_hi$2 = jsx$1_$_hi$2
      };
      if ((valSign < 0)) {
        const this$16_$_lo$2 = rem_$_lo$2;
        const this$16_$_hi$2 = rem_$_hi$2;
        const lo$2 = this$16_$_lo$2;
        const hi$4 = this$16_$_hi$2;
        const lo$3 = ((-lo$2) | 0);
        const hi$5 = ((lo$2 !== 0) ? (~hi$4) : ((-hi$4) | 0));
        const jsx$2_$_lo$2 = lo$3;
        const jsx$2_$_hi$2 = hi$5;
        rem_$_lo$2 = jsx$2_$_lo$2;
        rem_$_hi$2 = jsx$2_$_hi$2
      };
      return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(quo_$_lo$2, quo_$_hi$2)), $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(rem_$_lo$2, rem_$_hi$2)))
    } else {
      const quotientSign = ((valSign === divisorSign) ? 1 : (-1));
      const quotientDigits = $newArrayObject($d_I.getArrayOf(), [valLen]);
      const div = this.divideArrayByInt__AI__AI__I__I__I(quotientDigits, valDigits, valLen, divisor);
      const remainderDigits = $m_s_Array$().apply__I__sc_Seq__AI(div, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]));
      const result0 = new $c_Ljava_math_BigInteger().init___I__I__AI(quotientSign, valLen, quotientDigits);
      const result1 = new $c_Ljava_math_BigInteger().init___I__I__AI(valSign, 1, remainderDigits);
      result0.cutOffLeadingZeroes__V();
      result1.cutOffLeadingZeroes__V();
      return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger(result0, result1)
    }
  };
  multiplyAndSubtract__AI__I__AI__I__I__I(a, start, b, bLen, c) {
    let elem$1 = 0;
    elem$1 = 0;
    let elem$1$1 = 0;
    elem$1$1 = 0;
    const isEmpty$4 = (bLen <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + bLen) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        $m_Ljava_math_Multiplication$();
        const a$1 = b.u[v1];
        const c$1 = elem$1;
        const a0 = (65535 & a$1);
        const a1 = ((a$1 >>> 16) | 0);
        const b0 = (65535 & c);
        const b1 = ((c >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const lo$1 = ((lo + c$1) | 0);
        const hi$6 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + hi$4) | 0) : hi$4);
        const value = a.u[((start + v1) | 0)];
        const lo$2 = ((value - lo$1) | 0);
        const hi$8 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ value)) ? (-1) : 0);
        const value$1 = elem$1$1;
        const hi$9 = (value$1 >> 31);
        const lo$3 = ((lo$2 + value$1) | 0);
        const hi$10 = ((((-2147483648) ^ lo$3) < ((-2147483648) ^ lo$2)) ? ((1 + ((hi$8 + hi$9) | 0)) | 0) : ((hi$8 + hi$9) | 0));
        a.u[((start + v1) | 0)] = lo$3;
        elem$1$1 = hi$10;
        elem$1 = hi$6;
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    const value$2 = a.u[((start + bLen) | 0)];
    const value$3 = elem$1;
    const lo$4 = ((value$2 - value$3) | 0);
    const hi$15 = ((((-2147483648) ^ lo$4) > ((-2147483648) ^ value$2)) ? (-1) : 0);
    const value$4 = elem$1$1;
    const hi$16 = (value$4 >> 31);
    const lo$5 = ((lo$4 + value$4) | 0);
    const hi$17 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + ((hi$15 + hi$16) | 0)) | 0) : ((hi$15 + hi$16) | 0));
    a.u[((start + bLen) | 0)] = lo$5;
    return hi$17
  };
  divideArrayByInt__AI__AI__I__I__I(dest, src, srcLength, divisor) {
    let rem = 0;
    let i = (((-1) + srcLength) | 0);
    while ((i >= 0)) {
      const value = rem;
      const value$1 = src.u[i];
      const this$2 = $m_sjsr_RuntimeLong$();
      const lo = this$2.divideUnsignedImpl__I__I__I__I__I(value$1, value, divisor, 0);
      const hi$3 = this$2.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      const a0 = (65535 & lo);
      const a1 = ((lo >>> 16) | 0);
      const b0 = (65535 & divisor);
      const b1 = ((divisor >>> 16) | 0);
      const a0b0 = $imul(a0, b0);
      const a1b0 = $imul(a1, b0);
      const a0b1 = $imul(a0, b1);
      const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
      const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
      const hi$4 = (((((($imul(hi$3, divisor) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
      const lo$2 = ((value$1 - lo$1) | 0);
      rem = lo$2;
      dest.u[i] = lo;
      i = (((-1) + i) | 0)
    };
    return rem
  };
}
const $d_Ljava_math_Division$ = new $TypeData().initClass({
  Ljava_math_Division$: 0
}, false, "java.math.Division$", {
  Ljava_math_Division$: 1,
  O: 1
});
$c_Ljava_math_Division$.prototype.$classData = $d_Ljava_math_Division$;
let $n_Ljava_math_Division$ = (void 0);
const $m_Ljava_math_Division$ = (function() {
  if ((!$n_Ljava_math_Division$)) {
    $n_Ljava_math_Division$ = new $c_Ljava_math_Division$().init___()
  };
  return $n_Ljava_math_Division$
});
class $c_Ljava_math_Elementary$ extends $c_O {
  init___() {
    return this
  };
  subtract__p1__AI__I__AI__I__AI(a, aSize, b, bSize) {
    const res = $newArrayObject($d_I.getArrayOf(), [aSize]);
    this.subtract__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize);
    return res
  };
  compareArrays__AI__AI__I__I(a, b, size) {
    let i = (((-1) + size) | 0);
    while (((i >= 0) && (a.u[i] === b.u[i]))) {
      i = (((-1) + i) | 0)
    };
    if ((i < 0)) {
      return 0
    } else {
      const value = a.u[i];
      const value$1 = b.u[i];
      if ((((-2147483648) ^ value) < ((-2147483648) ^ value$1))) {
        return (-1)
      } else {
        return 1
      }
    }
  };
  inplaceAdd__AI__I__I__I(a, aSize, addend) {
    let carry = addend;
    let i = 0;
    while (((carry !== 0) && (i < aSize))) {
      const value = carry;
      const value$1 = a.u[i];
      const lo = ((value + value$1) | 0);
      const hi$2 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value)) ? 1 : 0);
      a.u[i] = lo;
      carry = hi$2;
      i = ((1 + i) | 0)
    };
    return carry
  };
  add__p1__AI__I__AI__I__AI(a, aSize, b, bSize) {
    const res = $newArrayObject($d_I.getArrayOf(), [((1 + aSize) | 0)]);
    this.add__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize);
    return res
  };
  add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, op2) {
    const op1Sign = op1.sign$2;
    const op2Sign = op2.sign$2;
    const op1Len = op1.numberLength$2;
    const op2Len = op2.numberLength$2;
    if ((op1Sign === 0)) {
      return op2
    } else if ((op2Sign === 0)) {
      return op1
    } else if ((((op1Len + op2Len) | 0) === 2)) {
      const value = op1.digits$2.u[0];
      const value$1 = op2.digits$2.u[0];
      if ((op1Sign === op2Sign)) {
        const lo = ((value + value$1) | 0);
        const hi$2 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value)) ? 1 : 0);
        return ((hi$2 === 0) ? new $c_Ljava_math_BigInteger().init___I__I(op1Sign, lo) : new $c_Ljava_math_BigInteger().init___I__I__AI(op1Sign, 2, $m_s_Array$().apply__I__sc_Seq__AI(lo, new $c_sjs_js_WrappedArray().init___sjs_js_Array([hi$2]))))
      } else {
        const jsx$3 = $m_Ljava_math_BigInteger$();
        let x_$_lo$2;
        let x_$_hi$2;
        if ((op1Sign < 0)) {
          const lo$1 = ((value$1 - value) | 0);
          const hi$3 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value$1)) ? (-1) : 0);
          const jsx$1_$_lo$2 = lo$1;
          const jsx$1_$_hi$2 = hi$3;
          x_$_lo$2 = jsx$1_$_lo$2;
          x_$_hi$2 = jsx$1_$_hi$2
        } else {
          const lo$2 = ((value - value$1) | 0);
          const hi$4 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ value)) ? (-1) : 0);
          const jsx$2_$_lo$2 = lo$2;
          const jsx$2_$_hi$2 = hi$4;
          x_$_lo$2 = jsx$2_$_lo$2;
          x_$_hi$2 = jsx$2_$_hi$2
        };
        return jsx$3.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2))
      }
    } else {
      let x1_$_$$und1$f;
      let x1_$_$$und2$f;
      if ((op1Sign === op2Sign)) {
        const res$2 = ((op1Len >= op2Len) ? this.add__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len) : this.add__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len));
        const jsx$4_$_$$und1$f = op1Sign;
        const jsx$4_$_$$und2$f = res$2;
        x1_$_$$und1$f = jsx$4_$_$$und1$f;
        x1_$_$$und2$f = jsx$4_$_$$und2$f
      } else {
        const cmp = ((op1Len !== op2Len) ? ((op1Len > op2Len) ? 1 : (-1)) : this.compareArrays__AI__AI__I__I(op1.digits$2, op2.digits$2, op1Len));
        if ((cmp === 0)) {
          return $m_Ljava_math_BigInteger$().ZERO$1
        };
        if ((cmp === 1)) {
          const _2 = this.subtract__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len);
          const jsx$5_$_$$und1$f = op1Sign;
          const jsx$5_$_$$und2$f = _2;
          x1_$_$$und1$f = jsx$5_$_$$und1$f;
          x1_$_$$und2$f = jsx$5_$_$$und2$f
        } else {
          const _2$1 = this.subtract__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len);
          const jsx$6_$_$$und1$f = op2Sign;
          const jsx$6_$_$$und2$f = _2$1;
          x1_$_$$und1$f = jsx$6_$_$$und1$f;
          x1_$_$$und2$f = jsx$6_$_$$und2$f
        }
      };
      const resSign = (x1_$_$$und1$f | 0);
      const resDigits = x1_$_$$und2$f;
      const res$3 = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resDigits.u.length, resDigits);
      res$3.cutOffLeadingZeroes__V();
      return res$3
    }
  };
  subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, op2) {
    const op1Sign = op1.sign$2;
    const op2Sign = op2.sign$2;
    const op1Len = op1.numberLength$2;
    const op2Len = op2.numberLength$2;
    if ((op2Sign === 0)) {
      return op1
    } else if ((op1Sign === 0)) {
      return op2.negate__Ljava_math_BigInteger()
    } else if ((((op1Len + op2Len) | 0) === 2)) {
      const value = op1.digits$2.u[0];
      let a_$_lo$2 = value;
      let a_$_hi$2 = 0;
      const value$1 = op2.digits$2.u[0];
      let b_$_lo$2 = value$1;
      let b_$_hi$2 = 0;
      if ((op1Sign < 0)) {
        const this$1_$_lo$2 = a_$_lo$2;
        const this$1_$_hi$2 = a_$_hi$2;
        const lo = this$1_$_lo$2;
        const hi$2 = this$1_$_hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$3 = ((lo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi$3;
        a_$_lo$2 = jsx$1_$_lo$2;
        a_$_hi$2 = jsx$1_$_hi$2
      };
      if ((op2Sign < 0)) {
        const this$4_$_lo$2 = b_$_lo$2;
        const this$4_$_hi$2 = b_$_hi$2;
        const lo$2 = this$4_$_lo$2;
        const hi$4 = this$4_$_hi$2;
        const lo$3 = ((-lo$2) | 0);
        const hi$5 = ((lo$2 !== 0) ? (~hi$4) : ((-hi$4) | 0));
        const jsx$2_$_lo$2 = lo$3;
        const jsx$2_$_hi$2 = hi$5;
        b_$_lo$2 = jsx$2_$_lo$2;
        b_$_hi$2 = jsx$2_$_hi$2
      };
      const jsx$3 = $m_Ljava_math_BigInteger$();
      const this$7_$_lo$2 = a_$_lo$2;
      const this$7_$_hi$2 = a_$_hi$2;
      const b$1_$_lo$2 = b_$_lo$2;
      const b$1_$_hi$2 = b_$_hi$2;
      const alo = this$7_$_lo$2;
      const ahi = this$7_$_hi$2;
      const bhi = b$1_$_hi$2;
      const lo$4 = ((alo - b$1_$_lo$2) | 0);
      const hi$6 = ((((-2147483648) ^ lo$4) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - bhi) | 0)) | 0) : ((ahi - bhi) | 0));
      return jsx$3.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo$4, hi$6))
    } else {
      const cmp = ((op1Len !== op2Len) ? ((op1Len > op2Len) ? 1 : (-1)) : $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(op1.digits$2, op2.digits$2, op1Len));
      if (((op1Sign === op2Sign) && (cmp === 0))) {
        return $m_Ljava_math_BigInteger$().ZERO$1
      };
      let x1_$_$$und1$f;
      let x1_$_$$und2$f;
      if ((cmp === (-1))) {
        const res = ((op1Sign === op2Sign) ? this.subtract__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len) : this.add__p1__AI__I__AI__I__AI(op2.digits$2, op2Len, op1.digits$2, op1Len));
        const _1 = ((-op2Sign) | 0);
        const jsx$4_$_$$und1$f = _1;
        const jsx$4_$_$$und2$f = res;
        x1_$_$$und1$f = jsx$4_$_$$und1$f;
        x1_$_$$und2$f = jsx$4_$_$$und2$f
      } else if ((op1Sign === op2Sign)) {
        const _2 = this.subtract__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len);
        const jsx$5_$_$$und1$f = op1Sign;
        const jsx$5_$_$$und2$f = _2;
        x1_$_$$und1$f = jsx$5_$_$$und1$f;
        x1_$_$$und2$f = jsx$5_$_$$und2$f
      } else {
        const _2$1 = this.add__p1__AI__I__AI__I__AI(op1.digits$2, op1Len, op2.digits$2, op2Len);
        const jsx$6_$_$$und1$f = op1Sign;
        const jsx$6_$_$$und2$f = _2$1;
        x1_$_$$und1$f = jsx$6_$_$$und1$f;
        x1_$_$$und2$f = jsx$6_$_$$und2$f
      };
      const resSign = (x1_$_$$und1$f | 0);
      const resDigits = x1_$_$$und2$f;
      const res$2 = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resDigits.u.length, resDigits);
      res$2.cutOffLeadingZeroes__V();
      return res$2
    }
  };
  subtract__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize) {
    let i = 0;
    let borrow = 0;
    while ((i < bSize)) {
      const value = a.u[i];
      const value$1 = b.u[i];
      const lo = ((value - value$1) | 0);
      const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (-1) : 0);
      const value$2 = borrow;
      const hi$3 = (value$2 >> 31);
      const lo$1 = ((lo + value$2) | 0);
      const hi$4 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + ((hi$2 + hi$3) | 0)) | 0) : ((hi$2 + hi$3) | 0));
      res.u[i] = lo$1;
      borrow = hi$4;
      i = ((1 + i) | 0)
    };
    while ((i < aSize)) {
      const value$3 = a.u[i];
      const value$4 = borrow;
      const hi$7 = (value$4 >> 31);
      const lo$2 = ((value$3 + value$4) | 0);
      const hi$8 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ value$3)) ? ((1 + hi$7) | 0) : hi$7);
      res.u[i] = lo$2;
      borrow = hi$8;
      i = ((1 + i) | 0)
    }
  };
  add__p1__AI__AI__I__AI__I__V(res, a, aSize, b, bSize) {
    let i = 1;
    const value = a.u[0];
    const value$1 = b.u[0];
    const lo = ((value + value$1) | 0);
    const hi$2 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value)) ? 1 : 0);
    res.u[0] = lo;
    let carry = hi$2;
    if ((aSize >= bSize)) {
      while ((i < bSize)) {
        const value$2 = a.u[i];
        const value$3 = b.u[i];
        const lo$1 = ((value$2 + value$3) | 0);
        const hi$6 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ value$2)) ? 1 : 0);
        const value$4 = carry;
        const lo$2 = ((lo$1 + value$4) | 0);
        const hi$8 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + hi$6) | 0) : hi$6);
        res.u[i] = lo$2;
        carry = hi$8;
        i = ((1 + i) | 0)
      };
      while ((i < aSize)) {
        const value$5 = a.u[i];
        const value$6 = carry;
        const lo$3 = ((value$5 + value$6) | 0);
        const hi$12 = ((((-2147483648) ^ lo$3) < ((-2147483648) ^ value$5)) ? 1 : 0);
        res.u[i] = lo$3;
        carry = hi$12;
        i = ((1 + i) | 0)
      }
    } else {
      while ((i < aSize)) {
        const value$7 = a.u[i];
        const value$8 = b.u[i];
        const lo$4 = ((value$7 + value$8) | 0);
        const hi$16 = ((((-2147483648) ^ lo$4) < ((-2147483648) ^ value$7)) ? 1 : 0);
        const value$9 = carry;
        const lo$5 = ((lo$4 + value$9) | 0);
        const hi$18 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + hi$16) | 0) : hi$16);
        res.u[i] = lo$5;
        carry = hi$18;
        i = ((1 + i) | 0)
      };
      while ((i < bSize)) {
        const value$10 = b.u[i];
        const value$11 = carry;
        const lo$6 = ((value$10 + value$11) | 0);
        const hi$22 = ((((-2147483648) ^ lo$6) < ((-2147483648) ^ value$10)) ? 1 : 0);
        res.u[i] = lo$6;
        carry = hi$22;
        i = ((1 + i) | 0)
      }
    };
    if ((carry !== 0)) {
      res.u[i] = carry
    }
  };
}
const $d_Ljava_math_Elementary$ = new $TypeData().initClass({
  Ljava_math_Elementary$: 0
}, false, "java.math.Elementary$", {
  Ljava_math_Elementary$: 1,
  O: 1
});
$c_Ljava_math_Elementary$.prototype.$classData = $d_Ljava_math_Elementary$;
let $n_Ljava_math_Elementary$ = (void 0);
const $m_Ljava_math_Elementary$ = (function() {
  if ((!$n_Ljava_math_Elementary$)) {
    $n_Ljava_math_Elementary$ = new $c_Ljava_math_Elementary$().init___()
  };
  return $n_Ljava_math_Elementary$
});
class $c_Ljava_math_MathContext extends $c_O {
  constructor() {
    super();
    this.precision$1 = 0;
    this.roundingMode$1 = null
  };
  equals__O__Z(x) {
    if ($is_Ljava_math_MathContext(x)) {
      const x2 = x;
      if ((this.precision$1 === x2.precision$1)) {
        const x$2 = this.roundingMode$1;
        const x$3 = x2.roundingMode$1;
        return (x$2 === x$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  toString__T() {
    return ((("precision=" + this.precision$1) + " roundingMode=") + this.roundingMode$1)
  };
  init___I__Ljava_math_RoundingMode(setPrecision, setRoundingMode) {
    this.precision$1 = setPrecision;
    this.roundingMode$1 = setRoundingMode;
    return this
  };
  hashCode__I() {
    return ((this.precision$1 << 3) | this.roundingMode$1.$$undordinal$1)
  };
}
const $is_Ljava_math_MathContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_math_MathContext)))
});
const $isArrayOf_Ljava_math_MathContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_math_MathContext)))
});
const $d_Ljava_math_MathContext = new $TypeData().initClass({
  Ljava_math_MathContext: 0
}, false, "java.math.MathContext", {
  Ljava_math_MathContext: 1,
  O: 1
});
$c_Ljava_math_MathContext.prototype.$classData = $d_Ljava_math_MathContext;
class $c_Ljava_math_MathContext$ extends $c_O {
  constructor() {
    super();
    this.DECIMAL128$1 = null;
    this.DECIMAL32$1 = null;
    this.DECIMAL64$1 = null;
    this.UNLIMITED$1 = null
  };
  init___() {
    $n_Ljava_math_MathContext$ = this;
    $m_Ljava_math_MathContext$();
    const roundingMode = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
    this.DECIMAL128$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(34, roundingMode);
    $m_Ljava_math_MathContext$();
    const roundingMode$1 = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
    this.DECIMAL32$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(7, roundingMode$1);
    $m_Ljava_math_MathContext$();
    const roundingMode$2 = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
    this.DECIMAL64$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(16, roundingMode$2);
    $m_Ljava_math_MathContext$();
    const roundingMode$3 = $m_Ljava_math_RoundingMode$().HALF$undUP$1;
    this.UNLIMITED$1 = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(0, roundingMode$3);
    return this
  };
}
const $d_Ljava_math_MathContext$ = new $TypeData().initClass({
  Ljava_math_MathContext$: 0
}, false, "java.math.MathContext$", {
  Ljava_math_MathContext$: 1,
  O: 1
});
$c_Ljava_math_MathContext$.prototype.$classData = $d_Ljava_math_MathContext$;
let $n_Ljava_math_MathContext$ = (void 0);
const $m_Ljava_math_MathContext$ = (function() {
  if ((!$n_Ljava_math_MathContext$)) {
    $n_Ljava_math_MathContext$ = new $c_Ljava_math_MathContext$().init___()
  };
  return $n_Ljava_math_MathContext$
});
class $c_Ljava_math_Multiplication$ extends $c_O {
  constructor() {
    super();
    this.TenPows$1 = null;
    this.FivePows$1 = null;
    this.BigTenPows$1 = null;
    this.BigFivePows$1 = null
  };
  multiplyPAP__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(a, b) {
    const aLen = a.numberLength$2;
    const bLen = b.numberLength$2;
    const resLength = ((aLen + bLen) | 0);
    const resSign = ((a.sign$2 !== b.sign$2) ? (-1) : 1);
    if ((resLength === 2)) {
      const a$1 = a.digits$2.u[0];
      const b$1 = b.digits$2.u[0];
      const a0 = (65535 & a$1);
      const a1 = ((a$1 >>> 16) | 0);
      const b0 = (65535 & b$1);
      const b1 = ((b$1 >>> 16) | 0);
      const a0b0 = $imul(a0, b0);
      const a1b0 = $imul(a1, b0);
      const a0b1 = $imul(a0, b1);
      const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
      const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
      const hi$2 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
      return ((hi$2 === 0) ? new $c_Ljava_math_BigInteger().init___I__I(resSign, lo) : new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, 2, $m_s_Array$().apply__I__sc_Seq__AI(lo, new $c_sjs_js_WrappedArray().init___sjs_js_Array([hi$2]))))
    } else {
      const aDigits = a.digits$2;
      const bDigits = b.digits$2;
      const resDigits = $newArrayObject($d_I.getArrayOf(), [resLength]);
      this.multArraysPAP__AI__I__AI__I__AI__V(aDigits, aLen, bDigits, bLen, resDigits);
      const result = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resLength, resDigits);
      result.cutOffLeadingZeroes__V();
      return result
    }
  };
  init___() {
    $n_Ljava_math_Multiplication$ = this;
    this.TenPows$1 = this.newArrayOfPows__p1__I__I__AI(10, 10);
    this.FivePows$1 = this.newArrayOfPows__p1__I__I__AI(14, 5);
    this.BigTenPows$1 = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [32]);
    this.BigFivePows$1 = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [32]);
    this.initialiseArrays__p1__V();
    return this
  };
  square__AI__I__AI__AI(a, aLen, res) {
    let elem$1 = 0;
    elem$1 = 0;
    const isEmpty$4 = (aLen <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + aLen) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        elem$1 = 0;
        const x = ((1 + v1) | 0);
        const isEmpty$4$1 = (x >= aLen);
        const scala$collection$immutable$Range$$lastElement$4$1 = (((-1) + aLen) | 0);
        if ((!isEmpty$4$1)) {
          let i$1 = x;
          while (true) {
            const v1$1 = i$1;
            const a$1 = a.u[v1];
            const b = a.u[v1$1];
            const c = res.u[((v1 + v1$1) | 0)];
            const d = elem$1;
            const a0 = (65535 & a$1);
            const a1 = ((a$1 >>> 16) | 0);
            const b0 = (65535 & b);
            const b1 = ((b >>> 16) | 0);
            const a0b0 = $imul(a0, b0);
            const a1b0 = $imul(a1, b0);
            const a0b1 = $imul(a0, b1);
            const lo$4 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
            const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
            const hi$13 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
            const lo$5 = ((lo$4 + c) | 0);
            const hi$15 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + hi$13) | 0) : hi$13);
            const lo$6 = ((lo$5 + d) | 0);
            const hi$17 = ((((-2147483648) ^ lo$6) < ((-2147483648) ^ lo$5)) ? ((1 + hi$15) | 0) : hi$15);
            res.u[((v1 + v1$1) | 0)] = lo$6;
            elem$1 = hi$17;
            if ((i$1 === scala$collection$immutable$Range$$lastElement$4$1)) {
              break
            };
            i$1 = ((1 + i$1) | 0)
          }
        };
        res.u[((v1 + aLen) | 0)] = elem$1;
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    $m_Ljava_math_BitLevel$().shiftLeftOneBit__AI__AI__I__V(res, res, (aLen << 1));
    elem$1 = 0;
    let i$3 = 0;
    let index = 0;
    while ((i$3 < aLen)) {
      const a$2 = a.u[i$3];
      const b$1 = a.u[i$3];
      const c$1 = res.u[index];
      const d$1 = elem$1;
      const a0$1 = (65535 & a$2);
      const a1$1 = ((a$2 >>> 16) | 0);
      const b0$1 = (65535 & b$1);
      const b1$1 = ((b$1 >>> 16) | 0);
      const a0b0$1 = $imul(a0$1, b0$1);
      const a1b0$1 = $imul(a1$1, b0$1);
      const a0b1$1 = $imul(a0$1, b1$1);
      const lo$7 = ((a0b0$1 + (((a1b0$1 + a0b1$1) | 0) << 16)) | 0);
      const c1part$1 = ((((a0b0$1 >>> 16) | 0) + a0b1$1) | 0);
      const hi$20 = (((($imul(a1$1, b1$1) + ((c1part$1 >>> 16) | 0)) | 0) + (((((65535 & c1part$1) + a1b0$1) | 0) >>> 16) | 0)) | 0);
      const lo$8 = ((lo$7 + c$1) | 0);
      const hi$22 = ((((-2147483648) ^ lo$8) < ((-2147483648) ^ lo$7)) ? ((1 + hi$20) | 0) : hi$20);
      const lo$9 = ((lo$8 + d$1) | 0);
      const hi$24 = ((((-2147483648) ^ lo$9) < ((-2147483648) ^ lo$8)) ? ((1 + hi$22) | 0) : hi$22);
      res.u[index] = lo$9;
      index = ((1 + index) | 0);
      const value$1 = res.u[index];
      const lo$10 = ((hi$24 + value$1) | 0);
      const hi$26 = ((((-2147483648) ^ lo$10) < ((-2147483648) ^ hi$24)) ? 1 : 0);
      res.u[index] = lo$10;
      elem$1 = hi$26;
      i$3 = ((1 + i$3) | 0);
      index = ((1 + index) | 0)
    };
    return res
  };
  pow__Ljava_math_BigInteger__I__Ljava_math_BigInteger(base, exponent) {
    let exp = exponent;
    let res = $m_Ljava_math_BigInteger$().ONE$1;
    let acc = base;
    _loop: while (true) {
      if ((exp > 1)) {
        const res2 = (((1 & exp) !== 0) ? res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(acc) : res);
        let acc2;
        if ((acc.numberLength$2 === 1)) {
          acc2 = acc.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(acc)
        } else {
          const a = $newArrayObject($d_I.getArrayOf(), [(acc.numberLength$2 << 1)]);
          const sq = this.square__AI__I__AI__AI(acc.digits$2, acc.numberLength$2, a);
          acc2 = new $c_Ljava_math_BigInteger().init___I__AI(1, sq)
        };
        const temp$exp = (exp >> 1);
        exp = temp$exp;
        res = res2;
        acc = acc2;
        continue _loop
      } else {
        return res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(acc)
      }
    }
  };
  multPAP__p1__AI__AI__AI__I__I__V(a, b, t, aLen, bLen) {
    if (((a === b) && (aLen === bLen))) {
      this.square__AI__I__AI__AI(a, aLen, t)
    } else {
      const isEmpty$4 = (aLen <= 0);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + aLen) | 0);
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const v1 = i;
          let elem$1 = 0;
          elem$1 = 0;
          const aI = a.u[v1];
          const isEmpty$4$1 = (bLen <= 0);
          const scala$collection$immutable$Range$$lastElement$4$1 = (((-1) + bLen) | 0);
          if ((!isEmpty$4$1)) {
            let i$1 = 0;
            while (true) {
              const v1$1 = i$1;
              const b$1 = b.u[v1$1];
              const c = t.u[((v1 + v1$1) | 0)];
              const d = elem$1;
              const a0 = (65535 & aI);
              const a1 = ((aI >>> 16) | 0);
              const b0 = (65535 & b$1);
              const b1 = ((b$1 >>> 16) | 0);
              const a0b0 = $imul(a0, b0);
              const a1b0 = $imul(a1, b0);
              const a0b1 = $imul(a0, b1);
              const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
              const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
              const hi$6 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
              const lo$1 = ((lo + c) | 0);
              const hi$8 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + hi$6) | 0) : hi$6);
              const lo$2 = ((lo$1 + d) | 0);
              const hi$10 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + hi$8) | 0) : hi$8);
              t.u[((v1 + v1$1) | 0)] = lo$2;
              elem$1 = hi$10;
              if ((i$1 === scala$collection$immutable$Range$$lastElement$4$1)) {
                break
              };
              i$1 = ((1 + i$1) | 0)
            }
          };
          t.u[((v1 + bLen) | 0)] = elem$1;
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      }
    }
  };
  initialiseArrays__p1__V() {
    let elem$1_$_lo$2 = 0;
    let elem$1_$_hi$2 = 0;
    const jsx$1_$_lo$2 = 1;
    const jsx$1_$_hi$2 = 0;
    elem$1_$_lo$2 = jsx$1_$_lo$2;
    elem$1_$_hi$2 = jsx$1_$_hi$2;
    let i = 0;
    while (true) {
      const v1 = i;
      if ((v1 <= 18)) {
        this.BigFivePows$1.u[v1] = $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(elem$1_$_lo$2, elem$1_$_hi$2));
        const jsx$3 = this.BigTenPows$1;
        const jsx$2 = $m_Ljava_math_BigInteger$();
        const this$5_$_lo$2 = elem$1_$_lo$2;
        const this$5_$_hi$2 = elem$1_$_hi$2;
        const lo = (((32 & v1) === 0) ? (this$5_$_lo$2 << v1) : 0);
        const hi = (((32 & v1) === 0) ? (((((this$5_$_lo$2 >>> 1) | 0) >>> ((31 - v1) | 0)) | 0) | (this$5_$_hi$2 << v1)) : (this$5_$_lo$2 << v1));
        jsx$3.u[v1] = jsx$2.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
        const b_$_lo$2 = elem$1_$_lo$2;
        const b_$_hi$2 = elem$1_$_hi$2;
        const blo = b_$_lo$2;
        const b0 = (65535 & blo);
        const b1 = ((blo >>> 16) | 0);
        const a0b0 = $imul(5, b0);
        const a0b1 = $imul(5, b1);
        const lo$1 = ((a0b0 + (a0b1 << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$1 = (($imul(5, b_$_hi$2) + ((c1part >>> 16) | 0)) | 0);
        const jsx$4_$_lo$2 = lo$1;
        const jsx$4_$_hi$2 = hi$1;
        elem$1_$_lo$2 = jsx$4_$_lo$2;
        elem$1_$_hi$2 = jsx$4_$_hi$2
      } else {
        this.BigFivePows$1.u[v1] = this.BigFivePows$1.u[(((-1) + v1) | 0)].multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(this.BigFivePows$1.u[1]);
        this.BigTenPows$1.u[v1] = this.BigTenPows$1.u[(((-1) + v1) | 0)].multiply__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().TEN$1)
      };
      if ((i === 31)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  newArrayOfPows__p1__I__I__AI(len, pow) {
    const xs = $newArrayObject($d_I.getArrayOf(), [(((-1) + len) | 0)]);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let elem$1 = null;
    elem$1 = 1;
    const elem = elem$1;
    const unboxedElem = ((elem === null) ? 0 : elem);
    elems$2.push(unboxedElem);
    let i = 0;
    const len$1 = xs.u.length;
    while ((i < len$1)) {
      const idx = i;
      const arg1 = xs.u[idx];
      const arg1$1 = elem$1;
      const z = (arg1$1 | 0);
      elem$1 = $imul(z, pow);
      const elem$2 = elem$1;
      const unboxedElem$1 = ((elem$2 === null) ? 0 : elem$2);
      elems$2.push(unboxedElem$1);
      i = ((1 + i) | 0)
    };
    return $makeNativeArrayWrapper($d_I.getArrayOf(), elems$2)
  };
  karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(val1, val2) {
    let x1_$_$$und1$f;
    let x1_$_$$und2$f;
    if ((val2.numberLength$2 > val1.numberLength$2)) {
      const jsx$1_$_$$und1$f = val2;
      const jsx$1_$_$$und2$f = val1;
      x1_$_$$und1$f = jsx$1_$_$$und1$f;
      x1_$_$$und2$f = jsx$1_$_$$und2$f
    } else {
      const jsx$2_$_$$und1$f = val1;
      const jsx$2_$_$$und2$f = val2;
      x1_$_$$und1$f = jsx$2_$_$$und1$f;
      x1_$_$$und2$f = jsx$2_$_$$und2$f
    };
    const op1 = x1_$_$$und1$f;
    const op2 = x1_$_$$und2$f;
    if ((op2.numberLength$2 < 63)) {
      return this.multiplyPAP__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, op2)
    } else {
      const ndiv2 = (((-2) & op1.numberLength$2) << 4);
      const upperOp1 = op1.shiftRight__I__Ljava_math_BigInteger(ndiv2);
      const upperOp2 = op2.shiftRight__I__Ljava_math_BigInteger(ndiv2);
      const bi = upperOp1.shiftLeft__I__Ljava_math_BigInteger(ndiv2);
      const lowerOp1 = $m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op1, bi);
      const bi$1 = upperOp2.shiftLeft__I__Ljava_math_BigInteger(ndiv2);
      const lowerOp2 = $m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(op2, bi$1);
      let upper = this.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(upperOp1, upperOp2);
      const lower = this.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(lowerOp1, lowerOp2);
      let middle = this.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(upperOp1, lowerOp1), $m_Ljava_math_Elementary$().subtract__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(lowerOp2, upperOp2));
      const this$1 = middle;
      const bi$2 = upper;
      const this$2 = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$1, bi$2);
      middle = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$2, lower);
      middle = middle.shiftLeft__I__Ljava_math_BigInteger(ndiv2);
      upper = upper.shiftLeft__I__Ljava_math_BigInteger((ndiv2 << 1));
      const this$3 = upper;
      const bi$3 = middle;
      const this$4 = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$3, bi$3);
      return $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$4, lower)
    }
  };
  multiplyByInt__p1__AI__AI__I__I__I(res, a, aSize, factor) {
    let elem$1 = 0;
    elem$1 = 0;
    const isEmpty$4 = (aSize <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + aSize) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        const a$1 = a.u[v1];
        const c = elem$1;
        const a0 = (65535 & a$1);
        const a1 = ((a$1 >>> 16) | 0);
        const b0 = (65535 & factor);
        const b1 = ((factor >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$4 = (((($imul(a1, b1) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const lo$1 = ((lo + c) | 0);
        const hi$6 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + hi$4) | 0) : hi$4);
        res.u[v1] = lo$1;
        elem$1 = hi$6;
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return elem$1
  };
  multArraysPAP__AI__I__AI__I__AI__V(aDigits, aLen, bDigits, bLen, resDigits) {
    if ((!((aLen === 0) || (bLen === 0)))) {
      if ((aLen === 1)) {
        resDigits.u[bLen] = this.multiplyByInt__p1__AI__AI__I__I__I(resDigits, bDigits, bLen, aDigits.u[0])
      } else if ((bLen === 1)) {
        resDigits.u[aLen] = this.multiplyByInt__p1__AI__AI__I__I__I(resDigits, aDigits, aLen, bDigits.u[0])
      } else {
        this.multPAP__p1__AI__AI__AI__I__I__V(aDigits, bDigits, resDigits, aLen, bLen)
      }
    }
  };
  powerOf10__J__Ljava_math_BigInteger(exp) {
    const value = this.BigTenPows$1.u.length;
    const hi = (value >> 31);
    const ahi = exp.hi$2;
    if (((ahi === hi) ? (((-2147483648) ^ exp.lo$2) < ((-2147483648) ^ value)) : (ahi < hi))) {
      return this.BigTenPows$1.u[exp.lo$2]
    } else {
      const ahi$1 = exp.hi$2;
      if (((ahi$1 === 0) ? (((-2147483648) ^ exp.lo$2) <= (-2147483598)) : (ahi$1 < 0))) {
        return $m_Ljava_math_BigInteger$().TEN$1.pow__I__Ljava_math_BigInteger(exp.lo$2)
      } else {
        const ahi$2 = exp.hi$2;
        if (((ahi$2 === 0) ? (((-2147483648) ^ exp.lo$2) <= (-1)) : (ahi$2 < 0))) {
          return this.BigFivePows$1.u[1].pow__I__Ljava_math_BigInteger(exp.lo$2).shiftLeft__I__Ljava_math_BigInteger(exp.lo$2)
        } else {
          const powerOfFive = this.BigFivePows$1.u[1].pow__I__Ljava_math_BigInteger(2147483647);
          let res = powerOfFive;
          const bhi = exp.hi$2;
          const lo = (((-2147483647) + exp.lo$2) | 0);
          const hi$1 = ((((-2147483648) ^ lo) < 1) ? bhi : (((-1) + bhi) | 0));
          let longExp_$_lo$2 = lo;
          let longExp_$_hi$2 = hi$1;
          const this$2 = $m_sjsr_RuntimeLong$();
          const lo$1 = this$2.remainderImpl__I__I__I__I__I(exp.lo$2, exp.hi$2, 2147483647, 0);
          while (true) {
            const this$3_$_lo$2 = longExp_$_lo$2;
            const this$3_$_hi$2 = longExp_$_hi$2;
            const ahi$3 = this$3_$_hi$2;
            if (((ahi$3 === 0) ? (((-2147483648) ^ this$3_$_lo$2) > (-1)) : (ahi$3 > 0))) {
              res = res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(powerOfFive);
              const b_$_lo$2 = longExp_$_lo$2;
              const b_$_hi$2 = longExp_$_hi$2;
              const bhi$1 = b_$_hi$2;
              const lo$2 = (((-2147483647) + b_$_lo$2) | 0);
              const hi$3 = ((((-2147483648) ^ lo$2) < 1) ? bhi$1 : (((-1) + bhi$1) | 0));
              const jsx$1_$_lo$2 = lo$2;
              const jsx$1_$_hi$2 = hi$3;
              longExp_$_lo$2 = jsx$1_$_lo$2;
              longExp_$_hi$2 = jsx$1_$_hi$2
            } else {
              break
            }
          };
          res = res.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(this.BigFivePows$1.u[1].pow__I__Ljava_math_BigInteger(lo$1));
          res = res.shiftLeft__I__Ljava_math_BigInteger(2147483647);
          const bhi$2 = exp.hi$2;
          const lo$3 = (((-2147483647) + exp.lo$2) | 0);
          const hi$4 = ((((-2147483648) ^ lo$3) < 1) ? bhi$2 : (((-1) + bhi$2) | 0));
          const jsx$2_$_lo$2 = lo$3;
          const jsx$2_$_hi$2 = hi$4;
          longExp_$_lo$2 = jsx$2_$_lo$2;
          longExp_$_hi$2 = jsx$2_$_hi$2;
          while (true) {
            const this$6_$_lo$2 = longExp_$_lo$2;
            const this$6_$_hi$2 = longExp_$_hi$2;
            const ahi$4 = this$6_$_hi$2;
            if (((ahi$4 === 0) ? (((-2147483648) ^ this$6_$_lo$2) > (-1)) : (ahi$4 > 0))) {
              res = res.shiftLeft__I__Ljava_math_BigInteger(2147483647);
              const b$1_$_lo$2 = longExp_$_lo$2;
              const b$1_$_hi$2 = longExp_$_hi$2;
              const bhi$3 = b$1_$_hi$2;
              const lo$4 = (((-2147483647) + b$1_$_lo$2) | 0);
              const hi$5 = ((((-2147483648) ^ lo$4) < 1) ? bhi$3 : (((-1) + bhi$3) | 0));
              const jsx$3_$_lo$2 = lo$4;
              const jsx$3_$_hi$2 = hi$5;
              longExp_$_lo$2 = jsx$3_$_lo$2;
              longExp_$_hi$2 = jsx$3_$_hi$2
            } else {
              break
            }
          };
          return res.shiftLeft__I__Ljava_math_BigInteger(lo$1)
        }
      }
    }
  };
}
const $d_Ljava_math_Multiplication$ = new $TypeData().initClass({
  Ljava_math_Multiplication$: 0
}, false, "java.math.Multiplication$", {
  Ljava_math_Multiplication$: 1,
  O: 1
});
$c_Ljava_math_Multiplication$.prototype.$classData = $d_Ljava_math_Multiplication$;
let $n_Ljava_math_Multiplication$ = (void 0);
const $m_Ljava_math_Multiplication$ = (function() {
  if ((!$n_Ljava_math_Multiplication$)) {
    $n_Ljava_math_Multiplication$ = new $c_Ljava_math_Multiplication$().init___()
  };
  return $n_Ljava_math_Multiplication$
});
class $c_Ljava_nio_Buffer extends $c_O {
  constructor() {
    super();
    this.$$undcapacity$1 = 0;
    this.$$undlimit$1 = 0;
    this.java$nio$Buffer$$$undposition$1 = 0;
    this.$$undmark$1 = 0
  };
  position__I__Ljava_nio_Buffer(newPosition) {
    if (((newPosition < 0) || (newPosition > this.$$undlimit$1))) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPosition;
    if ((this.$$undmark$1 > newPosition)) {
      this.$$undmark$1 = (-1)
    };
    return this
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "[pos=", " lim=", " cap=", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(this).getName__T(), this.java$nio$Buffer$$$undposition$1, this.$$undlimit$1, this.$$undcapacity$1]))
  };
  flip__Ljava_nio_Buffer() {
    this.$$undmark$1 = (-1);
    this.$$undlimit$1 = this.java$nio$Buffer$$$undposition$1;
    this.java$nio$Buffer$$$undposition$1 = 0;
    return this
  };
  clear__Ljava_nio_Buffer() {
    this.$$undmark$1 = (-1);
    this.java$nio$Buffer$$$undposition$1 = 0;
    this.$$undlimit$1 = this.$$undcapacity$1;
    return this
  };
  limit__I__Ljava_nio_Buffer(newLimit) {
    if (((newLimit < 0) || (newLimit > this.$$undcapacity$1))) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    this.$$undlimit$1 = newLimit;
    if ((this.java$nio$Buffer$$$undposition$1 > newLimit)) {
      this.java$nio$Buffer$$$undposition$1 = newLimit;
      if ((this.$$undmark$1 > newLimit)) {
        this.$$undmark$1 = (-1)
      }
    };
    return this
  };
  init___I(_capacity) {
    this.$$undcapacity$1 = _capacity;
    this.$$undlimit$1 = this.$$undcapacity$1;
    this.java$nio$Buffer$$$undposition$1 = 0;
    this.$$undmark$1 = (-1);
    return this
  };
}
class $c_Ljava_nio_ByteBuffer$ extends $c_O {
  init___() {
    return this
  };
  allocate__I__Ljava_nio_ByteBuffer(capacity) {
    const array = $newArrayObject($d_B.getArrayOf(), [capacity]);
    const length = array.u.length;
    return $m_Ljava_nio_HeapByteBuffer$().wrap__AB__I__I__I__I__Z__Ljava_nio_ByteBuffer(array, 0, array.u.length, 0, length, false)
  };
}
const $d_Ljava_nio_ByteBuffer$ = new $TypeData().initClass({
  Ljava_nio_ByteBuffer$: 0
}, false, "java.nio.ByteBuffer$", {
  Ljava_nio_ByteBuffer$: 1,
  O: 1
});
$c_Ljava_nio_ByteBuffer$.prototype.$classData = $d_Ljava_nio_ByteBuffer$;
let $n_Ljava_nio_ByteBuffer$ = (void 0);
const $m_Ljava_nio_ByteBuffer$ = (function() {
  if ((!$n_Ljava_nio_ByteBuffer$)) {
    $n_Ljava_nio_ByteBuffer$ = new $c_Ljava_nio_ByteBuffer$().init___()
  };
  return $n_Ljava_nio_ByteBuffer$
});
class $c_Ljava_nio_CharBuffer$ extends $c_O {
  init___() {
    return this
  };
  wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(csq, start, end) {
    return $m_Ljava_nio_StringCharBuffer$().wrap__jl_CharSequence__I__I__I__I__Ljava_nio_CharBuffer(csq, 0, $charSequenceLength(csq), start, ((end - start) | 0))
  };
  allocate__I__Ljava_nio_CharBuffer(capacity) {
    const array = $newArrayObject($d_C.getArrayOf(), [capacity]);
    const length = array.u.length;
    const capacity$1 = array.u.length;
    if (((capacity$1 < 0) || (capacity$1 > array.u.length))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    if (((length < 0) || (length > capacity$1))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_HeapCharBuffer().init___I__AC__I__I__I__Z(capacity$1, array, 0, 0, length, false)
  };
}
const $d_Ljava_nio_CharBuffer$ = new $TypeData().initClass({
  Ljava_nio_CharBuffer$: 0
}, false, "java.nio.CharBuffer$", {
  Ljava_nio_CharBuffer$: 1,
  O: 1
});
$c_Ljava_nio_CharBuffer$.prototype.$classData = $d_Ljava_nio_CharBuffer$;
let $n_Ljava_nio_CharBuffer$ = (void 0);
const $m_Ljava_nio_CharBuffer$ = (function() {
  if ((!$n_Ljava_nio_CharBuffer$)) {
    $n_Ljava_nio_CharBuffer$ = new $c_Ljava_nio_CharBuffer$().init___()
  };
  return $n_Ljava_nio_CharBuffer$
});
class $c_Ljava_nio_HeapByteBuffer$ extends $c_O {
  init___() {
    return this
  };
  wrap__AB__I__I__I__I__Z__Ljava_nio_ByteBuffer(array, arrayOffset, capacity, initialPosition, initialLength, isReadOnly) {
    if ((((arrayOffset < 0) || (capacity < 0)) || (((arrayOffset + capacity) | 0) > array.u.length))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const initialLimit = ((initialPosition + initialLength) | 0);
    if ((((initialPosition < 0) || (initialLength < 0)) || (initialLimit > capacity))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_HeapByteBuffer().init___I__AB__I__I__I__Z(capacity, array, arrayOffset, initialPosition, initialLimit, isReadOnly)
  };
}
const $d_Ljava_nio_HeapByteBuffer$ = new $TypeData().initClass({
  Ljava_nio_HeapByteBuffer$: 0
}, false, "java.nio.HeapByteBuffer$", {
  Ljava_nio_HeapByteBuffer$: 1,
  O: 1
});
$c_Ljava_nio_HeapByteBuffer$.prototype.$classData = $d_Ljava_nio_HeapByteBuffer$;
let $n_Ljava_nio_HeapByteBuffer$ = (void 0);
const $m_Ljava_nio_HeapByteBuffer$ = (function() {
  if ((!$n_Ljava_nio_HeapByteBuffer$)) {
    $n_Ljava_nio_HeapByteBuffer$ = new $c_Ljava_nio_HeapByteBuffer$().init___()
  };
  return $n_Ljava_nio_HeapByteBuffer$
});
class $c_Ljava_nio_StringCharBuffer$ extends $c_O {
  init___() {
    return this
  };
  wrap__jl_CharSequence__I__I__I__I__Ljava_nio_CharBuffer(csq, csqOffset, capacity, initialPosition, initialLength) {
    if ((((csqOffset < 0) || (capacity < 0)) || (((csqOffset + capacity) | 0) > $charSequenceLength(csq)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const initialLimit = ((initialPosition + initialLength) | 0);
    if ((((initialPosition < 0) || (initialLength < 0)) || (initialLimit > capacity))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_StringCharBuffer().init___I__jl_CharSequence__I__I__I(capacity, csq, csqOffset, initialPosition, initialLimit)
  };
}
const $d_Ljava_nio_StringCharBuffer$ = new $TypeData().initClass({
  Ljava_nio_StringCharBuffer$: 0
}, false, "java.nio.StringCharBuffer$", {
  Ljava_nio_StringCharBuffer$: 1,
  O: 1
});
$c_Ljava_nio_StringCharBuffer$.prototype.$classData = $d_Ljava_nio_StringCharBuffer$;
let $n_Ljava_nio_StringCharBuffer$ = (void 0);
const $m_Ljava_nio_StringCharBuffer$ = (function() {
  if ((!$n_Ljava_nio_StringCharBuffer$)) {
    $n_Ljava_nio_StringCharBuffer$ = new $c_Ljava_nio_StringCharBuffer$().init___()
  };
  return $n_Ljava_nio_StringCharBuffer$
});
class $c_Ljava_nio_charset_CharsetDecoder extends $c_O {
  constructor() {
    super();
    this.cs$1 = null;
    this.$$undaverageCharsPerByte$1 = 0.0;
    this.$$undmaxCharsPerByte$1 = 0.0;
    this.$$undreplacement$1 = null;
    this.$$undmalformedInputAction$1 = null;
    this.$$undunmappableCharacterAction$1 = null;
    this.status$1 = 0
  };
  decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult($in, out, endOfInput) {
    if (((this.status$1 === 4) || ((!endOfInput) && (this.status$1 === 3)))) {
      throw new $c_jl_IllegalStateException().init___()
    };
    this.status$1 = (endOfInput ? 3 : 2);
    _loop: while (true) {
      let result1;
      try {
        result1 = this.decodeLoop__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out)
      } catch (e) {
        if ($is_Ljava_nio_BufferOverflowException(e)) {
          const ex$2 = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex$2)
        } else if ($is_Ljava_nio_BufferUnderflowException(e)) {
          const ex = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex)
        } else {
          throw e
        }
      };
      let result2;
      if ((result1.java$nio$charset$CoderResult$$kind$f === 0)) {
        const remaining = (($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0);
        if ((endOfInput && (remaining > 0))) {
          const this$1 = $m_Ljava_nio_charset_CoderResult$();
          switch (remaining) {
            case 1: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed1$1;
              break
            }
            case 2: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed2$1;
              break
            }
            case 3: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed3$1;
              break
            }
            case 4: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed4$1;
              break
            }
            default: {
              result2 = this$1.java$nio$charset$CoderResult$$malformedForLengthImpl__I__Ljava_nio_charset_CoderResult(remaining)
            }
          }
        } else {
          result2 = result1
        }
      } else {
        result2 = result1
      };
      if (((result2.java$nio$charset$CoderResult$$kind$f === 0) || (result2.java$nio$charset$CoderResult$$kind$f === 1))) {
        return result2
      } else {
        const action = ((result2.java$nio$charset$CoderResult$$kind$f === 3) ? this.$$undunmappableCharacterAction$1 : this.$$undmalformedInputAction$1);
        const x$2 = $m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1;
        if ((x$2 === action)) {
          const jsx$2 = out.$$undlimit$1;
          const jsx$1 = out.java$nio$Buffer$$$undposition$1;
          const thiz = this.$$undreplacement$1;
          if ((((jsx$2 - jsx$1) | 0) < (thiz.length | 0))) {
            return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
          } else {
            out.put__T__Ljava_nio_CharBuffer(this.$$undreplacement$1);
            const jsx$3 = $in.java$nio$Buffer$$$undposition$1;
            const l = result2.java$nio$charset$CoderResult$$$undlength$f;
            if ((l < 0)) {
              throw new $c_jl_UnsupportedOperationException().init___()
            };
            $in.position__I__Ljava_nio_Buffer(((jsx$3 + l) | 0));
            continue _loop
          }
        } else {
          const x$4 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
          if ((x$4 === action)) {
            return result2
          } else {
            const x$6 = $m_Ljava_nio_charset_CodingErrorAction$().IGNORE$1;
            if ((x$6 === action)) {
              const jsx$4 = $in.java$nio$Buffer$$$undposition$1;
              const l$1 = result2.java$nio$charset$CoderResult$$$undlength$f;
              if ((l$1 < 0)) {
                throw new $c_jl_UnsupportedOperationException().init___()
              };
              $in.position__I__Ljava_nio_Buffer(((jsx$4 + l$1) | 0));
              continue _loop
            } else {
              throw new $c_s_MatchError().init___O(action)
            }
          }
        }
      }
    }
  };
  reset__Ljava_nio_charset_CharsetDecoder() {
    this.status$1 = 1;
    return this
  };
  onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undmalformedInputAction$1 = newAction;
    return this
  };
  onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undunmappableCharacterAction$1 = newAction;
    return this
  };
  init___Ljava_nio_charset_Charset__F__F(cs, _averageCharsPerByte, _maxCharsPerByte) {
    this.cs$1 = cs;
    this.$$undaverageCharsPerByte$1 = _averageCharsPerByte;
    this.$$undmaxCharsPerByte$1 = _maxCharsPerByte;
    this.$$undreplacement$1 = "\ufffd";
    this.$$undmalformedInputAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.$$undunmappableCharacterAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.status$1 = 1;
    return this
  };
}
class $c_Ljava_nio_charset_CharsetEncoder extends $c_O {
  constructor() {
    super();
    this.cs$1 = null;
    this.$$undaverageBytesPerChar$1 = 0.0;
    this.$$undmaxBytesPerChar$1 = 0.0;
    this.$$undreplacement$1 = null;
    this.$$undmalformedInputAction$1 = null;
    this.$$undunmappableCharacterAction$1 = null;
    this.status$1 = 0
  };
  grow$1__p1__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out) {
    if ((out.$$undcapacity$1 === 0)) {
      return $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(1)
    } else {
      const result = $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer((out.$$undcapacity$1 << 1));
      out.flip__Ljava_nio_Buffer();
      result.put__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out);
      return result
    }
  };
  onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undunmappableCharacterAction$1 = newAction;
    return this
  };
  encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Z__Ljava_nio_charset_CoderResult($in, out, endOfInput) {
    if (((this.status$1 === 3) || ((!endOfInput) && (this.status$1 === 2)))) {
      throw new $c_jl_IllegalStateException().init___()
    };
    this.status$1 = (endOfInput ? 2 : 1);
    _loop: while (true) {
      let result1;
      try {
        result1 = this.encodeLoop__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out)
      } catch (e) {
        if ($is_Ljava_nio_BufferOverflowException(e)) {
          const ex$2 = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex$2)
        } else if ($is_Ljava_nio_BufferUnderflowException(e)) {
          const ex = e;
          throw new $c_Ljava_nio_charset_CoderMalfunctionError().init___jl_Exception(ex)
        } else {
          throw e
        }
      };
      let result2;
      if ((result1.java$nio$charset$CoderResult$$kind$f === 0)) {
        const remaining = (($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0);
        if ((endOfInput && (remaining > 0))) {
          const this$1 = $m_Ljava_nio_charset_CoderResult$();
          switch (remaining) {
            case 1: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed1$1;
              break
            }
            case 2: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed2$1;
              break
            }
            case 3: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed3$1;
              break
            }
            case 4: {
              result2 = this$1.java$nio$charset$CoderResult$$Malformed4$1;
              break
            }
            default: {
              result2 = this$1.java$nio$charset$CoderResult$$malformedForLengthImpl__I__Ljava_nio_charset_CoderResult(remaining)
            }
          }
        } else {
          result2 = result1
        }
      } else {
        result2 = result1
      };
      if (((result2.java$nio$charset$CoderResult$$kind$f === 0) || (result2.java$nio$charset$CoderResult$$kind$f === 1))) {
        return result2
      } else {
        const action = ((result2.java$nio$charset$CoderResult$$kind$f === 3) ? this.$$undunmappableCharacterAction$1 : this.$$undmalformedInputAction$1);
        const x$2 = $m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1;
        if ((x$2 === action)) {
          if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < this.$$undreplacement$1.u.length)) {
            return $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1
          } else {
            const src = this.$$undreplacement$1;
            out.put__AB__I__I__Ljava_nio_ByteBuffer(src, 0, src.u.length);
            const jsx$1 = $in.java$nio$Buffer$$$undposition$1;
            const l = result2.java$nio$charset$CoderResult$$$undlength$f;
            if ((l < 0)) {
              throw new $c_jl_UnsupportedOperationException().init___()
            };
            $in.position__I__Ljava_nio_Buffer(((jsx$1 + l) | 0));
            continue _loop
          }
        } else {
          const x$4 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
          if ((x$4 === action)) {
            return result2
          } else {
            const x$6 = $m_Ljava_nio_charset_CodingErrorAction$().IGNORE$1;
            if ((x$6 === action)) {
              const jsx$2 = $in.java$nio$Buffer$$$undposition$1;
              const l$1 = result2.java$nio$charset$CoderResult$$$undlength$f;
              if ((l$1 < 0)) {
                throw new $c_jl_UnsupportedOperationException().init___()
              };
              $in.position__I__Ljava_nio_Buffer(((jsx$2 + l$1) | 0));
              continue _loop
            } else {
              throw new $c_s_MatchError().init___O(action)
            }
          }
        }
      }
    }
  };
  flush__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult(out) {
    const x1 = this.status$1;
    switch (x1) {
      case 2: {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        if ((result.java$nio$charset$CoderResult$$kind$f === 0)) {
          this.status$1 = 3
        };
        return result;
        break
      }
      case 3: {
        return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        break
      }
      default: {
        throw new $c_jl_IllegalStateException().init___()
      }
    }
  };
  encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer($in) {
    if (((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0) === 0)) {
      return $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(0)
    } else {
      this.reset__Ljava_nio_charset_CharsetEncoder();
      const initLength = $doubleToInt($fround(($fround((($in.$$undlimit$1 - $in.java$nio$Buffer$$$undposition$1) | 0)) * this.$$undaverageBytesPerChar$1)));
      let out = $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(initLength);
      let out$1;
      _loopEncode: while (true) {
        const result = this.encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Z__Ljava_nio_charset_CoderResult($in, out, true);
        if ((result.java$nio$charset$CoderResult$$kind$f !== 0)) {
          if ((result.java$nio$charset$CoderResult$$kind$f === 1)) {
            out = this.grow$1__p1__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out);
            continue _loopEncode
          };
          result.throwException__V();
          throw new $c_jl_AssertionError().init___O("should not get here")
        };
        $m_s_Predef$().assert__Z__V(($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1));
        out$1 = out;
        break
      };
      let out$2;
      _loopFlush: while (true) {
        const result$1 = this.flush__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult(out$1);
        if ((result$1.java$nio$charset$CoderResult$$kind$f !== 0)) {
          if ((result$1.java$nio$charset$CoderResult$$kind$f === 1)) {
            out$1 = this.grow$1__p1__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(out$1);
            continue _loopFlush
          };
          result$1.throwException__V();
          throw new $c_jl_AssertionError().init___O("should not get here")
        };
        out$2 = out$1;
        break
      };
      out$2.flip__Ljava_nio_Buffer();
      return out$2
    }
  };
  init___Ljava_nio_charset_Charset__F__F(cs, _averageBytesPerChar, _maxBytesPerChar) {
    $c_Ljava_nio_charset_CharsetEncoder.prototype.init___Ljava_nio_charset_Charset__F__F__AB.call(this, cs, _averageBytesPerChar, _averageBytesPerChar, $m_s_Array$().apply__B__sc_Seq__AB(63, new $c_sjs_js_WrappedArray().init___sjs_js_Array([])));
    return this
  };
  init___Ljava_nio_charset_Charset__F__F__AB(cs, _averageBytesPerChar, _maxBytesPerChar, _replacement) {
    this.cs$1 = cs;
    this.$$undaverageBytesPerChar$1 = _averageBytesPerChar;
    this.$$undmaxBytesPerChar$1 = _maxBytesPerChar;
    this.$$undreplacement$1 = _replacement;
    this.$$undmalformedInputAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.$$undunmappableCharacterAction$1 = $m_Ljava_nio_charset_CodingErrorAction$().REPORT$1;
    this.status$1 = 0;
    return this
  };
  onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder(newAction) {
    if ((newAction === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null CodingErrorAction")
    };
    this.$$undmalformedInputAction$1 = newAction;
    return this
  };
  reset__Ljava_nio_charset_CharsetEncoder() {
    this.status$1 = 0;
    return this
  };
}
class $c_Ljava_nio_charset_CoderResult extends $c_O {
  constructor() {
    super();
    this.java$nio$charset$CoderResult$$kind$f = 0;
    this.java$nio$charset$CoderResult$$$undlength$f = 0
  };
  init___I__I(kind, _length) {
    this.java$nio$charset$CoderResult$$kind$f = kind;
    this.java$nio$charset$CoderResult$$$undlength$f = _length;
    return this
  };
  throwException__V() {
    const x1 = this.java$nio$charset$CoderResult$$kind$f;
    switch (x1) {
      case 1: {
        throw new $c_Ljava_nio_BufferOverflowException().init___();
        break
      }
      case 0: {
        throw new $c_Ljava_nio_BufferUnderflowException().init___();
        break
      }
      case 2: {
        throw new $c_Ljava_nio_charset_MalformedInputException().init___I(this.java$nio$charset$CoderResult$$$undlength$f);
        break
      }
      case 3: {
        throw new $c_Ljava_nio_charset_UnmappableCharacterException().init___I(this.java$nio$charset$CoderResult$$$undlength$f);
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Ljava_nio_charset_CoderResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_charset_CoderResult)))
});
const $isArrayOf_Ljava_nio_charset_CoderResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_charset_CoderResult)))
});
const $d_Ljava_nio_charset_CoderResult = new $TypeData().initClass({
  Ljava_nio_charset_CoderResult: 0
}, false, "java.nio.charset.CoderResult", {
  Ljava_nio_charset_CoderResult: 1,
  O: 1
});
$c_Ljava_nio_charset_CoderResult.prototype.$classData = $d_Ljava_nio_charset_CoderResult;
class $c_Ljava_nio_charset_CoderResult$ extends $c_O {
  constructor() {
    super();
    this.OVERFLOW$1 = null;
    this.UNDERFLOW$1 = null;
    this.java$nio$charset$CoderResult$$Malformed1$1 = null;
    this.java$nio$charset$CoderResult$$Malformed2$1 = null;
    this.java$nio$charset$CoderResult$$Malformed3$1 = null;
    this.java$nio$charset$CoderResult$$Malformed4$1 = null;
    this.uniqueMalformed$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable1$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable2$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable3$1 = null;
    this.java$nio$charset$CoderResult$$Unmappable4$1 = null;
    this.uniqueUnmappable$1 = null
  };
  init___() {
    $n_Ljava_nio_charset_CoderResult$ = this;
    this.OVERFLOW$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(1, (-1));
    this.UNDERFLOW$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(0, (-1));
    this.java$nio$charset$CoderResult$$Malformed1$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 1);
    this.java$nio$charset$CoderResult$$Malformed2$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 2);
    this.java$nio$charset$CoderResult$$Malformed3$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 3);
    this.java$nio$charset$CoderResult$$Malformed4$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(2, 4);
    this.uniqueMalformed$1 = new $c_scm_HashMap().init___();
    this.java$nio$charset$CoderResult$$Unmappable1$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 1);
    this.java$nio$charset$CoderResult$$Unmappable2$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 2);
    this.java$nio$charset$CoderResult$$Unmappable3$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 3);
    this.java$nio$charset$CoderResult$$Unmappable4$1 = new $c_Ljava_nio_charset_CoderResult().init___I__I(3, 4);
    this.uniqueUnmappable$1 = new $c_scm_HashMap().init___();
    return this
  };
  java$nio$charset$CoderResult$$malformedForLengthImpl__I__Ljava_nio_charset_CoderResult(length) {
    return this.uniqueMalformed$1.getOrElseUpdate__O__F0__O(length, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, length$1) {
      return (function() {
        return new $c_Ljava_nio_charset_CoderResult().init___I__I(2, length$1)
      })
    })(this, length)))
  };
}
const $d_Ljava_nio_charset_CoderResult$ = new $TypeData().initClass({
  Ljava_nio_charset_CoderResult$: 0
}, false, "java.nio.charset.CoderResult$", {
  Ljava_nio_charset_CoderResult$: 1,
  O: 1
});
$c_Ljava_nio_charset_CoderResult$.prototype.$classData = $d_Ljava_nio_charset_CoderResult$;
let $n_Ljava_nio_charset_CoderResult$ = (void 0);
const $m_Ljava_nio_charset_CoderResult$ = (function() {
  if ((!$n_Ljava_nio_charset_CoderResult$)) {
    $n_Ljava_nio_charset_CoderResult$ = new $c_Ljava_nio_charset_CoderResult$().init___()
  };
  return $n_Ljava_nio_charset_CoderResult$
});
class $c_Ljava_nio_charset_CodingErrorAction extends $c_O {
  constructor() {
    super();
    this.name$1 = null
  };
  toString__T() {
    return this.name$1
  };
  init___T(name) {
    this.name$1 = name;
    return this
  };
}
const $d_Ljava_nio_charset_CodingErrorAction = new $TypeData().initClass({
  Ljava_nio_charset_CodingErrorAction: 0
}, false, "java.nio.charset.CodingErrorAction", {
  Ljava_nio_charset_CodingErrorAction: 1,
  O: 1
});
$c_Ljava_nio_charset_CodingErrorAction.prototype.$classData = $d_Ljava_nio_charset_CodingErrorAction;
class $c_Ljava_nio_charset_CodingErrorAction$ extends $c_O {
  constructor() {
    super();
    this.IGNORE$1 = null;
    this.REPLACE$1 = null;
    this.REPORT$1 = null
  };
  init___() {
    $n_Ljava_nio_charset_CodingErrorAction$ = this;
    this.IGNORE$1 = new $c_Ljava_nio_charset_CodingErrorAction().init___T("IGNORE");
    this.REPLACE$1 = new $c_Ljava_nio_charset_CodingErrorAction().init___T("REPLACE");
    this.REPORT$1 = new $c_Ljava_nio_charset_CodingErrorAction().init___T("REPORT");
    return this
  };
}
const $d_Ljava_nio_charset_CodingErrorAction$ = new $TypeData().initClass({
  Ljava_nio_charset_CodingErrorAction$: 0
}, false, "java.nio.charset.CodingErrorAction$", {
  Ljava_nio_charset_CodingErrorAction$: 1,
  O: 1
});
$c_Ljava_nio_charset_CodingErrorAction$.prototype.$classData = $d_Ljava_nio_charset_CodingErrorAction$;
let $n_Ljava_nio_charset_CodingErrorAction$ = (void 0);
const $m_Ljava_nio_charset_CodingErrorAction$ = (function() {
  if ((!$n_Ljava_nio_charset_CodingErrorAction$)) {
    $n_Ljava_nio_charset_CodingErrorAction$ = new $c_Ljava_nio_charset_CodingErrorAction$().init___()
  };
  return $n_Ljava_nio_charset_CodingErrorAction$
});
class $c_Lorg_mulesoft_common_core_package$ extends $c_O {
  init___() {
    return this
  };
  org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T(str, from, to, ignoreErrors) {
    const nonLocalReturnKey1 = new $c_O().init___();
    try {
      let elem$1 = 0;
      elem$1 = 0;
      const isEmpty$4 = (from >= to);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + to) | 0);
      if ((!isEmpty$4)) {
        let i = from;
        while (true) {
          const v1 = i;
          const n = ((v1 < (str.length | 0)) ? $m_jl_Character$().digit__C__I__I((65535 & (str.charCodeAt(v1) | 0)), 16) : (-1));
          if ((n === (-1))) {
            if (ignoreErrors) {
              const b = (str.length | 0);
              const endIndex = ((to < b) ? to : b);
              throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1, str.substring(v1, endIndex))
            };
            throw new $c_jl_IllegalArgumentException().init___T(("Malformed unicode encoding: " + str))
          };
          elem$1 = ((elem$1 << 4) | n);
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$14 = $m_sjsr_RuntimeString$();
      const value$1 = $m_jl_Character$().toChars__I__AC(elem$1);
      return this$14.newString__AC__I__I__T(value$1, 0, value$1.u.length)
    } catch (e) {
      if ($is_sr_NonLocalReturnControl(e)) {
        const ex = e;
        if ((ex.key$2 === nonLocalReturnKey1)) {
          return ex.value__O()
        } else {
          throw ex
        }
      } else {
        throw e
      }
    }
  };
}
const $d_Lorg_mulesoft_common_core_package$ = new $TypeData().initClass({
  Lorg_mulesoft_common_core_package$: 0
}, false, "org.mulesoft.common.core.package$", {
  Lorg_mulesoft_common_core_package$: 1,
  O: 1
});
$c_Lorg_mulesoft_common_core_package$.prototype.$classData = $d_Lorg_mulesoft_common_core_package$;
let $n_Lorg_mulesoft_common_core_package$ = (void 0);
const $m_Lorg_mulesoft_common_core_package$ = (function() {
  if ((!$n_Lorg_mulesoft_common_core_package$)) {
    $n_Lorg_mulesoft_common_core_package$ = new $c_Lorg_mulesoft_common_core_package$().init___()
  };
  return $n_Lorg_mulesoft_common_core_package$
});
class $c_Lorg_mulesoft_common_core_package$Strings$ extends $c_O {
  init___() {
    return this
  };
  escapeJavaStyleString$extension__T__T__T($$this, str) {
    if ((str === null)) {
      return str
    } else {
      const out = new $c_scm_StringBuilder().init___I(((str.length | 0) << 1));
      $m_s_package$();
      const end = (str.length | 0);
      const isEmpty$4 = (end <= 0);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const arg1 = i;
          const ch = (65535 & (str.charCodeAt(arg1) | 0));
          if ((ch > 4095)) {
            out.$$plus$plus$eq__T__scm_StringBuilder(("\\u" + $m_Lorg_mulesoft_common_core_package$Strings$().hex$extension__T__I__T($$this, ch)))
          } else if ((ch > 255)) {
            out.$$plus$plus$eq__T__scm_StringBuilder(("\\u0" + $m_Lorg_mulesoft_common_core_package$Strings$().hex$extension__T__I__T($$this, ch)))
          } else if ((ch > 127)) {
            out.$$plus$plus$eq__T__scm_StringBuilder(("\\u00" + $m_Lorg_mulesoft_common_core_package$Strings$().hex$extension__T__I__T($$this, ch)))
          } else if ((ch < 32)) {
            switch (ch) {
              case 8: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(98);
                break
              }
              case 10: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(110);
                break
              }
              case 9: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(116);
                break
              }
              case 12: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(102);
                break
              }
              case 13: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(114);
                break
              }
              default: {
                if ((ch === 0)) {
                  out.$$plus$plus$eq__T__scm_StringBuilder("\\0")
                } else if ((ch > 15)) {
                  out.$$plus$plus$eq__T__scm_StringBuilder(("\\u00" + $m_Lorg_mulesoft_common_core_package$Strings$().hex$extension__T__I__T($$this, ch)))
                } else {
                  out.$$plus$plus$eq__T__scm_StringBuilder(("\\u000" + $m_Lorg_mulesoft_common_core_package$Strings$().hex$extension__T__I__T($$this, ch)))
                }
              }
            }
          } else {
            switch (ch) {
              case 34: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(34);
                break
              }
              case 92: {
                out.$$plus$eq__C__scm_StringBuilder(92);
                out.$$plus$eq__C__scm_StringBuilder(92);
                break
              }
              default: {
                out.$$plus$eq__C__scm_StringBuilder(ch)
              }
            }
          };
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$5 = out.underlying$5;
      return this$5.content$1
    }
  };
  decode$extension1__T__Z__T($$this, ignoreErrors) {
    if (($$this === null)) {
      return $$this
    };
    const length = ($$this.length | 0);
    if ((length === 0)) {
      return $$this
    };
    const buffer = new $c_scm_StringBuilder().init___I(length);
    let i = 0;
    while ((i < length)) {
      const index = i;
      const chr = (65535 & ($$this.charCodeAt(index) | 0));
      i = ((1 + i) | 0);
      if (((chr !== 92) || (i >= length))) {
        buffer.append__C__scm_StringBuilder(chr)
      } else {
        const index$1 = i;
        const chr$2 = (65535 & ($$this.charCodeAt(index$1) | 0));
        i = ((1 + i) | 0);
        let jsx$1;
        switch (chr$2) {
          case 85: {
            i = ((8 + i) | 0);
            jsx$1 = $m_Lorg_mulesoft_common_core_package$().org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T($$this, (((-8) + i) | 0), i, ignoreErrors);
            break
          }
          case 117: {
            i = ((4 + i) | 0);
            jsx$1 = $m_Lorg_mulesoft_common_core_package$().org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T($$this, (((-4) + i) | 0), i, ignoreErrors);
            break
          }
          case 120: {
            i = ((2 + i) | 0);
            jsx$1 = $m_Lorg_mulesoft_common_core_package$().org$mulesoft$common$core$package$$decodeUnicodeChar__T__I__I__Z__T($$this, (((-2) + i) | 0), i, ignoreErrors);
            break
          }
          case 116: {
            jsx$1 = "\t";
            break
          }
          case 114: {
            jsx$1 = "\r";
            break
          }
          case 110: {
            jsx$1 = "\n";
            break
          }
          case 102: {
            jsx$1 = "\f";
            break
          }
          case 97: {
            jsx$1 = new $c_jl_Character().init___C(7);
            break
          }
          case 98: {
            jsx$1 = "\b";
            break
          }
          case 118: {
            jsx$1 = "\v";
            break
          }
          case 101: {
            jsx$1 = new $c_jl_Character().init___C(27);
            break
          }
          case 48: {
            jsx$1 = new $c_jl_Character().init___C(0);
            break
          }
          case 78: {
            jsx$1 = "\u0085";
            break
          }
          case 95: {
            jsx$1 = "\u00a0";
            break
          }
          case 76: {
            jsx$1 = "\u2028";
            break
          }
          case 80: {
            jsx$1 = "\u2029";
            break
          }
          default: {
            jsx$1 = $g.String.fromCharCode(chr$2)
          }
        };
        buffer.append__O__scm_StringBuilder(jsx$1)
      }
    };
    const this$16 = buffer.underlying$5;
    return this$16.content$1
  };
  notNull$extension__T__T($$this) {
    return (($$this === null) ? "" : $$this)
  };
  hex$extension__T__I__T($$this, ch) {
    const x = (+(ch >>> 0));
    const thiz = x.toString(16);
    return thiz.toUpperCase()
  };
}
const $d_Lorg_mulesoft_common_core_package$Strings$ = new $TypeData().initClass({
  Lorg_mulesoft_common_core_package$Strings$: 0
}, false, "org.mulesoft.common.core.package$Strings$", {
  Lorg_mulesoft_common_core_package$Strings$: 1,
  O: 1
});
$c_Lorg_mulesoft_common_core_package$Strings$.prototype.$classData = $d_Lorg_mulesoft_common_core_package$Strings$;
let $n_Lorg_mulesoft_common_core_package$Strings$ = (void 0);
const $m_Lorg_mulesoft_common_core_package$Strings$ = (function() {
  if ((!$n_Lorg_mulesoft_common_core_package$Strings$)) {
    $n_Lorg_mulesoft_common_core_package$Strings$ = new $c_Lorg_mulesoft_common_core_package$Strings$().init___()
  };
  return $n_Lorg_mulesoft_common_core_package$Strings$
});
class $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_CharSequence__I__I__T__Lorg_mulesoft_lexer_CharSequenceLexerInput(data, startOffset, endOffset, sourceName) {
    const a = $charSequenceLength(data);
    return new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput().init___jl_CharSequence__I__I__T(data, startOffset, ((a < endOffset) ? a : endOffset), sourceName)
  };
}
const $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = new $TypeData().initClass({
  Lorg_mulesoft_lexer_CharSequenceLexerInput$: 0
}, false, "org.mulesoft.lexer.CharSequenceLexerInput$", {
  Lorg_mulesoft_lexer_CharSequenceLexerInput$: 1,
  O: 1
});
$c_Lorg_mulesoft_lexer_CharSequenceLexerInput$.prototype.$classData = $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$;
let $n_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = (void 0);
const $m_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = (function() {
  if ((!$n_Lorg_mulesoft_lexer_CharSequenceLexerInput$)) {
    $n_Lorg_mulesoft_lexer_CharSequenceLexerInput$ = new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$().init___()
  };
  return $n_Lorg_mulesoft_lexer_CharSequenceLexerInput$
});
class $c_Lorg_mulesoft_lexer_LexerInput$ extends $c_O {
  constructor() {
    super();
    this.EofChar$1 = 0
  };
  init___() {
    this.EofChar$1 = (-1);
    return this
  };
}
const $d_Lorg_mulesoft_lexer_LexerInput$ = new $TypeData().initClass({
  Lorg_mulesoft_lexer_LexerInput$: 0
}, false, "org.mulesoft.lexer.LexerInput$", {
  Lorg_mulesoft_lexer_LexerInput$: 1,
  O: 1
});
$c_Lorg_mulesoft_lexer_LexerInput$.prototype.$classData = $d_Lorg_mulesoft_lexer_LexerInput$;
let $n_Lorg_mulesoft_lexer_LexerInput$ = (void 0);
const $m_Lorg_mulesoft_lexer_LexerInput$ = (function() {
  if ((!$n_Lorg_mulesoft_lexer_LexerInput$)) {
    $n_Lorg_mulesoft_lexer_LexerInput$ = new $c_Lorg_mulesoft_lexer_LexerInput$().init___()
  };
  return $n_Lorg_mulesoft_lexer_LexerInput$
});
class $c_Lorg_mulesoft_lexer_Queue extends $c_O {
  constructor() {
    super();
    this.buffer$1 = null;
    this.head$1 = 0;
    this.tail$1 = 0
  };
  init___() {
    $m_scm_ArrayBuffer$();
    const this$2 = new $c_scm_ArrayBuffer().init___();
    this.buffer$1 = this$2;
    this.head$1 = 0;
    this.tail$1 = 0;
    return this
  };
  reduceTo__I__V(newSize) {
    this.tail$1 = ((this.head$1 + newSize) | 0)
  };
  dequeue__O() {
    this.head$1 = ((1 + this.head$1) | 0);
    const this$1 = this.buffer$1;
    const idx = (((-1) + this.head$1) | 0);
    return $f_scm_ResizableArray__apply__I__O(this$1, idx)
  };
  isEmpty__Z() {
    return (this.tail$1 <= this.head$1)
  };
  $$plus$eq__O__Lorg_mulesoft_lexer_Queue(t) {
    const this$1 = this.buffer$1;
    if ((this$1.size0$6 <= this.tail$1)) {
      const this$2 = this.buffer$1;
      const array = [t];
      const n = (array.length | 0);
      const n$1 = ((this$2.size0$6 + n) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$2, n$1);
      const xs = this$2.array$6;
      const start = this$2.size0$6;
      let i = 0;
      let j = start;
      const x = (array.length | 0);
      const x$1 = ((x < n) ? x : n);
      const that = ((xs.u.length - start) | 0);
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$2.size0$6 = ((this$2.size0$6 + n) | 0)
    } else {
      const this$11 = this.buffer$1;
      const idx = this.tail$1;
      $f_scm_ResizableArray__update__I__O__V(this$11, idx, t)
    };
    this.tail$1 = ((1 + this.tail$1) | 0);
    return this
  };
  size__I() {
    return ((this.tail$1 - this.head$1) | 0)
  };
}
const $d_Lorg_mulesoft_lexer_Queue = new $TypeData().initClass({
  Lorg_mulesoft_lexer_Queue: 0
}, false, "org.mulesoft.lexer.Queue", {
  Lorg_mulesoft_lexer_Queue: 1,
  O: 1
});
$c_Lorg_mulesoft_lexer_Queue.prototype.$classData = $d_Lorg_mulesoft_lexer_Queue;
class $c_Lorg_mulesoft_lexer_Token extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.abbreviation$1 = null
  };
  init___T__T(name, abbreviation) {
    this.name$1 = name;
    this.abbreviation$1 = abbreviation;
    return this
  };
  toString__T() {
    return this.name$1
  };
}
class $c_Lorg_scalajs_dom_ext_Ajax$ extends $c_O {
  init___() {
    return this
  };
  org$scalajs$dom$ext$Ajax$$$anonfun$apply$1__Lorg_scalajs_dom_raw_Event__Lorg_scalajs_dom_raw_XMLHttpRequest__s_concurrent_Promise__O(e, req$1, promise$1) {
    if (((req$1.readyState | 0) === 4)) {
      if (((((req$1.status | 0) >= 200) && ((req$1.status | 0) < 300)) || ((req$1.status | 0) === 304))) {
        return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1, req$1)
      } else {
        const cause = new $c_Lorg_scalajs_dom_ext_AjaxException().init___Lorg_scalajs_dom_raw_XMLHttpRequest(req$1);
        return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$1, cause)
      }
    } else {
      return (void 0)
    }
  };
  apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future(method, url, data, timeout, headers, withCredentials, responseType) {
    const req = new $g.XMLHttpRequest();
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    req.onreadystatechange = (function(req$1, promise$1) {
      return (function(arg1$2) {
        return $m_Lorg_scalajs_dom_ext_Ajax$().org$scalajs$dom$ext$Ajax$$$anonfun$apply$1__Lorg_scalajs_dom_raw_Event__Lorg_scalajs_dom_raw_XMLHttpRequest__s_concurrent_Promise__O(arg1$2, req$1, promise$1)
      })
    })(req, promise);
    req.open(method, url);
    req.responseType = responseType;
    req.timeout = timeout;
    req.withCredentials = withCredentials;
    headers.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, req$2) {
      return (function(x$2) {
        const x = x$2;
        req$2.setRequestHeader(x.$$und1__O(), x.$$und2__O())
      })
    })(this, req)));
    if ((data === null)) {
      req.send()
    } else {
      req.send(data)
    };
    return promise
  };
}
const $d_Lorg_scalajs_dom_ext_Ajax$ = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_Ajax$: 0
}, false, "org.scalajs.dom.ext.Ajax$", {
  Lorg_scalajs_dom_ext_Ajax$: 1,
  O: 1
});
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.$classData = $d_Lorg_scalajs_dom_ext_Ajax$;
let $n_Lorg_scalajs_dom_ext_Ajax$ = (void 0);
const $m_Lorg_scalajs_dom_ext_Ajax$ = (function() {
  if ((!$n_Lorg_scalajs_dom_ext_Ajax$)) {
    $n_Lorg_scalajs_dom_ext_Ajax$ = new $c_Lorg_scalajs_dom_ext_Ajax$().init___()
  };
  return $n_Lorg_scalajs_dom_ext_Ajax$
});
class $c_Lorg_yaml_convert_YRead$ extends $c_O {
  init___() {
    return this
  };
  error__Lorg_yaml_model_YNode__T__s_util_Left(node, err) {
    $m_s_package$();
    const err$2 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, err$1) {
      return (function() {
        return err$1
      })
    })(this, err));
    const value = new $c_Lorg_yaml_model_YError().init___Lorg_yaml_model_YNodeLike__F0(node, err$2);
    return new $c_s_util_Left().init___O(value)
  };
}
const $d_Lorg_yaml_convert_YRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$: 0
}, false, "org.yaml.convert.YRead$", {
  Lorg_yaml_convert_YRead$: 1,
  O: 1
});
$c_Lorg_yaml_convert_YRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$;
let $n_Lorg_yaml_convert_YRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$)) {
    $n_Lorg_yaml_convert_YRead$ = new $c_Lorg_yaml_convert_YRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$
});
class $c_Lorg_yaml_lexer_YamlCharRules$ extends $c_O {
  isCharFollowedBy__C__C__Z(c, next) {
    const x = ((".*" + this.escape__p1__C__T(c)) + "[^\\s\\\\]");
    const this$2 = new $c_sci_StringOps().init___T(x);
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    const this$7 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames).pattern$1;
    const this$5 = ($m_s_package$(), new $c_scm_StringBuilder().init___()).append__C__scm_StringBuilder(c).append__C__scm_StringBuilder(next);
    const this$6 = this$5.underlying$5;
    const input = this$6.content$1;
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$7, input, 0, (input.length | 0)).matches__Z()
  };
  init___() {
    return this
  };
  isIndicator__I__Z(c) {
    return ($m_sjsr_RuntimeString$().indexOf__T__I__I("-?:,[]{}#&*!|>'\"%@ `", c) !== (-1))
  };
  isFirstDiscriminators__C__Z(c) {
    return ($m_sjsr_RuntimeString$().indexOf__T__I__I("?:-", c) !== (-1))
  };
  isFlowIndicator__I__Z(chr) {
    return (((((chr === 91) || (chr === 93)) || (chr === 123)) || (chr === 125)) || (chr === 44))
  };
  isWhite__I__Z(c) {
    return ((c === 32) || (c === 9))
  };
  isCPrintable__I__Z(c) {
    return ((((((((c === 9) || (c === 10)) || (c === 13)) || ((c >= 32) && (c <= 126))) || (c === 133)) || ((c >= 160) && (c <= 55295))) || ((c >= 57344) && (c <= 65533))) || ((c >= 65536) && (c <= 1114111)))
  };
  isBreakOrEof__I__Z(c) {
    return (((c === 10) || (c === 13)) || (c === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1))
  };
  isBBreak__I__Z(c) {
    return ((c === 10) || (c === 13))
  };
  isWordChar__I__Z(c) {
    return ((((c >= 48) && (c <= 57)) || (((c >= 65) && (c <= 90)) || ((c >= 97) && (c <= 122)))) || (c === 45))
  };
  isNsChar__I__Z(c) {
    return (this.isNBChar__I__Z(c) && (!this.isWhite__I__Z(c)))
  };
  escapeSeq__I__I(c) {
    switch (c) {
      case 48: {
        return 0;
        break
      }
      case 97: {
        return 7;
        break
      }
      case 98: {
        return 11;
        break
      }
      case 116:
      case 9: {
        return 9;
        break
      }
      case 110: {
        return 10;
        break
      }
      case 118: {
        return 11;
        break
      }
      case 102: {
        return 12;
        break
      }
      case 114: {
        return 13;
        break
      }
      case 101: {
        return 27;
        break
      }
      case 32: {
        return 32;
        break
      }
      case 34: {
        return 34;
        break
      }
      case 47: {
        return 47;
        break
      }
      case 92: {
        return 92;
        break
      }
      case 78: {
        return 133;
        break
      }
      case 95: {
        return 160;
        break
      }
      case 76: {
        return 8232;
        break
      }
      case 80: {
        return 8233;
        break
      }
      case 120: {
        return 120;
        break
      }
      case 117: {
        return 117;
        break
      }
      case 85: {
        return 85;
        break
      }
      default: {
        return (-1)
      }
    }
  };
  isCharPreceding__C__C__Z(prev, c) {
    const x = (("[^\\s\\\\]" + new $c_jl_Character().init___C(c)) + ".*");
    const this$4 = new $c_sci_StringOps().init___T(x);
    const groupNames = $m_sci_Nil$();
    const $$this = this$4.repr$1;
    const this$9 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames).pattern$1;
    const this$7 = ($m_s_package$(), new $c_scm_StringBuilder().init___()).append__C__scm_StringBuilder(prev).append__C__scm_StringBuilder(c);
    const this$8 = this$7.underlying$5;
    const input = this$8.content$1;
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$9, input, 0, (input.length | 0)).matches__Z()
  };
  escape__p1__C__T(c) {
    switch (c) {
      case 63: {
        return "\\?";
        break
      }
      default: {
        const this$2 = ($m_s_package$(), new $c_scm_StringBuilder().init___()).append__C__scm_StringBuilder(c);
        const this$3 = this$2.underlying$5;
        return this$3.content$1
      }
    }
  };
  isNBChar__I__Z(c) {
    return ((this.isCPrintable__I__Z(c) && (!this.isBBreak__I__Z(c))) && (c !== 65279))
  };
}
const $d_Lorg_yaml_lexer_YamlCharRules$ = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlCharRules$: 0
}, false, "org.yaml.lexer.YamlCharRules$", {
  Lorg_yaml_lexer_YamlCharRules$: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlCharRules$.prototype.$classData = $d_Lorg_yaml_lexer_YamlCharRules$;
let $n_Lorg_yaml_lexer_YamlCharRules$ = (void 0);
const $m_Lorg_yaml_lexer_YamlCharRules$ = (function() {
  if ((!$n_Lorg_yaml_lexer_YamlCharRules$)) {
    $n_Lorg_yaml_lexer_YamlCharRules$ = new $c_Lorg_yaml_lexer_YamlCharRules$().init___()
  };
  return $n_Lorg_yaml_lexer_YamlCharRules$
});
class $c_Lorg_yaml_lexer_YamlContext extends $c_O {
}
class $c_Lorg_yaml_lexer_YamlLexer$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_CharSequence__Lorg_yaml_lexer_YamlLexer(cs) {
    return new $c_Lorg_yaml_lexer_YamlLexer().init___Lorg_mulesoft_lexer_LexerInput($m_Lorg_mulesoft_lexer_CharSequenceLexerInput$().apply__jl_CharSequence__I__I__T__Lorg_mulesoft_lexer_CharSequenceLexerInput(cs, 0, 2147483647, ""))
  };
}
const $d_Lorg_yaml_lexer_YamlLexer$ = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlLexer$: 0
}, false, "org.yaml.lexer.YamlLexer$", {
  Lorg_yaml_lexer_YamlLexer$: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlLexer$.prototype.$classData = $d_Lorg_yaml_lexer_YamlLexer$;
let $n_Lorg_yaml_lexer_YamlLexer$ = (void 0);
const $m_Lorg_yaml_lexer_YamlLexer$ = (function() {
  if ((!$n_Lorg_yaml_lexer_YamlLexer$)) {
    $n_Lorg_yaml_lexer_YamlLexer$ = new $c_Lorg_yaml_lexer_YamlLexer$().init___()
  };
  return $n_Lorg_yaml_lexer_YamlLexer$
});
class $c_Lorg_yaml_lexer_YamlToken$ extends $c_O {
  constructor() {
    super();
    this.org$yaml$lexer$YamlToken$$tokens$1 = null;
    this.BeginAnchor$1 = null;
    this.EndAnchor$1 = null;
    this.LineBreak$1 = null;
    this.BeginComment$1 = null;
    this.EndComment$1 = null;
    this.BeginDirective$1 = null;
    this.EndDirective$1 = null;
    this.BeginEscape$1 = null;
    this.EndEscape$1 = null;
    this.BeginTag$1 = null;
    this.EndTag$1 = null;
    this.BeginHandle$1 = null;
    this.EndHandle$1 = null;
    this.Indicator$1 = null;
    this.Indent$1 = null;
    this.DirectivesEnd$1 = null;
    this.DocumentEnd$1 = null;
    this.LineFeed$1 = null;
    this.LineFold$1 = null;
    this.BeginNode$1 = null;
    this.EndNode$1 = null;
    this.BeginDocument$1 = null;
    this.EndDocument$1 = null;
    this.BeginProperties$1 = null;
    this.EndProperties$1 = null;
    this.BeginAlias$1 = null;
    this.EndAlias$1 = null;
    this.BeginSequence$1 = null;
    this.EndSequence$1 = null;
    this.BeginMapping$1 = null;
    this.EndMapping$1 = null;
    this.BeginScalar$1 = null;
    this.EndScalar$1 = null;
    this.Text$1 = null;
    this.MetaText$1 = null;
    this.Bom$1 = null;
    this.WhiteSpace$1 = null;
    this.BeginPair$1 = null;
    this.EndPair$1 = null;
    this.EndStream$1 = null;
    this.BeginStream$1 = null;
    this.Error$1 = null;
    this.UnParsed$1 = null
  };
  init___() {
    $n_Lorg_yaml_lexer_YamlToken$ = this;
    this.org$yaml$lexer$YamlToken$$tokens$1 = new $c_scm_HashMap().init___();
    this.BeginAnchor$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginAnchor", "A");
    this.EndAnchor$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndAnchor", "a");
    this.LineBreak$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("LineBreak", "b");
    this.BeginComment$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginComment", "C");
    this.EndComment$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndComment", "c");
    this.BeginDirective$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginDirective", "D");
    this.EndDirective$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndDirective", "d");
    this.BeginEscape$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginEscape", "E");
    this.EndEscape$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndScape", "e");
    this.BeginTag$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginTag", "G");
    this.EndTag$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndTag", "g");
    this.BeginHandle$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginHandle", "H");
    this.EndHandle$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndHandle", "h");
    this.Indicator$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Indicator", "I");
    this.Indent$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Indent", "i");
    this.DirectivesEnd$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("DirectivesEnd", "K");
    this.DocumentEnd$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("DocumentEnd", "k");
    this.LineFeed$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("LineFeed", "L");
    this.LineFold$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("LineFold", "l");
    this.BeginNode$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginNode", "N");
    this.EndNode$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndNode", "n");
    this.BeginDocument$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginDocument", "O");
    this.EndDocument$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndDocument", "o");
    this.BeginProperties$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginProperties", "P");
    this.EndProperties$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndProperties", "p");
    this.BeginAlias$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginAlias", "R");
    this.EndAlias$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndAlias", "r");
    this.BeginSequence$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginSequence", "Q");
    this.EndSequence$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndSequence", "q");
    this.BeginMapping$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginMapping", "M");
    this.EndMapping$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndMapping", "m");
    this.BeginScalar$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginScalar", "S");
    this.EndScalar$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndScalar", "s");
    this.Text$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Text", "T");
    this.MetaText$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("MetaText", "t");
    this.Bom$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Bom", "U");
    this.WhiteSpace$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("WhiteSpace", "w");
    this.BeginPair$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginPair", "X");
    this.EndPair$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndPair", "x");
    this.EndStream$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("EndStream", "");
    this.BeginStream$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("BeginStream", "");
    this.Error$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("Error", "!");
    this.UnParsed$1 = new $c_Lorg_yaml_lexer_YamlToken().init___T__T("UnParsed", "-");
    return this
  };
}
const $d_Lorg_yaml_lexer_YamlToken$ = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlToken$: 0
}, false, "org.yaml.lexer.YamlToken$", {
  Lorg_yaml_lexer_YamlToken$: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlToken$.prototype.$classData = $d_Lorg_yaml_lexer_YamlToken$;
let $n_Lorg_yaml_lexer_YamlToken$ = (void 0);
const $m_Lorg_yaml_lexer_YamlToken$ = (function() {
  if ((!$n_Lorg_yaml_lexer_YamlToken$)) {
    $n_Lorg_yaml_lexer_YamlToken$ = new $c_Lorg_yaml_lexer_YamlToken$().init___()
  };
  return $n_Lorg_yaml_lexer_YamlToken$
});
class $c_Lorg_yaml_model_IllegalTypeHandler$ extends $c_O {
  constructor() {
    super();
    this.illegalValueHandler$1 = null;
    this.returnDefault$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_IllegalTypeHandler$ = this;
    $m_Lorg_yaml_model_IllegalTypeHandler$();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        e.throwIt__sr_Nothing$()
      })
    })(this));
    this.illegalValueHandler$1 = new $c_Lorg_yaml_model_IllegalTypeHandler$$anon$1().init___F1(f);
    $m_Lorg_yaml_model_IllegalTypeHandler$();
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        return (void 0)
      })
    })(this));
    this.returnDefault$1 = new $c_Lorg_yaml_model_IllegalTypeHandler$$anon$1().init___F1(f$1);
    return this
  };
}
const $d_Lorg_yaml_model_IllegalTypeHandler$ = new $TypeData().initClass({
  Lorg_yaml_model_IllegalTypeHandler$: 0
}, false, "org.yaml.model.IllegalTypeHandler$", {
  Lorg_yaml_model_IllegalTypeHandler$: 1,
  O: 1
});
$c_Lorg_yaml_model_IllegalTypeHandler$.prototype.$classData = $d_Lorg_yaml_model_IllegalTypeHandler$;
let $n_Lorg_yaml_model_IllegalTypeHandler$ = (void 0);
const $m_Lorg_yaml_model_IllegalTypeHandler$ = (function() {
  if ((!$n_Lorg_yaml_model_IllegalTypeHandler$)) {
    $n_Lorg_yaml_model_IllegalTypeHandler$ = new $c_Lorg_yaml_model_IllegalTypeHandler$().init___()
  };
  return $n_Lorg_yaml_model_IllegalTypeHandler$
});
class $c_Lorg_yaml_model_ParseErrorHandler$ extends $c_O {
  constructor() {
    super();
    this.parseErrorHandler$1 = null;
    this.ignoreErrors$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_ParseErrorHandler$ = this;
    this.parseErrorHandler$1 = $m_Lorg_yaml_model_ParseErrorHandler$().apply__F2__Lorg_yaml_model_ParseErrorHandler(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(node$2, e$2) {
        const node = node$2;
        const e = e$2;
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T__jl_Throwable(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e.s$1, node.range__Lorg_mulesoft_lexer_InputRange()])), e))
      })
    })(this)));
    this.ignoreErrors$1 = new $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2().init___O((function(this$2) {
      return (function(node$3$2, e$3$2) {
        return (void 0)
      })
    })(this));
    return this
  };
  apply__F2__Lorg_yaml_model_ParseErrorHandler(f) {
    return new $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1().init___O((function($this, f$1) {
      return (function(node$2, e$2) {
        const node = node$2;
        const e = e$2;
        f$1.apply__O__O__O(node, e)
      })
    })(this, f))
  };
}
const $d_Lorg_yaml_model_ParseErrorHandler$ = new $TypeData().initClass({
  Lorg_yaml_model_ParseErrorHandler$: 0
}, false, "org.yaml.model.ParseErrorHandler$", {
  Lorg_yaml_model_ParseErrorHandler$: 1,
  O: 1
});
$c_Lorg_yaml_model_ParseErrorHandler$.prototype.$classData = $d_Lorg_yaml_model_ParseErrorHandler$;
let $n_Lorg_yaml_model_ParseErrorHandler$ = (void 0);
const $m_Lorg_yaml_model_ParseErrorHandler$ = (function() {
  if ((!$n_Lorg_yaml_model_ParseErrorHandler$)) {
    $n_Lorg_yaml_model_ParseErrorHandler$ = new $c_Lorg_yaml_model_ParseErrorHandler$().init___()
  };
  return $n_Lorg_yaml_model_ParseErrorHandler$
});
const $f_Lorg_yaml_model_QuotedMark__markText__T__T = (function($thiz, text) {
  const c = $thiz.encodeChar__C();
  const jsx$2 = new $c_jl_Character().init___C(c);
  const jsx$1 = $m_Lorg_mulesoft_common_core_package$Strings$().escapeJavaStyleString$extension__T__T__T(text, text);
  const c$1 = $thiz.encodeChar__C();
  return ((("" + jsx$2) + jsx$1) + new $c_jl_Character().init___C(c$1))
});
class $c_Lorg_yaml_model_ScalarMark$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_yaml_model_ScalarMark(mark) {
    return ((mark === "\"") ? $m_Lorg_yaml_model_DoubleQuoteMark$() : ((mark === "'") ? $m_Lorg_yaml_model_SingleQuoteMark$() : ((mark === "|") ? $m_Lorg_yaml_model_MultilineMark$() : ((mark === "") ? $m_Lorg_yaml_model_NonMark$() : $m_Lorg_yaml_model_UnkownMark$()))))
  };
}
const $d_Lorg_yaml_model_ScalarMark$ = new $TypeData().initClass({
  Lorg_yaml_model_ScalarMark$: 0
}, false, "org.yaml.model.ScalarMark$", {
  Lorg_yaml_model_ScalarMark$: 1,
  O: 1
});
$c_Lorg_yaml_model_ScalarMark$.prototype.$classData = $d_Lorg_yaml_model_ScalarMark$;
let $n_Lorg_yaml_model_ScalarMark$ = (void 0);
const $m_Lorg_yaml_model_ScalarMark$ = (function() {
  if ((!$n_Lorg_yaml_model_ScalarMark$)) {
    $n_Lorg_yaml_model_ScalarMark$ = new $c_Lorg_yaml_model_ScalarMark$().init___()
  };
  return $n_Lorg_yaml_model_ScalarMark$
});
class $c_Lorg_yaml_model_YDocument$BaseBuilder extends $c_O {
  constructor() {
    super();
    this.builder$1 = null
  };
  init___() {
    this.builder$1 = new $c_scm_ArrayBuffer().init___();
    return this
  };
  comment__T__V(text) {
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(text, "\n", 0);
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const line = arg1;
      const jsx$2 = this.builder$1;
      const jsx$1 = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
      $m_s_package$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const this$10 = new $c_sci_VectorBuilder().init___();
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YComment().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(line, jsx$1, this$10.result__sci_Vector()));
      i = ((1 + i) | 0)
    }
  };
}
class $c_Lorg_yaml_model_YDocument$WithComment extends $c_O {
  constructor() {
    super();
    this.obj$module$1 = null;
    this.comment$1 = null
  };
  init___T(comment) {
    this.comment$1 = comment;
    return this
  };
  org$yaml$model$YDocument$WithComment$$createDoc__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(mainNode) {
    const thiz = this.comment$1;
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    let jsx$1;
    if ((thiz === "")) {
      const jsx$2 = $m_s_Predef$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([mainNode]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_Lorg_yaml_model_YNode.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = arg1;
        elem$1 = ((1 + elem$1) | 0)
      };
      jsx$1 = jsx$2.wrapRefArray__AO__scm_WrappedArray(array)
    } else {
      const jsx$5 = $m_s_Predef$();
      const jsx$4 = this.comment$1;
      const jsx$3 = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
      $m_s_package$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const this$11 = new $c_sci_VectorBuilder().init___();
      const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lorg_yaml_model_YComment().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(jsx$4, jsx$3, this$11.result__sci_Vector()), mainNode]);
      const len$1 = (xs$1.array$6.length | 0);
      const array$1 = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len$1]);
      let elem$1$1 = 0;
      elem$1$1 = 0;
      const this$15 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs$1, 0, (xs$1.array$6.length | 0));
      while (this$15.hasNext__Z()) {
        const arg1$1 = this$15.next__O();
        array$1.u[elem$1$1] = arg1$1;
        elem$1$1 = ((1 + elem$1$1) | 0)
      };
      jsx$1 = jsx$5.wrapRefArray__AO__scm_WrappedArray(array$1)
    };
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(jsx$1)
  };
}
const $d_Lorg_yaml_model_YDocument$WithComment = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$WithComment: 0
}, false, "org.yaml.model.YDocument$WithComment", {
  Lorg_yaml_model_YDocument$WithComment: 1,
  O: 1
});
$c_Lorg_yaml_model_YDocument$WithComment.prototype.$classData = $d_Lorg_yaml_model_YDocument$WithComment;
class $c_Lorg_yaml_model_YError extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.err$1 = null
  };
  error__T() {
    return this.err$1.apply__O()
  };
  toString__T() {
    return ((this.error__T() + "@") + this.node$1)
  };
  init___Lorg_yaml_model_YNodeLike__F0(node, err) {
    this.node$1 = node;
    this.err$1 = err;
    return this
  };
  throwIt__sr_Nothing$() {
    throw new $c_Lorg_yaml_model_YException().init___Lorg_yaml_model_YError(this)
  };
}
const $is_Lorg_yaml_model_YError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YError)))
});
const $isArrayOf_Lorg_yaml_model_YError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YError)))
});
const $d_Lorg_yaml_model_YError = new $TypeData().initClass({
  Lorg_yaml_model_YError: 0
}, false, "org.yaml.model.YError", {
  Lorg_yaml_model_YError: 1,
  O: 1
});
$c_Lorg_yaml_model_YError.prototype.$classData = $d_Lorg_yaml_model_YError;
class $c_Lorg_yaml_model_YMap$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YMap$ = this;
    $m_Lorg_yaml_model_YMap$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    const c = this$4.result__sci_Vector();
    this.empty$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    return this
  };
}
const $d_Lorg_yaml_model_YMap$ = new $TypeData().initClass({
  Lorg_yaml_model_YMap$: 0
}, false, "org.yaml.model.YMap$", {
  Lorg_yaml_model_YMap$: 1,
  O: 1
});
$c_Lorg_yaml_model_YMap$.prototype.$classData = $d_Lorg_yaml_model_YMap$;
let $n_Lorg_yaml_model_YMap$ = (void 0);
const $m_Lorg_yaml_model_YMap$ = (function() {
  if ((!$n_Lorg_yaml_model_YMap$)) {
    $n_Lorg_yaml_model_YMap$ = new $c_Lorg_yaml_model_YMap$().init___()
  };
  return $n_Lorg_yaml_model_YMap$
});
class $c_Lorg_yaml_model_YMapEntry$ extends $c_O {
  init___() {
    return this
  };
  apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(parts) {
    const jsx$1 = new $c_Lorg_yaml_model_YMapEntry$$anonfun$2().init___();
    const this$1 = $m_sc_IndexedSeq$();
    const kv = parts.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6);
    return new $c_Lorg_yaml_model_YMapEntry().init___Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__sc_IndexedSeq(kv.apply__I__O(0), kv.apply__I__O(1), parts)
  };
  apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(k, v) {
    const jsx$1 = $m_s_Predef$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([k, v]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Lorg_yaml_model_YNode.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    return new $c_Lorg_yaml_model_YMapEntry().init___Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__sc_IndexedSeq(k, v, jsx$1.wrapRefArray__AO__scm_WrappedArray(array))
  };
}
const $d_Lorg_yaml_model_YMapEntry$ = new $TypeData().initClass({
  Lorg_yaml_model_YMapEntry$: 0
}, false, "org.yaml.model.YMapEntry$", {
  Lorg_yaml_model_YMapEntry$: 1,
  O: 1
});
$c_Lorg_yaml_model_YMapEntry$.prototype.$classData = $d_Lorg_yaml_model_YMapEntry$;
let $n_Lorg_yaml_model_YMapEntry$ = (void 0);
const $m_Lorg_yaml_model_YMapEntry$ = (function() {
  if ((!$n_Lorg_yaml_model_YMapEntry$)) {
    $n_Lorg_yaml_model_YMapEntry$ = new $c_Lorg_yaml_model_YMapEntry$().init___()
  };
  return $n_Lorg_yaml_model_YMapEntry$
});
class $c_Lorg_yaml_model_YNode$ extends $c_O {
  constructor() {
    super();
    this.Null$1 = null;
    this.Empty$1 = null;
    this.org$yaml$model$YNode$$noParts$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YNode$ = this;
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().Null$1;
    const tt = $m_Lorg_yaml_model_YType$().Null$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    this.Null$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YScalar$();
    const jsx$1 = $m_Lorg_yaml_model_NonMark$();
    $m_Lorg_yaml_model_YScalar$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$9 = new $c_sci_VectorBuilder().init___();
    const value$1 = new $c_Lorg_yaml_model_YScalar().init___O__T__Lorg_yaml_model_ScalarMark__sc_IndexedSeq(null, "", jsx$1, this$9.result__sci_Vector());
    const tt$1 = $m_Lorg_yaml_model_YType$().Null$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    this.Empty$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$16 = new $c_sci_VectorBuilder().init___();
    this.org$yaml$model$YNode$$noParts$1 = this$16.result__sci_Vector();
    return this
  };
  apply__T__Lorg_yaml_model_YNode(text) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(text);
    const tt = $m_Lorg_yaml_model_YType$().Str$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    return new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs)
  };
  include__T__Lorg_yaml_model_YNode$MutRef(uri) {
    const v = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(uri);
    const this$1 = $m_Lorg_yaml_model_YType$().Include$1;
    const t = this$1.org$yaml$model$YType$$tag$und$1;
    const jsx$1 = $m_s_Predef$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([t, v]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$5.hasNext__Z()) {
      const arg1 = this$5.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    return new $c_Lorg_yaml_model_YNode$MutRef().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__sc_IndexedSeq(v, t, jsx$1.wrapRefArray__AO__scm_WrappedArray(array))
  };
}
const $d_Lorg_yaml_model_YNode$ = new $TypeData().initClass({
  Lorg_yaml_model_YNode$: 0
}, false, "org.yaml.model.YNode$", {
  Lorg_yaml_model_YNode$: 1,
  O: 1
});
$c_Lorg_yaml_model_YNode$.prototype.$classData = $d_Lorg_yaml_model_YNode$;
let $n_Lorg_yaml_model_YNode$ = (void 0);
const $m_Lorg_yaml_model_YNode$ = (function() {
  if ((!$n_Lorg_yaml_model_YNode$)) {
    $n_Lorg_yaml_model_YNode$ = new $c_Lorg_yaml_model_YNode$().init___()
  };
  return $n_Lorg_yaml_model_YNode$
});
class $c_Lorg_yaml_model_YScalar$ extends $c_O {
  constructor() {
    super();
    this.Null$1 = null;
    this.org$yaml$model$YScalar$$intRegex$1 = null;
    this.org$yaml$model$YScalar$$octRegex$1 = null;
    this.org$yaml$model$YScalar$$hexRegex$1 = null;
    this.org$yaml$model$YScalar$$floatRegex$1 = null;
    this.org$yaml$model$YScalar$$infinity$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YScalar$ = this;
    $m_Lorg_yaml_model_YScalar$();
    const jsx$1 = $m_Lorg_yaml_model_NonMark$();
    $m_Lorg_yaml_model_YScalar$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$6 = new $c_sci_VectorBuilder().init___();
    this.Null$1 = new $c_Lorg_yaml_model_YScalar().init___O__T__Lorg_yaml_model_ScalarMark__sc_IndexedSeq(null, "null", jsx$1, this$6.result__sci_Vector());
    const this$8 = new $c_sci_StringOps().init___T("[-+]?\\d+");
    const groupNames = $m_sci_Nil$();
    const $$this = this$8.repr$1;
    this.org$yaml$model$YScalar$$intRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const this$11 = new $c_sci_StringOps().init___T("0o([0-7]+)");
    const groupNames$1 = $m_sci_Nil$();
    const $$this$1 = this$11.repr$1;
    this.org$yaml$model$YScalar$$octRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$1, groupNames$1);
    const this$14 = new $c_sci_StringOps().init___T("0x([0-9a-fA-F]+)");
    const groupNames$2 = $m_sci_Nil$();
    const $$this$2 = this$14.repr$1;
    this.org$yaml$model$YScalar$$hexRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$2, groupNames$2);
    const this$17 = new $c_sci_StringOps().init___T("-?(?:0|[1-9]\\d*)(?:\\.\\d*)?(?:[eE][-+]?\\d+)?");
    const groupNames$3 = $m_sci_Nil$();
    const $$this$3 = this$17.repr$1;
    this.org$yaml$model$YScalar$$floatRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$3, groupNames$3);
    const this$20 = new $c_sci_StringOps().init___T("([-+])?(?:\\.inf|\\.Inf|\\.INF)");
    const groupNames$4 = $m_sci_Nil$();
    const $$this$4 = this$20.repr$1;
    this.org$yaml$model$YScalar$$infinity$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this$4, groupNames$4);
    return this
  };
  org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, t) {
    const x$2 = $m_Lorg_yaml_model_YType$().Unknown$1;
    if ((tt === x$2)) {
      return true
    } else {
      return (tt === t)
    }
  };
  apply__O__Lorg_yaml_model_YScalar(value) {
    const jsx$2 = $m_sjsr_RuntimeString$().valueOf__O__T(value);
    $m_Lorg_yaml_model_YScalar$();
    const jsx$1 = $m_Lorg_yaml_model_NonMark$();
    $m_Lorg_yaml_model_YScalar$();
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$6 = new $c_sci_VectorBuilder().init___();
    return new $c_Lorg_yaml_model_YScalar().init___O__T__Lorg_yaml_model_ScalarMark__sc_IndexedSeq(value, jsx$2, jsx$1, this$6.result__sci_Vector())
  };
}
const $d_Lorg_yaml_model_YScalar$ = new $TypeData().initClass({
  Lorg_yaml_model_YScalar$: 0
}, false, "org.yaml.model.YScalar$", {
  Lorg_yaml_model_YScalar$: 1,
  O: 1
});
$c_Lorg_yaml_model_YScalar$.prototype.$classData = $d_Lorg_yaml_model_YScalar$;
let $n_Lorg_yaml_model_YScalar$ = (void 0);
const $m_Lorg_yaml_model_YScalar$ = (function() {
  if ((!$n_Lorg_yaml_model_YScalar$)) {
    $n_Lorg_yaml_model_YScalar$ = new $c_Lorg_yaml_model_YScalar$().init___()
  };
  return $n_Lorg_yaml_model_YScalar$
});
class $c_Lorg_yaml_model_YScalar$Builder extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.eh$1 = null;
    this.tag$1 = null;
    this.error$1 = null;
    this.scalar$1 = null
  };
  parseText__p1__Lorg_yaml_model_YType__T2(tt) {
    try {
      const x1 = this.text$1;
      if ((((x1 === "") || ((x1 === "null") || ((x1 === "Null") || ((x1 === "NULL") || (x1 === "~"))))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Null$1))) {
        return new $c_T2().init___O__O(null, $m_Lorg_yaml_model_YType$().Null$1)
      };
      if ((((x1 === "true") || ((x1 === "True") || (x1 === "TRUE"))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Bool$1))) {
        return new $c_T2().init___O__O(true, $m_Lorg_yaml_model_YType$().Bool$1)
      };
      if ((((x1 === "false") || ((x1 === "False") || (x1 === "FALSE"))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Bool$1))) {
        return new $c_T2().init___O__O(false, $m_Lorg_yaml_model_YType$().Bool$1)
      };
      const o46 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$intRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$1;
      if ((!o46.isEmpty__Z())) {
        let jsx$2;
        if ((o46.get__O() !== null)) {
          const this$1 = o46.get__O();
          jsx$2 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 0) === 0)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          jsx$1 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Int$1)
        } else {
          jsx$1 = false
        }
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x = this.text$1;
        const this$3 = new $c_sci_StringOps().init___T(x);
        const this$5 = $m_jl_Long$();
        const $$this = this$3.repr$1;
        return new $c_T2().init___O__O(this$5.parseLong__T__I__J($$this, 10), $m_Lorg_yaml_model_YType$().Int$1)
      };
      const o48 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$hexRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$3;
      if ((!o48.isEmpty__Z())) {
        if ((o48.get__O() !== null)) {
          const this$6 = o48.get__O();
          jsx$3 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$6, 1) === 0)
        } else {
          jsx$3 = false
        }
      } else {
        jsx$3 = false
      };
      if (jsx$3) {
        const this$7 = o48.get__O();
        const s = $f_sc_LinearSeqOptimized__apply__I__O(this$7, 0);
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Int$1)) {
          return new $c_T2().init___O__O($m_jl_Long$().parseLong__T__I__J(s, 16), $m_Lorg_yaml_model_YType$().Int$1)
        }
      };
      const o50 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$octRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$4;
      if ((!o50.isEmpty__Z())) {
        if ((o50.get__O() !== null)) {
          const this$8 = o50.get__O();
          jsx$4 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$8, 1) === 0)
        } else {
          jsx$4 = false
        }
      } else {
        jsx$4 = false
      };
      if (jsx$4) {
        const this$9 = o50.get__O();
        const s$2 = $f_sc_LinearSeqOptimized__apply__I__O(this$9, 0);
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Int$1)) {
          return new $c_T2().init___O__O($m_jl_Long$().parseLong__T__I__J(s$2, 8), $m_Lorg_yaml_model_YType$().Int$1)
        }
      };
      const o52 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$floatRegex$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$5;
      if ((!o52.isEmpty__Z())) {
        let jsx$6;
        if ((o52.get__O() !== null)) {
          const this$10 = o52.get__O();
          jsx$6 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$10, 0) === 0)
        } else {
          jsx$6 = false
        };
        if (jsx$6) {
          jsx$5 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Float$1)
        } else {
          jsx$5 = false
        }
      } else {
        jsx$5 = false
      };
      if (jsx$5) {
        const x$1 = this.text$1;
        const this$12 = new $c_sci_StringOps().init___T(x$1);
        const jsx$7 = $m_jl_Double$();
        const $$this$1 = this$12.repr$1;
        return new $c_T2().init___O__O(jsx$7.parseDouble__T__D($$this$1), $m_Lorg_yaml_model_YType$().Float$1)
      };
      const o54 = $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$infinity$1.unapplySeq__jl_CharSequence__s_Option(x1);
      let jsx$8;
      if ((!o54.isEmpty__Z())) {
        if ((o54.get__O() !== null)) {
          const this$14 = o54.get__O();
          jsx$8 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$14, 1) === 0)
        } else {
          jsx$8 = false
        }
      } else {
        jsx$8 = false
      };
      if (jsx$8) {
        const this$15 = o54.get__O();
        const s$3 = $f_sc_LinearSeqOptimized__apply__I__O(this$15, 0);
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Float$1)) {
          return new $c_T2().init___O__O(((s$3 === "-") ? (-Infinity) : Infinity), $m_Lorg_yaml_model_YType$().Float$1)
        }
      };
      if ((((x1 === ".nan") || ((x1 === ".NaN") || (x1 === ".NAN"))) && $m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Float$1))) {
        return new $c_T2().init___O__O((NaN), $m_Lorg_yaml_model_YType$().Float$1)
      };
      const this$16 = $m_Lorg_mulesoft_common_time_SimpleDateTime$();
      const o62 = this$16.parse__T__s_Option(x1);
      if ((!o62.isEmpty__Z())) {
        const dateTime = o62.get__O();
        if ($m_Lorg_yaml_model_YScalar$().org$yaml$model$YScalar$$typeIs__Lorg_yaml_model_YType__Lorg_yaml_model_YType__Z(tt, $m_Lorg_yaml_model_YType$().Timestamp$1)) {
          return new $c_T2().init___O__O(dateTime, $m_Lorg_yaml_model_YType$().Timestamp$1)
        }
      };
      const x$2 = $m_Lorg_yaml_model_YType$().Unknown$1;
      if ((tt === x$2)) {
        return new $c_T2().init___O__O(this.text$1, $m_Lorg_yaml_model_YType$().Str$1)
      };
      const x$4 = $m_Lorg_yaml_model_YType$().Null$1;
      let jsx$12;
      if ((tt === x$4)) {
        jsx$12 = true
      } else {
        const x$6 = $m_Lorg_yaml_model_YType$().Bool$1;
        jsx$12 = (tt === x$6)
      };
      let jsx$11;
      if (jsx$12) {
        jsx$11 = true
      } else {
        const x$8 = $m_Lorg_yaml_model_YType$().Int$1;
        jsx$11 = (tt === x$8)
      };
      let jsx$10;
      if (jsx$11) {
        jsx$10 = true
      } else {
        const x$10 = $m_Lorg_yaml_model_YType$().Float$1;
        jsx$10 = (tt === x$10)
      };
      let jsx$9;
      if (jsx$10) {
        jsx$9 = true
      } else {
        const x$12 = $m_Lorg_yaml_model_YType$().Timestamp$1;
        jsx$9 = (tt === x$12)
      };
      if (jsx$9) {
        this.error$1 = new $c_s_Some().init___O(new $c_Lorg_yaml_model_ParseException().init___Lorg_yaml_model_YType__T__jl_Exception(tt, this.text$1, null))
      };
      return new $c_T2().init___O__O(this.text$1, tt)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_jl_Exception(e$2)) {
        const e$3 = e$2;
        this.error$1 = new $c_s_Some().init___O(new $c_Lorg_yaml_model_ParseException().init___Lorg_yaml_model_YType__T__jl_Exception(tt, this.text$1, e$3));
        return new $c_T2().init___O__O(this.text$1, $m_Lorg_yaml_model_YType$().Str$1)
      } else {
        throw e
      }
    }
  };
  init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(text, t, mark, parts, eh) {
    this.text$1 = text;
    this.eh$1 = eh;
    this.error$1 = $m_s_None$();
    const scalarMark = $m_Lorg_yaml_model_ScalarMark$().apply__T__Lorg_yaml_model_ScalarMark(mark);
    let tt;
    if ((t !== null)) {
      const x = t.tagType$2;
      const x$2 = $m_Lorg_yaml_model_YType$().Empty$1;
      if ((!(x === x$2))) {
        tt = t.tagType$2
      } else {
        tt = $m_Lorg_yaml_model_YType$().Str$1
      }
    } else {
      const x$4 = $m_Lorg_yaml_model_NonMark$();
      if (((scalarMark !== null) && (scalarMark === x$4))) {
        tt = $m_Lorg_yaml_model_YType$().Unknown$1
      } else {
        tt = $m_Lorg_yaml_model_YType$().Str$1
      }
    };
    const x$6 = $m_Lorg_yaml_model_YType$().Str$1;
    let valType;
    if ((tt === x$6)) {
      valType = new $c_T2().init___O__O(text, $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      valType = this.parseText__p1__Lorg_yaml_model_YType__T2(tt)
    };
    let jsx$1;
    if (this.error$1.isDefined__Z()) {
      const this$1 = $m_Lorg_yaml_model_YType$().Str$1;
      jsx$1 = this$1.org$yaml$model$YType$$tag$und$1
    } else if ((t === null)) {
      const this$2 = valType.$$und2__O();
      jsx$1 = this$2.org$yaml$model$YType$$tag$und$1
    } else {
      const x$7 = t.tagType$2;
      const x$8 = $m_Lorg_yaml_model_YType$().Empty$1;
      if ((x$7 === x$8)) {
        const x$1 = valType.$$und2__O();
        const x$2$2 = t.text$2;
        const x$3$2 = t.range$1;
        const x$4$2 = t.tokens$1;
        jsx$1 = new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(x$2$2, x$1, x$3$2, x$4$2)
      } else {
        jsx$1 = t
      }
    };
    this.tag$1 = jsx$1;
    const result = new $c_Lorg_yaml_model_YScalar().init___O__T__Lorg_yaml_model_ScalarMark__sc_IndexedSeq(valType.$$und1__O(), ((mark === "'") ? text.split("''").join("'") : text), scalarMark, parts);
    const this$5 = this.error$1;
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const e = arg1;
      this.eh$1.handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(result, e)
    };
    this.scalar$1 = result;
    return this
  };
}
const $d_Lorg_yaml_model_YScalar$Builder = new $TypeData().initClass({
  Lorg_yaml_model_YScalar$Builder: 0
}, false, "org.yaml.model.YScalar$Builder", {
  Lorg_yaml_model_YScalar$Builder: 1,
  O: 1
});
$c_Lorg_yaml_model_YScalar$Builder.prototype.$classData = $d_Lorg_yaml_model_YScalar$Builder;
class $c_Lorg_yaml_model_YSequence$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YSequence$ = this;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    this.empty$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(this$4.result__sci_Vector());
    return this
  };
}
const $d_Lorg_yaml_model_YSequence$ = new $TypeData().initClass({
  Lorg_yaml_model_YSequence$: 0
}, false, "org.yaml.model.YSequence$", {
  Lorg_yaml_model_YSequence$: 1,
  O: 1
});
$c_Lorg_yaml_model_YSequence$.prototype.$classData = $d_Lorg_yaml_model_YSequence$;
let $n_Lorg_yaml_model_YSequence$ = (void 0);
const $m_Lorg_yaml_model_YSequence$ = (function() {
  if ((!$n_Lorg_yaml_model_YSequence$)) {
    $n_Lorg_yaml_model_YSequence$ = new $c_Lorg_yaml_model_YSequence$().init___()
  };
  return $n_Lorg_yaml_model_YSequence$
});
class $c_Lorg_yaml_model_YType extends $c_O {
  constructor() {
    super();
    this.synthesized$1 = false;
    this.org$yaml$model$YType$$tag$und$1 = null
  };
  toString__T() {
    return this.org$yaml$model$YType$$tag$und$1.text$2
  };
  init___Z(synthesized) {
    this.synthesized$1 = synthesized;
    return this
  };
}
const $is_Lorg_yaml_model_YType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YType)))
});
const $isArrayOf_Lorg_yaml_model_YType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YType)))
});
const $d_Lorg_yaml_model_YType = new $TypeData().initClass({
  Lorg_yaml_model_YType: 0
}, false, "org.yaml.model.YType", {
  Lorg_yaml_model_YType: 1,
  O: 1
});
$c_Lorg_yaml_model_YType.prototype.$classData = $d_Lorg_yaml_model_YType;
class $c_Lorg_yaml_model_YType$ extends $c_O {
  constructor() {
    super();
    this.knownTypes$1 = null;
    this.Seq$1 = null;
    this.Map$1 = null;
    this.Str$1 = null;
    this.Float$1 = null;
    this.Int$1 = null;
    this.Bool$1 = null;
    this.Timestamp$1 = null;
    this.Null$1 = null;
    this.Unknown$1 = null;
    this.Empty$1 = null;
    this.Include$1 = null
  };
  init___() {
    $n_Lorg_yaml_model_YType$ = this;
    this.knownTypes$1 = new $c_scm_HashMap().init___();
    this.Seq$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!seq", true);
    this.Map$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!map", true);
    this.Str$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!str", true);
    this.Float$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!float", true);
    this.Int$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!int", true);
    this.Bool$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!bool", true);
    this.Timestamp$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!timestamp", true);
    this.Null$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!!null", true);
    this.Unknown$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("?", true);
    this.Empty$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!", true);
    this.Include$1 = this.forName__p1__T__Z__Lorg_yaml_model_YType("!include", false);
    return this
  };
  apply__T__Lorg_yaml_model_YType(tag) {
    const this$1 = this.knownTypes$1;
    const x1 = this$1.get__O__s_Option(tag);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      return this.Unknown$1
    }
  };
  forName__p1__T__Z__Lorg_yaml_model_YType(tagName, synthesized) {
    const t = new $c_Lorg_yaml_model_YType().init___Z(synthesized);
    const jsx$1 = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$6 = new $c_sci_VectorBuilder().init___();
    t.org$yaml$model$YType$$tag$und$1 = new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(tagName, t, jsx$1, this$6.result__sci_Vector());
    this.knownTypes$1.put__O__O__s_Option(tagName, t);
    return t
  };
}
const $d_Lorg_yaml_model_YType$ = new $TypeData().initClass({
  Lorg_yaml_model_YType$: 0
}, false, "org.yaml.model.YType$", {
  Lorg_yaml_model_YType$: 1,
  O: 1
});
$c_Lorg_yaml_model_YType$.prototype.$classData = $d_Lorg_yaml_model_YType$;
let $n_Lorg_yaml_model_YType$ = (void 0);
const $m_Lorg_yaml_model_YType$ = (function() {
  if ((!$n_Lorg_yaml_model_YType$)) {
    $n_Lorg_yaml_model_YType$ = new $c_Lorg_yaml_model_YType$().init___()
  };
  return $n_Lorg_yaml_model_YType$
});
class $c_Lorg_yaml_model_YValueLike extends $c_O {
  $$eq$eq__Lorg_yaml_model_YValueLike__Z(b) {
    return ((this === b) || this.equals__O__Z(b))
  };
}
class $c_Lorg_yaml_parser_YamlParser extends $c_O {
  constructor() {
    super();
    this.lexer$1 = null;
    this.org$yaml$parser$YamlParser$$eh$f = null;
    this.aliases$1 = null;
    this.escaping$1 = false;
    this.org$yaml$parser$YamlParser$$keepTokens$1 = false;
    this.textBuilder$1 = null;
    this.metaTextBuilder$1 = null;
    this.inHandle$1 = false;
    this.inTag$1 = false;
    this.scalarMark$1 = null;
    this.current$1 = null;
    this.stack$1 = null;
    this.prev$1 = null;
    this.lastBegin$1 = null;
    this.org$yaml$parser$YamlParser$$directiveArgs$1 = null;
    this.includeTag$1 = null
  };
  init___Lorg_mulesoft_lexer_BaseLexer__Lorg_yaml_model_ParseErrorHandler(lexer, eh) {
    this.lexer$1 = lexer;
    this.org$yaml$parser$YamlParser$$eh$f = eh;
    this.aliases$1 = new $c_scm_HashMap().init___();
    this.escaping$1 = false;
    this.org$yaml$parser$YamlParser$$keepTokens$1 = false;
    this.textBuilder$1 = new $c_scm_StringBuilder().init___();
    this.metaTextBuilder$1 = new $c_scm_StringBuilder().init___();
    this.inHandle$1 = false;
    this.inTag$1 = false;
    this.scalarMark$1 = "";
    this.current$1 = new $c_Lorg_yaml_parser_YamlParser$Builder().init___Lorg_yaml_parser_YamlParser(this);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.current$1]);
    const this$3 = $m_sci_List$();
    const cbf = this$3.ReusableCBFInstance$2;
    this.stack$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    this.prev$1 = new $c_Lorg_mulesoft_lexer_TokenData().init___Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_InputRange__I__I($m_Lorg_yaml_lexer_YamlToken$().BeginStream$1, $m_Lorg_mulesoft_lexer_InputRange$().Zero$1, 0, 0);
    this.lastBegin$1 = $m_Lorg_yaml_lexer_YamlToken$().BeginStream$1;
    this.includeTag$1 = "";
    return this
  };
  buildMetaText__p1__T() {
    const this$1 = this.metaTextBuilder$1;
    const this$2 = this$1.underlying$5;
    const r = this$2.content$1;
    const this$3 = this.metaTextBuilder$1;
    this$3.underlying$5.setLength__I__V(0);
    return r
  };
  process__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const x1 = td.token$1;
    const x = $m_Lorg_yaml_lexer_YamlToken$().BeginDocument$1;
    if ((x === x1)) {
      this.aliases$1.clear__V();
      this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
    } else {
      const x$3 = $m_Lorg_yaml_lexer_YamlToken$().BeginNode$1;
      let jsx$1;
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lorg_yaml_lexer_YamlToken$().BeginComment$1;
        if ((x$5 === x1)) {
          jsx$1 = true
        } else {
          const x$7 = $m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1;
          if ((x$7 === x1)) {
            jsx$1 = true
          } else {
            const x$9 = $m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1;
            if ((x$9 === x1)) {
              jsx$1 = true
            } else {
              const x$11 = $m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1;
              if ((x$11 === x1)) {
                jsx$1 = true
              } else {
                const x$13 = $m_Lorg_yaml_lexer_YamlToken$().BeginPair$1;
                if ((x$13 === x1)) {
                  jsx$1 = true
                } else {
                  const x$15 = $m_Lorg_yaml_lexer_YamlToken$().BeginAlias$1;
                  if ((x$15 === x1)) {
                    jsx$1 = true
                  } else {
                    const x$17 = $m_Lorg_yaml_lexer_YamlToken$().BeginAnchor$1;
                    jsx$1 = (x$17 === x1)
                  }
                }
              }
            }
          }
        }
      };
      if (jsx$1) {
        this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
      } else {
        const x$19 = $m_Lorg_yaml_lexer_YamlToken$().BeginTag$1;
        if ((x$19 === x1)) {
          this.inTag$1 = true;
          this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
        } else {
          const x$21 = $m_Lorg_yaml_lexer_YamlToken$().BeginDirective$1;
          if ((x$21 === x1)) {
            $m_scm_ListBuffer$();
            const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
            this.org$yaml$parser$YamlParser$$directiveArgs$1 = this$2.elems$1;
            this.push__p1__Lorg_mulesoft_lexer_TokenData__V(td)
          } else {
            const x$23 = $m_Lorg_yaml_lexer_YamlToken$().EndDocument$1;
            if ((x$23 === x1)) {
              this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td))));
              return td
            } else {
              const x$25 = $m_Lorg_yaml_lexer_YamlToken$().EndComment$1;
              if ((x$25 === x1)) {
                return this.createComment__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
              } else {
                const x$27 = $m_Lorg_yaml_lexer_YamlToken$().EndSequence$1;
                if ((x$27 === x1)) {
                  return this.createSequence__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                } else {
                  const x$29 = $m_Lorg_yaml_lexer_YamlToken$().EndNode$1;
                  if ((x$29 === x1)) {
                    return this.createNode__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                  } else {
                    const x$31 = $m_Lorg_yaml_lexer_YamlToken$().EndScalar$1;
                    if ((x$31 === x1)) {
                      return this.createScalar__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                    } else {
                      const x$33 = $m_Lorg_yaml_lexer_YamlToken$().EndMapping$1;
                      if ((x$33 === x1)) {
                        return this.createMap__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                      } else {
                        const x$35 = $m_Lorg_yaml_lexer_YamlToken$().EndPair$1;
                        if ((x$35 === x1)) {
                          return this.createPair__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                        } else {
                          const x$37 = $m_Lorg_yaml_lexer_YamlToken$().EndAlias$1;
                          if ((x$37 === x1)) {
                            return this.createAlias__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                          } else {
                            const x$39 = $m_Lorg_yaml_lexer_YamlToken$().EndAnchor$1;
                            if ((x$39 === x1)) {
                              return this.createAnchor__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                            } else {
                              const x$41 = $m_Lorg_yaml_lexer_YamlToken$().EndTag$1;
                              if ((x$41 === x1)) {
                                return this.createTag__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                              } else {
                                const x$43 = $m_Lorg_yaml_lexer_YamlToken$().EndDirective$1;
                                if ((x$43 === x1)) {
                                  return this.createDirective__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td)
                                } else {
                                  const x$45 = $m_Lorg_yaml_lexer_YamlToken$().Text$1;
                                  if ((x$45 === x1)) {
                                    const jsx$2 = this.textBuilder$1;
                                    const this$3 = this.lexer$1;
                                    const td$1 = this$3.$$undtokenData$1;
                                    jsx$2.append__O__scm_StringBuilder(this$3.input$1.subSequence__I__I__jl_CharSequence(td$1.start$1, td$1.end$1))
                                  } else {
                                    const x$47 = $m_Lorg_yaml_lexer_YamlToken$().LineFold$1;
                                    if ((x$47 === x1)) {
                                      this.textBuilder$1.append__C__scm_StringBuilder(32)
                                    } else {
                                      const x$49 = $m_Lorg_yaml_lexer_YamlToken$().LineFeed$1;
                                      if ((x$49 === x1)) {
                                        this.textBuilder$1.append__C__scm_StringBuilder(10)
                                      } else {
                                        const x$51 = $m_Lorg_yaml_lexer_YamlToken$().BeginEscape$1;
                                        if ((x$51 === x1)) {
                                          this.escaping$1 = true
                                        } else {
                                          const x$53 = $m_Lorg_yaml_lexer_YamlToken$().BeginHandle$1;
                                          if ((x$53 === x1)) {
                                            this.inHandle$1 = true
                                          } else {
                                            const x$55 = $m_Lorg_yaml_lexer_YamlToken$().EndHandle$1;
                                            if ((x$55 === x1)) {
                                              this.inHandle$1 = false
                                            } else {
                                              const x$57 = $m_Lorg_yaml_lexer_YamlToken$().MetaText$1;
                                              if ((x$57 === x1)) {
                                                const jsx$3 = this.metaTextBuilder$1;
                                                const this$4 = this.lexer$1;
                                                const td$2 = this$4.$$undtokenData$1;
                                                jsx$3.append__O__scm_StringBuilder(this$4.input$1.subSequence__I__I__jl_CharSequence(td$2.start$1, td$2.end$1))
                                              } else {
                                                const x$59 = $m_Lorg_yaml_lexer_YamlToken$().Indicator$1;
                                                if ((x$59 === x1)) {
                                                  if (((this.escaping$1 || this.inHandle$1) || this.inTag$1)) {
                                                    const jsx$4 = this.metaTextBuilder$1;
                                                    const this$5 = this.lexer$1;
                                                    const td$3 = this$5.$$undtokenData$1;
                                                    jsx$4.append__O__scm_StringBuilder(this$5.input$1.subSequence__I__I__jl_CharSequence(td$3.start$1, td$3.end$1))
                                                  } else {
                                                    const x$61 = this.prev$1.token$1;
                                                    const x$62 = $m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1;
                                                    if ((x$61 === x$62)) {
                                                      const this$6 = this.lexer$1;
                                                      const td$4 = this$6.$$undtokenData$1;
                                                      this.scalarMark$1 = $objectToString(this$6.input$1.subSequence__I__I__jl_CharSequence(td$4.start$1, td$4.end$1))
                                                    }
                                                  }
                                                } else {
                                                  const x$63 = $m_Lorg_yaml_lexer_YamlToken$().EndEscape$1;
                                                  if ((x$63 === x1)) {
                                                    const jsx$6 = this.textBuilder$1;
                                                    const jsx$5 = $m_Lorg_mulesoft_common_core_package$Strings$();
                                                    const str = this.buildMetaText__p1__T();
                                                    jsx$6.append__T__scm_StringBuilder(jsx$5.decode$extension1__T__Z__T(str, true));
                                                    this.escaping$1 = false
                                                  } else {
                                                    const x$65 = $m_Lorg_yaml_lexer_YamlToken$().LineBreak$1;
                                                    if ((x$65 === x1)) {
                                                      if (this.escaping$1) {
                                                        const this$8 = this.metaTextBuilder$1;
                                                        this$8.underlying$5.setLength__I__V(0)
                                                      }
                                                    } else {
                                                      const x$67 = $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1;
                                                      if ((x$67 === x1)) {
                                                        this.addDirectiveArg__p1__V()
                                                      }
                                                    }
                                                  }
                                                }
                                              }
                                            }
                                          }
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    };
    const jsx$7 = this.current$1;
    const this$9 = this.lexer$1;
    const td$5 = this$9.$$undtokenData$1;
    jsx$7.append__Lorg_mulesoft_lexer_TokenData__T__V(td, $objectToString(this$9.input$1.subSequence__I__I__jl_CharSequence(td$5.start$1, td$5.end$1)));
    return td
  };
  parse__Z__sc_IndexedSeq(keepTokens) {
    this.org$yaml$parser$YamlParser$$keepTokens$1 = keepTokens;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.current$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.stack$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    while (true) {
      const this$3 = this.lexer$1;
      const x = this$3.$$undtokenData$1.token$1;
      const x$2 = $m_Lorg_yaml_lexer_YamlToken$().EndStream$1;
      if ((!(x === x$2))) {
        const this$4 = this.lexer$1;
        this.prev$1 = this.process__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(this$4.$$undtokenData$1);
        this.lexer$1.advance__V()
      } else {
        break
      }
    };
    this.current$1.addNonContent__Lorg_mulesoft_lexer_TokenData__V(this.prev$1);
    const jsx$1 = $m_s_Predef$();
    const this$6 = this.current$1.parts$1;
    const len = this$6.size0$6;
    const result = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$6, result, 0);
    return jsx$1.wrapRefArray__AO__scm_WrappedArray(result)
  };
  pop__p1__Lorg_yaml_model_YPart__V(part) {
    this.stack$1 = this.stack$1.tail__O();
    this.current$1 = this.stack$1.head__O();
    this.current$1.parts$1.$$plus$eq__O__scm_ArrayBuffer(part)
  };
  createDirective__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.addDirectiveArg__p1__V();
    const parts = this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td);
    const pf = new $c_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1().init___Lorg_yaml_parser_YamlParser(this);
    const nonLocalReturnKey1 = new $c_O().init___();
    try {
      let i = 0;
      const len = parts.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = parts.u[index];
        const $default = $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f;
        const z = pf.applyOrElse__Lorg_yaml_model_YPart__F1__O(arg1, $default);
        if ((!$m_s_PartialFunction$().scala$PartialFunction$$fallbackOccurred__O__Z(z))) {
          throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1, new $c_s_Some().init___O(z))
        };
        i = ((1 + i) | 0)
      };
      $m_s_None$()
    } catch (e) {
      if ($is_sr_NonLocalReturnControl(e)) {
        const ex = e;
        if ((ex.key$2 === nonLocalReturnKey1)) {
          ex.value__O()
        } else {
          throw ex
        }
      } else {
        throw e
      }
    };
    const this$4 = this.org$yaml$parser$YamlParser$$directiveArgs$1;
    const jsx$2 = this$4.scala$collection$mutable$ListBuffer$$start$6.head__O();
    const jsx$1 = $m_s_Predef$();
    const this$5 = this.org$yaml$parser$YamlParser$$directiveArgs$1;
    const this$7 = $f_sc_TraversableLike__tail__O(this$5);
    const this$8 = this$7.scala$collection$mutable$ListBuffer$$start$6;
    const len$1 = $f_sc_LinearSeqOptimized__length__I(this$8);
    const result = $newArrayObject($d_T.getArrayOf(), [len$1]);
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$8, result, 0);
    this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YDirective().init___T__sc_IndexedSeq__sc_IndexedSeq(jsx$2, jsx$1.wrapRefArray__AO__scm_WrappedArray(result), $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts)));
    const this$9 = this.metaTextBuilder$1;
    this$9.underlying$5.setLength__I__V(0);
    this.org$yaml$parser$YamlParser$$directiveArgs$1 = null;
    return td
  };
  createNode__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const parts = this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td);
    const x = this.current$1.alias$1;
    const this$2 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const this$3 = this.aliases$1;
      const key = this.current$1.alias$1;
      const x1 = this$3.get__O__s_Option(key);
      let target;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const v = x2.value$2;
        target = v
      } else {
        const x$1 = $m_s_None$();
        if ((!(x$1 === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        target = $m_Lorg_yaml_model_YNode$().Null$1
      };
      this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YNode$Alias().init___T__Lorg_yaml_model_YNode__sc_IndexedSeq(this.current$1.alias$1, target, $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts)))
    } else {
      const tag = this.current$1.tag$1;
      const x$2 = this.includeTag$1;
      const this$5 = new $c_sci_StringOps().init___T(x$2);
      let n;
      if (($f_sc_TraversableOnce__nonEmpty__Z(this$5) && (tag.text$2 === this.includeTag$1))) {
        n = new $c_Lorg_yaml_model_YNode$MutRef().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__sc_IndexedSeq(this.current$1.value$1, tag, $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const v$1 = this.current$1.value$1;
        const a = this.current$1.anchor$1;
        const cs = $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts);
        n = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(v$1, tag, a, cs)
      };
      const this$7 = this.current$1.anchor$1;
      if ((!this$7.isEmpty__Z())) {
        const arg1 = this$7.get__O();
        const a$1 = arg1;
        const jsx$1 = this.aliases$1;
        const self = a$1.name$2;
        jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, n))
      };
      this.pop__p1__Lorg_yaml_model_YPart__V(n)
    };
    return td
  };
  addDirectiveArg__p1__V() {
    let jsx$1;
    if ((this.org$yaml$parser$YamlParser$$directiveArgs$1 !== null)) {
      const this$1 = this.metaTextBuilder$1;
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$1)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const jsx$2 = this.org$yaml$parser$YamlParser$$directiveArgs$1;
      const this$2 = this.metaTextBuilder$1;
      const this$3 = this$2.underlying$5;
      jsx$2.$$plus$eq__O__scm_ListBuffer(this$3.content$1);
      const this$4 = this.metaTextBuilder$1;
      this$4.underlying$5.setLength__I__V(0)
    }
  };
  createSequence__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    $m_Lorg_yaml_model_YSequence$();
    const c = $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td));
    const v = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    this.pop__p1__Lorg_yaml_model_YPart__V(v);
    this.current$1.value$1 = v;
    this.current$1.tag$1 = this.tagFor__p1__Lorg_yaml_model_YTag__Lorg_yaml_model_YType__Lorg_yaml_model_YTag(this.current$1.tag$1, $m_Lorg_yaml_model_YType$().Seq$1);
    return td
  };
  push__p1__Lorg_mulesoft_lexer_TokenData__V(td) {
    this.current$1.addNonContent__Lorg_mulesoft_lexer_TokenData__V(this.prev$1);
    const this$1 = this.metaTextBuilder$1;
    this$1.underlying$5.setLength__I__V(0);
    const this$2 = this.textBuilder$1;
    this$2.underlying$5.setLength__I__V(0);
    this.lastBegin$1 = td.token$1;
    this.current$1 = new $c_Lorg_yaml_parser_YamlParser$Builder().init___Lorg_yaml_parser_YamlParser(this);
    const x$1 = this.current$1;
    const this$3 = this.stack$1;
    this.stack$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3)
  };
  createTag__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.inTag$1 = false;
    const t = $m_Lorg_yaml_model_YTag$().apply__T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq__Lorg_yaml_model_YTag(this.buildMetaText__p1__T(), this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td), this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td));
    this.pop__p1__Lorg_yaml_model_YPart__V(t);
    this.current$1.tag$1 = t;
    return td
  };
  createAlias__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const aliasName = this.buildMetaText__p1__T();
    const range = this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td);
    const ts = this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td);
    const alias = new $c_Lorg_yaml_model_YAnchor().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(aliasName, range, ts);
    this.pop__p1__Lorg_yaml_model_YPart__V(alias);
    this.current$1.alias$1 = aliasName;
    return td
  };
  tagFor__p1__Lorg_yaml_model_YTag__Lorg_yaml_model_YType__Lorg_yaml_model_YTag(tag, defaultType) {
    if ((tag === null)) {
      return defaultType.org$yaml$model$YType$$tag$und$1
    } else {
      const x = tag.tagType$2;
      const x$2 = $m_Lorg_yaml_model_YType$().Empty$1;
      if ((x === x$2)) {
        const x$4 = tag.text$2;
        const x$5 = tag.range$1;
        const x$6 = tag.tokens$1;
        return new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(x$4, defaultType, x$5, x$6)
      } else {
        return tag
      }
    }
  };
  createComment__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.pop__p1__Lorg_yaml_model_YPart__V(new $c_Lorg_yaml_model_YComment().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(this.buildMetaText__p1__T(), this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td), this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td)));
    return td
  };
  createPair__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.pop__p1__Lorg_yaml_model_YPart__V($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td))));
    return td
  };
  createAnchor__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    const name = this.buildMetaText__p1__T();
    const range = this.current$1.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td);
    const ts = this.current$1.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td);
    const anchor = new $c_Lorg_yaml_model_YAnchor().init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(name, range, ts);
    this.pop__p1__Lorg_yaml_model_YPart__V(anchor);
    this.current$1.anchor$1 = new $c_s_Some().init___O(anchor);
    return td
  };
  createScalar__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    this.stack$1 = this.stack$1.tail__O();
    const c = this.stack$1.head__O();
    const parts = this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td);
    const b = new $c_Lorg_yaml_model_YScalar$Builder().init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(this.buildText__p1__T(), c.tag$1, this.scalarMark$1, $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(parts), this.org$yaml$parser$YamlParser$$eh$f);
    c.value$1 = b.scalar$1;
    c.tag$1 = b.tag$1;
    c.parts$1.$$plus$eq__O__scm_ArrayBuffer(b.scalar$1);
    this.current$1 = c;
    this.scalarMark$1 = "";
    return td
  };
  withIncludeTag__T__Lorg_yaml_parser_YamlParser(s) {
    this.includeTag$1 = s;
    return this
  };
  createMap__p1__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_TokenData(td) {
    $m_Lorg_yaml_model_YMap$();
    const c = $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(this.current$1.buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td));
    const v = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    this.pop__p1__Lorg_yaml_model_YPart__V(v);
    this.current$1.value$1 = v;
    this.current$1.tag$1 = this.tagFor__p1__Lorg_yaml_model_YTag__Lorg_yaml_model_YType__Lorg_yaml_model_YTag(this.current$1.tag$1, $m_Lorg_yaml_model_YType$().Map$1);
    return td
  };
  buildText__p1__T() {
    const this$1 = this.textBuilder$1;
    const this$2 = this$1.underlying$5;
    const r = this$2.content$1;
    const this$3 = this.textBuilder$1;
    this$3.underlying$5.setLength__I__V(0);
    return r
  };
}
const $d_Lorg_yaml_parser_YamlParser = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser: 0
}, false, "org.yaml.parser.YamlParser", {
  Lorg_yaml_parser_YamlParser: 1,
  O: 1
});
$c_Lorg_yaml_parser_YamlParser.prototype.$classData = $d_Lorg_yaml_parser_YamlParser;
class $c_Lorg_yaml_parser_YamlParser$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(s, eh) {
    const lexer = $m_Lorg_yaml_lexer_YamlLexer$().apply__jl_CharSequence__Lorg_yaml_lexer_YamlLexer(s);
    return new $c_Lorg_yaml_parser_YamlParser().init___Lorg_mulesoft_lexer_BaseLexer__Lorg_yaml_model_ParseErrorHandler(lexer, eh)
  };
}
const $d_Lorg_yaml_parser_YamlParser$ = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser$: 0
}, false, "org.yaml.parser.YamlParser$", {
  Lorg_yaml_parser_YamlParser$: 1,
  O: 1
});
$c_Lorg_yaml_parser_YamlParser$.prototype.$classData = $d_Lorg_yaml_parser_YamlParser$;
let $n_Lorg_yaml_parser_YamlParser$ = (void 0);
const $m_Lorg_yaml_parser_YamlParser$ = (function() {
  if ((!$n_Lorg_yaml_parser_YamlParser$)) {
    $n_Lorg_yaml_parser_YamlParser$ = new $c_Lorg_yaml_parser_YamlParser$().init___()
  };
  return $n_Lorg_yaml_parser_YamlParser$
});
class $c_Lorg_yaml_parser_YamlParser$Builder extends $c_O {
  constructor() {
    super();
    this.first$1 = null;
    this.tokens$1 = null;
    this.parts$1 = null;
    this.anchor$1 = null;
    this.alias$1 = null;
    this.tag$1 = null;
    this.value$1 = null;
    this.$$outer$1 = null
  };
  collectErrors__Lorg_yaml_model_YNonContent__V(nonContent) {
    const x1 = nonContent.tokens$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const x = x$2.tokenType$1;
        const x$3 = $m_Lorg_yaml_lexer_YamlToken$().Error$1;
        return (x === x$3)
      })
    })(this)));
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const astToken = x2.value$2;
        if ((astToken !== null)) {
          this.$$outer$1.org$yaml$parser$YamlParser$$eh$f.handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(nonContent, new $c_Lorg_yaml_model_LexerException().init___T__jl_Exception(astToken.text$1, null));
          break matchEnd5
        }
      }
    }
  };
  addNonContent__Lorg_mulesoft_lexer_TokenData__V(td) {
    const this$1 = this.tokens$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      const content = new $c_Lorg_yaml_model_YNonContent().init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(this.first$1.rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(td), this.buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(null));
      this.parts$1.$$plus$eq__O__scm_ArrayBuffer(content);
      this.collectErrors__Lorg_yaml_model_YNonContent__V(content)
    }
  };
  buildTokens__Lorg_mulesoft_lexer_TokenData__sc_IndexedSeq(td) {
    if ((td !== null)) {
      this.append__Lorg_mulesoft_lexer_TokenData__T__V(td, "")
    };
    const this$1 = this.tokens$1;
    if ($f_sc_IndexedSeqOptimized__isEmpty__Z(this$1)) {
      $m_s_package$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const this$5 = new $c_sci_VectorBuilder().init___();
      return this$5.result__sci_Vector()
    } else {
      const this$7 = this.tokens$1;
      const len = this$7.size0$6;
      const result = $newArrayObject($d_Lorg_mulesoft_lexer_AstToken.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$7, result, 0);
      const this$8 = this.tokens$1;
      $f_scm_ResizableArray__reduceToSize__I__V(this$8, 0);
      this.first$1 = null;
      return $m_s_Predef$().wrapRefArray__AO__scm_WrappedArray(result)
    }
  };
  buildParts__Lorg_mulesoft_lexer_TokenData__ALorg_yaml_model_YPart(td) {
    this.append__Lorg_mulesoft_lexer_TokenData__T__V(td, "");
    this.addNonContent__Lorg_mulesoft_lexer_TokenData__V(td);
    const this$1 = this.parts$1;
    if ($f_sc_IndexedSeqOptimized__isEmpty__Z(this$1)) {
      return $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [0])
    } else {
      const this$5 = this.parts$1;
      const len = this$5.size0$6;
      const result = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$5, result, 0);
      const this$6 = this.parts$1;
      $f_scm_ResizableArray__reduceToSize__I__V(this$6, 0);
      return result
    }
  };
  init___Lorg_yaml_parser_YamlParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.tokens$1 = new $c_scm_ArrayBuffer().init___();
    this.parts$1 = new $c_scm_ArrayBuffer().init___();
    this.anchor$1 = $m_s_None$();
    this.alias$1 = "";
    return this
  };
  append__Lorg_mulesoft_lexer_TokenData__T__V(td, text) {
    if (this.$$outer$1.org$yaml$parser$YamlParser$$keepTokens$1) {
      this.tokens$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_mulesoft_lexer_AstToken().init___Lorg_mulesoft_lexer_Token__T(td.token$1, text))
    };
    if ((this.first$1 === null)) {
      this.first$1 = td
    }
  };
}
const $is_Lorg_yaml_parser_YamlParser$Builder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_parser_YamlParser$Builder)))
});
const $isArrayOf_Lorg_yaml_parser_YamlParser$Builder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_parser_YamlParser$Builder)))
});
const $d_Lorg_yaml_parser_YamlParser$Builder = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser$Builder: 0
}, false, "org.yaml.parser.YamlParser$Builder", {
  Lorg_yaml_parser_YamlParser$Builder: 1,
  O: 1
});
$c_Lorg_yaml_parser_YamlParser$Builder.prototype.$classData = $d_Lorg_yaml_parser_YamlParser$Builder;
class $c_Lorg_yaml_render_JsonRender extends $c_O {
  constructor() {
    super();
    this.builder$1 = null;
    this.indentation$1 = 0
  };
  init___() {
    this.builder$1 = new $c_scm_StringBuilder().init___();
    this.indentation$1 = 0;
    return this
  };
  dedent__p1__V() {
    this.indentation$1 = (((-2) + this.indentation$1) | 0)
  };
  renderScalar__p1__Lorg_yaml_model_YType__Lorg_yaml_model_YScalar__V(t, scalar) {
    const x = $m_Lorg_yaml_model_YType$().Int$1;
    let jsx$2;
    if ((x === t)) {
      jsx$2 = true
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Bool$1;
      jsx$2 = (x$3 === t)
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = $objectToString(scalar.value$3)
    } else {
      const x$5 = $m_Lorg_yaml_model_YType$().Float$1;
      if ((x$5 === t)) {
        const s = $objectToString(scalar.value$3);
        jsx$1 = (($m_sjsr_RuntimeString$().indexOf__T__I__I(s, 46) === (-1)) ? (s + ".0") : s)
      } else {
        const x$7 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x$7 === t)) {
          jsx$1 = "null"
        } else {
          const jsx$3 = new $c_jl_Character().init___C(34);
          const str = scalar.text$3;
          jsx$1 = ((("" + jsx$3) + $m_Lorg_mulesoft_common_core_package$Strings$().escapeJavaStyleString$extension__T__T__T(str, str)) + new $c_jl_Character().init___C(34))
        }
      }
    };
    this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(jsx$1)
  };
  toString__T() {
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
  renderIndent__p1__Lorg_yaml_render_JsonRender() {
    const end = this.indentation$1;
    const isEmpty$4 = (end <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const arg1 = i;
        this.builder$1.append__C__scm_StringBuilder(32);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return this
  };
  renderMap__p1__Lorg_yaml_model_YMap__Lorg_yaml_render_JsonRender(map) {
    if (map.entries$3.isEmpty__Z()) {
      return this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("{}")
    } else {
      this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("{\n");
      this.indent__p1__V();
      const total = map.entries$3.size__I();
      let c = 0;
      while ((c < total)) {
        const entry = map.entries$3.apply__I__O(c);
        this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(entry.key$1).org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(": ").org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(entry.value$1);
        if ((c < (((-1) + total) | 0))) {
          this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(",\n")
        } else {
          this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("\n")
        };
        c = ((1 + c) | 0)
      };
      this.dedent__p1__V();
      return this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("}")
    }
  };
  renderSeq__p1__Lorg_yaml_model_YSequence__Lorg_yaml_render_JsonRender(seq) {
    if (seq.nodes$3.isEmpty__Z()) {
      return this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("[]")
    } else {
      this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("[\n");
      this.indent__p1__V();
      const total = seq.nodes$3.size__I();
      let c = 0;
      while ((c < total)) {
        const node = seq.nodes$3.apply__I__O(c);
        this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(node);
        if ((c < (((-1) + total) | 0))) {
          this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(",\n")
        } else {
          this.org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("\n")
        };
        c = ((1 + c) | 0)
      };
      this.dedent__p1__V();
      return this.renderIndent__p1__Lorg_yaml_render_JsonRender().org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("]")
    }
  };
  org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender(value) {
    this.builder$1.append__T__scm_StringBuilder(value);
    return this
  };
  indent__p1__V() {
    this.indentation$1 = ((2 + this.indentation$1) | 0)
  };
  org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x2 = x1;
      this.renderMap__p1__Lorg_yaml_model_YMap__Lorg_yaml_render_JsonRender(x2)
    } else if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x3 = x1;
      this.renderSeq__p1__Lorg_yaml_model_YSequence__Lorg_yaml_render_JsonRender(x3)
    } else if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x4 = x1;
      this.renderScalar__p1__Lorg_yaml_model_YType__Lorg_yaml_model_YScalar__V(node.tag__Lorg_yaml_model_YTag().tagType$2, x4)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    return this
  };
}
const $d_Lorg_yaml_render_JsonRender = new $TypeData().initClass({
  Lorg_yaml_render_JsonRender: 0
}, false, "org.yaml.render.JsonRender", {
  Lorg_yaml_render_JsonRender: 1,
  O: 1
});
$c_Lorg_yaml_render_JsonRender.prototype.$classData = $d_Lorg_yaml_render_JsonRender;
class $c_Lorg_yaml_render_JsonRender$ extends $c_O {
  init___() {
    return this
  };
  render__Lorg_yaml_model_YDocument__T(doc) {
    const builder = new $c_Lorg_yaml_render_JsonRender().init___();
    builder.org$yaml$render$JsonRender$$render__Lorg_yaml_model_YNode__Lorg_yaml_render_JsonRender(doc.node$3).org$yaml$render$JsonRender$$render__T__Lorg_yaml_render_JsonRender("\n");
    const this$1 = builder.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
}
const $d_Lorg_yaml_render_JsonRender$ = new $TypeData().initClass({
  Lorg_yaml_render_JsonRender$: 0
}, false, "org.yaml.render.JsonRender$", {
  Lorg_yaml_render_JsonRender$: 1,
  O: 1
});
$c_Lorg_yaml_render_JsonRender$.prototype.$classData = $d_Lorg_yaml_render_JsonRender$;
let $n_Lorg_yaml_render_JsonRender$ = (void 0);
const $m_Lorg_yaml_render_JsonRender$ = (function() {
  if ((!$n_Lorg_yaml_render_JsonRender$)) {
    $n_Lorg_yaml_render_JsonRender$ = new $c_Lorg_yaml_render_JsonRender$().init___()
  };
  return $n_Lorg_yaml_render_JsonRender$
});
class $c_Lorg_yaml_render_YamlRender extends $c_O {
  constructor() {
    super();
    this.expandReferences$1 = false;
    this.builder$1 = null;
    this.indentation$1 = 0;
    this.hasDirectives$1 = false;
    this.endDocument$1 = false
  };
  renderTokens__p1__sc_IndexedSeq__Z(tks) {
    const hasTokens = $f_sc_TraversableOnce__nonEmpty__Z(tks);
    if (hasTokens) {
      tks.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(t$2) {
          const t = t$2;
          $this.render__p1__T__Lorg_yaml_render_YamlRender(t.text$1)
        })
      })(this)))
    };
    return hasTokens
  };
  renderMapEntry__p1__Lorg_yaml_model_YMapEntry__V(e) {
    const key = e.key$1;
    const x1 = key.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      this.renderTag__p1__Lorg_yaml_model_YTag__O(key.tag__Lorg_yaml_model_YTag());
      const this$1 = key.anchor__s_Option();
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const r = arg1;
        this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(r, $m_s_None$())
      };
      const thiz = x2.text$3;
      if (((thiz.indexOf("\n") | 0) !== (-1))) {
        const jsx$1 = new $c_jl_Character().init___C(34);
        const str = x2.text$3;
        this.render__p1__T__Lorg_yaml_render_YamlRender(((("" + jsx$1) + $m_Lorg_mulesoft_common_core_package$Strings$().escapeJavaStyleString$extension__T__T__T(str, str)) + new $c_jl_Character().init___C(34)))
      } else {
        this.renderScalar__p1__Lorg_yaml_model_YScalar__s_Option__V(x2, $m_s_None$())
      };
      this.render__p1__T__Lorg_yaml_render_YamlRender(": ")
    } else {
      const qual$1 = this.render__p1__T__Lorg_yaml_render_YamlRender("?");
      const x$7 = $m_s_None$();
      qual$1.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(key, x$7).renderNewLine__p1__Lorg_yaml_render_YamlRender().renderIndent__p1__Lorg_yaml_render_YamlRender().render__p1__T__Lorg_yaml_render_YamlRender(": ")
    };
    const value = e.value$1;
    const x1$2 = e.children$1.dropWhile__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, key$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (x$1 !== key$1)
      })
    })(this, key))).tail__O().span__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, value$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return (x$2 !== value$1)
      })
    })(this, value)));
    if ((x1$2 === null)) {
      throw new $c_s_MatchError().init___O(x1$2)
    };
    const before = x1$2.$$und1__O();
    const tail = x1$2.$$und2__O();
    const after = tail.tail__O();
    this.indent__p1__V();
    before.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(c$2) {
        const c = c$2;
        return this$4$1.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(c, $m_s_None$()).renderIndent__p1__Lorg_yaml_render_YamlRender()
      })
    })(this)));
    this.dedent__p1__V();
    const x = value.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$4 = $m_Lorg_yaml_model_YType$().Null$1;
    let jsx$2;
    if ((x === x$4)) {
      const thiz$1 = value.toString__T();
      if ((thiz$1 === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$2 = (thiz$1 === "")
    } else {
      jsx$2 = false
    };
    if (((jsx$2 && before.isEmpty__Z()) && after.isEmpty__Z())) {
      this.chopLast__p1__V()
    } else {
      this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(value, $m_s_None$())
    };
    if ($f_sc_TraversableOnce__nonEmpty__Z(after)) {
      this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(after.head__O(), $m_s_None$());
      this.indent__p1__V();
      after.tail__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
        return (function(c$3$2) {
          const c$3 = c$3$2;
          const qual$2 = this$5$1.renderIndent__p1__Lorg_yaml_render_YamlRender();
          const x$9 = $m_s_None$();
          return qual$2.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(c$3, x$9)
        })
      })(this)));
      this.dedent__p1__V();
      this.chopLast__p1__V()
    }
  };
  renderTag__p1__Lorg_yaml_model_YTag__O(t) {
    return (((!this.renderTokens__p1__sc_IndexedSeq__Z(t.tokens$1)) && (!t.synthesized__Z())) ? this.render__p1__T__Lorg_yaml_render_YamlRender((t.text$2 + " ")) : (void 0))
  };
  doRenderParts__p1__sc_IndexedSeq__s_Option__V(children, yType) {
    children.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, yType$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return $this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(x$4, yType$1)
      })
    })(this, yType)))
  };
  renderSeq__p1__Lorg_yaml_model_YSequence__V(seq) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(seq))) {
      if (seq.nodes$3.isEmpty__Z()) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("[]")
      } else {
        this.indent__p1__V();
        this.chopLast__p1__V();
        seq.children$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(e$2) {
            const e = e$2;
            if ($is_Lorg_yaml_model_YNode(e)) {
              const x2 = e;
              const qual$3 = $this.renderNewLine__p1__Lorg_yaml_render_YamlRender().renderIndent__p1__Lorg_yaml_render_YamlRender().render__p1__T__Lorg_yaml_render_YamlRender("- ");
              const x$11 = $m_s_None$();
              return qual$3.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(x2, x$11)
            } else if ($is_Lorg_yaml_model_YComment(e)) {
              const x3 = e;
              return $this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(x3, $m_s_None$())
            } else {
              return (void 0)
            }
          })
        })(this)));
        this.dedent__p1__V()
      }
    }
  };
  dedent__p1__V() {
    this.indentation$1 = (((-2) + this.indentation$1) | 0)
  };
  toString__T() {
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
  renderNewLine__p1__Lorg_yaml_render_YamlRender() {
    const this$1 = this.builder$1;
    let jsx$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      const this$2 = this.builder$1;
      const c = $f_sc_IndexedSeqOptimized__last__O(this$2);
      let jsx$2;
      if ((c === null)) {
        jsx$2 = 0
      } else {
        const this$4 = c;
        jsx$2 = this$4.value$1
      };
      jsx$1 = (jsx$2 !== 10)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      this.builder$1.append__C__scm_StringBuilder(10)
    };
    return this
  };
  renderDocument__p1__sc_IndexedSeq__V(parts) {
    this.doRenderParts__p1__sc_IndexedSeq__s_Option__V(parts, $m_s_None$());
    const this$1 = this.builder$1;
    const c = $f_sc_IndexedSeqOptimized__last__O(this$1);
    let jsx$1;
    if ((c === null)) {
      jsx$1 = 0
    } else {
      const this$3 = c;
      jsx$1 = this$3.value$1
    };
    if ((jsx$1 !== 10)) {
      this.render__p1__T__Lorg_yaml_render_YamlRender("\n")
    };
    this.endDocument$1 = true
  };
  renderDirective__p1__Lorg_yaml_model_YDirective__V(d) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(d))) {
      this.render__p1__T__Lorg_yaml_render_YamlRender(d.toString__T()).renderNewLine__p1__Lorg_yaml_render_YamlRender()
    };
    this.hasDirectives$1 = true
  };
  renderParts__p1__Lorg_yaml_model_YPart__Z(parts) {
    const nodes = parts.children__sc_IndexedSeq();
    const hasTokens = ($f_sc_TraversableOnce__nonEmpty__Z(nodes) && $is_Lorg_yaml_model_YNonContent(nodes.head__O()));
    if (hasTokens) {
      this.doRenderParts__p1__sc_IndexedSeq__s_Option__V(nodes, $m_s_None$())
    };
    return hasTokens
  };
  checkEndDocument__p1__Lorg_yaml_model_YPart__O(part) {
    if (this.endDocument$1) {
      this.endDocument$1 = false;
      this.render__p1__T__Lorg_yaml_render_YamlRender("...\n");
      if ($is_Lorg_yaml_model_YDocument(part)) {
        const x2 = part;
        const x = x2.tagType$3;
        const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x === x$2)) {
          return this.render__p1__T__Lorg_yaml_render_YamlRender("---\n")
        }
      };
      return (void 0)
    } else {
      return (void 0)
    }
  };
  renderNode__p1__Lorg_yaml_model_YNode__V(n) {
    if (((this.expandReferences$1 && $is_Lorg_yaml_model_YNode$Ref(n)) || (!this.renderParts__p1__Lorg_yaml_model_YPart__Z(n)))) {
      if (this.hasDirectives$1) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("---\n");
        this.hasDirectives$1 = false
      };
      matchEnd5: {
        if ($is_Lorg_yaml_model_YNode$Alias(n)) {
          const x2 = n;
          if (this.expandReferences$1) {
            this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(x2.target$5, $m_s_None$());
            (void 0)
          } else {
            this.render__p1__T__Lorg_yaml_render_YamlRender(x2.toString__T());
            (void 0)
          };
          break matchEnd5
        };
        if ($is_Lorg_yaml_model_YNode$MutRef(n)) {
          const x3 = n;
          if ((this.expandReferences$1 && x3.target$5.isDefined__Z())) {
            this.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(x3.target$5.get__O(), $m_s_None$());
            break matchEnd5
          }
        };
        const jsx$1 = n.children$3;
        const x = n.tag__Lorg_yaml_model_YTag();
        const this$1 = $m_Lorg_yaml_model_YType$().Str$1;
        const x$2 = this$1.org$yaml$model$YType$$tag$und$1;
        this.doRenderParts__p1__sc_IndexedSeq__s_Option__V(jsx$1, (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) ? new $c_s_Some().init___O($m_Lorg_yaml_model_YType$().Str$1) : $m_s_None$()))
      }
    }
  };
  renderAnchor__p1__Lorg_yaml_model_YAnchor__O(anchor) {
    return ((!this.renderTokens__p1__sc_IndexedSeq__Z(anchor.tokens$1)) ? this.render__p1__T__Lorg_yaml_render_YamlRender($m_s_Predef$any2stringadd$().$$plus$extension__O__T__T(anchor, " ")) : (void 0))
  };
  renderScalar__p1__Lorg_yaml_model_YScalar__s_Option__V(scalar, yType) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(scalar))) {
      const x1 = $m_Lorg_yaml_render_YamlRender$().org$yaml$render$YamlRender$$analyzeScalar__Lorg_yaml_model_YScalar__s_Option__I(scalar, yType);
      switch (x1) {
        case 2: {
          this.render__p1__T__Lorg_yaml_render_YamlRender(scalar.text$3);
          break
        }
        case 1: {
          const jsx$1 = new $c_jl_Character().init___C(34);
          const str = scalar.text$3;
          this.render__p1__T__Lorg_yaml_render_YamlRender(((("" + jsx$1) + $m_Lorg_mulesoft_common_core_package$Strings$().escapeJavaStyleString$extension__T__T__T(str, str)) + new $c_jl_Character().init___C(34)));
          break
        }
        case 3: {
          this.renderAsLiteral__p1__Lorg_yaml_model_YScalar__V(scalar);
          break
        }
        default: {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  renderIndent__p1__Lorg_yaml_render_YamlRender() {
    const end = this.indentation$1;
    const isEmpty$4 = (end <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const arg1 = i;
        this.builder$1.append__C__scm_StringBuilder(32);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return this
  };
  render__p1__T__Lorg_yaml_render_YamlRender(value) {
    this.builder$1.append__T__scm_StringBuilder(value);
    return this
  };
  chopLast__p1__V() {
    const this$1 = this.builder$1;
    const this$2 = this$1.underlying$5;
    const thiz = this$2.content$1;
    const last = (((-1) + (thiz.length | 0)) | 0);
    let jsx$1;
    if ((last >= 0)) {
      const this$4 = this.builder$1;
      const this$5 = this$4.underlying$5;
      const thiz$1 = this$5.content$1;
      const c = (65535 & (thiz$1.charCodeAt(last) | 0));
      const this$9 = $m_jl_Character$();
      jsx$1 = this$9.isWhitespace__I__Z(c)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$10 = this.builder$1;
      this$10.underlying$5.setLength__I__V(last)
    }
  };
  init___Z(expandReferences) {
    this.expandReferences$1 = expandReferences;
    this.builder$1 = new $c_scm_StringBuilder().init___();
    this.indentation$1 = (-2);
    this.hasDirectives$1 = false;
    this.endDocument$1 = false;
    return this
  };
  org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(part, yType) {
    this.checkEndDocument__p1__Lorg_yaml_model_YPart__O(part);
    if ($is_Lorg_yaml_model_YComment(part)) {
      const x2 = part;
      const text = x2.metaText$3;
      const tokens = x2.tokens$3;
      this.renderComment__p1__T__sc_IndexedSeq__O(text, tokens)
    } else if ($is_Lorg_yaml_model_YNonContent(part)) {
      const x4 = part;
      const tokens$2 = x4.tokens$3;
      tokens$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(t$2) {
          const t = t$2;
          $this.render__p1__T__Lorg_yaml_render_YamlRender(t.text$1)
        })
      })(this)))
    } else if ($is_Lorg_yaml_model_YDocument(part)) {
      const x6 = part;
      const parts = x6.children$3;
      this.renderDocument__p1__sc_IndexedSeq__V(parts)
    } else if ($is_Lorg_yaml_model_YDirective(part)) {
      const x7 = part;
      this.renderDirective__p1__Lorg_yaml_model_YDirective__V(x7)
    } else if ($is_Lorg_yaml_model_YSequence(part)) {
      const x8 = part;
      this.renderSeq__p1__Lorg_yaml_model_YSequence__V(x8)
    } else if ($is_Lorg_yaml_model_YMap(part)) {
      const x9 = part;
      this.renderMap__p1__Lorg_yaml_model_YMap__V(x9)
    } else if ($is_Lorg_yaml_model_YMapEntry(part)) {
      const x10 = part;
      this.doRenderParts__p1__sc_IndexedSeq__s_Option__V(x10.children$1, $m_s_None$())
    } else if ($is_Lorg_yaml_model_YScalar(part)) {
      const x11 = part;
      this.renderScalar__p1__Lorg_yaml_model_YScalar__s_Option__V(x11, yType)
    } else if ($is_Lorg_yaml_model_YTag(part)) {
      const x12 = part;
      this.renderTag__p1__Lorg_yaml_model_YTag__O(x12)
    } else if ($is_Lorg_yaml_model_YAnchor(part)) {
      const x13 = part;
      this.renderAnchor__p1__Lorg_yaml_model_YAnchor__O(x13)
    } else if ($is_Lorg_yaml_model_YNode(part)) {
      const x14 = part;
      this.renderNode__p1__Lorg_yaml_model_YNode__V(x14)
    } else {
      throw new $c_s_MatchError().init___O(part)
    };
    return this
  };
  renderAsLiteral__p1__Lorg_yaml_model_YScalar__V(scalar) {
    const text = scalar.text$3;
    if ((this.indentation$1 < 0)) {
      this.indentation$1 = 0
    };
    this.render__p1__T__Lorg_yaml_render_YamlRender("|");
    this.indent__p1__V();
    const l = (text.length | 0);
    const this$3 = new $c_sci_StringOps().init___T(text);
    const c = $f_sc_IndexedSeqOptimized__head__O(this$3);
    let jsx$1;
    if ((c === null)) {
      jsx$1 = 0
    } else {
      const this$5 = c;
      jsx$1 = this$5.value$1
    };
    if ((jsx$1 === 32)) {
      const this$6 = this.indentation$1;
      this.render__p1__T__Lorg_yaml_render_YamlRender(("" + this$6))
    };
    const index = (((-1) + l) | 0);
    if (((65535 & (text.charCodeAt(index) | 0)) !== 10)) {
      this.render__p1__T__Lorg_yaml_render_YamlRender("-")
    } else {
      let jsx$2;
      if ((l > 1)) {
        const index$1 = (((-2) + l) | 0);
        jsx$2 = ((65535 & (text.charCodeAt(index$1) | 0)) === 10)
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("+")
      }
    };
    const this$14 = scalar.children$2;
    const pf = new $c_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2().init___Lorg_yaml_render_YamlRender(this);
    const this$15 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$14, pf);
    this.render__p1__T__Lorg_yaml_render_YamlRender((this$15.isEmpty__Z() ? "" : this$15.get__O()));
    let start = 0;
    let end = 0;
    do {
      end = $m_sjsr_RuntimeString$().indexOf__T__I__I__I(text, 10, start);
      let str;
      if ((end === (-1))) {
        const beginIndex = start;
        str = text.substring(beginIndex)
      } else {
        const beginIndex$1 = start;
        const endIndex = end;
        str = text.substring(beginIndex$1, endIndex)
      };
      this.render__p1__T__Lorg_yaml_render_YamlRender("\n");
      const this$21 = new $c_sci_StringOps().init___T(str);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$21)) {
        this.renderIndent__p1__Lorg_yaml_render_YamlRender().render__p1__T__Lorg_yaml_render_YamlRender(str)
      };
      start = ((1 + end) | 0)
    } while ((end !== (-1)));
    this.dedent__p1__V()
  };
  renderMap__p1__Lorg_yaml_model_YMap__V(map) {
    if ((!this.renderParts__p1__Lorg_yaml_model_YPart__Z(map))) {
      if (map.entries$3.isEmpty__Z()) {
        this.render__p1__T__Lorg_yaml_render_YamlRender("{}")
      } else {
        this.indent__p1__V();
        this.chopLast__p1__V();
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(e$2) {
            const e = e$2;
            $this.renderNewLine__p1__Lorg_yaml_render_YamlRender().renderIndent__p1__Lorg_yaml_render_YamlRender().renderMapEntry__p1__Lorg_yaml_model_YMapEntry__V(e)
          })
        })(this)));
        this.dedent__p1__V()
      }
    }
  };
  renderComment__p1__T__sc_IndexedSeq__O(text, tks) {
    if ((!this.renderTokens__p1__sc_IndexedSeq__Z(tks))) {
      const this$1 = this.builder$1;
      let jsx$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
        const this$2 = this.builder$1;
        const c = $f_sc_IndexedSeqOptimized__last__O(this$2);
        let c$1;
        if ((c === null)) {
          c$1 = 0
        } else {
          const this$4 = c;
          c$1 = this$4.value$1
        };
        const this$7 = $m_jl_Character$();
        jsx$1 = (!this$7.isWhitespace__I__Z(c$1))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        this.render__p1__T__Lorg_yaml_render_YamlRender(" ")
      };
      return this.render__p1__T__Lorg_yaml_render_YamlRender((("#" + text) + new $c_jl_Character().init___C(10)))
    } else {
      return (void 0)
    }
  };
  indent__p1__V() {
    this.indentation$1 = ((2 + this.indentation$1) | 0)
  };
}
const $d_Lorg_yaml_render_YamlRender = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender: 0
}, false, "org.yaml.render.YamlRender", {
  Lorg_yaml_render_YamlRender: 1,
  O: 1
});
$c_Lorg_yaml_render_YamlRender.prototype.$classData = $d_Lorg_yaml_render_YamlRender;
class $c_Lorg_yaml_render_YamlRender$ extends $c_O {
  init___() {
    return this
  };
  render__Lorg_yaml_model_YPart__Z__T(part, expandReferences) {
    const render = new $c_Lorg_yaml_render_YamlRender().init___Z(expandReferences);
    render.org$yaml$render$YamlRender$$render__Lorg_yaml_model_YPart__s_Option__Lorg_yaml_render_YamlRender(part, $m_s_None$());
    const this$1 = render.builder$1;
    const this$2 = this$1.underlying$5;
    return this$2.content$1
  };
  org$yaml$render$YamlRender$$analyzeScalar__Lorg_yaml_model_YScalar__s_Option__I(scalar, yType) {
    const text = scalar.text$3;
    const l = (text.length | 0);
    if ((l === 0)) {
      return (scalar.mark$3.plain__Z() ? 2 : 1)
    };
    const this$3 = new $c_sci_StringOps().init___T(text);
    const c = $f_sc_IndexedSeqOptimized__head__O(this$3);
    let jsx$1;
    if ((c === null)) {
      jsx$1 = 0
    } else {
      const this$5 = c;
      jsx$1 = this$5.value$1
    };
    if (((jsx$1 === 32) || $m_sjsr_RuntimeString$().endsWith__T__T__Z(text, "\n\n"))) {
      return 1
    };
    let jsx$2;
    if (yType.contains__O__Z($m_Lorg_yaml_model_YType$().Str$1)) {
      const thiz = scalar.text$3;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$2 = $m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("^-?\\d+(?:[,|\\.]\\d+)?$", thiz)
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      return 1
    };
    let oneLine = true;
    let allSpaces = true;
    let noTabs = true;
    let flowChar = false;
    const iterator = new $c_Lorg_yaml_render_YamlRender$ScalarIterator().init___T(text);
    do {
      const x1 = iterator.current$1;
      switch (x1) {
        case 10: {
          oneLine = false;
          break
        }
        case 9: {
          noTabs = false;
          break
        }
        case 13: {
          return 1;
          break
        }
        default: {
          if ((!$m_Lorg_yaml_lexer_YamlCharRules$().isCPrintable__I__Z(iterator.current$1))) {
            return 1
          } else if ($m_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$().apply__Lorg_yaml_render_YamlRender$ScalarIterator__Z(iterator)) {
            flowChar = true
          } else {
            allSpaces = false
          }
        }
      }
    } while (iterator.advance__Z());
    if (oneLine) {
      if (flowChar) {
        return 1
      } else {
        let jsx$3;
        if ((scalar.mark$3.plain__Z() && noTabs)) {
          const this$8 = new $c_sci_StringOps().init___T(text);
          const c$1 = $f_sc_IndexedSeqOptimized__last__O(this$8);
          let jsx$4;
          if ((c$1 === null)) {
            jsx$4 = 0
          } else {
            const this$10 = c$1;
            jsx$4 = this$10.value$1
          };
          jsx$3 = (jsx$4 !== 32)
        } else {
          jsx$3 = false
        };
        if (jsx$3) {
          return 2
        } else {
          return 1
        }
      }
    } else {
      return (allSpaces ? 1 : 3)
    }
  };
}
const $d_Lorg_yaml_render_YamlRender$ = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender$: 0
}, false, "org.yaml.render.YamlRender$", {
  Lorg_yaml_render_YamlRender$: 1,
  O: 1
});
$c_Lorg_yaml_render_YamlRender$.prototype.$classData = $d_Lorg_yaml_render_YamlRender$;
let $n_Lorg_yaml_render_YamlRender$ = (void 0);
const $m_Lorg_yaml_render_YamlRender$ = (function() {
  if ((!$n_Lorg_yaml_render_YamlRender$)) {
    $n_Lorg_yaml_render_YamlRender$ = new $c_Lorg_yaml_render_YamlRender$().init___()
  };
  return $n_Lorg_yaml_render_YamlRender$
});
class $c_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_render_YamlRender$ScalarIterator__Z(iterator) {
    return (iterator.isFirst__Z() ? ((($m_Lorg_yaml_lexer_YamlCharRules$().isIndicator__I__Z(iterator.current$1) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isFirstDiscriminators__C__Z(iterator.current$1))) || ($m_Lorg_yaml_lexer_YamlCharRules$().isFirstDiscriminators__C__Z(iterator.current$1) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isCharFollowedBy__C__C__Z(iterator.current$1, iterator.next__C())))) || ((iterator.current$1 === 58) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isCharFollowedBy__C__C__Z(iterator.current$1, iterator.next__C())))) : (((iterator.current$1 === 35) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isCharPreceding__C__C__Z(iterator.previous__C(), iterator.current$1))) || ((iterator.current$1 === 58) && ((!$m_Lorg_yaml_lexer_YamlCharRules$().isCharFollowedBy__C__C__Z(iterator.current$1, iterator.next__C())) || iterator.isLast__Z()))))
  };
}
const $d_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$ = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender$CharQuotedScalarRules$: 0
}, false, "org.yaml.render.YamlRender$CharQuotedScalarRules$", {
  Lorg_yaml_render_YamlRender$CharQuotedScalarRules$: 1,
  O: 1
});
$c_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$.prototype.$classData = $d_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$;
let $n_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$ = (void 0);
const $m_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$ = (function() {
  if ((!$n_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$)) {
    $n_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$ = new $c_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$().init___()
  };
  return $n_Lorg_yaml_render_YamlRender$CharQuotedScalarRules$
});
class $c_Lscopt_OptionDef extends $c_O {
  constructor() {
    super();
    this.$$undparser$1 = null;
    this.$$undid$1 = 0;
    this.$$undkind$1 = null;
    this.$$undname$1 = null;
    this.$$undshortOpt$1 = null;
    this.$$undkeyName$1 = null;
    this.$$undvalueName$1 = null;
    this.$$unddesc$1 = null;
    this.$$undaction$1 = null;
    this.$$undvalidations$1 = null;
    this.$$undconfigValidations$1 = null;
    this.$$undparentId$1 = null;
    this.$$undminOccurs$1 = 0;
    this.$$undmaxOccurs$1 = 0;
    this.$$undisHidden$1 = false;
    this.$$undfallback$1 = null;
    this.evidence$13$1 = null;
    this.kind$1 = null;
    this.id$1 = 0;
    this.name$1 = null
  };
  token__I__sc_Seq__s_Option(i, args) {
    let jsx$1;
    if ((i >= args.length__I())) {
      jsx$1 = true
    } else {
      const x = this.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      jsx$1 = (!((x !== null) && (x === x$2)))
    };
    if (jsx$1) {
      return $m_s_None$()
    } else {
      return new $c_s_Some().init___O(args.apply__I__O(i))
    }
  };
  copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(_parser, _id, _kind, _name, _shortOpt, _keyName, _valueName, _desc, _action, _validations, _configValidations, _parentId, _minOccurs, _maxOccurs, _isHidden, _fallback) {
    return new $c_Lscopt_OptionDef().init___Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_Read(_parser, _id, _kind, _name, _shortOpt, _keyName, _valueName, _desc, _action, _validations, _configValidations, _parentId, _minOccurs, _maxOccurs, _isHidden, _fallback, this.evidence$13$1)
  };
  validate__F1__Lscopt_OptionDef(f) {
    const jsx$2 = this.$$undparser$1;
    const jsx$1 = this.$$undvalidations$1;
    const this$1 = $m_sc_Seq$();
    const x$187 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(f, this$1.ReusableCBFInstance$2);
    const x$188 = this.$$undparser$1;
    const x$189 = this.$$undid$1;
    const x$190 = this.$$undkind$1;
    const x$191 = this.$$undname$1;
    const x$192 = this.$$undshortOpt$1;
    const x$193 = this.$$undkeyName$1;
    const x$194 = this.$$undvalueName$1;
    const x$195 = this.$$unddesc$1;
    const x$196 = this.$$undaction$1;
    const x$197 = this.$$undconfigValidations$1;
    const x$198 = this.$$undparentId$1;
    const x$199 = this.$$undminOccurs$1;
    const x$200 = this.$$undmaxOccurs$1;
    const x$201 = this.$$undisHidden$1;
    const x$202 = this.$$undfallback$1;
    return jsx$2.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$188, x$189, x$190, x$191, x$192, x$193, x$194, x$195, x$196, x$187, x$197, x$198, x$199, x$200, x$201, x$202), this.evidence$13$1)
  };
  applyArgument__T__O__s_util_Either(arg, config) {
    try {
      const x = this.read__p1__Lscopt_Read().reads__F1().apply__O__O(arg);
      const x1 = $m_Lscopt_Validation$().validateValue__sc_Seq__O__s_util_Either(this.$$undvalidations$1, x);
      if ($is_s_util_Right(x1)) {
        $m_s_package$();
        const value = this.$$undaction$1.apply__O__O__O(x, config);
        return new $c_s_util_Right().init___O(value)
      } else if ($is_s_util_Left(x1)) {
        const x4 = x1;
        const xs = x4.value$2;
        $m_s_package$();
        return new $c_s_util_Left().init___O(xs)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        $m_Lscopt_platform$();
        const x$1 = this.shortDescription__T();
        const this$4 = new $c_sci_StringOps().init___T(x$1);
        const desc = $f_sci_StringLike__capitalize__T(this$4);
        const catchExpr$1 = new $c_Lscopt_platform$$anonfun$applyArgumentExHandler$1().init___T__T(desc, arg);
        if (catchExpr$1.isDefinedAt__jl_Throwable__Z(e$2)) {
          const $default = $m_s_PartialFunction$().empty$undpf$1;
          return catchExpr$1.applyOrElse__jl_Throwable__F1__O(e$2, $default)
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
  tokensToRead__I__sc_Seq__I(i, args) {
    let jsx$1;
    if ((i >= args.length__I())) {
      jsx$1 = true
    } else {
      const x = this.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      jsx$1 = (!((x !== null) && (x === x$2)))
    };
    if (jsx$1) {
      return 0
    } else {
      const x1 = args.apply__I__O(i);
      return ((this.longOptTokens__T__I(x1) > 0) ? this.longOptTokens__T__I(x1) : ((this.shortOptTokens__T__I(x1) > 0) ? this.shortOptTokens__T__I(x1) : 0))
    }
  };
  toString__T() {
    return this.fullName__T()
  };
  action__F2__Lscopt_OptionDef(f) {
    const jsx$1 = this.$$undparser$1;
    const x$59 = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, f$1) {
      return (function(a$2, c$2) {
        return f$1.apply__O__O__O(a$2, $this.$$undaction$1.apply__O__O__O(a$2, c$2))
      })
    })(this, f));
    const x$60 = this.$$undparser$1;
    const x$61 = this.$$undid$1;
    const x$62 = this.$$undkind$1;
    const x$63 = this.$$undname$1;
    const x$64 = this.$$undshortOpt$1;
    const x$65 = this.$$undkeyName$1;
    const x$66 = this.$$undvalueName$1;
    const x$67 = this.$$unddesc$1;
    const x$68 = this.$$undvalidations$1;
    const x$69 = this.$$undconfigValidations$1;
    const x$70 = this.$$undparentId$1;
    const x$71 = this.$$undminOccurs$1;
    const x$72 = this.$$undmaxOccurs$1;
    const x$73 = this.$$undisHidden$1;
    const x$74 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$60, x$61, x$62, x$63, x$64, x$65, x$66, x$67, x$59, x$68, x$69, x$70, x$71, x$72, x$73, x$74), this.evidence$13$1)
  };
  argName__T() {
    const x1 = this.kind$1;
    const x = $m_Lscopt_Arg$();
    if (((x === x1) && (this.$$undminOccurs$1 === 0))) {
      return (("[" + this.fullName__T()) + "]")
    } else {
      return this.fullName__T()
    }
  };
  keyValueString__T() {
    const this$1 = this.$$undkeyName$1;
    return (((this$1.isEmpty__Z() ? $m_Lscopt_OptionDef$().defaultKeyName$1 : this$1.get__O()) + "=") + this.valueString__T())
  };
  text__T__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$140 = this.$$undparser$1;
    const x$141 = this.$$undid$1;
    const x$142 = this.$$undkind$1;
    const x$143 = this.$$undname$1;
    const x$144 = this.$$undshortOpt$1;
    const x$145 = this.$$undkeyName$1;
    const x$146 = this.$$undvalueName$1;
    const x$147 = this.$$undaction$1;
    const x$148 = this.$$undvalidations$1;
    const x$149 = this.$$undconfigValidations$1;
    const x$150 = this.$$undparentId$1;
    const x$151 = this.$$undminOccurs$1;
    const x$152 = this.$$undmaxOccurs$1;
    const x$153 = this.$$undisHidden$1;
    const x$154 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$140, x$141, x$142, x$143, x$144, x$145, x$146, x, x$147, x$148, x$149, x$150, x$151, x$152, x$153, x$154), this.evidence$13$1)
  };
  minOccurs__I__Lscopt_OptionDef(n) {
    const jsx$1 = this.$$undparser$1;
    const x$108 = this.$$undparser$1;
    const x$109 = this.$$undid$1;
    const x$110 = this.$$undkind$1;
    const x$111 = this.$$undname$1;
    const x$112 = this.$$undshortOpt$1;
    const x$113 = this.$$undkeyName$1;
    const x$114 = this.$$undvalueName$1;
    const x$115 = this.$$unddesc$1;
    const x$116 = this.$$undaction$1;
    const x$117 = this.$$undvalidations$1;
    const x$118 = this.$$undconfigValidations$1;
    const x$119 = this.$$undparentId$1;
    const x$120 = this.$$undmaxOccurs$1;
    const x$121 = this.$$undisHidden$1;
    const x$122 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$108, x$109, x$110, x$111, x$112, x$113, x$114, x$115, x$116, x$117, x$118, x$119, n, x$120, x$121, x$122), this.evidence$13$1)
  };
  usage__T() {
    let rc11 = false;
    let x7 = null;
    const x1 = this.kind$1;
    const x = $m_Lscopt_Head$();
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lscopt_Note$();
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lscopt_Check$();
        jsx$1 = (x$5 === x1)
      }
    };
    if (jsx$1) {
      return this.$$unddesc$1
    };
    const x$7 = $m_Lscopt_Cmd$();
    if ((x$7 === x1)) {
      return ((("Command: " + this.$$undparser$1.commandExample__s_Option__T(new $c_s_Some().init___O(this))) + $m_Lscopt_OptionDef$().NL$1) + this.$$unddesc$1)
    };
    const x$9 = $m_Lscopt_Arg$();
    if ((x$9 === x1)) {
      return (((("" + $m_Lscopt_OptionDef$().WW$1) + this.name$1) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
    };
    const x$11 = $m_Lscopt_Opt$();
    if ((x$11 === x1)) {
      rc11 = true;
      x7 = x1;
      if ((this.read__p1__Lscopt_Read().arity__I() === 2)) {
        const jsx$2 = $m_Lscopt_OptionDef$().WW$1;
        const this$1 = this.$$undshortOpt$1;
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const o = arg1;
          this$2 = new $c_s_Some().init___O((((("-" + o) + ":") + this.keyValueString__T()) + " | "))
        };
        return ((((((("" + jsx$2) + (this$2.isEmpty__Z() ? "" : this$2.get__O())) + this.fullName__T()) + ":") + this.keyValueString__T()) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
      }
    };
    if ((rc11 && (this.read__p1__Lscopt_Read().arity__I() === 1))) {
      const jsx$3 = $m_Lscopt_OptionDef$().WW$1;
      const this$3 = this.$$undshortOpt$1;
      let this$4;
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const o$3 = arg1$1;
        this$4 = new $c_s_Some().init___O((((("-" + o$3) + " ") + this.valueString__T()) + " | "))
      };
      return ((((((("" + jsx$3) + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + this.fullName__T()) + " ") + this.valueString__T()) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
    };
    if (rc11) {
      const jsx$4 = $m_Lscopt_OptionDef$().WW$1;
      const this$5 = this.$$undshortOpt$1;
      let this$6;
      if (this$5.isEmpty__Z()) {
        this$6 = $m_s_None$()
      } else {
        const arg1$2 = this$5.get__O();
        const o$4 = arg1$2;
        this$6 = new $c_s_Some().init___O((("-" + o$4) + " | "))
      };
      return ((((("" + jsx$4) + (this$6.isEmpty__Z() ? "" : this$6.get__O())) + this.fullName__T()) + $m_Lscopt_OptionDef$().NLTB$1) + this.$$unddesc$1)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  init___Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_Read(_parser, _id, _kind, _name, _shortOpt, _keyName, _valueName, _desc, _action, _validations, _configValidations, _parentId, _minOccurs, _maxOccurs, _isHidden, _fallback, evidence$13) {
    this.$$undparser$1 = _parser;
    this.$$undid$1 = _id;
    this.$$undkind$1 = _kind;
    this.$$undname$1 = _name;
    this.$$undshortOpt$1 = _shortOpt;
    this.$$undkeyName$1 = _keyName;
    this.$$undvalueName$1 = _valueName;
    this.$$unddesc$1 = _desc;
    this.$$undaction$1 = _action;
    this.$$undvalidations$1 = _validations;
    this.$$undconfigValidations$1 = _configValidations;
    this.$$undparentId$1 = _parentId;
    this.$$undminOccurs$1 = _minOccurs;
    this.$$undmaxOccurs$1 = _maxOccurs;
    this.$$undisHidden$1 = _isHidden;
    this.$$undfallback$1 = _fallback;
    this.evidence$13$1 = evidence$13;
    this.kind$1 = _kind;
    this.id$1 = _id;
    this.name$1 = _name;
    return this
  };
  shortDescription__T() {
    const x1 = this.kind$1;
    const x = $m_Lscopt_Opt$();
    if ((x === x1)) {
      return ("option " + this.fullName__T())
    } else {
      const x$3 = $m_Lscopt_Cmd$();
      if ((x$3 === x1)) {
        return ("command " + this.fullName__T())
      } else {
        return ("argument " + this.fullName__T())
      }
    }
  };
  abbr__T__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$91 = new $c_s_Some().init___O(x);
    const x$92 = this.$$undparser$1;
    const x$93 = this.$$undid$1;
    const x$94 = this.$$undkind$1;
    const x$95 = this.$$undname$1;
    const x$96 = this.$$undkeyName$1;
    const x$97 = this.$$undvalueName$1;
    const x$98 = this.$$unddesc$1;
    const x$99 = this.$$undaction$1;
    const x$100 = this.$$undvalidations$1;
    const x$101 = this.$$undconfigValidations$1;
    const x$102 = this.$$undparentId$1;
    const x$103 = this.$$undminOccurs$1;
    const x$104 = this.$$undmaxOccurs$1;
    const x$105 = this.$$undisHidden$1;
    const x$106 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$92, x$93, x$94, x$95, x$91, x$96, x$97, x$98, x$99, x$100, x$101, x$102, x$103, x$104, x$105, x$106), this.evidence$13$1)
  };
  valueString__T() {
    const this$1 = this.$$undvalueName$1;
    return (this$1.isEmpty__Z() ? $m_Lscopt_OptionDef$().defaultValueName$1 : this$1.get__O())
  };
  shortOptOrBlank__T() {
    const this$1 = this.$$undshortOpt$1;
    return (this$1.isEmpty__Z() ? "" : this$1.get__O())
  };
  usageColumn1__T() {
    let rc11 = false;
    let x7 = null;
    const x1 = this.kind$1;
    const x = $m_Lscopt_Head$();
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lscopt_Note$();
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lscopt_Check$();
        jsx$1 = (x$5 === x1)
      }
    };
    if (jsx$1) {
      return ""
    };
    const x$7 = $m_Lscopt_Cmd$();
    if ((x$7 === x1)) {
      return (("Command: " + this.$$undparser$1.commandExample__s_Option__T(new $c_s_Some().init___O(this))) + $m_Lscopt_OptionDef$().NL$1)
    };
    const x$9 = $m_Lscopt_Arg$();
    if ((x$9 === x1)) {
      return (("" + $m_Lscopt_OptionDef$().WW$1) + this.name$1)
    };
    const x$11 = $m_Lscopt_Opt$();
    if ((x$11 === x1)) {
      rc11 = true;
      x7 = x1;
      if ((this.read__p1__Lscopt_Read().arity__I() === 2)) {
        const jsx$2 = $m_Lscopt_OptionDef$().WW$1;
        const this$1 = this.$$undshortOpt$1;
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const o = arg1;
          this$2 = new $c_s_Some().init___O((("-" + o) + ", "))
        };
        return ((((("" + jsx$2) + (this$2.isEmpty__Z() ? "" : this$2.get__O())) + this.fullName__T()) + ":") + this.keyValueString__T())
      }
    };
    if ((rc11 && (this.read__p1__Lscopt_Read().arity__I() === 1))) {
      const jsx$3 = $m_Lscopt_OptionDef$().WW$1;
      const this$3 = this.$$undshortOpt$1;
      let this$4;
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const o$3 = arg1$1;
        this$4 = new $c_s_Some().init___O((("-" + o$3) + ", "))
      };
      return ((((("" + jsx$3) + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + this.fullName__T()) + " ") + this.valueString__T())
    };
    if (rc11) {
      const jsx$4 = $m_Lscopt_OptionDef$().WW$1;
      const this$5 = this.$$undshortOpt$1;
      let this$6;
      if (this$5.isEmpty__Z()) {
        this$6 = $m_s_None$()
      } else {
        const arg1$2 = this$5.get__O();
        const o$4 = arg1$2;
        this$6 = new $c_s_Some().init___O((("-" + o$4) + ", "))
      };
      return ((("" + jsx$4) + (this$6.isEmpty__Z() ? "" : this$6.get__O())) + this.fullName__T())
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  usageTwoColumn__I__T(col1Length) {
    let rc11 = false;
    let x7 = null;
    const x1 = this.kind$1;
    const x = $m_Lscopt_Head$();
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lscopt_Note$();
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lscopt_Check$();
        jsx$1 = (x$5 === x1)
      }
    };
    if (jsx$1) {
      return this.$$unddesc$1
    };
    const x$7 = $m_Lscopt_Cmd$();
    if ((x$7 === x1)) {
      return (("" + this.usageColumn1__T()) + this.$$unddesc$1)
    };
    const x$9 = $m_Lscopt_Arg$();
    if ((x$9 === x1)) {
      return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
    };
    const x$11 = $m_Lscopt_Opt$();
    if ((x$11 === x1)) {
      rc11 = true;
      x7 = x1;
      if ((this.read__p1__Lscopt_Read().arity__I() === 2)) {
        return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
      }
    };
    if ((rc11 && (this.read__p1__Lscopt_Read().arity__I() === 1))) {
      return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
    };
    if (rc11) {
      return (("" + this.spaceToDesc$1__p1__T__I__T((("" + this.usageColumn1__T()) + $m_Lscopt_OptionDef$().WW$1), col1Length)) + this.$$unddesc$1)
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  longOptTokens__T__I(arg) {
    if ((arg === this.fullName__T())) {
      const this$1 = this.read__p1__Lscopt_Read();
      return ((1 + $f_Lscopt_Read__tokensToRead__I(this$1)) | 0)
    } else {
      const prefix = (this.fullName__T() + ":");
      let jsx$1;
      if ((((arg.length | 0) >= 0) && (arg.substring(0, (prefix.length | 0)) === prefix))) {
        jsx$1 = true
      } else {
        const prefix$1 = (this.fullName__T() + "=");
        jsx$1 = (((arg.length | 0) >= 0) && (arg.substring(0, (prefix$1.length | 0)) === prefix$1))
      };
      if (jsx$1) {
        return 1
      } else {
        return 0
      }
    }
  };
  valueName__T__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$155 = new $c_s_Some().init___O(x);
    const x$156 = this.$$undparser$1;
    const x$157 = this.$$undid$1;
    const x$158 = this.$$undkind$1;
    const x$159 = this.$$undname$1;
    const x$160 = this.$$undshortOpt$1;
    const x$161 = this.$$undkeyName$1;
    const x$162 = this.$$unddesc$1;
    const x$163 = this.$$undaction$1;
    const x$164 = this.$$undvalidations$1;
    const x$165 = this.$$undconfigValidations$1;
    const x$166 = this.$$undparentId$1;
    const x$167 = this.$$undminOccurs$1;
    const x$168 = this.$$undmaxOccurs$1;
    const x$169 = this.$$undisHidden$1;
    const x$170 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$156, x$157, x$158, x$159, x$160, x$161, x$155, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$169, x$170), this.evidence$13$1)
  };
  parent__Lscopt_OptionDef__Lscopt_OptionDef(x) {
    const jsx$1 = this.$$undparser$1;
    const x$235 = new $c_s_Some().init___O(x.id$1);
    const x$236 = this.$$undparser$1;
    const x$237 = this.$$undid$1;
    const x$238 = this.$$undkind$1;
    const x$239 = this.$$undname$1;
    const x$240 = this.$$undshortOpt$1;
    const x$241 = this.$$undkeyName$1;
    const x$242 = this.$$undvalueName$1;
    const x$243 = this.$$unddesc$1;
    const x$244 = this.$$undaction$1;
    const x$245 = this.$$undvalidations$1;
    const x$246 = this.$$undconfigValidations$1;
    const x$247 = this.$$undminOccurs$1;
    const x$248 = this.$$undmaxOccurs$1;
    const x$249 = this.$$undisHidden$1;
    const x$250 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$236, x$237, x$238, x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$235, x$247, x$248, x$249, x$250), this.evidence$13$1)
  };
  validateConfig__F1__Lscopt_OptionDef(f) {
    const jsx$2 = this.$$undparser$1;
    const jsx$1 = this.$$undconfigValidations$1;
    const this$1 = $m_sc_Seq$();
    const x$43 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(f, this$1.ReusableCBFInstance$2);
    const x$44 = this.$$undparser$1;
    const x$45 = this.$$undid$1;
    const x$46 = this.$$undkind$1;
    const x$47 = this.$$undname$1;
    const x$48 = this.$$undshortOpt$1;
    const x$49 = this.$$undkeyName$1;
    const x$50 = this.$$undvalueName$1;
    const x$51 = this.$$unddesc$1;
    const x$52 = this.$$undaction$1;
    const x$53 = this.$$undvalidations$1;
    const x$54 = this.$$undparentId$1;
    const x$55 = this.$$undminOccurs$1;
    const x$56 = this.$$undmaxOccurs$1;
    const x$57 = this.$$undisHidden$1;
    const x$58 = this.$$undfallback$1;
    return jsx$2.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$44, x$45, x$46, x$47, x$48, x$49, x$50, x$51, x$52, x$53, x$43, x$54, x$55, x$56, x$57, x$58), this.evidence$13$1)
  };
  fullName__T() {
    const x1 = this.kind$1;
    const x = $m_Lscopt_Opt$();
    if ((x === x1)) {
      return ("--" + this.name$1)
    } else {
      return this.name$1
    }
  };
  maxOccurs__I__Lscopt_OptionDef(n) {
    const jsx$1 = this.$$undparser$1;
    const x$124 = this.$$undparser$1;
    const x$125 = this.$$undid$1;
    const x$126 = this.$$undkind$1;
    const x$127 = this.$$undname$1;
    const x$128 = this.$$undshortOpt$1;
    const x$129 = this.$$undkeyName$1;
    const x$130 = this.$$undvalueName$1;
    const x$131 = this.$$unddesc$1;
    const x$132 = this.$$undaction$1;
    const x$133 = this.$$undvalidations$1;
    const x$134 = this.$$undconfigValidations$1;
    const x$135 = this.$$undparentId$1;
    const x$136 = this.$$undminOccurs$1;
    const x$137 = this.$$undisHidden$1;
    const x$138 = this.$$undfallback$1;
    return jsx$1.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(this.copy__Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_OptionDef(x$124, x$125, x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$135, x$136, n, x$137, x$138), this.evidence$13$1)
  };
  hasParent__Z() {
    return this.$$undparentId$1.isDefined__Z()
  };
  init___Lscopt_OptionParser__Lscopt_OptionDefKind__T__Lscopt_Read(parser, kind, name, evidence$14) {
    const this$1 = $m_Lscopt_OptionDef$();
    const this$2 = this$1.atomic$1;
    const newValue = ((1 + this$2.java$util$concurrent$atomic$AtomicInteger$$value$f) | 0);
    this$2.java$util$concurrent$atomic$AtomicInteger$$value$f = newValue;
    $c_Lscopt_OptionDef.prototype.init___Lscopt_OptionParser__I__Lscopt_OptionDefKind__T__s_Option__s_Option__s_Option__T__F2__sc_Seq__sc_Seq__s_Option__I__I__Z__s_Option__Lscopt_Read.call(this, parser, newValue, kind, name, $m_s_None$(), $m_s_None$(), $m_s_None$(), "", new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(a$2, c$2) {
      return c$2
    })), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_s_None$(), 0, 1, false, $m_s_None$(), evidence$14);
    return this
  };
  spaceToDesc$1__p1__T__I__T(str, col1Length$1) {
    if (((str.length | 0) <= col1Length$1)) {
      const this$4 = new $c_sci_StringOps().init___T(" ");
      const n = ((col1Length$1 - (str.length | 0)) | 0);
      return (("" + str) + $f_sci_StringLike__$$times__I__T(this$4, n))
    } else {
      const this$7 = new $c_sci_StringOps().init___T(str);
      const thiz = $m_Lscopt_OptionDef$().WW$1;
      const n$1 = (thiz.length | 0);
      const jsx$2 = $f_sc_IndexedSeqOptimized__dropRight__I__O(this$7, n$1);
      const jsx$1 = $m_Lscopt_OptionDef$().NL$1;
      const this$9 = new $c_sci_StringOps().init___T(" ");
      return ((("" + jsx$2) + jsx$1) + $f_sci_StringLike__$$times__I__T(this$9, col1Length$1))
    }
  };
  shortOptTokens__T__I(arg) {
    let rc6 = false;
    let x2 = null;
    const x1 = this.$$undshortOpt$1;
    if ($is_s_Some(x1)) {
      rc6 = true;
      x2 = x1;
      if ((arg === ("-" + this.shortOptOrBlank__T()))) {
        const this$1 = this.read__p1__Lscopt_Read();
        return ((1 + $f_Lscopt_Read__tokensToRead__I(this$1)) | 0)
      }
    };
    let jsx$1;
    if (rc6) {
      const prefix = (("-" + this.shortOptOrBlank__T()) + ":");
      jsx$1 = (((arg.length | 0) >= 0) && (arg.substring(0, (prefix.length | 0)) === prefix))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return 1
    };
    let jsx$2;
    if (rc6) {
      const prefix$1 = (("-" + this.shortOptOrBlank__T()) + "=");
      jsx$2 = (((arg.length | 0) >= 0) && (arg.substring(0, (prefix$1.length | 0)) === prefix$1))
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      return 1
    };
    return 0
  };
  read__p1__Lscopt_Read() {
    const e = this.evidence$13$1;
    return e
  };
  hasFallback__Z() {
    return this.$$undfallback$1.isDefined__Z()
  };
  apply__I__sc_Seq__s_util_Either(i, args) {
    let jsx$1;
    if ((i >= args.length__I())) {
      jsx$1 = true
    } else {
      const x = this.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      jsx$1 = (!((x !== null) && (x === x$2)))
    };
    if (jsx$1) {
      $m_s_package$();
      return new $c_s_util_Left().init___O("Option does not match")
    } else {
      const x1 = args.apply__I__O(i);
      if (((this.longOptTokens__T__I(x1) === 2) || (this.shortOptTokens__T__I(x1) === 2))) {
        const this$2 = this.token__I__sc_Seq__s_Option(((1 + i) | 0), args);
        let this$4;
        if (this$2.isEmpty__Z()) {
          this$4 = $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$42 = arg1;
          $m_s_package$();
          this$4 = new $c_s_Some().init___O(new $c_s_util_Right().init___O(x$42))
        };
        if (this$4.isEmpty__Z()) {
          $m_s_package$();
          const value = ("Missing value after " + x1);
          return new $c_s_util_Left().init___O(value)
        } else {
          return this$4.get__O()
        }
      } else {
        let jsx$2;
        if ((this.longOptTokens__T__I(x1) === 1)) {
          const this$6 = this.read__p1__Lscopt_Read();
          jsx$2 = ($f_Lscopt_Read__tokensToRead__I(this$6) === 1)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          $m_s_package$();
          const this$9 = new $c_sci_StringOps().init___T(x1);
          const thiz = (this.fullName__T() + ":");
          const n = (thiz.length | 0);
          const $$this = this$9.repr$1;
          const until = ($$this.length | 0);
          const value$1 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$9.repr$1, n, until);
          return new $c_s_util_Right().init___O(value$1)
        } else {
          let jsx$3;
          if ((this.shortOptTokens__T__I(x1) === 1)) {
            const this$13 = this.read__p1__Lscopt_Read();
            jsx$3 = ($f_Lscopt_Read__tokensToRead__I(this$13) === 1)
          } else {
            jsx$3 = false
          };
          if (jsx$3) {
            $m_s_package$();
            const this$16 = new $c_sci_StringOps().init___T(x1);
            const thiz$1 = (("-" + this.shortOptOrBlank__T()) + ":");
            const n$1 = (thiz$1.length | 0);
            const $$this$1 = this$16.repr$1;
            const until$1 = ($$this$1.length | 0);
            const value$2 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$16.repr$1, n$1, until$1);
            return new $c_s_util_Right().init___O(value$2)
          } else {
            $m_s_package$();
            return new $c_s_util_Right().init___O("")
          }
        }
      }
    }
  };
  getFallback__O() {
    return this.$$undfallback$1.get__O().apply__O()
  };
}
const $is_Lscopt_OptionDef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lscopt_OptionDef)))
});
const $isArrayOf_Lscopt_OptionDef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lscopt_OptionDef)))
});
const $d_Lscopt_OptionDef = new $TypeData().initClass({
  Lscopt_OptionDef: 0
}, false, "scopt.OptionDef", {
  Lscopt_OptionDef: 1,
  O: 1
});
$c_Lscopt_OptionDef.prototype.$classData = $d_Lscopt_OptionDef;
class $c_Lscopt_OptionDef$ extends $c_O {
  constructor() {
    super();
    this.UNBOUNDED$1 = 0;
    this.NL$1 = null;
    this.WW$1 = null;
    this.TB$1 = null;
    this.NLTB$1 = null;
    this.NLNL$1 = null;
    this.column1MaxLength$1 = 0;
    this.defaultKeyName$1 = null;
    this.defaultValueName$1 = null;
    this.atomic$1 = null
  };
  init___() {
    $n_Lscopt_OptionDef$ = this;
    this.UNBOUNDED$1 = 2147483647;
    this.NL$1 = $m_Lscopt_platform$().$$undNL$1;
    this.WW$1 = "  ";
    this.TB$1 = "        ";
    this.NLTB$1 = (("" + this.NL$1) + this.TB$1);
    this.NLNL$1 = (("" + this.NL$1) + this.NL$1);
    const thiz = this.WW$1;
    this.column1MaxLength$1 = ((25 + (thiz.length | 0)) | 0);
    this.defaultKeyName$1 = "<key>";
    this.defaultValueName$1 = "<value>";
    this.atomic$1 = new $c_ju_concurrent_atomic_AtomicInteger().init___();
    return this
  };
}
const $d_Lscopt_OptionDef$ = new $TypeData().initClass({
  Lscopt_OptionDef$: 0
}, false, "scopt.OptionDef$", {
  Lscopt_OptionDef$: 1,
  O: 1
});
$c_Lscopt_OptionDef$.prototype.$classData = $d_Lscopt_OptionDef$;
let $n_Lscopt_OptionDef$ = (void 0);
const $m_Lscopt_OptionDef$ = (function() {
  if ((!$n_Lscopt_OptionDef$)) {
    $n_Lscopt_OptionDef$ = new $c_Lscopt_OptionDef$().init___()
  };
  return $n_Lscopt_OptionDef$
});
class $c_Lscopt_OptionParser extends $c_O {
  constructor() {
    super();
    this.programName$1 = null;
    this.options$1 = null;
    this.helpOptions$1 = null
  };
  optionsForRender__sci_List() {
    const this$1 = this.options$1;
    $m_scm_ListBuffer$();
    const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$3 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const o = arg1;
      const x = o.kind$1;
      const x$2 = $m_Lscopt_Head$();
      let jsx$1;
      if ((!((x !== null) && (x === x$2)))) {
        const x$3 = o.kind$1;
        const x$4 = $m_Lscopt_Check$();
        jsx$1 = (!((x$3 !== null) && (x$3 === x$4)))
      } else {
        jsx$1 = false
      };
      if (((jsx$1 && (!o.$$undisHidden$1)) !== false)) {
        b.$$plus$eq__O__scm_GrowingBuilder(arg1)
      };
      these = these.tail__O()
    };
    const unsorted = b.elems$1;
    $m_scm_ListBuffer$();
    const l = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    $m_scm_ListBuffer$();
    const r = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$6 = unsorted.scala$collection$mutable$ListBuffer$$start$6;
    let these$1 = this$6;
    while ((!these$1.isEmpty__Z())) {
      const arg1$1 = these$1.head__O();
      const x$16 = arg1$1;
      let this$7;
      if (x$16.hasParent__Z()) {
        this$7 = l
      } else {
        this$7 = r
      };
      this$7.$$plus$eq__O__scm_GrowingBuilder(arg1$1);
      these$1 = these$1.tail__O()
    };
    const _1 = l.elems$1;
    const _2 = r.elems$1;
    const p = _1;
    const np = _2;
    const this$8 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const _1$1 = this$8.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(p);
    const this$9 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const _2$1 = this$9.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(np);
    const remaining = _1$1;
    const sorted = _2$1;
    let elem$1 = false;
    elem$1 = true;
    while (((!remaining.isEmpty__Z()) && elem$1)) {
      elem$1 = false;
      const this$11 = sorted.scala$collection$mutable$ListBuffer$$start$6;
      let these$2 = this$11;
      while ((!these$2.isEmpty__Z())) {
        const arg1$2 = these$2.head__O();
        const parent = arg1$2;
        $m_scm_ListBuffer$();
        const b$1 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
        const this$13 = remaining.scala$collection$mutable$ListBuffer$$start$6;
        let these$3 = this$13;
        while ((!these$3.isEmpty__Z())) {
          const arg1$3 = these$3.head__O();
          const x$18 = arg1$3;
          const x$1 = x$18.$$undparentId$1;
          const x$2$1 = new $c_s_Some().init___O(parent.id$1);
          if ((((x$1 !== null) && x$1.equals__O__Z(x$2$1)) !== false)) {
            b$1.$$plus$eq__O__scm_GrowingBuilder(arg1$3)
          };
          these$3 = these$3.tail__O()
        };
        const childrenOfThisParent = b$1.elems$1;
        if (childrenOfThisParent.nonEmpty__Z()) {
          $f_scg_Shrinkable__$$minus$minus$eq__sc_TraversableOnce__scg_Shrinkable(remaining, childrenOfThisParent);
          const this$14 = sorted.scala$collection$mutable$ListBuffer$$start$6;
          sorted.insertAll__I__sc_Traversable__V(((1 + $f_sc_GenSeqLike__indexOf__O__I__I(this$14, parent, 0)) | 0), childrenOfThisParent);
          elem$1 = true
        };
        these$2 = these$2.tail__O()
      }
    };
    return sorted.toList__sci_List()
  };
  checks__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$29 = arg1;
      const x = x$29.kind$1;
      const x$2 = $m_Lscopt_Check$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  reportError__T__V(msg) {
    const this$1 = $m_s_Console$();
    this$1.errVar$2.v$1.println__T__V(("Error: " + msg))
  };
  heads__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$26 = arg1;
      const x = x$26.kind$1;
      const x$2 = $m_Lscopt_Head$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  oxford$1__p1__sci_List__T(xs) {
    if ($is_sci_$colon$colon(xs)) {
      const x2 = xs;
      const a = x2.head$5;
      const p3 = x2.tl$5;
      if ($is_sci_$colon$colon(p3)) {
        const x4 = p3;
        const b = x4.head$5;
        const p5 = x4.tl$5;
        const x = $m_sci_Nil$();
        if (x.equals__O__Z(p5)) {
          return ((a + " or ") + b)
        }
      }
    };
    const this$3 = $f_sc_LinearSeqOptimized__dropRight__I__sc_LinearSeqOptimized(xs, 2);
    const this$1 = xs.takeRight__I__sci_List(2);
    const elem = $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, "", ", or ", "");
    const this$2 = $m_sci_List$();
    const bf = this$2.ReusableCBFInstance$2;
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this$3, elem, bf).mkString__T__T(", ")
  };
  makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef(kind, name, evidence$11) {
    return this.updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(new $c_Lscopt_OptionDef().init___Lscopt_OptionParser__Lscopt_OptionDefKind__T__Lscopt_Read(this, kind, name, evidence$11), evidence$11)
  };
  parse__sc_Seq__O__s_Option(args, init) {
    let elem$1 = 0;
    elem$1 = 0;
    const this$2 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const xs = this.nonArgs__sc_Seq().filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$31$2) {
        const x$31 = x$31$2;
        return x$31.hasParent__Z()
      })
    })(this)));
    const pendingOptions = this$2.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs.seq__sc_TraversableOnce());
    const this$3 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const xs$1 = this.arguments__sc_Seq().filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$32$2) {
        const x$32 = x$32$2;
        return x$32.hasParent__Z()
      })
    })(this)));
    const pendingArgs = this$3.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs$1.seq__sc_TraversableOnce());
    const this$4 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const xs$2 = this.commands__sc_Seq().filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$33$2) {
        const x$33 = x$33$2;
        return x$33.hasParent__Z()
      })
    })(this)));
    const pendingCommands = this$4.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs$2.seq__sc_TraversableOnce());
    const occurrences = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()).withDefaultValue__O__scm_Map(0);
    let elem$1$1 = null;
    elem$1$1 = init;
    let elem$1$2 = false;
    elem$1$2 = false;
    while ((elem$1 < args.length__I())) {
      const this$7 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
      let x1;
      inlinereturn$17: {
        let these = this$7;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const x$38 = arg1;
          if ((x$38.tokensToRead__I__sc_Seq__I(elem$1, args) > 0)) {
            x1 = new $c_s_Some().init___O(these.head__O());
            break inlinereturn$17
          };
          these = these.tail__O()
        };
        x1 = $m_s_None$()
      };
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const option = x2.value$2;
        this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(option, pendingOptions, occurrences);
        const x1$2 = option.apply__I__sc_Seq__s_util_Either(elem$1, args);
        if ($is_s_util_Right(x1$2)) {
          const x2$2 = x1$2;
          const v = x2$2.value$2;
          const x1$1 = option.applyArgument__T__O__s_util_Either(v, elem$1$1);
          if ($is_s_util_Right(x1$1)) {
            const x2$1 = x1$1;
            const c = x2$1.value$2;
            elem$1$1 = c;
            this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(option, pendingOptions, pendingArgs, pendingCommands)
          } else if ($is_s_util_Left(x1$1)) {
            const x3 = x1$1;
            const xs$3 = x3.value$2;
            elem$1$2 = true;
            xs$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(msg$2) {
                const msg = msg$2;
                $this$1.reportError__T__V(msg)
              })
            })(this)))
          } else {
            throw new $c_s_MatchError().init___O(x1$1)
          }
        } else if ($is_s_util_Left(x1$2)) {
          const x3$1 = x1$2;
          const outOfBounds = x3$1.value$2;
          elem$1$2 = true;
          this.reportError__T__V(outOfBounds)
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        if ((option.tokensToRead__I__sc_Seq__I(elem$1, args) > 1)) {
          elem$1 = ((elem$1 + (((-1) + option.tokensToRead__I__sc_Seq__I(elem$1, args)) | 0)) | 0)
        }
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const x1$3 = args.apply__I__O(elem$1);
          if ((((x1$3.length | 0) >= 0) && (x1$3.substring(0, ("--".length | 0)) === "--"))) {
            const msg$1 = ("Unknown option " + x1$3);
            elem$1$2 = true;
            this.reportError__T__V(msg$1)
          } else if ((((x1$3.length | 0) >= 0) && (x1$3.substring(0, ("-".length | 0)) === "-"))) {
            if ((x1$3 === "-")) {
              const msg$3 = ("Unknown option " + x1$3);
              elem$1$2 = true;
              this.reportError__T__V(msg$3)
            } else {
              const this$19 = new $c_sci_StringOps().init___T(x1$3);
              const $$this = this$19.repr$1;
              const until = ($$this.length | 0);
              let g0 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$19.repr$1, 1, until);
              _handleShortOptions: while (true) {
                const x$1 = g0;
                const this$24 = new $c_sci_StringOps().init___T(x$1);
                const $$this$1 = this$24.repr$1;
                const end = (((-1) + ($$this$1.length | 0)) | 0);
                const isEmpty$4 = (end < 0);
                let scala$collection$immutable$Range$$numRangeElements$4;
                if (isEmpty$4) {
                  scala$collection$immutable$Range$$numRangeElements$4 = 0
                } else {
                  const hi = (end >> 31);
                  const lo = ((1 + end) | 0);
                  const hi$1 = ((lo === 0) ? ((1 + hi) | 0) : hi);
                  scala$collection$immutable$Range$$numRangeElements$4 = (((hi$1 === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi$1 > 0)) ? (-1) : lo)
                };
                const g0$1 = g0;
                $m_sci_IndexedSeq$();
                $m_sc_IndexedSeq$();
                $m_sci_IndexedSeq$();
                $m_sci_Vector$();
                const b = new $c_sci_VectorBuilder().init___();
                if ((scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
                  $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(0, end, 1, true)
                };
                switch (scala$collection$immutable$Range$$numRangeElements$4) {
                  case (-1): {
                    break
                  }
                };
                if ((!isEmpty$4)) {
                  let i = 0;
                  while (true) {
                    const arg1$1 = i;
                    const this$34 = new $c_sci_StringOps().init___T(g0$1);
                    const $$this$2 = this$34.repr$1;
                    const endIndex = ((($$this$2.length | 0) - arg1$1) | 0);
                    const elem = g0$1.substring(0, endIndex);
                    b.$$plus$eq__O__sci_VectorBuilder(elem);
                    if ((i === end)) {
                      break
                    };
                    i = ((1 + i) | 0)
                  }
                };
                const gs = b.result__sci_Vector();
                $m_sci_IndexedSeq$();
                $m_sc_IndexedSeq$();
                $m_sci_Vector$();
                const b$1 = new $c_sci_VectorBuilder().init___();
                const this$41 = gs.iterator__sci_VectorIterator();
                while (this$41.$$undhasNext$2) {
                  const arg1$2 = this$41.next__O();
                  const g = arg1$2;
                  const this$42 = $m_scm_ListBuffer$();
                  const bf$2 = this$42.ReusableCBFInstance$2;
                  const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(pendingOptions, bf$2);
                  const this$43 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
                  let these$1 = this$43;
                  while ((!these$1.isEmpty__Z())) {
                    const arg1$3 = these$1.head__O();
                    const x$35 = arg1$3;
                    b$2.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(g, x$35));
                    these$1 = these$1.tail__O()
                  };
                  const this$44 = b$2.result__O();
                  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b$1, this$44)
                };
                const this$45 = b$1.result__sci_Vector();
                const this$46 = this$45.iterator__sci_VectorIterator();
                let x1$4;
                inlinereturn$160: {
                  while (this$46.$$undhasNext$2) {
                    const a = this$46.next__O();
                    const x0$4 = a;
                    if ((x0$4 === null)) {
                      throw new $c_s_MatchError().init___O(x0$4)
                    };
                    const g$1 = x0$4.$$und1__O();
                    const opt = x0$4.$$und2__O();
                    if ((opt.shortOptTokens__T__I(("-" + g$1)) === 1)) {
                      x1$4 = new $c_s_Some().init___O(a);
                      break inlinereturn$160
                    }
                  };
                  x1$4 = $m_s_None$()
                };
                if ($is_s_Some(x1$4)) {
                  const x2$3 = x1$4;
                  const p = x2$3.value$2;
                  if ((p === null)) {
                    throw new $c_s_MatchError().init___O(p)
                  };
                  const g$3 = p.$$und1__O();
                  const option$1 = p.$$und2__O();
                  this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(option$1, pendingOptions, occurrences);
                  const x1$5 = option$1.applyArgument__T__O__s_util_Either("", elem$1$1);
                  if ($is_s_util_Right(x1$5)) {
                    const x2$4 = x1$5;
                    const c$1 = x2$4.value$2;
                    elem$1$1 = c$1;
                    this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(option$1, pendingOptions, pendingArgs, pendingCommands)
                  } else if ($is_s_util_Left(x1$5)) {
                    const x3$2 = x1$5;
                    const xs$4 = x3$2.value$2;
                    elem$1$2 = true;
                    xs$4.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
                      return (function(msg$2$1) {
                        const msg$4 = msg$2$1;
                        $this$2.reportError__T__V(msg$4)
                      })
                    })(this)))
                  } else {
                    throw new $c_s_MatchError().init___O(x1$5)
                  };
                  const x$2 = g0;
                  const this$52 = new $c_sci_StringOps().init___T(x$2);
                  const this$49 = new $c_sci_StringOps().init___T(g$3);
                  const $$this$3 = this$49.repr$1;
                  const n = ($$this$3.length | 0);
                  const $$this$4 = this$52.repr$1;
                  const until$1 = ($$this$4.length | 0);
                  const x$2$1 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$52.repr$1, n, until$1);
                  if ((!((x$2$1 !== null) && (x$2$1 === "")))) {
                    const x$3 = g0;
                    const this$60 = new $c_sci_StringOps().init___T(x$3);
                    const this$57 = new $c_sci_StringOps().init___T(g$3);
                    const $$this$5 = this$57.repr$1;
                    const n$1 = ($$this$5.length | 0);
                    const $$this$6 = this$60.repr$1;
                    const until$2 = ($$this$6.length | 0);
                    g0 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$60.repr$1, n$1, until$2);
                    continue _handleShortOptions
                  }
                } else {
                  const x$4 = $m_s_None$();
                  if ((!(x$4 === x1$4))) {
                    throw new $c_s_MatchError().init___O(x1$4)
                  };
                  const msg$5 = ("Unknown option -" + g0);
                  elem$1$2 = true;
                  this.reportError__T__V(msg$5)
                };
                break
              }
            }
          } else if (this.findCommand$1__p1__T__scm_ListBuffer__s_Option(x1$3, pendingCommands).isDefined__Z()) {
            const cmd = this.findCommand$1__p1__T__scm_ListBuffer__s_Option(x1$3, pendingCommands).get__O();
            this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(cmd, pendingCommands, occurrences);
            const x1$6 = cmd.applyArgument__T__O__s_util_Either("", elem$1$1);
            if ($is_s_util_Right(x1$6)) {
              const x2$5 = x1$6;
              const c$2 = x2$5.value$2;
              elem$1$1 = c$2;
              this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(cmd, pendingOptions, pendingArgs, pendingCommands)
            } else if ($is_s_util_Left(x1$6)) {
              const x3$3 = x1$6;
              const xs$5 = x3$3.value$2;
              elem$1$2 = true;
              xs$5.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
                return (function(msg$2$2) {
                  const msg$6 = msg$2$2;
                  $this$3.reportError__T__V(msg$6)
                })
              })(this)))
            } else {
              throw new $c_s_MatchError().init___O(x1$6)
            }
          } else if (pendingArgs.isEmpty__Z()) {
            const msg$7 = (("Unknown argument '" + x1$3) + "'");
            elem$1$2 = true;
            this.reportError__T__V(msg$7)
          } else {
            const first = pendingArgs.scala$collection$mutable$ListBuffer$$start$6.head__O();
            this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(first, pendingArgs, occurrences);
            const x1$7 = first.applyArgument__T__O__s_util_Either(x1$3, elem$1$1);
            if ($is_s_util_Right(x1$7)) {
              const x2$6 = x1$7;
              const c$3 = x2$6.value$2;
              elem$1$1 = c$3;
              this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(first, pendingOptions, pendingArgs, pendingCommands)
            } else if ($is_s_util_Left(x1$7)) {
              const x3$4 = x1$7;
              const xs$6 = x3$4.value$2;
              elem$1$2 = true;
              xs$6.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
                return (function(msg$2$3) {
                  const msg$8 = msg$2$3;
                  $this$4.reportError__T__V(msg$8)
                })
              })(this)))
            } else {
              throw new $c_s_MatchError().init___O(x1$7)
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      };
      elem$1 = ((1 + elem$1) | 0)
    };
    $m_scm_ListBuffer$();
    const b$3 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$64 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
    let these$2 = this$64;
    while ((!these$2.isEmpty__Z())) {
      const arg1$4 = these$2.head__O();
      const x$39 = arg1$4;
      if ((x$39.hasFallback__Z() !== false)) {
        b$3.$$plus$eq__O__scm_GrowingBuilder(arg1$4)
      };
      these$2 = these$2.tail__O()
    };
    const this$65 = b$3.elems$1;
    const this$66 = this$65.scala$collection$mutable$ListBuffer$$start$6;
    let these$3 = this$66;
    while ((!these$3.isEmpty__Z())) {
      const arg1$5 = these$3.head__O();
      const opt$1 = arg1$5;
      const fallback = opt$1.getFallback__O();
      if ((fallback !== null)) {
        this.handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(opt$1, pendingOptions, occurrences);
        const arg = $objectToString(fallback);
        const x1$8 = opt$1.applyArgument__T__O__s_util_Either(arg, elem$1$1);
        if ($is_s_util_Right(x1$8)) {
          const x2$7 = x1$8;
          const c$4 = x2$7.value$2;
          elem$1$1 = c$4;
          this.pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(opt$1, pendingOptions, pendingArgs, pendingCommands)
        } else if ($is_s_util_Left(x1$8)) {
          const x3$5 = x1$8;
          const xs$7 = x3$5.value$2;
          elem$1$2 = true;
          xs$7.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5) {
            return (function(msg$2$4) {
              const msg$9 = msg$2$4;
              $this$5.reportError__T__V(msg$9)
            })
          })(this)))
        } else {
          throw new $c_s_MatchError().init___O(x1$8)
        }
      };
      these$3 = these$3.tail__O()
    };
    $m_scm_ListBuffer$();
    const b$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$68 = pendingOptions.scala$collection$mutable$ListBuffer$$start$6;
    let these$4 = this$68;
    while ((!these$4.isEmpty__Z())) {
      const arg1$6 = these$4.head__O();
      const opt$3 = arg1$6;
      if (((opt$3.$$undminOccurs$1 > (occurrences.apply__O__O(opt$3) | 0)) !== false)) {
        b$4.$$plus$eq__O__scm_GrowingBuilder(arg1$6)
      };
      these$4 = these$4.tail__O()
    };
    const this$69 = b$4.elems$1;
    const this$70 = this$69.scala$collection$mutable$ListBuffer$$start$6;
    let these$5 = this$70;
    while ((!these$5.isEmpty__Z())) {
      const arg1$7 = these$5.head__O();
      const opt$4 = arg1$7;
      if ((opt$4.$$undminOccurs$1 === 1)) {
        this.reportError__T__V(("Missing " + opt$4.shortDescription__T()))
      } else {
        const x$5 = opt$4.shortDescription__T();
        const this$72 = new $c_sci_StringOps().init___T(x$5);
        this.reportError__T__V(((($f_sci_StringLike__capitalize__T(this$72) + " must be given ") + opt$4.$$undminOccurs$1) + " times"))
      };
      elem$1$2 = true;
      these$5 = these$5.tail__O()
    };
    $m_scm_ListBuffer$();
    const b$5 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$74 = pendingArgs.scala$collection$mutable$ListBuffer$$start$6;
    let these$6 = this$74;
    while ((!these$6.isEmpty__Z())) {
      const arg1$8 = these$6.head__O();
      const arg$1 = arg1$8;
      if (((arg$1.$$undminOccurs$1 > (occurrences.apply__O__O(arg$1) | 0)) !== false)) {
        b$5.$$plus$eq__O__scm_GrowingBuilder(arg1$8)
      };
      these$6 = these$6.tail__O()
    };
    const this$75 = b$5.elems$1;
    const this$76 = this$75.scala$collection$mutable$ListBuffer$$start$6;
    let these$7 = this$76;
    while ((!these$7.isEmpty__Z())) {
      const arg1$9 = these$7.head__O();
      const arg$3 = arg1$9;
      if ((arg$3.$$undminOccurs$1 === 1)) {
        this.reportError__T__V(("Missing " + arg$3.shortDescription__T()))
      } else {
        const x$7 = arg$3.shortDescription__T();
        const this$78 = new $c_sci_StringOps().init___T(x$7);
        this.reportError__T__V(((($f_sci_StringLike__capitalize__T(this$78) + "' must be given ") + arg$3.$$undminOccurs$1) + " times"))
      };
      elem$1$2 = true;
      these$7 = these$7.tail__O()
    };
    const c$5 = elem$1$1;
    const jsx$3 = $m_Lscopt_Validation$();
    const jsx$2 = this.checks__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6) {
      return (function(x$37$2) {
        const x$37 = x$37$2;
        return x$37.$$undconfigValidations$1
      })
    })(this));
    const this$79 = $m_sc_Seq$();
    const x1$9 = jsx$3.validateValue__sc_Seq__O__s_util_Either(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$79.ReusableCBFInstance$2), c$5);
    if ((!$is_s_util_Right(x1$9))) {
      if ($is_s_util_Left(x1$9)) {
        const x3$6 = x1$9;
        const xs$8 = x3$6.value$2;
        elem$1$2 = true;
        xs$8.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
          return (function(msg$2$5) {
            const msg$10 = msg$2$5;
            this$2$2.reportError__T__V(msg$10)
          })
        })(this)))
      } else {
        throw new $c_s_MatchError().init___O(x1$9)
      }
    };
    if (elem$1$2) {
      if (this.helpOptions$1.isEmpty__Z()) {
        const this$80 = $m_s_Console$();
        this$80.errVar$2.v$1.println__T__V(this.renderUsage__Lscopt_RenderingMode__T($m_Lscopt_RenderingMode$TwoColumns$()))
      } else {
        this.showTryHelp__V()
      };
      return $m_s_None$()
    } else {
      return new $c_s_Some().init___O(elem$1$1)
    }
  };
  checkConfig__F1__Lscopt_OptionDef(f) {
    return this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Check$(), "", $m_Lscopt_Read$().unitRead$1).validateConfig__F1__Lscopt_OptionDef(f)
  };
  commandExample__s_Option__T(cmd) {
    const text = new $c_scm_ListBuffer().init___();
    let this$1;
    if (cmd.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = cmd.get__O();
      const cmd$2 = arg1;
      this$1 = new $c_s_Some().init___O(this.commandName__Lscopt_OptionDef__T(cmd$2))
    };
    text.$$plus$eq__O__scm_ListBuffer((this$1.isEmpty__Z() ? this.programName$1 : this$1.get__O()));
    let parentId;
    if (cmd.isEmpty__Z()) {
      parentId = $m_s_None$()
    } else {
      const arg1$1 = cmd.get__O();
      const x$19 = arg1$1;
      parentId = new $c_s_Some().init___O(x$19.id$1)
    };
    const cs = this.commands__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, parentId$1) {
      return (function(x$20$2) {
        const x$20 = x$20$2;
        const x = x$20.$$undparentId$1;
        return ((x === null) ? (parentId$1 === null) : x.equals__O__Z(parentId$1))
      })
    })(this, parentId)));
    if (cs.nonEmpty__Z()) {
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5) {
        return (function(x$21$2) {
          const x$21 = x$21$2;
          return x$21.name$1
        })
      })(this));
      const this$2 = $m_sc_Seq$();
      text.$$plus$eq__O__scm_ListBuffer(cs.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).mkString__T__T__T__T("[", "|", "]"))
    };
    const this$3 = this.options$1;
    const this$6 = this$3.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$6;
    while ((!these.isEmpty__Z())) {
      const arg1$2 = these.head__O();
      const x0$1 = arg1$2;
      const x$1 = x0$1.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      let jsx$2;
      if (((x$1 !== null) && (x$1 === x$2))) {
        const x$3 = x0$1.$$undparentId$1;
        jsx$2 = ((x$3 === null) ? (parentId === null) : x$3.equals__O__Z(parentId))
      } else {
        jsx$2 = false
      };
      if ((jsx$2 !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1$2)
      };
      these = these.tail__O()
    };
    const os = b.toList__sci_List();
    const as = this.arguments__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, parentId$2) {
      return (function(x$22$2) {
        const x$22 = x$22$2;
        const x$4 = x$22.$$undparentId$1;
        return ((x$4 === null) ? (parentId$2 === null) : x$4.equals__O__Z(parentId$2))
      })
    })(this, parentId)));
    if ($f_sc_TraversableOnce__nonEmpty__Z(os)) {
      text.$$plus$eq__O__scm_ListBuffer("[options]")
    };
    if (cs.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        return this$8.arguments__sc_Seq().exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x1) {
          return (function(x$23$2) {
            const x$23 = x$23$2;
            const x$5 = x$23.$$undparentId$1;
            const x$2$1 = new $c_s_Some().init___O(x1.id$1);
            return ((x$5 !== null) && x$5.equals__O__Z(x$2$1))
          })
        })(this$8, x0$2)))
      })
    })(this)))) {
      text.$$plus$eq__O__scm_ListBuffer("<args>...")
    } else if (as.nonEmpty__Z()) {
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
        return (function(x$24$2) {
          const x$24 = x$24$2;
          return x$24.argName__T()
        })
      })(this));
      const this$10 = $m_sc_Seq$();
      text.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(as.map__F1__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2))
    };
    const this$11 = text.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$11, "", " ", "")
  };
  commandName__Lscopt_OptionDef__T(cmd) {
    const this$1 = cmd.$$undparentId$1;
    let this$4;
    if (this$1.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x = (arg1 | 0);
      const this$2 = this.commands__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x$1) {
        return (function(x$25$2) {
          const x$25 = x$25$2;
          return (x$25.id$1 === x$1)
        })
      })(this, x)));
      let this$3;
      if (this$2.isEmpty__Z()) {
        this$3 = $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const cmd$1 = arg1$1;
        this$3 = new $c_s_Some().init___O(this.commandName__Lscopt_OptionDef__T(cmd$1))
      };
      this$4 = new $c_s_Some().init___O(((this$3.isEmpty__Z() ? "" : this$3.get__O()) + " "))
    };
    return (("" + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + cmd.name$1)
  };
  commands__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$28 = arg1;
      const x = x$28.kind$1;
      const x$2 = $m_Lscopt_Cmd$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  pushChildren$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_ListBuffer__scm_ListBuffer__V(opt, pendingOptions$1, pendingArgs$1, pendingCommands$1) {
    pendingCommands$1.clear__V();
    pendingOptions$1.insertAll__I__sc_Traversable__V(0, this.nonArgs__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pendingOptions$1$1, opt$1) {
      return (function(x$2) {
        const x = x$2;
        const x$2$1 = x.$$undparentId$1;
        const x$3 = new $c_s_Some().init___O(opt$1.id$1);
        if (((x$2$1 !== null) && x$2$1.equals__O__Z(x$3))) {
          const this$1 = pendingOptions$1$1.scala$collection$mutable$ListBuffer$$start$6;
          return (!$f_sc_LinearSeqOptimized__contains__O__Z(this$1, x))
        } else {
          return false
        }
      })
    })(this, pendingOptions$1, opt))));
    pendingArgs$1.insertAll__I__sc_Traversable__V(0, this.arguments__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, pendingArgs$1$1, opt$2) {
      return (function(x$3$2) {
        const x$3$1 = x$3$2;
        const x$2$2 = x$3$1.$$undparentId$1;
        const x$3$3 = new $c_s_Some().init___O(opt$2.id$1);
        if (((x$2$2 !== null) && x$2$2.equals__O__Z(x$3$3))) {
          const this$3 = pendingArgs$1$1.scala$collection$mutable$ListBuffer$$start$6;
          return (!$f_sc_LinearSeqOptimized__contains__O__Z(this$3, x$3$1))
        } else {
          return false
        }
      })
    })(this, pendingArgs$1, opt))));
    pendingCommands$1.insertAll__I__sc_Traversable__V(0, this.commands__sc_Seq().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, pendingCommands$1$1, opt$3) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const x$2$3 = x$4.$$undparentId$1;
        const x$3$4 = new $c_s_Some().init___O(opt$3.id$1);
        if (((x$2$3 !== null) && x$2$3.equals__O__Z(x$3$4))) {
          const this$4 = pendingCommands$1$1.scala$collection$mutable$ListBuffer$$start$6;
          return (!$f_sc_LinearSeqOptimized__contains__O__Z(this$4, x$4))
        } else {
          return false
        }
      })
    })(this, pendingCommands$1, opt))))
  };
  findCommand$1__p1__T__scm_ListBuffer__s_Option(cmd, pendingCommands$1) {
    const this$1 = pendingCommands$1.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$34 = arg1;
      if ((x$34.name$1 === cmd)) {
        return new $c_s_Some().init___O(these.head__O())
      };
      these = these.tail__O()
    };
    return $m_s_None$()
  };
  showTryHelp__V() {
    const this$1 = $m_s_Console$();
    const jsx$2 = this$1.errVar$2.v$1;
    const this$3 = this.helpOptions$1.toList__sci_List();
    const f = (function($this) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return x$11.fullName__T()
      })
    })(this);
    const this$2 = $m_sci_List$();
    const bf = this$2.ReusableCBFInstance$2;
    let jsx$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$3 === $m_sci_Nil$())) {
        jsx$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$3.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$3.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$3, bf);
      let these = this$3;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$1 = b.result__O()
    };
    jsx$2.println__T__V((("Try " + this.oxford$1__p1__sci_List__T(jsx$1)) + " for more information."))
  };
  handleOccurrence$1__p1__Lscopt_OptionDef__scm_ListBuffer__scm_Map__V(opt, pending, occurrences$1) {
    occurrences$1.update__O__O__V(opt, ((1 + (occurrences$1.apply__O__O(opt) | 0)) | 0));
    if (((occurrences$1.apply__O__O(opt) | 0) >= opt.$$undmaxOccurs$1)) {
      pending.$$minus$eq__O__scm_ListBuffer(opt)
    }
  };
  renderTwoColumnsUsage__T() {
    const xs = this.optionsForRender__sci_List();
    const x$1 = $m_Lscopt_OptionDef$().column1MaxLength$1;
    const f = (function($this) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        const thiz = x$14.usageColumn1__T();
        const jsx$1 = thiz.length;
        const thiz$1 = $m_Lscopt_OptionDef$().WW$1;
        return (((jsx$1 | 0) + (thiz$1.length | 0)) | 0)
      })
    })(this);
    const this$3 = $m_sci_List$();
    const bf = this$3.ReusableCBFInstance$2;
    let x1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((xs === $m_sci_Nil$())) {
        x1 = $m_sci_Nil$()
      } else {
        const arg1 = xs.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = xs.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        x1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(xs, bf);
      let these = xs;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      x1 = b.result__O()
    };
    const x = $m_sci_Nil$();
    let y;
    if (x.equals__O__Z(x1)) {
      y = 0
    } else {
      const cmp = $m_s_math_Ordering$Int$();
      y = ($f_sc_TraversableOnce__max__s_math_Ordering__O(x1, cmp) | 0)
    };
    const col1Len = ((x$1 < y) ? x$1 : y);
    const f$1 = (function(this$2$1, col1Len$1) {
      return (function(x$15$2) {
        const x$15 = x$15$2;
        return x$15.usageTwoColumn__I__T(col1Len$1)
      })
    })(this, col1Len);
    const this$6 = $m_sci_List$();
    const bf$1 = this$6.ReusableCBFInstance$2;
    let descriptions;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((xs === $m_sci_Nil$())) {
        descriptions = $m_sci_Nil$()
      } else {
        const arg1$3 = xs.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = xs.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        descriptions = h$1
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(xs, bf$1);
      let these$1 = xs;
      while ((!these$1.isEmpty__Z())) {
        const arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        these$1 = these$1.tail__O()
      };
      descriptions = b$1.result__O()
    };
    const jsx$4 = ((this.header__T() === "") ? "" : (("" + this.header__T()) + $m_Lscopt_OptionDef$().NL$1));
    const jsx$3 = this.commandExample__s_Option__T($m_s_None$());
    const jsx$2 = $m_Lscopt_OptionDef$().NLNL$1;
    const sep = $m_Lscopt_OptionDef$().NL$1;
    return ((((jsx$4 + "Usage: ") + jsx$3) + jsx$2) + $f_sc_TraversableOnce__mkString__T__T__T__T(descriptions, "", sep, ""))
  };
  header__T() {
    const jsx$2 = this.heads__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        return x$12.usage__T()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).mkString__T__T($m_Lscopt_OptionDef$().NL$1)
  };
  init___T(programName) {
    this.programName$1 = programName;
    this.options$1 = new $c_scm_ListBuffer().init___();
    this.helpOptions$1 = new $c_scm_ListBuffer().init___();
    return this
  };
  renderOneColumnUsage__T() {
    const this$2 = this.optionsForRender__sci_List();
    const f = (function($this) {
      return (function(x$13$2) {
        const x$13 = x$13$2;
        return x$13.usage__T()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let descriptions;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        descriptions = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        descriptions = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      descriptions = b.result__O()
    };
    const jsx$3 = ((this.header__T() === "") ? "" : (("" + this.header__T()) + $m_Lscopt_OptionDef$().NL$1));
    const jsx$2 = this.commandExample__s_Option__T($m_s_None$());
    const jsx$1 = $m_Lscopt_OptionDef$().NLNL$1;
    const sep = $m_Lscopt_OptionDef$().NL$1;
    return ((((jsx$3 + "Usage: ") + jsx$2) + jsx$1) + $f_sc_TraversableOnce__mkString__T__T__T__T(descriptions, "", sep, ""))
  };
  arguments__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$27 = arg1;
      const x = x$27.kind$1;
      const x$2 = $m_Lscopt_Arg$();
      if ((((x !== null) && (x === x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  nonArgs__sc_Seq() {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x0$3 = arg1;
      const x = x0$3.kind$1;
      const x$2 = $m_Lscopt_Opt$();
      let jsx$1;
      if (((x !== null) && (x === x$2))) {
        jsx$1 = true
      } else {
        const x$3 = x0$3.kind$1;
        const x$4 = $m_Lscopt_Note$();
        jsx$1 = ((x$3 !== null) && (x$3 === x$4))
      };
      if ((jsx$1 !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    return b.toList__sci_List()
  };
  updateOption__Lscopt_OptionDef__Lscopt_Read__Lscopt_OptionDef(option, evidence$12) {
    const this$1 = this.options$1;
    const this$2 = this$1.scala$collection$mutable$ListBuffer$$start$6;
    let idx;
    inlinereturn$7: {
      let i = 0;
      let these = this$2.drop__I__sci_List(0);
      while (true) {
        const this$5 = these;
        if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
          const arg1 = these.head__O();
          const x$30 = arg1;
          if ((x$30.id$1 === option.id$1)) {
            idx = i;
            break inlinereturn$7
          };
          i = ((1 + i) | 0);
          these = these.tail__O()
        } else {
          break
        }
      };
      idx = (-1)
    };
    if ((idx > (-1))) {
      this.options$1.update__I__O__V(idx, option)
    } else {
      this.options$1.$$plus$eq__O__scm_ListBuffer(option)
    };
    return option
  };
  arg__T__Lscopt_Read__Lscopt_OptionDef(name, evidence$10) {
    const this$1 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Arg$(), name, evidence$10);
    return this$1.minOccurs__I__Lscopt_OptionDef(1)
  };
  renderUsage__Lscopt_RenderingMode__T(mode) {
    const x = $m_Lscopt_RenderingMode$OneColumn$();
    if ((x === mode)) {
      return this.renderOneColumnUsage__T()
    } else {
      const x$3 = $m_Lscopt_RenderingMode$TwoColumns$();
      if ((x$3 === mode)) {
        return this.renderTwoColumnsUsage__T()
      } else {
        throw new $c_s_MatchError().init___O(mode)
      }
    }
  };
}
class $c_Lscopt_Validation$ extends $c_O {
  init___() {
    return this
  };
  validateValue__sc_Seq__O__s_util_Either(vs, value) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, value$1) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        return x$9.apply__O__O(value$1)
      })
    })(this, value));
    const this$1 = $m_sc_Seq$();
    const results = vs.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $m_Lscopt_OptionDef$();
    $m_s_package$();
    const x$10 = new $c_s_util_Right().init___O((void 0));
    return results.$$div$colon__O__F2__O(x$10, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(acc$2, r$2) {
        const acc = acc$2;
        const r = r$2;
        let jsx$3;
        if ($is_s_util_Right(acc)) {
          jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
        } else {
          if ((!$is_s_util_Left(acc))) {
            throw new $c_s_MatchError().init___O(acc)
          };
          const x4 = acc;
          const xs = x4.value$2;
          jsx$3 = xs
        };
        let jsx$2;
        if ($is_s_util_Right(r)) {
          jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
        } else {
          if ((!$is_s_util_Left(r))) {
            throw new $c_s_MatchError().init___O(r)
          };
          const x4$2 = r;
          const x = x4$2.value$2;
          jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x]))
        };
        const this$4 = $m_sc_Seq$();
        const x1$3 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2);
        $m_sc_Seq$();
        const o7 = new $c_s_Some().init___O(x1$3);
        if (((o7.value$2 !== null) && (o7.value$2.lengthCompare__I__I(0) === 0))) {
          return acc
        };
        $m_s_package$();
        return new $c_s_util_Left().init___O(x1$3)
      })
    })(this)))
  };
}
const $d_Lscopt_Validation$ = new $TypeData().initClass({
  Lscopt_Validation$: 0
}, false, "scopt.Validation$", {
  Lscopt_Validation$: 1,
  O: 1
});
$c_Lscopt_Validation$.prototype.$classData = $d_Lscopt_Validation$;
let $n_Lscopt_Validation$ = (void 0);
const $m_Lscopt_Validation$ = (function() {
  if ((!$n_Lscopt_Validation$)) {
    $n_Lscopt_Validation$ = new $c_Lscopt_Validation$().init___()
  };
  return $n_Lscopt_Validation$
});
class $c_Lscopt_platform$ extends $c_O {
  constructor() {
    super();
    this.$$undNL$1 = null
  };
  init___() {
    $n_Lscopt_platform$ = this;
    this.$$undNL$1 = $i_os.EOL;
    return this
  };
}
const $d_Lscopt_platform$ = new $TypeData().initClass({
  Lscopt_platform$: 0
}, false, "scopt.platform$", {
  Lscopt_platform$: 1,
  O: 1
});
$c_Lscopt_platform$.prototype.$classData = $d_Lscopt_platform$;
let $n_Lscopt_platform$ = (void 0);
const $m_Lscopt_platform$ = (function() {
  if ((!$n_Lscopt_platform$)) {
    $n_Lscopt_platform$ = new $c_Lscopt_platform$().init___()
  };
  return $n_Lscopt_platform$
});
class $c_jl_Class extends $c_O {
  constructor() {
    super();
    this.data$1 = null
  };
  getName__T() {
    return this.data$1.name
  };
  getComponentType__jl_Class() {
    return this.data$1.getComponentType()
  };
  isPrimitive__Z() {
    return (!(!this.data$1.isPrimitive))
  };
  toString__T() {
    return ((this.isInterface__Z() ? "interface " : (this.isPrimitive__Z() ? "" : "class ")) + this.getName__T())
  };
  isAssignableFrom__jl_Class__Z(that) {
    return ((this.isPrimitive__Z() || that.isPrimitive__Z()) ? ((this === that) || ((this === $d_S.getClassOf()) ? (that === $d_B.getClassOf()) : ((this === $d_I.getClassOf()) ? ((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) : ((this === $d_F.getClassOf()) ? (((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) : ((this === $d_D.getClassOf()) && ((((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) || (that === $d_F.getClassOf()))))))) : this.isInstance__O__Z(that.getFakeInstance__p1__O()))
  };
  isInstance__O__Z(obj) {
    return (!(!this.data$1.isInstance(obj)))
  };
  init___jl_ScalaJSClassData(data) {
    this.data$1 = data;
    return this
  };
  getFakeInstance__p1__O() {
    return this.data$1.getFakeInstance()
  };
  newArrayOfThisClass__sjs_js_Array__O(dimensions) {
    return this.data$1.newArrayOfThisClass(dimensions)
  };
  isArray__Z() {
    return (!(!this.data$1.isArrayClass))
  };
  isInterface__Z() {
    return (!(!this.data$1.isInterface))
  };
}
const $is_jl_Class = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Class)))
});
const $isArrayOf_jl_Class = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Class)))
});
const $d_jl_Class = new $TypeData().initClass({
  jl_Class: 0
}, false, "java.lang.Class", {
  jl_Class: 1,
  O: 1
});
$c_jl_Class.prototype.$classData = $d_jl_Class;
class $c_jl_Long$StringRadixInfo extends $c_O {
  constructor() {
    super();
    this.chunkLength$1 = 0;
    this.radixPowLength$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.paddingZeros$1 = null;
    this.overflowBarrier$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong()
  };
  init___I__J__T__J(chunkLength, radixPowLength, paddingZeros, overflowBarrier) {
    this.chunkLength$1 = chunkLength;
    this.radixPowLength$1 = radixPowLength;
    this.paddingZeros$1 = paddingZeros;
    this.overflowBarrier$1 = overflowBarrier;
    return this
  };
}
const $is_jl_Long$StringRadixInfo = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Long$StringRadixInfo)))
});
const $isArrayOf_jl_Long$StringRadixInfo = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Long$StringRadixInfo)))
});
const $d_jl_Long$StringRadixInfo = new $TypeData().initClass({
  jl_Long$StringRadixInfo: 0
}, false, "java.lang.Long$StringRadixInfo", {
  jl_Long$StringRadixInfo: 1,
  O: 1
});
$c_jl_Long$StringRadixInfo.prototype.$classData = $d_jl_Long$StringRadixInfo;
class $c_jl_Runtime extends $c_O {
  init___() {
    return this
  };
  halt__I__V(status) {
    const envInfo = $env;
    const value = envInfo.exitFunction;
    if ((value === (void 0))) {
      throw new $c_jl_SecurityException().init___T("Cannot terminate a JavaScript program. Define a JavaScript function `__ScalaJSEnv.exitFunction` to be called on exit.")
    } else {
      value(status);
      throw new $c_jl_IllegalStateException().init___T("__ScalaJSEnv.exitFunction returned")
    }
  };
}
const $d_jl_Runtime = new $TypeData().initClass({
  jl_Runtime: 0
}, false, "java.lang.Runtime", {
  jl_Runtime: 1,
  O: 1
});
$c_jl_Runtime.prototype.$classData = $d_jl_Runtime;
class $c_jl_Runtime$ extends $c_O {
  constructor() {
    super();
    this.currentRuntime$1 = null
  };
  init___() {
    $n_jl_Runtime$ = this;
    this.currentRuntime$1 = new $c_jl_Runtime().init___();
    return this
  };
}
const $d_jl_Runtime$ = new $TypeData().initClass({
  jl_Runtime$: 0
}, false, "java.lang.Runtime$", {
  jl_Runtime$: 1,
  O: 1
});
$c_jl_Runtime$.prototype.$classData = $d_jl_Runtime$;
let $n_jl_Runtime$ = (void 0);
const $m_jl_Runtime$ = (function() {
  if ((!$n_jl_Runtime$)) {
    $n_jl_Runtime$ = new $c_jl_Runtime$().init___()
  };
  return $n_jl_Runtime$
});
class $c_jl_System$ extends $c_O {
  constructor() {
    super();
    this.out$1 = null;
    this.err$1 = null;
    this.in$1 = null;
    this.getHighPrecisionTime$1 = null
  };
  init___() {
    $n_jl_System$ = this;
    this.out$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(false);
    this.err$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(true);
    this.in$1 = null;
    const x = $g.performance;
    let jsx$1;
    if ((!(!(!(!x))))) {
      const x$1 = $g.performance.now;
      if ((!(!(!(!x$1))))) {
        jsx$1 = (function() {
          return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$1__D()
        })
      } else {
        const x$2 = $g.performance.webkitNow;
        if ((!(!(!(!x$2))))) {
          jsx$1 = (function() {
            return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$2__D()
          })
        } else {
          jsx$1 = (function() {
            return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$3__D()
          })
        }
      }
    } else {
      jsx$1 = (function() {
        return $m_jl_System$().java$lang$System$$$anonfun$getHighPrecisionTime$4__D()
      })
    };
    this.getHighPrecisionTime$1 = jsx$1;
    return this
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$3__D() {
    return (+new $g.Date().getTime())
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$1__D() {
    return (+$g.performance.now())
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$4__D() {
    return (+new $g.Date().getTime())
  };
  java$lang$System$$$anonfun$getHighPrecisionTime$2__D() {
    return (+$g.performance.webkitNow())
  };
}
const $d_jl_System$ = new $TypeData().initClass({
  jl_System$: 0
}, false, "java.lang.System$", {
  jl_System$: 1,
  O: 1
});
$c_jl_System$.prototype.$classData = $d_jl_System$;
let $n_jl_System$ = (void 0);
const $m_jl_System$ = (function() {
  if ((!$n_jl_System$)) {
    $n_jl_System$ = new $c_jl_System$().init___()
  };
  return $n_jl_System$
});
class $c_jl_Thread$ extends $c_O {
  constructor() {
    super();
    this.SingleThread$1 = null
  };
  init___() {
    $n_jl_Thread$ = this;
    this.SingleThread$1 = new $c_jl_Thread().init___sr_BoxedUnit((void 0));
    return this
  };
}
const $d_jl_Thread$ = new $TypeData().initClass({
  jl_Thread$: 0
}, false, "java.lang.Thread$", {
  jl_Thread$: 1,
  O: 1
});
$c_jl_Thread$.prototype.$classData = $d_jl_Thread$;
let $n_jl_Thread$ = (void 0);
const $m_jl_Thread$ = (function() {
  if ((!$n_jl_Thread$)) {
    $n_jl_Thread$ = new $c_jl_Thread$().init___()
  };
  return $n_jl_Thread$
});
class $c_jl_ThreadLocal extends $c_O {
  constructor() {
    super();
    this.hasValue$1 = null;
    this.v$1 = null
  };
  init___() {
    this.hasValue$1 = false;
    return this
  };
  remove__V() {
    this.hasValue$1 = false;
    this.v$1 = null
  };
  get__O() {
    const x = this.hasValue$1;
    if ((!(!(!x)))) {
      this.set__O__V(null)
    };
    return this.v$1
  };
  set__O__V(o) {
    this.v$1 = o;
    this.hasValue$1 = true
  };
}
const $d_jl_ThreadLocal = new $TypeData().initClass({
  jl_ThreadLocal: 0
}, false, "java.lang.ThreadLocal", {
  jl_ThreadLocal: 1,
  O: 1
});
$c_jl_ThreadLocal.prototype.$classData = $d_jl_ThreadLocal;
class $c_jl_reflect_Array$ extends $c_O {
  init___() {
    return this
  };
  newInstance__jl_Class__I__O(componentType, length) {
    return componentType.newArrayOfThisClass__sjs_js_Array__O([length])
  };
}
const $d_jl_reflect_Array$ = new $TypeData().initClass({
  jl_reflect_Array$: 0
}, false, "java.lang.reflect.Array$", {
  jl_reflect_Array$: 1,
  O: 1
});
$c_jl_reflect_Array$.prototype.$classData = $d_jl_reflect_Array$;
let $n_jl_reflect_Array$ = (void 0);
const $m_jl_reflect_Array$ = (function() {
  if ((!$n_jl_reflect_Array$)) {
    $n_jl_reflect_Array$ = new $c_jl_reflect_Array$().init___()
  };
  return $n_jl_reflect_Array$
});
class $c_ju_Arrays$ extends $c_O {
  equals__AO__AO__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  init___() {
    return this
  };
  binarySearch__AJ__J__I(a, key) {
    let startIndex = 0;
    let endIndex = a.u.length;
    _binarySearchImpl: while (true) {
      if ((startIndex === endIndex)) {
        return (((-1) - startIndex) | 0)
      } else {
        const mid = ((((startIndex + endIndex) | 0) >>> 1) | 0);
        const elem = a.u[mid];
        const t = $uJ(elem);
        const lo = t.lo$2;
        const hi = t.hi$2;
        const ahi = key.hi$2;
        if (((ahi === hi) ? (((-2147483648) ^ key.lo$2) < ((-2147483648) ^ lo)) : (ahi < hi))) {
          endIndex = mid;
          continue _binarySearchImpl
        } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, elem)) {
          return mid
        } else {
          startIndex = ((1 + mid) | 0);
          continue _binarySearchImpl
        }
      }
    }
  };
  equals__AD__AD__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AI__AI__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AF__AF__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AJ__AJ__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  binarySearch__AI__I__I(a, key) {
    let startIndex = 0;
    let endIndex = a.u.length;
    _binarySearchImpl: while (true) {
      if ((startIndex === endIndex)) {
        return (((-1) - startIndex) | 0)
      } else {
        const mid = ((((startIndex + endIndex) | 0) >>> 1) | 0);
        const elem = a.u[mid];
        if ((key < elem)) {
          endIndex = mid;
          continue _binarySearchImpl
        } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, elem)) {
          return mid
        } else {
          startIndex = ((1 + mid) | 0);
          continue _binarySearchImpl
        }
      }
    }
  };
  equals__AB__AB__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  equals__AZ__AZ__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  java$util$Arrays$$insertionSortAnyRef__AO__I__I__s_math_Ordering__V(a, start, end, ord) {
    const n = ((end - start) | 0);
    if ((n >= 2)) {
      if ((ord.compare__O__O__I(a.u[start], a.u[((1 + start) | 0)]) > 0)) {
        const temp = a.u[start];
        a.u[start] = a.u[((1 + start) | 0)];
        a.u[((1 + start) | 0)] = temp
      };
      let m = 2;
      while ((m < n)) {
        const next = a.u[((start + m) | 0)];
        if ((ord.compare__O__O__I(next, a.u[(((-1) + ((start + m) | 0)) | 0)]) < 0)) {
          let iA = start;
          let iB = (((-1) + ((start + m) | 0)) | 0);
          while ((((iB - iA) | 0) > 1)) {
            const ix = ((((iA + iB) | 0) >>> 1) | 0);
            if ((ord.compare__O__O__I(next, a.u[ix]) < 0)) {
              iB = ix
            } else {
              iA = ix
            }
          };
          const ix$2 = ((iA + ((ord.compare__O__O__I(next, a.u[iA]) < 0) ? 0 : 1)) | 0);
          let i = ((start + m) | 0);
          while ((i > ix$2)) {
            a.u[i] = a.u[(((-1) + i) | 0)];
            i = (((-1) + i) | 0)
          };
          a.u[ix$2] = next
        };
        m = ((1 + m) | 0)
      }
    }
  };
  fill__AI__I__V(a, value) {
    const toIndex = a.u.length;
    let i = 0;
    while ((i !== toIndex)) {
      a.u[i] = value;
      i = ((1 + i) | 0)
    }
  };
  equals__AC__AC__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(new $c_jl_Character().init___C(a.u[i]), new $c_jl_Character().init___C(b.u[i]))
      };
      return res
    } else {
      return false
    }
  };
  equals__AS__AS__Z(a, b) {
    if ((a === b)) {
      return true
    } else if ((((a !== null) && (b !== null)) && (a.u.length === b.u.length))) {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(a);
      const this$2 = $f_sc_SeqLike__indices__sci_Range(this$1);
      const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$2, 0, this$2.length__I());
      let res = true;
      while ((res && this$3.hasNext__Z())) {
        const arg1 = this$3.next__O();
        const i = (arg1 | 0);
        res = $m_sr_BoxesRunTime$().equals__O__O__Z(a.u[i], b.u[i])
      };
      return res
    } else {
      return false
    }
  };
  sort__AO__ju_Comparator__V(array, comparator) {
    const ord = new $c_ju_Arrays$$anon$3().init___ju_Comparator(comparator);
    const end = array.u.length;
    if ((end > 16)) {
      this.java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(array, $newArrayObject($d_O.getArrayOf(), [array.u.length]), 0, end, ord)
    } else {
      this.java$util$Arrays$$insertionSortAnyRef__AO__I__I__s_math_Ordering__V(array, 0, end, ord)
    }
  };
  java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(a, temp, start, end, ord) {
    const length = ((end - start) | 0);
    if ((length > 16)) {
      const middle = ((start + ((length / 2) | 0)) | 0);
      this.java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(a, temp, start, middle, ord);
      this.java$util$Arrays$$stableSplitMergeAnyRef__AO__AO__I__I__s_math_Ordering__V(a, temp, middle, end, ord);
      let outIndex = start;
      let leftInIndex = start;
      let rightInIndex = middle;
      while ((outIndex < end)) {
        let jsx$1;
        if ((leftInIndex < middle)) {
          if ((rightInIndex >= end)) {
            jsx$1 = true
          } else {
            const x = a.u[leftInIndex];
            const y = a.u[rightInIndex];
            jsx$1 = $f_s_math_Ordering__lteq__O__O__Z(ord, x, y)
          }
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          temp.u[outIndex] = a.u[leftInIndex];
          leftInIndex = ((1 + leftInIndex) | 0)
        } else {
          temp.u[outIndex] = a.u[rightInIndex];
          rightInIndex = ((1 + rightInIndex) | 0)
        };
        outIndex = ((1 + outIndex) | 0)
      };
      $systemArraycopy(temp, start, a, start, length)
    } else {
      this.java$util$Arrays$$insertionSortAnyRef__AO__I__I__s_math_Ordering__V(a, start, end, ord)
    }
  };
}
const $d_ju_Arrays$ = new $TypeData().initClass({
  ju_Arrays$: 0
}, false, "java.util.Arrays$", {
  ju_Arrays$: 1,
  O: 1
});
$c_ju_Arrays$.prototype.$classData = $d_ju_Arrays$;
let $n_ju_Arrays$ = (void 0);
const $m_ju_Arrays$ = (function() {
  if ((!$n_ju_Arrays$)) {
    $n_ju_Arrays$ = new $c_ju_Arrays$().init___()
  };
  return $n_ju_Arrays$
});
class $c_ju_Formatter$ extends $c_O {
  constructor() {
    super();
    this.java$util$Formatter$$RegularChunk$1 = null;
    this.java$util$Formatter$$DoublePercent$1 = null;
    this.java$util$Formatter$$EOLChunk$1 = null;
    this.java$util$Formatter$$FormattedChunk$1 = null
  };
  init___() {
    $n_ju_Formatter$ = this;
    this.java$util$Formatter$$RegularChunk$1 = new $c_ju_Formatter$RegExpExtractor().init___sjs_js_RegExp(new $g.RegExp("^[^\\x25]+"));
    this.java$util$Formatter$$DoublePercent$1 = new $c_ju_Formatter$RegExpExtractor().init___sjs_js_RegExp(new $g.RegExp("^\\x25{2}"));
    this.java$util$Formatter$$EOLChunk$1 = new $c_ju_Formatter$RegExpExtractor().init___sjs_js_RegExp(new $g.RegExp("^\\x25n"));
    this.java$util$Formatter$$FormattedChunk$1 = new $c_ju_Formatter$RegExpExtractor().init___sjs_js_RegExp(new $g.RegExp("^\\x25(?:([1-9]\\d*)\\$)?([-#+ 0,\\(<]*)(\\d*)(?:\\.(\\d+))?([A-Za-z])"));
    return this
  };
}
const $d_ju_Formatter$ = new $TypeData().initClass({
  ju_Formatter$: 0
}, false, "java.util.Formatter$", {
  ju_Formatter$: 1,
  O: 1
});
$c_ju_Formatter$.prototype.$classData = $d_ju_Formatter$;
let $n_ju_Formatter$ = (void 0);
const $m_ju_Formatter$ = (function() {
  if ((!$n_ju_Formatter$)) {
    $n_ju_Formatter$ = new $c_ju_Formatter$().init___()
  };
  return $n_ju_Formatter$
});
class $c_ju_Formatter$RegExpExtractor extends $c_O {
  constructor() {
    super();
    this.regexp$1 = null
  };
  unapply__T__s_Option(str) {
    return $m_s_Option$().apply__O__s_Option(this.regexp$1.exec(str))
  };
  init___sjs_js_RegExp(regexp) {
    this.regexp$1 = regexp;
    return this
  };
}
const $d_ju_Formatter$RegExpExtractor = new $TypeData().initClass({
  ju_Formatter$RegExpExtractor: 0
}, false, "java.util.Formatter$RegExpExtractor", {
  ju_Formatter$RegExpExtractor: 1,
  O: 1
});
$c_ju_Formatter$RegExpExtractor.prototype.$classData = $d_ju_Formatter$RegExpExtractor;
class $c_s_DeprecatedConsole extends $c_O {
}
class $c_s_FallbackArrayBuilding extends $c_O {
}
class $c_s_LowPriorityImplicits extends $c_O {
  wrapRefArray__AO__scm_WrappedArray(xs) {
    if ((xs === null)) {
      return null
    } else if ((xs.u.length === 0)) {
      const this$1 = $m_scm_WrappedArray$();
      return this$1.EmptyWrappedArray$1
    } else {
      return new $c_scm_WrappedArray$ofRef().init___AO(xs)
    }
  };
  unwrapString__sci_WrappedString__T(ws) {
    return ((ws !== null) ? ws.self$4 : null)
  };
}
const $f_s_PartialFunction__runWith__F1__F1 = (function($thiz, action) {
  return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, action$1) {
    return (function(x$2) {
      const z = $this.applyOrElse__O__F1__O(x$2, $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f);
      return ((!$m_s_PartialFunction$().scala$PartialFunction$$fallbackOccurred__O__Z(z)) && (action$1.apply__O__O(z), true))
    })
  })($thiz, action))
});
const $f_s_PartialFunction__applyOrElse__O__F1__O = (function($thiz, x, $default) {
  return ($thiz.isDefinedAt__O__Z(x) ? $thiz.apply__O__O(x) : $default.apply__O__O(x))
});
class $c_s_PartialFunction$ extends $c_O {
  constructor() {
    super();
    this.scala$PartialFunction$$fallback$undpf$f = null;
    this.scala$PartialFunction$$constFalse$f = null;
    this.empty$undpf$1 = null
  };
  init___() {
    $n_s_PartialFunction$ = this;
    this.scala$PartialFunction$$fallback$undpf$f = new $c_s_PartialFunction$$anonfun$1().init___();
    this.scala$PartialFunction$$constFalse$f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        return false
      })
    })(this));
    this.empty$undpf$1 = new $c_s_PartialFunction$$anon$1().init___();
    return this
  };
  scala$PartialFunction$$fallbackOccurred__O__Z(x) {
    return (this.scala$PartialFunction$$fallback$undpf$f === x)
  };
}
const $d_s_PartialFunction$ = new $TypeData().initClass({
  s_PartialFunction$: 0
}, false, "scala.PartialFunction$", {
  s_PartialFunction$: 1,
  O: 1
});
$c_s_PartialFunction$.prototype.$classData = $d_s_PartialFunction$;
let $n_s_PartialFunction$ = (void 0);
const $m_s_PartialFunction$ = (function() {
  if ((!$n_s_PartialFunction$)) {
    $n_s_PartialFunction$ = new $c_s_PartialFunction$().init___()
  };
  return $n_s_PartialFunction$
});
class $c_s_Predef$DummyImplicit extends $c_O {
  init___() {
    return this
  };
}
const $d_s_Predef$DummyImplicit = new $TypeData().initClass({
  s_Predef$DummyImplicit: 0
}, false, "scala.Predef$DummyImplicit", {
  s_Predef$DummyImplicit: 1,
  O: 1
});
$c_s_Predef$DummyImplicit.prototype.$classData = $d_s_Predef$DummyImplicit;
class $c_s_Predef$any2stringadd$ extends $c_O {
  init___() {
    return this
  };
  $$plus$extension__O__T__T($$this, other) {
    return (("" + $m_sjsr_RuntimeString$().valueOf__O__T($$this)) + other)
  };
}
const $d_s_Predef$any2stringadd$ = new $TypeData().initClass({
  s_Predef$any2stringadd$: 0
}, false, "scala.Predef$any2stringadd$", {
  s_Predef$any2stringadd$: 1,
  O: 1
});
$c_s_Predef$any2stringadd$.prototype.$classData = $d_s_Predef$any2stringadd$;
let $n_s_Predef$any2stringadd$ = (void 0);
const $m_s_Predef$any2stringadd$ = (function() {
  if ((!$n_s_Predef$any2stringadd$)) {
    $n_s_Predef$any2stringadd$ = new $c_s_Predef$any2stringadd$().init___()
  };
  return $n_s_Predef$any2stringadd$
});
const $is_s_Product = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Product)))
});
const $isArrayOf_s_Product = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Product)))
});
const $f_s_concurrent_BatchingExecutor__batchable__jl_Runnable__Z = (function($thiz, runnable) {
  return $is_s_concurrent_OnCompleteRunnable(runnable)
});
const $f_s_concurrent_BatchingExecutor__execute__jl_Runnable__V = (function($thiz, runnable) {
  if ($f_s_concurrent_BatchingExecutor__batchable__jl_Runnable__Z($thiz, runnable)) {
    const x1 = $thiz.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O();
    if ((x1 === null)) {
      const this$1 = $m_sci_Nil$();
      const r = new $c_s_concurrent_BatchingExecutor$Batch().init___s_concurrent_BatchingExecutor__sci_List($thiz, new $c_sci_$colon$colon().init___O__sci_List(runnable, this$1));
      r.run__V()
    } else {
      $thiz.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V(new $c_sci_$colon$colon().init___O__sci_List(runnable, x1))
    }
  } else {
    runnable.run__V()
  }
});
class $c_s_concurrent_BlockContext$ extends $c_O {
  constructor() {
    super();
    this.contextLocal$1 = null
  };
  init___() {
    $n_s_concurrent_BlockContext$ = this;
    this.contextLocal$1 = new $c_jl_ThreadLocal().init___();
    return this
  };
  current__s_concurrent_BlockContext() {
    const x1 = this.contextLocal$1.get__O();
    if ((x1 === null)) {
      const x1$2 = $m_jl_Thread$().SingleThread$1;
      return ($is_s_concurrent_BlockContext(x1$2) ? x1$2 : $m_s_concurrent_BlockContext$DefaultBlockContext$())
    } else {
      return x1
    }
  };
}
const $d_s_concurrent_BlockContext$ = new $TypeData().initClass({
  s_concurrent_BlockContext$: 0
}, false, "scala.concurrent.BlockContext$", {
  s_concurrent_BlockContext$: 1,
  O: 1
});
$c_s_concurrent_BlockContext$.prototype.$classData = $d_s_concurrent_BlockContext$;
let $n_s_concurrent_BlockContext$ = (void 0);
const $m_s_concurrent_BlockContext$ = (function() {
  if ((!$n_s_concurrent_BlockContext$)) {
    $n_s_concurrent_BlockContext$ = new $c_s_concurrent_BlockContext$().init___()
  };
  return $n_s_concurrent_BlockContext$
});
class $c_s_concurrent_ExecutionContext$Implicits$ extends $c_O {
  constructor() {
    super();
    this.global$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  global$lzycompute__p1__s_concurrent_ExecutionContext() {
    if ((!this.bitmap$0$1)) {
      this.global$1 = $m_sjs_concurrent_JSExecutionContext$().queue$1;
      this.bitmap$0$1 = true
    };
    return this.global$1
  };
  global__s_concurrent_ExecutionContext() {
    return ((!this.bitmap$0$1) ? this.global$lzycompute__p1__s_concurrent_ExecutionContext() : this.global$1)
  };
}
const $d_s_concurrent_ExecutionContext$Implicits$ = new $TypeData().initClass({
  s_concurrent_ExecutionContext$Implicits$: 0
}, false, "scala.concurrent.ExecutionContext$Implicits$", {
  s_concurrent_ExecutionContext$Implicits$: 1,
  O: 1
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.$classData = $d_s_concurrent_ExecutionContext$Implicits$;
let $n_s_concurrent_ExecutionContext$Implicits$ = (void 0);
const $m_s_concurrent_ExecutionContext$Implicits$ = (function() {
  if ((!$n_s_concurrent_ExecutionContext$Implicits$)) {
    $n_s_concurrent_ExecutionContext$Implicits$ = new $c_s_concurrent_ExecutionContext$Implicits$().init___()
  };
  return $n_s_concurrent_ExecutionContext$Implicits$
});
const $f_s_concurrent_Future__foreach__F1__s_concurrent_ExecutionContext__V = (function($thiz, f, executor) {
  $thiz.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      x$1.foreach__F1__V(f$1)
    })
  })($thiz, f)), executor)
});
const $f_s_concurrent_Future__flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x0$5$2) {
      const x0$5 = x0$5$2;
      if ($is_s_util_Success(x0$5)) {
        const x2 = x0$5;
        const s = x2.value$2;
        return f$1.apply__O__O(s)
      } else if ($is_s_util_Failure(x0$5)) {
        return $this
      } else {
        throw new $c_s_MatchError().init___O(x0$5)
      }
    })
  })($thiz, f));
  return $f_s_concurrent_impl_Promise__transformWith__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f$2, executor)
});
const $f_s_concurrent_Future__map__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      return x$2.map__F1__s_util_Try(f$1)
    })
  })($thiz, f));
  return $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f$2, executor)
});
const $f_s_concurrent_Future__zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, that, f, executor) {
  return $thiz.flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, that$1, f$1, executor$1) {
    return (function(r1$2) {
      return that$1.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, f$5, r1) {
        return (function(r2$2) {
          return f$5.apply__O__O__O(r1, r2$2)
        })
      })($this, f$1, r1$2)), executor$1)
    })
  })($thiz, that, f, executor)), $m_s_concurrent_Future$InternalCallbackExecutor$())
});
const $f_s_concurrent_Future__recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, pf, executor) {
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pf$1) {
    return (function(x$3$2) {
      const x$3 = x$3$2;
      return x$3.recover__s_PartialFunction__s_util_Try(pf$1)
    })
  })($thiz, pf));
  return $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f, executor)
});
const $f_s_concurrent_Future__recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, pf, executor) {
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pf$1) {
    return (function(x0$6$2) {
      const x0$6 = x0$6$2;
      if ($is_s_util_Failure(x0$6)) {
        const x2 = x0$6;
        const t = x2.exception$2;
        return pf$1.applyOrElse__O__F1__O(t, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(x$4$2) {
            return $this$1
          })
        })($this)))
      } else if ($is_s_util_Success(x0$6)) {
        return $this
      } else {
        throw new $c_s_MatchError().init___O(x0$6)
      }
    })
  })($thiz, pf));
  return $f_s_concurrent_impl_Promise__transformWith__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f, executor)
});
const $f_s_concurrent_Future__failed__s_concurrent_Future = (function($thiz) {
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x0$3$2) {
      const x0$3 = x0$3$2;
      if ($is_s_util_Failure(x0$3)) {
        const x2 = x0$3;
        const t = x2.exception$2;
        return new $c_s_util_Success().init___O(t)
      } else if ($is_s_util_Success(x0$3)) {
        return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_NoSuchElementException().init___T("Future.failed not completed with a throwable."))
      } else {
        throw new $c_s_MatchError().init___O(x0$3)
      }
    })
  })($thiz));
  const executor = $m_s_concurrent_Future$InternalCallbackExecutor$();
  return $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future($thiz, f, executor)
});
const $is_s_concurrent_Future = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_Future)))
});
const $isArrayOf_s_concurrent_Future = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_Future)))
});
class $c_s_concurrent_Future$ extends $c_O {
  constructor() {
    super();
    this.toBoxed$1 = null;
    this.unit$1 = null
  };
  init___() {
    $n_s_concurrent_Future$ = this;
    const array = [new $c_T2().init___O__O($d_Z.getClassOf(), $d_jl_Boolean.getClassOf()), new $c_T2().init___O__O($d_B.getClassOf(), $d_jl_Byte.getClassOf()), new $c_T2().init___O__O($d_C.getClassOf(), $d_jl_Character.getClassOf()), new $c_T2().init___O__O($d_S.getClassOf(), $d_jl_Short.getClassOf()), new $c_T2().init___O__O($d_I.getClassOf(), $d_jl_Integer.getClassOf()), new $c_T2().init___O__O($d_J.getClassOf(), $d_jl_Long.getClassOf()), new $c_T2().init___O__O($d_F.getClassOf(), $d_jl_Float.getClassOf()), new $c_T2().init___O__O($d_D.getClassOf(), $d_jl_Double.getClassOf()), new $c_T2().init___O__O($d_V.getClassOf(), $d_sr_BoxedUnit.getClassOf())];
    const this$20 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$20.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    this.toBoxed$1 = this$20.elems$1;
    this.unit$1 = this.successful__O__s_concurrent_Future((void 0));
    return this
  };
  sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future($in, cbf, executor) {
    return $in.foldLeft__O__F2__O(this.successful__O__s_concurrent_Future(cbf.apply__O__scm_Builder($in)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, executor$1) {
      return (function(fr$2, fa$2) {
        const fr = fr$2;
        const fa = fa$2;
        return fr.zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(fa, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1) {
          return (function(x$6$2, x$7$2) {
            const x$6 = x$6$2;
            return x$6.$$plus$eq__O__scm_Builder(x$7$2)
          })
        })($this)), executor$1)
      })
    })(this, executor))).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return x$8.result__O()
      })
    })(this)), $m_s_concurrent_Future$InternalCallbackExecutor$())
  };
  successful__O__s_concurrent_Future(result) {
    const this$1 = $m_s_concurrent_Promise$().successful__O__s_concurrent_Promise(result);
    return this$1
  };
  apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(body, executor) {
    return this.unit$1.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, body$1) {
      return (function(x$5$2) {
        return body$1.apply__O()
      })
    })(this, body)), executor)
  };
  failed__jl_Throwable__s_concurrent_Future(exception) {
    const this$1 = $m_s_concurrent_Promise$().failed__jl_Throwable__s_concurrent_Promise(exception);
    return this$1
  };
}
const $d_s_concurrent_Future$ = new $TypeData().initClass({
  s_concurrent_Future$: 0
}, false, "scala.concurrent.Future$", {
  s_concurrent_Future$: 1,
  O: 1
});
$c_s_concurrent_Future$.prototype.$classData = $d_s_concurrent_Future$;
let $n_s_concurrent_Future$ = (void 0);
const $m_s_concurrent_Future$ = (function() {
  if ((!$n_s_concurrent_Future$)) {
    $n_s_concurrent_Future$ = new $c_s_concurrent_Future$().init___()
  };
  return $n_s_concurrent_Future$
});
class $c_s_concurrent_Promise$ extends $c_O {
  init___() {
    return this
  };
  successful__O__s_concurrent_Promise(result) {
    const result$1 = new $c_s_util_Success().init___O(result);
    return $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(result$1)
  };
  failed__jl_Throwable__s_concurrent_Promise(exception) {
    const result = new $c_s_util_Failure().init___jl_Throwable(exception);
    return $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(result)
  };
}
const $d_s_concurrent_Promise$ = new $TypeData().initClass({
  s_concurrent_Promise$: 0
}, false, "scala.concurrent.Promise$", {
  s_concurrent_Promise$: 1,
  O: 1
});
$c_s_concurrent_Promise$.prototype.$classData = $d_s_concurrent_Promise$;
let $n_s_concurrent_Promise$ = (void 0);
const $m_s_concurrent_Promise$ = (function() {
  if ((!$n_s_concurrent_Promise$)) {
    $n_s_concurrent_Promise$ = new $c_s_concurrent_Promise$().init___()
  };
  return $n_s_concurrent_Promise$
});
class $c_s_concurrent_impl_Promise$ extends $c_O {
  init___() {
    return this
  };
  scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(source) {
    if ($is_s_util_Failure(source)) {
      const x2 = source;
      const t = x2.exception$2;
      return this.resolver__p1__jl_Throwable__s_util_Try(t)
    } else {
      return source
    }
  };
  resolver__p1__jl_Throwable__s_util_Try(throwable) {
    if ($is_sr_NonLocalReturnControl(throwable)) {
      const x2 = throwable;
      return new $c_s_util_Success().init___O(x2.value__O())
    } else if ($is_s_util_control_ControlThrowable(throwable)) {
      const x3 = throwable;
      return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed ControlThrowable", x3))
    } else if ($is_jl_InterruptedException(throwable)) {
      const x4 = throwable;
      return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed InterruptedException", x4))
    } else if ($is_jl_Error(throwable)) {
      const x5 = throwable;
      return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed Error", x5))
    } else {
      return new $c_s_util_Failure().init___jl_Throwable(throwable)
    }
  };
}
const $d_s_concurrent_impl_Promise$ = new $TypeData().initClass({
  s_concurrent_impl_Promise$: 0
}, false, "scala.concurrent.impl.Promise$", {
  s_concurrent_impl_Promise$: 1,
  O: 1
});
$c_s_concurrent_impl_Promise$.prototype.$classData = $d_s_concurrent_impl_Promise$;
let $n_s_concurrent_impl_Promise$ = (void 0);
const $m_s_concurrent_impl_Promise$ = (function() {
  if ((!$n_s_concurrent_impl_Promise$)) {
    $n_s_concurrent_impl_Promise$ = new $c_s_concurrent_impl_Promise$().init___()
  };
  return $n_s_concurrent_impl_Promise$
});
class $c_s_concurrent_impl_Promise$KeptPromise$ extends $c_O {
  init___() {
    return this
  };
  apply__s_util_Try__s_concurrent_Promise(result) {
    const x1 = $m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(result);
    if ($is_s_util_Success(x1)) {
      const x2 = x1;
      return new $c_s_concurrent_impl_Promise$KeptPromise$Successful().init___s_util_Success(x2)
    } else if ($is_s_util_Failure(x1)) {
      const x4 = x1;
      return new $c_s_concurrent_impl_Promise$KeptPromise$Failed().init___s_util_Failure(x4)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $d_s_concurrent_impl_Promise$KeptPromise$ = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise$: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise$", {
  s_concurrent_impl_Promise$KeptPromise$: 1,
  O: 1
});
$c_s_concurrent_impl_Promise$KeptPromise$.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise$;
let $n_s_concurrent_impl_Promise$KeptPromise$ = (void 0);
const $m_s_concurrent_impl_Promise$KeptPromise$ = (function() {
  if ((!$n_s_concurrent_impl_Promise$KeptPromise$)) {
    $n_s_concurrent_impl_Promise$KeptPromise$ = new $c_s_concurrent_impl_Promise$KeptPromise$().init___()
  };
  return $n_s_concurrent_impl_Promise$KeptPromise$
});
const $f_s_math_Ordered__$$less$eq__O__Z = (function($thiz, that) {
  return ($thiz.compare__O__I(that) <= 0)
});
const $f_s_math_Ordered__$$greater$eq__O__Z = (function($thiz, that) {
  return ($thiz.compare__O__I(that) >= 0)
});
class $c_s_math_Ordered$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Ordered$ = new $TypeData().initClass({
  s_math_Ordered$: 0
}, false, "scala.math.Ordered$", {
  s_math_Ordered$: 1,
  O: 1
});
$c_s_math_Ordered$.prototype.$classData = $d_s_math_Ordered$;
let $n_s_math_Ordered$ = (void 0);
const $m_s_math_Ordered$ = (function() {
  if ((!$n_s_math_Ordered$)) {
    $n_s_math_Ordered$ = new $c_s_math_Ordered$().init___()
  };
  return $n_s_math_Ordered$
});
class $c_s_package$ extends $c_O {
  constructor() {
    super();
    this.BigDecimal$1 = null;
    this.BigInt$1 = null;
    this.AnyRef$1 = null;
    this.Traversable$1 = null;
    this.Iterable$1 = null;
    this.Seq$1 = null;
    this.IndexedSeq$1 = null;
    this.Iterator$1 = null;
    this.List$1 = null;
    this.Nil$1 = null;
    this.$$colon$colon$1 = null;
    this.$$plus$colon$1 = null;
    this.$$colon$plus$1 = null;
    this.Stream$1 = null;
    this.$$hash$colon$colon$1 = null;
    this.Vector$1 = null;
    this.StringBuilder$1 = null;
    this.Range$1 = null;
    this.Equiv$1 = null;
    this.Fractional$1 = null;
    this.Integral$1 = null;
    this.Numeric$1 = null;
    this.Ordered$1 = null;
    this.Ordering$1 = null;
    this.Either$1 = null;
    this.Left$1 = null;
    this.Right$1 = null;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_s_package$ = this;
    this.AnyRef$1 = new $c_s_package$$anon$1().init___();
    this.Traversable$1 = $m_sc_Traversable$();
    this.Iterable$1 = $m_sc_Iterable$();
    this.Seq$1 = $m_sc_Seq$();
    this.IndexedSeq$1 = $m_sc_IndexedSeq$();
    this.Iterator$1 = $m_sc_Iterator$();
    this.List$1 = $m_sci_List$();
    this.Nil$1 = $m_sci_Nil$();
    this.$$colon$colon$1 = $m_sci_$colon$colon$();
    this.$$plus$colon$1 = $m_sc_$plus$colon$();
    this.$$colon$plus$1 = $m_sc_$colon$plus$();
    this.Stream$1 = $m_sci_Stream$();
    this.$$hash$colon$colon$1 = $m_sci_Stream$$hash$colon$colon$();
    this.Vector$1 = $m_sci_Vector$();
    this.StringBuilder$1 = $m_scm_StringBuilder$();
    this.Range$1 = $m_sci_Range$();
    this.Equiv$1 = $m_s_math_Equiv$();
    this.Fractional$1 = $m_s_math_Fractional$();
    this.Integral$1 = $m_s_math_Integral$();
    this.Numeric$1 = $m_s_math_Numeric$();
    this.Ordered$1 = $m_s_math_Ordered$();
    this.Ordering$1 = $m_s_math_Ordering$();
    this.Either$1 = $m_s_util_Either$();
    this.Left$1 = $m_s_util_Left$();
    this.Right$1 = $m_s_util_Right$();
    return this
  };
  BigInt__s_math_BigInt$() {
    return (((2 & this.bitmap$0$1) === 0) ? this.BigInt$lzycompute__p1__s_math_BigInt$() : this.BigInt$1)
  };
  BigInt$lzycompute__p1__s_math_BigInt$() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.BigInt$1 = $m_s_math_BigInt$();
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.BigInt$1
  };
  BigDecimal__s_math_BigDecimal$() {
    return (((1 & this.bitmap$0$1) === 0) ? this.BigDecimal$lzycompute__p1__s_math_BigDecimal$() : this.BigDecimal$1)
  };
  BigDecimal$lzycompute__p1__s_math_BigDecimal$() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.BigDecimal$1 = $m_s_math_BigDecimal$();
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.BigDecimal$1
  };
}
const $d_s_package$ = new $TypeData().initClass({
  s_package$: 0
}, false, "scala.package$", {
  s_package$: 1,
  O: 1
});
$c_s_package$.prototype.$classData = $d_s_package$;
let $n_s_package$ = (void 0);
const $m_s_package$ = (function() {
  if ((!$n_s_package$)) {
    $n_s_package$ = new $c_s_package$().init___()
  };
  return $n_s_package$
});
class $c_s_reflect_ClassManifestFactory$ extends $c_O {
  constructor() {
    super();
    this.Byte$1 = null;
    this.Short$1 = null;
    this.Char$1 = null;
    this.Int$1 = null;
    this.Long$1 = null;
    this.Float$1 = null;
    this.Double$1 = null;
    this.Boolean$1 = null;
    this.Unit$1 = null;
    this.Any$1 = null;
    this.Object$1 = null;
    this.AnyVal$1 = null;
    this.Nothing$1 = null;
    this.Null$1 = null
  };
  init___() {
    $n_s_reflect_ClassManifestFactory$ = this;
    this.Byte$1 = $m_s_reflect_ManifestFactory$ByteManifest$();
    this.Short$1 = $m_s_reflect_ManifestFactory$ShortManifest$();
    this.Char$1 = $m_s_reflect_ManifestFactory$CharManifest$();
    this.Int$1 = $m_s_reflect_ManifestFactory$IntManifest$();
    this.Long$1 = $m_s_reflect_ManifestFactory$LongManifest$();
    this.Float$1 = $m_s_reflect_ManifestFactory$FloatManifest$();
    this.Double$1 = $m_s_reflect_ManifestFactory$DoubleManifest$();
    this.Boolean$1 = $m_s_reflect_ManifestFactory$BooleanManifest$();
    this.Unit$1 = $m_s_reflect_ManifestFactory$UnitManifest$();
    this.Any$1 = $m_s_reflect_ManifestFactory$AnyManifest$();
    this.Object$1 = $m_s_reflect_ManifestFactory$ObjectManifest$();
    this.AnyVal$1 = $m_s_reflect_ManifestFactory$AnyValManifest$();
    this.Nothing$1 = $m_s_reflect_ManifestFactory$NothingManifest$();
    this.Null$1 = $m_s_reflect_ManifestFactory$NullManifest$();
    return this
  };
}
const $d_s_reflect_ClassManifestFactory$ = new $TypeData().initClass({
  s_reflect_ClassManifestFactory$: 0
}, false, "scala.reflect.ClassManifestFactory$", {
  s_reflect_ClassManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ClassManifestFactory$.prototype.$classData = $d_s_reflect_ClassManifestFactory$;
let $n_s_reflect_ClassManifestFactory$ = (void 0);
const $m_s_reflect_ClassManifestFactory$ = (function() {
  if ((!$n_s_reflect_ClassManifestFactory$)) {
    $n_s_reflect_ClassManifestFactory$ = new $c_s_reflect_ClassManifestFactory$().init___()
  };
  return $n_s_reflect_ClassManifestFactory$
});
class $c_s_reflect_ManifestFactory$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_reflect_ManifestFactory$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$: 0
}, false, "scala.reflect.ManifestFactory$", {
  s_reflect_ManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ManifestFactory$.prototype.$classData = $d_s_reflect_ManifestFactory$;
let $n_s_reflect_ManifestFactory$ = (void 0);
const $m_s_reflect_ManifestFactory$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$)) {
    $n_s_reflect_ManifestFactory$ = new $c_s_reflect_ManifestFactory$().init___()
  };
  return $n_s_reflect_ManifestFactory$
});
class $c_s_reflect_package$ extends $c_O {
  constructor() {
    super();
    this.ClassManifest$1 = null;
    this.Manifest$1 = null
  };
  init___() {
    $n_s_reflect_package$ = this;
    this.ClassManifest$1 = $m_s_reflect_ClassManifestFactory$();
    this.Manifest$1 = $m_s_reflect_ManifestFactory$();
    return this
  };
}
const $d_s_reflect_package$ = new $TypeData().initClass({
  s_reflect_package$: 0
}, false, "scala.reflect.package$", {
  s_reflect_package$: 1,
  O: 1
});
$c_s_reflect_package$.prototype.$classData = $d_s_reflect_package$;
let $n_s_reflect_package$ = (void 0);
const $m_s_reflect_package$ = (function() {
  if ((!$n_s_reflect_package$)) {
    $n_s_reflect_package$ = new $c_s_reflect_package$().init___()
  };
  return $n_s_reflect_package$
});
class $c_s_util_DynamicVariable extends $c_O {
  constructor() {
    super();
    this.v$1 = null
  };
  toString__T() {
    return (("DynamicVariable(" + this.v$1) + ")")
  };
  init___O(init) {
    this.v$1 = init;
    return this
  };
}
const $d_s_util_DynamicVariable = new $TypeData().initClass({
  s_util_DynamicVariable: 0
}, false, "scala.util.DynamicVariable", {
  s_util_DynamicVariable: 1,
  O: 1
});
$c_s_util_DynamicVariable.prototype.$classData = $d_s_util_DynamicVariable;
class $c_s_util_control_Breaks extends $c_O {
  constructor() {
    super();
    this.scala$util$control$Breaks$$breakException$1 = null
  };
  init___() {
    this.scala$util$control$Breaks$$breakException$1 = new $c_s_util_control_BreakControl().init___();
    return this
  };
}
const $d_s_util_control_Breaks = new $TypeData().initClass({
  s_util_control_Breaks: 0
}, false, "scala.util.control.Breaks", {
  s_util_control_Breaks: 1,
  O: 1
});
$c_s_util_control_Breaks.prototype.$classData = $d_s_util_control_Breaks;
const $is_s_util_control_ControlThrowable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_control_ControlThrowable)))
});
const $isArrayOf_s_util_control_ControlThrowable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_control_ControlThrowable)))
});
class $c_s_util_control_NonFatal$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_Throwable__Z(t) {
    return (!($is_jl_VirtualMachineError(t) || ($is_jl_ThreadDeath(t) || ($is_jl_InterruptedException(t) || ($is_jl_LinkageError(t) || $is_s_util_control_ControlThrowable(t))))))
  };
  unapply__jl_Throwable__s_Option(t) {
    return (this.apply__jl_Throwable__Z(t) ? new $c_s_Some().init___O(t) : $m_s_None$())
  };
}
const $d_s_util_control_NonFatal$ = new $TypeData().initClass({
  s_util_control_NonFatal$: 0
}, false, "scala.util.control.NonFatal$", {
  s_util_control_NonFatal$: 1,
  O: 1
});
$c_s_util_control_NonFatal$.prototype.$classData = $d_s_util_control_NonFatal$;
let $n_s_util_control_NonFatal$ = (void 0);
const $m_s_util_control_NonFatal$ = (function() {
  if ((!$n_s_util_control_NonFatal$)) {
    $n_s_util_control_NonFatal$ = new $c_s_util_control_NonFatal$().init___()
  };
  return $n_s_util_control_NonFatal$
});
class $c_s_util_hashing_MurmurHash3 extends $c_O {
  arrayHash$mVc$sp__Asr_BoxedUnit__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, 0);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  mixLast__I__I__I(hash, data) {
    let k = data;
    k = $imul((-862048943), k);
    const i = k;
    k = ((i << 15) | ((i >>> 17) | 0));
    k = $imul(461845907, k);
    return (hash ^ k)
  };
  arrayHash$mDc$sp__AD__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, $m_sr_Statics$().doubleHash__D__I(a.u[i]));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash$mJc$sp__AJ__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, $m_sr_Statics$().longHash__J__I(a.u[i]));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash$mZc$sp__AZ__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, (a.u[i] ? 1231 : 1237));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  mix__I__I__I(hash, data) {
    let h = this.mixLast__I__I__I(hash, data);
    const i = h;
    h = ((i << 13) | ((i >>> 19) | 0));
    return (((-430675100) + $imul(5, h)) | 0)
  };
  bytesHash__AB__I__I(data, seed) {
    let len = data.u.length;
    let h = seed;
    let i = 0;
    while ((len >= 4)) {
      let k = (255 & data.u[i]);
      k = (k | ((255 & data.u[((1 + i) | 0)]) << 8));
      k = (k | ((255 & data.u[((2 + i) | 0)]) << 16));
      k = (k | ((255 & data.u[((3 + i) | 0)]) << 24));
      h = this.mix__I__I__I(h, k);
      i = ((4 + i) | 0);
      len = (((-4) + len) | 0)
    };
    let k$2 = 0;
    if ((len === 3)) {
      k$2 = (k$2 ^ ((255 & data.u[((2 + i) | 0)]) << 16))
    };
    if ((len >= 2)) {
      k$2 = (k$2 ^ ((255 & data.u[((1 + i) | 0)]) << 8))
    };
    if ((len >= 1)) {
      k$2 = (k$2 ^ (255 & data.u[i]));
      h = this.mixLast__I__I__I(h, k$2)
    };
    return this.finalizeHash__I__I__I(h, data.u.length)
  };
  avalanche__p1__I__I(hash) {
    let h = hash;
    h = (h ^ ((h >>> 16) | 0));
    h = $imul((-2048144789), h);
    h = (h ^ ((h >>> 13) | 0));
    h = $imul((-1028477387), h);
    h = (h ^ ((h >>> 16) | 0));
    return h
  };
  arrayHash$mSc$sp__AS__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, a.u[i]);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash__O__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < $m_sr_ScalaRunTime$().array$undlength__O__I(a))) {
      h = this.mix__I__I__I(h, $m_sr_Statics$().anyHash__O__I($m_sr_ScalaRunTime$().array$undapply__O__I__O(a, i)));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, $m_sr_ScalaRunTime$().array$undlength__O__I(a))
  };
  productHash__s_Product__I__I(x, seed) {
    const arr = x.productArity__I();
    if ((arr === 0)) {
      const this$1 = x.productPrefix__T();
      return $m_sjsr_RuntimeString$().hashCode__T__I(this$1)
    } else {
      let h = seed;
      let i = 0;
      while ((i < arr)) {
        h = this.mix__I__I__I(h, $m_sr_Statics$().anyHash__O__I(x.productElement__I__O(i)));
        i = ((1 + i) | 0)
      };
      return this.finalizeHash__I__I__I(h, arr)
    }
  };
  unorderedHash__sc_TraversableOnce__I__I(xs, seed) {
    const a = new $c_sr_IntRef().init___I(0);
    const b = new $c_sr_IntRef().init___I(0);
    const n = new $c_sr_IntRef().init___I(0);
    const c = new $c_sr_IntRef().init___I(1);
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, a$1, b$1, n$1, c$1) {
      return (function(x$2) {
        const h = $m_sr_Statics$().anyHash__O__I(x$2);
        a$1.elem$1 = ((a$1.elem$1 + h) | 0);
        b$1.elem$1 = (b$1.elem$1 ^ h);
        if ((h !== 0)) {
          c$1.elem$1 = $imul(c$1.elem$1, h)
        };
        n$1.elem$1 = ((1 + n$1.elem$1) | 0)
      })
    })(this, a, b, n, c)));
    let h$1 = seed;
    h$1 = this.mix__I__I__I(h$1, a.elem$1);
    h$1 = this.mix__I__I__I(h$1, b.elem$1);
    h$1 = this.mixLast__I__I__I(h$1, c.elem$1);
    return this.finalizeHash__I__I__I(h$1, n.elem$1)
  };
  arrayHash$mCc$sp__AC__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, a.u[i]);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  arrayHash$mFc$sp__AF__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      const jsx$1 = h;
      const this$1 = $m_sr_Statics$();
      const fv = a.u[i];
      h = this.mix__I__I__I(jsx$1, this$1.doubleHash__D__I(fv));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  finalizeHash__I__I__I(hash, length) {
    return this.avalanche__p1__I__I((hash ^ length))
  };
  arrayHash$mIc$sp__AI__I__I(a, seed) {
    let h = seed;
    let i = 0;
    while ((i < a.u.length)) {
      h = this.mix__I__I__I(h, a.u[i]);
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, a.u.length)
  };
  orderedHash__sc_TraversableOnce__I__I(xs, seed) {
    const n = new $c_sr_IntRef().init___I(0);
    const h = new $c_sr_IntRef().init___I(seed);
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, n$1, h$1) {
      return (function(x$2) {
        h$1.elem$1 = $this.mix__I__I__I(h$1.elem$1, $m_sr_Statics$().anyHash__O__I(x$2));
        n$1.elem$1 = ((1 + n$1.elem$1) | 0)
      })
    })(this, n, h)));
    return this.finalizeHash__I__I__I(h.elem$1, n.elem$1)
  };
  listHash__sci_List__I__I(xs, seed) {
    let n = 0;
    let h = seed;
    let elems = xs;
    while ((!elems.isEmpty__Z())) {
      const head = elems.head__O();
      const tail = elems.tail__O();
      h = this.mix__I__I__I(h, $m_sr_Statics$().anyHash__O__I(head));
      n = ((1 + n) | 0);
      elems = tail
    };
    return this.finalizeHash__I__I__I(h, n)
  };
}
class $c_s_util_hashing_package$ extends $c_O {
  init___() {
    return this
  };
  byteswap32__I__I(v) {
    let hc = $imul((-1640532531), v);
    hc = $m_jl_Integer$().reverseBytes__I__I(hc);
    return $imul((-1640532531), hc)
  };
}
const $d_s_util_hashing_package$ = new $TypeData().initClass({
  s_util_hashing_package$: 0
}, false, "scala.util.hashing.package$", {
  s_util_hashing_package$: 1,
  O: 1
});
$c_s_util_hashing_package$.prototype.$classData = $d_s_util_hashing_package$;
let $n_s_util_hashing_package$ = (void 0);
const $m_s_util_hashing_package$ = (function() {
  if ((!$n_s_util_hashing_package$)) {
    $n_s_util_hashing_package$ = new $c_s_util_hashing_package$().init___()
  };
  return $n_s_util_hashing_package$
});
class $c_sc_$colon$plus$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sc_$colon$plus$ = new $TypeData().initClass({
  sc_$colon$plus$: 0
}, false, "scala.collection.$colon$plus$", {
  sc_$colon$plus$: 1,
  O: 1
});
$c_sc_$colon$plus$.prototype.$classData = $d_sc_$colon$plus$;
let $n_sc_$colon$plus$ = (void 0);
const $m_sc_$colon$plus$ = (function() {
  if ((!$n_sc_$colon$plus$)) {
    $n_sc_$colon$plus$ = new $c_sc_$colon$plus$().init___()
  };
  return $n_sc_$colon$plus$
});
class $c_sc_$plus$colon$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sc_$plus$colon$ = new $TypeData().initClass({
  sc_$plus$colon$: 0
}, false, "scala.collection.$plus$colon$", {
  sc_$plus$colon$: 1,
  O: 1
});
$c_sc_$plus$colon$.prototype.$classData = $d_sc_$plus$colon$;
let $n_sc_$plus$colon$ = (void 0);
const $m_sc_$plus$colon$ = (function() {
  if ((!$n_sc_$plus$colon$)) {
    $n_sc_$plus$colon$ = new $c_sc_$plus$colon$().init___()
  };
  return $n_sc_$plus$colon$
});
class $c_sc_Iterator$ extends $c_O {
  constructor() {
    super();
    this.empty$1 = null
  };
  init___() {
    $n_sc_Iterator$ = this;
    this.empty$1 = new $c_sc_Iterator$$anon$2().init___();
    return this
  };
}
const $d_sc_Iterator$ = new $TypeData().initClass({
  sc_Iterator$: 0
}, false, "scala.collection.Iterator$", {
  sc_Iterator$: 1,
  O: 1
});
$c_sc_Iterator$.prototype.$classData = $d_sc_Iterator$;
let $n_sc_Iterator$ = (void 0);
const $m_sc_Iterator$ = (function() {
  if ((!$n_sc_Iterator$)) {
    $n_sc_Iterator$ = new $c_sc_Iterator$().init___()
  };
  return $n_sc_Iterator$
});
class $c_sc_Iterator$ConcatIteratorCell extends $c_O {
  constructor() {
    super();
    this.head$1 = null;
    this.tail$1 = null
  };
  headIterator__sc_Iterator() {
    return this.head$1.apply__O().toIterator__sc_Iterator()
  };
  init___F0__sc_Iterator$ConcatIteratorCell(head, tail) {
    this.head$1 = head;
    this.tail$1 = tail;
    return this
  };
}
const $d_sc_Iterator$ConcatIteratorCell = new $TypeData().initClass({
  sc_Iterator$ConcatIteratorCell: 0
}, false, "scala.collection.Iterator$ConcatIteratorCell", {
  sc_Iterator$ConcatIteratorCell: 1,
  O: 1
});
$c_sc_Iterator$ConcatIteratorCell.prototype.$classData = $d_sc_Iterator$ConcatIteratorCell;
const $f_sc_TraversableOnce__copyToArray__O__I__V = (function($thiz, xs, start) {
  $thiz.copyToArray__O__I__I__V(xs, start, (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0))
});
const $f_sc_TraversableOnce__to__scg_CanBuildFrom__O = (function($thiz, cbf) {
  const b = cbf.apply__scm_Builder();
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.seq__sc_TraversableOnce());
  return b.result__O()
});
const $f_sc_TraversableOnce__count__F1__I = (function($thiz, p) {
  const cnt = new $c_sr_IntRef().init___I(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, cnt$1) {
    return (function(x$2) {
      if ((!(!p$1.apply__O__O(x$2)))) {
        cnt$1.elem$1 = ((1 + cnt$1.elem$1) | 0)
      }
    })
  })($thiz, p, cnt)));
  return cnt.elem$1
});
const $f_sc_TraversableOnce__mkString__T__T__T__T = (function($thiz, start, sep, end) {
  const this$1 = $thiz.addString__scm_StringBuilder__T__T__T__scm_StringBuilder(new $c_scm_StringBuilder().init___(), start, sep, end);
  const this$2 = this$1.underlying$5;
  return this$2.content$1
});
const $f_sc_TraversableOnce__foldLeft__O__F2__O = (function($thiz, z, op) {
  const result = new $c_sr_ObjectRef().init___O(z);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, op$1, result$1) {
    return (function(x$2) {
      result$1.elem$1 = op$1.apply__O__O__O(result$1.elem$1, x$2)
    })
  })($thiz, op, result)));
  return result.elem$1
});
const $f_sc_TraversableOnce__size__I = (function($thiz) {
  const result = new $c_sr_IntRef().init___I(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$2) {
      result$1.elem$1 = ((1 + result$1.elem$1) | 0)
    })
  })($thiz, result)));
  return result.elem$1
});
const $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option = (function($thiz, pf) {
  const nonLocalReturnKey1 = new $c_O().init___();
  try {
    let i;
    if ($is_sc_Iterator($thiz)) {
      const x2 = $thiz;
      i = x2
    } else {
      if ((!$is_sc_GenIterable($thiz))) {
        $thiz.foreach__F1__V(pf.runWith__F1__F1(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, nonLocalReturnKey1$1) {
          return (function(b$2) {
            throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1$1, new $c_s_Some().init___O(b$2))
          })
        })($thiz, nonLocalReturnKey1))));
        return $m_s_None$()
      };
      i = $thiz.toIterator__sc_Iterator()
    };
    const sentinel = new $c_sc_TraversableOnce$$anon$2().init___sc_TraversableOnce($thiz);
    while (i.hasNext__Z()) {
      const x = pf.applyOrElse__O__F1__O(i.next__O(), sentinel);
      if ((x !== sentinel)) {
        return new $c_s_Some().init___O(x)
      }
    };
    return $m_s_None$()
  } catch (e) {
    if ($is_sr_NonLocalReturnControl(e)) {
      const ex = e;
      if ((ex.key$2 === nonLocalReturnKey1)) {
        return ex.value__O()
      } else {
        throw ex
      }
    } else {
      throw e
    }
  }
});
const $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function($thiz, b, start, sep, end) {
  const first = new $c_sr_BooleanRef().init___Z(true);
  b.append__T__scm_StringBuilder(start);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, sep$1, first$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        b$1.append__O__scm_StringBuilder(x$2);
        first$1.elem$1 = false;
        return (void 0)
      } else {
        b$1.append__T__scm_StringBuilder(sep$1);
        return b$1.append__O__scm_StringBuilder(x$2)
      }
    })
  })($thiz, b, sep, first)));
  b.append__T__scm_StringBuilder(end);
  return b
});
const $f_sc_TraversableOnce__max__s_math_Ordering__O = (function($thiz, cmp) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.max")
  };
  return $thiz.reduceLeft__F2__O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, cmp$1) {
    return (function(x$2, y$2) {
      return ($f_s_math_Ordering__gteq__O__O__Z(cmp$1, x$2, y$2) ? x$2 : y$2)
    })
  })($thiz, cmp)))
});
const $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O = (function($thiz, evidence$1) {
  if ($thiz.isTraversableAgain__Z()) {
    const result = evidence$1.newArray__I__O($thiz.size__I());
    $thiz.copyToArray__O__I__V(result, 0);
    return result
  } else {
    return $thiz.toBuffer__scm_Buffer().toArray__s_reflect_ClassTag__O(evidence$1)
  }
});
const $f_sc_TraversableOnce__nonEmpty__Z = (function($thiz) {
  return (!$thiz.isEmpty__Z())
});
const $f_sc_TraversableOnce__reduceLeft__F2__O = (function($thiz, op) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.reduceLeft")
  };
  const first = new $c_sr_BooleanRef().init___Z(true);
  const acc = new $c_sr_ObjectRef().init___O(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, op$1, first$1, acc$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        acc$1.elem$1 = x$2;
        first$1.elem$1 = false
      } else {
        acc$1.elem$1 = op$1.apply__O__O__O(acc$1.elem$1, x$2)
      }
    })
  })($thiz, op, first, acc)));
  return acc.elem$1
});
const $is_sc_TraversableOnce = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableOnce)))
});
const $isArrayOf_sc_TraversableOnce = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableOnce)))
});
class $c_scg_GenMapFactory extends $c_O {
  apply__sc_Seq__sc_GenMap(elems) {
    return this.newBuilder__scm_Builder().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(elems).result__O()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_GenMap())
  };
}
class $c_scg_GenericCompanion extends $c_O {
  apply__sc_Seq__sc_GenTraversable(elems) {
    if (elems.isEmpty__Z()) {
      return this.empty__sc_GenTraversable()
    } else {
      const b = this.newBuilder__scm_Builder();
      b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(elems);
      return b.result__O()
    }
  };
  empty__sc_GenTraversable() {
    return this.newBuilder__scm_Builder().result__O()
  };
}
const $f_scg_GenericTraversableTemplate__flatten__F1__sc_GenTraversable = (function($thiz, asTraversable) {
  const b = $thiz.companion__scg_GenericCompanion().newBuilder__scm_Builder();
  $thiz.seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, asTraversable$1, b$1) {
    return (function(xs$2) {
      return b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(asTraversable$1.apply__O__O(xs$2).seq__sc_TraversableOnce())
    })
  })($thiz, asTraversable, b)));
  return b.result__O()
});
const $is_scg_GenericTraversableTemplate = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_GenericTraversableTemplate)))
});
const $isArrayOf_scg_GenericTraversableTemplate = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_GenericTraversableTemplate)))
});
const $f_scg_Growable__loop$1__pscg_Growable__sc_LinearSeq__V = (function($thiz, xs) {
  _loop: while (true) {
    const this$1 = xs;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      $thiz.$$plus$eq__O__scg_Growable(xs.head__O());
      xs = xs.tail__O();
      continue _loop
    };
    break
  }
});
const $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function($thiz, xs) {
  if ($is_sc_LinearSeq(xs)) {
    const x2 = xs;
    let xs$1 = x2;
    $f_scg_Growable__loop$1__pscg_Growable__sc_LinearSeq__V($thiz, xs$1)
  } else {
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(elem$2) {
        return $this.$$plus$eq__O__scg_Growable(elem$2)
      })
    })($thiz)))
  };
  return $thiz
});
const $is_scg_Growable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_Growable)))
});
const $isArrayOf_scg_Growable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_Growable)))
});
class $c_scg_SliceInterval extends $c_O {
  constructor() {
    super();
    this.from$1 = 0;
    this.until$1 = 0
  };
  width__I() {
    return ((this.until$1 - this.from$1) | 0)
  };
  init___I__I(from, until) {
    this.from$1 = from;
    this.until$1 = until;
    return this
  };
}
const $d_scg_SliceInterval = new $TypeData().initClass({
  scg_SliceInterval: 0
}, false, "scala.collection.generic.SliceInterval", {
  scg_SliceInterval: 1,
  O: 1
});
$c_scg_SliceInterval.prototype.$classData = $d_scg_SliceInterval;
class $c_scg_SliceInterval$ extends $c_O {
  init___() {
    return this
  };
  apply__I__I__scg_SliceInterval(from, until) {
    const lo = ((from > 0) ? from : 0);
    const hi = ((until > 0) ? until : 0);
    return ((hi <= lo) ? new $c_scg_SliceInterval().init___I__I(lo, lo) : new $c_scg_SliceInterval().init___I__I(lo, hi))
  };
}
const $d_scg_SliceInterval$ = new $TypeData().initClass({
  scg_SliceInterval$: 0
}, false, "scala.collection.generic.SliceInterval$", {
  scg_SliceInterval$: 1,
  O: 1
});
$c_scg_SliceInterval$.prototype.$classData = $d_scg_SliceInterval$;
let $n_scg_SliceInterval$ = (void 0);
const $m_scg_SliceInterval$ = (function() {
  if ((!$n_scg_SliceInterval$)) {
    $n_scg_SliceInterval$ = new $c_scg_SliceInterval$().init___()
  };
  return $n_scg_SliceInterval$
});
class $c_sci_HashMap$Merger extends $c_O {
}
class $c_sci_Stream$$hash$colon$colon$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sci_Stream$$hash$colon$colon$ = new $TypeData().initClass({
  sci_Stream$$hash$colon$colon$: 0
}, false, "scala.collection.immutable.Stream$$hash$colon$colon$", {
  sci_Stream$$hash$colon$colon$: 1,
  O: 1
});
$c_sci_Stream$$hash$colon$colon$.prototype.$classData = $d_sci_Stream$$hash$colon$colon$;
let $n_sci_Stream$$hash$colon$colon$ = (void 0);
const $m_sci_Stream$$hash$colon$colon$ = (function() {
  if ((!$n_sci_Stream$$hash$colon$colon$)) {
    $n_sci_Stream$$hash$colon$colon$ = new $c_sci_Stream$$hash$colon$colon$().init___()
  };
  return $n_sci_Stream$$hash$colon$colon$
});
class $c_sci_Stream$ConsWrapper extends $c_O {
  constructor() {
    super();
    this.tl$1 = null
  };
  init___F0(tl) {
    this.tl$1 = tl;
    return this
  };
  $$hash$colon$colon$colon__sci_Stream__sci_Stream(prefix) {
    return prefix.append__F0__sci_Stream(this.tl$1)
  };
}
const $d_sci_Stream$ConsWrapper = new $TypeData().initClass({
  sci_Stream$ConsWrapper: 0
}, false, "scala.collection.immutable.Stream$ConsWrapper", {
  sci_Stream$ConsWrapper: 1,
  O: 1
});
$c_sci_Stream$ConsWrapper.prototype.$classData = $d_sci_Stream$ConsWrapper;
class $c_sci_StreamIterator$LazyCell extends $c_O {
  constructor() {
    super();
    this.v$1 = null;
    this.st$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  init___sci_StreamIterator__F0($$outer, st) {
    this.st$1 = st;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  v$lzycompute__p1__sci_Stream() {
    if ((!this.bitmap$0$1)) {
      this.v$1 = this.st$1.apply__O();
      this.bitmap$0$1 = true
    };
    this.st$1 = null;
    return this.v$1
  };
  v__sci_Stream() {
    return ((!this.bitmap$0$1) ? this.v$lzycompute__p1__sci_Stream() : this.v$1)
  };
}
const $d_sci_StreamIterator$LazyCell = new $TypeData().initClass({
  sci_StreamIterator$LazyCell: 0
}, false, "scala.collection.immutable.StreamIterator$LazyCell", {
  sci_StreamIterator$LazyCell: 1,
  O: 1
});
$c_sci_StreamIterator$LazyCell.prototype.$classData = $d_sci_StreamIterator$LazyCell;
class $c_sci_StringOps$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__T__O__Z($$this, x$1) {
    if ($is_sci_StringOps(x$1)) {
      const StringOps$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === StringOps$1)
    } else {
      return false
    }
  };
  slice$extension__T__I__I__T($$this, from, until) {
    const start = ((from < 0) ? 0 : from);
    if (((until <= start) || (start >= ($$this.length | 0)))) {
      return ""
    };
    const end = ((until > ($$this.length | 0)) ? ($$this.length | 0) : until);
    return $$this.substring(start, end)
  };
}
const $d_sci_StringOps$ = new $TypeData().initClass({
  sci_StringOps$: 0
}, false, "scala.collection.immutable.StringOps$", {
  sci_StringOps$: 1,
  O: 1
});
$c_sci_StringOps$.prototype.$classData = $d_sci_StringOps$;
let $n_sci_StringOps$ = (void 0);
const $m_sci_StringOps$ = (function() {
  if ((!$n_sci_StringOps$)) {
    $n_sci_StringOps$ = new $c_sci_StringOps$().init___()
  };
  return $n_sci_StringOps$
});
class $c_sci_WrappedString$ extends $c_O {
  init___() {
    return this
  };
  newBuilder__scm_Builder() {
    const this$2 = new $c_scm_StringBuilder().init___();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return new $c_sci_WrappedString().init___T(x)
      })
    })(this));
    return new $c_scm_Builder$$anon$1().init___scm_Builder__F1(this$2, f)
  };
}
const $d_sci_WrappedString$ = new $TypeData().initClass({
  sci_WrappedString$: 0
}, false, "scala.collection.immutable.WrappedString$", {
  sci_WrappedString$: 1,
  O: 1
});
$c_sci_WrappedString$.prototype.$classData = $d_sci_WrappedString$;
let $n_sci_WrappedString$ = (void 0);
const $m_sci_WrappedString$ = (function() {
  if ((!$n_sci_WrappedString$)) {
    $n_sci_WrappedString$ = new $c_sci_WrappedString$().init___()
  };
  return $n_sci_WrappedString$
});
class $c_scm_ArrayOps$ofBoolean$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AZ__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofBoolean(x$1)) {
      const ofBoolean$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofBoolean$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofBoolean$ = new $TypeData().initClass({
  scm_ArrayOps$ofBoolean$: 0
}, false, "scala.collection.mutable.ArrayOps$ofBoolean$", {
  scm_ArrayOps$ofBoolean$: 1,
  O: 1
});
$c_scm_ArrayOps$ofBoolean$.prototype.$classData = $d_scm_ArrayOps$ofBoolean$;
let $n_scm_ArrayOps$ofBoolean$ = (void 0);
const $m_scm_ArrayOps$ofBoolean$ = (function() {
  if ((!$n_scm_ArrayOps$ofBoolean$)) {
    $n_scm_ArrayOps$ofBoolean$ = new $c_scm_ArrayOps$ofBoolean$().init___()
  };
  return $n_scm_ArrayOps$ofBoolean$
});
class $c_scm_ArrayOps$ofByte$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AB__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofByte(x$1)) {
      const ofByte$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofByte$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofByte$ = new $TypeData().initClass({
  scm_ArrayOps$ofByte$: 0
}, false, "scala.collection.mutable.ArrayOps$ofByte$", {
  scm_ArrayOps$ofByte$: 1,
  O: 1
});
$c_scm_ArrayOps$ofByte$.prototype.$classData = $d_scm_ArrayOps$ofByte$;
let $n_scm_ArrayOps$ofByte$ = (void 0);
const $m_scm_ArrayOps$ofByte$ = (function() {
  if ((!$n_scm_ArrayOps$ofByte$)) {
    $n_scm_ArrayOps$ofByte$ = new $c_scm_ArrayOps$ofByte$().init___()
  };
  return $n_scm_ArrayOps$ofByte$
});
class $c_scm_ArrayOps$ofChar$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AC__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofChar(x$1)) {
      const ofChar$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofChar$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofChar$ = new $TypeData().initClass({
  scm_ArrayOps$ofChar$: 0
}, false, "scala.collection.mutable.ArrayOps$ofChar$", {
  scm_ArrayOps$ofChar$: 1,
  O: 1
});
$c_scm_ArrayOps$ofChar$.prototype.$classData = $d_scm_ArrayOps$ofChar$;
let $n_scm_ArrayOps$ofChar$ = (void 0);
const $m_scm_ArrayOps$ofChar$ = (function() {
  if ((!$n_scm_ArrayOps$ofChar$)) {
    $n_scm_ArrayOps$ofChar$ = new $c_scm_ArrayOps$ofChar$().init___()
  };
  return $n_scm_ArrayOps$ofChar$
});
class $c_scm_ArrayOps$ofDouble$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AD__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofDouble(x$1)) {
      const ofDouble$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofDouble$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofDouble$ = new $TypeData().initClass({
  scm_ArrayOps$ofDouble$: 0
}, false, "scala.collection.mutable.ArrayOps$ofDouble$", {
  scm_ArrayOps$ofDouble$: 1,
  O: 1
});
$c_scm_ArrayOps$ofDouble$.prototype.$classData = $d_scm_ArrayOps$ofDouble$;
let $n_scm_ArrayOps$ofDouble$ = (void 0);
const $m_scm_ArrayOps$ofDouble$ = (function() {
  if ((!$n_scm_ArrayOps$ofDouble$)) {
    $n_scm_ArrayOps$ofDouble$ = new $c_scm_ArrayOps$ofDouble$().init___()
  };
  return $n_scm_ArrayOps$ofDouble$
});
class $c_scm_ArrayOps$ofFloat$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AF__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofFloat(x$1)) {
      const ofFloat$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofFloat$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofFloat$ = new $TypeData().initClass({
  scm_ArrayOps$ofFloat$: 0
}, false, "scala.collection.mutable.ArrayOps$ofFloat$", {
  scm_ArrayOps$ofFloat$: 1,
  O: 1
});
$c_scm_ArrayOps$ofFloat$.prototype.$classData = $d_scm_ArrayOps$ofFloat$;
let $n_scm_ArrayOps$ofFloat$ = (void 0);
const $m_scm_ArrayOps$ofFloat$ = (function() {
  if ((!$n_scm_ArrayOps$ofFloat$)) {
    $n_scm_ArrayOps$ofFloat$ = new $c_scm_ArrayOps$ofFloat$().init___()
  };
  return $n_scm_ArrayOps$ofFloat$
});
class $c_scm_ArrayOps$ofInt$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AI__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofInt(x$1)) {
      const ofInt$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofInt$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofInt$ = new $TypeData().initClass({
  scm_ArrayOps$ofInt$: 0
}, false, "scala.collection.mutable.ArrayOps$ofInt$", {
  scm_ArrayOps$ofInt$: 1,
  O: 1
});
$c_scm_ArrayOps$ofInt$.prototype.$classData = $d_scm_ArrayOps$ofInt$;
let $n_scm_ArrayOps$ofInt$ = (void 0);
const $m_scm_ArrayOps$ofInt$ = (function() {
  if ((!$n_scm_ArrayOps$ofInt$)) {
    $n_scm_ArrayOps$ofInt$ = new $c_scm_ArrayOps$ofInt$().init___()
  };
  return $n_scm_ArrayOps$ofInt$
});
class $c_scm_ArrayOps$ofLong$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AJ__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofLong(x$1)) {
      const ofLong$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofLong$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofLong$ = new $TypeData().initClass({
  scm_ArrayOps$ofLong$: 0
}, false, "scala.collection.mutable.ArrayOps$ofLong$", {
  scm_ArrayOps$ofLong$: 1,
  O: 1
});
$c_scm_ArrayOps$ofLong$.prototype.$classData = $d_scm_ArrayOps$ofLong$;
let $n_scm_ArrayOps$ofLong$ = (void 0);
const $m_scm_ArrayOps$ofLong$ = (function() {
  if ((!$n_scm_ArrayOps$ofLong$)) {
    $n_scm_ArrayOps$ofLong$ = new $c_scm_ArrayOps$ofLong$().init___()
  };
  return $n_scm_ArrayOps$ofLong$
});
class $c_scm_ArrayOps$ofRef$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AO__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofRef(x$1)) {
      const ofRef$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofRef$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofRef$ = new $TypeData().initClass({
  scm_ArrayOps$ofRef$: 0
}, false, "scala.collection.mutable.ArrayOps$ofRef$", {
  scm_ArrayOps$ofRef$: 1,
  O: 1
});
$c_scm_ArrayOps$ofRef$.prototype.$classData = $d_scm_ArrayOps$ofRef$;
let $n_scm_ArrayOps$ofRef$ = (void 0);
const $m_scm_ArrayOps$ofRef$ = (function() {
  if ((!$n_scm_ArrayOps$ofRef$)) {
    $n_scm_ArrayOps$ofRef$ = new $c_scm_ArrayOps$ofRef$().init___()
  };
  return $n_scm_ArrayOps$ofRef$
});
class $c_scm_ArrayOps$ofShort$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__AS__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofShort(x$1)) {
      const ofShort$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofShort$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofShort$ = new $TypeData().initClass({
  scm_ArrayOps$ofShort$: 0
}, false, "scala.collection.mutable.ArrayOps$ofShort$", {
  scm_ArrayOps$ofShort$: 1,
  O: 1
});
$c_scm_ArrayOps$ofShort$.prototype.$classData = $d_scm_ArrayOps$ofShort$;
let $n_scm_ArrayOps$ofShort$ = (void 0);
const $m_scm_ArrayOps$ofShort$ = (function() {
  if ((!$n_scm_ArrayOps$ofShort$)) {
    $n_scm_ArrayOps$ofShort$ = new $c_scm_ArrayOps$ofShort$().init___()
  };
  return $n_scm_ArrayOps$ofShort$
});
class $c_scm_ArrayOps$ofUnit$ extends $c_O {
  init___() {
    return this
  };
  equals$extension__Asr_BoxedUnit__O__Z($$this, x$1) {
    if ($is_scm_ArrayOps$ofUnit(x$1)) {
      const ofUnit$1 = ((x$1 === null) ? null : x$1.repr$1);
      return ($$this === ofUnit$1)
    } else {
      return false
    }
  };
}
const $d_scm_ArrayOps$ofUnit$ = new $TypeData().initClass({
  scm_ArrayOps$ofUnit$: 0
}, false, "scala.collection.mutable.ArrayOps$ofUnit$", {
  scm_ArrayOps$ofUnit$: 1,
  O: 1
});
$c_scm_ArrayOps$ofUnit$.prototype.$classData = $d_scm_ArrayOps$ofUnit$;
let $n_scm_ArrayOps$ofUnit$ = (void 0);
const $m_scm_ArrayOps$ofUnit$ = (function() {
  if ((!$n_scm_ArrayOps$ofUnit$)) {
    $n_scm_ArrayOps$ofUnit$ = new $c_scm_ArrayOps$ofUnit$().init___()
  };
  return $n_scm_ArrayOps$ofUnit$
});
const $f_scm_FlatHashTable__calcSizeMapSize__I__I = (function($thiz, tableLength) {
  return ((1 + (tableLength >> 5)) | 0)
});
const $f_scm_FlatHashTable__tableSizeSeed__I = (function($thiz) {
  return $m_jl_Integer$().bitCount__I__I((((-1) + $thiz.table$5.u.length) | 0))
});
const $f_scm_FlatHashTable__addElem__O__Z = (function($thiz, elem) {
  const newEntry = $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O($thiz, elem);
  return $f_scm_FlatHashTable__addEntry__O__Z($thiz, newEntry)
});
const $f_scm_FlatHashTable__precedes$1__pscm_FlatHashTable__I__I__Z = (function($thiz, i, j) {
  const d = ($thiz.table$5.u.length >> 1);
  return ((i <= j) ? (((j - i) | 0) < d) : (((i - j) | 0) > d))
});
const $f_scm_FlatHashTable__addEntry__O__Z = (function($thiz, newEntry) {
  const hcode = $objectHashCode(newEntry);
  let h = $f_scm_FlatHashTable__index__I__I($thiz, hcode);
  let curEntry = $thiz.table$5.u[h];
  while ((curEntry !== null)) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, newEntry)) {
      return false
    };
    h = ((((1 + h) | 0) % $thiz.table$5.u.length) | 0);
    curEntry = $thiz.table$5.u[h]
  };
  $thiz.table$5.u[h] = newEntry;
  $thiz.tableSize$5 = ((1 + $thiz.tableSize$5) | 0);
  const h$1 = h;
  $f_scm_FlatHashTable__nnSizeMapAdd__I__V($thiz, h$1);
  if (($thiz.tableSize$5 >= $thiz.threshold$5)) {
    $f_scm_FlatHashTable__growTable__pscm_FlatHashTable__V($thiz)
  };
  return true
});
const $f_scm_FlatHashTable__index__I__I = (function($thiz, hcode) {
  const seed = $thiz.seedvalue$5;
  const improved = $f_scm_FlatHashTable$HashUtils__improve__I__I__I($thiz, hcode, seed);
  const ones = (((-1) + $thiz.table$5.u.length) | 0);
  return (((improved >>> ((32 - $m_jl_Integer$().bitCount__I__I(ones)) | 0)) | 0) & ones)
});
const $f_scm_FlatHashTable__initWithContents__scm_FlatHashTable$Contents__V = (function($thiz, c) {
  if ((c !== null)) {
    $thiz.$$undloadFactor$5 = c.loadFactor__I();
    $thiz.table$5 = c.table__AO();
    $thiz.tableSize$5 = c.tableSize__I();
    $thiz.threshold$5 = c.threshold__I();
    $thiz.seedvalue$5 = c.seedvalue__I();
    $thiz.sizemap$5 = c.sizemap__AI()
  }
});
const $f_scm_FlatHashTable__removeElem__O__Z = (function($thiz, elem) {
  const removalEntry = $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O($thiz, elem);
  const hcode = $objectHashCode(removalEntry);
  let h = $f_scm_FlatHashTable__index__I__I($thiz, hcode);
  let curEntry = $thiz.table$5.u[h];
  while ((curEntry !== null)) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, removalEntry)) {
      let h0 = h;
      let h1 = ((((1 + h0) | 0) % $thiz.table$5.u.length) | 0);
      while (($thiz.table$5.u[h1] !== null)) {
        const hcode$1 = $objectHashCode($thiz.table$5.u[h1]);
        const h2 = $f_scm_FlatHashTable__index__I__I($thiz, hcode$1);
        let jsx$1;
        if ((h2 !== h1)) {
          const j = h0;
          jsx$1 = $f_scm_FlatHashTable__precedes$1__pscm_FlatHashTable__I__I__Z($thiz, h2, j)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          $thiz.table$5.u[h0] = $thiz.table$5.u[h1];
          h0 = h1
        };
        h1 = ((((1 + h1) | 0) % $thiz.table$5.u.length) | 0)
      };
      $thiz.table$5.u[h0] = null;
      $thiz.tableSize$5 = (((-1) + $thiz.tableSize$5) | 0);
      const h$1 = h0;
      $f_scm_FlatHashTable__nnSizeMapRemove__I__V($thiz, h$1);
      return true
    };
    h = ((((1 + h) | 0) % $thiz.table$5.u.length) | 0);
    curEntry = $thiz.table$5.u[h]
  };
  return false
});
const $f_scm_FlatHashTable__$$init$__V = (function($thiz) {
  $thiz.$$undloadFactor$5 = 450;
  $thiz.table$5 = $newArrayObject($d_O.getArrayOf(), [$m_scm_HashTable$().nextPositivePowerOfTwo__I__I(32)]);
  $thiz.tableSize$5 = 0;
  $thiz.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($thiz.$$undloadFactor$5, $m_scm_HashTable$().nextPositivePowerOfTwo__I__I(32));
  $thiz.sizemap$5 = null;
  $thiz.seedvalue$5 = $f_scm_FlatHashTable__tableSizeSeed__I($thiz)
});
const $f_scm_FlatHashTable__findElemImpl__pscm_FlatHashTable__O__O = (function($thiz, elem) {
  const searchEntry = $f_scm_FlatHashTable$HashUtils__elemToEntry__O__O($thiz, elem);
  const hcode = $objectHashCode(searchEntry);
  let h = $f_scm_FlatHashTable__index__I__I($thiz, hcode);
  let curEntry = $thiz.table$5.u[h];
  while (((curEntry !== null) && (!$m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, searchEntry)))) {
    h = ((((1 + h) | 0) % $thiz.table$5.u.length) | 0);
    curEntry = $thiz.table$5.u[h]
  };
  return curEntry
});
const $f_scm_FlatHashTable__containsElem__O__Z = (function($thiz, elem) {
  return ($f_scm_FlatHashTable__findElemImpl__pscm_FlatHashTable__O__O($thiz, elem) !== null)
});
const $f_scm_FlatHashTable__nnSizeMapRemove__I__V = (function($thiz, h) {
  if (($thiz.sizemap$5 !== null)) {
    const ev$2 = $thiz.sizemap$5;
    const ev$3 = (h >> 5);
    ev$2.u[ev$3] = (((-1) + ev$2.u[ev$3]) | 0)
  }
});
const $f_scm_FlatHashTable__nnSizeMapReset__I__V = (function($thiz, tableLength) {
  if (($thiz.sizemap$5 !== null)) {
    const nsize = $f_scm_FlatHashTable__calcSizeMapSize__I__I($thiz, tableLength);
    if (($thiz.sizemap$5.u.length !== nsize)) {
      $thiz.sizemap$5 = $newArrayObject($d_I.getArrayOf(), [nsize])
    } else {
      $m_ju_Arrays$().fill__AI__I__V($thiz.sizemap$5, 0)
    }
  }
});
const $f_scm_FlatHashTable__nnSizeMapAdd__I__V = (function($thiz, h) {
  if (($thiz.sizemap$5 !== null)) {
    const p = (h >> 5);
    const ev$1 = $thiz.sizemap$5;
    ev$1.u[p] = ((1 + ev$1.u[p]) | 0)
  }
});
const $f_scm_FlatHashTable__growTable__pscm_FlatHashTable__V = (function($thiz) {
  const oldtable = $thiz.table$5;
  $thiz.table$5 = $newArrayObject($d_O.getArrayOf(), [($thiz.table$5.u.length << 1)]);
  $thiz.tableSize$5 = 0;
  const tableLength = $thiz.table$5.u.length;
  $f_scm_FlatHashTable__nnSizeMapReset__I__V($thiz, tableLength);
  $thiz.seedvalue$5 = $f_scm_FlatHashTable__tableSizeSeed__I($thiz);
  $thiz.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($thiz.$$undloadFactor$5, $thiz.table$5.u.length);
  let i = 0;
  while ((i < oldtable.u.length)) {
    const entry = oldtable.u[i];
    if ((entry !== null)) {
      $f_scm_FlatHashTable__addEntry__O__Z($thiz, entry)
    };
    i = ((1 + i) | 0)
  }
});
class $c_scm_FlatHashTable$ extends $c_O {
  init___() {
    return this
  };
  newThreshold__I__I__I(_loadFactor, size) {
    const assertion = (_loadFactor < 500);
    if ((!assertion)) {
      throw new $c_jl_AssertionError().init___O("assertion failed: loadFactor too large; must be < 0.5")
    };
    const hi = (size >> 31);
    const hi$1 = (_loadFactor >> 31);
    const a0 = (65535 & size);
    const a1 = ((size >>> 16) | 0);
    const b0 = (65535 & _loadFactor);
    const b1 = ((_loadFactor >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi$2 = (((((((($imul(size, hi$1) + $imul(hi, _loadFactor)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    const this$2 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$2.divideImpl__I__I__I__I__I(lo, hi$2, 1000, 0);
    return lo$1
  };
}
const $d_scm_FlatHashTable$ = new $TypeData().initClass({
  scm_FlatHashTable$: 0
}, false, "scala.collection.mutable.FlatHashTable$", {
  scm_FlatHashTable$: 1,
  O: 1
});
$c_scm_FlatHashTable$.prototype.$classData = $d_scm_FlatHashTable$;
let $n_scm_FlatHashTable$ = (void 0);
const $m_scm_FlatHashTable$ = (function() {
  if ((!$n_scm_FlatHashTable$)) {
    $n_scm_FlatHashTable$ = new $c_scm_FlatHashTable$().init___()
  };
  return $n_scm_FlatHashTable$
});
class $c_scm_FlatHashTable$NullSentinel$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "NullSentinel"
  };
  hashCode__I() {
    return 0
  };
}
const $d_scm_FlatHashTable$NullSentinel$ = new $TypeData().initClass({
  scm_FlatHashTable$NullSentinel$: 0
}, false, "scala.collection.mutable.FlatHashTable$NullSentinel$", {
  scm_FlatHashTable$NullSentinel$: 1,
  O: 1
});
$c_scm_FlatHashTable$NullSentinel$.prototype.$classData = $d_scm_FlatHashTable$NullSentinel$;
let $n_scm_FlatHashTable$NullSentinel$ = (void 0);
const $m_scm_FlatHashTable$NullSentinel$ = (function() {
  if ((!$n_scm_FlatHashTable$NullSentinel$)) {
    $n_scm_FlatHashTable$NullSentinel$ = new $c_scm_FlatHashTable$NullSentinel$().init___()
  };
  return $n_scm_FlatHashTable$NullSentinel$
});
const $f_scm_HashTable__calcSizeMapSize__I__I = (function($thiz, tableLength) {
  return ((1 + (tableLength >> 5)) | 0)
});
const $f_scm_HashTable__tableSizeSeed__I = (function($thiz) {
  return $m_jl_Integer$().bitCount__I__I((((-1) + $thiz.table$5.u.length) | 0))
});
const $f_scm_HashTable__clearTable__V = (function($thiz) {
  let i = (((-1) + $thiz.table$5.u.length) | 0);
  while ((i >= 0)) {
    $thiz.table$5.u[i] = null;
    i = (((-1) + i) | 0)
  };
  $thiz.tableSize$5 = 0;
  $f_scm_HashTable__nnSizeMapReset__I__V($thiz, 0)
});
const $f_scm_HashTable__findEntry0__pscm_HashTable__O__I__scm_HashEntry = (function($thiz, key, h) {
  let e = $thiz.table$5.u[h];
  while (true) {
    let jsx$1;
    if ((e !== null)) {
      const key1 = e.key$1;
      jsx$1 = (!$m_sr_BoxesRunTime$().equals__O__O__Z(key1, key))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$1 = e;
      e = this$1.next$1
    } else {
      break
    }
  };
  return e
});
const $f_scm_HashTable__addEntry__scm_HashEntry__V = (function($thiz, e) {
  const key = e.key$1;
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  $f_scm_HashTable__addEntry0__pscm_HashTable__scm_HashEntry__I__V($thiz, e, h)
});
const $f_scm_HashTable__initWithContents__scm_HashTable$Contents__V = (function($thiz, c) {
  if ((c !== null)) {
    $thiz.$$undloadFactor$5 = c.loadFactor__I();
    $thiz.table$5 = c.table__Ascm_HashEntry();
    $thiz.tableSize$5 = c.tableSize__I();
    $thiz.threshold$5 = c.threshold__I();
    $thiz.seedvalue$5 = c.seedvalue__I();
    $thiz.sizemap$5 = c.sizemap__AI()
  }
});
const $f_scm_HashTable__index__I__I = (function($thiz, hcode) {
  const ones = (((-1) + $thiz.table$5.u.length) | 0);
  const exponent = $clz32(ones);
  const seed = $thiz.seedvalue$5;
  return ((($f_scm_HashTable$HashUtils__improve__I__I__I($thiz, hcode, seed) >>> exponent) | 0) & ones)
});
const $f_scm_HashTable__$$init$__V = (function($thiz) {
  $thiz.$$undloadFactor$5 = 750;
  const this$1 = $m_scm_HashTable$();
  $thiz.table$5 = $newArrayObject($d_scm_HashEntry.getArrayOf(), [this$1.nextPositivePowerOfTwo__I__I(16)]);
  $thiz.tableSize$5 = 0;
  const _loadFactor = $thiz.$$undloadFactor$5;
  const jsx$1 = $m_scm_HashTable$();
  const this$2 = $m_scm_HashTable$();
  $thiz.threshold$5 = jsx$1.newThreshold__I__I__I(_loadFactor, this$2.nextPositivePowerOfTwo__I__I(16));
  $thiz.sizemap$5 = null;
  $thiz.seedvalue$5 = $f_scm_HashTable__tableSizeSeed__I($thiz)
});
const $f_scm_HashTable__removeEntry__O__scm_HashEntry = (function($thiz, key) {
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  let e = $thiz.table$5.u[h];
  if ((e !== null)) {
    const key1 = e.key$1;
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key1, key)) {
      const jsx$1 = $thiz.table$5;
      const this$1 = e;
      jsx$1.u[h] = this$1.next$1;
      $thiz.tableSize$5 = (((-1) + $thiz.tableSize$5) | 0);
      $f_scm_HashTable__nnSizeMapRemove__I__V($thiz, h);
      const this$2 = e;
      this$2.next$1 = null;
      return e
    } else {
      const this$3 = e;
      let e1 = this$3.next$1;
      while (true) {
        let jsx$2;
        if ((e1 !== null)) {
          const key1$1 = e1.key$1;
          jsx$2 = (!$m_sr_BoxesRunTime$().equals__O__O__Z(key1$1, key))
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          e = e1;
          const this$4 = e1;
          e1 = this$4.next$1
        } else {
          break
        }
      };
      if ((e1 !== null)) {
        const this$6 = e;
        const this$5 = e1;
        const x$1 = this$5.next$1;
        this$6.next$1 = x$1;
        $thiz.tableSize$5 = (((-1) + $thiz.tableSize$5) | 0);
        $f_scm_HashTable__nnSizeMapRemove__I__V($thiz, h);
        const this$7 = e1;
        this$7.next$1 = null;
        return e1
      }
    }
  };
  return null
});
const $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I = (function($thiz) {
  let idx = (((-1) + $thiz.table$5.u.length) | 0);
  while ((($thiz.table$5.u[idx] === null) && (idx > 0))) {
    idx = (((-1) + idx) | 0)
  };
  return idx
});
const $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry = (function($thiz, key, value) {
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  const e = $f_scm_HashTable__findEntry0__pscm_HashTable__O__I__scm_HashEntry($thiz, key, h);
  if ((e !== null)) {
    return e
  } else {
    const e$1 = new $c_scm_DefaultEntry().init___O__O(key, value);
    $f_scm_HashTable__addEntry0__pscm_HashTable__scm_HashEntry__I__V($thiz, e$1, h);
    return null
  }
});
const $f_scm_HashTable__findEntry__O__scm_HashEntry = (function($thiz, key) {
  const hcode = $m_sr_Statics$().anyHash__O__I(key);
  const h = $f_scm_HashTable__index__I__I($thiz, hcode);
  return $f_scm_HashTable__findEntry0__pscm_HashTable__O__I__scm_HashEntry($thiz, key, h)
});
const $f_scm_HashTable__addEntry0__pscm_HashTable__scm_HashEntry__I__V = (function($thiz, e, h) {
  const x$1 = $thiz.table$5.u[h];
  e.next$1 = x$1;
  $thiz.table$5.u[h] = e;
  $thiz.tableSize$5 = ((1 + $thiz.tableSize$5) | 0);
  $f_scm_HashTable__nnSizeMapAdd__I__V($thiz, h);
  if (($thiz.tableSize$5 > $thiz.threshold$5)) {
    const newSize = ($thiz.table$5.u.length << 1);
    $f_scm_HashTable__resize__pscm_HashTable__I__V($thiz, newSize)
  }
});
const $f_scm_HashTable__nnSizeMapRemove__I__V = (function($thiz, h) {
  if (($thiz.sizemap$5 !== null)) {
    const ev$3 = $thiz.sizemap$5;
    const ev$4 = (h >> 5);
    ev$3.u[ev$4] = (((-1) + ev$3.u[ev$4]) | 0)
  }
});
const $f_scm_HashTable__nnSizeMapReset__I__V = (function($thiz, tableLength) {
  if (($thiz.sizemap$5 !== null)) {
    const nsize = $f_scm_HashTable__calcSizeMapSize__I__I($thiz, tableLength);
    if (($thiz.sizemap$5.u.length !== nsize)) {
      $thiz.sizemap$5 = $newArrayObject($d_I.getArrayOf(), [nsize])
    } else {
      $m_ju_Arrays$().fill__AI__I__V($thiz.sizemap$5, 0)
    }
  }
});
const $f_scm_HashTable__nnSizeMapAdd__I__V = (function($thiz, h) {
  if (($thiz.sizemap$5 !== null)) {
    const ev$1 = $thiz.sizemap$5;
    const ev$2 = (h >> 5);
    ev$1.u[ev$2] = ((1 + ev$1.u[ev$2]) | 0)
  }
});
const $f_scm_HashTable__resize__pscm_HashTable__I__V = (function($thiz, newSize) {
  const oldTable = $thiz.table$5;
  $thiz.table$5 = $newArrayObject($d_scm_HashEntry.getArrayOf(), [newSize]);
  const tableLength = $thiz.table$5.u.length;
  $f_scm_HashTable__nnSizeMapReset__I__V($thiz, tableLength);
  let i = (((-1) + oldTable.u.length) | 0);
  while ((i >= 0)) {
    let e = oldTable.u[i];
    while ((e !== null)) {
      const key = e.key$1;
      const hcode = $m_sr_Statics$().anyHash__O__I(key);
      const h = $f_scm_HashTable__index__I__I($thiz, hcode);
      const this$1 = e;
      const e1 = this$1.next$1;
      const this$2 = e;
      const x$1 = $thiz.table$5.u[h];
      this$2.next$1 = x$1;
      $thiz.table$5.u[h] = e;
      e = e1;
      $f_scm_HashTable__nnSizeMapAdd__I__V($thiz, h)
    };
    i = (((-1) + i) | 0)
  };
  $thiz.threshold$5 = $m_scm_HashTable$().newThreshold__I__I__I($thiz.$$undloadFactor$5, newSize)
});
class $c_scm_HashTable$ extends $c_O {
  init___() {
    return this
  };
  nextPositivePowerOfTwo__I__I(target) {
    return (1 << ((-$clz32((((-1) + target) | 0))) | 0))
  };
  newThreshold__I__I__I(_loadFactor, size) {
    const hi = (size >> 31);
    const hi$1 = (_loadFactor >> 31);
    const a0 = (65535 & size);
    const a1 = ((size >>> 16) | 0);
    const b0 = (65535 & _loadFactor);
    const b1 = ((_loadFactor >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi$2 = (((((((($imul(size, hi$1) + $imul(hi, _loadFactor)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$1.divideImpl__I__I__I__I__I(lo, hi$2, 1000, 0);
    return lo$1
  };
}
const $d_scm_HashTable$ = new $TypeData().initClass({
  scm_HashTable$: 0
}, false, "scala.collection.mutable.HashTable$", {
  scm_HashTable$: 1,
  O: 1
});
$c_scm_HashTable$.prototype.$classData = $d_scm_HashTable$;
let $n_scm_HashTable$ = (void 0);
const $m_scm_HashTable$ = (function() {
  if ((!$n_scm_HashTable$)) {
    $n_scm_HashTable$ = new $c_scm_HashTable$().init___()
  };
  return $n_scm_HashTable$
});
class $c_scm_WrappedArray$ extends $c_O {
  constructor() {
    super();
    this.EmptyWrappedArray$1 = null
  };
  init___() {
    $n_scm_WrappedArray$ = this;
    this.EmptyWrappedArray$1 = new $c_scm_WrappedArray$ofRef().init___AO($newArrayObject($d_O.getArrayOf(), [0]));
    return this
  };
}
const $d_scm_WrappedArray$ = new $TypeData().initClass({
  scm_WrappedArray$: 0
}, false, "scala.collection.mutable.WrappedArray$", {
  scm_WrappedArray$: 1,
  O: 1
});
$c_scm_WrappedArray$.prototype.$classData = $d_scm_WrappedArray$;
let $n_scm_WrappedArray$ = (void 0);
const $m_scm_WrappedArray$ = (function() {
  if ((!$n_scm_WrappedArray$)) {
    $n_scm_WrappedArray$ = new $c_scm_WrappedArray$().init___()
  };
  return $n_scm_WrappedArray$
});
class $c_sjs_concurrent_JSExecutionContext$ extends $c_O {
  constructor() {
    super();
    this.runNow$1 = null;
    this.queue$1 = null
  };
  init___() {
    $n_sjs_concurrent_JSExecutionContext$ = this;
    this.runNow$1 = $m_sjs_concurrent_RunNowExecutionContext$();
    this.queue$1 = $m_sjs_concurrent_QueueExecutionContext$().apply__s_concurrent_ExecutionContextExecutor();
    return this
  };
}
const $d_sjs_concurrent_JSExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_JSExecutionContext$: 0
}, false, "scala.scalajs.concurrent.JSExecutionContext$", {
  sjs_concurrent_JSExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_JSExecutionContext$.prototype.$classData = $d_sjs_concurrent_JSExecutionContext$;
let $n_sjs_concurrent_JSExecutionContext$ = (void 0);
const $m_sjs_concurrent_JSExecutionContext$ = (function() {
  if ((!$n_sjs_concurrent_JSExecutionContext$)) {
    $n_sjs_concurrent_JSExecutionContext$ = new $c_sjs_concurrent_JSExecutionContext$().init___()
  };
  return $n_sjs_concurrent_JSExecutionContext$
});
class $c_sjs_concurrent_QueueExecutionContext$ extends $c_O {
  init___() {
    return this
  };
  apply__s_concurrent_ExecutionContextExecutor() {
    const v = $g.Promise;
    if ((v === (void 0))) {
      return new $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext().init___()
    } else {
      return new $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext().init___()
    }
  };
}
const $d_sjs_concurrent_QueueExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$", {
  sjs_concurrent_QueueExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_QueueExecutionContext$.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$;
let $n_sjs_concurrent_QueueExecutionContext$ = (void 0);
const $m_sjs_concurrent_QueueExecutionContext$ = (function() {
  if ((!$n_sjs_concurrent_QueueExecutionContext$)) {
    $n_sjs_concurrent_QueueExecutionContext$ = new $c_sjs_concurrent_QueueExecutionContext$().init___()
  };
  return $n_sjs_concurrent_QueueExecutionContext$
});
class $c_sjs_js_JSConverters$JSRichFuture$ extends $c_O {
  init___() {
    return this
  };
  scala$scalajs$js$JSConverters$JSRichFuture$$$anonfun$toJSPromise$1__sjs_js_Function1__sjs_js_Function1__s_concurrent_ExecutionContext__s_concurrent_Future__V(resolve, reject, executor$1, $$this$1) {
    $$this$1.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resolve$1, reject$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ($is_s_util_Success(x0$2)) {
          const x2 = x0$2;
          const value = x2.value$2;
          return resolve$1(value)
        } else if ($is_s_util_Failure(x0$2)) {
          const x3 = x0$2;
          const th = x3.exception$2;
          let jsx$1;
          if ($is_sjs_js_JavaScriptException(th)) {
            const x2$2 = th;
            const e = x2$2.exception$4;
            jsx$1 = e
          } else {
            jsx$1 = th
          };
          return reject$1(jsx$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, resolve, reject)), executor$1)
  };
  toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise($$this, executor) {
    return new $g.Promise((function(executor$1, $$this$1) {
      return (function(arg1$2, arg2$2) {
        $m_sjs_js_JSConverters$JSRichFuture$().scala$scalajs$js$JSConverters$JSRichFuture$$$anonfun$toJSPromise$1__sjs_js_Function1__sjs_js_Function1__s_concurrent_ExecutionContext__s_concurrent_Future__V(arg1$2, arg2$2, executor$1, $$this$1)
      })
    })(executor, $$this))
  };
}
const $d_sjs_js_JSConverters$JSRichFuture$ = new $TypeData().initClass({
  sjs_js_JSConverters$JSRichFuture$: 0
}, false, "scala.scalajs.js.JSConverters$JSRichFuture$", {
  sjs_js_JSConverters$JSRichFuture$: 1,
  O: 1
});
$c_sjs_js_JSConverters$JSRichFuture$.prototype.$classData = $d_sjs_js_JSConverters$JSRichFuture$;
let $n_sjs_js_JSConverters$JSRichFuture$ = (void 0);
const $m_sjs_js_JSConverters$JSRichFuture$ = (function() {
  if ((!$n_sjs_js_JSConverters$JSRichFuture$)) {
    $n_sjs_js_JSConverters$JSRichFuture$ = new $c_sjs_js_JSConverters$JSRichFuture$().init___()
  };
  return $n_sjs_js_JSConverters$JSRichFuture$
});
class $c_sjs_js_JSConverters$JSRichGenMap$ extends $c_O {
  init___() {
    return this
  };
}
const $d_sjs_js_JSConverters$JSRichGenMap$ = new $TypeData().initClass({
  sjs_js_JSConverters$JSRichGenMap$: 0
}, false, "scala.scalajs.js.JSConverters$JSRichGenMap$", {
  sjs_js_JSConverters$JSRichGenMap$: 1,
  O: 1
});
$c_sjs_js_JSConverters$JSRichGenMap$.prototype.$classData = $d_sjs_js_JSConverters$JSRichGenMap$;
let $n_sjs_js_JSConverters$JSRichGenMap$ = (void 0);
const $m_sjs_js_JSConverters$JSRichGenMap$ = (function() {
  if ((!$n_sjs_js_JSConverters$JSRichGenMap$)) {
    $n_sjs_js_JSConverters$JSRichGenMap$ = new $c_sjs_js_JSConverters$JSRichGenMap$().init___()
  };
  return $n_sjs_js_JSConverters$JSRichGenMap$
});
class $c_sjs_js_Thenable$ThenableOps$ extends $c_O {
  init___() {
    return this
  };
  toFuture$extension__sjs_js_Thenable__s_concurrent_Future($$this) {
    const p2 = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    const a = (function(p2$1$1) {
      return (function(arg1$2$1) {
        return $m_sjs_js_Thenable$ThenableOps$().scala$scalajs$js$Thenable$ThenableOps$$$anonfun$toFuture$2__O__s_concurrent_Promise__sjs_js_$bar(arg1$2$1, p2$1$1)
      })
    })(p2);
    $$this.then((function(p2$1) {
      return (function(arg1$2) {
        return $m_sjs_js_Thenable$ThenableOps$().scala$scalajs$js$Thenable$ThenableOps$$$anonfun$toFuture$1__O__s_concurrent_Promise__sjs_js_$bar(arg1$2, p2$1)
      })
    })(p2), a);
    return p2
  };
  scala$scalajs$js$Thenable$ThenableOps$$$anonfun$toFuture$2__O__s_concurrent_Promise__sjs_js_$bar(e, p2$1) {
    let cause;
    if ($is_jl_Throwable(e)) {
      const x2 = e;
      cause = x2
    } else {
      cause = new $c_sjs_js_JavaScriptException().init___O(e)
    };
    $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(p2$1, cause)
  };
  scala$scalajs$js$Thenable$ThenableOps$$$anonfun$toFuture$1__O__s_concurrent_Promise__sjs_js_$bar(v, p2$1) {
    $f_s_concurrent_Promise__success__O__s_concurrent_Promise(p2$1, v)
  };
}
const $d_sjs_js_Thenable$ThenableOps$ = new $TypeData().initClass({
  sjs_js_Thenable$ThenableOps$: 0
}, false, "scala.scalajs.js.Thenable$ThenableOps$", {
  sjs_js_Thenable$ThenableOps$: 1,
  O: 1
});
$c_sjs_js_Thenable$ThenableOps$.prototype.$classData = $d_sjs_js_Thenable$ThenableOps$;
let $n_sjs_js_Thenable$ThenableOps$ = (void 0);
const $m_sjs_js_Thenable$ThenableOps$ = (function() {
  if ((!$n_sjs_js_Thenable$ThenableOps$)) {
    $n_sjs_js_Thenable$ThenableOps$ = new $c_sjs_js_Thenable$ThenableOps$().init___()
  };
  return $n_sjs_js_Thenable$ThenableOps$
});
class $c_sjs_js_WrappedDictionary$Cache$ extends $c_O {
  constructor() {
    super();
    this.safeHasOwnProperty$1 = null
  };
  init___() {
    $n_sjs_js_WrappedDictionary$Cache$ = this;
    this.safeHasOwnProperty$1 = $g.Object.prototype.hasOwnProperty;
    return this
  };
}
const $d_sjs_js_WrappedDictionary$Cache$ = new $TypeData().initClass({
  sjs_js_WrappedDictionary$Cache$: 0
}, false, "scala.scalajs.js.WrappedDictionary$Cache$", {
  sjs_js_WrappedDictionary$Cache$: 1,
  O: 1
});
$c_sjs_js_WrappedDictionary$Cache$.prototype.$classData = $d_sjs_js_WrappedDictionary$Cache$;
let $n_sjs_js_WrappedDictionary$Cache$ = (void 0);
const $m_sjs_js_WrappedDictionary$Cache$ = (function() {
  if ((!$n_sjs_js_WrappedDictionary$Cache$)) {
    $n_sjs_js_WrappedDictionary$Cache$ = new $c_sjs_js_WrappedDictionary$Cache$().init___()
  };
  return $n_sjs_js_WrappedDictionary$Cache$
});
class $c_sjsr_Bits$ extends $c_O {
  constructor() {
    super();
    this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = false;
    this.arrayBuffer$1 = null;
    this.int32Array$1 = null;
    this.float32Array$1 = null;
    this.float64Array$1 = null;
    this.areTypedArraysBigEndian$1 = false;
    this.highOffset$1 = 0;
    this.lowOffset$1 = 0
  };
  init___() {
    $n_sjsr_Bits$ = this;
    this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = true;
    this.arrayBuffer$1 = new $g.ArrayBuffer(8);
    this.int32Array$1 = new $g.Int32Array(this.arrayBuffer$1, 0, 2);
    this.float32Array$1 = new $g.Float32Array(this.arrayBuffer$1, 0, 2);
    this.float64Array$1 = new $g.Float64Array(this.arrayBuffer$1, 0, 1);
    this.int32Array$1[0] = 16909060;
    this.areTypedArraysBigEndian$1 = ((new $g.Int8Array(this.arrayBuffer$1, 0, 8)[0] | 0) === 1);
    this.highOffset$1 = (this.areTypedArraysBigEndian$1 ? 0 : 1);
    this.lowOffset$1 = (this.areTypedArraysBigEndian$1 ? 1 : 0);
    return this
  };
  numberHashCode__D__I(value) {
    const iv = ((value | 0) | 0);
    if (((iv === value) && ((1.0 / value) !== (-Infinity)))) {
      return iv
    } else {
      const t = this.doubleToLongBits__D__J(value);
      const lo = t.lo$2;
      const hi = t.hi$2;
      return (lo ^ hi)
    }
  };
  longBitsToDouble__J__D(bits) {
    const jsx$2 = this.int32Array$1;
    const jsx$1 = this.highOffset$1;
    const lo = bits.hi$2;
    jsx$2[jsx$1] = lo;
    this.int32Array$1[this.lowOffset$1] = bits.lo$2;
    return (+this.float64Array$1[0])
  };
  doubleToLongBits__D__J(value) {
    this.float64Array$1[0] = value;
    const value$1 = (this.int32Array$1[this.highOffset$1] | 0);
    const value$2 = (this.int32Array$1[this.lowOffset$1] | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(value$2, value$1)
  };
}
const $d_sjsr_Bits$ = new $TypeData().initClass({
  sjsr_Bits$: 0
}, false, "scala.scalajs.runtime.Bits$", {
  sjsr_Bits$: 1,
  O: 1
});
$c_sjsr_Bits$.prototype.$classData = $d_sjsr_Bits$;
let $n_sjsr_Bits$ = (void 0);
const $m_sjsr_Bits$ = (function() {
  if ((!$n_sjsr_Bits$)) {
    $n_sjsr_Bits$ = new $c_sjsr_Bits$().init___()
  };
  return $n_sjsr_Bits$
});
class $c_sjsr_RuntimeString$ extends $c_O {
  constructor() {
    super();
    this.CASE$undINSENSITIVE$undORDER$1 = null;
    this.bitmap$0$1 = false
  };
  endsWith__T__T__Z(thiz, suffix) {
    return (thiz.substring((((thiz.length | 0) - (suffix.length | 0)) | 0)) === suffix)
  };
  init___() {
    return this
  };
  indexOf__T__I__I__I(thiz, ch, fromIndex) {
    const str = this.fromCodePoint__p1__I__T(ch);
    return (thiz.indexOf(str, fromIndex) | 0)
  };
  valueOf__C__T(value) {
    return $g.String.fromCharCode(value)
  };
  toCharArray__T__AC(thiz) {
    const length = (thiz.length | 0);
    const result = $newArrayObject($d_C.getArrayOf(), [length]);
    let i = 0;
    while ((i < length)) {
      const jsx$1 = i;
      const index = i;
      result.u[jsx$1] = (65535 & (thiz.charCodeAt(index) | 0));
      i = ((1 + i) | 0)
    };
    return result
  };
  split__T__T__I__AT(thiz, regex, limit) {
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    const this$1 = $m_ju_regex_Pattern$();
    return this$1.compile__T__I__ju_regex_Pattern(regex, 0).split__jl_CharSequence__I__AT(thiz, limit)
  };
  valueOf__O__T(value) {
    return ((value === null) ? "null" : $objectToString(value))
  };
  replaceFirst__T__T__T__T(thiz, regex, replacement) {
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    const this$1 = $m_ju_regex_Pattern$();
    const this$2 = this$1.compile__T__I__ju_regex_Pattern(regex, 0);
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$2, thiz, 0, (thiz.length | 0)).replaceFirst__T__T(replacement)
  };
  lastIndexOf__T__I__I(thiz, ch) {
    const str = this.fromCodePoint__p1__I__T(ch);
    return (thiz.lastIndexOf(str) | 0)
  };
  getBytes__T__Ljava_nio_charset_Charset__AB(thiz, charset) {
    const buf = charset.encode__T__Ljava_nio_ByteBuffer(thiz);
    const res = $newArrayObject($d_B.getArrayOf(), [((buf.$$undlimit$1 - buf.java$nio$Buffer$$$undposition$1) | 0)]);
    buf.get__AB__I__I__Ljava_nio_ByteBuffer(res, 0, res.u.length);
    return res
  };
  indexOf__T__I__I(thiz, ch) {
    const str = this.fromCodePoint__p1__I__T(ch);
    return (thiz.indexOf(str) | 0)
  };
  newString__AC__I__I__T(value, offset, count) {
    const end = ((offset + count) | 0);
    if ((((offset < 0) || (end < offset)) || (end > value.u.length))) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___()
    };
    let result = "";
    let i = offset;
    while ((i !== end)) {
      const jsx$1 = result;
      const c = value.u[i];
      result = (("" + jsx$1) + $g.String.fromCharCode(c));
      i = ((1 + i) | 0)
    };
    return result
  };
  compareToIgnoreCase__T__T__I(thiz, str) {
    const thiz$1 = thiz.toLowerCase();
    const anotherString = str.toLowerCase();
    return ((thiz$1 === anotherString) ? 0 : ((!(!(thiz$1 < anotherString))) ? (-1) : 1))
  };
  fromCodePoint__p1__I__T(codePoint) {
    if ((((-65536) & codePoint) === 0)) {
      return $g.String.fromCharCode(codePoint)
    } else if (((codePoint < 0) || (codePoint > 1114111))) {
      throw new $c_jl_IllegalArgumentException().init___()
    } else {
      const offsetCp = (((-65536) + codePoint) | 0);
      return $g.String.fromCharCode((55296 | (offsetCp >> 10)), (56320 | (1023 & offsetCp)))
    }
  };
  hashCode__T__I(thiz) {
    let res = 0;
    let mul = 1;
    let i = (((-1) + (thiz.length | 0)) | 0);
    while ((i >= 0)) {
      const jsx$1 = res;
      const index = i;
      res = ((jsx$1 + $imul((65535 & (thiz.charCodeAt(index) | 0)), mul)) | 0);
      mul = $imul(31, mul);
      i = (((-1) + i) | 0)
    };
    return res
  };
  format__T__AO__T(format, args) {
    const frm = new $c_ju_Formatter().init___();
    const this$1 = frm.format__T__AO__ju_Formatter(format, args);
    const res = this$1.out__jl_Appendable().toString__T();
    frm.close__V();
    return res
  };
  replaceAll__T__T__T__T(thiz, regex, replacement) {
    if ((thiz === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    const this$1 = $m_ju_regex_Pattern$();
    const this$2 = this$1.compile__T__I__ju_regex_Pattern(regex, 0);
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$2, thiz, 0, (thiz.length | 0)).replaceAll__T__T(replacement)
  };
}
const $d_sjsr_RuntimeString$ = new $TypeData().initClass({
  sjsr_RuntimeString$: 0
}, false, "scala.scalajs.runtime.RuntimeString$", {
  sjsr_RuntimeString$: 1,
  O: 1
});
$c_sjsr_RuntimeString$.prototype.$classData = $d_sjsr_RuntimeString$;
let $n_sjsr_RuntimeString$ = (void 0);
const $m_sjsr_RuntimeString$ = (function() {
  if ((!$n_sjsr_RuntimeString$)) {
    $n_sjsr_RuntimeString$ = new $c_sjsr_RuntimeString$().init___()
  };
  return $n_sjsr_RuntimeString$
});
class $c_sjsr_StackTrace$ extends $c_O {
  constructor() {
    super();
    this.isRhino$1 = false;
    this.decompressedClasses$1 = null;
    this.decompressedPrefixes$1 = null;
    this.compressedPrefixes$1 = null;
    this.bitmap$0$1 = 0
  };
  compressedPrefixes$lzycompute__p1__sjs_js_Array() {
    if (((8 & this.bitmap$0$1) === 0)) {
      this.compressedPrefixes$1 = $g.Object.keys(this.decompressedPrefixes__p1__sjs_js_Dictionary());
      this.bitmap$0$1 = (((8 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.compressedPrefixes$1
  };
  extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = e.stack;
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("(?:\\n@:0)?\\s+$", "m"), "");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?:\\((\\S*)\\))?@", "gm"), "{anonymous}($1)@");
    return x$2.split("\n")
  };
  extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)(?:: In function (\\S+))?$", "i");
    const x = e.stacktrace;
    const lines = x.split("\n");
    const result = [];
    let i = 0;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[3];
        const fnName = ((value === (void 0)) ? "{anonymous}" : value);
        const value$1 = mtch[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$2 = mtch[1];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const jsx$1 = result.push(((((fnName + "()@") + value$1) + ":") + value$2))
      };
      i = ((2 + i) | 0)
    };
    return result
  };
  init___() {
    return this
  };
  isRhino__p1__Z() {
    return (((1 & this.bitmap$0$1) === 0) ? this.isRhino$lzycompute__p1__Z() : this.isRhino$1)
  };
  decodeClassName__p1__T__T(encodedName) {
    const encoded = (((65535 & (encodedName.charCodeAt(0) | 0)) === 36) ? encodedName.substring(1) : encodedName);
    const dict = this.decompressedClasses__p1__sjs_js_Dictionary();
    let base;
    if ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, encoded)))) {
      const dict$1 = this.decompressedClasses__p1__sjs_js_Dictionary();
      if ((!(!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict$1, encoded))))) {
        throw new $c_ju_NoSuchElementException().init___T(("key not found: " + encoded))
      };
      base = dict$1[encoded]
    } else {
      base = this.loop$1__p1__I__T__T(0, encoded)
    };
    const thiz = base.split("_").join(".");
    return thiz.split("$und").join("_")
  };
  extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(.*)@(.+):(\\d+)$");
    const x = e.stacktrace;
    const lines = x.split("\n");
    const result = [];
    let i = 0;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[1];
        let fnName;
        if ((value === (void 0))) {
          fnName = "global code"
        } else {
          const x$3 = value;
          fnName = (x$3 + "()")
        };
        const value$1 = mtch[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$2 = mtch[3];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const jsx$1 = result.push(((((fnName + "@") + value$1) + ":") + value$2))
      };
      i = ((1 + i) | 0)
    };
    return result
  };
  extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = (e.stack + "\n");
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^[\\s\\S]+?\\s+at\\s+"), " at ");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+(at eval )?at\\s+", "gm"), "");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+?)([\\n])", "gm"), "{anonymous}() ($1)$2");
    const x$4 = x$3.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Object.<anonymous>\\s*\\(([^\\)]+)\\)", "gm"), "{anonymous}() ($1)");
    const x$5 = x$4.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\)) \\((.+)\\)$", "gm"), "$1@$2");
    const jsx$1 = x$5.split("\n");
    return jsx$1.slice(0, (-1))
  };
  extract__sjs_js_Dynamic__Ajl_StackTraceElement(stackdata) {
    const lines = this.normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array(stackdata);
    return this.normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement(lines)
  };
  compressedPrefixes__p1__sjs_js_Array() {
    return (((8 & this.bitmap$0$1) === 0) ? this.compressedPrefixes$lzycompute__p1__sjs_js_Array() : this.compressedPrefixes$1)
  };
  decompressedClasses__p1__sjs_js_Dictionary() {
    return (((2 & this.bitmap$0$1) === 0) ? this.decompressedClasses$lzycompute__p1__sjs_js_Dictionary() : this.decompressedClasses$1)
  };
  extractClassMethod__p1__T__T2(functionName) {
    const PatC = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.c\\.|\\$c_)([^\\.]+)(?:\\.prototype)?\\.([^\\.]+)$");
    const PatS = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.(?:s|f)\\.|\\$(?:s|f)_)((?:_[^_]|[^_])+)__([^\\.]+)$");
    const PatM = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.m\\.|\\$m_)([^\\.]+)$");
    let isModule = false;
    let mtch = PatC.exec(functionName);
    if ((mtch === null)) {
      mtch = PatS.exec(functionName);
      if ((mtch === null)) {
        mtch = PatM.exec(functionName);
        isModule = true
      }
    };
    if ((mtch !== null)) {
      const value = mtch[1];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      const className = this.decodeClassName__p1__T__T(value);
      let methodName;
      if (isModule) {
        methodName = "<clinit>"
      } else {
        const value$1 = mtch[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        methodName = this.decodeMethodName__p1__T__T(value$1)
      };
      return new $c_T2().init___O__O(className, methodName)
    } else {
      return new $c_T2().init___O__O("<jscode>", functionName)
    }
  };
  isRhino$lzycompute__p1__Z() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.isRhino$1 = this.liftedTree1$1__p1__Z();
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.isRhino$1
  };
  decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary() {
    if (((4 & this.bitmap$0$1) === 0)) {
      this.decompressedPrefixes$1 = {
        "sjsr_": "scala_scalajs_runtime_",
        "sjs_": "scala_scalajs_",
        "sci_": "scala_collection_immutable_",
        "scm_": "scala_collection_mutable_",
        "scg_": "scala_collection_generic_",
        "sc_": "scala_collection_",
        "sr_": "scala_runtime_",
        "s_": "scala_",
        "jl_": "java_lang_",
        "ju_": "java_util_"
      };
      this.bitmap$0$1 = (((4 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.decompressedPrefixes$1
  };
  extract__jl_Throwable__Ajl_StackTraceElement(throwable) {
    return this.extract__sjs_js_Dynamic__Ajl_StackTraceElement(throwable.stackdata)
  };
  decompressedClasses$lzycompute__p1__sjs_js_Dictionary() {
    if (((2 & this.bitmap$0$1) === 0)) {
      const dict = {
        "O": "java_lang_Object",
        "T": "java_lang_String",
        "V": "scala_Unit",
        "Z": "scala_Boolean",
        "C": "scala_Char",
        "B": "scala_Byte",
        "S": "scala_Short",
        "I": "scala_Int",
        "J": "scala_Long",
        "F": "scala_Float",
        "D": "scala_Double"
      };
      let index = 0;
      while ((index <= 22)) {
        if ((index >= 2)) {
          dict[("T" + index)] = ("scala_Tuple" + index)
        };
        dict[("F" + index)] = ("scala_Function" + index);
        index = ((1 + index) | 0)
      };
      this.decompressedClasses$1 = dict;
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.decompressedClasses$1
  };
  normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = (!e);
    if ((!(!(!(!x))))) {
      return []
    } else if (this.isRhino__p1__Z()) {
      return this.extractRhino__p1__sjs_js_Dynamic__sjs_js_Array(e)
    } else {
      const x$1 = (e.arguments && e.stack);
      if ((!(!(!(!x$1))))) {
        return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
      } else {
        const x$2 = (e.stack && e.sourceURL);
        if ((!(!(!(!x$2))))) {
          return this.extractSafari__p1__sjs_js_Dynamic__sjs_js_Array(e)
        } else {
          const x$3 = (e.stack && e.number);
          if ((!(!(!(!x$3))))) {
            return this.extractIE__p1__sjs_js_Dynamic__sjs_js_Array(e)
          } else {
            const x$4 = (e.stack && e.fileName);
            if ((!(!(!(!x$4))))) {
              return this.extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array(e)
            } else {
              const x$5 = (e.message && e["opera#sourceloc"]);
              if ((!(!(!(!x$5))))) {
                const x$6 = (!e.stacktrace);
                if ((!(!(!(!x$6))))) {
                  return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  const x$7 = ((e.message.indexOf("\n") > (-1)) && (e.message.split("\n").length > e.stacktrace.split("\n").length));
                  if ((!(!(!(!x$7))))) {
                    return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  } else {
                    return this.extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  }
                }
              } else {
                const x$8 = ((e.message && e.stack) && e.stacktrace);
                if ((!(!(!(!x$8))))) {
                  const x$9 = (e.stacktrace.indexOf("called from line") < 0);
                  if ((!(!(!(!x$9))))) {
                    return this.extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  } else {
                    return this.extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  }
                } else {
                  const x$10 = (e.stack && (!e.fileName));
                  if ((!(!(!(!x$10))))) {
                    return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  } else {
                    return this.extractOther__p1__sjs_js_Dynamic__sjs_js_Array(e)
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)", "i");
    const x = e.message;
    const lines = x.split("\n");
    const result = [];
    let i = 2;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[2];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$1 = mtch[1];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const jsx$1 = result.push(((("{anonymous}()@" + value) + ":") + value$1))
      };
      i = ((2 + i) | 0)
    };
    return result
  };
  normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement(lines) {
    const NormalizedFrameLine = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+)$");
    const NormalizedFrameLineWithColumn = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+):([0-9]+)$");
    const trace = [];
    let i = 0;
    while ((i < (lines.length | 0))) {
      const line = lines[i];
      if ((line === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((line !== "")) {
        const mtch1 = NormalizedFrameLineWithColumn.exec(line);
        if ((mtch1 !== null)) {
          const value = mtch1[1];
          if ((value === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const x1 = this.extractClassMethod__p1__T__T2(value);
          if ((x1 === null)) {
            throw new $c_s_MatchError().init___O(x1)
          };
          const className = x1.$$und1__O();
          const methodName = x1.$$und2__O();
          const value$1 = mtch1[2];
          if ((value$1 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const fileName = value$1;
          const value$2 = mtch1[3];
          if ((value$2 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const x = value$2;
          const this$15 = new $c_sci_StringOps().init___T(x);
          const this$17 = $m_jl_Integer$();
          const $$this = this$15.repr$1;
          const lineNumber = this$17.parseInt__T__I__I($$this, 10);
          const value$3 = mtch1[4];
          if ((value$3 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const x$1 = value$3;
          const this$23 = new $c_sci_StringOps().init___T(x$1);
          const this$25 = $m_jl_Integer$();
          const $$this$1 = this$23.repr$1;
          const value$4 = this$25.parseInt__T__I__I($$this$1, 10);
          const jsx$1 = trace.push({
            "declaringClass": className,
            "methodName": methodName,
            "fileName": fileName,
            "lineNumber": lineNumber,
            "columnNumber": ((value$4 === (void 0)) ? (void 0) : value$4)
          })
        } else {
          const mtch2 = NormalizedFrameLine.exec(line);
          if ((mtch2 !== null)) {
            const value$5 = mtch2[1];
            if ((value$5 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const x1$2 = this.extractClassMethod__p1__T__T2(value$5);
            if ((x1$2 === null)) {
              throw new $c_s_MatchError().init___O(x1$2)
            };
            const className$3 = x1$2.$$und1__O();
            const methodName$3 = x1$2.$$und2__O();
            const value$6 = mtch2[2];
            if ((value$6 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const fileName$1 = value$6;
            const value$7 = mtch2[3];
            if ((value$7 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const x$2 = value$7;
            const this$52 = new $c_sci_StringOps().init___T(x$2);
            const this$54 = $m_jl_Integer$();
            const $$this$2 = this$52.repr$1;
            const lineNumber$1 = this$54.parseInt__T__I__I($$this$2, 10);
            const jsx$2 = trace.push({
              "declaringClass": className$3,
              "methodName": methodName$3,
              "fileName": fileName$1,
              "lineNumber": lineNumber$1,
              "columnNumber": (void 0)
            })
          } else {
            (trace.push({
              "declaringClass": "<jscode>",
              "methodName": line,
              "fileName": null,
              "lineNumber": (-1),
              "columnNumber": (void 0)
            }) | 0)
          }
        }
      };
      i = ((1 + i) | 0)
    };
    const value$8 = $env.sourceMapper;
    const mappedTrace = ((value$8 === (void 0)) ? trace : value$8(trace));
    const result = $newArrayObject($d_jl_StackTraceElement.getArrayOf(), [(mappedTrace.length | 0)]);
    i = 0;
    while ((i < (mappedTrace.length | 0))) {
      const jsSte = mappedTrace[i];
      const ste = new $c_jl_StackTraceElement().init___T__T__T__I(jsSte.declaringClass, jsSte.methodName, jsSte.fileName, (jsSte.lineNumber | 0));
      const value$9 = jsSte.columnNumber;
      if ((value$9 !== (void 0))) {
        const columnNumber = (value$9 | 0);
        ste.setColumnNumber(columnNumber)
      };
      result.u[i] = ste;
      i = ((1 + i) | 0)
    };
    return result
  };
  extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^.*line (\\d+), column (\\d+)(?: in (.+))? in (\\S+):$");
    const x = e.stacktrace;
    const lines = x.split("\n");
    const result = [];
    let i = 0;
    const len = (lines.length | 0);
    while ((i < len)) {
      const mtch = lineRE.exec(lines[i]);
      if ((mtch !== null)) {
        const value = mtch[4];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$1 = mtch[1];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const value$2 = mtch[2];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const location = ((((value + ":") + value$1) + ":") + value$2);
        const value$3 = mtch[2];
        const fnName0 = ((value$3 === (void 0)) ? "global code" : value$3);
        const x$1 = fnName0.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function: (\\S+)>"), "$1");
        const fnName = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function>"), "{anonymous}");
        (result.push(((fnName + "@") + location)) | 0)
      };
      i = ((2 + i) | 0)
    };
    return result
  };
  extractSafari__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = e.stack;
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\[native code\\]\\n", "m"), "");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?=\\w+Error\\:).*$\\n", "m"), "");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^@", "gm"), "{anonymous}()@");
    return x$3.split("\n")
  };
  loop$1__p1__I__T__T(i, encoded$1) {
    _loop: while (true) {
      if ((i < (this.compressedPrefixes__p1__sjs_js_Array().length | 0))) {
        const prefix = this.compressedPrefixes__p1__sjs_js_Array()[i];
        if ((((encoded$1.length | 0) >= 0) && (encoded$1.substring(0, (prefix.length | 0)) === prefix))) {
          const dict = this.decompressedPrefixes__p1__sjs_js_Dictionary();
          if ((!(!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, prefix))))) {
            throw new $c_ju_NoSuchElementException().init___T(("key not found: " + prefix))
          };
          const jsx$1 = dict[prefix];
          const beginIndex = (prefix.length | 0);
          return (("" + jsx$1) + encoded$1.substring(beginIndex))
        } else {
          i = ((1 + i) | 0);
          continue _loop
        }
      } else {
        return ((((encoded$1.length | 0) >= 0) && (encoded$1.substring(0, ("L".length | 0)) === "L")) ? encoded$1.substring(1) : encoded$1)
      }
    }
  };
  liftedTree1$1__p1__Z() {
    try {
      $g.Packages.org.mozilla.javascript.JavaScriptException;
      return true
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        if ($is_sjs_js_JavaScriptException(e$2)) {
          return false
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
  decompressedPrefixes__p1__sjs_js_Dictionary() {
    return (((4 & this.bitmap$0$1) === 0) ? this.decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary() : this.decompressedPrefixes$1)
  };
  extractRhino__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const value = e.stack;
    const x = ((value === (void 0)) ? "" : value);
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+at\\s+", "gm"), "");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(.+?)(?: \\((.+)\\))?$", "gm"), "$2@$1");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\r\\n?", "gm"), "\n");
    return x$3.split("\n")
  };
  extractOther__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    return []
  };
  extractIE__p1__sjs_js_Dynamic__sjs_js_Array(e) {
    const x = e.stack;
    const x$1 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s*at\\s+(.*)$", "gm"), "$1");
    const x$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Anonymous function\\s+", "gm"), "{anonymous}() ");
    const x$3 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\))\\s+\\((.+)\\)$", "gm"), "$1@$2");
    const qual$1 = x$3.split("\n");
    return qual$1.slice(1)
  };
  decodeMethodName__p1__T__T(encodedName) {
    if ((((encodedName.length | 0) >= 0) && (encodedName.substring(0, ("init___".length | 0)) === "init___"))) {
      return "<init>"
    } else {
      const methodNameLen = (encodedName.indexOf("__") | 0);
      return ((methodNameLen < 0) ? encodedName : encodedName.substring(0, methodNameLen))
    }
  };
}
const $d_sjsr_StackTrace$ = new $TypeData().initClass({
  sjsr_StackTrace$: 0
}, false, "scala.scalajs.runtime.StackTrace$", {
  sjsr_StackTrace$: 1,
  O: 1
});
$c_sjsr_StackTrace$.prototype.$classData = $d_sjsr_StackTrace$;
let $n_sjsr_StackTrace$ = (void 0);
const $m_sjsr_StackTrace$ = (function() {
  if ((!$n_sjsr_StackTrace$)) {
    $n_sjsr_StackTrace$ = new $c_sjsr_StackTrace$().init___()
  };
  return $n_sjsr_StackTrace$
});
class $c_sjsr_StackTrace$StringRE$ extends $c_O {
  init___() {
    return this
  };
  re$extension1__T__T__sjs_js_RegExp($$this, mods) {
    return new $g.RegExp($$this, mods)
  };
  re$extension0__T__sjs_js_RegExp($$this) {
    return new $g.RegExp($$this)
  };
}
const $d_sjsr_StackTrace$StringRE$ = new $TypeData().initClass({
  sjsr_StackTrace$StringRE$: 0
}, false, "scala.scalajs.runtime.StackTrace$StringRE$", {
  sjsr_StackTrace$StringRE$: 1,
  O: 1
});
$c_sjsr_StackTrace$StringRE$.prototype.$classData = $d_sjsr_StackTrace$StringRE$;
let $n_sjsr_StackTrace$StringRE$ = (void 0);
const $m_sjsr_StackTrace$StringRE$ = (function() {
  if ((!$n_sjsr_StackTrace$StringRE$)) {
    $n_sjsr_StackTrace$StringRE$ = new $c_sjsr_StackTrace$StringRE$().init___()
  };
  return $n_sjsr_StackTrace$StringRE$
});
class $c_sjsr_package$ extends $c_O {
  init___() {
    return this
  };
  unwrapJavaScriptException__jl_Throwable__O(th) {
    if ($is_sjs_js_JavaScriptException(th)) {
      const x2 = th;
      const e = x2.exception$4;
      return e
    } else {
      return th
    }
  };
  wrapJavaScriptException__O__jl_Throwable(e) {
    if ($is_jl_Throwable(e)) {
      const x2 = e;
      return x2
    } else {
      return new $c_sjs_js_JavaScriptException().init___O(e)
    }
  };
}
const $d_sjsr_package$ = new $TypeData().initClass({
  sjsr_package$: 0
}, false, "scala.scalajs.runtime.package$", {
  sjsr_package$: 1,
  O: 1
});
$c_sjsr_package$.prototype.$classData = $d_sjsr_package$;
let $n_sjsr_package$ = (void 0);
const $m_sjsr_package$ = (function() {
  if ((!$n_sjsr_package$)) {
    $n_sjsr_package$ = new $c_sjsr_package$().init___()
  };
  return $n_sjsr_package$
});
class $c_sr_BoxesRunTime$ extends $c_O {
  init___() {
    return this
  };
  equalsCharObject__jl_Character__O__Z(xc, y) {
    if ($is_jl_Character(y)) {
      const x2 = y;
      return (xc.value$1 === x2.value$1)
    } else if ($is_jl_Number(y)) {
      const x3 = y;
      if (((typeof x3) === "number")) {
        const x2$1 = (+x3);
        return (x2$1 === xc.value$1)
      } else if ($is_sjsr_RuntimeLong(x3)) {
        const t = $uJ(x3);
        const lo = t.lo$2;
        const hi = t.hi$2;
        const value = xc.value$1;
        const hi$1 = (value >> 31);
        return ((lo === value) && (hi === hi$1))
      } else {
        return ((x3 === null) ? (xc === null) : $objectEquals(x3, xc))
      }
    } else {
      return ((xc === null) && (y === null))
    }
  };
  equalsNumObject__jl_Number__O__Z(xn, y) {
    if ($is_jl_Number(y)) {
      const x2 = y;
      return this.equalsNumNum__jl_Number__jl_Number__Z(xn, x2)
    } else if ($is_jl_Character(y)) {
      const x3 = y;
      if (((typeof xn) === "number")) {
        const x2$1 = (+xn);
        return (x2$1 === x3.value$1)
      } else if ($is_sjsr_RuntimeLong(xn)) {
        const t = $uJ(xn);
        const lo = t.lo$2;
        const hi = t.hi$2;
        const value = x3.value$1;
        const hi$1 = (value >> 31);
        return ((lo === value) && (hi === hi$1))
      } else {
        return ((xn === null) ? (x3 === null) : $objectEquals(xn, x3))
      }
    } else {
      return ((xn === null) ? (y === null) : $objectEquals(xn, y))
    }
  };
  equals__O__O__Z(x, y) {
    if ((x === y)) {
      return true
    } else if ($is_jl_Number(x)) {
      const x2 = x;
      return this.equalsNumObject__jl_Number__O__Z(x2, y)
    } else if ($is_jl_Character(x)) {
      const x3 = x;
      return this.equalsCharObject__jl_Character__O__Z(x3, y)
    } else {
      return ((x === null) ? (y === null) : $objectEquals(x, y))
    }
  };
  equalsNumNum__jl_Number__jl_Number__Z(xn, yn) {
    if (((typeof xn) === "number")) {
      const x2 = (+xn);
      if (((typeof yn) === "number")) {
        const x2$2 = (+yn);
        return (x2 === x2$2)
      } else if ($is_sjsr_RuntimeLong(yn)) {
        const t = $uJ(yn);
        const lo = t.lo$2;
        const hi = t.hi$2;
        return (x2 === $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi))
      } else if ($is_s_math_ScalaNumber(yn)) {
        const x4 = yn;
        return x4.equals__O__Z(x2)
      } else {
        return false
      }
    } else if ($is_sjsr_RuntimeLong(xn)) {
      const t$1 = $uJ(xn);
      const lo$1 = t$1.lo$2;
      const hi$1 = t$1.hi$2;
      if ($is_sjsr_RuntimeLong(yn)) {
        const t$2 = $uJ(yn);
        const lo$2 = t$2.lo$2;
        const hi$2 = t$2.hi$2;
        return ((lo$1 === lo$2) && (hi$1 === hi$2))
      } else if (((typeof yn) === "number")) {
        const x3$3 = (+yn);
        return ($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo$1, hi$1) === x3$3)
      } else if ($is_s_math_ScalaNumber(yn)) {
        const x4$2 = yn;
        return x4$2.equals__O__Z(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
      } else {
        return false
      }
    } else {
      return ((xn === null) ? (yn === null) : $objectEquals(xn, yn))
    }
  };
}
const $d_sr_BoxesRunTime$ = new $TypeData().initClass({
  sr_BoxesRunTime$: 0
}, false, "scala.runtime.BoxesRunTime$", {
  sr_BoxesRunTime$: 1,
  O: 1
});
$c_sr_BoxesRunTime$.prototype.$classData = $d_sr_BoxesRunTime$;
let $n_sr_BoxesRunTime$ = (void 0);
const $m_sr_BoxesRunTime$ = (function() {
  if ((!$n_sr_BoxesRunTime$)) {
    $n_sr_BoxesRunTime$ = new $c_sr_BoxesRunTime$().init___()
  };
  return $n_sr_BoxesRunTime$
});
const $d_sr_Null$ = new $TypeData().initClass({
  sr_Null$: 0
}, false, "scala.runtime.Null$", {
  sr_Null$: 1,
  O: 1
});
class $c_sr_RichLong$ extends $c_O {
  intValue$extension__J__I($$this) {
    return $$this.lo$2
  };
  init___() {
    return this
  };
  floatValue$extension__J__F($$this) {
    return $fround($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D($$this.lo$2, $$this.hi$2))
  };
  equals$extension__J__O__Z($$this, x$1) {
    if ($is_sr_RichLong(x$1)) {
      const t = x$1.self$1;
      const lo = t.lo$2;
      const hi = t.hi$2;
      return (($$this.lo$2 === lo) && ($$this.hi$2 === hi))
    } else {
      return false
    }
  };
  isValidChar$extension__J__Z($$this) {
    const value = (65535 & $$this.lo$2);
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
  byteValue$extension__J__B($$this) {
    return (($$this.lo$2 << 24) >> 24)
  };
  isValidShort$extension__J__Z($$this) {
    const value = (($$this.lo$2 << 16) >> 16);
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
  doubleValue$extension__J__D($$this) {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D($$this.lo$2, $$this.hi$2)
  };
  isValidInt$extension__J__Z($$this) {
    const value = $$this.lo$2;
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
  shortValue$extension__J__S($$this) {
    return (($$this.lo$2 << 16) >> 16)
  };
  isValidByte$extension__J__Z($$this) {
    const value = (($$this.lo$2 << 24) >> 24);
    const hi = (value >> 31);
    return ((value === $$this.lo$2) && (hi === $$this.hi$2))
  };
}
const $d_sr_RichLong$ = new $TypeData().initClass({
  sr_RichLong$: 0
}, false, "scala.runtime.RichLong$", {
  sr_RichLong$: 1,
  O: 1
});
$c_sr_RichLong$.prototype.$classData = $d_sr_RichLong$;
let $n_sr_RichLong$ = (void 0);
const $m_sr_RichLong$ = (function() {
  if ((!$n_sr_RichLong$)) {
    $n_sr_RichLong$ = new $c_sr_RichLong$().init___()
  };
  return $n_sr_RichLong$
});
class $c_sr_ScalaRunTime$ extends $c_O {
  init___() {
    return this
  };
  array$undlength__O__I(xs) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      return x2.u.length
    } else if ($isArrayOf_I(xs, 1)) {
      const x3 = xs;
      return x3.u.length
    } else if ($isArrayOf_D(xs, 1)) {
      const x4 = xs;
      return x4.u.length
    } else if ($isArrayOf_J(xs, 1)) {
      const x5 = xs;
      return x5.u.length
    } else if ($isArrayOf_F(xs, 1)) {
      const x6 = xs;
      return x6.u.length
    } else if ($isArrayOf_C(xs, 1)) {
      const x7 = xs;
      return x7.u.length
    } else if ($isArrayOf_B(xs, 1)) {
      const x8 = xs;
      return x8.u.length
    } else if ($isArrayOf_S(xs, 1)) {
      const x9 = xs;
      return x9.u.length
    } else if ($isArrayOf_Z(xs, 1)) {
      const x10 = xs;
      return x10.u.length
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      return x11.u.length
    } else if ((xs === null)) {
      throw new $c_jl_NullPointerException().init___()
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
  array$undupdate__O__I__O__V(xs, idx, value) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      x2.u[idx] = value
    } else if ($isArrayOf_I(xs, 1)) {
      const x3 = xs;
      x3.u[idx] = (value | 0)
    } else if ($isArrayOf_D(xs, 1)) {
      const x4 = xs;
      x4.u[idx] = (+value)
    } else if ($isArrayOf_J(xs, 1)) {
      const x5 = xs;
      x5.u[idx] = $uJ(value)
    } else if ($isArrayOf_F(xs, 1)) {
      const x6 = xs;
      x6.u[idx] = (+value)
    } else if ($isArrayOf_C(xs, 1)) {
      const x7 = xs;
      let jsx$1;
      if ((value === null)) {
        jsx$1 = 0
      } else {
        const this$2 = value;
        jsx$1 = this$2.value$1
      };
      x7.u[idx] = jsx$1
    } else if ($isArrayOf_B(xs, 1)) {
      const x8 = xs;
      x8.u[idx] = (value | 0)
    } else if ($isArrayOf_S(xs, 1)) {
      const x9 = xs;
      x9.u[idx] = (value | 0)
    } else if ($isArrayOf_Z(xs, 1)) {
      const x10 = xs;
      x10.u[idx] = (!(!value))
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      x11.u[idx] = (void 0)
    } else if ((xs === null)) {
      throw new $c_jl_NullPointerException().init___()
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
  $$undtoString__s_Product__T(x) {
    const this$1 = x.productIterator__sc_Iterator();
    const start = (x.productPrefix__T() + "(");
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, start, ",", ")")
  };
  array$undapply__O__I__O(xs, idx) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      return x2.u[idx]
    } else if ($isArrayOf_I(xs, 1)) {
      const x3 = xs;
      return x3.u[idx]
    } else if ($isArrayOf_D(xs, 1)) {
      const x4 = xs;
      return x4.u[idx]
    } else if ($isArrayOf_J(xs, 1)) {
      const x5 = xs;
      return x5.u[idx]
    } else if ($isArrayOf_F(xs, 1)) {
      const x6 = xs;
      return x6.u[idx]
    } else if ($isArrayOf_C(xs, 1)) {
      const x7 = xs;
      const c = x7.u[idx];
      return new $c_jl_Character().init___C(c)
    } else if ($isArrayOf_B(xs, 1)) {
      const x8 = xs;
      return x8.u[idx]
    } else if ($isArrayOf_S(xs, 1)) {
      const x9 = xs;
      return x9.u[idx]
    } else if ($isArrayOf_Z(xs, 1)) {
      const x10 = xs;
      return x10.u[idx]
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      return x11.u[idx]
    } else if ((xs === null)) {
      throw new $c_jl_NullPointerException().init___()
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
}
const $d_sr_ScalaRunTime$ = new $TypeData().initClass({
  sr_ScalaRunTime$: 0
}, false, "scala.runtime.ScalaRunTime$", {
  sr_ScalaRunTime$: 1,
  O: 1
});
$c_sr_ScalaRunTime$.prototype.$classData = $d_sr_ScalaRunTime$;
let $n_sr_ScalaRunTime$ = (void 0);
const $m_sr_ScalaRunTime$ = (function() {
  if ((!$n_sr_ScalaRunTime$)) {
    $n_sr_ScalaRunTime$ = new $c_sr_ScalaRunTime$().init___()
  };
  return $n_sr_ScalaRunTime$
});
class $c_sr_Statics$ extends $c_O {
  init___() {
    return this
  };
  mixLast__I__I__I(hash, data) {
    let k = data;
    k = $imul((-862048943), k);
    const i = k;
    k = ((i << 15) | ((i >>> 17) | 0));
    k = $imul(461845907, k);
    return (hash ^ k)
  };
  doubleHash__D__I(dv) {
    const iv = $doubleToInt(dv);
    if ((iv === dv)) {
      return iv
    } else {
      const this$1 = $m_sjsr_RuntimeLong$();
      const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(dv);
      const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      return (($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) === dv) ? (lo ^ hi) : $m_sjsr_Bits$().numberHashCode__D__I(dv))
    }
  };
  anyHash__O__I(x) {
    if ((x === null)) {
      return 0
    } else if (((typeof x) === "number")) {
      const x3 = (+x);
      return this.doubleHash__D__I(x3)
    } else if ($is_sjsr_RuntimeLong(x)) {
      const t = $uJ(x);
      const lo = t.lo$2;
      const hi = t.hi$2;
      return this.longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
    } else {
      return $objectHashCode(x)
    }
  };
  avalanche__I__I(h0) {
    let h = h0;
    h = (h ^ ((h >>> 16) | 0));
    h = $imul((-2048144789), h);
    h = (h ^ ((h >>> 13) | 0));
    h = $imul((-1028477387), h);
    h = (h ^ ((h >>> 16) | 0));
    return h
  };
  mix__I__I__I(hash, data) {
    let h = this.mixLast__I__I__I(hash, data);
    const i = h;
    h = ((i << 13) | ((i >>> 19) | 0));
    return (((-430675100) + $imul(5, h)) | 0)
  };
  longHash__J__I(lv) {
    const lo = lv.lo$2;
    const lo$1 = lv.hi$2;
    return ((lo$1 === (lo >> 31)) ? lo : (lo ^ lo$1))
  };
  finalizeHash__I__I__I(hash, length) {
    return this.avalanche__I__I((hash ^ length))
  };
}
const $d_sr_Statics$ = new $TypeData().initClass({
  sr_Statics$: 0
}, false, "scala.runtime.Statics$", {
  sr_Statics$: 1,
  O: 1
});
$c_sr_Statics$.prototype.$classData = $d_sr_Statics$;
let $n_sr_Statics$ = (void 0);
const $m_sr_Statics$ = (function() {
  if ((!$n_sr_Statics$)) {
    $n_sr_Statics$ = new $c_sr_Statics$().init___()
  };
  return $n_sr_Statics$
});
class $c_Lamf_Core$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_Core$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(plugin) {
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  $$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(model, profileName, messageStyle) {
    return $m_Lamf_client_validate_Validator$().validate__Lamf_client_model_document_BaseUnit__T__T__sjs_js_Promise(model, profileName, messageStyle)
  };
  $$js$exported$meth$generator__T__T__O(vendor, mediaType) {
    return new $c_Lamf_client_render_Renderer().init___T__T(vendor, mediaType)
  };
  $$js$exported$meth$init__O() {
    return this.init__sjs_js_Promise()
  };
  $$js$exported$meth$parser__T__T__O(vendor, mediaType) {
    return new $c_Lamf_client_parse_Parser().init___T__T__s_Option(vendor, mediaType, $m_s_None$())
  };
  registerNamespace__T__T__Z(alias, prefix) {
    return $m_Lamf_core_vocabulary_Namespace$().registerNamespace__T__T__s_Option(alias, prefix).isDefined__Z()
  };
  $$js$exported$meth$loadValidationProfile__T__O(url) {
    return $m_Lamf_client_validate_Validator$().loadValidationProfile__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerNamespace__T__T__O(alias, prefix) {
    return this.registerNamespace__T__T__Z(alias, prefix)
  };
  $$js$exported$meth$validate$default$3__T() {
    return "AMF"
  };
  $$js$exported$meth$resolver__T__O(vendor) {
    return new $c_Lamf_client_resolve_Resolver().init___T(vendor)
  };
  init__sjs_js_Promise() {
    $m_Lamf_client_convert_CoreRegister$().register__Lamf_core_remote_Platform__V(this.platform$1);
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = $m_Lamf_core_AMF$().init__s_concurrent_Future();
    const m = $m_Lamf_client_convert_CoreClientConverters$().UnitMatcher__Lamf_client_convert_CoreBaseConverter$UnitMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  "registerPlugin"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$registerPlugin__Lamf_core_plugins_AMFPlugin__O(prep0)
  };
  "registerNamespace"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$registerNamespace__T__T__O(prep0, prep1)
  };
  "loadValidationProfile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$loadValidationProfile__T__O(prep0)
  };
  "validate"(arg$1, arg$2, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$validate$default$3__T() : arg$rest[0]);
    return this.$$js$exported$meth$validate__Lamf_client_model_document_BaseUnit__T__T__O(prep0, prep1, prep2)
  };
  "resolver"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$resolver__T__O(prep0)
  };
  "generator"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$generator__T__T__O(prep0, prep1)
  };
  "parser"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$parser__T__T__O(prep0, prep1)
  };
  "init"() {
    return this.$$js$exported$meth$init__O()
  };
}
const $d_Lamf_Core$ = new $TypeData().initClass({
  Lamf_Core$: 0
}, false, "amf.Core$", {
  Lamf_Core$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Core$.prototype.$classData = $d_Lamf_Core$;
let $n_Lamf_Core$ = (void 0);
const $m_Lamf_Core$ = (function() {
  if ((!$n_Lamf_Core$)) {
    $n_Lamf_Core$ = new $c_Lamf_Core$().init___()
  };
  return $n_Lamf_Core$
});
class $c_Lamf_Main$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_Main$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$failPromise__O__O(e) {
    this.failPromise__O__V(e)
  };
  runParse__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const platform = this.platform$1;
    return new $c_Lamf_client_commands_ParseCommand().init___Lamf_core_remote_Platform(platform).run__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$runValidate__Lamf_core_client_ParserConfig__O(config) {
    return this.runValidate__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$runParse__Lamf_core_client_ParserConfig__O(config) {
    return this.runParse__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$main__sjs_js_Array__O(rawArgs) {
    return this.main__sjs_js_Array__sjs_js_Promise(rawArgs)
  };
  $$js$exported$meth$runTranslate__Lamf_core_client_ParserConfig__O(config) {
    return this.runTranslate__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  failPromise__O__V(e) {
    $m_jl_System$().err$1.println__T__V("Exception");
    const this$1 = $m_jl_System$().err$1;
    this$1.java$lang$JSConsoleBasedPrintStream$$printString__T__V((e + "\n"));
    const jsx$1 = $g.process;
    const value = $m_Lamf_core_client_ExitCodes$().WrongInvocation$1;
    jsx$1.exit(value)
  };
  runTranslate__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const platform = this.platform$1;
    return new $c_Lamf_client_commands_TranslateCommand().init___Lamf_core_remote_Platform(platform).run__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  runValidate__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const platform = this.platform$1;
    return new $c_Lamf_client_commands_ValidateCommand().init___Lamf_core_remote_Platform(platform).run__Lamf_core_client_ParserConfig__s_concurrent_Future(config)
  };
  $$js$exported$meth$failCommand__O() {
    this.failCommand__V()
  };
  main__sjs_js_Array__sjs_js_Promise(rawArgs) {
    const len = (rawArgs.length | 0);
    const result = $newArrayObject($d_T.getArrayOf(), [len]);
    const len$1 = result.u.length;
    let i = 0;
    let j = 0;
    const x = (rawArgs.length | 0);
    const x$1 = ((x < len$1) ? x : len$1);
    const that = result.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      result.u[jsx$1] = rawArgs[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    const x1 = $m_Lamf_client_commands_CmdLineParser$().parse__AT__s_Option(result);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const cfg = x2.value$2;
      let rc15 = false;
      let x2$2 = null;
      const x1$2 = cfg.mode$1;
      if ($is_s_Some(x1$2)) {
        rc15 = true;
        x2$2 = x1$2;
        const p3 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().REPL$1 === p3)) {
          const this$12 = $m_s_Console$();
          const this$13 = this$12.outVar$2.v$1;
          this$13.java$lang$JSConsoleBasedPrintStream$$printString__T__V("REPL not supported in the JS client yet\n");
          this.failCommand__V();
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Error executing AMF"))
        }
      };
      if (rc15) {
        const p5 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().TRANSLATE$1 === p5)) {
          const f = this.runTranslate__Lamf_core_client_ParserConfig__s_concurrent_Future(cfg);
          f.failed__s_concurrent_Future().foreach__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(e$2) {
              const e = e$2;
              $this.failPromise__O__V(e)
            })
          })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
          return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      };
      if (rc15) {
        const p7 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().VALIDATE$1 === p7)) {
          const f$2 = this.runValidate__Lamf_core_client_ParserConfig__s_concurrent_Future(cfg);
          f$2.failed__s_concurrent_Future().foreach__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
            return (function(e$3$2) {
              const e$3 = e$3$2;
              this$2$1.failPromise__O__V(e$3)
            })
          })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
          return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      };
      if (rc15) {
        const p9 = x2$2.value$2;
        if (($m_Lamf_core_client_ParserConfig$().PARSE$1 === p9)) {
          const f$3 = this.runParse__Lamf_core_client_ParserConfig__s_concurrent_Future(cfg);
          f$3.failed__s_concurrent_Future().foreach__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
            return (function(e$4$2) {
              const e$4 = e$4$2;
              this$3$1.failPromise__O__V(e$4)
            })
          })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
          return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f$3, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        }
      };
      this.failCommand__V();
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Error executing AMF"))
    } else {
      const jsx$2 = $g.process;
      const value = $m_Lamf_core_client_ExitCodes$().WrongInvocation$1;
      jsx$2.exit(value);
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Error executing AMF"))
    }
  };
  failCommand__V() {
    $m_jl_System$().err$1.println__T__V("Wrong command");
    const jsx$1 = $g.process;
    const value = $m_Lamf_core_client_ExitCodes$().WrongInvocation$1;
    jsx$1.exit(value)
  };
  "runParse"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$runParse__Lamf_core_client_ParserConfig__O(prep0)
  };
  "runValidate"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$runValidate__Lamf_core_client_ParserConfig__O(prep0)
  };
  "runTranslate"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$runTranslate__Lamf_core_client_ParserConfig__O(prep0)
  };
  "failPromise"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$failPromise__O__O(prep0)
  };
  "failCommand"() {
    return this.$$js$exported$meth$failCommand__O()
  };
  "main"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$main__sjs_js_Array__O(prep0)
  };
}
const $d_Lamf_Main$ = new $TypeData().initClass({
  Lamf_Main$: 0
}, false, "amf.Main$", {
  Lamf_Main$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_Main$.prototype.$classData = $d_Lamf_Main$;
let $n_Lamf_Main$ = (void 0);
const $m_Lamf_Main$ = (function() {
  if ((!$n_Lamf_Main$)) {
    $n_Lamf_Main$ = new $c_Lamf_Main$().init___()
  };
  return $n_Lamf_Main$
});
class $c_Lamf_client_commands_CmdLineParser$$anon$1 extends $c_Lscopt_OptionParser {
  init___() {
    $c_Lscopt_OptionParser.prototype.init___T.call(this, "amf");
    const array = ["Application Modeling Framework", "1.0"];
    const jsx$1 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Head$(), "", $m_Lscopt_Read$().unitRead$1);
    const b = new $c_scm_StringBuilder().init___();
    let elem$1 = false;
    elem$1 = true;
    b.append__T__scm_StringBuilder("");
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      if (elem$1) {
        b.append__O__scm_StringBuilder(arg1);
        elem$1 = false
      } else {
        b.append__T__scm_StringBuilder(" ");
        b.append__O__scm_StringBuilder(arg1)
      };
      i = ((1 + i) | 0)
    };
    b.append__T__scm_StringBuilder("");
    const this$2 = b.underlying$5;
    jsx$1.text__T__Lscopt_OptionDef(this$2.content$1);
    const this$3 = this.arg__T__Lscopt_Read__Lscopt_OptionDef("<file_in> [<file_out>]", $m_Lscopt_Read$().stringRead$1);
    this$3.maxOccurs__I__Lscopt_OptionDef($m_Lscopt_OptionDef$().UNBOUNDED$1).text__T__Lscopt_OptionDef("Input file to parse and output where translation will be stored").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(f$2, c$2) {
        const f = f$2;
        const c = c$2;
        if (c.input$1.isEmpty__Z()) {
          const x$5 = new $c_s_Some().init___O(f);
          const x$6 = c.mode$1;
          const x$7 = c.inputFormat$1;
          const x$8 = c.inputMediaType$1;
          const x$9 = c.output$1;
          const x$10 = c.outputFormat$1;
          const x$11 = c.outputMediaType$1;
          const x$12 = c.withSourceMaps$1;
          const x$13 = c.validate$1;
          const x$14 = c.validationProfile$1;
          const x$15 = c.customProfile$1;
          const x$16 = c.dialects$1;
          const x$17 = c.stdout$1;
          const x$18 = c.stderr$1;
          const x$19 = c.proc$1;
          return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$6, x$5, x$7, x$8, x$9, x$10, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$19)
        } else {
          const x$20 = new $c_s_Some().init___O(f);
          const x$21 = c.mode$1;
          const x$22 = c.input$1;
          const x$23 = c.inputFormat$1;
          const x$24 = c.inputMediaType$1;
          const x$25 = c.outputFormat$1;
          const x$26 = c.outputMediaType$1;
          const x$27 = c.withSourceMaps$1;
          const x$28 = c.validate$1;
          const x$29 = c.validationProfile$1;
          const x$30 = c.customProfile$1;
          const x$31 = c.dialects$1;
          const x$32 = c.stdout$1;
          const x$33 = c.stderr$1;
          const x$34 = c.proc$1;
          return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$21, x$22, x$23, x$24, x$20, x$25, x$26, x$27, x$28, x$29, x$30, x$31, x$32, x$33, x$34)
        }
      })
    })(this)));
    const evidence$8 = $m_Lscopt_Read$().seqRead__Lscopt_Read__Lscopt_Read($m_Lscopt_Read$().stringRead$1);
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "dialects", evidence$8).valueName__T__Lscopt_OptionDef("<dialect_file1>,<dialect_file2>...").abbr__T__Lscopt_OptionDef("ds").text__T__Lscopt_OptionDef("List of dialects files that will loaded before parsing").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(x$2, c$3$2) {
        const x = x$2;
        const c$3 = c$3$2;
        const x$36 = c$3.mode$1;
        const x$37 = c$3.input$1;
        const x$38 = c$3.inputFormat$1;
        const x$39 = c$3.inputMediaType$1;
        const x$40 = c$3.output$1;
        const x$41 = c$3.outputFormat$1;
        const x$42 = c$3.outputMediaType$1;
        const x$43 = c$3.withSourceMaps$1;
        const x$44 = c$3.validate$1;
        const x$45 = c$3.validationProfile$1;
        const x$46 = c$3.customProfile$1;
        const x$47 = c$3.stdout$1;
        const x$48 = c$3.stderr$1;
        const x$49 = c$3.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$36, x$37, x$38, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, x, x$47, x$48, x$49)
      })
    })(this)));
    const evidence$8$1 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "format-in", evidence$8$1).abbr__T__Lscopt_OptionDef("in").text__T__Lscopt_OptionDef("Input format for the file to parse").validate__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(f$3$2) {
        const f$3 = f$3$2;
        return ($m_Lamf_client_commands_CmdLineParser$().knownSpec__T__Z(f$3) ? ($m_Lscopt_OptionDef$(), $m_s_package$(), new $c_s_util_Right().init___O((void 0))) : ($m_s_package$(), new $c_s_util_Left().init___O("Invalid value, values supported: 'RAML 1.0', 'RAML 0.8', 'OpenAPI 2.0','AMF'")))
      })
    })(this))).action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$4$1) {
      return (function(f$4$2, c$4$2) {
        const f$4 = f$4$2;
        const c$4 = c$4$2;
        const x$50 = new $c_s_Some().init___O(f$4);
        const x$51 = c$4.mode$1;
        const x$52 = c$4.input$1;
        const x$53 = c$4.inputMediaType$1;
        const x$54 = c$4.output$1;
        const x$55 = c$4.outputFormat$1;
        const x$56 = c$4.outputMediaType$1;
        const x$57 = c$4.withSourceMaps$1;
        const x$58 = c$4.validate$1;
        const x$59 = c$4.validationProfile$1;
        const x$60 = c$4.customProfile$1;
        const x$61 = c$4.dialects$1;
        const x$62 = c$4.stdout$1;
        const x$63 = c$4.stderr$1;
        const x$64 = c$4.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$51, x$52, x$50, x$53, x$54, x$55, x$56, x$57, x$58, x$59, x$60, x$61, x$62, x$63, x$64)
      })
    })(this)));
    const evidence$8$2 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "media-type-in", evidence$8$2).abbr__T__Lscopt_OptionDef("mime-in").text__T__Lscopt_OptionDef("Input media type for the file to parse").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$5$1) {
      return (function(f$5$2, c$5$2) {
        const f$5 = f$5$2;
        const c$5 = c$5$2;
        const x$65 = new $c_s_Some().init___O(f$5);
        const x$66 = c$5.mode$1;
        const x$67 = c$5.input$1;
        const x$68 = c$5.inputFormat$1;
        const x$69 = c$5.output$1;
        const x$70 = c$5.outputFormat$1;
        const x$71 = c$5.outputMediaType$1;
        const x$72 = c$5.withSourceMaps$1;
        const x$73 = c$5.validate$1;
        const x$74 = c$5.validationProfile$1;
        const x$75 = c$5.customProfile$1;
        const x$76 = c$5.dialects$1;
        const x$77 = c$5.stdout$1;
        const x$78 = c$5.stderr$1;
        const x$79 = c$5.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$66, x$67, x$68, x$65, x$69, x$70, x$71, x$72, x$73, x$74, x$75, x$76, x$77, x$78, x$79)
      })
    })(this)));
    const evidence$8$3 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "validation-profile", evidence$8$3).abbr__T__Lscopt_OptionDef("p").text__T__Lscopt_OptionDef("Standard validation profile to use").validate__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(f$6$2) {
        const f$6 = f$6$2;
        return ($m_Lamf_client_commands_CmdLineParser$().knownSpec__T__Z(f$6) ? ($m_Lscopt_OptionDef$(), $m_s_package$(), new $c_s_util_Right().init___O((void 0))) : ($m_s_package$(), new $c_s_util_Left().init___O("Invalid value, values supported: 'RAML 1.0', 'RAML 0.8', 'OpenAPI 2.0', 'AMF'")))
      })
    })(this))).action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$7$1) {
      return (function(f$7$2, c$6$2) {
        const f$7 = f$7$2;
        const c$6 = c$6$2;
        const x$81 = c$6.mode$1;
        const x$82 = c$6.input$1;
        const x$83 = c$6.inputFormat$1;
        const x$84 = c$6.inputMediaType$1;
        const x$85 = c$6.output$1;
        const x$86 = c$6.outputFormat$1;
        const x$87 = c$6.outputMediaType$1;
        const x$88 = c$6.withSourceMaps$1;
        const x$89 = c$6.validate$1;
        const x$90 = c$6.customProfile$1;
        const x$91 = c$6.dialects$1;
        const x$92 = c$6.stdout$1;
        const x$93 = c$6.stderr$1;
        const x$94 = c$6.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$81, x$82, x$83, x$84, x$85, x$86, x$87, x$88, x$89, f$7, x$90, x$91, x$92, x$93, x$94)
      })
    })(this)));
    const evidence$8$4 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "custom-validation-profile", evidence$8$4).abbr__T__Lscopt_OptionDef("cp").text__T__Lscopt_OptionDef("Custom validation profile location").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$8$1) {
      return (function(f$8$2, c$7$2) {
        const f$8 = f$8$2;
        const c$7 = c$7$2;
        const x$95 = new $c_s_Some().init___O(f$8);
        const x$96 = c$7.mode$1;
        const x$97 = c$7.input$1;
        const x$98 = c$7.inputFormat$1;
        const x$99 = c$7.inputMediaType$1;
        const x$100 = c$7.output$1;
        const x$101 = c$7.outputFormat$1;
        const x$102 = c$7.outputMediaType$1;
        const x$103 = c$7.withSourceMaps$1;
        const x$104 = c$7.validate$1;
        const x$105 = c$7.validationProfile$1;
        const x$106 = c$7.dialects$1;
        const x$107 = c$7.stdout$1;
        const x$108 = c$7.stderr$1;
        const x$109 = c$7.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$96, x$97, x$98, x$99, x$100, x$101, x$102, x$103, x$104, x$105, x$95, x$106, x$107, x$108, x$109)
      })
    })(this)));
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "repl", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Run in interactive mode").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$9$1) {
      return (function(x$1$2, c$8$2) {
        const c$8 = c$8$2;
        const mode = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().REPL$1);
        const input = c$8.input$1;
        const inputFormat = c$8.inputFormat$1;
        const inputMediaType = c$8.inputMediaType$1;
        const output = c$8.output$1;
        const outputFormat = c$8.outputFormat$1;
        const outputMediaType = c$8.outputMediaType$1;
        const withSourceMaps = c$8.withSourceMaps$1;
        const validate = c$8.validate$1;
        const validationProfile = c$8.validationProfile$1;
        const customProfile = c$8.customProfile$1;
        const dialects = c$8.dialects$1;
        const stdout = c$8.stdout$1;
        const stderr = c$8.stderr$1;
        const proc = c$8.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode, input, inputFormat, inputMediaType, output, outputFormat, outputMediaType, withSourceMaps, validate, validationProfile, customProfile, dialects, stdout, stderr, proc)
      })
    })(this)));
    const this$13 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "parse", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Parse the input file and generates the JSON-LD AMF model").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$10) {
      return (function(x$2$2$2, c$9$2) {
        const c$9 = c$9$2;
        const mode$1 = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().PARSE$1);
        const input$1 = c$9.input$1;
        const inputFormat$1 = c$9.inputFormat$1;
        const inputMediaType$1 = c$9.inputMediaType$1;
        const output$1 = c$9.output$1;
        const outputFormat$1 = c$9.outputFormat$1;
        const outputMediaType$1 = c$9.outputMediaType$1;
        const withSourceMaps$1 = c$9.withSourceMaps$1;
        const validate$1 = c$9.validate$1;
        const validationProfile$1 = c$9.validationProfile$1;
        const customProfile$1 = c$9.customProfile$1;
        const dialects$1 = c$9.dialects$1;
        const stdout$1 = c$9.stdout$1;
        const stderr$1 = c$9.stderr$1;
        const proc$1 = c$9.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode$1, input$1, inputFormat$1, inputMediaType$1, output$1, outputFormat$1, outputMediaType$1, withSourceMaps$1, validate$1, validationProfile$1, customProfile$1, dialects$1, stdout$1, stderr$1, proc$1)
      })
    })(this)));
    const evidence$8$5 = $m_Lscopt_Read$().booleanRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "source-maps", evidence$8$5).abbr__T__Lscopt_OptionDef("sm").text__T__Lscopt_OptionDef("Generate source maps in AMF output").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$11) {
      return (function(f$9$2, c$10$2) {
        const f$9 = (!(!f$9$2));
        const c$10 = c$10$2;
        const x$111 = c$10.mode$1;
        const x$112 = c$10.input$1;
        const x$113 = c$10.inputFormat$1;
        const x$114 = c$10.inputMediaType$1;
        const x$115 = c$10.output$1;
        const x$116 = c$10.outputFormat$1;
        const x$117 = c$10.outputMediaType$1;
        const x$118 = c$10.validate$1;
        const x$119 = c$10.validationProfile$1;
        const x$120 = c$10.customProfile$1;
        const x$121 = c$10.dialects$1;
        const x$122 = c$10.stdout$1;
        const x$123 = c$10.stderr$1;
        const x$124 = c$10.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$111, x$112, x$113, x$114, x$115, x$116, x$117, f$9, x$118, x$119, x$120, x$121, x$122, x$123, x$124)
      })
    })(this)));
    const evidence$8$6 = $m_Lscopt_Read$().booleanRead$1;
    const array$1 = [this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "validate", evidence$8$6).abbr__T__Lscopt_OptionDef("v").text__T__Lscopt_OptionDef("Perform validation").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$12) {
      return (function(f$10$2, c$11$2) {
        const f$10 = (!(!f$10$2));
        const c$11 = c$11$2;
        const x$126 = c$11.mode$1;
        const x$127 = c$11.input$1;
        const x$128 = c$11.inputFormat$1;
        const x$129 = c$11.inputMediaType$1;
        const x$130 = c$11.output$1;
        const x$131 = c$11.outputFormat$1;
        const x$132 = c$11.outputMediaType$1;
        const x$133 = c$11.withSourceMaps$1;
        const x$134 = c$11.validationProfile$1;
        const x$135 = c$11.customProfile$1;
        const x$136 = c$11.dialects$1;
        const x$137 = c$11.stdout$1;
        const x$138 = c$11.stderr$1;
        const x$139 = c$11.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, f$10, x$134, x$135, x$136, x$137, x$138, x$139)
      })
    })(this)))];
    let i$1 = 0;
    const len$1 = (array$1.length | 0);
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = array$1[index$1];
      const x$40$1 = arg1$1;
      x$40$1.parent__Lscopt_OptionDef__Lscopt_OptionDef(this$13);
      i$1 = ((1 + i$1) | 0)
    };
    const this$19 = this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "translate", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Translates the input file into a different format").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$13$1) {
      return (function(x$3$2, c$12$2) {
        const c$12 = c$12$2;
        const mode$2 = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().TRANSLATE$1);
        const input$2 = c$12.input$1;
        const inputFormat$2 = c$12.inputFormat$1;
        const inputMediaType$2 = c$12.inputMediaType$1;
        const output$2 = c$12.output$1;
        const outputFormat$2 = c$12.outputFormat$1;
        const outputMediaType$2 = c$12.outputMediaType$1;
        const withSourceMaps$2 = c$12.withSourceMaps$1;
        const validate$2 = c$12.validate$1;
        const validationProfile$2 = c$12.validationProfile$1;
        const customProfile$2 = c$12.customProfile$1;
        const dialects$2 = c$12.dialects$1;
        const stdout$2 = c$12.stdout$1;
        const stderr$2 = c$12.stderr$1;
        const proc$2 = c$12.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode$2, input$2, inputFormat$2, inputMediaType$2, output$2, outputFormat$2, outputMediaType$2, withSourceMaps$2, validate$2, validationProfile$2, customProfile$2, dialects$2, stdout$2, stderr$2, proc$2)
      })
    })(this)));
    const evidence$8$7 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "format-out", evidence$8$7).abbr__T__Lscopt_OptionDef("out").text__T__Lscopt_OptionDef("Output format for the file to generate").validate__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14) {
      return (function(f$11$2) {
        const f$11 = f$11$2;
        return ($m_Lamf_client_commands_CmdLineParser$().knownSpec__T__Z(f$11) ? ($m_Lscopt_OptionDef$(), $m_s_package$(), new $c_s_util_Right().init___O((void 0))) : ($m_s_package$(), new $c_s_util_Left().init___O("Invalid value, values supported: 'RAML 1.0', 'RAML 0.8', 'OpenAPI 2.0', 'AMF'")))
      })
    })(this))).action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$15$1) {
      return (function(f$12$2, c$13$2) {
        const f$12 = f$12$2;
        const c$13 = c$13$2;
        const x$140 = new $c_s_Some().init___O(f$12);
        const x$141 = c$13.mode$1;
        const x$142 = c$13.input$1;
        const x$143 = c$13.inputFormat$1;
        const x$144 = c$13.inputMediaType$1;
        const x$145 = c$13.output$1;
        const x$146 = c$13.outputMediaType$1;
        const x$147 = c$13.withSourceMaps$1;
        const x$148 = c$13.validate$1;
        const x$149 = c$13.validationProfile$1;
        const x$150 = c$13.customProfile$1;
        const x$151 = c$13.dialects$1;
        const x$152 = c$13.stdout$1;
        const x$153 = c$13.stderr$1;
        const x$154 = c$13.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$141, x$142, x$143, x$144, x$145, x$140, x$146, x$147, x$148, x$149, x$150, x$151, x$152, x$153, x$154)
      })
    })(this)));
    const evidence$8$8 = $m_Lscopt_Read$().stringRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "media-type-out", evidence$8$8).abbr__T__Lscopt_OptionDef("mime-out").text__T__Lscopt_OptionDef("Output media type for the file to generate").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$16$1) {
      return (function(f$13$2, c$14$2) {
        const f$13 = f$13$2;
        const c$14 = c$14$2;
        const x$155 = new $c_s_Some().init___O(f$13);
        const x$156 = c$14.mode$1;
        const x$157 = c$14.input$1;
        const x$158 = c$14.inputFormat$1;
        const x$159 = c$14.inputMediaType$1;
        const x$160 = c$14.output$1;
        const x$161 = c$14.outputFormat$1;
        const x$162 = c$14.withSourceMaps$1;
        const x$163 = c$14.validate$1;
        const x$164 = c$14.validationProfile$1;
        const x$165 = c$14.customProfile$1;
        const x$166 = c$14.dialects$1;
        const x$167 = c$14.stdout$1;
        const x$168 = c$14.stderr$1;
        const x$169 = c$14.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$156, x$157, x$158, x$159, x$160, x$161, x$155, x$162, x$163, x$164, x$165, x$166, x$167, x$168, x$169)
      })
    })(this)));
    const evidence$8$9 = $m_Lscopt_Read$().booleanRead$1;
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "source-maps", evidence$8$9).abbr__T__Lscopt_OptionDef("sm").text__T__Lscopt_OptionDef("Generate source maps in AMF output").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$17$1) {
      return (function(f$14$2, c$15$2) {
        const f$14 = (!(!f$14$2));
        const c$15 = c$15$2;
        const x$171 = c$15.mode$1;
        const x$172 = c$15.input$1;
        const x$173 = c$15.inputFormat$1;
        const x$174 = c$15.inputMediaType$1;
        const x$175 = c$15.output$1;
        const x$176 = c$15.outputFormat$1;
        const x$177 = c$15.outputMediaType$1;
        const x$178 = c$15.validate$1;
        const x$179 = c$15.validationProfile$1;
        const x$180 = c$15.customProfile$1;
        const x$181 = c$15.dialects$1;
        const x$182 = c$15.stdout$1;
        const x$183 = c$15.stderr$1;
        const x$184 = c$15.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$171, x$172, x$173, x$174, x$175, x$176, x$177, f$14, x$178, x$179, x$180, x$181, x$182, x$183, x$184)
      })
    })(this)));
    const evidence$8$10 = $m_Lscopt_Read$().booleanRead$1;
    const array$2 = [this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Opt$(), "validate", evidence$8$10).abbr__T__Lscopt_OptionDef("v").text__T__Lscopt_OptionDef("Perform validation").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$18) {
      return (function(f$15$2, c$16$2) {
        const f$15 = (!(!f$15$2));
        const c$16 = c$16$2;
        const x$186 = c$16.mode$1;
        const x$187 = c$16.input$1;
        const x$188 = c$16.inputFormat$1;
        const x$189 = c$16.inputMediaType$1;
        const x$190 = c$16.output$1;
        const x$191 = c$16.outputFormat$1;
        const x$192 = c$16.outputMediaType$1;
        const x$193 = c$16.withSourceMaps$1;
        const x$194 = c$16.validationProfile$1;
        const x$195 = c$16.customProfile$1;
        const x$196 = c$16.dialects$1;
        const x$197 = c$16.stdout$1;
        const x$198 = c$16.stderr$1;
        const x$199 = c$16.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$186, x$187, x$188, x$189, x$190, x$191, x$192, x$193, f$15, x$194, x$195, x$196, x$197, x$198, x$199)
      })
    })(this)))];
    let i$2 = 0;
    const len$2 = (array$2.length | 0);
    while ((i$2 < len$2)) {
      const index$2 = i$2;
      const arg1$2 = array$2[index$2];
      const x$40$2 = arg1$2;
      x$40$2.parent__Lscopt_OptionDef__Lscopt_OptionDef(this$19);
      i$2 = ((1 + i$2) | 0)
    };
    this.makeDef__Lscopt_OptionDefKind__T__Lscopt_Read__Lscopt_OptionDef($m_Lscopt_Cmd$(), "validate", $m_Lscopt_Read$().unitRead$1).text__T__Lscopt_OptionDef("Validates the spec and generates the validation report").action__F2__Lscopt_OptionDef(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$19$1) {
      return (function(x$4$2, c$17$2) {
        const c$17 = c$17$2;
        const mode$3 = new $c_s_Some().init___O($m_Lamf_core_client_ParserConfig$().VALIDATE$1);
        const input$3 = c$17.input$1;
        const inputFormat$3 = c$17.inputFormat$1;
        const inputMediaType$3 = c$17.inputMediaType$1;
        const output$3 = c$17.output$1;
        const outputFormat$3 = c$17.outputFormat$1;
        const outputMediaType$3 = c$17.outputMediaType$1;
        const withSourceMaps$3 = c$17.withSourceMaps$1;
        const validate$3 = c$17.validate$1;
        const validationProfile$3 = c$17.validationProfile$1;
        const customProfile$3 = c$17.customProfile$1;
        const dialects$3 = c$17.dialects$1;
        const stdout$3 = c$17.stdout$1;
        const stderr$3 = c$17.stderr$1;
        const proc$3 = c$17.proc$1;
        return new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode$3, input$3, inputFormat$3, inputMediaType$3, output$3, outputFormat$3, outputMediaType$3, withSourceMaps$3, validate$3, validationProfile$3, customProfile$3, dialects$3, stdout$3, stderr$3, proc$3)
      })
    })(this)));
    this.checkConfig__F1__Lscopt_OptionDef(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$20) {
      return (function(c$18$2) {
        const c$18 = c$18$2;
        let error = "";
        if (c$18.input$1.isEmpty__Z()) {
          error = (error + "Missing <file_input>\n")
        };
        if (c$18.inputMediaType$1.isEmpty__Z()) {
          error = (error + "Missing <file_input>\n")
        };
        if (c$18.inputFormat$1.isEmpty__Z()) {
          error = (error + "Missing --format-in\n")
        };
        if (c$18.inputMediaType$1.isEmpty__Z()) {
          error = (error + "Missing --media-type-in\n")
        };
        let jsx$2;
        if (c$18.mode$1.isDefined__Z()) {
          const x$35 = c$18.mode$1.get__O();
          const x$2$1 = $m_Lamf_core_client_ParserConfig$().TRANSLATE$1;
          jsx$2 = ((x$35 === null) ? (x$2$1 === null) : $objectEquals(x$35, x$2$1))
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          if (c$18.outputFormat$1.isEmpty__Z()) {
            error = (error + "Missing --format-out\n")
          };
          if (c$18.outputMediaType$1.isEmpty__Z()) {
            error = (error + "Missing --media-type-out\n")
          }
        };
        if ((error === "")) {
          $m_Lscopt_OptionDef$();
          $m_s_package$();
          return new $c_s_util_Right().init___O((void 0))
        } else {
          const msg = error;
          $m_s_package$();
          return new $c_s_util_Left().init___O(msg)
        }
      })
    })(this)));
    return this
  };
}
const $d_Lamf_client_commands_CmdLineParser$$anon$1 = new $TypeData().initClass({
  Lamf_client_commands_CmdLineParser$$anon$1: 0
}, false, "amf.client.commands.CmdLineParser$$anon$1", {
  Lamf_client_commands_CmdLineParser$$anon$1: 1,
  Lscopt_OptionParser: 1,
  O: 1
});
$c_Lamf_client_commands_CmdLineParser$$anon$1.prototype.$classData = $d_Lamf_client_commands_CmdLineParser$$anon$1;
class $c_Lamf_client_commands_TranslateCommand extends $c_O {
  constructor() {
    super();
    this.platform$1 = null;
    this.validationCommand$1 = null;
    this.executionContext$1 = null
  };
  init___Lamf_core_remote_Platform(platform) {
    this.platform$1 = platform;
    this.executionContext$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext();
    this.validationCommand$1 = new $c_Lamf_client_commands_ValidateCommand().init___Lamf_core_remote_Platform(platform);
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  run__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const res = $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future(this).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, config$1) {
      return (function(_$2) {
        return $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future($this, config$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$1$1) {
          return (function(model$2) {
            const model = model$2;
            return $this$1.checkValidation__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future(config$1$1, model).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, config$1$2, model$1) {
              return (function(_$2$1) {
                return $f_Lamf_client_commands_CommandHelper__generateOutput__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future($this$2, config$1$2, model$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
                  return (function(generated$2) {
                    return (void 0)
                  })
                })($this$2)), $this$2.executionContext$1)
              })
            })($this$1, config$1$1, model)), $this$1.executionContext$1)
          })
        })($this, config$1)), $this.executionContext$1)
      })
    })(this, config)), this.executionContext$1);
    res.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, config$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_s_util_Failure(x0$1)) {
          const x2 = x0$1;
          const ex = x2.exception$2;
          if ((ex !== null)) {
            config$2.stderr$1.print__jl_Throwable__V(ex);
            const statusCode = $m_Lamf_core_client_ExitCodes$().Exception$1;
            $m_jl_System$();
            const this$4 = $m_jl_Runtime$();
            const this$5 = this$4.currentRuntime$1;
            this$5.halt__I__V(statusCode);
            return (void 0)
          }
        };
        if ($is_s_util_Success(x0$1)) {
          const x3 = x0$1;
          const other = x3.value$2;
          return other
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this, config)), this.executionContext$1);
    return res
  };
  checkValidation__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future(config, model) {
    let customProfileLoaded;
    if (config.customProfile$1.isDefined__Z()) {
      const this$1 = $m_Lamf_core_services_RuntimeValidator$();
      const validationProfilePath = config.customProfile$1.get__O();
      customProfileLoaded = this$1.validator__p1__Lamf_core_services_RuntimeValidator().loadValidationProfile__T__s_concurrent_Future(validationProfilePath).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(profileName$2) {
          const profileName = profileName$2;
          return profileName
        })
      })(this)), this.executionContext$1)
    } else {
      customProfileLoaded = $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2, config$1) {
        return (function() {
          return config$1.validationProfile$1
        })
      })(this, config)), this.executionContext$1)
    };
    return customProfileLoaded.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, config$2, model$1) {
      return (function(profileName$3$2) {
        const profileName$3 = profileName$3$2;
        const this$4 = $m_Lamf_core_services_RuntimeValidator$();
        $m_Lamf_core_services_RuntimeValidator$();
        const messageStyle = "AMF";
        this$4.validator__p1__Lamf_core_services_RuntimeValidator().validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName$3, messageStyle).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$2$1) {
          return (function(report$2) {
            const report = report$2;
            if ((!report.conforms$1)) {
              config$2$1.stderr$1.print__T__V(report.toString__T());
              const statusCode = $m_Lamf_core_client_ExitCodes$().FailingValidation$1;
              $m_jl_System$();
              const this$7 = $m_jl_Runtime$();
              const this$8 = this$7.currentRuntime$1;
              this$8.halt__I__V(statusCode)
            }
          })
        })(this$3, config$2)), this$3.executionContext$1)
      })
    })(this, config, model)), this.executionContext$1)
  };
  executionContext__s_concurrent_ExecutionContext() {
    return this.executionContext$1
  };
}
const $d_Lamf_client_commands_TranslateCommand = new $TypeData().initClass({
  Lamf_client_commands_TranslateCommand: 0
}, false, "amf.client.commands.TranslateCommand", {
  Lamf_client_commands_TranslateCommand: 1,
  O: 1,
  Lamf_client_commands_CommandHelper: 1
});
$c_Lamf_client_commands_TranslateCommand.prototype.$classData = $d_Lamf_client_commands_TranslateCommand;
class $c_Lamf_client_commands_ValidateCommand extends $c_O {
  constructor() {
    super();
    this.platform$1 = null;
    this.executionContext$1 = null
  };
  report__Lamf_core_model_document_BaseUnit__Lamf_core_client_ParserConfig__s_concurrent_Future(model, config) {
    let customProfileLoaded;
    if (config.customProfile$1.isDefined__Z()) {
      const this$1 = $m_Lamf_core_services_RuntimeValidator$();
      const validationProfilePath = config.customProfile$1.get__O();
      customProfileLoaded = this$1.validator__p1__Lamf_core_services_RuntimeValidator().loadValidationProfile__T__s_concurrent_Future(validationProfilePath).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(profileName$2) {
          const profileName = profileName$2;
          return profileName
        })
      })(this)), this.executionContext$1)
    } else {
      customProfileLoaded = $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2, config$1) {
        return (function() {
          return config$1.validationProfile$1
        })
      })(this, config)), this.executionContext$1)
    };
    return customProfileLoaded.flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, model$1) {
      return (function(profileName$3$2) {
        const profileName$3 = profileName$3$2;
        const this$4 = $m_Lamf_core_services_RuntimeValidator$();
        $m_Lamf_core_services_RuntimeValidator$();
        const messageStyle = "AMF";
        return this$4.validator__p1__Lamf_core_services_RuntimeValidator().validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model$1, profileName$3, messageStyle)
      })
    })(this, model)), this.executionContext$1)
  };
  processOutput__Lamf_core_validation_AMFValidationReport__Lamf_core_client_ParserConfig__V(report, config) {
    const json = $m_Lamf_plugins_features_validation_emitters_ValidationReportJSONLDEmitter$().emitJSON__Lamf_core_validation_AMFValidationReport__T(report);
    const x1 = config.output$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f = x2.value$2;
      const this$1 = this.platform$1;
      $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(this$1, f, json)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        config.stdout$1.print__T__V(json)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    if ((!report.conforms$1)) {
      const statusCode = $m_Lamf_core_client_ExitCodes$().FailingValidation$1;
      $m_jl_System$();
      const this$4 = $m_jl_Runtime$();
      const this$5 = this$4.currentRuntime$1;
      this$5.halt__I__V(statusCode)
    }
  };
  init___Lamf_core_remote_Platform(platform) {
    this.platform$1 = platform;
    this.executionContext$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext();
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  run__Lamf_core_client_ParserConfig__s_concurrent_Future(config) {
    const res = $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future(this).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, config$1) {
      return (function(_$2) {
        return $f_Lamf_client_commands_CommandHelper__processDialects__Lamf_core_client_ParserConfig__s_concurrent_Future($this, config$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$1$1) {
          return (function(_$2$2) {
            return $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future($this$1, config$1$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, config$1$2) {
              return (function(model$2) {
                const model = model$2;
                return $this$2.report__Lamf_core_model_document_BaseUnit__Lamf_core_client_ParserConfig__s_concurrent_Future(model, config$1$2).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, config$1$3) {
                  return (function(report$2) {
                    const report = report$2;
                    $this$3.processOutput__Lamf_core_validation_AMFValidationReport__Lamf_core_client_ParserConfig__V(report, config$1$3)
                  })
                })($this$2, config$1$2)), $this$2.executionContext$1)
              })
            })($this$1, config$1$1)), $this$1.executionContext$1)
          })
        })($this, config$1)), $this.executionContext$1)
      })
    })(this, config)), this.executionContext$1);
    res.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, config$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_s_util_Failure(x0$1)) {
          const x2 = x0$1;
          const ex = x2.exception$2;
          config$2.stderr$1.print__jl_Throwable__V(ex);
          const statusCode = $m_Lamf_core_client_ExitCodes$().Exception$1;
          $m_jl_System$();
          const this$4 = $m_jl_Runtime$();
          const this$5 = this$4.currentRuntime$1;
          this$5.halt__I__V(statusCode)
        } else if ($is_s_util_Success(x0$1)) {
          const x3 = x0$1;
          x3.value$2
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, config)), this.executionContext$1);
    return res
  };
  executionContext__s_concurrent_ExecutionContext() {
    return this.executionContext$1
  };
}
const $d_Lamf_client_commands_ValidateCommand = new $TypeData().initClass({
  Lamf_client_commands_ValidateCommand: 0
}, false, "amf.client.commands.ValidateCommand", {
  Lamf_client_commands_ValidateCommand: 1,
  O: 1,
  Lamf_client_commands_CommandHelper: 1
});
$c_Lamf_client_commands_ValidateCommand.prototype.$classData = $d_Lamf_client_commands_ValidateCommand;
class $c_Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$ extends $c_O {
  init___Lamf_client_convert_FieldConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_Annotations().init___Lamf_core_parser_Annotations(from$1)
  };
}
const $d_Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$: 0
}, false, "amf.client.convert.FieldConverter$AnnotationsFieldMatcher$", {
  Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$.prototype.$classData = $d_Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$;
class $c_Lamf_client_convert_FieldConverter$AnyFieldMatcher$ extends $c_O {
  init___Lamf_client_convert_FieldConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_AnyField().init___Lamf_core_model_AnyField(from$1)
  };
}
const $d_Lamf_client_convert_FieldConverter$AnyFieldMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FieldConverter$AnyFieldMatcher$: 0
}, false, "amf.client.convert.FieldConverter$AnyFieldMatcher$", {
  Lamf_client_convert_FieldConverter$AnyFieldMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FieldConverter$AnyFieldMatcher$.prototype.$classData = $d_Lamf_client_convert_FieldConverter$AnyFieldMatcher$;
class $c_Lamf_client_convert_FieldConverter$BoolFieldMatcher$ extends $c_O {
  init___Lamf_client_convert_FieldConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from$1)
  };
}
const $d_Lamf_client_convert_FieldConverter$BoolFieldMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FieldConverter$BoolFieldMatcher$: 0
}, false, "amf.client.convert.FieldConverter$BoolFieldMatcher$", {
  Lamf_client_convert_FieldConverter$BoolFieldMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FieldConverter$BoolFieldMatcher$.prototype.$classData = $d_Lamf_client_convert_FieldConverter$BoolFieldMatcher$;
class $c_Lamf_client_convert_FieldConverter$DoubleFieldMatcher$ extends $c_O {
  init___Lamf_client_convert_FieldConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from$1)
  };
}
const $d_Lamf_client_convert_FieldConverter$DoubleFieldMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FieldConverter$DoubleFieldMatcher$: 0
}, false, "amf.client.convert.FieldConverter$DoubleFieldMatcher$", {
  Lamf_client_convert_FieldConverter$DoubleFieldMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FieldConverter$DoubleFieldMatcher$.prototype.$classData = $d_Lamf_client_convert_FieldConverter$DoubleFieldMatcher$;
class $c_Lamf_client_convert_FieldConverter$IntFieldMatcher$ extends $c_O {
  init___Lamf_client_convert_FieldConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from$1)
  };
}
const $d_Lamf_client_convert_FieldConverter$IntFieldMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FieldConverter$IntFieldMatcher$: 0
}, false, "amf.client.convert.FieldConverter$IntFieldMatcher$", {
  Lamf_client_convert_FieldConverter$IntFieldMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FieldConverter$IntFieldMatcher$.prototype.$classData = $d_Lamf_client_convert_FieldConverter$IntFieldMatcher$;
class $c_Lamf_client_convert_FieldConverter$StrFieldMatcher$ extends $c_O {
  init___Lamf_client_convert_FieldConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from$1)
  };
}
const $d_Lamf_client_convert_FieldConverter$StrFieldMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FieldConverter$StrFieldMatcher$: 0
}, false, "amf.client.convert.FieldConverter$StrFieldMatcher$", {
  Lamf_client_convert_FieldConverter$StrFieldMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FieldConverter$StrFieldMatcher$.prototype.$classData = $d_Lamf_client_convert_FieldConverter$StrFieldMatcher$;
class $c_Lamf_client_convert_ValidationConverter$ValidationReportMatcher$ extends $c_O {
  init___Lamf_client_convert_ValidationConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_validate_ValidationReport().init___Lamf_core_validation_AMFValidationReport(from$1)
  };
}
const $d_Lamf_client_convert_ValidationConverter$ValidationReportMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ValidationConverter$ValidationReportMatcher$: 0
}, false, "amf.client.convert.ValidationConverter$ValidationReportMatcher$", {
  Lamf_client_convert_ValidationConverter$ValidationReportMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ValidationConverter$ValidationReportMatcher$.prototype.$classData = $d_Lamf_client_convert_ValidationConverter$ValidationReportMatcher$;
class $c_Lamf_client_convert_ValidationConverter$ValidationResultMatcher$ extends $c_O {
  init___Lamf_client_convert_ValidationConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_validate_ValidationResult().init___Lamf_core_validation_AMFValidationResult(from$1)
  };
}
const $d_Lamf_client_convert_ValidationConverter$ValidationResultMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ValidationConverter$ValidationResultMatcher$: 0
}, false, "amf.client.convert.ValidationConverter$ValidationResultMatcher$", {
  Lamf_client_convert_ValidationConverter$ValidationResultMatcher$: 1,
  O: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ValidationConverter$ValidationResultMatcher$.prototype.$classData = $d_Lamf_client_convert_ValidationConverter$ValidationResultMatcher$;
class $c_Lamf_client_environment_DefaultEnvironment$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_client_environment_DefaultEnvironment$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  apply__Lamf_client_environment_Environment() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.platform$1.loaders__sc_Seq();
    const m = $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher__Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$();
    const loaders = new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return new $c_Lamf_client_environment_Environment().init___().withLoaders__sjs_js_Array__Lamf_client_environment_Environment(loaders)
  };
  $$js$exported$meth$apply__O() {
    return this.apply__Lamf_client_environment_Environment()
  };
  "apply"() {
    return this.$$js$exported$meth$apply__O()
  };
}
const $d_Lamf_client_environment_DefaultEnvironment$ = new $TypeData().initClass({
  Lamf_client_environment_DefaultEnvironment$: 0
}, false, "amf.client.environment.DefaultEnvironment$", {
  Lamf_client_environment_DefaultEnvironment$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_client_environment_DefaultEnvironment$.prototype.$classData = $d_Lamf_client_environment_DefaultEnvironment$;
let $n_Lamf_client_environment_DefaultEnvironment$ = (void 0);
const $m_Lamf_client_environment_DefaultEnvironment$ = (function() {
  if ((!$n_Lamf_client_environment_DefaultEnvironment$)) {
    $n_Lamf_client_environment_DefaultEnvironment$ = new $c_Lamf_client_environment_DefaultEnvironment$().init___()
  };
  return $n_Lamf_client_environment_DefaultEnvironment$
});
class $c_Lamf_client_environment_Environment$$anon$1 extends $c_O {
  constructor() {
    super();
    this.loader$1$1 = null
  };
  init___Lamf_client_environment_Environment__Lamf_client_resource_ClientResourceLoader($$outer, loader$1) {
    this.loader$1$1 = loader$1;
    return this
  };
  $$js$exported$meth$fetch__T__O(resource) {
    return this.fetch__T__sjs_js_Promise(resource)
  };
  fetch__T__sjs_js_Promise(resource) {
    return this.loader$1$1.fetch(resource)
  };
  $$js$exported$meth$accepts__T__O(resource) {
    return this.accepts__T__Z(resource)
  };
  accepts__T__Z(resource) {
    return (!(!this.loader$1$1.accepts(resource)))
  };
  "accepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$accepts__T__O(prep0)
  };
  "fetch"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$fetch__T__O(prep0)
  };
}
const $d_Lamf_client_environment_Environment$$anon$1 = new $TypeData().initClass({
  Lamf_client_environment_Environment$$anon$1: 0
}, false, "amf.client.environment.Environment$$anon$1", {
  Lamf_client_environment_Environment$$anon$1: 1,
  O: 1,
  Lamf_client_resource_ResourceLoader: 1
});
$c_Lamf_client_environment_Environment$$anon$1.prototype.$classData = $d_Lamf_client_environment_Environment$$anon$1;
const $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr = (function($thiz, id) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const id$1 = $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(id).iri__T();
  const from = $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option(this$1, id$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit = (function($thiz, location) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
  return $thiz
});
const $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array = (function($thiz) {
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit().references__sc_Seq();
  const m = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
});
const $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit = (function($thiz, references) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$();
  const references$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, references, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
  $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, references$1);
  return $thiz
});
const $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit = (function($thiz, usage) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, usage);
  return $thiz
});
const $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr = (function($thiz) {
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit().raw__s_Option();
  const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
});
const $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit = (function($thiz, raw) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit(this$1, raw);
  return $thiz
});
const $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array = (function($thiz, typeId) {
  const this$4 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$3 = $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const shapeType = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(typeId).iri__T();
  $thiz.$$undinternal__Lamf_core_model_document_BaseUnit();
  const cycles = $m_sci_Set$EmptySet$();
  const from = $f_Lamf_core_model_document_BaseUnit__findByType__T__sci_Set__sc_Seq(this$3, shapeType, cycles);
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$4, from, m).asClient__O()
});
const $is_Lamf_client_model_document_BaseUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_BaseUnit)))
});
const $isArrayOf_Lamf_client_model_document_BaseUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_BaseUnit)))
});
const $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field());
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher__Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range = (function($thiz) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const this$2 = $f_Lamf_core_model_domain_DomainElement__position__s_Option(this$1);
  return (this$2.isEmpty__Z() ? null : this$2.get__O())
});
const $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement = (function($thiz, id) {
  $thiz.$$undinternal__Lamf_core_model_domain_DomainElement().withId__T__Lamf_core_model_domain_AmfObject(id);
  return $thiz
});
const $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement().graph__Lamf_core_model_domain_Graph();
  $m_Lamf_client_convert_CoreClientConverters$().GraphDomainConverter__Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$();
  return new $c_Lamf_client_model_domain_Graph().init___Lamf_core_model_domain_Graph(from)
});
const $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement = (function($thiz, extension) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().ParameterizedDeclarationMatcher__Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$();
  const extend = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, extension, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, extend);
  return $thiz
});
const $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement = (function($thiz, extensions) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_DomainElement();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher__Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$();
  const extensions$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, extensions, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, extensions$1);
  return $thiz
});
const $is_Lamf_client_model_domain_DomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DomainElement)))
});
const $isArrayOf_Lamf_client_model_domain_DomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DomainElement)))
});
class $c_Lamf_client_parse_AmfGraphParser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_AmfGraphParser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_AmfGraphParser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "AMF Graph", "application/ld+json", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
    return this
  };
}
const $d_Lamf_client_parse_AmfGraphParser = new $TypeData().initClass({
  Lamf_client_parse_AmfGraphParser: 0
}, false, "amf.client.parse.AmfGraphParser", {
  Lamf_client_parse_AmfGraphParser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_AmfGraphParser.prototype.$classData = $d_Lamf_client_parse_AmfGraphParser;
class $c_Lamf_client_parse_JsonPayloadParser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_JsonPayloadParser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_JsonPayloadParser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "AMF Payload", "application/amf+json", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_PayloadPlugin$());
    return this
  };
}
const $d_Lamf_client_parse_JsonPayloadParser = new $TypeData().initClass({
  Lamf_client_parse_JsonPayloadParser: 0
}, false, "amf.client.parse.JsonPayloadParser", {
  Lamf_client_parse_JsonPayloadParser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_JsonPayloadParser.prototype.$classData = $d_Lamf_client_parse_JsonPayloadParser;
class $c_Lamf_client_parse_Oas20Parser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_Oas20Parser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_Oas20Parser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "OAS 2.0", "application/json", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_OAS20Plugin$());
    return this
  };
}
const $d_Lamf_client_parse_Oas20Parser = new $TypeData().initClass({
  Lamf_client_parse_Oas20Parser: 0
}, false, "amf.client.parse.Oas20Parser", {
  Lamf_client_parse_Oas20Parser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_Oas20Parser.prototype.$classData = $d_Lamf_client_parse_Oas20Parser;
class $c_Lamf_client_parse_Raml08Parser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_Raml08Parser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_Raml08Parser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "RAML 0.8", "application/yaml", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
    return this
  };
}
const $d_Lamf_client_parse_Raml08Parser = new $TypeData().initClass({
  Lamf_client_parse_Raml08Parser: 0
}, false, "amf.client.parse.Raml08Parser", {
  Lamf_client_parse_Raml08Parser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_Raml08Parser.prototype.$classData = $d_Lamf_client_parse_Raml08Parser;
class $c_Lamf_client_parse_Raml10Parser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_Raml10Parser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_Raml10Parser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "RAML 1.0", "application/yaml", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
    return this
  };
}
const $d_Lamf_client_parse_Raml10Parser = new $TypeData().initClass({
  Lamf_client_parse_Raml10Parser: 0
}, false, "amf.client.parse.Raml10Parser", {
  Lamf_client_parse_Raml10Parser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_Raml10Parser.prototype.$classData = $d_Lamf_client_parse_Raml10Parser;
class $c_Lamf_client_parse_RamlParser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_RamlParser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_RamlParser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "RAML", "application/yaml", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
    return this
  };
}
const $d_Lamf_client_parse_RamlParser = new $TypeData().initClass({
  Lamf_client_parse_RamlParser: 0
}, false, "amf.client.parse.RamlParser", {
  Lamf_client_parse_RamlParser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_RamlParser.prototype.$classData = $d_Lamf_client_parse_RamlParser;
class $c_Lamf_client_parse_YamlPayloadParser extends $c_Lamf_client_parse_Parser {
  constructor() {
    super();
    this.env$2 = null
  };
  init___() {
    $c_Lamf_client_parse_YamlPayloadParser.prototype.init___s_Option.call(this, $m_s_None$());
    return this
  };
  init___Lamf_client_environment_Environment(env) {
    $c_Lamf_client_parse_YamlPayloadParser.prototype.init___s_Option.call(this, new $c_s_Some().init___O(env));
    return this
  };
  init___s_Option(env) {
    this.env$2 = env;
    $c_Lamf_client_parse_Parser.prototype.init___T__T__s_Option.call(this, "AMF Payload", "application/amf+yaml", env);
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_PayloadPlugin$());
    return this
  };
}
const $d_Lamf_client_parse_YamlPayloadParser = new $TypeData().initClass({
  Lamf_client_parse_YamlPayloadParser: 0
}, false, "amf.client.parse.YamlPayloadParser", {
  Lamf_client_parse_YamlPayloadParser: 1,
  Lamf_client_parse_Parser: 1,
  O: 1
});
$c_Lamf_client_parse_YamlPayloadParser.prototype.$classData = $d_Lamf_client_parse_YamlPayloadParser;
class $c_Lamf_client_render_AmfGraphRenderer extends $c_Lamf_client_render_Renderer {
  init___() {
    $c_Lamf_client_render_Renderer.prototype.init___T__T.call(this, "AMF Graph", "application/ld+json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
    return this
  };
}
const $d_Lamf_client_render_AmfGraphRenderer = new $TypeData().initClass({
  Lamf_client_render_AmfGraphRenderer: 0
}, false, "amf.client.render.AmfGraphRenderer", {
  Lamf_client_render_AmfGraphRenderer: 1,
  Lamf_client_render_Renderer: 1,
  O: 1
});
$c_Lamf_client_render_AmfGraphRenderer.prototype.$classData = $d_Lamf_client_render_AmfGraphRenderer;
class $c_Lamf_client_render_JsonldRenderer extends $c_Lamf_client_render_Renderer {
  init___() {
    $c_Lamf_client_render_Renderer.prototype.init___T__T.call(this, "AMF Graph", "application/ld+json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_graph_AMFGraphPlugin$());
    return this
  };
}
const $d_Lamf_client_render_JsonldRenderer = new $TypeData().initClass({
  Lamf_client_render_JsonldRenderer: 0
}, false, "amf.client.render.JsonldRenderer", {
  Lamf_client_render_JsonldRenderer: 1,
  Lamf_client_render_Renderer: 1,
  O: 1
});
$c_Lamf_client_render_JsonldRenderer.prototype.$classData = $d_Lamf_client_render_JsonldRenderer;
class $c_Lamf_client_render_Oas20Renderer extends $c_Lamf_client_render_Renderer {
  init___() {
    $c_Lamf_client_render_Renderer.prototype.init___T__T.call(this, "OAS 2.0", "application/json");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_OAS20Plugin$());
    return this
  };
}
const $d_Lamf_client_render_Oas20Renderer = new $TypeData().initClass({
  Lamf_client_render_Oas20Renderer: 0
}, false, "amf.client.render.Oas20Renderer", {
  Lamf_client_render_Oas20Renderer: 1,
  Lamf_client_render_Renderer: 1,
  O: 1
});
$c_Lamf_client_render_Oas20Renderer.prototype.$classData = $d_Lamf_client_render_Oas20Renderer;
class $c_Lamf_client_render_Raml08Renderer extends $c_Lamf_client_render_Renderer {
  init___() {
    $c_Lamf_client_render_Renderer.prototype.init___T__T.call(this, "RAML 0.8", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML08Plugin$());
    return this
  };
}
const $d_Lamf_client_render_Raml08Renderer = new $TypeData().initClass({
  Lamf_client_render_Raml08Renderer: 0
}, false, "amf.client.render.Raml08Renderer", {
  Lamf_client_render_Raml08Renderer: 1,
  Lamf_client_render_Renderer: 1,
  O: 1
});
$c_Lamf_client_render_Raml08Renderer.prototype.$classData = $d_Lamf_client_render_Raml08Renderer;
class $c_Lamf_client_render_Raml10Renderer extends $c_Lamf_client_render_Renderer {
  init___() {
    $c_Lamf_client_render_Renderer.prototype.init___T__T.call(this, "RAML 1.0", "application/yaml");
    $m_Lamf_core_registries_AMFPluginsRegistry$().registerDocumentPlugin__Lamf_core_plugins_AMFDocumentPlugin__V($m_Lamf_plugins_document_webapi_RAML10Plugin$());
    return this
  };
}
const $d_Lamf_client_render_Raml10Renderer = new $TypeData().initClass({
  Lamf_client_render_Raml10Renderer: 0
}, false, "amf.client.render.Raml10Renderer", {
  Lamf_client_render_Raml10Renderer: 1,
  Lamf_client_render_Renderer: 1,
  O: 1
});
$c_Lamf_client_render_Raml10Renderer.prototype.$classData = $d_Lamf_client_render_Raml10Renderer;
class $c_Lamf_client_resolve_AmfGraphResolver extends $c_Lamf_client_resolve_Resolver {
  init___() {
    $c_Lamf_client_resolve_Resolver.prototype.init___T.call(this, "AMF Graph");
    return this
  };
}
const $d_Lamf_client_resolve_AmfGraphResolver = new $TypeData().initClass({
  Lamf_client_resolve_AmfGraphResolver: 0
}, false, "amf.client.resolve.AmfGraphResolver", {
  Lamf_client_resolve_AmfGraphResolver: 1,
  Lamf_client_resolve_Resolver: 1,
  O: 1
});
$c_Lamf_client_resolve_AmfGraphResolver.prototype.$classData = $d_Lamf_client_resolve_AmfGraphResolver;
class $c_Lamf_client_resolve_Oas20Resolver extends $c_Lamf_client_resolve_Resolver {
  init___() {
    $c_Lamf_client_resolve_Resolver.prototype.init___T.call(this, "OAS 2.0");
    return this
  };
}
const $d_Lamf_client_resolve_Oas20Resolver = new $TypeData().initClass({
  Lamf_client_resolve_Oas20Resolver: 0
}, false, "amf.client.resolve.Oas20Resolver", {
  Lamf_client_resolve_Oas20Resolver: 1,
  Lamf_client_resolve_Resolver: 1,
  O: 1
});
$c_Lamf_client_resolve_Oas20Resolver.prototype.$classData = $d_Lamf_client_resolve_Oas20Resolver;
class $c_Lamf_client_resolve_Raml08Resolver extends $c_Lamf_client_resolve_Resolver {
  init___() {
    $c_Lamf_client_resolve_Resolver.prototype.init___T.call(this, "RAML 0.8");
    return this
  };
}
const $d_Lamf_client_resolve_Raml08Resolver = new $TypeData().initClass({
  Lamf_client_resolve_Raml08Resolver: 0
}, false, "amf.client.resolve.Raml08Resolver", {
  Lamf_client_resolve_Raml08Resolver: 1,
  Lamf_client_resolve_Resolver: 1,
  O: 1
});
$c_Lamf_client_resolve_Raml08Resolver.prototype.$classData = $d_Lamf_client_resolve_Raml08Resolver;
class $c_Lamf_client_resolve_Raml10Resolver extends $c_Lamf_client_resolve_Resolver {
  init___() {
    $c_Lamf_client_resolve_Resolver.prototype.init___T.call(this, "RAML 1.0");
    return this
  };
}
const $d_Lamf_client_resolve_Raml10Resolver = new $TypeData().initClass({
  Lamf_client_resolve_Raml10Resolver: 0
}, false, "amf.client.resolve.Raml10Resolver", {
  Lamf_client_resolve_Raml10Resolver: 1,
  Lamf_client_resolve_Resolver: 1,
  O: 1
});
$c_Lamf_client_resolve_Raml10Resolver.prototype.$classData = $d_Lamf_client_resolve_Raml10Resolver;
class $c_Lamf_client_resource_BaseHttpResourceLoader extends $c_O {
  $$js$exported$meth$accepts__T__O(resource) {
    return this.accepts__T__Z(resource)
  };
  accepts__T__Z(resource) {
    const o10 = $m_Lamf_core_remote_HttpParts$().unapply__T__s_Option(resource);
    if ((!o10.isEmpty__Z())) {
      return true
    };
    return false
  };
  "fetch"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$fetch__T__O(prep0)
  };
  "accepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$accepts__T__O(prep0)
  };
}
class $c_Lamf_core_AMFCompiler$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  build__T__Lamf_core_remote_Context__s_Option__T__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(url$3, base$3, mediaType$3, vendor$3, referenceKind$3, cache$3, ctx$3, env$3) {
    return (0, this.f$1)(url$3, base$3, mediaType$3, vendor$3, referenceKind$3, cache$3, ctx$3, env$3)
  };
}
const $d_Lamf_core_AMFCompiler$$$Lambda$1 = new $TypeData().initClass({
  Lamf_core_AMFCompiler$$$Lambda$1: 0
}, false, "amf.core.AMFCompiler$$$Lambda$1", {
  Lamf_core_AMFCompiler$$$Lambda$1: 1,
  O: 1,
  Lamf_core_services_RuntimeCompiler: 1
});
$c_Lamf_core_AMFCompiler$$$Lambda$1.prototype.$classData = $d_Lamf_core_AMFCompiler$$$Lambda$1;
class $c_Lamf_core_AMFSerializer$$anon$1 extends $c_O {
  init___() {
    return this
  };
  dump__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__T(unit, mediaType, vendor, options) {
    return new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions(unit, mediaType, vendor, options).render__T()
  };
  dumpToFile__Lamf_core_remote_Platform__T__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__s_concurrent_Future(platform, file, unit, mediaType, vendor, options) {
    const this$1 = new $c_Lamf_core_AMFSerializer().init___Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions(unit, mediaType, vendor, options);
    const content = this$1.render__T();
    return $f_Lamf_core_remote_Platform__write__T__T__s_concurrent_Future(platform, file, content)
  };
}
const $d_Lamf_core_AMFSerializer$$anon$1 = new $TypeData().initClass({
  Lamf_core_AMFSerializer$$anon$1: 0
}, false, "amf.core.AMFSerializer$$anon$1", {
  Lamf_core_AMFSerializer$$anon$1: 1,
  O: 1,
  Lamf_core_services_RuntimeSerializer: 1
});
$c_Lamf_core_AMFSerializer$$anon$1.prototype.$classData = $d_Lamf_core_AMFSerializer$$anon$1;
class $c_Lamf_core_client_RuntimeProc$ extends $c_Lamf_core_client_Proc {
  init___() {
    return this
  };
}
const $d_Lamf_core_client_RuntimeProc$ = new $TypeData().initClass({
  Lamf_core_client_RuntimeProc$: 0
}, false, "amf.core.client.RuntimeProc$", {
  Lamf_core_client_RuntimeProc$: 1,
  Lamf_core_client_Proc: 1,
  O: 1
});
$c_Lamf_core_client_RuntimeProc$.prototype.$classData = $d_Lamf_core_client_RuntimeProc$;
let $n_Lamf_core_client_RuntimeProc$ = (void 0);
const $m_Lamf_core_client_RuntimeProc$ = (function() {
  if ((!$n_Lamf_core_client_RuntimeProc$)) {
    $n_Lamf_core_client_RuntimeProc$ = new $c_Lamf_core_client_RuntimeProc$().init___()
  };
  return $n_Lamf_core_client_RuntimeProc$
});
class $c_Lamf_core_client_StdErrWriter$ extends $c_Lamf_core_client_ProcWriter {
  init___() {
    return this
  };
  print__T__V(s) {
    $m_jl_System$().err$1.println__T__V(s)
  };
  print__jl_Throwable__V(e) {
    const this$1 = $m_jl_System$().err$1;
    this$1.java$lang$JSConsoleBasedPrintStream$$printString__T__V((e + "\n"))
  };
}
const $d_Lamf_core_client_StdErrWriter$ = new $TypeData().initClass({
  Lamf_core_client_StdErrWriter$: 0
}, false, "amf.core.client.StdErrWriter$", {
  Lamf_core_client_StdErrWriter$: 1,
  Lamf_core_client_ProcWriter: 1,
  O: 1
});
$c_Lamf_core_client_StdErrWriter$.prototype.$classData = $d_Lamf_core_client_StdErrWriter$;
let $n_Lamf_core_client_StdErrWriter$ = (void 0);
const $m_Lamf_core_client_StdErrWriter$ = (function() {
  if ((!$n_Lamf_core_client_StdErrWriter$)) {
    $n_Lamf_core_client_StdErrWriter$ = new $c_Lamf_core_client_StdErrWriter$().init___()
  };
  return $n_Lamf_core_client_StdErrWriter$
});
const $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__$$init$__V = (function($thiz) {
  const x1 = $thiz.f__Lamf_core_parser_FieldEntry().field$1.type$1;
  const x = $m_Lamf_core_metamodel_Type$Date$();
  let jsx$1;
  if (x.equals__O__Z(x1)) {
    jsx$1 = $m_Lorg_yaml_model_YType$().Timestamp$1
  } else {
    const x$3 = $m_Lamf_core_metamodel_Type$Int$();
    if (x$3.equals__O__Z(x1)) {
      jsx$1 = $m_Lorg_yaml_model_YType$().Int$1
    } else {
      const x$5 = $m_Lamf_core_metamodel_Type$Bool$();
      if (x$5.equals__O__Z(x1)) {
        jsx$1 = $m_Lorg_yaml_model_YType$().Bool$1
      } else {
        const x$7 = $m_Lamf_core_metamodel_Type$Double$();
        let jsx$2;
        if (x$7.equals__O__Z(x1)) {
          jsx$2 = true
        } else {
          const x$9 = $m_Lamf_core_metamodel_Type$Float$();
          jsx$2 = x$9.equals__O__Z(x1)
        };
        if (jsx$2) {
          jsx$1 = $m_Lorg_yaml_model_YType$().Float$1
        } else {
          jsx$1 = $m_Lorg_yaml_model_YType$().Str$1
        }
      }
    }
  };
  $thiz.amf$core$emitter$BaseEmitters$BaseValueEmitter$$undsetter$und$tag$und$eq__Lorg_yaml_model_YType__V(jsx$1)
});
const $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__position__Lamf_core_parser_Position = (function($thiz) {
  const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
  const annotations = $thiz.f__Lamf_core_parser_FieldEntry().value$1.annotations$1;
  return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
});
class $c_Lamf_core_lexer_CharStream extends $c_O {
}
class $c_Lamf_core_metamodel_Type$Any$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_Type$Any$ = this;
    this.dynamicType$1 = false;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "anyType")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_Type$Any$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Any$: 0
}, false, "amf.core.metamodel.Type$Any$", {
  Lamf_core_metamodel_Type$Any$: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_Type$Any$.prototype.$classData = $d_Lamf_core_metamodel_Type$Any$;
let $n_Lamf_core_metamodel_Type$Any$ = (void 0);
const $m_Lamf_core_metamodel_Type$Any$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Any$)) {
    $n_Lamf_core_metamodel_Type$Any$ = new $c_Lamf_core_metamodel_Type$Any$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Any$
});
class $c_Lamf_core_metamodel_Type$ArrayLike extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.type$1 = null;
    this.dynamicType$1 = false
  };
  init___Lamf_core_metamodel_Type(element) {
    this.element$1 = element;
    this.dynamicType$1 = false;
    this.type$1 = element.type__sci_List();
    return this
  };
  type__sci_List() {
    return this.type$1
  };
}
const $is_Lamf_core_metamodel_Type$ArrayLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$ArrayLike)))
});
const $isArrayOf_Lamf_core_metamodel_Type$ArrayLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$ArrayLike)))
});
const $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "raw"), true));
  const jsx$2 = $m_Lamf_core_metamodel_Type$Iri$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "reference-id"), true));
  $thiz.amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(true)
});
const $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "link-target"), true));
  const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "effective-target"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "link-label"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "recursive"), true))
});
const $is_Lamf_core_metamodel_domain_templates_KeyField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_templates_KeyField)))
});
const $isArrayOf_Lamf_core_metamodel_domain_templates_KeyField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_templates_KeyField)))
});
const $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
  $thiz.amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "optional"), true))
});
const $is_Lamf_core_metamodel_domain_templates_OptionalField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_templates_OptionalField)))
});
const $isArrayOf_Lamf_core_metamodel_domain_templates_OptionalField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_templates_OptionalField)))
});
const $is_Lamf_core_model_document_DeclaresModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_DeclaresModel)))
});
const $isArrayOf_Lamf_core_model_document_DeclaresModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_DeclaresModel)))
});
const $is_Lamf_core_model_document_EncodesModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_EncodesModel)))
});
const $isArrayOf_Lamf_core_model_document_EncodesModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_EncodesModel)))
});
const $f_Lamf_core_model_domain_DomainElement__position__s_Option = (function($thiz) {
  const x1 = $thiz.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const info = x2.value$2;
    return new $c_s_Some().init___O(info.range__Lamf_core_parser_Range())
  } else {
    return $m_s_None$()
  }
});
const $is_Lamf_core_model_domain_DomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_DomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_DomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_DomainElement)))
});
const $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option = (function($thiz) {
  return $m_s_Option$().apply__O__s_Option($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1))
});
const $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement = (function($thiz, target) {
  $thiz.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_LinkableElementModel$().Target$1, target, ($thiz.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
  const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().TargetId$1;
  const value = target.id__T();
  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject($thiz, field, value)
});
const $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement = (function($thiz) {
  const this$1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option($thiz);
  let this$2;
  if (this$1.isEmpty__Z()) {
    this$2 = $m_s_None$()
  } else {
    const arg1 = this$1.get__O();
    const x0$1 = arg1;
    let jsx$1;
    matchEnd4: {
      if ($is_Lamf_core_model_domain_Linkable(x0$1)) {
        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option($thiz).isDefined__Z()) {
          jsx$1 = x0$1.effectiveLinkTarget__Lamf_core_model_domain_DomainElement();
          break matchEnd4
        }
      };
      jsx$1 = x0$1
    };
    this$2 = new $c_s_Some().init___O(jsx$1)
  };
  return (this$2.isEmpty__Z() ? $thiz : this$2.get__O())
});
const $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O = (function($thiz, label, annotations) {
  const this$1 = $thiz.linkCopy__Lamf_core_model_domain_Linkable();
  const target = $thiz;
  const this$2 = $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$1, target);
  const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
  const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, label);
  return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, annotations)
});
const $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement = (function($thiz, refName, refAst, ctx) {
  $thiz.isUnresolved$und$eq__Z__V(true);
  $thiz.refName$und$eq__T__V(refName);
  $thiz.refAst$und$eq__s_Option__V(new $c_s_Some().init___O(refAst));
  $thiz.refCtx$und$eq__s_Option__V(new $c_s_Some().init___O(ctx));
  return $thiz
});
const $f_Lamf_core_model_domain_Linkable__$$init$__V = (function($thiz) {
  $thiz.linkAnnotations$und$eq__s_Option__V($m_s_None$());
  $thiz.isUnresolved$und$eq__Z__V(false);
  $thiz.refName$und$eq__T__V("");
  $thiz.refAst$und$eq__s_Option__V($m_s_None$());
  $thiz.refCtx$und$eq__s_Option__V($m_s_None$())
});
const $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V = (function($thiz, resolve) {
  const x1 = $thiz.refCtx__s_Option();
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const ctx = x2.value$2;
    const this$1 = ctx.futureDeclarations$1;
    const id = $thiz.id__T();
    const name = $thiz.refName__T();
    const promise = new $c_Lamf_core_parser_DeclarationPromise().init___F1__F0__Z(resolve, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, ctx$1) {
      return (function() {
        const node = $this.id__T();
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unresolved reference '", "' from root context ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$this.refName__T(), ctx$1.rootContextDocument$1]));
        const ast = $this.refAst__s_Option().get__O();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx$1, node, message, ast)
      })
    })($thiz, ctx)), false);
    $f_Lamf_core_parser_FutureDeclarations__futureRef__T__T__Lamf_core_parser_DeclarationPromise__V(this$1, id, name, promise)
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot create unresolved reference with missing parsing context"))
  }
});
const $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option = (function($thiz) {
  return $m_s_Option$().apply__O__s_Option($thiz.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_LinkableElementModel$().Target$1))
});
const $is_Lamf_core_model_domain_Linkable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Linkable)))
});
const $isArrayOf_Lamf_core_model_domain_Linkable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Linkable)))
});
const $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$8$2) {
      const x$8 = x$8$2;
      return x$8.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler()).text$3
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$2$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$2$1, e)
    })
  })($thiz, eta$0$2));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray = (function($thiz, fn) {
  const x1 = $thiz.nodes__T2();
  if ((x1 !== null)) {
    const all = x1.$$und1__O();
    const node = x1.$$und2__O();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, fn$1) {
      return (function(x$13$2) {
        const x$13 = x$13$2;
        return fn$1.apply__O__O(x$13)
      })
    })($thiz, fn));
    const this$1 = $m_sc_Seq$();
    const elements = all.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(elements, $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node))
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
});
const $f_Lamf_core_parser_BaseArrayNode__$boolean__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$11$2) {
      const x$11 = x$11$2;
      return (!(!x$11.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler())))
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$5$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$5$1, e)
    })
  })($thiz, eta$0$5));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__integer__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$9$2) {
      const x$9 = x$9$2;
      return (x$9.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$IntYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler()) | 0)
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$3$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$3$1, e)
    })
  })($thiz, eta$0$3));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__negated__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$12$2) {
      const x$12 = x$12$2;
      return (!(!(!x$12.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler()))))
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$6$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$6$1, e)
    })
  })($thiz, eta$0$6));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__string__Lamf_core_model_domain_AmfArray = (function($thiz) {
  const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$7$2) {
      const x$7 = x$7$2;
      return x$7.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.iv__Lorg_yaml_model_IllegalTypeHandler())
    })
  })($thiz));
  const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$1$1) {
    return (function(e$2) {
      const e = e$2;
      return $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(this$2, eta$0$1$1, e)
    })
  })($thiz, eta$0$1));
  return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray($thiz, fn)
});
const $f_Lamf_core_parser_BaseArrayNode__scalar__pLamf_core_parser_BaseArrayNode__F1__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar = (function($thiz, fn, e) {
  return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(fn.apply__O__O(e), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value__Lorg_yaml_model_YValue()))
});
class $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1 extends $c_O {
  constructor() {
    super();
    this.promises$1 = null
  };
  init___() {
    $f_Lamf_core_parser_FutureDeclarations__$$init$__V(this);
    return this
  };
}
const $d_Lamf_core_parser_EmptyFutureDeclarations$$anon$1 = new $TypeData().initClass({
  Lamf_core_parser_EmptyFutureDeclarations$$anon$1: 0
}, false, "amf.core.parser.EmptyFutureDeclarations$$anon$1", {
  Lamf_core_parser_EmptyFutureDeclarations$$anon$1: 1,
  O: 1,
  Lamf_core_parser_FutureDeclarations: 1
});
$c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1.prototype.$classData = $d_Lamf_core_parser_EmptyFutureDeclarations$$anon$1;
const $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__V = (function($thiz, node, message, lexical) {
  const errorLocation = ((node === "") ? $thiz.currentFile__T() : node);
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
  const property = $m_s_None$();
  const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
  const this$1 = $m_Lamf_core_services_RuntimeValidator$();
  const parserRun = $thiz.parserCount__I();
  this$1.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, errorLocation, property, message, lexical, parserRun)
});
const $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V = (function($thiz, id, node, property, message, ast) {
  const lexical = $f_Lamf_core_parser_ErrorHandler__lexical__pLamf_core_parser_ErrorHandler__Lorg_yaml_model_YPart__s_Option($thiz, ast);
  const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
  const this$1 = $m_Lamf_core_services_RuntimeValidator$();
  const parserRun = $thiz.parserCount__I();
  this$1.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, message, lexical, parserRun)
});
const $f_Lamf_core_parser_ErrorHandler__lexical__pLamf_core_parser_ErrorHandler__Lorg_yaml_model_YPart__s_Option = (function($thiz, ast) {
  const x1 = ast.range__Lorg_mulesoft_lexer_InputRange();
  const x = $m_Lorg_mulesoft_lexer_InputRange$().Zero$1;
  if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
    return $m_s_None$()
  } else {
    return new $c_s_Some().init___O(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(x1)))
  }
});
const $f_Lamf_core_parser_ErrorHandler__handle__Lorg_yaml_model_YError__O__O = (function($thiz, error, defaultValue) {
  const message = error.error__T();
  const ast = $f_Lamf_core_parser_ErrorHandler__part__Lorg_yaml_model_YError__Lorg_yaml_model_YPart($thiz, error);
  $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V($thiz, "", message, ast);
  return defaultValue
});
const $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V = (function($thiz, node, message, ast) {
  const errorLocation = ((node === "") ? $thiz.currentFile__T() : node);
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
  const property = $m_s_None$();
  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V($thiz, id, errorLocation, property, message, ast)
});
const $f_Lamf_core_parser_ErrorHandler__part__Lorg_yaml_model_YError__Lorg_yaml_model_YPart = (function($thiz, error) {
  const x1 = error.node$1;
  if ($is_Lorg_yaml_model_YDocument(x1)) {
    const x2 = x1;
    return x2
  } else if ($is_Lorg_yaml_model_YNode(x1)) {
    const x3 = x1;
    return x3
  } else if ($is_Lorg_yaml_model_YSuccess(x1)) {
    const x4 = x1;
    return x4.node$4
  } else if ($is_Lorg_yaml_model_YFail(x1)) {
    const x5 = x1;
    const error$1 = x5.error$4;
    return $f_Lamf_core_parser_ErrorHandler__part__Lorg_yaml_model_YError__Lorg_yaml_model_YPart($thiz, error$1)
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
});
const $f_Lamf_core_parser_ErrorHandler__warning__T__Lorg_yaml_model_YPart__V = (function($thiz, message, ast) {
  $thiz.warning__T__T__s_Option__T__s_Option__V($m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingWarningSpecification$1.id__T(), "", $m_s_None$(), message, $f_Lamf_core_parser_ErrorHandler__lexical__pLamf_core_parser_ErrorHandler__Lorg_yaml_model_YPart__s_Option($thiz, ast))
});
const $f_Lamf_core_parser_ErrorHandler__warning__T__T__s_Option__T__Lorg_yaml_model_YPart__V = (function($thiz, id, node, property, message, ast) {
  $thiz.warning__T__T__s_Option__T__s_Option__V(id, node, property, message, $f_Lamf_core_parser_ErrorHandler__lexical__pLamf_core_parser_ErrorHandler__Lorg_yaml_model_YPart__s_Option($thiz, ast))
});
const $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V = (function($thiz, message, ast) {
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
  const property = $m_s_None$();
  const lexical = $f_Lamf_core_parser_ErrorHandler__lexical__pLamf_core_parser_ErrorHandler__Lorg_yaml_model_YPart__s_Option($thiz, ast);
  const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
  const this$1 = $m_Lamf_core_services_RuntimeValidator$();
  const parserRun = $thiz.parserCount__I();
  this$1.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, "", property, message, lexical, parserRun)
});
const $f_Lamf_core_parser_ErrorHandler__warning__T__T__Lorg_yaml_model_YPart__V = (function($thiz, node, message, ast) {
  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingWarningSpecification$1.id__T();
  const property = $m_s_None$();
  $f_Lamf_core_parser_ErrorHandler__warning__T__T__s_Option__T__Lorg_yaml_model_YPart__V($thiz, id, node, property, message, ast)
});
const $f_Lamf_core_parser_ErrorHandler__handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V = (function($thiz, node, e) {
  matchEnd4: {
    if ($is_Lorg_yaml_model_LexerException(e)) {
      const x2 = e;
      const thiz = x2.text$5;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("\\s+", thiz)) {
        break matchEnd4
      }
    };
    const message = e.s$1;
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V($thiz, "", message, node)
  }
});
const $is_Lamf_core_parser_ErrorHandler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ErrorHandler)))
});
const $isArrayOf_Lamf_core_parser_ErrorHandler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ErrorHandler)))
});
class $c_Lamf_core_parser_ExtensionReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_ExtensionReference$ = new $TypeData().initClass({
  Lamf_core_parser_ExtensionReference$: 0
}, false, "amf.core.parser.ExtensionReference$", {
  Lamf_core_parser_ExtensionReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_ExtensionReference$.prototype.$classData = $d_Lamf_core_parser_ExtensionReference$;
let $n_Lamf_core_parser_ExtensionReference$ = (void 0);
const $m_Lamf_core_parser_ExtensionReference$ = (function() {
  if ((!$n_Lamf_core_parser_ExtensionReference$)) {
    $n_Lamf_core_parser_ExtensionReference$ = new $c_Lamf_core_parser_ExtensionReference$().init___()
  };
  return $n_Lamf_core_parser_ExtensionReference$
});
class $c_Lamf_core_parser_InferredLinkReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_InferredLinkReference$ = new $TypeData().initClass({
  Lamf_core_parser_InferredLinkReference$: 0
}, false, "amf.core.parser.InferredLinkReference$", {
  Lamf_core_parser_InferredLinkReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_InferredLinkReference$.prototype.$classData = $d_Lamf_core_parser_InferredLinkReference$;
let $n_Lamf_core_parser_InferredLinkReference$ = (void 0);
const $m_Lamf_core_parser_InferredLinkReference$ = (function() {
  if ((!$n_Lamf_core_parser_InferredLinkReference$)) {
    $n_Lamf_core_parser_InferredLinkReference$ = new $c_Lamf_core_parser_InferredLinkReference$().init___()
  };
  return $n_Lamf_core_parser_InferredLinkReference$
});
class $c_Lamf_core_parser_LibraryReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_LibraryReference$ = new $TypeData().initClass({
  Lamf_core_parser_LibraryReference$: 0
}, false, "amf.core.parser.LibraryReference$", {
  Lamf_core_parser_LibraryReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_LibraryReference$.prototype.$classData = $d_Lamf_core_parser_LibraryReference$;
let $n_Lamf_core_parser_LibraryReference$ = (void 0);
const $m_Lamf_core_parser_LibraryReference$ = (function() {
  if ((!$n_Lamf_core_parser_LibraryReference$)) {
    $n_Lamf_core_parser_LibraryReference$ = new $c_Lamf_core_parser_LibraryReference$().init___()
  };
  return $n_Lamf_core_parser_LibraryReference$
});
class $c_Lamf_core_parser_LinkReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_LinkReference$ = new $TypeData().initClass({
  Lamf_core_parser_LinkReference$: 0
}, false, "amf.core.parser.LinkReference$", {
  Lamf_core_parser_LinkReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_LinkReference$.prototype.$classData = $d_Lamf_core_parser_LinkReference$;
let $n_Lamf_core_parser_LinkReference$ = (void 0);
const $m_Lamf_core_parser_LinkReference$ = (function() {
  if ((!$n_Lamf_core_parser_LinkReference$)) {
    $n_Lamf_core_parser_LinkReference$ = new $c_Lamf_core_parser_LinkReference$().init___()
  };
  return $n_Lamf_core_parser_LinkReference$
});
class $c_Lamf_core_parser_SchemaReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SchemaReference$ = new $TypeData().initClass({
  Lamf_core_parser_SchemaReference$: 0
}, false, "amf.core.parser.SchemaReference$", {
  Lamf_core_parser_SchemaReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_SchemaReference$.prototype.$classData = $d_Lamf_core_parser_SchemaReference$;
let $n_Lamf_core_parser_SchemaReference$ = (void 0);
const $m_Lamf_core_parser_SchemaReference$ = (function() {
  if ((!$n_Lamf_core_parser_SchemaReference$)) {
    $n_Lamf_core_parser_SchemaReference$ = new $c_Lamf_core_parser_SchemaReference$().init___()
  };
  return $n_Lamf_core_parser_SchemaReference$
});
class $c_Lamf_core_parser_SearchScope$All$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SearchScope$All$ = new $TypeData().initClass({
  Lamf_core_parser_SearchScope$All$: 0
}, false, "amf.core.parser.SearchScope$All$", {
  Lamf_core_parser_SearchScope$All$: 1,
  O: 1,
  Lamf_core_parser_SearchScope$Scope: 1
});
$c_Lamf_core_parser_SearchScope$All$.prototype.$classData = $d_Lamf_core_parser_SearchScope$All$;
let $n_Lamf_core_parser_SearchScope$All$ = (void 0);
const $m_Lamf_core_parser_SearchScope$All$ = (function() {
  if ((!$n_Lamf_core_parser_SearchScope$All$)) {
    $n_Lamf_core_parser_SearchScope$All$ = new $c_Lamf_core_parser_SearchScope$All$().init___()
  };
  return $n_Lamf_core_parser_SearchScope$All$
});
class $c_Lamf_core_parser_SearchScope$Fragments$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SearchScope$Fragments$ = new $TypeData().initClass({
  Lamf_core_parser_SearchScope$Fragments$: 0
}, false, "amf.core.parser.SearchScope$Fragments$", {
  Lamf_core_parser_SearchScope$Fragments$: 1,
  O: 1,
  Lamf_core_parser_SearchScope$Scope: 1
});
$c_Lamf_core_parser_SearchScope$Fragments$.prototype.$classData = $d_Lamf_core_parser_SearchScope$Fragments$;
let $n_Lamf_core_parser_SearchScope$Fragments$ = (void 0);
const $m_Lamf_core_parser_SearchScope$Fragments$ = (function() {
  if ((!$n_Lamf_core_parser_SearchScope$Fragments$)) {
    $n_Lamf_core_parser_SearchScope$Fragments$ = new $c_Lamf_core_parser_SearchScope$Fragments$().init___()
  };
  return $n_Lamf_core_parser_SearchScope$Fragments$
});
class $c_Lamf_core_parser_SearchScope$Named$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_SearchScope$Named$ = new $TypeData().initClass({
  Lamf_core_parser_SearchScope$Named$: 0
}, false, "amf.core.parser.SearchScope$Named$", {
  Lamf_core_parser_SearchScope$Named$: 1,
  O: 1,
  Lamf_core_parser_SearchScope$Scope: 1
});
$c_Lamf_core_parser_SearchScope$Named$.prototype.$classData = $d_Lamf_core_parser_SearchScope$Named$;
let $n_Lamf_core_parser_SearchScope$Named$ = (void 0);
const $m_Lamf_core_parser_SearchScope$Named$ = (function() {
  if ((!$n_Lamf_core_parser_SearchScope$Named$)) {
    $n_Lamf_core_parser_SearchScope$Named$ = new $c_Lamf_core_parser_SearchScope$Named$().init___()
  };
  return $n_Lamf_core_parser_SearchScope$Named$
});
class $c_Lamf_core_parser_SimpleReferenceHandler$ extends $c_O {
  init___() {
    return this
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(document, ctx) {
    return $m_Lamf_core_parser_EmptyReferenceCollector$()
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference)
  };
}
const $d_Lamf_core_parser_SimpleReferenceHandler$ = new $TypeData().initClass({
  Lamf_core_parser_SimpleReferenceHandler$: 0
}, false, "amf.core.parser.SimpleReferenceHandler$", {
  Lamf_core_parser_SimpleReferenceHandler$: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_core_parser_SimpleReferenceHandler$.prototype.$classData = $d_Lamf_core_parser_SimpleReferenceHandler$;
let $n_Lamf_core_parser_SimpleReferenceHandler$ = (void 0);
const $m_Lamf_core_parser_SimpleReferenceHandler$ = (function() {
  if ((!$n_Lamf_core_parser_SimpleReferenceHandler$)) {
    $n_Lamf_core_parser_SimpleReferenceHandler$ = new $c_Lamf_core_parser_SimpleReferenceHandler$().init___()
  };
  return $n_Lamf_core_parser_SimpleReferenceHandler$
});
class $c_Lamf_core_parser_UnspecifiedReference$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_parser_UnspecifiedReference$ = new $TypeData().initClass({
  Lamf_core_parser_UnspecifiedReference$: 0
}, false, "amf.core.parser.UnspecifiedReference$", {
  Lamf_core_parser_UnspecifiedReference$: 1,
  O: 1,
  Lamf_core_parser_ReferenceKind: 1
});
$c_Lamf_core_parser_UnspecifiedReference$.prototype.$classData = $d_Lamf_core_parser_UnspecifiedReference$;
let $n_Lamf_core_parser_UnspecifiedReference$ = (void 0);
const $m_Lamf_core_parser_UnspecifiedReference$ = (function() {
  if ((!$n_Lamf_core_parser_UnspecifiedReference$)) {
    $n_Lamf_core_parser_UnspecifiedReference$ = new $c_Lamf_core_parser_UnspecifiedReference$().init___()
  };
  return $n_Lamf_core_parser_UnspecifiedReference$
});
class $c_Lamf_core_parser_package$YScalarYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected scalar but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1])))
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YScalar$().Null$1
  };
}
const $d_Lamf_core_parser_package$YScalarYRead$ = new $TypeData().initClass({
  Lamf_core_parser_package$YScalarYRead$: 0
}, false, "amf.core.parser.package$YScalarYRead$", {
  Lamf_core_parser_package$YScalarYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lamf_core_parser_package$YScalarYRead$.prototype.$classData = $d_Lamf_core_parser_package$YScalarYRead$;
let $n_Lamf_core_parser_package$YScalarYRead$ = (void 0);
const $m_Lamf_core_parser_package$YScalarYRead$ = (function() {
  if ((!$n_Lamf_core_parser_package$YScalarYRead$)) {
    $n_Lamf_core_parser_package$YScalarYRead$ = new $c_Lamf_core_parser_package$YScalarYRead$().init___()
  };
  return $n_Lamf_core_parser_package$YScalarYRead$
});
class $c_Lamf_core_plugins_AMFDocumentPlugin extends $c_O {
  constructor() {
    super();
    this.priority$1 = 0
  };
  init___() {
    this.priority$1 = $m_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$().default$1;
    return this
  };
  modelEntitiesResolver__s_Option() {
    return $m_s_None$()
  };
  priority__I() {
    return this.priority$1
  };
}
const $is_Lamf_core_plugins_AMFDocumentPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFDocumentPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFDocumentPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFDocumentPlugin)))
});
class $c_Lamf_core_plugins_AMFDomainPlugin extends $c_O {
}
const $is_Lamf_core_plugins_AMFDomainPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFDomainPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFDomainPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFDomainPlugin)))
});
class $c_Lamf_core_plugins_AMFSyntaxPlugin extends $c_O {
}
const $is_Lamf_core_plugins_AMFSyntaxPlugin = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_plugins_AMFSyntaxPlugin)))
});
const $isArrayOf_Lamf_core_plugins_AMFSyntaxPlugin = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_plugins_AMFSyntaxPlugin)))
});
class $c_Lamf_core_remote_Amf$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Amf$ = this;
    this.name$1 = "amf";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$Json$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Amf$ = new $TypeData().initClass({
  Lamf_core_remote_Amf$: 0
}, false, "amf.core.remote.Amf$", {
  Lamf_core_remote_Amf$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Amf$.prototype.$classData = $d_Lamf_core_remote_Amf$;
let $n_Lamf_core_remote_Amf$ = (void 0);
const $m_Lamf_core_remote_Amf$ = (function() {
  if ((!$n_Lamf_core_remote_Amf$)) {
    $n_Lamf_core_remote_Amf$ = new $c_Lamf_core_remote_Amf$().init___()
  };
  return $n_Lamf_core_remote_Amf$
});
class $c_Lamf_core_remote_FileMediaType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_core_remote_FileMediaType$ = new $TypeData().initClass({
  Lamf_core_remote_FileMediaType$: 0
}, false, "amf.core.remote.FileMediaType$", {
  Lamf_core_remote_FileMediaType$: 1,
  O: 1,
  Lamf_core_remote_FileMediaType: 1
});
$c_Lamf_core_remote_FileMediaType$.prototype.$classData = $d_Lamf_core_remote_FileMediaType$;
let $n_Lamf_core_remote_FileMediaType$ = (void 0);
const $m_Lamf_core_remote_FileMediaType$ = (function() {
  if ((!$n_Lamf_core_remote_FileMediaType$)) {
    $n_Lamf_core_remote_FileMediaType$ = new $c_Lamf_core_remote_FileMediaType$().init___()
  };
  return $n_Lamf_core_remote_FileMediaType$
});
const $f_Lamf_core_remote_JsPlatform__normalizeURL__T__T = (function($thiz, url) {
  return $i_path.resolve(url)
});
const $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T = (function($thiz, url) {
  return $g.encodeURIComponent(url)
});
const $f_Lamf_core_remote_JsPlatform__decodeURIComponent__T__T = (function($thiz, url) {
  return $g.decodeURIComponent(url)
});
const $f_Lamf_core_remote_JsPlatform__encodeURI__T__T = (function($thiz, url) {
  return $g.encodeURI(url)
});
const $f_Lamf_core_remote_JsPlatform__decodeURI__T__T = (function($thiz, url) {
  return $g.decodeURI(url)
});
const $f_Lamf_core_remote_JsPlatform__normalizePath__T__T = (function($thiz, url) {
  return new $c_Ljava_net_URI().init___T($f_Lamf_core_remote_JsPlatform__encodeURI__T__T($thiz, url)).normalize__Ljava_net_URI().origStr$1
});
class $c_Lamf_core_remote_Payload$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Payload$ = this;
    this.name$1 = "payload";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$Json$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Payload$ = new $TypeData().initClass({
  Lamf_core_remote_Payload$: 0
}, false, "amf.core.remote.Payload$", {
  Lamf_core_remote_Payload$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Payload$.prototype.$classData = $d_Lamf_core_remote_Payload$;
let $n_Lamf_core_remote_Payload$ = (void 0);
const $m_Lamf_core_remote_Payload$ = (function() {
  if ((!$n_Lamf_core_remote_Payload$)) {
    $n_Lamf_core_remote_Payload$ = new $c_Lamf_core_remote_Payload$().init___()
  };
  return $n_Lamf_core_remote_Payload$
});
class $c_Lamf_core_remote_Unknown$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Unknown$ = this;
    this.name$1 = "external";
    this.defaultSyntax$1 = $m_Lamf_core_remote_Syntax$PlainText$();
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Vendor__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  name__T() {
    return this.name$1
  };
}
const $d_Lamf_core_remote_Unknown$ = new $TypeData().initClass({
  Lamf_core_remote_Unknown$: 0
}, false, "amf.core.remote.Unknown$", {
  Lamf_core_remote_Unknown$: 1,
  O: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Unknown$.prototype.$classData = $d_Lamf_core_remote_Unknown$;
let $n_Lamf_core_remote_Unknown$ = (void 0);
const $m_Lamf_core_remote_Unknown$ = (function() {
  if ((!$n_Lamf_core_remote_Unknown$)) {
    $n_Lamf_core_remote_Unknown$ = new $c_Lamf_core_remote_Unknown$().init___()
  };
  return $n_Lamf_core_remote_Unknown$
});
class $c_Lamf_core_remote_UnsupportedFileSystem$ extends $c_O {
  init___() {
    return this
  };
  unsupported__p1__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported operation"])).s__sc_Seq__T($m_sci_Nil$())))
  };
  asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path) {
    this.unsupported__p1__sr_Nothing$()
  };
}
const $d_Lamf_core_remote_UnsupportedFileSystem$ = new $TypeData().initClass({
  Lamf_core_remote_UnsupportedFileSystem$: 0
}, false, "amf.core.remote.UnsupportedFileSystem$", {
  Lamf_core_remote_UnsupportedFileSystem$: 1,
  O: 1,
  Lorg_mulesoft_common_io_FileSystem: 1
});
$c_Lamf_core_remote_UnsupportedFileSystem$.prototype.$classData = $d_Lamf_core_remote_UnsupportedFileSystem$;
let $n_Lamf_core_remote_UnsupportedFileSystem$ = (void 0);
const $m_Lamf_core_remote_UnsupportedFileSystem$ = (function() {
  if ((!$n_Lamf_core_remote_UnsupportedFileSystem$)) {
    $n_Lamf_core_remote_UnsupportedFileSystem$ = new $c_Lamf_core_remote_UnsupportedFileSystem$().init___()
  };
  return $n_Lamf_core_remote_UnsupportedFileSystem$
});
class $c_Lamf_core_resolution_pipelines_BasicResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z($m_Lamf_ProfileNames$().AMF$1, false);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_core_resolution_pipelines_BasicResolutionPipeline = new $TypeData().initClass({
  Lamf_core_resolution_pipelines_BasicResolutionPipeline: 0
}, false, "amf.core.resolution.pipelines.BasicResolutionPipeline", {
  Lamf_core_resolution_pipelines_BasicResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_core_resolution_pipelines_BasicResolutionPipeline.prototype.$classData = $d_Lamf_core_resolution_pipelines_BasicResolutionPipeline;
class $c_Lamf_core_resolution_stages_CleanReferencesStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    model.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_BaseUnitModel$().References$1);
    return model
  };
}
const $d_Lamf_core_resolution_stages_CleanReferencesStage = new $TypeData().initClass({
  Lamf_core_resolution_stages_CleanReferencesStage: 0
}, false, "amf.core.resolution.stages.CleanReferencesStage", {
  Lamf_core_resolution_stages_CleanReferencesStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_CleanReferencesStage.prototype.$classData = $d_Lamf_core_resolution_stages_CleanReferencesStage;
class $c_Lamf_core_resolution_stages_DeclarationsRemovalStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    if (($is_Lamf_core_model_document_DeclaresModel(model) && $is_Lamf_core_model_document_EncodesModel(model))) {
      model.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1)
    };
    return model
  };
}
const $d_Lamf_core_resolution_stages_DeclarationsRemovalStage = new $TypeData().initClass({
  Lamf_core_resolution_stages_DeclarationsRemovalStage: 0
}, false, "amf.core.resolution.stages.DeclarationsRemovalStage", {
  Lamf_core_resolution_stages_DeclarationsRemovalStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_DeclarationsRemovalStage.prototype.$classData = $d_Lamf_core_resolution_stages_DeclarationsRemovalStage;
class $c_Lamf_core_resolution_stages_ReferenceResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null;
    this.keepEditingInfo$2 = false;
    this.mutuallyRecursive$2 = null;
    this.model$2 = null;
    this.modelResolver$2 = null
  };
  withName__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(resolved, source) {
    matchEnd4$2: {
      if ($is_Lamf_core_model_domain_NamedDomainElement(resolved)) {
        const jsx$3 = $m_Lorg_mulesoft_common_core_package$Strings$();
        const this$1 = resolved.name__Lamf_core_model_StrField();
        const this$2 = this$1.option$1;
        const str = (this$2.isEmpty__Z() ? null : this$2.get__O());
        const thiz = jsx$3.notNull$extension__T__T(str);
        if ((thiz === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        let jsx$2;
        if ((thiz === "")) {
          jsx$2 = true
        } else {
          const this$5 = resolved.name__Lamf_core_model_StrField();
          const this$6 = this$5.option$1;
          jsx$2 = ((this$6.isEmpty__Z() ? null : this$6.get__O()) === "schema")
        };
        let jsx$1;
        if (jsx$2) {
          jsx$1 = true
        } else {
          const this$7 = resolved.name__Lamf_core_model_StrField();
          const this$8 = this$7.option$1;
          jsx$1 = ((this$8.isEmpty__Z() ? null : this$8.get__O()) === "type")
        };
        if (jsx$1) {
          if ($is_Lamf_core_model_domain_NamedDomainElement(source)) {
            const jsx$4 = $m_Lorg_mulesoft_common_core_package$Strings$();
            const this$9 = source.name__Lamf_core_model_StrField();
            const this$10 = this$9.option$1;
            const str$1 = (this$10.isEmpty__Z() ? null : this$10.get__O());
            const x = jsx$4.notNull$extension__T__T(str$1);
            const this$13 = new $c_sci_StringOps().init___T(x);
            if ($f_sc_TraversableOnce__nonEmpty__Z(this$13)) {
              const this$14 = source.name__Lamf_core_model_StrField();
              const this$15 = this$14.option$1;
              resolved.withName__T__Lamf_core_model_domain_NamedDomainElement((this$15.isEmpty__Z() ? null : this$15.get__O()));
              break matchEnd4$2
            }
          };
          break matchEnd4$2
        }
      }
    };
    matchEnd5: {
      if ($is_Lamf_core_model_domain_NamedDomainElement(source)) {
        const this$16 = source.name__Lamf_core_model_StrField();
        if ($f_Lamf_core_model_StrField__nonEmpty__Z(this$16)) {
          const resolvedNamesPresent = resolved.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_resolution_stages_ResolvedNamedEntity.getClassOf());
          const resolvedNamedEntityAnnotation = (resolvedNamesPresent.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ResolvedNamedEntity().init___scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())) : resolvedNamesPresent.get__O());
          const this$20 = resolvedNamedEntityAnnotation.vals$1;
          const this$18 = source.name__Lamf_core_model_StrField();
          const this$19 = this$18.option$1;
          const key = (this$19.isEmpty__Z() ? null : this$19.get__O());
          const x1 = this$20.get__O__s_Option(key);
          let referenced;
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const v = x2.value$2;
            referenced = v
          } else {
            const x$1 = $m_s_None$();
            if ((!(x$1 === x1))) {
              throw new $c_s_MatchError().init___O(x1)
            };
            referenced = $m_sci_Nil$()
          };
          const jsx$7 = resolvedNamedEntityAnnotation.vals$1;
          const this$21 = source.name__Lamf_core_model_StrField();
          const this$22 = this$21.option$1;
          const jsx$6 = (this$22.isEmpty__Z() ? null : this$22.get__O());
          const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([source]));
          const this$23 = $m_sc_Seq$();
          jsx$7.put__O__O__s_Option(jsx$6, referenced.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$23.ReusableCBFInstance$2));
          if (resolvedNamesPresent.isEmpty__Z()) {
            resolved.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(resolvedNamedEntityAnnotation)
          } else {
            (void 0)
          };
          break matchEnd5
        }
      };
      if ($is_Lamf_core_model_domain_Linkable(source)) {
        let jsx$8;
        if ($is_Lamf_core_model_domain_NamedDomainElement(source)) {
          const this$24 = source;
          jsx$8 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$24).isDefined__Z()
        } else {
          jsx$8 = false
        };
        if (jsx$8) {
          const resolvedNamesPresent$2 = resolved.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_resolution_stages_ResolvedNamedEntity.getClassOf());
          const resolvedNamedEntityAnnotation$2 = (resolvedNamesPresent$2.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ResolvedNamedEntity().init___scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())) : resolvedNamesPresent$2.get__O());
          const this$27 = resolvedNamedEntityAnnotation$2.vals$1;
          const this$26 = source;
          const key$1 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$26).get__O();
          const x1$1 = this$27.get__O__s_Option(key$1);
          let referenced$2;
          if ($is_s_Some(x1$1)) {
            const x2$1 = x1$1;
            const v$1 = x2$1.value$2;
            referenced$2 = v$1
          } else {
            const x$2 = $m_s_None$();
            if ((!(x$2 === x1$1))) {
              throw new $c_s_MatchError().init___O(x1$1)
            };
            referenced$2 = $m_sci_Nil$()
          };
          const jsx$11 = resolvedNamedEntityAnnotation$2.vals$1;
          const this$28 = source;
          const jsx$10 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$28).get__O();
          const jsx$9 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([source]));
          const this$29 = $m_sc_Seq$();
          jsx$11.put__O__O__s_Option(jsx$10, referenced$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$29.ReusableCBFInstance$2));
          if (resolvedNamesPresent$2.isEmpty__Z()) {
            resolved.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(resolvedNamedEntityAnnotation$2)
          } else {
            (void 0)
          };
          break matchEnd5
        }
      }
    };
    return resolved
  };
  transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element, isCycle) {
    let rc8 = false;
    let x2 = null;
    let resolved$2;
    matchEnd9: {
      if ($is_Lamf_core_model_domain_Linkable(element)) {
        rc8 = true;
        x2 = element;
        const this$1 = x2;
        if (($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z() && (!isCycle))) {
          const this$2 = x2;
          const resolved = this.resolveReferenced__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2).get__O());
          if (this.keepEditingInfo$2) {
            resolved.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ResolvedLinkAnnotation().init___T(x2.id__T()))
          };
          resolved$2 = new $c_s_Some().init___O(this.customDomainElementTransformation__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_Linkable__Lamf_core_model_domain_DomainElement(this.withName__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(resolved, x2), x2));
          break matchEnd9
        }
      };
      let jsx$1;
      if (rc8) {
        const this$3 = x2;
        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$3).isDefined__Z()) {
          jsx$1 = isCycle
        } else {
          jsx$1 = false
        }
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const this$7 = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const value = x2.id__T();
        const this$9 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
        const this$8 = x2;
        const shapeId = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$8).get__O().id__T();
        const field = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1;
        resolved$2 = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field, shapeId));
        break matchEnd9
      };
      let jsx$2;
      if (rc8) {
        const this$10 = x2;
        jsx$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$10).isDefined__Z()
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        resolved$2 = new $c_s_Some().init___O(x2);
        break matchEnd9
      };
      if ($is_Lamf_core_model_domain_LinkNode(element)) {
        const x5 = element;
        resolved$2 = this.resolveDynamicLink__Lamf_core_model_domain_LinkNode__s_Option(x5);
        break matchEnd9
      };
      if ($is_Lamf_core_model_domain_ExternalSourceElement(element)) {
        const x6 = element;
        x6.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1);
        resolved$2 = new $c_s_Some().init___O(this.resolveExternalFields__p2__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x6));
        break matchEnd9
      };
      resolved$2 = new $c_s_Some().init___O(element)
    };
    return resolved$2
  };
  customDomainElementTransformation__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_Linkable__Lamf_core_model_domain_DomainElement(d, source) {
    return d
  };
  recursiveResolveInvocation__Lamf_core_model_document_BaseUnit__s_Option__sc_Seq__Lamf_core_model_document_BaseUnit(model, modelResolver, mutuallyRecursive) {
    this.mutuallyRecursive$2 = mutuallyRecursive;
    this.model$2 = new $c_s_Some().init___O(model);
    this.modelResolver$2 = new $c_s_Some().init___O((modelResolver.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(model) : modelResolver.get__O()));
    return model.transform__F1__F2__Lamf_core_model_document_BaseUnit(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(element$2) {
        const element = element$2;
        return this$2.findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$3.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this)))
  };
  resolveExternalFields__p2__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(element) {
    const this$5 = element.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let newValue;
          matchEnd5: {
            if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
              const x2 = x1$2;
              const this$1 = x2.values$1.headOption__s_Option();
              let jsx$1;
              if ((!this$1.isEmpty__Z())) {
                const arg1 = this$1.get__O();
                const x$2 = arg1;
                jsx$1 = $is_Lamf_core_model_domain_DomainElement(x$2)
              } else {
                jsx$1 = false
              };
              if (jsx$1) {
                const jsx$3 = x2.values$1;
                const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
                  return (function(v$2$2) {
                    const v$2 = v$2$2;
                    return this$2.resolveReferenced__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(v$2)
                  })
                })($this));
                const this$3 = $m_sc_Seq$();
                newValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2), new $c_Lamf_core_parser_Annotations().init___());
                break matchEnd5
              }
            };
            if ($is_Lamf_core_model_domain_DomainElement(x1$2)) {
              const x3 = x1$2;
              newValue = $this.resolveReferenced__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x3);
              break matchEnd5
            };
            newValue = x1$2
          };
          element$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f, newValue, v.annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, element));
    this$5.fs$1.foreach__F1__V(fn);
    return element
  };
  resolveReferenced__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(element) {
    if (this.mutuallyRecursive$2.contains__O__Z(element.id__T())) {
      return element
    } else {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const nested = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      nested.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1, element, new $c_Lamf_core_parser_Annotations().init___());
      const jsx$4 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(this.profile$2, this.keepEditingInfo$2);
      const jsx$3 = this.modelResolver$2;
      const jsx$2 = this.mutuallyRecursive$2;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element.id__T()]));
      const this$6 = $m_sc_Seq$();
      const result = jsx$4.recursiveResolveInvocation__Lamf_core_model_document_BaseUnit__s_Option__sc_Seq__Lamf_core_model_document_BaseUnit(nested, jsx$3, jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2));
      return result.encodes__Lamf_core_model_domain_DomainElement()
    }
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$2 = new $c_s_Some().init___O(model);
    this.modelResolver$2 = new $c_s_Some().init___O(new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(model));
    return model.transform__F1__F2__Lamf_core_model_document_BaseUnit(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $this.findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$2.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this)))
  };
  resolveDynamicLink__Lamf_core_model_domain_LinkNode__s_Option(l) {
    if ($is_Lamf_core_resolution_stages_ResolvedLinkNode(l)) {
      const x2 = l;
      return new $c_s_Some().init___O(x2)
    } else {
      const x1$2 = this.modelResolver$2.get__O().findFragment__T__s_Option(l.value$2);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const elem = x2$2.value$2;
        const this$1 = new $c_Lamf_core_resolution_stages_ResolvedLinkNode().init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(l, elem);
        const value = l.id$1;
        const resolved = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, value);
        if (this.keepEditingInfo$2) {
          resolved.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ResolvedLinkAnnotation().init___T(l.id$1))
        };
        return new $c_s_Some().init___O(resolved)
      } else {
        const x = $m_s_None$();
        if (((x === x1$2) && l.linkedDomainElement$2.isDefined__Z())) {
          const this$2 = new $c_Lamf_core_resolution_stages_ResolvedLinkNode().init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(l, l.linkedDomainElement$2.get__O());
          const value$1 = l.id$1;
          const resolved$2 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$2, value$1);
          if (this.keepEditingInfo$2) {
            resolved$2.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ResolvedLinkAnnotation().init___T(l.id$1))
          };
          return new $c_s_Some().init___O(resolved$2)
        } else {
          return new $c_s_Some().init___O(l)
        }
      }
    }
  };
  resolveDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(element) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const doc = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, "http://resolutionstage.com/test#");
    if ((element.id__T() !== null)) {
      doc.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1, element, (doc.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()))
    } else {
      const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(doc, field, element)
    };
    return this.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(doc).encodes__Lamf_core_model_domain_DomainElement()
  };
  init___T__Z(profile, keepEditingInfo) {
    this.profile$2 = profile;
    this.keepEditingInfo$2 = keepEditingInfo;
    this.mutuallyRecursive$2 = $m_sci_Nil$();
    this.model$2 = $m_s_None$();
    this.modelResolver$2 = $m_s_None$();
    return this
  };
  findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element) {
    let validLink;
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      const this$1 = element;
      validLink = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()
    } else {
      validLink = $is_Lamf_core_model_domain_LinkNode(element)
    };
    let externalSource;
    matchEnd4: {
      if ($is_Lamf_core_model_domain_ExternalSourceElement(element)) {
        const x2$2 = element;
        let jsx$1;
        if ((!this.keepEditingInfo$2)) {
          const this$2 = x2$2.fields__Lamf_core_parser_Fields();
          const f = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1;
          jsx$1 = this$2.fs$1.contains__O__Z(f)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          externalSource = true;
          break matchEnd4
        }
      };
      externalSource = false
    };
    return (validLink || externalSource)
  };
}
const $d_Lamf_core_resolution_stages_ReferenceResolutionStage = new $TypeData().initClass({
  Lamf_core_resolution_stages_ReferenceResolutionStage: 0
}, false, "amf.core.resolution.stages.ReferenceResolutionStage", {
  Lamf_core_resolution_stages_ReferenceResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_core_resolution_stages_ReferenceResolutionStage.prototype.$classData = $d_Lamf_core_resolution_stages_ReferenceResolutionStage;
class $c_Lamf_core_services_IgnoreValidationsMerger$ extends $c_O {
  constructor() {
    super();
    this.parserRun$1 = 0
  };
  init___() {
    this.parserRun$1 = (-1);
    return this
  };
  merge__Lamf_core_validation_AMFValidationResult__Z(result) {
    return false
  };
}
const $d_Lamf_core_services_IgnoreValidationsMerger$ = new $TypeData().initClass({
  Lamf_core_services_IgnoreValidationsMerger$: 0
}, false, "amf.core.services.IgnoreValidationsMerger$", {
  Lamf_core_services_IgnoreValidationsMerger$: 1,
  O: 1,
  Lamf_core_services_ValidationsMerger: 1
});
$c_Lamf_core_services_IgnoreValidationsMerger$.prototype.$classData = $d_Lamf_core_services_IgnoreValidationsMerger$;
let $n_Lamf_core_services_IgnoreValidationsMerger$ = (void 0);
const $m_Lamf_core_services_IgnoreValidationsMerger$ = (function() {
  if ((!$n_Lamf_core_services_IgnoreValidationsMerger$)) {
    $n_Lamf_core_services_IgnoreValidationsMerger$ = new $c_Lamf_core_services_IgnoreValidationsMerger$().init___()
  };
  return $n_Lamf_core_services_IgnoreValidationsMerger$
});
class $c_Lamf_core_utils_package$Strings extends $c_O {
  constructor() {
    super();
    this.str$1 = null;
    this.platform$1 = null
  };
  asOasExtension__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["x-amf-", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.str$1]))
  };
  notNull__T() {
    const this$1 = $m_s_Option$().apply__O__s_Option(this.str$1);
    return (this$1.isEmpty__Z() ? "" : this$1.get__O())
  };
  validReferencePath__Z() {
    const thiz = this.str$1;
    return ($m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "\\.", 0).u.length < 3)
  };
  asRamlAnnotation__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(amf-", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.str$1]))
  };
  init___T(str) {
    this.str$1 = str;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
}
const $d_Lamf_core_utils_package$Strings = new $TypeData().initClass({
  Lamf_core_utils_package$Strings: 0
}, false, "amf.core.utils.package$Strings", {
  Lamf_core_utils_package$Strings: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_core_utils_package$Strings.prototype.$classData = $d_Lamf_core_utils_package$Strings;
class $c_Lamf_plugins_document_Vocabularies$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  registerDialect__T__T__Lamf_client_environment_Environment__sjs_js_Promise(url, dialectText, env) {
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.registerDialect__T__T__Lamf_internal_environment_Environment__s_concurrent_Future(url, dialectText, env.$$undinternal$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter__Lamf_client_convert_DialectConverter$DialectConverter$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$registerDialect__T__Lamf_client_environment_Environment__O(url, env) {
    return this.registerDialect__T__Lamf_client_environment_Environment__sjs_js_Promise(url, env)
  };
  registerDialect__T__sjs_js_Promise(url) {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.registerDialect__T__Lamf_internal_environment_Environment__s_concurrent_Future(url, ($m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$(), $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment()));
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter__Lamf_client_convert_DialectConverter$DialectConverter$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  init___() {
    $n_Lamf_plugins_document_Vocabularies$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  registerDialect__T__T__sjs_js_Promise(url, dialectText) {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2;
    const from = this$1.registerDialect__T__T__Lamf_internal_environment_Environment__s_concurrent_Future(url, dialectText, $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment());
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter__Lamf_client_convert_DialectConverter$DialectConverter$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$register__O() {
    this.register__V()
  };
  registerDialect__T__Lamf_client_environment_Environment__sjs_js_Promise(url, env) {
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.registerDialect__T__Lamf_internal_environment_Environment__s_concurrent_Future(url, env.$$undinternal$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter__Lamf_client_convert_DialectConverter$DialectConverter$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$registerDialect__T__T__Lamf_client_environment_Environment__O(url, dialectText, env) {
    return this.registerDialect__T__T__Lamf_client_environment_Environment__sjs_js_Promise(url, dialectText, env)
  };
  $$js$exported$meth$registerDialect__T__O(url) {
    return this.registerDialect__T__sjs_js_Promise(url)
  };
  $$js$exported$meth$registerDialect__T__T__O(url, dialectText) {
    return this.registerDialect__T__T__sjs_js_Promise(url, dialectText)
  };
  register__V() {
    $m_Lamf_plugins_domain_VocabulariesRegister$().register__Lamf_core_remote_Platform__V(this.platform$1);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin)
  };
  "registerDialect"(arg$1, ...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        if ($is_T(arg$rest[0])) {
          const prep0 = arg$1;
          const prep1 = arg$rest[0];
          return this.$$js$exported$meth$registerDialect__T__T__O(prep0, prep1)
        } else if ($is_Lamf_client_environment_Environment(arg$rest[0])) {
          const prep0 = arg$1;
          const prep1 = arg$rest[0];
          return this.$$js$exported$meth$registerDialect__T__Lamf_client_environment_Environment__O(prep0, prep1)
        } else {
          throw "No matching overload"
        };
        break
      }
      case 0: {
        const prep0 = arg$1;
        return this.$$js$exported$meth$registerDialect__T__O(prep0);
        break
      }
      case 2: {
        const prep0 = arg$1;
        const prep1 = arg$rest[0];
        const prep2 = arg$rest[1];
        return this.$$js$exported$meth$registerDialect__T__T__Lamf_client_environment_Environment__O(prep0, prep1, prep2);
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_document_Vocabularies$ = new $TypeData().initClass({
  Lamf_plugins_document_Vocabularies$: 0
}, false, "amf.plugins.document.Vocabularies$", {
  Lamf_plugins_document_Vocabularies$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_Vocabularies$.prototype.$classData = $d_Lamf_plugins_document_Vocabularies$;
let $n_Lamf_plugins_document_Vocabularies$ = (void 0);
const $m_Lamf_plugins_document_Vocabularies$ = (function() {
  if ((!$n_Lamf_plugins_document_Vocabularies$)) {
    $n_Lamf_plugins_document_Vocabularies$ = new $c_Lamf_plugins_document_Vocabularies$().init___()
  };
  return $n_Lamf_plugins_document_Vocabularies$
});
class $c_Lamf_plugins_document_WebApi$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_WebApi$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$register__O() {
    this.register__V()
  };
  register__V() {
    $m_Lamf_client_convert_WebApiRegister$().register__Lamf_core_remote_Platform__V(this.platform$1);
    $m_Lamf_Core$();
    const plugin = $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin);
    $m_Lamf_Core$();
    const plugin$1 = $m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$1);
    $m_Lamf_Core$();
    const plugin$2 = $m_Lamf_plugins_document_webapi_OAS20Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$2);
    $m_Lamf_Core$();
    const plugin$3 = $m_Lamf_plugins_document_webapi_OAS30Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$3);
    $m_Lamf_Core$();
    const plugin$4 = $m_Lamf_plugins_document_webapi_RAML10Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$4);
    $m_Lamf_Core$();
    const plugin$5 = $m_Lamf_plugins_document_webapi_RAML08Plugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$5);
    $m_Lamf_Core$();
    const plugin$6 = $m_Lamf_plugins_document_webapi_PayloadPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$6);
    $m_Lamf_Core$();
    const plugin$7 = $m_Lamf_plugins_document_webapi_JsonSchemaPlugin$();
    $m_Lamf_core_AMF$().registerPlugin__Lamf_core_plugins_AMFPlugin__V(plugin$7)
  };
  "register"() {
    return this.$$js$exported$meth$register__O()
  };
}
const $d_Lamf_plugins_document_WebApi$ = new $TypeData().initClass({
  Lamf_plugins_document_WebApi$: 0
}, false, "amf.plugins.document.WebApi$", {
  Lamf_plugins_document_WebApi$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_WebApi$.prototype.$classData = $d_Lamf_plugins_document_WebApi$;
let $n_Lamf_plugins_document_WebApi$ = (void 0);
const $m_Lamf_plugins_document_WebApi$ = (function() {
  if ((!$n_Lamf_plugins_document_WebApi$)) {
    $n_Lamf_plugins_document_WebApi$ = new $c_Lamf_plugins_document_WebApi$().init___()
  };
  return $n_Lamf_plugins_document_WebApi$
});
class $c_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$ extends $c_O {
  init___() {
    return this
  };
  scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b, content, tag, inArray) {
    $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this, b, content, tag, inArray)
  };
}
const $d_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_DefaultScalarEmitter$: 0
}, false, "amf.plugins.document.graph.parser.DefaultScalarEmitter$", {
  Lamf_plugins_document_graph_parser_DefaultScalarEmitter$: 1,
  O: 1,
  Lamf_plugins_document_graph_parser_ScalarEmitter: 1
});
$c_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$;
let $n_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$)) {
    $n_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$ = new $c_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$
});
class $c_Lamf_plugins_document_graph_parser_DynamicGraphParser extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.referencesMap$1 = null;
    this.unresolvedReferences$1 = null;
    this.ctx$1 = null;
    this.dynamicBuilders$1 = null;
    this.AnnotationName$module$1 = null
  };
  AnnotationName$lzycompute$1__p1__V() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$module$1 = new $c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$().init___Lamf_plugins_document_graph_parser_GraphParserHelpers(this)
    }
  };
  parseJSONLDArray__Lorg_yaml_model_YNode__Lamf_core_model_domain_ArrayNode(node) {
    const array = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1).head__O().as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(array).key__T__s_Option("@id");
    let maybeId;
    if (this$2.isEmpty__Z()) {
      maybeId = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const ctx = this.ctx$1;
      maybeId = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this, array, ctx)
    };
    let nodeAnnotations;
    if ($is_s_Some(maybeId)) {
      const x2 = maybeId;
      const id = x2.value$2;
      const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this, id, array);
      const nodes = this.nodes$1;
      nodeAnnotations = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this, nodes, sources, id)
    } else {
      const x = $m_s_None$();
      if ((!(x === maybeId))) {
        throw new $c_s_MatchError().init___O(maybeId)
      };
      nodeAnnotations = new $c_Lamf_core_parser_Annotations().init___()
    };
    $m_Lamf_core_model_domain_ArrayNode$();
    const arrayNode = new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), nodeAnnotations);
    array.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, arrayNode$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const member = this$2$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$2$1.ctx$1));
        if ((!member.isEmpty__Z())) {
          const arg1$1 = member.get__O();
          const member$2 = arg1$1;
          arrayNode$1.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(member$2)
        }
      })
    })(this, arrayNode)));
    return arrayNode
  };
  isJSONLDScalar__p1__Lorg_yaml_model_YNode__Z(node) {
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$2 = $m_sc_IndexedSeq$();
    const bf = this$2.ReusableCBF$6;
    const conversion = new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf);
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const sequence = x2.value$2;
      if ((sequence.length__I() === 1)) {
        const map = sequence.head__O();
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@value").isDefined__Z()
      }
    };
    return false
  };
  parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(node) {
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$2 = $m_sc_IndexedSeq$();
    const bf = this$2.ReusableCBF$6;
    const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1).head__O();
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(scalar).key__T__s_Option("@value");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      $m_Lorg_yaml_model_YNode$();
      const node$1 = entry.value$1;
      result.value$2 = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)
    };
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(scalar).key__T__s_Option("@type");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      $m_Lorg_yaml_model_YNode$();
      const node$2 = entry$3.value$1;
      result.dataType$2 = new $c_s_Some().init___O(node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
    };
    return result
  };
  isJSONLDArray__Lorg_yaml_model_YNode__Z(node) {
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$2 = $m_sc_IndexedSeq$();
    const bf = this$2.ReusableCBF$6;
    const conversion = new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf);
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const sequence = x2.value$2;
      if ((sequence.length__I() === 1)) {
        const map = sequence.head__O();
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("@list").isDefined__Z()
      }
    };
    return false
  };
  AnnotationName__Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$lzycompute$1__p1__V()
    };
    return this.AnnotationName$module$1
  };
  parseDynamicType__Lorg_yaml_model_YMap__s_Option(map) {
    const ctx = this.ctx$1;
    const this$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this, map, ctx);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const id = arg1;
      const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this, id, map);
      const builder = this.retrieveType__T__Lorg_yaml_model_YMap__s_Option(id, map).get__O();
      const nodes = this.nodes$1;
      const x1 = builder.apply__O__O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this, nodes, sources, id));
      let jsx$1;
      if ($is_Lamf_core_model_domain_ObjectNode(x1)) {
        const x2 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x2, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
          return (function(entry$2) {
            const entry = entry$2;
            const uri = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
            const v = entry.value$1;
            let jsx$2;
            if ((((uri !== "@type") && (uri !== "@id")) && (uri !== $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1.value$1.iri__T()))) {
              const this$2 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
              jsx$2 = (uri !== new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "name").iri__T())
            } else {
              jsx$2 = false
            };
            if (jsx$2) {
              let dataNode;
              if ($this.isJSONLDScalar__p1__Lorg_yaml_model_YNode__Z(v)) {
                dataNode = $this.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(v)
              } else if ($this.isJSONLDArray__Lorg_yaml_model_YNode__Z(v)) {
                dataNode = $this.parseJSONLDArray__Lorg_yaml_model_YNode__Lamf_core_model_domain_ArrayNode(v)
              } else {
                const t = $m_Lamf_core_metamodel_Type$ObjType$();
                const this$4 = $this.parseDynamicType__Lorg_yaml_model_YMap__s_Option($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this, t, v).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1));
                if (this$4.isEmpty__Z()) {
                  $m_Lamf_core_model_domain_ObjectNode$();
                  const annotations = new $c_Lamf_core_parser_Annotations().init___();
                  dataNode = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
                } else {
                  dataNode = this$4.get__O()
                }
              };
              return x2$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(uri, dataNode, new $c_Lamf_core_parser_Annotations().init___())
            } else {
              return (void 0)
            }
          })
        })(this, x2)));
        jsx$1 = x2
      } else if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
        const x3 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x3, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, x3$1) {
          return (function(entry$3$2) {
            const entry$3 = entry$3$2;
            const uri$1 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$1);
            if ((uri$1 === x3$1.Value$2.value$1.iri__T())) {
              const parsedScalar = this$2$1.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(entry$3.value$1);
              x3$1.value$2 = parsedScalar.value$2;
              x3$1.dataType$2 = parsedScalar.dataType$2
            }
          })
        })(this, x3)));
        jsx$1 = x3
      } else if ($is_Lamf_core_model_domain_LinkNode(x1)) {
        const x4 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x4, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x4$1) {
          return (function(entry$4$2) {
            const entry$4 = entry$4$2;
            const uri$2 = entry$4.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$3$1.ctx$1);
            if ((uri$2 === x4$1.Alias$2.value$1.iri__T())) {
              const parsedScalar$1 = this$3$1.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(entry$4.value$1);
              x4$1.alias$2 = parsedScalar$1.value$2
            } else if ((uri$2 === x4$1.Value$2.value$1.iri__T())) {
              const parsedScalar$2 = this$3$1.parseJSONLDScalar__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_ScalarNode(entry$4.value$1);
              x4$1.value$2 = parsedScalar$2.value$2
            }
          })
        })(this, x4)));
        const x1$2 = this.referencesMap$1.get__O__s_Option(x4.alias$2);
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const target = x2$2.value$2;
          x4.withLinkedDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_LinkNode(target)
        } else {
          const x = $m_s_None$();
          if ((x === x1$2)) {
            const this$9 = this.unresolvedReferences$1;
            const key = x4.alias$2;
            const x1$1 = this$9.get__O__s_Option(key);
            let unresolved;
            if ($is_s_Some(x1$1)) {
              const x2$3 = x1$1;
              const v$1 = x2$3.value$2;
              unresolved = v$1
            } else {
              const x$1 = $m_s_None$();
              if ((!(x$1 === x1$1))) {
                throw new $c_s_MatchError().init___O(x1$1)
              };
              unresolved = $m_sci_Nil$()
            };
            const jsx$4 = this.unresolvedReferences$1;
            const self = x4.alias$2;
            const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x4]));
            const this$11 = $m_sc_Seq$();
            const y = unresolved.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2);
            jsx$4.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, y))
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        };
        jsx$1 = x4
      } else if ($is_Lamf_core_model_domain_ArrayNode(x1)) {
        const x5 = x1;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(x5, id);
        map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, x5$1) {
          return (function(entry$5$2) {
            const entry$5 = entry$5$2;
            const uri$3 = entry$5.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$5$1.ctx$1);
            if ((uri$3 === x5$1.Member$2.value$1.iri__T())) {
              const jsx$6 = entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this$5$1.ctx$1);
              const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
                return (function(e$2) {
                  const e = e$2;
                  const t$1 = $m_Lamf_core_metamodel_Type$ObjType$();
                  const xo = $this$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode($this$1, t$1, e).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this$1.ctx$1));
                  return xo.toList__sci_List()
                })
              })(this$5$1));
              const this$14 = $m_sc_Seq$();
              const this$16 = jsx$6.flatMap__F1__scg_CanBuildFrom__O(jsx$5, this$14.ReusableCBFInstance$2);
              const this$15 = $m_scm_ListBuffer$();
              const cbf = this$15.ReusableCBFInstance$2;
              x5$1.members$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$16, cbf)
            }
          })
        })(this, x5)));
        jsx$1 = x5
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse object data node from non object JSON structure ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  init___sci_Map__scm_Map__scm_Map__Lamf_core_parser_ParserContext(nodes, referencesMap, unresolvedReferences, ctx) {
    this.nodes$1 = nodes;
    this.referencesMap$1 = referencesMap;
    this.unresolvedReferences$1 = unresolvedReferences;
    this.ctx$1 = ctx;
    const self = $m_Lamf_core_model_domain_LinkNode$().builderType$1.iri__T();
    const y = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(annotations$2) {
        const annotations = annotations$2;
        $m_Lamf_core_model_domain_LinkNode$();
        return new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", "", new $c_Lamf_core_parser_Fields().init___(), annotations)
      })
    })(this));
    const jsx$3 = new $c_T2().init___O__O(self, y);
    const self$1 = $m_Lamf_core_model_domain_ArrayNode$().builderType$1.iri__T();
    const y$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(annotations$3$2) {
        const annotations$3 = annotations$3$2;
        $m_Lamf_core_model_domain_ArrayNode$();
        return new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
      })
    })(this));
    const jsx$2 = new $c_T2().init___O__O(self$1, y$1);
    const self$2 = $m_Lamf_core_model_domain_ScalarNode$().builderType$1.iri__T();
    const y$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(annotations$4$2) {
        const annotations$4 = annotations$4$2;
        $m_Lamf_core_model_domain_ScalarNode$();
        const dataType = $m_s_None$();
        return new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations$4)
      })
    })(this));
    const jsx$1 = new $c_T2().init___O__O(self$2, y$2);
    const self$3 = $m_Lamf_core_model_domain_ObjectNode$().builderType$1.iri__T();
    const y$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(annotations$5$2) {
        const annotations$5 = annotations$5$2;
        $m_Lamf_core_model_domain_ObjectNode$();
        return new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5)
      })
    })(this));
    const array = [jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O(self$3, y$3)];
    const this$18 = new $c_scm_HashMap().init___();
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$18.$$plus$eq__T2__scm_HashMap(arg1);
      i = ((1 + i) | 0)
    };
    this.dynamicBuilders$1 = this$18;
    return this
  };
  retrieveType__T__Lorg_yaml_model_YMap__s_Option(id, map) {
    const ctx = this.ctx$1;
    const x1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__ts__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__T__sc_Seq(this, map, ctx, id).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(t$2) {
        const t = t$2;
        return $this.dynamicBuilders$1.get__O__s_Option(t).isDefined__Z()
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t$3 = x2.value$2;
      return new $c_s_Some().init___O(this.dynamicBuilders$1.apply__O__O(t$3))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_document_graph_parser_DynamicGraphParser = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_DynamicGraphParser: 0
}, false, "amf.plugins.document.graph.parser.DynamicGraphParser", {
  Lamf_plugins_document_graph_parser_DynamicGraphParser: 1,
  O: 1,
  Lamf_plugins_document_graph_parser_GraphParserHelpers: 1
});
$c_Lamf_plugins_document_graph_parser_DynamicGraphParser.prototype.$classData = $d_Lamf_plugins_document_graph_parser_DynamicGraphParser;
class $c_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$ extends $c_O {
  constructor() {
    super();
    this.graphDependenciesPredicate$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.graphDependenciesPredicate$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "graphDependencies").iri__T();
    return this
  };
  processDependencyEntry__Lorg_yaml_model_YMapEntry__Lamf_core_parser_ReferenceCollector(entry) {
    const this$1 = entry.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x === x1)) {
      const jsx$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).nodes$3;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(node$2) {
          const node = node$2;
          const x1$1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
          const x$1 = $m_Lorg_yaml_model_YType$().Map$1;
          if ((x$1 === x1$1)) {
            return $this.extractLink__Lorg_yaml_model_YNode__s_Option(node)
          } else {
            return $m_s_None$()
          }
        })
      })(this));
      const this$2 = $m_sc_IndexedSeq$();
      const links = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBF$6);
      const collector = new $c_Lamf_core_parser_ReferenceCollector().init___();
      links.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, collector$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          matchEnd5: {
            if ($is_s_Some(x0$1)) {
              const x2 = x0$1;
              const p3 = x2.value$2;
              if ((p3 !== null)) {
                const link = p3.$$und1__O();
                const linkEntry = p3.$$und2__O();
                collector$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(link, $m_Lamf_core_parser_UnspecifiedReference$(), linkEntry);
                break matchEnd5
              }
            }
          }
        })
      })(this, collector)));
      return collector
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(parsed, ctx) {
    const document = parsed.document$1;
    const node = document.node$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node);
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$3 = $m_sc_IndexedSeq$();
    const bf = this$3.ReusableCBF$6;
    const maybeMaps = jsx$1.toOption__Lorg_yaml_convert_YRead__s_Option(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf));
    let x1;
    if (maybeMaps.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = maybeMaps.get__O();
      const s = arg1;
      x1 = s.headOption__s_Option()
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      if ((map !== null)) {
        const x1$2 = map.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            const x = x$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const x$2 = this$2$1.graphDependenciesPredicate$1;
            return ((x === null) ? (x$2 === null) : $objectEquals(x, x$2))
          })
        })(this)));
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const entry = x2$2.value$2;
          return this.processDependencyEntry__Lorg_yaml_model_YMapEntry__Lamf_core_parser_ReferenceCollector(entry)
        } else {
          const x$3 = $m_s_None$();
          if ((x$3 === x1$2)) {
            return $m_Lamf_core_parser_EmptyReferenceCollector$()
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      }
    };
    const x$3$1 = $m_s_None$();
    if ((x$3$1 === x1)) {
      return $m_Lamf_core_parser_EmptyReferenceCollector$()
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference)
  };
  extractLink__Lorg_yaml_model_YNode__s_Option(node) {
    const x1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const x = x$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        return ((x !== null) && $objectEquals(x, "@id"))
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      return new $c_s_Some().init___O(new $c_T2().init___O__O(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), entry.value$1))
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$: 0
}, false, "amf.plugins.document.graph.parser.GraphDependenciesReferenceHandler$", {
  Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$;
let $n_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$)) {
    $n_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$ = new $c_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$
});
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$ extends $c_O {
  init___() {
    return this
  };
  emit__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lorg_yaml_model_YDocument(unit, options) {
    return new $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter().init___Lamf_core_emitter_RenderOptions(options).root__Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YDocument(unit)
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$", {
  Lamf_plugins_document_graph_parser_GraphEmitter$: 1,
  O: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$;
let $n_Lamf_plugins_document_graph_parser_GraphEmitter$ = (void 0);
const $m_Lamf_plugins_document_graph_parser_GraphEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_parser_GraphEmitter$)) {
    $n_Lamf_plugins_document_graph_parser_GraphEmitter$ = new $c_Lamf_plugins_document_graph_parser_GraphEmitter$().init___()
  };
  return $n_Lamf_plugins_document_graph_parser_GraphEmitter$
});
class $c_Lamf_plugins_document_graph_parser_GraphParser extends $c_O {
  constructor() {
    super();
    this.Parser$module$1 = null;
    this.ctx$1 = null;
    this.types$1 = null;
    this.AnnotationName$module$1 = null
  };
  parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(document, location) {
    const parser = new $c_Lamf_plugins_document_graph_parser_GraphParser$Parser().init___Lamf_plugins_document_graph_parser_GraphParser__sci_Map(this, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
    return parser.parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(document, location)
  };
  AnnotationName$lzycompute$1__p1__V() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$module$1 = new $c_Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$().init___Lamf_plugins_document_graph_parser_GraphParserHelpers(this)
    }
  };
  init___Lamf_core_remote_Platform__Lamf_core_parser_ParserContext(platform, ctx) {
    this.ctx$1 = ctx;
    const this$2 = $m_sci_Map$EmptyMap$();
    const xs = $m_Lamf_core_registries_AMFDomainRegistry$().metadataRegistry$1;
    this.types$1 = $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this$2, xs);
    return this
  };
  amf$plugins$document$graph$parser$GraphParser$$int__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let value;
    if ((x === x1)) {
      const x1$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$11$2) {
          const x$11 = x$11$2;
          const x$1 = x$11.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
          return ((x$1 !== null) && $objectEquals(x$1, "@value"))
        })
      })(this)));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const entry = x2.value$2;
        const x$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$2 = new $c_sci_StringOps().init___T(x$2);
        const this$4 = $m_jl_Integer$();
        const $$this = this$2.repr$1;
        value = this$4.parseInt__T__I__I($$this, 10)
      } else {
        const x$3 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$6 = new $c_sci_StringOps().init___T(x$3);
        const this$8 = $m_jl_Integer$();
        const $$this$1 = this$6.repr$1;
        value = this$8.parseInt__T__I__I($$this$1, 10)
      }
    } else {
      const x$4 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const this$10 = new $c_sci_StringOps().init___T(x$4);
      const this$12 = $m_jl_Integer$();
      const $$this$2 = this$10.repr$1;
      value = this$12.parseInt__T__I__I($$this$2, 10)
    };
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___())
  };
  amf$plugins$document$graph$parser$GraphParser$$float__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let value;
    if ((x === x1)) {
      const x1$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$14$2) {
          const x$14 = x$14$2;
          const x$1 = x$14.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
          return ((x$1 !== null) && $objectEquals(x$1, "@value"))
        })
      })(this)));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const entry = x2.value$2;
        const x$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$2 = new $c_sci_StringOps().init___T(x$2);
        const jsx$1 = $m_jl_Double$();
        const $$this = this$2.repr$1;
        value = jsx$1.parseDouble__T__D($$this)
      } else {
        const x$3 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$5 = new $c_sci_StringOps().init___T(x$3);
        const jsx$2 = $m_jl_Double$();
        const $$this$1 = this$5.repr$1;
        value = jsx$2.parseDouble__T__D($$this$1)
      }
    } else {
      const x$4 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const this$8 = new $c_sci_StringOps().init___T(x$4);
      const jsx$3 = $m_jl_Double$();
      const $$this$2 = this$8.repr$1;
      value = jsx$3.parseDouble__T__D($$this$2)
    };
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___())
  };
  amf$plugins$document$graph$parser$GraphParser$$date__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let value;
    if ((x === x1)) {
      const x1$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$13$2) {
          const x$13 = x$13$2;
          const x$1 = x$13.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
          return ((x$1 !== null) && $objectEquals(x$1, "@value"))
        })
      })(this)));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const entry = x2.value$2;
        value = $m_Lorg_mulesoft_common_time_SimpleDateTime$().parse__T__s_Option(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3).get__O()
      } else {
        value = $m_Lorg_mulesoft_common_time_SimpleDateTime$().parse__T__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3).get__O()
      }
    } else {
      value = $m_Lorg_mulesoft_common_time_SimpleDateTime$().parse__T__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3).get__O()
    };
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___())
  };
  amf$plugins$document$graph$parser$GraphParser$$str__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let value;
    if ((x === x1)) {
      const x1$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$9$2) {
          const x$9 = x$9$2;
          const x$1 = x$9.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
          return ((x$1 !== null) && $objectEquals(x$1, "@value"))
        })
      })(this)));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const entry = x2.value$2;
        value = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3
      } else {
        value = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3
      }
    } else {
      value = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3
    };
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___())
  };
  amf$plugins$document$graph$parser$GraphParser$$parseScalarProperty__Lorg_yaml_model_YMap__Lamf_core_metamodel_Field__s_Option(definition, field) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(definition).key__T__s_Option(field.value$1.iri__T());
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const t = field.type$1;
      const node = entry.value$1;
      return new $c_s_Some().init___O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this, t, node).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3)
    }
  };
  AnnotationName__Lamf_plugins_document_graph_parser_GraphParserHelpers$AnnotationName$() {
    if ((this.AnnotationName$module$1 === null)) {
      this.AnnotationName$lzycompute$1__p1__V()
    };
    return this.AnnotationName$module$1
  };
  amf$plugins$document$graph$parser$GraphParser$$buildType__Lamf_core_metamodel_Obj__F1(modelType) {
    const x1 = $m_Lamf_core_registries_AMFDomainRegistry$().metadataRegistry$1.get__O__s_Option(modelType.type__sci_List().head__O().iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const modelType$2 = x2.value$2;
      if ($is_Lamf_core_metamodel_ModelDefaultBuilder(modelType$2)) {
        return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x3) {
          return (function(annotations$2) {
            const annotations = annotations$2;
            const instance = x3.modelInstance__Lamf_core_model_domain_AmfObject();
            instance.annotations__Lamf_core_parser_Annotations().$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(annotations);
            return instance
          })
        })(this, modelType$2))
      }
    };
    const x1$2 = $m_Lamf_core_registries_AMFDomainRegistry$().buildType__Lamf_core_metamodel_Obj__s_Option(modelType);
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const builder = x2$2.value$2;
      return builder
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find builder for node type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([modelType]))))
    }
  };
  amf$plugins$document$graph$parser$GraphParser$$findType__T__s_Option(typeString) {
    const this$1 = this.types$1.get__O__s_Option(typeString);
    return (this$1.isEmpty__Z() ? $m_Lamf_core_registries_AMFDomainRegistry$().findType__T__s_Option(typeString) : this$1)
  };
  amf$plugins$document$graph$parser$GraphParser$$double__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let value;
    if ((x === x1)) {
      const x1$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$12$2) {
          const x$12 = x$12$2;
          const x$1 = x$12.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
          return ((x$1 !== null) && $objectEquals(x$1, "@value"))
        })
      })(this)));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const entry = x2.value$2;
        const x$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$2 = new $c_sci_StringOps().init___T(x$2);
        const jsx$1 = $m_jl_Double$();
        const $$this = this$2.repr$1;
        value = jsx$1.parseDouble__T__D($$this)
      } else {
        const x$3 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$5 = new $c_sci_StringOps().init___T(x$3);
        const jsx$2 = $m_jl_Double$();
        const $$this$1 = this$5.repr$1;
        value = jsx$2.parseDouble__T__D($$this$1)
      }
    } else {
      const x$4 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const this$8 = new $c_sci_StringOps().init___T(x$4);
      const jsx$3 = $m_jl_Double$();
      const $$this$2 = this$8.repr$1;
      value = jsx$3.parseDouble__T__D($$this$2)
    };
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___())
  };
  amf$plugins$document$graph$parser$GraphParser$$bool__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let value;
    if ((x === x1)) {
      const x1$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$10$2) {
          const x$10 = x$10$2;
          const x$1 = x$10.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
          return ((x$1 !== null) && $objectEquals(x$1, "@value"))
        })
      })(this)));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const entry = x2.value$2;
        const x$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$2 = new $c_sci_StringOps().init___T(x$2);
        const $$this = this$2.repr$1;
        value = $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$2, $$this)
      } else {
        const x$3 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$5 = new $c_sci_StringOps().init___T(x$3);
        const $$this$1 = this$5.repr$1;
        value = $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$5, $$this$1)
      }
    } else {
      const x$4 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const this$8 = new $c_sci_StringOps().init___T(x$4);
      const $$this$2 = this$8.repr$1;
      value = $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$8, $$this$2)
    };
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(value, new $c_Lamf_core_parser_Annotations().init___())
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphParser = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParser: 0
}, false, "amf.plugins.document.graph.parser.GraphParser", {
  Lamf_plugins_document_graph_parser_GraphParser: 1,
  O: 1,
  Lamf_plugins_document_graph_parser_GraphParserHelpers: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParser.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParser;
class $c_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ExtensionPointProperty$", {
  Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$;
let $n_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$ = new $c_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.LiteralProperty$", {
  Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$;
let $n_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$ = new $c_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.LiteralPropertyCollection$", {
  Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$;
let $n_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$ = new $c_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ObjectMapInheritanceProperty$", {
  Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$;
let $n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$ = new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ObjectMapProperty$", {
  Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$;
let $n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$ = new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ObjectPairProperty$", {
  Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$;
let $n_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$ = new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ObjectProperty$", {
  Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$;
let $n_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$ = new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$ extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyClassification {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ObjectPropertyCollection$", {
  Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyClassification: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$;
let $n_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$ = new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$
});
class $c_Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler extends $c_O {
  constructor() {
    super();
    this.registry$1 = null;
    this.collector$1 = null
  };
  ramlInclude__p1__Lorg_yaml_model_YNode__V(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      this.collector$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(x2.text$3, $m_Lamf_core_parser_LinkReference$(), node)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected !include or dialect with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.value__Lorg_yaml_model_YValue()]))))
    }
  };
  dialectDefinitionUrl__T__T(mt) {
    const io = (mt.indexOf("|") | 0);
    if ((io > 0)) {
      const beginIndex = ((1 + io) | 0);
      const msk = mt.substring(beginIndex);
      const si = (msk.indexOf("<") | 0);
      const se = (msk.lastIndexOf(">") | 0);
      const beginIndex$1 = ((1 + si) | 0);
      return msk.substring(beginIndex$1, se)
    } else {
      return ""
    }
  };
  library__p1__Lorg_yaml_model_YMapEntry__V(entry) {
    const jsx$1 = this.collector$1;
    $m_Lorg_yaml_model_YNode$();
    const node = entry.value$1;
    jsx$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), $m_Lamf_core_parser_LibraryReference$(), entry.value$1)
  };
  libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(document, ctx) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = document.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("uses");
      if ((!this$2.isEmpty__Z())) {
        const arg1 = this$2.get__O();
        const entry = arg1;
        const this$3 = entry.value$1;
        const conversion$1 = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
        if ($is_s_util_Right(x1$1)) {
          const x2$1 = x1$1;
          const m = x2$1.value$2;
          m.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(entry$2$2) {
              const entry$2 = entry$2$2;
              $this.library__p1__Lorg_yaml_model_YMapEntry__V(entry$2)
            })
          })(this)))
        } else {
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected map but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry.value$1]));
          const ast = entry.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx, "", message, ast)
        }
      }
    }
  };
  links__p1__Lorg_yaml_model_YPart__V(part) {
    matchEnd5: {
      if ($is_Lorg_yaml_model_YMapEntry(part)) {
        const x2 = part;
        const x1$2 = x2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
        if ((x1$2 === "$dialect")) {
          const dialectRef = x2.value$1;
          if ((!this.registry$1.knowsHeader__T__Z(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dialectRef.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)]))))) {
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            const thiz = dialectRef.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
            const this$4 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
            const str = $f_sc_IndexedSeqOptimized__head__O(this$4);
            this.ramlInclude__p1__Lorg_yaml_model_YNode__V($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str))
          }
        } else if ((x1$2 === "$include")) {
          const includeRef = x2.value$1;
          this.ramlInclude__p1__Lorg_yaml_model_YNode__V(includeRef)
        } else if ((x1$2 === "$ref")) {
          const includeRef$2 = x2.value$1;
          $m_Lorg_yaml_model_YNode$();
          const thiz$1 = includeRef$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          if ((!(((thiz$1.length | 0) >= 0) && (thiz$1.substring(0, ("#".length | 0)) === "#")))) {
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            const thiz$2 = includeRef$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$2, "#", 0);
            const this$15 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
            const str$1 = $f_sc_IndexedSeqOptimized__head__O(this$15);
            this.ramlInclude__p1__Lorg_yaml_model_YNode__V($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1))
          }
        } else {
          part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(part$2$2) {
              const part$2 = part$2$2;
              $this.links__p1__Lorg_yaml_model_YPart__V(part$2)
            })
          })(this)))
        };
        break matchEnd5
      };
      if ($is_Lorg_yaml_model_YNode(part)) {
        const x3 = part;
        const x$2 = x3.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$3 = $m_Lorg_yaml_model_YType$().Include$1;
        if ((x$2 === x$3)) {
          this.ramlInclude__p1__Lorg_yaml_model_YNode__V(x3);
          break matchEnd5
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(part$3$2) {
          const part$3 = part$3$2;
          this$2$1.links__p1__Lorg_yaml_model_YPart__V(part$3)
        })
      })(this)))
    }
  };
  init___Lamf_plugins_document_vocabularies_DialectsRegistry(registry) {
    this.registry$1 = registry;
    this.collector$1 = new $c_Lamf_core_parser_ReferenceCollector().init___();
    return this
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference)
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(parsed, ctx) {
    if (parsed.comment$1.isDefined__Z()) {
      if (this.referencesDialect__p1__T__Z(parsed.comment$1.get__O().metaText$3)) {
        this.collector$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(this.dialectDefinitionUrl__T__T(parsed.comment$1.get__O().metaText$3), $m_Lamf_core_parser_SchemaReference$(), parsed.document$1.node$3)
      }
    };
    this.libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    this.links__p1__Lorg_yaml_model_YPart__V(parsed.document$1);
    return this.collector$1
  };
  referencesDialect__p1__T__Z(mt) {
    const io = (mt.indexOf("|") | 0);
    if ((io > 0)) {
      const beginIndex = ((1 + io) | 0);
      const msk = mt.substring(beginIndex);
      const si = (msk.indexOf("<") | 0);
      const se = (msk.lastIndexOf(">") | 0);
      return ((si > 0) && (se > si))
    } else {
      return false
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler: 0
}, false, "amf.plugins.document.vocabularies.parser.common.SyntaxExtensionsReferenceHandler", {
  Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser extends $c_O {
  constructor() {
    super();
    this.root$1 = null;
    this.ctx$1 = null;
    this.map$1 = null;
    this.dialect$1 = null
  };
  validateTemplate__T__Lorg_yaml_model_YMap__sc_Seq__V(template, map, propMappings) {
    const this$2 = new $c_sci_StringOps().init___T("(\\{[^}]+\\})");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    const regex = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const this$4 = regex.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(template);
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__T();
      const thiz = arg1.split("{").join("");
      const variable = thiz.split("}").join("");
      const x1 = propMappings.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, variable$1) {
        return (function(x$15$2) {
          const x$15 = x$15$2;
          const this$9 = x$15.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
          const this$10 = this$9.option$1;
          return ((this$10.isEmpty__Z() ? null : this$10.get__O()) === variable$1)
        })
      })(this, variable)));
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const prop = x2.value$2;
        const this$11 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1).option$1;
        if ((((this$11.isEmpty__Z() ? 0 : this$11.get__O()) | 0) !== 1)) {
          const this$12 = this.ctx$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["PropertyMapping for idTemplate variable '", "' must be mandatory"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([variable]));
          $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$12, message, map)
        }
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const this$13 = this.ctx$1;
          const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Missing propertyMapping for idTemplate variable '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([variable]));
          $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$13, message$1, map)
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  };
  init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(root, ctx) {
    this.root$1 = root;
    this.ctx$1 = ctx;
    this.map$1 = root.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_Dialect().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = root.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const value = (root.location$1 + "#");
    this.dialect$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    return this
  };
  parseDocument__Lamf_core_model_document_BaseUnit() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("dialect");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const value = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry.value$1, this.ctx$1);
      const this$4 = this.dialect$1;
      const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value$1, annotations)
    };
    const map$1 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$7 = this$6.key__T__s_Option("usage");
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const entry$3 = arg1$1;
      const value$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$3.value$1, this.ctx$1);
      const this$8 = this.dialect$1;
      const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Usage$1;
      const value$3 = value$2.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field$1, value$3, annotations$1)
    };
    const map$2 = this.map$1;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$11 = this$10.key__T__s_Option("version");
    if ((!this$11.isEmpty__Z())) {
      const arg1$2 = this$11.get__O();
      const entry$4 = arg1$2;
      const value$4 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$4.value$1, this.ctx$1);
      const version = $objectToString(value$4.text__Lamf_core_model_domain_AmfScalar().value$1);
      const this$12 = this.dialect$1;
      const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1;
      const value$5 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(version, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value$5, annotations$2)
    };
    const this$13 = this.ctx$1;
    const id = this.dialect$1.id$1;
    const map$3 = this.map$1;
    $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$13, "dialect", id, map$3);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(this.dialect$1, this.map$1, this.root$1.references$1, this.ctx$1);
    const this$14 = this.dialect$1;
    const references = jsx$1.parse__T__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations(this$14.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    const this$15 = this.ctx$1.declarations$2.externals$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$15)) {
      const this$18 = this.dialect$1;
      const this$16 = this.ctx$1.declarations$2.externals$2;
      const this$17 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$16);
      const externals = this$17.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$18, field$3, externals)
    };
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$1, this.map$1);
    const declarables = this.ctx$1.declarations$2.declarables__sc_Seq();
    declarables.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$6)) {
          const x2 = x0$6;
          x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
            return (function(propertyMapping$2) {
              const propertyMapping = propertyMapping$2;
              const jsx$5 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x2$1$1, propertyMapping$1) {
                return (function(nodeMappingRef$2) {
                  const nodeMappingRef = nodeMappingRef$2;
                  const this$19 = nodeMappingRef.option$1;
                  const jsx$3 = (this$19.isEmpty__Z() ? null : this$19.get__O());
                  const this$20 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
                  if ((jsx$3 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$20, "anyNode").iri__T())) {
                    const this$22 = nodeMappingRef.option$1;
                    return new $c_s_Some().init___O((this$22.isEmpty__Z() ? null : this$22.get__O()))
                  } else {
                    const jsx$4 = $this$1.ctx$1.declarations$2;
                    const this$23 = nodeMappingRef.option$1;
                    const x1 = jsx$4.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$23.isEmpty__Z() ? null : this$23.get__O()), $m_Lamf_core_parser_SearchScope$All$());
                    if ($is_s_Some(x1)) {
                      const x2$2 = x1;
                      const mapping = x2$2.value$2;
                      return new $c_s_Some().init___O(mapping.id$1)
                    } else {
                      const this$27 = $this$1.ctx$1;
                      const this$24 = nodeMappingRef.option$1;
                      const term = (this$24.isEmpty__Z() ? null : this$24.get__O());
                      const node = x2$1$1.id$1;
                      const this$25 = propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
                      let this$26;
                      if (this$25.isEmpty__Z()) {
                        this$26 = $m_s_None$()
                      } else {
                        const arg1$3 = this$25.get__O();
                        const x$11 = arg1$3;
                        this$26 = x$11.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
                      };
                      const lexical = (this$26.isEmpty__Z() ? propertyMapping$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()) : this$26);
                      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyRangeViolation__T__T__s_Option__V(this$27, term, node, lexical);
                      return $m_s_None$()
                    }
                  }
                })
              })($this, x2$1, propertyMapping));
              const this$28 = $m_sc_Seq$();
              const mapped = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$2, this$28.ReusableCBFInstance$2);
              const jsx$6 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($this);
              const this$29 = $m_sc_Seq$();
              const refs = mapped.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$6, this$29.ReusableCBFInstance$2);
              if (refs.nonEmpty__Z()) {
                const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$4, refs)
              };
              const x1$1 = $m_s_Option$().apply__O__s_Option(propertyMapping.typeDiscriminator__sci_Map());
              if ($is_s_Some(x1$1)) {
                const x2$3 = x1$1;
                const typeDiscriminators = x2$3.value$2;
                const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
                const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1, x2$1$2, propertyMapping$3) {
                  return (function(x0$7$2, x1$1$2) {
                    const x0$7 = x0$7$2;
                    const x1$1$1 = x1$1$2;
                    const x1$2 = new $c_T2().init___O__O(x0$7, x1$1$1);
                    const acc = x1$2.$$und1$f;
                    const p2 = x1$2.$$und2$f;
                    if ((p2 !== null)) {
                      const nodeMappingRef$1 = p2.$$und1__O();
                      const alias = p2.$$und2__O();
                      const x1$2$1 = this$2$1.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(nodeMappingRef$1, $m_Lamf_core_parser_SearchScope$All$());
                      if ($is_s_Some(x1$2$1)) {
                        const x2$4 = x1$2$1;
                        const mapping$1 = x2$4.value$2;
                        return acc.updated__O__O__sci_Map(mapping$1.id$1, alias)
                      } else {
                        const this$32 = this$2$1.ctx$1;
                        const node$1 = x2$1$2.id$1;
                        const this$30 = propertyMapping$3.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminator$1);
                        let this$31;
                        if (this$30.isEmpty__Z()) {
                          this$31 = $m_s_None$()
                        } else {
                          const arg1$4 = this$30.get__O();
                          const x$12 = arg1$4;
                          this$31 = x$12.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
                        };
                        const lexical$1 = (this$31.isEmpty__Z() ? propertyMapping$3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()) : this$31);
                        $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyRangeViolation__T__T__s_Option__V(this$32, nodeMappingRef$1, node$1, lexical$1);
                        return acc
                      }
                    };
                    throw new $c_s_MatchError().init___O(x1$2)
                  })
                })($this, x2$1, propertyMapping));
                const mapped$2 = $f_sc_TraversableOnce__foldLeft__O__F2__O(typeDiscriminators, z, op);
                return propertyMapping.withTypeDiscriminator__sci_Map__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(mapped$2)
              } else {
                return (void 0)
              }
            })
          })(this$4$1, x2)))
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this)));
    if (declarables.nonEmpty__Z()) {
      const this$33 = this.dialect$1;
      const field$5 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$33, field$5, declarables)
    };
    if (references.baseUnitReferences__sc_Seq().nonEmpty__Z()) {
      const this$34 = this.dialect$1;
      const references$1 = references.baseUnitReferences__sc_Seq();
      const field$6 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$34, field$6, references$1)
    };
    this.parseDocumentsMapping__p1__Lorg_yaml_model_YMap__T__V(this.map$1, this.dialect$1.id$1);
    const this$35 = this.dialect$1;
    this$35.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$8)) {
          const x2$5 = x0$8;
          if ((!x2$5.isUnresolved$1)) {
            const this$38 = this$5$1.ctx$1.futureDeclarations$1;
            const this$36 = x2$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
            const this$37 = this$36.option$1;
            const name = (this$37.isEmpty__Z() ? null : this$37.get__O());
            $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$38, name, x2$5)
          }
        }
      })
    })(this)));
    const this$39 = this.ctx$1.futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$39);
    return this.dialect$1
  };
  parseLibrary__Lamf_core_model_document_BaseUnit() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("usage");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const value = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry.value$1, this.ctx$1);
      const this$4 = this.dialect$1;
      const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Usage$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value$1, annotations)
    };
    const this$5 = this.ctx$1;
    const id = this.dialect$1.id$1;
    const map$1 = this.map$1;
    $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$5, "library", id, map$1);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(this.dialect$1, this.map$1, this.root$1.references$1, this.ctx$1);
    const this$6 = this.dialect$1;
    const references = jsx$1.parse__T__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations(this$6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    const this$7 = this.ctx$1.declarations$2.externals$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$7)) {
      const this$10 = this.dialect$1;
      const this$8 = this.ctx$1.declarations$2.externals$2;
      const this$9 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$8);
      const externals = this$9.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$10, field$1, externals)
    };
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$1, this.map$1);
    const declarables = this.ctx$1.declarations$2.declarables__sc_Seq();
    declarables.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$9)) {
          const x2 = x0$9;
          x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
            return (function(propertyMapping$2) {
              const propertyMapping = propertyMapping$2;
              const jsx$5 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x2$2, propertyMapping$1) {
                return (function(nodeMappingRef$2) {
                  const nodeMappingRef = nodeMappingRef$2;
                  const this$11 = nodeMappingRef.option$1;
                  const jsx$3 = (this$11.isEmpty__Z() ? null : this$11.get__O());
                  const this$12 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
                  if ((jsx$3 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$12, "anyNode").iri__T())) {
                    const this$14 = nodeMappingRef.option$1;
                    return new $c_s_Some().init___O((this$14.isEmpty__Z() ? null : this$14.get__O()))
                  } else {
                    const jsx$4 = $this$1.ctx$1.declarations$2;
                    const this$15 = nodeMappingRef.option$1;
                    const x1 = jsx$4.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$15.isEmpty__Z() ? null : this$15.get__O()), $m_Lamf_core_parser_SearchScope$All$());
                    if ($is_s_Some(x1)) {
                      const x2$3 = x1;
                      const mapping = x2$3.value$2;
                      return new $c_s_Some().init___O(mapping.id$1)
                    } else {
                      const this$19 = $this$1.ctx$1;
                      const this$16 = nodeMappingRef.option$1;
                      const term = (this$16.isEmpty__Z() ? null : this$16.get__O());
                      const node = x2$2.id$1;
                      const this$17 = propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
                      let this$18;
                      if (this$17.isEmpty__Z()) {
                        this$18 = $m_s_None$()
                      } else {
                        const arg1$1 = this$17.get__O();
                        const x$13 = arg1$1;
                        this$18 = x$13.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
                      };
                      const lexical = (this$18.isEmpty__Z() ? propertyMapping$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()) : this$18);
                      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyRangeViolation__T__T__s_Option__V(this$19, term, node, lexical);
                      return $m_s_None$()
                    }
                  }
                })
              })($this, x2$1, propertyMapping));
              const this$20 = $m_sc_Seq$();
              const mapped = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$2, this$20.ReusableCBFInstance$2);
              const jsx$6 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($this);
              const this$21 = $m_sc_Seq$();
              const refs = mapped.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$6, this$21.ReusableCBFInstance$2);
              if (refs.nonEmpty__Z()) {
                const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$2, refs)
              };
              const x1$1 = $m_s_Option$().apply__O__s_Option(propertyMapping.typeDiscriminator__sci_Map());
              if ($is_s_Some(x1$1)) {
                const x2$4 = x1$1;
                const typeDiscriminators = x2$4.value$2;
                const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
                const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$2, x2$2$1, propertyMapping$3) {
                  return (function(x0$10$2, x1$2$2) {
                    const x0$10 = x0$10$2;
                    const x1$2 = x1$2$2;
                    const x1$3 = new $c_T2().init___O__O(x0$10, x1$2);
                    const acc = x1$3.$$und1$f;
                    const p2 = x1$3.$$und2$f;
                    if ((p2 !== null)) {
                      const nodeMappingRef$1 = p2.$$und1__O();
                      const alias = p2.$$und2__O();
                      const x1$3$1 = this$2$2.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(nodeMappingRef$1, $m_Lamf_core_parser_SearchScope$All$());
                      if ($is_s_Some(x1$3$1)) {
                        const x2$5 = x1$3$1;
                        const mapping$1 = x2$5.value$2;
                        return acc.updated__O__O__sci_Map(mapping$1.id$1, alias)
                      } else {
                        const this$24 = this$2$2.ctx$1;
                        const node$1 = x2$2$1.id$1;
                        const this$22 = propertyMapping$3.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminator$1);
                        let this$23;
                        if (this$22.isEmpty__Z()) {
                          this$23 = $m_s_None$()
                        } else {
                          const arg1$2 = this$22.get__O();
                          const x$14 = arg1$2;
                          this$23 = x$14.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
                        };
                        const lexical$1 = (this$23.isEmpty__Z() ? propertyMapping$3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf()) : this$23);
                        $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingPropertyRangeViolation__T__T__s_Option__V(this$24, nodeMappingRef$1, node$1, lexical$1);
                        return acc
                      }
                    };
                    throw new $c_s_MatchError().init___O(x1$3)
                  })
                })($this, x2$1, propertyMapping));
                const mapped$2 = $f_sc_TraversableOnce__foldLeft__O__F2__O(typeDiscriminators, z, op);
                return propertyMapping.withTypeDiscriminator__sci_Map__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(mapped$2)
              } else {
                return (void 0)
              }
            })
          })(this$2$1, x2)))
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this)));
    if (declarables.nonEmpty__Z()) {
      const this$25 = this.dialect$1;
      const field$3 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$25, field$3, declarables)
    };
    if (references.baseUnitReferences__sc_Seq().nonEmpty__Z()) {
      const this$26 = this.dialect$1;
      const references$1 = references.baseUnitReferences__sc_Seq();
      const field$4 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$26, field$4, references$1)
    };
    const this$27 = this.dialect$1;
    this$27.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$11)) {
          const x2$6 = x0$11;
          if ((!x2$6.isUnresolved$1)) {
            const this$30 = this$3$1.ctx$1.futureDeclarations$1;
            const this$28 = x2$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
            const this$29 = this$28.option$1;
            const name = (this$29.isEmpty__Z() ? null : this$29.get__O());
            $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$30, name, x2$6)
          }
        }
      })
    })(this)));
    const this$31 = this.ctx$1.futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$31);
    return this.toLibrary__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_document_DialectLibrary(this.dialect$1)
  };
  parseLibraries__Lorg_yaml_model_YNode__T__s_Option(value, parent) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("library");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      if ((entry !== null)) {
        const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " ", " / Library"]));
        const this$2 = this.dialect$1;
        const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
        const this$4 = this$3.option$1;
        const jsx$1 = (this$4.isEmpty__Z() ? null : this$4.get__O());
        const this$5 = this.dialect$1;
        const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
        const this$7 = this$6.option$1;
        const name = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, (this$7.isEmpty__Z() ? null : this$7.get__O())]));
        const jsx$3 = $m_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$();
        $m_Lorg_yaml_model_YNode$();
        const map$1 = this.map$1;
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const this$13 = jsx$3.apply__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t, a, cs));
        const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1;
        const this$14 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field, name);
        const value$1 = (parent + "/modules");
        const documentsMapping = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$14, value$1);
        const map$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const x1$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("declares");
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const libraryEntry = x2$2.value$2;
          const declaresMap = libraryEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
          const jsx$5 = declaresMap.entries$3;
          const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1, libraryEntry$1) {
            return (function(declarationEntry$2) {
              const declarationEntry = declarationEntry$2;
              const declarationId = declarationEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
              const declarationName = declarationEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
              const this$16 = $m_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$().apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(declarationEntry);
              const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1;
              const this$20 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field$1, declarationName);
              const this$18 = new $c_Lamf_core_utils_package$Strings().init___T(declarationName);
              const this$19 = this$18.platform$1;
              const url = this$18.str$1;
              const value$2 = ((parent$1 + "/modules/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$19, url));
              const declarationMapping = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$20, value$2);
              const x1$1 = $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(declarationId, $m_Lamf_core_parser_SearchScope$All$());
              if ($is_s_Some(x1$1)) {
                const x2$1 = x1$1;
                const nodeMapping = x2$1.value$2;
                const mappedNode = nodeMapping.id$1;
                const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1;
                return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(declarationMapping, field$2, mappedNode))
              } else {
                const this$21 = $this.ctx$1;
                $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$21, declarationId, parent$1, libraryEntry$1);
                return $m_s_None$()
              }
            })
          })(this, parent, libraryEntry));
          const this$22 = $m_sc_IndexedSeq$();
          const declarations = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$22.ReusableCBF$6);
          const jsx$6 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser(this);
          const this$23 = $m_sc_Seq$();
          const fragments = declarations.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$6, this$23.ReusableCBFInstance$2);
          const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1;
          return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(documentsMapping, field$3, fragments))
        } else {
          return $m_s_None$()
        }
      }
    };
    return $m_s_None$()
  };
  parseFragmentsMapping__Lorg_yaml_model_YNode__T__s_Option(value, parent) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("fragments");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      if ((entry !== null)) {
        const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const x1$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("encodes");
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const entry$2 = x2$2.value$2;
          if ((entry$2 !== null)) {
            const jsx$3 = entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
              return (function(fragmentEntry$2) {
                const fragmentEntry = fragmentEntry$2;
                const fragmentName = fragmentEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                const nodeId = fragmentEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                const this$3 = $m_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(fragmentEntry.value$1);
                const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1;
                const this$7 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, fragmentName);
                const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/fragments/", ""]));
                const this$5 = new $c_Lamf_core_utils_package$Strings().init___T(fragmentName);
                const this$6 = this$5.platform$1;
                const url = this$5.str$1;
                const value$1 = (("" + parent$1) + jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$6, url)])));
                const documentsMapping = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value$1);
                const x1$1 = $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(nodeId, $m_Lamf_core_parser_SearchScope$All$());
                if ($is_s_Some(x1$1)) {
                  const x2$1 = x1$1;
                  const nodeMapping = x2$1.value$2;
                  const encodedNode = nodeMapping.id$1;
                  const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1;
                  return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(documentsMapping, field$1, encodedNode))
                } else {
                  const this$8 = $this.ctx$1;
                  $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$8, nodeId, parent$1, fragmentEntry);
                  return $m_s_None$()
                }
              })
            })(this, parent));
            const this$9 = $m_sc_IndexedSeq$();
            const docs = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$9.ReusableCBF$6);
            const jsx$5 = docs.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
              return (function(x$16$2) {
                const x$16 = x$16$2;
                return x$16.isDefined__Z()
              })
            })(this)));
            const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
              return (function(x$17$2) {
                const x$17 = x$17$2;
                return x$17.get__O()
              })
            })(this));
            const this$10 = $m_sc_IndexedSeq$();
            return new $c_s_Some().init___O(jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$10.ReusableCBF$6))
          }
        };
        return $m_s_None$()
      }
    };
    return $m_s_None$()
  };
  parseDocumentsMapping__p1__Lorg_yaml_model_YMap__T__V(map, parent) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = (parent + "/documents");
    const documentsMapping = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("documents");
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const e = arg1;
      const this$7 = this.ctx$1;
      const id = documentsMapping.id$1;
      const map$1 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$7, "documentsMapping", id, map$1);
      const this$8 = this.parseRootDocumentMapping__Lorg_yaml_model_YNode__T__s_Option(e.value$1, documentsMapping.id$1);
      if ((!this$8.isEmpty__Z())) {
        const arg1$1 = this$8.get__O();
        const rootMapping = arg1$1;
        const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(documentsMapping, field, rootMapping)
      };
      const this$9 = this.parseFragmentsMapping__Lorg_yaml_model_YNode__T__s_Option(e.value$1, documentsMapping.id$1);
      if ((!this$9.isEmpty__Z())) {
        const arg1$2 = this$9.get__O();
        const fragmentMappings = arg1$2;
        const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1;
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(documentsMapping, field$1, fragmentMappings))
      };
      const this$10 = this.parseLibraries__Lorg_yaml_model_YNode__T__s_Option(e.value$1, documentsMapping.id$1);
      if ((!this$10.isEmpty__Z())) {
        const arg1$3 = this$10.get__O();
        const library = arg1$3;
        const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(documentsMapping, field$2, library)
      }
    };
    const this$11 = this.dialect$1;
    const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$11, field$3, documentsMapping)
  };
  toLibrary__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_document_DialectLibrary(dialect) {
    const annotations = dialect.annotations$1;
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = dialect.id$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$3, value);
    const location = dialect.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, location);
    const references = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1);
    const field$1 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
    const library = $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field$1, references);
    const this$6 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1).option$1;
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const usage = arg1;
      const field$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(library, field$2, usage)
    };
    const declares = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1);
    if (declares.nonEmpty__Z()) {
      const field$3 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(library, field$3, declares)
    };
    const externals = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
    if (externals.nonEmpty__Z()) {
      const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(library, field$4, externals)
    };
    return library
  };
  toFragment__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_document_DialectFragment(dialect) {
    const annotations = dialect.annotations$1;
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = dialect.id$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$3, value);
    const location = dialect.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, location);
    const references = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1);
    const field$1 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
    const fragment = $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$5, field$1, references);
    const this$6 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1).option$1;
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const usage = arg1;
      const field$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(fragment, field$2, usage)
    };
    const externals = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
    if (externals.nonEmpty__Z()) {
      const externals$1 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
      const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(fragment, field$3, externals$1)
    };
    return fragment
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseNodeMappingDeclarations__p1__Lorg_yaml_model_YMap__T__V(map, parent)
  };
  parseNodeMappingDeclarations__p1__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("nodeMappings");
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = e.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
          return (function(entry$2) {
            const entry = entry$2;
            const f = (function($this$1, parent$1$1, entry$1) {
              return (function(nodeMapping$2) {
                const nodeMapping = nodeMapping$2;
                $m_Lorg_yaml_model_YNode$();
                const node = entry$1.key$1;
                const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
                const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
                const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(nodeMapping, field, name);
                return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$5, parent$1$1)
              })
            })($this, parent$1, entry);
            const this$6 = entry.value$1;
            const x1$1 = this$6.tag__Lorg_yaml_model_YTag().tagType$2;
            const x$1 = $m_Lorg_yaml_model_YType$().Map$1;
            let x1$10;
            if ((x$1 === x1$1)) {
              const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1);
              const nodeMapping$1 = $m_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping(map$1);
              f(nodeMapping$1);
              const this$7 = $this.ctx$1;
              const id = nodeMapping$1.id$1;
              $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$7, "nodeMapping", id, map$1);
              const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
              const this$10 = this$9.key__T__s_Option("classTerm");
              if ((!this$10.isEmpty__Z())) {
                const arg1$1 = this$10.get__O();
                const entry$2$1 = arg1$1;
                const value = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$2$1.value$1, $this.ctx$1);
                const classTermId = value.string__Lamf_core_model_domain_AmfScalar().toString__T();
                const x1$2 = $this.ctx$1.declarations$2.findClassTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(classTermId, $m_Lamf_core_parser_SearchScope$All$());
                if ($is_s_Some(x1$2)) {
                  const x2 = x1$2;
                  const classTerm = x2.value$2;
                  const nodeType = classTerm.id$1;
                  const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(nodeMapping$1, field$1, nodeType)
                } else {
                  const this$11 = $this.ctx$1;
                  const node$1 = nodeMapping$1.id$1;
                  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find class term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([classTermId]));
                  const ast = entry$2$1.value$1;
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$11, node$1, message, ast)
                }
              };
              const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
              const this$14 = this$13.key__T__s_Option("mapping");
              if ((!this$14.isEmpty__Z())) {
                const arg1$2 = this$14.get__O();
                const entry$3 = arg1$2;
                const jsx$8 = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1).entries$3;
                const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, nodeMapping$1$1) {
                  return (function(entry$2$2) {
                    const entry$2$3 = entry$2$2;
                    const map$2 = entry$2$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this$2.ctx$1);
                    const propertyMapping = $m_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(map$2);
                    $m_Lorg_yaml_model_YNode$();
                    const node$2 = entry$2$3.key$1;
                    const name$1 = node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
                    const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1;
                    const this$19 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$2, name$1);
                    const jsx$2 = nodeMapping$1$1.id$1;
                    const str = entry$2$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$2.ctx$1).text$3;
                    const this$17 = new $c_Lamf_core_utils_package$Strings().init___T(str);
                    const this$18 = this$17.platform$1;
                    const url = this$17.str$1;
                    const parent$2 = ((jsx$2 + "/property/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$18, url));
                    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$19, parent$2);
                    const this$20 = $this$2.ctx$1;
                    const id$1 = propertyMapping.id$1;
                    $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$20, "propertyMapping", id$1, map$2);
                    const this$22 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$23 = this$22.key__T__s_Option("propertyTerm");
                    if ((!this$23.isEmpty__Z())) {
                      const arg1$3 = this$23.get__O();
                      const entry$2$4 = arg1$3;
                      const value$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$2$4.value$1, $this$2.ctx$1);
                      const propertyTermId = value$1.string__Lamf_core_model_domain_AmfScalar().toString__T();
                      const x1$3 = $this$2.ctx$1.declarations$2.findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(propertyTermId, $m_Lamf_core_parser_SearchScope$All$());
                      if ($is_s_Some(x1$3)) {
                        const x2$1 = x1$3;
                        const propertyTerm = x2$1.value$2;
                        const propertyId = propertyTerm.id$1;
                        const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$3, propertyId)
                      } else {
                        const this$24 = $this$2.ctx$1;
                        const node$3 = propertyMapping.id$1;
                        const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyTermId]));
                        const ast$1 = entry$2$4.value$1;
                        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$24, node$3, message$1, ast$1)
                      }
                    };
                    const this$26 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$27 = this$26.key__T__s_Option("range");
                    if ((!this$27.isEmpty__Z())) {
                      const arg1$4 = this$27.get__O();
                      const entry$3$1 = arg1$4;
                      const this$28 = entry$3$1.value$1;
                      const x1$4 = this$28.tag__Lorg_yaml_model_YTag().tagType$2;
                      const x$2 = $m_Lorg_yaml_model_YType$().Seq$1;
                      if ((x$2 === x1$4)) {
                        const jsx$3 = entry$3$1.value$1;
                        const reader = $m_Lorg_yaml_convert_YRead$StringYRead$();
                        const this$30 = $m_sc_IndexedSeq$();
                        const bf = this$30.ReusableCBF$6;
                        const range = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), $this$2.ctx$1);
                        const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$4, range)
                      } else {
                        const value$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$3$1.value$1, $this$2.ctx$1);
                        const range$1 = value$2.string__Lamf_core_model_domain_AmfScalar().toString__T();
                        if (((range$1 === "string") || ((range$1 === "integer") || ((range$1 === "boolean") || ((range$1 === "float") || ((range$1 === "decimal") || ((range$1 === "double") || ((range$1 === "duration") || ((range$1 === "dateTime") || ((range$1 === "time") || ((range$1 === "date") || ((range$1 === "anyUri") || (range$1 === "anyType"))))))))))))) {
                          const this$31 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          const range$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, range$1).iri__T();
                          const field$5 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$5, range$2)
                        } else if ((range$1 === "number")) {
                          const this$33 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                          const range$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "number").iri__T();
                          const field$6 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$6, range$3)
                        } else if ((range$1 === "uri")) {
                          const this$35 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          const range$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$35, "anyUri").iri__T();
                          const field$7 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$7, range$4)
                        } else if ((range$1 === "any")) {
                          const this$37 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                          const range$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$37, "anyType").iri__T();
                          const field$8 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$8, range$5)
                        } else if ((range$1 === "anyNode")) {
                          const jsx$4 = $m_sc_Seq$();
                          const this$39 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
                          const range$6 = jsx$4.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$39, "anyNode").iri__T()]));
                          const field$9 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$9, range$6)
                        } else {
                          const range$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([range$1]));
                          const field$10 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$10, range$7)
                        }
                      }
                    };
                    const this$42 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$43 = this$42.key__T__s_Option("mapKey");
                    if ((!this$43.isEmpty__Z())) {
                      const arg1$5 = this$43.get__O();
                      const entry$4 = arg1$5;
                      const propertyTermId$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$4.value$1, $this$2.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
                      const x1$5 = $this$2.ctx$1.declarations$2.findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(propertyTermId$1, $m_Lamf_core_parser_SearchScope$All$());
                      if ($is_s_Some(x1$5)) {
                        const x2$2 = x1$5;
                        const term = x2$2.value$2;
                        const key = term.id$1;
                        const field$11 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$11, key)
                      } else {
                        const this$44 = $this$2.ctx$1;
                        const node$4 = propertyMapping.id$1;
                        const message$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyTermId$1]));
                        const ast$2 = entry$4.value$1;
                        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$44, node$4, message$2, ast$2)
                      }
                    };
                    const this$46 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$47 = this$46.key__T__s_Option("mapValue");
                    if ((!this$47.isEmpty__Z())) {
                      const arg1$6 = this$47.get__O();
                      const entry$5 = arg1$6;
                      const propertyTermId$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$5.value$1, $this$2.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
                      const x1$6 = $this$2.ctx$1.declarations$2.findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(propertyTermId$2, $m_Lamf_core_parser_SearchScope$All$());
                      if ($is_s_Some(x1$6)) {
                        const x2$3 = x1$6;
                        const term$1 = x2$3.value$2;
                        const value$3 = term$1.id$1;
                        const field$12 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$12, value$3)
                      } else {
                        const this$48 = $this$2.ctx$1;
                        const node$5 = propertyMapping.id$1;
                        const message$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyTermId$2]));
                        const ast$3 = entry$5.value$1;
                        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$48, node$5, message$3, ast$3)
                      }
                    };
                    const this$50 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$51 = this$50.key__T__s_Option("mandatory");
                    if ((!this$51.isEmpty__Z())) {
                      const arg1$7 = this$51.get__O();
                      const entry$6 = arg1$7;
                      const required = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$6.value$1, $this$2.ctx$1).$boolean__Lamf_core_model_domain_AmfScalar().toBool__Z();
                      const value$4 = (required ? 1 : 0);
                      const field$13 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1;
                      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(propertyMapping, field$13, value$4)
                    };
                    const this$53 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$54 = this$53.key__T__s_Option("pattern");
                    if ((!this$54.isEmpty__Z())) {
                      const arg1$8 = this$54.get__O();
                      const entry$7 = arg1$8;
                      const value$5 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$7.value$1, $this$2.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
                      const field$14 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Pattern$1;
                      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$14, value$5)
                    };
                    const this$56 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$57 = this$56.key__T__s_Option("minimum");
                    if ((!this$57.isEmpty__Z())) {
                      const arg1$9 = this$57.get__O();
                      const entry$8 = arg1$9;
                      const this$58 = entry$8.value$1;
                      const x1$7 = this$58.tag__Lorg_yaml_model_YTag().tagType$2;
                      const x$4 = $m_Lorg_yaml_model_YType$().Int$1;
                      if ((x$4 === x1$7)) {
                        const value$6 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$8.value$1, $this$2.ctx$1).integer__Lamf_core_model_domain_AmfScalar().value$1;
                        const min = (value$6 | 0);
                        const field$15 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$15, min)
                      } else {
                        const value$2$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$8.value$1, $this$2.ctx$1).$float__Lamf_core_model_domain_AmfScalar().value$1;
                        const min$1 = (+value$2$1);
                        const field$16 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$16, min$1)
                      }
                    };
                    const this$60 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$61 = this$60.key__T__s_Option("maximum");
                    if ((!this$61.isEmpty__Z())) {
                      const arg1$10 = this$61.get__O();
                      const entry$9 = arg1$10;
                      const this$62 = entry$9.value$1;
                      const x1$8 = this$62.tag__Lorg_yaml_model_YTag().tagType$2;
                      const x$5 = $m_Lorg_yaml_model_YType$().Int$1;
                      if ((x$5 === x1$8)) {
                        const value$7 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$9.value$1, $this$2.ctx$1).integer__Lamf_core_model_domain_AmfScalar().value$1;
                        const max = $fround((value$7 | 0));
                        const field$17 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$17, max)
                      } else {
                        const value$2$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$9.value$1, $this$2.ctx$1).$float__Lamf_core_model_domain_AmfScalar().value$1;
                        const max$1 = (+value$2$2);
                        const field$18 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1;
                        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$18, max$1)
                      }
                    };
                    const this$64 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$65 = this$64.key__T__s_Option("allowMultiple");
                    if ((!this$65.isEmpty__Z())) {
                      const arg1$11 = this$65.get__O();
                      const entry$10 = arg1$11;
                      const value$8 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$10.value$1, $this$2.ctx$1).$boolean__Lamf_core_model_domain_AmfScalar().toBool__Z();
                      const field$19 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1;
                      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(propertyMapping, field$19, value$8)
                    };
                    const this$67 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$68 = this$67.key__T__s_Option("sorted");
                    if ((!this$68.isEmpty__Z())) {
                      const arg1$12 = this$68.get__O();
                      const entry$11 = arg1$12;
                      const sorted = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$11.value$1, $this$2.ctx$1).$boolean__Lamf_core_model_domain_AmfScalar().toBool__Z();
                      const field$20 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Sorted$1;
                      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(propertyMapping, field$20, sorted)
                    };
                    const this$70 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$71 = this$70.key__T__s_Option("enum");
                    if ((!this$71.isEmpty__Z())) {
                      const arg1$13 = this$71.get__O();
                      const entry$12 = arg1$13;
                      const jsx$6 = entry$12.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), $this$2.ctx$1).nodes$3;
                      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
                        return (function(node$2$1) {
                          const node$6 = node$2$1;
                          const x1$9 = node$6.value__Lorg_yaml_model_YValue();
                          if ($is_Lorg_yaml_model_YScalar(x1$9)) {
                            const x2$4 = x1$9;
                            return new $c_s_Some().init___O(x2$4.value$3)
                          } else {
                            const this$72 = $this$3.ctx$1;
                            $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$72, "Cannot create enumeration constraint from not scalar value", node$6);
                            return $m_s_None$()
                          }
                        })
                      })($this$2));
                      const this$73 = $m_sc_IndexedSeq$();
                      const values = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$73.ReusableCBF$6);
                      const jsx$7 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($this$2);
                      const this$74 = $m_sc_IndexedSeq$();
                      propertyMapping.withEnum__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(values.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$7, this$74.ReusableCBF$6))
                    };
                    const this$76 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$77 = this$76.key__T__s_Option("typeDiscriminator");
                    if ((!this$77.isEmpty__Z())) {
                      const arg1$14 = this$77.get__O();
                      const entry$13 = arg1$14;
                      const types = entry$13.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this$2.ctx$1);
                      const typeMapping = types.entries$3.foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$4) {
                        return (function(x0$12$2, x1$3$2) {
                          const x0$12 = x0$12$2;
                          const x1$3$1 = x1$3$2;
                          const nodeMappingId = x1$3$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$4.ctx$1).text$3;
                          const self = x1$3$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$4.ctx$1).text$3;
                          return x0$12.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, nodeMappingId))
                        })
                      })($this$2)));
                      propertyMapping.withTypeDiscriminator__sci_Map__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(typeMapping)
                    };
                    const this$81 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
                    const this$82 = this$81.key__T__s_Option("typeDiscriminatorName");
                    if ((!this$82.isEmpty__Z())) {
                      const arg1$15 = this$82.get__O();
                      const entry$14 = arg1$15;
                      const name$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$14.value$1, $this$2.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
                      const field$21 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1;
                      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$21, name$2)
                    };
                    return propertyMapping
                  })
                })($this, nodeMapping$1));
                const this$83 = $m_sc_IndexedSeq$();
                const properties = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$1, this$83.ReusableCBF$6);
                const field$22 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1;
                $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(nodeMapping$1, field$22, properties)
              };
              const this$85 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
              const this$86 = this$85.key__T__s_Option("idTemplate");
              if ((!this$86.isEmpty__Z())) {
                const arg1$16 = this$86.get__O();
                const entry$4$1 = arg1$16;
                const template = entry$4$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$1);
                $this.validateTemplate__T__Lorg_yaml_model_YMap__sc_Seq__V(template, map$1, nodeMapping$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1));
                const field$23 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(nodeMapping$1, field$23, template)
              };
              x1$10 = new $c_s_Some().init___O(nodeMapping$1)
            } else {
              const x$3$1 = $m_Lorg_yaml_model_YType$().Str$1;
              let jsx$9;
              if ((x$3$1 === x1$1)) {
                const node$7 = entry.value$1;
                jsx$9 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$7).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()
              } else {
                jsx$9 = false
              };
              if (jsx$9) {
                const this$88 = $this.ctx$1;
                const node$8 = entry.value$1;
                const x1$2$1 = $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__link__Lorg_yaml_model_YNode__s_util_Either(this$88, node$8);
                let refTuple;
                if ($is_s_util_Left(x1$2$1)) {
                  const x2$5 = x1$2$1;
                  const key$1 = x2$5.value$2;
                  refTuple = new $c_T2().init___O__O(key$1, $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(key$1, $m_Lamf_core_parser_SearchScope$Fragments$()))
                } else {
                  const text = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                  refTuple = new $c_T2().init___O__O(text, $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$Named$()))
                };
                matchEnd8: {
                  if ((refTuple !== null)) {
                    const text$2 = refTuple.$$und1__O();
                    const p2 = refTuple.$$und2__O();
                    if ((text$2 !== null)) {
                      if ($is_s_Some(p2)) {
                        const x3 = p2;
                        const s = x3.value$2;
                        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
                        const this$89 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations);
                        const field$24 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
                        const linkedNode = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$89, field$24, text$2);
                        f(linkedNode);
                        x1$10 = new $c_s_Some().init___O(linkedNode);
                        break matchEnd8
                      }
                    }
                  };
                  if ((refTuple !== null)) {
                    const text$3 = refTuple.$$und1__O();
                    if ((text$3 !== null)) {
                      const linkedNode$2 = $m_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping($this.map$1);
                      f(linkedNode$2);
                      const refAst = $this.map$1;
                      const ctx = $this.ctx$1;
                      $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode$2, text$3, refAst, ctx);
                      x1$10 = new $c_s_Some().init___O(linkedNode$2);
                      break matchEnd8
                    }
                  };
                  throw new $c_s_MatchError().init___O(refTuple)
                }
              } else {
                const x$5$1 = $m_Lorg_yaml_model_YType$().Include$1;
                let jsx$10;
                if ((x$5$1 === x1$1)) {
                  const node$9 = entry.value$1;
                  jsx$10 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$9).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()
                } else {
                  jsx$10 = false
                };
                if (jsx$10) {
                  const this$91 = $this.ctx$1;
                  const node$10 = entry.value$1;
                  const x1$4$1 = $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__link__Lorg_yaml_model_YNode__s_util_Either(this$91, node$10);
                  let refTuple$2;
                  if ($is_s_util_Left(x1$4$1)) {
                    const x2$2$1 = x1$4$1;
                    const key$2 = x2$2$1.value$2;
                    refTuple$2 = new $c_T2().init___O__O(key$2, $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(key$2, $m_Lamf_core_parser_SearchScope$Fragments$()))
                  } else {
                    const text$4 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                    refTuple$2 = new $c_T2().init___O__O(text$4, $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(text$4, $m_Lamf_core_parser_SearchScope$Named$()))
                  };
                  matchEnd8$2: {
                    if ((refTuple$2 !== null)) {
                      const text$5 = refTuple$2.$$und1__O();
                      const p2$2 = refTuple$2.$$und2__O();
                      if ((text$5 !== null)) {
                        if ($is_s_Some(p2$2)) {
                          const x3$2 = p2$2;
                          const s$2 = x3$2.value$2;
                          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
                          const this$92 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s$2, text$5, annotations$1);
                          const field$25 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
                          const linkedNode$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$92, field$25, text$5);
                          f(linkedNode$3);
                          x1$10 = new $c_s_Some().init___O(linkedNode$3);
                          break matchEnd8$2
                        }
                      }
                    };
                    if ((refTuple$2 !== null)) {
                      const text$6 = refTuple$2.$$und1__O();
                      if ((text$6 !== null)) {
                        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
                        const arg1$17 = new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
                        const nodeMappingTmp = f(arg1$17);
                        const thiz = nodeMappingTmp.id$1;
                        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
                        const this$98 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
                        const suffix = $f_sc_IndexedSeqOptimized__head__O(this$98);
                        const this$101 = $this.ctx$1;
                        const thiz$1 = nodeMappingTmp.id$1;
                        const node$11 = thiz$1.split(suffix).join("");
                        const ast$4 = entry.value$1;
                        $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingFragmentViolation__T__T__Lorg_yaml_model_YPart__V(this$101, text$6, node$11, ast$4);
                        x1$10 = $m_s_None$();
                        break matchEnd8$2
                      }
                    };
                    throw new $c_s_MatchError().init___O(refTuple$2)
                  }
                } else {
                  x1$10 = $m_s_None$()
                }
              }
            };
            if ($is_s_Some(x1$10)) {
              const x2$6 = x1$10;
              const nodeMapping$3 = x2$6.value$2;
              if ((nodeMapping$3 !== null)) {
                return $this.ctx$1.declarations$2.$$plus$eq__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(nodeMapping$3)
              }
            };
            const x$6 = $m_s_None$();
            if ((x$6 === x1$10)) {
              const this$102 = $this.ctx$1;
              const message$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$102, parent$1, message$4, entry);
              return (void 0)
            };
            throw new $c_s_MatchError().init___O(x1$10)
          })
        })(this, parent)))
      } else {
        const x$3$2 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3$2 === x1))) {
          const this$103 = this.ctx$1;
          const message$5 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'nodeMappings' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]));
          const ast$5 = e.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$103, parent, message$5, ast$5)
        }
      }
    }
  };
  parseRootDocumentMapping__Lorg_yaml_model_YNode__T__s_Option(value, parent) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("root");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      if ((entry !== null)) {
        const this$2 = entry.value$1;
        const x = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x$2)) {
          const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " ", ""]));
          const this$3 = this.dialect$1;
          const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
          const this$5 = this$4.option$1;
          const jsx$1 = (this$5.isEmpty__Z() ? null : this$5.get__O());
          const this$6 = this.dialect$1;
          const this$7 = this$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
          const this$8 = this$7.option$1;
          const name = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, (this$8.isEmpty__Z() ? null : this$8.get__O())]));
          const rootMap = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
          const jsx$3 = $m_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$();
          $m_Lorg_yaml_model_YNode$();
          const map$1 = this.map$1;
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          const this$14 = jsx$3.apply__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t, a, cs));
          const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1;
          const this$15 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$14, field, name);
          const value$1 = (parent + "/root");
          const documentsMapping = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$15, value$1);
          const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(rootMap);
          const this$18 = this$17.key__T__s_Option("encodes");
          if ((!this$18.isEmpty__Z())) {
            const arg1 = this$18.get__O();
            const entry$2 = arg1;
            const nodeId = entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
            const x1$1 = this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(nodeId, $m_Lamf_core_parser_SearchScope$All$());
            if ($is_s_Some(x1$1)) {
              const x2$1 = x1$1;
              const nodeMapping = x2$1.value$2;
              const encodedNode = nodeMapping.id$1;
              const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1;
              new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(documentsMapping, field$1, encodedNode))
            }
          };
          const this$20 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(rootMap);
          const this$21 = this$20.key__T__s_Option("declares");
          if ((!this$21.isEmpty__Z())) {
            const arg1$1 = this$21.get__O();
            const entry$3 = arg1$1;
            const declaresMap = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
            const jsx$5 = declaresMap.entries$3;
            const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$2) {
              return (function(declarationEntry$2) {
                const declarationEntry = declarationEntry$2;
                const declarationId = declarationEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                const declarationName = declarationEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
                const this$22 = $m_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$().apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(declarationEntry);
                const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1;
                const this$26 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$22, field$2, declarationName);
                const this$24 = new $c_Lamf_core_utils_package$Strings().init___T(declarationName);
                const this$25 = this$24.platform$1;
                const url = this$24.str$1;
                const value$2 = ((parent$2 + "/declaration/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$25, url));
                const declarationMapping = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$26, value$2);
                const x1$2 = $this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(declarationId, $m_Lamf_core_parser_SearchScope$All$());
                if ($is_s_Some(x1$2)) {
                  const x2$2 = x1$2;
                  const nodeMapping$1 = x2$2.value$2;
                  const mappedNode = nodeMapping$1.id$1;
                  const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1;
                  return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(declarationMapping, field$3, mappedNode))
                } else {
                  return $m_s_None$()
                }
              })
            })(this, parent));
            const this$27 = $m_sc_IndexedSeq$();
            const declarations = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$27.ReusableCBF$6);
            const jsx$6 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser(this);
            const this$28 = $m_sc_Seq$();
            const fragments = declarations.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$6, this$28.ReusableCBFInstance$2);
            const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1;
            $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(documentsMapping, field$4, fragments)
          };
          return new $c_s_Some().init___O(documentsMapping)
        }
      }
    };
    return $m_s_None$()
  };
  parseFragment__Lamf_core_model_document_BaseUnit() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("usage");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const value = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry.value$1, this.ctx$1);
      const this$4 = this.dialect$1;
      const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Usage$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value$1, annotations)
    };
    const this$5 = this.ctx$1;
    const id = this.dialect$1.id$1;
    const map$1 = this.map$1;
    $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$5, "fragment", id, map$1);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(this.dialect$1, this.map$1, this.root$1.references$1, this.ctx$1);
    const this$6 = this.dialect$1;
    const references = jsx$1.parse__T__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations(this$6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    const this$7 = this.ctx$1.declarations$2.externals$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$7)) {
      const this$10 = this.dialect$1;
      const this$8 = this.ctx$1.declarations$2.externals$2;
      const this$9 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$8);
      const externals = this$9.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$10, field$1, externals)
    };
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$1, this.map$1);
    if (references.baseUnitReferences__sc_Seq().nonEmpty__Z()) {
      const this$11 = this.dialect$1;
      const references$1 = references.baseUnitReferences__sc_Seq();
      const field$2 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$11, field$2, references$1)
    };
    const fragment = this.toFragment__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_document_DialectFragment(this.dialect$1);
    const jsx$3 = $m_Lorg_yaml_model_YMapEntry$();
    const jsx$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("fragment");
    $m_Lorg_yaml_model_YNode$();
    const map$2 = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const entry$1 = jsx$3.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(jsx$2, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$2, t, a, cs));
    const f = (function(this$2$1, fragment$1) {
      return (function(mapping$2) {
        const mapping = mapping$2;
        const value$2 = (fragment$1.id$1 + "/fragment");
        const this$17 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(mapping, value$2);
        const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$3, "fragment")
      })
    })(this, fragment);
    const this$18 = entry$1.value$1;
    const x1 = this$18.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    let x1$9;
    if ((x === x1)) {
      const map$3 = entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const nodeMapping = $m_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping(map$3);
      f(nodeMapping);
      const this$20 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
      const this$21 = this$20.key__T__s_Option("classTerm");
      if ((!this$21.isEmpty__Z())) {
        const arg1$1 = this$21.get__O();
        const entry$2 = arg1$1;
        const value$3 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$2.value$1, this.ctx$1);
        const classTermId = value$3.string__Lamf_core_model_domain_AmfScalar().toString__T();
        const x1$1 = this.ctx$1.declarations$2.findClassTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(classTermId, $m_Lamf_core_parser_SearchScope$All$());
        if ($is_s_Some(x1$1)) {
          const x2 = x1$1;
          const classTerm = x2.value$2;
          const nodeType = classTerm.id$1;
          const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(nodeMapping, field$4, nodeType)
        } else {
          const this$22 = this.ctx$1;
          const node = nodeMapping.id$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find class term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([classTermId]));
          const ast = entry$2.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$22, node, message, ast)
        }
      };
      const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
      const this$25 = this$24.key__T__s_Option("mapping");
      if ((!this$25.isEmpty__Z())) {
        const arg1$2 = this$25.get__O();
        const entry$3 = arg1$2;
        const jsx$11 = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, nodeMapping$1) {
          return (function(entry$2$2) {
            const entry$2$1 = entry$2$2;
            const map$4 = entry$2$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1);
            const propertyMapping = $m_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(map$4);
            $m_Lorg_yaml_model_YNode$();
            const node$1 = entry$2$1.key$1;
            const name = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const field$5 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1;
            const this$30 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$5, name);
            const jsx$5 = nodeMapping$1.id$1;
            const str = entry$2$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
            const this$28 = new $c_Lamf_core_utils_package$Strings().init___T(str);
            const this$29 = this$28.platform$1;
            const url = this$28.str$1;
            const parent = ((jsx$5 + "/property/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$29, url));
            $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$30, parent);
            const this$31 = $this.ctx$1;
            const id$1 = propertyMapping.id$1;
            $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$31, "propertyMapping", id$1, map$4);
            const this$33 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$34 = this$33.key__T__s_Option("propertyTerm");
            if ((!this$34.isEmpty__Z())) {
              const arg1$3 = this$34.get__O();
              const entry$2$3 = arg1$3;
              const value$4 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$2$3.value$1, $this.ctx$1);
              const propertyTermId = value$4.string__Lamf_core_model_domain_AmfScalar().toString__T();
              const x1$2 = $this.ctx$1.declarations$2.findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(propertyTermId, $m_Lamf_core_parser_SearchScope$All$());
              if ($is_s_Some(x1$2)) {
                const x2$1 = x1$2;
                const propertyTerm = x2$1.value$2;
                const propertyId = propertyTerm.id$1;
                const field$6 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$6, propertyId)
              } else {
                const this$35 = $this.ctx$1;
                const node$2 = propertyMapping.id$1;
                const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyTermId]));
                const ast$1 = entry$2$3.value$1;
                $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$35, node$2, message$1, ast$1)
              }
            };
            const this$37 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$38 = this$37.key__T__s_Option("range");
            if ((!this$38.isEmpty__Z())) {
              const arg1$4 = this$38.get__O();
              const entry$3$1 = arg1$4;
              const this$39 = entry$3$1.value$1;
              const x1$3 = this$39.tag__Lorg_yaml_model_YTag().tagType$2;
              const x$1 = $m_Lorg_yaml_model_YType$().Seq$1;
              if ((x$1 === x1$3)) {
                const jsx$6 = entry$3$1.value$1;
                const reader = $m_Lorg_yaml_convert_YRead$StringYRead$();
                const this$41 = $m_sc_IndexedSeq$();
                const bf = this$41.ReusableCBF$6;
                const range = jsx$6.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), $this.ctx$1);
                const field$7 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$7, range)
              } else {
                const value$5 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$3$1.value$1, $this.ctx$1);
                const range$1 = value$5.string__Lamf_core_model_domain_AmfScalar().toString__T();
                if (((range$1 === "string") || ((range$1 === "integer") || ((range$1 === "boolean") || ((range$1 === "float") || ((range$1 === "decimal") || ((range$1 === "double") || ((range$1 === "duration") || ((range$1 === "dateTime") || ((range$1 === "time") || ((range$1 === "date") || ((range$1 === "anyUri") || (range$1 === "anyType"))))))))))))) {
                  const this$42 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  const range$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$42, range$1).iri__T();
                  const field$8 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$8, range$2)
                } else if ((range$1 === "number")) {
                  const this$44 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
                  const range$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$44, "number").iri__T();
                  const field$9 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$9, range$3)
                } else if ((range$1 === "uri")) {
                  const this$46 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  const range$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$46, "anyUri").iri__T();
                  const field$10 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$10, range$4)
                } else if ((range$1 === "any")) {
                  const this$48 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  const range$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$48, "anyType").iri__T();
                  const field$11 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$11, range$5)
                } else if ((range$1 === "anyNode")) {
                  const jsx$7 = $m_sc_Seq$();
                  const this$50 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
                  const range$6 = jsx$7.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$50, "anyNode").iri__T()]));
                  const field$12 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$12, range$6)
                } else {
                  const range$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([range$1]));
                  const field$13 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyMapping, field$13, range$7)
                }
              }
            };
            const this$53 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$54 = this$53.key__T__s_Option("mapKey");
            if ((!this$54.isEmpty__Z())) {
              const arg1$5 = this$54.get__O();
              const entry$4 = arg1$5;
              const propertyTermId$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$4.value$1, $this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
              const x1$4 = $this.ctx$1.declarations$2.findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(propertyTermId$1, $m_Lamf_core_parser_SearchScope$All$());
              if ($is_s_Some(x1$4)) {
                const x2$2 = x1$4;
                const term = x2$2.value$2;
                const key = term.id$1;
                const field$14 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$14, key)
              } else {
                const this$55 = $this.ctx$1;
                const node$3 = propertyMapping.id$1;
                const message$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyTermId$1]));
                const ast$2 = entry$4.value$1;
                $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$55, node$3, message$2, ast$2)
              }
            };
            const this$57 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$58 = this$57.key__T__s_Option("mapValue");
            if ((!this$58.isEmpty__Z())) {
              const arg1$6 = this$58.get__O();
              const entry$5 = arg1$6;
              const propertyTermId$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$5.value$1, $this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
              const x1$5 = $this.ctx$1.declarations$2.findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(propertyTermId$2, $m_Lamf_core_parser_SearchScope$All$());
              if ($is_s_Some(x1$5)) {
                const x2$3 = x1$5;
                const term$1 = x2$3.value$2;
                const value$6 = term$1.id$1;
                const field$15 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$15, value$6)
              } else {
                const this$59 = $this.ctx$1;
                const node$4 = propertyMapping.id$1;
                const message$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find property term with alias ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyTermId$2]));
                const ast$3 = entry$5.value$1;
                $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$59, node$4, message$3, ast$3)
              }
            };
            const this$61 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$62 = this$61.key__T__s_Option("mandatory");
            if ((!this$62.isEmpty__Z())) {
              const arg1$7 = this$62.get__O();
              const entry$6 = arg1$7;
              const required = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$6.value$1, $this.ctx$1).$boolean__Lamf_core_model_domain_AmfScalar().toBool__Z();
              const value$7 = (required ? 1 : 0);
              const field$16 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(propertyMapping, field$16, value$7)
            };
            const this$64 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$65 = this$64.key__T__s_Option("pattern");
            if ((!this$65.isEmpty__Z())) {
              const arg1$8 = this$65.get__O();
              const entry$7 = arg1$8;
              const value$8 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$7.value$1, $this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
              const field$17 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Pattern$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$17, value$8)
            };
            const this$67 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$68 = this$67.key__T__s_Option("minimum");
            if ((!this$68.isEmpty__Z())) {
              const arg1$9 = this$68.get__O();
              const entry$8 = arg1$9;
              const this$69 = entry$8.value$1;
              const x1$6 = this$69.tag__Lorg_yaml_model_YTag().tagType$2;
              const x$2 = $m_Lorg_yaml_model_YType$().Int$1;
              if ((x$2 === x1$6)) {
                const value$9 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$8.value$1, $this.ctx$1).integer__Lamf_core_model_domain_AmfScalar().value$1;
                const min = (value$9 | 0);
                const field$18 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$18, min)
              } else {
                const value$2$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$8.value$1, $this.ctx$1).$float__Lamf_core_model_domain_AmfScalar().value$1;
                const min$1 = (+value$2$1);
                const field$19 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$19, min$1)
              }
            };
            const this$71 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$72 = this$71.key__T__s_Option("maximum");
            if ((!this$72.isEmpty__Z())) {
              const arg1$10 = this$72.get__O();
              const entry$9 = arg1$10;
              const this$73 = entry$9.value$1;
              const x1$7 = this$73.tag__Lorg_yaml_model_YTag().tagType$2;
              const x$4 = $m_Lorg_yaml_model_YType$().Int$1;
              if ((x$4 === x1$7)) {
                const value$10 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$9.value$1, $this.ctx$1).integer__Lamf_core_model_domain_AmfScalar().value$1;
                const max = $fround((value$10 | 0));
                const field$20 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$20, max)
              } else {
                const value$2$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$9.value$1, $this.ctx$1).$float__Lamf_core_model_domain_AmfScalar().value$1;
                const max$1 = (+value$2$2);
                const field$21 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(propertyMapping, field$21, max$1)
              }
            };
            const this$75 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$76 = this$75.key__T__s_Option("allowMultiple");
            if ((!this$76.isEmpty__Z())) {
              const arg1$11 = this$76.get__O();
              const entry$10 = arg1$11;
              const value$11 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$10.value$1, $this.ctx$1).$boolean__Lamf_core_model_domain_AmfScalar().toBool__Z();
              const field$22 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(propertyMapping, field$22, value$11)
            };
            const this$78 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$79 = this$78.key__T__s_Option("sorted");
            if ((!this$79.isEmpty__Z())) {
              const arg1$12 = this$79.get__O();
              const entry$11 = arg1$12;
              const sorted = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$11.value$1, $this.ctx$1).$boolean__Lamf_core_model_domain_AmfScalar().toBool__Z();
              const field$23 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Sorted$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(propertyMapping, field$23, sorted)
            };
            const this$81 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$82 = this$81.key__T__s_Option("enum");
            if ((!this$82.isEmpty__Z())) {
              const arg1$13 = this$82.get__O();
              const entry$12 = arg1$13;
              const jsx$9 = entry$12.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), $this.ctx$1).nodes$3;
              const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
                return (function(node$2$1) {
                  const node$5 = node$2$1;
                  const x1$8 = node$5.value__Lorg_yaml_model_YValue();
                  if ($is_Lorg_yaml_model_YScalar(x1$8)) {
                    const x2$4 = x1$8;
                    return new $c_s_Some().init___O(x2$4.value$3)
                  } else {
                    const this$83 = $this$1.ctx$1;
                    $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$83, "Cannot create enumeration constraint from not scalar value", node$5);
                    return $m_s_None$()
                  }
                })
              })($this));
              const this$84 = $m_sc_IndexedSeq$();
              const values = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$84.ReusableCBF$6);
              const jsx$10 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($this);
              const this$85 = $m_sc_IndexedSeq$();
              propertyMapping.withEnum__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(values.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$10, this$85.ReusableCBF$6))
            };
            const this$87 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$88 = this$87.key__T__s_Option("typeDiscriminator");
            if ((!this$88.isEmpty__Z())) {
              const arg1$14 = this$88.get__O();
              const entry$13 = arg1$14;
              const types = entry$13.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1);
              const typeMapping = types.entries$3.foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$2) {
                return (function(x0$12$2, x1$3$2) {
                  const x0$12 = x0$12$2;
                  const x1$3$1 = x1$3$2;
                  const nodeMappingId = x1$3$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$2.ctx$1).text$3;
                  const self = x1$3$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$2.ctx$1).text$3;
                  return x0$12.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, nodeMappingId))
                })
              })($this)));
              propertyMapping.withTypeDiscriminator__sci_Map__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(typeMapping)
            };
            const this$92 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
            const this$93 = this$92.key__T__s_Option("typeDiscriminatorName");
            if ((!this$93.isEmpty__Z())) {
              const arg1$15 = this$93.get__O();
              const entry$14 = arg1$15;
              const name$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$14.value$1, $this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T();
              const field$24 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyMapping, field$24, name$1)
            };
            return propertyMapping
          })
        })(this, nodeMapping));
        const this$94 = $m_sc_IndexedSeq$();
        const properties = jsx$11.map__F1__scg_CanBuildFrom__O(jsx$4, this$94.ReusableCBF$6);
        const field$25 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(nodeMapping, field$25, properties)
      };
      const this$96 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
      const this$97 = this$96.key__T__s_Option("idTemplate");
      if ((!this$97.isEmpty__Z())) {
        const arg1$16 = this$97.get__O();
        const entry$4$1 = arg1$16;
        const template = entry$4$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1);
        this.validateTemplate__T__Lorg_yaml_model_YMap__sc_Seq__V(template, map$3, nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1));
        const field$26 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(nodeMapping, field$26, template)
      };
      x1$9 = new $c_s_Some().init___O(nodeMapping)
    } else {
      const x$3$1 = $m_Lorg_yaml_model_YType$().Str$1;
      let jsx$12;
      if ((x$3$1 === x1)) {
        const node$6 = entry$1.value$1;
        jsx$12 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$6).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()
      } else {
        jsx$12 = false
      };
      if (jsx$12) {
        const this$99 = this.ctx$1;
        const node$7 = entry$1.value$1;
        const x1$2$1 = $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__link__Lorg_yaml_model_YNode__s_util_Either(this$99, node$7);
        let refTuple;
        if ($is_s_util_Left(x1$2$1)) {
          const x2$5 = x1$2$1;
          const key$1 = x2$5.value$2;
          refTuple = new $c_T2().init___O__O(key$1, this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(key$1, $m_Lamf_core_parser_SearchScope$Fragments$()))
        } else {
          const text = entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
          refTuple = new $c_T2().init___O__O(text, this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$Named$()))
        };
        matchEnd8: {
          if ((refTuple !== null)) {
            const text$2 = refTuple.$$und1__O();
            const p2 = refTuple.$$und2__O();
            if ((text$2 !== null)) {
              if ($is_s_Some(p2)) {
                const x3 = p2;
                const s = x3.value$2;
                const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.value$1);
                const this$100 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations$1);
                const field$27 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
                const linkedNode = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$100, field$27, text$2);
                f(linkedNode);
                x1$9 = new $c_s_Some().init___O(linkedNode);
                break matchEnd8
              }
            }
          };
          if ((refTuple !== null)) {
            const text$3 = refTuple.$$und1__O();
            if ((text$3 !== null)) {
              const linkedNode$2 = $m_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping(this.map$1);
              f(linkedNode$2);
              const refAst = this.map$1;
              const ctx = this.ctx$1;
              $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode$2, text$3, refAst, ctx);
              x1$9 = new $c_s_Some().init___O(linkedNode$2);
              break matchEnd8
            }
          };
          throw new $c_s_MatchError().init___O(refTuple)
        }
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Include$1;
        let jsx$13;
        if ((x$5 === x1)) {
          const node$8 = entry$1.value$1;
          jsx$13 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$8).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()
        } else {
          jsx$13 = false
        };
        if (jsx$13) {
          const this$102 = this.ctx$1;
          const node$9 = entry$1.value$1;
          const x1$4$1 = $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__link__Lorg_yaml_model_YNode__s_util_Either(this$102, node$9);
          let refTuple$2;
          if ($is_s_util_Left(x1$4$1)) {
            const x2$2$1 = x1$4$1;
            const key$2 = x2$2$1.value$2;
            refTuple$2 = new $c_T2().init___O__O(key$2, this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(key$2, $m_Lamf_core_parser_SearchScope$Fragments$()))
          } else {
            const text$4 = entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
            refTuple$2 = new $c_T2().init___O__O(text$4, this.ctx$1.declarations$2.findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(text$4, $m_Lamf_core_parser_SearchScope$Named$()))
          };
          matchEnd8$2: {
            if ((refTuple$2 !== null)) {
              const text$5 = refTuple$2.$$und1__O();
              const p2$2 = refTuple$2.$$und2__O();
              if ((text$5 !== null)) {
                if ($is_s_Some(p2$2)) {
                  const x3$2 = p2$2;
                  const s$2 = x3$2.value$2;
                  const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.value$1);
                  const this$103 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s$2, text$5, annotations$2);
                  const field$28 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
                  const linkedNode$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$103, field$28, text$5);
                  f(linkedNode$3);
                  x1$9 = new $c_s_Some().init___O(linkedNode$3);
                  break matchEnd8$2
                }
              }
            };
            if ((refTuple$2 !== null)) {
              const text$6 = refTuple$2.$$und1__O();
              if ((text$6 !== null)) {
                const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
                const arg1$17 = new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
                const nodeMappingTmp = f(arg1$17);
                const thiz = nodeMappingTmp.id$1;
                const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
                const this$109 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
                const suffix = $f_sc_IndexedSeqOptimized__head__O(this$109);
                const this$112 = this.ctx$1;
                const thiz$1 = nodeMappingTmp.id$1;
                const node$10 = thiz$1.split(suffix).join("");
                const ast$4 = entry$1.value$1;
                $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingFragmentViolation__T__T__Lorg_yaml_model_YPart__V(this$112, text$6, node$10, ast$4);
                x1$9 = $m_s_None$();
                break matchEnd8$2
              }
            };
            throw new $c_s_MatchError().init___O(refTuple$2)
          }
        } else {
          x1$9 = $m_s_None$()
        }
      }
    };
    if ($is_s_Some(x1$9)) {
      const x2$6 = x1$9;
      const encoded = x2$6.value$2;
      fragment.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1, encoded, new $c_Lamf_core_parser_Annotations().init___())
    };
    return fragment
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsParser", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser: 1,
  O: 1,
  Lamf_core_parser_BaseSpecParser: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations extends $c_Lamf_core_parser_Declarations {
  constructor() {
    super();
    this.dialectDomainElements$2 = null;
    this.errorHandler$2 = null;
    this.futureDeclarations$2 = null
  };
  getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(alias) {
    const x1 = this.libraries$1.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lib = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(lib)) {
        const x3 = lib;
        return x3
      }
    };
    const x$28 = this.errorHandler$2;
    const x$29 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
    const x$30 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations().init___sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$30, x$28, x$29);
    this.libraries$1 = this.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, result));
    return result
  };
  declarables__sc_Seq() {
    const this$1 = this.dialectDomainElements$2;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    const this$3 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$3);
    const this$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf);
    return $f_sc_SetLike__toSeq__sc_Seq(this$4)
  };
  registerDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(name, dialectDomainElement) {
    this.dialectDomainElements$2 = this.dialectDomainElements$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(name, dialectDomainElement));
    if ((!dialectDomainElement.isUnresolved$1)) {
      const this$3 = this.futureDeclarations$2;
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$3, name, dialectDomainElement)
    };
    return this
  };
  init___sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(dialectDomainElements, errorHandler, futureDeclarations) {
    this.dialectDomainElements$2 = dialectDomainElements;
    this.errorHandler$2 = errorHandler;
    this.futureDeclarations$2 = futureDeclarations;
    $c_Lamf_core_parser_Declarations.prototype.init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations.call(this, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), errorHandler, futureDeclarations);
    return this
  };
  findAnyDialectDomainElement__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.dialectDomainElements$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_parser_SearchScope$Scope__s_Option(key, nodeMapping, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.dialectDomainElements$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping(this, nodeMapping);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceDeclarations", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations: 1,
  Lamf_core_parser_Declarations: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations;
class $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser extends $c_O {
  constructor() {
    super();
    this.root$1 = null;
    this.ctx$1 = null;
    this.map$1 = null;
    this.vocabulary$1 = null
  };
  parseDocument__Lamf_core_model_document_BaseUnit() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("base");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const value = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry.value$1, this.ctx$1);
      const this$4 = this.vocabulary$1;
      const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Base$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value$1, annotations)
    };
    const map$1 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$7 = this$6.key__T__s_Option("vocabulary");
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const entry$3 = arg1$1;
      const value$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$3.value$1, this.ctx$1);
      const this$8 = this.vocabulary$1;
      const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Name$1;
      const value$3 = value$2.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field$1, value$3, annotations$1)
    };
    const map$2 = this.map$1;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$11 = this$10.key__T__s_Option("usage");
    if ((!this$11.isEmpty__Z())) {
      const arg1$2 = this$11.get__O();
      const entry$4 = arg1$2;
      const value$4 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$4.value$1, this.ctx$1);
      const this$12 = this.vocabulary$1;
      const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Usage$1;
      const value$5 = value$4.string__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value$5, annotations$2)
    };
    const this$13 = this.vocabulary$1;
    const location = this.root$1.location$1;
    const field$3 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field$3, location);
    const this$17 = this.vocabulary$1;
    const this$14 = this.vocabulary$1;
    const this$15 = this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Base$1);
    const this$16 = this$15.option$1;
    const parent = (this$16.isEmpty__Z() ? null : this$16.get__O());
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$17, parent);
    const this$18 = this.ctx$1;
    const id = this.vocabulary$1.id$1;
    const map$3 = this.map$1;
    $f_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$18, "vocabulary", id, map$3);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser().init___Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext(this.map$1, this.root$1.references$1, this.ctx$1);
    const this$19 = this.vocabulary$1;
    const this$20 = this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Base$1);
    const this$21 = this$20.option$1;
    const references = jsx$1.parse__T__Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations((this$21.isEmpty__Z() ? null : this$21.get__O()));
    const this$22 = this.ctx$1.declarations$2.externals$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$22)) {
      const this$25 = this.vocabulary$1;
      const this$23 = this.ctx$1.declarations$2.externals$2;
      const this$24 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$23);
      const externals = this$24.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$25, field$4, externals)
    };
    this.parseClassTerms__Lorg_yaml_model_YMap__V(this.map$1);
    this.parsePropertyTerms__Lorg_yaml_model_YMap__V(this.map$1);
    const declarables = this.ctx$1.terms__sc_Seq();
    const this$33 = this.ctx$1.imported$2;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ((x0$3 !== null)) {
          const alias = x0$3.$$und1__O();
          const library = x0$3.$$und2__O();
          const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
          const this$29 = new $c_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
          const field$5 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Alias$1;
          const this$30 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$29, field$5, alias);
          const reference = library.id$1;
          const field$6 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Reference$1;
          const this$31 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$30, field$6, reference);
          const parent$1 = this$4$1.vocabulary$1.id$1;
          return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$31, parent$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    const this$32 = $m_sci_Iterable$();
    const bf = this$32.ReusableCBFInstance$2;
    const imported = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$33, f, bf);
    if ($f_sc_TraversableOnce__nonEmpty__Z(imported)) {
      const this$34 = this.vocabulary$1;
      const vocabularies = imported.toSeq__sc_Seq();
      const field$7 = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$34, field$7, vocabularies)
    };
    if (declarables.nonEmpty__Z()) {
      const this$35 = this.vocabulary$1;
      const field$8 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$35, field$8, declarables)
    };
    const this$36 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$36)) {
      const this$37 = this.vocabulary$1;
      const references$1 = references.baseUnitReferences__sc_Seq();
      const field$9 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$37, field$9, references$1)
    };
    this.ctx$1.pendingLocal$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const term = x0$4.$$und1$1;
          const location$1 = x0$4.$$und3$1;
          const this$38 = this$5$1.ctx$1;
          const node = this$5$1.vocabulary$1.id$1;
          $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$38, term, node, location$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this)));
    return this.vocabulary$1
  };
  parsePropertyTerm__Lorg_yaml_model_YMapEntry__V(propertyTermDeclaration) {
    const this$1 = propertyTermDeclaration.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    let propertyTerm;
    if ((x === x1)) {
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(propertyTermDeclaration);
      propertyTerm = new $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
    } else {
      const map = propertyTermDeclaration.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const x1$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("range");
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2)) {
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(propertyTermDeclaration);
        propertyTerm = new $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)
      } else {
        if ((!$is_s_Some(x1$2))) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        const x2 = x1$2;
        const value = x2.value$2;
        const x1$3 = value.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        if (((x1$3 === "string") || ((x1$3 === "integer") || ((x1$3 === "float") || ((x1$3 === "boolean") || ((x1$3 === "uri") || ((x1$3 === "any") || ((x1$3 === "time") || ((x1$3 === "date") || (x1$3 === "dateTime")))))))))) {
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(propertyTermDeclaration);
          propertyTerm = new $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2)
        } else {
          const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(propertyTermDeclaration);
          propertyTerm = new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
        }
      }
    };
    const propertyTermAlias = propertyTermDeclaration.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyTerm, field, propertyTermAlias);
    const x1$4 = this.ctx$1.resolvePropertyTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(this.vocabulary$1.id$1, propertyTermAlias, propertyTermDeclaration.key$1, false);
    const x$5 = $m_s_None$();
    if ((x$5 === x1$4)) {
      const this$11 = this.ctx$1;
      const node = this.vocabulary$1.id$1;
      const ast = propertyTermDeclaration.key$1;
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$11, propertyTermAlias, node, ast)
    } else if ($is_s_Some(x1$4)) {
      const x2$2 = x1$4;
      const id = x2$2.value$2;
      propertyTerm.id$1 = id
    } else {
      throw new $c_s_MatchError().init___O(x1$4)
    };
    const this$12 = propertyTermDeclaration.value$1;
    const x1$5 = this$12.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$7 = $m_Lorg_yaml_model_YType$().Null$1;
    if ((!(x$7 === x1$5))) {
      const propertyTermMap = propertyTermDeclaration.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$13 = this.ctx$1;
      const id$1 = propertyTerm.id$1;
      $f_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$13, "propertyTerm", id$1, propertyTermMap);
      const this$15 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(propertyTermMap);
      const this$16 = this$15.key__T__s_Option("displayName");
      if ((!this$16.isEmpty__Z())) {
        const arg1 = this$16.get__O();
        const entry = arg1;
        const value$1 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry.value$1, this.ctx$1);
        const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().DisplayName$1;
        const value$2 = value$1.string__Lamf_core_model_domain_AmfScalar();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(propertyTerm, field$1, value$2)
      };
      const this$18 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(propertyTermMap);
      const this$19 = this$18.key__T__s_Option("description");
      if ((!this$19.isEmpty__Z())) {
        const arg1$1 = this$19.get__O();
        const entry$3 = arg1$1;
        const value$3 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$3.value$1, this.ctx$1);
        const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Description$1;
        const value$4 = value$3.string__Lamf_core_model_domain_AmfScalar();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(propertyTerm, field$2, value$4)
      };
      const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(propertyTermMap);
      const this$22 = this$21.key__T__s_Option("range");
      if ((!this$22.isEmpty__Z())) {
        const arg1$2 = this$22.get__O();
        const entry$4 = arg1$2;
        const x1$1 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        let rangeId;
        if ((x1$1 === "uri")) {
          const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          rangeId = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "anyUri").iri__T())
        } else if ((x1$1 === "any")) {
          const this$25 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          rangeId = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "anyType").iri__T())
        } else if (((x1$1 === "string") || ((x1$1 === "integer") || ((x1$1 === "float") || ((x1$1 === "boolean") || ((x1$1 === "time") || ((x1$1 === "date") || (x1$1 === "dateTime")))))))) {
          const this$27 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const id$2 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
          rangeId = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, id$2).iri__T())
        } else {
          const x1$2$1 = this.ctx$1.resolveClassTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(this.vocabulary$1.id$1, x1$1, entry$4.value$1, true);
          if ($is_s_Some(x1$2$1)) {
            const x2$1 = x1$2$1;
            const classTermId = x2$1.value$2;
            rangeId = new $c_s_Some().init___O(classTermId)
          } else {
            const x$1 = $m_s_None$();
            if ((!(x$1 === x1$2$1))) {
              throw new $c_s_MatchError().init___O(x1$2$1)
            };
            const this$29 = this.ctx$1;
            const node$1 = this.vocabulary$1.id$1;
            const ast$1 = entry$4.value$1;
            $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$29, x1$1, node$1, ast$1);
            rangeId = $m_s_None$()
          }
        };
        matchEnd6: {
          if ($is_s_Some(rangeId)) {
            const x2$2$1 = rangeId;
            const id$3 = x2$2$1.value$2;
            if ((id$3 !== null)) {
              const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Range$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(propertyTerm, field$3, id$3);
              break matchEnd6
            }
          };
          const x$3$1 = $m_s_None$();
          if ((x$3$1 === rangeId)) {
            break matchEnd6
          };
          throw new $c_s_MatchError().init___O(rangeId)
        }
      };
      const this$31 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(propertyTermMap);
      const this$32 = this$31.key__T__s_Option("extends");
      if ((!this$32.isEmpty__Z())) {
        const arg1$3 = this$32.get__O();
        const entry$5 = arg1$3;
        const this$33 = entry$5.value$1;
        const x1$6 = this$33.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Str$1;
        let refs;
        if ((x$2 === x1$6)) {
          refs = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$5.value$1, this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T()]))
        } else {
          const x$3$2 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((!(x$3$2 === x1$6))) {
            throw new $c_s_MatchError().init___O(x1$6)
          };
          const jsx$2 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$5.value$1, this.ctx$1).nodes__T2().$$und1__O();
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(x$13$2) {
              const x$13 = x$13$2;
              return x$13.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3
            })
          })(this));
          const this$34 = $m_sc_Seq$();
          refs = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$34.ReusableCBFInstance$2)
        };
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, entry$1) {
          return (function(term$2) {
            const term = term$2;
            const x1$7 = this$2$1.ctx$1.resolvePropertyTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(this$2$1.vocabulary$1.id$1, term, entry$1.value$1, true);
            if ($is_s_Some(x1$7)) {
              const x2$3 = x1$7;
              const v = x2$3.value$2;
              return new $c_s_Some().init___O(v)
            } else {
              const x$4 = $m_s_None$();
              if ((x$4 === x1$7)) {
                const this$35 = this$2$1.ctx$1;
                const node$2 = this$2$1.vocabulary$1.id$1;
                const ast$2 = entry$1.value$1;
                $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$35, term, node$2, ast$2);
                return $m_s_None$()
              } else {
                throw new $c_s_MatchError().init___O(x1$7)
              }
            }
          })
        })(this, entry$5));
        const this$36 = $m_sc_Seq$();
        const jsx$4 = refs.map__F1__scg_CanBuildFrom__O(jsx$5, this$36.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$14$2) {
            const x$14 = x$14$2;
            return x$14.isDefined__Z()
          })
        })(this)));
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(x$15$2) {
            const x$15 = x$15$2;
            return x$15.get__O()
          })
        })(this));
        const this$37 = $m_sc_Seq$();
        const superClasses = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$37.ReusableCBFInstance$2);
        const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(propertyTerm, field$4, superClasses)
      }
    };
    this.ctx$1.register__T__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__V(propertyTermAlias, propertyTerm)
  };
  parsePropertyTerms__Lorg_yaml_model_YMap__V(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("propertyTerms");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const classDeclarations = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      classDeclarations.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(propertyTermDeclaration$2) {
          const propertyTermDeclaration = propertyTermDeclaration$2;
          $this.parsePropertyTerm__Lorg_yaml_model_YMapEntry__V(propertyTermDeclaration)
        })
      })(this)))
    }
  };
  init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext(root, ctx) {
    this.root$1 = root;
    this.ctx$1 = ctx;
    this.map$1 = root.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_Vocabulary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = root.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    this.vocabulary$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    return this
  };
  parseClassTerms__Lorg_yaml_model_YMap__V(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("classTerms");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const classDeclarations = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      classDeclarations.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(classTermDeclaration$2) {
          const classTermDeclaration = classTermDeclaration$2;
          $this.parseClassTerm__Lorg_yaml_model_YMapEntry__V(classTermDeclaration)
        })
      })(this)))
    }
  };
  parseClassTerm__Lorg_yaml_model_YMapEntry__V(classTermDeclaration) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(classTermDeclaration);
    const classTerm = new $c_Lamf_plugins_document_vocabularies_model_domain_ClassTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const classTermAlias = classTermDeclaration.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(classTerm, field, classTermAlias);
    const x1 = this.ctx$1.resolveClassTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(this.vocabulary$1.id$1, classTermAlias, classTermDeclaration.key$1, false);
    const x = $m_s_None$();
    if ((x === x1)) {
      const this$3 = this.ctx$1;
      const node = this.vocabulary$1.id$1;
      const ast = classTermDeclaration.key$1;
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$3, classTermAlias, node, ast)
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const id = x2.value$2;
      classTerm.id$1 = id
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$4 = classTermDeclaration.value$1;
    const x1$2 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
    if ((!(x$3 === x1$2))) {
      const classTermMap = classTermDeclaration.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$5 = this.ctx$1;
      const id$1 = classTerm.id$1;
      $f_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax__closedNode__T__T__Lorg_yaml_model_YMap__V(this$5, "classTerm", id$1, classTermMap);
      const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(classTermMap);
      const this$8 = this$7.key__T__s_Option("displayName");
      if ((!this$8.isEmpty__Z())) {
        const arg1 = this$8.get__O();
        const entry = arg1;
        const value = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry.value$1, this.ctx$1);
        const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().DisplayName$1;
        const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(classTerm, field$1, value$1)
      };
      const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(classTermMap);
      const this$11 = this$10.key__T__s_Option("description");
      if ((!this$11.isEmpty__Z())) {
        const arg1$1 = this$11.get__O();
        const entry$3 = arg1$1;
        const value$2 = new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$3.value$1, this.ctx$1);
        const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Description$1;
        const value$3 = value$2.string__Lamf_core_model_domain_AmfScalar();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(classTerm, field$2, value$3)
      };
      const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(classTermMap);
      const this$14 = this$13.key__T__s_Option("properties");
      if ((!this$14.isEmpty__Z())) {
        const arg1$2 = this$14.get__O();
        const entry$4 = arg1$2;
        const this$15 = entry$4.value$1;
        const x1$1 = this$15.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$1 = $m_Lorg_yaml_model_YType$().Str$1;
        let refs;
        if ((x$1 === x1$1)) {
          refs = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$4.value$1, this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T()]))
        } else {
          const x$3$1 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((!(x$3$1 === x1$1))) {
            throw new $c_s_MatchError().init___O(x1$1)
          };
          const jsx$2 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$4.value$1, this.ctx$1).nodes__T2().$$und1__O();
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(x$7$2) {
              const x$7 = x$7$2;
              return x$7.value__Lorg_yaml_model_YValue().toString__T()
            })
          })(this));
          const this$16 = $m_sc_Seq$();
          refs = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$16.ReusableCBFInstance$2)
        };
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, entry$1) {
          return (function(term$2) {
            const term = term$2;
            const x1$3 = this$2$1.ctx$1.resolvePropertyTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(this$2$1.vocabulary$1.id$1, term, entry$1.value$1, true);
            if ($is_s_Some(x1$3)) {
              const x2$1 = x1$3;
              const v = x2$1.value$2;
              return new $c_s_Some().init___O(v)
            } else {
              const x$2 = $m_s_None$();
              if ((x$2 === x1$3)) {
                const this$17 = this$2$1.ctx$1;
                const node$1 = this$2$1.vocabulary$1.id$1;
                const ast$1 = entry$1.value$1;
                $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$17, term, node$1, ast$1);
                return $m_s_None$()
              } else {
                throw new $c_s_MatchError().init___O(x1$3)
              }
            }
          })
        })(this, entry$4));
        const this$18 = $m_sc_Seq$();
        const jsx$4 = refs.map__F1__scg_CanBuildFrom__O(jsx$5, this$18.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$8$2) {
            const x$8 = x$8$2;
            return x$8.isDefined__Z()
          })
        })(this)));
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(x$9$2) {
            const x$9 = x$9$2;
            return x$9.get__O()
          })
        })(this));
        const this$19 = $m_sc_Seq$();
        const properties = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$19.ReusableCBFInstance$2);
        if (properties.nonEmpty__Z()) {
          const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Properties$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(classTerm, field$3, properties)
        }
      };
      const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(classTermMap);
      const this$22 = this$21.key__T__s_Option("extends");
      if ((!this$22.isEmpty__Z())) {
        const arg1$3 = this$22.get__O();
        const entry$5 = arg1$3;
        const this$23 = entry$5.value$1;
        const x1$4 = this$23.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$4 = $m_Lorg_yaml_model_YType$().Str$1;
        let refs$1;
        if ((x$4 === x1$4)) {
          refs$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_parser_ValueNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$5.value$1, this.ctx$1).string__Lamf_core_model_domain_AmfScalar().toString__T()]))
        } else {
          const x$3$2 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((!(x$3$2 === x1$4))) {
            throw new $c_s_MatchError().init___O(x1$4)
          };
          const jsx$7 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(entry$5.value$1, this.ctx$1).nodes__T2().$$und1__O();
          const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
            return (function(x$10$2) {
              const x$10 = x$10$2;
              return x$10.value__Lorg_yaml_model_YValue().toString__T()
            })
          })(this));
          const this$24 = $m_sc_Seq$();
          refs$1 = jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$24.ReusableCBFInstance$2)
        };
        const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, entry$2) {
          return (function(term$2$1) {
            const term$1 = term$2$1;
            const x1$5 = this$2$2.ctx$1.resolveClassTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(this$2$2.vocabulary$1.id$1, term$1, entry$2.value$1, true);
            if ($is_s_Some(x1$5)) {
              const x2$2 = x1$5;
              const v$1 = x2$2.value$2;
              return new $c_s_Some().init___O(v$1)
            } else {
              const x$5 = $m_s_None$();
              if ((x$5 === x1$5)) {
                const this$25 = this$2$2.ctx$1;
                const node$2 = this$2$2.vocabulary$1.id$1;
                const ast$2 = entry$2.value$1;
                $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__missingTermViolation__T__T__Lorg_yaml_model_YPart__V(this$25, term$1, node$2, ast$2);
                return $m_s_None$()
              } else {
                throw new $c_s_MatchError().init___O(x1$5)
              }
            }
          })
        })(this, entry$5));
        const this$26 = $m_sc_Seq$();
        const jsx$9 = refs$1.map__F1__scg_CanBuildFrom__O(jsx$10, this$26.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2) {
          return (function(x$11$2) {
            const x$11 = x$11$2;
            return x$11.isDefined__Z()
          })
        })(this)));
        const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$2) {
          return (function(x$12$2) {
            const x$12 = x$12$2;
            return x$12.get__O()
          })
        })(this));
        const this$27 = $m_sc_Seq$();
        const superClasses = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$27.ReusableCBFInstance$2);
        const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(classTerm, field$4, superClasses)
      }
    };
    this.ctx$1.register__T__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__V(classTermAlias, classTerm)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser: 0
}, false, "amf.plugins.document.vocabularies.parser.vocabularies.VocabulariesParser", {
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser: 1,
  O: 1,
  Lamf_core_parser_BaseSpecParser: 1
});
$c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser;
class $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations extends $c_Lamf_core_parser_Declarations {
  constructor() {
    super();
    this.externals$2 = null;
    this.classTerms$2 = null;
    this.propertyTerms$2 = null;
    this.errorHandler$2 = null
  };
  init___sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(externals, classTerms, propertyTerms, libs, errorHandler, futureDeclarations) {
    this.externals$2 = externals;
    this.classTerms$2 = classTerms;
    this.propertyTerms$2 = propertyTerms;
    this.errorHandler$2 = errorHandler;
    $c_Lamf_core_parser_Declarations.prototype.init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations.call(this, libs, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), errorHandler, futureDeclarations);
    return this
  };
  getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations(alias) {
    const x1 = this.libraries$1.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lib = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations(lib)) {
        const x3 = lib;
        return x3
      }
    };
    const x$16 = this.errorHandler$2;
    const x$17 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
    const x$18 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$19 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$20 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$21 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations().init___sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$18, x$19, x$20, x$21, x$16, x$17);
    this.libraries$1 = this.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, result));
    return result
  };
  registerTerm__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__V(term) {
    const this$1 = term.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Name$1);
    const this$2 = this$1.option$1;
    const thiz = (this$2.isEmpty__Z() ? null : this$2.get__O());
    if ((!((thiz.indexOf(".") | 0) !== (-1)))) {
      const jsx$1 = this.propertyTerms$2;
      const this$6 = term.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Name$1);
      const this$7 = this$6.option$1;
      const self = (this$7.isEmpty__Z() ? null : this$7.get__O());
      this.propertyTerms$2 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, term))
    }
  };
  getPropertyTermId__T__s_Option(alias) {
    const x1 = this.propertyTerms$2.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pt = x2.value$2;
      return new $c_s_Some().init___O(pt.id$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  registerTerm__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__V(term) {
    const this$1 = term.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Name$1);
    const this$2 = this$1.option$1;
    const thiz = (this$2.isEmpty__Z() ? null : this$2.get__O());
    if ((!((thiz.indexOf(".") | 0) !== (-1)))) {
      const jsx$1 = this.classTerms$2;
      const this$6 = term.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Name$1);
      const this$7 = this$6.option$1;
      const self = (this$7.isEmpty__Z() ? null : this$7.get__O());
      this.classTerms$2 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, term))
    }
  };
  getClassTermId__T__s_Option(alias) {
    const x1 = this.classTerms$2.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ct = x2.value$2;
      return new $c_s_Some().init___O(ct.id$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations: 0
}, false, "amf.plugins.document.vocabularies.parser.vocabularies.VocabularyDeclarations", {
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations: 1,
  Lamf_core_parser_Declarations: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations;
class $c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null;
    this.cleanRefs$2 = null;
    this.cleanDecls$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.cleanRefs$2 = new $c_Lamf_core_resolution_stages_CleanReferencesStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    this.cleanDecls$2 = new $c_Lamf_core_resolution_stages_DeclarationsRemovalStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.cleanRefs$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.cleanDecls$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline: 0
}, false, "amf.plugins.document.vocabularies.resolution.pipelines.DialectInstanceResolutionPipeline", {
  Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline;
class $c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage().init___T($m_Lamf_ProfileNames$().AMF$1);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline: 0
}, false, "amf.plugins.document.vocabularies.resolution.pipelines.DialectResolutionPipeline", {
  Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline;
class $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null;
    this.model$2 = null;
    this.modelResolver$2 = null;
    this.mutuallyRecursive$2 = null
  };
  transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element, isCycle) {
    let rc5 = false;
    let x2 = null;
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      rc5 = true;
      x2 = element;
      const this$1 = x2;
      if (($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z() && (!isCycle))) {
        const this$2 = x2;
        return new $c_s_Some().init___O(this.resolveLinked__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2).get__O()))
      }
    };
    let jsx$1;
    if (rc5) {
      const this$3 = x2;
      jsx$1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$3).isDefined__Z()
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return new $c_s_Some().init___O(x2)
    };
    return new $c_s_Some().init___O(element)
  };
  resolveLinked__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(element) {
    if (this.mutuallyRecursive$2.contains__O__Z(element.id__T())) {
      return element
    } else {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const nested = new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      nested.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1, element, new $c_Lamf_core_parser_Annotations().init___());
      const jsx$4 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage().init___T(this.profile$2);
      const jsx$3 = this.modelResolver$2;
      const jsx$2 = this.mutuallyRecursive$2;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element.id__T()]));
      const this$6 = $m_sc_Seq$();
      const result = jsx$4.recursiveResolveInvocation__Lamf_core_model_document_BaseUnit__s_Option__sc_Seq__Lamf_core_model_document_BaseUnit(nested, jsx$3, jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2));
      const this$7 = result;
      return this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1)
    }
  };
  recursiveResolveInvocation__Lamf_core_model_document_BaseUnit__s_Option__sc_Seq__Lamf_core_model_document_BaseUnit(model, modelResolver, mutuallyRecursive) {
    this.mutuallyRecursive$2 = mutuallyRecursive;
    this.model$2 = new $c_s_Some().init___O(model);
    this.modelResolver$2 = new $c_s_Some().init___O((modelResolver.isEmpty__Z() ? new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(model) : modelResolver.get__O()));
    return model.transform__F1__F2__Lamf_core_model_document_BaseUnit(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(element$2) {
        const element = element$2;
        return this$2.findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$3.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this)))
  };
  init___T(profile) {
    this.profile$2 = profile;
    this.model$2 = $m_s_None$();
    this.modelResolver$2 = $m_s_None$();
    this.mutuallyRecursive$2 = $m_sci_Nil$();
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    this.model$2 = new $c_s_Some().init___O(model);
    this.modelResolver$2 = new $c_s_Some().init___O(new $c_Lamf_core_resolution_stages_ModelReferenceResolver().init___Lamf_core_model_document_BaseUnit(model));
    return model.transform__F1__F2__Lamf_core_model_document_BaseUnit(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $this.findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$2.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this)))
  };
  findLinkPredicates__Lamf_core_model_domain_DomainElement__Z(element) {
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      const this$1 = element;
      return $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()
    } else {
      return false
    }
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage: 0
}, false, "amf.plugins.document.vocabularies.resolution.stages.DialectInstanceReferencesResolutionStage", {
  Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectInstanceReferencesResolutionStage;
class $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  findDeclarations__Lamf_core_model_document_BaseUnit__sci_Map__sci_Map(model, acc) {
    let updateDeclarations;
    if ($is_Lamf_core_model_document_DeclaresModel(model)) {
      const jsx$2 = model.declares__sc_Seq();
      const jsx$1 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1().init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage(this);
      const this$1 = $m_sc_Seq$();
      updateDeclarations = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).foldLeft__O__F2__O(acc, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
        return (function(x0$1$2, x1$1$2) {
          const x0$1 = x0$1$2;
          const x1$1 = x1$1$2;
          return x0$1.updated__O__O__sci_Map(x1$1.id$1, x1$1)
        })
      })(this)))
    } else {
      updateDeclarations = acc
    };
    const jsx$4 = model.references__sc_Seq();
    const jsx$3 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3().init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage(this);
    const this$2 = $m_sc_Seq$();
    return jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).foldLeft__O__F2__O(updateDeclarations, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(x0$2$2, x1$2$2) {
        const x0$2 = x0$2$2;
        const x1$2 = x1$2$2;
        return this$2$1.findDeclarations__Lamf_core_model_document_BaseUnit__sci_Map__sci_Map(x1$2, x0$2)
      })
    })(this)))
  };
  findVocabularies__Lamf_core_model_document_BaseUnit__sci_Set__sci_Set(model, acc) {
    const updateDeclarations = model.references__sc_Seq().foldLeft__O__F2__O(acc, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$4$2, x1$4$2) {
        const x0$4 = x0$4$2;
        const x1$4 = x1$4$2;
        const jsx$2 = x1$4.references__sc_Seq();
        const jsx$1 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1().init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage($this);
        const this$1 = $m_sc_Seq$();
        return x0$4.$$plus$plus__sc_GenTraversableOnce__sc_Set(jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
      })
    })(this)));
    const jsx$4 = model.references__sc_Seq();
    const jsx$3 = new $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3().init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage(this);
    const this$2 = $m_sc_Seq$();
    return jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).foldLeft__O__F2__O(updateDeclarations, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(x0$5$2, x1$5$2) {
        const x0$5 = x0$5$2;
        const x1$5 = x1$5$2;
        return this$2$1.findVocabularies__Lamf_core_model_document_BaseUnit__sci_Set__sci_Set(x1$5, x0$5)
      })
    })(this)))
  };
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const allDeclarations = this.findDeclarations__Lamf_core_model_document_BaseUnit__sci_Map__sci_Map(model, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
    const allExternals = this.findExternals__Lamf_core_model_document_BaseUnit__sci_Set__sci_Set(model, $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()));
    const allVocabularies = this.findVocabularies__Lamf_core_model_document_BaseUnit__sci_Set__sci_Set(model, $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()));
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(allDeclarations);
    const this$1 = $m_sc_Iterable$();
    const bf = this$1.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O(this$2, bf);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ((x0$6 !== null)) {
          const mapping = x0$6.$$und1__O();
          const i = x0$6.$$und2$mcI$sp__I();
          if ((mapping !== null)) {
            if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(mapping).isDefined__Z()) {
              const target = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(mapping).get__O();
              const fields = new $c_Lamf_core_parser_Fields().init___();
              const this$4 = target.fields$1;
              const this$7 = this$4.fs$1;
              const this$5 = $m_Lamf_core_parser_FieldEntry$();
              const f = $f_F2__tupled__F1(this$5);
              const this$6 = $m_sci_Iterable$();
              const bf$1 = this$6.ReusableCBFInstance$2;
              $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$7, f, bf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, fields$1) {
                return (function(entry$2) {
                  const entry = entry$2;
                  return fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(entry.field$1, entry.value$1.value$1, entry.value$1.annotations$1)
                })
              })($this, fields)));
              const this$9 = new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, new $c_Lamf_core_parser_Annotations().init___());
              const value = mapping.id$1;
              const this$10 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, value);
              const name = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["node", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i]));
              const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field, name)
            } else {
              const name$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["node", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i]));
              const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(mapping, field$1, name$1)
            }
          }
        };
        throw new $c_s_MatchError().init___O(x0$6)
      })
    })(this));
    const this$11 = $m_sc_Iterable$();
    const finalDeclarations = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$11.ReusableCBFInstance$2).toSeq__sc_Seq();
    const this$12 = $m_sci_Set$();
    const bf$2 = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$12);
    const vocabulariesAliases = $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O(allVocabularies, bf$2).foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(x0$7$2, x1$6$2) {
        const x0$7 = x0$7$2;
        const x1$6 = x1$6$2;
        const x1 = new $c_T2().init___O__O(x0$7, x1$6);
        const acc = x1.$$und1$f;
        const p2 = x1.$$und2$f;
        if ((p2 !== null)) {
          const vocab = p2.$$und1__O();
          const i$1 = p2.$$und2$mcI$sp__I();
          return acc.updated__O__O__sci_Map(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["vocab", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i$1])), new $c_T2().init___O__O(vocab.id$1, vocab.id$1))
        };
        throw new $c_s_MatchError().init___O(x1)
      })
    })(this)));
    const jsx$5 = $f_sc_SetLike__toSeq__sc_Seq(allExternals);
    const this$13 = $m_sc_Seq$();
    const jsx$4 = jsx$5.zipWithIndex__scg_CanBuildFrom__O(this$13.ReusableCBFInstance$2);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, model$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ((x0$8 !== null)) {
          const external = x0$8.$$und1__O();
          const i$2 = x0$8.$$und2$mcI$sp__I();
          if ((external !== null)) {
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$17 = new $c_Lamf_plugins_document_vocabularies_model_domain_External().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1;
            const this$18 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$2, external);
            const alias = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["external", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i$2]));
            const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1;
            const this$19 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$18, field$3, alias);
            const value$1 = (("" + model$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["#/external/external", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i$2])));
            return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$19, value$1)
          }
        };
        throw new $c_s_MatchError().init___O(x0$8)
      })
    })(this, model));
    const this$20 = $m_sc_Seq$();
    const finalExternals = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$20.ReusableCBFInstance$2);
    let resolved;
    if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(model)) {
      const x2 = model;
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$24 = new $c_Lamf_plugins_document_vocabularies_model_document_Dialect().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const value$2 = x2.id$1;
      const this$25 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$24, value$2);
      const location = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
      const field$4 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      const this$26 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$4, location);
      const documentsMapping = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
      const field$5 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1;
      const this$27 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$26, field$5, documentsMapping);
      const field$6 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      const this$28 = $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$27, field$6, finalDeclarations);
      const field$7 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      const this$31 = $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$28, field$7, finalExternals);
      const this$29 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
      const this$30 = this$29.option$1;
      const name$2 = (this$30.isEmpty__Z() ? null : this$30.get__O());
      const field$8 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1;
      const this$34 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$31, field$8, name$2);
      const this$32 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
      const this$33 = this$32.option$1;
      const version = (this$33.isEmpty__Z() ? null : this$33.get__O());
      const field$9 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1;
      resolved = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$34, field$9, version)
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(model)) {
      const x3 = model;
      const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
      const this$38 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
      const value$3 = x3.id$1;
      const this$39 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$38, value$3);
      const location$1 = x3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
      const field$10 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      const this$40 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$39, field$10, location$1);
      const field$11 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      const this$41 = $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$40, field$11, finalDeclarations);
      const field$12 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      resolved = $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$41, field$12, finalExternals)
    } else {
      if ((!$is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(model))) {
        throw new $c_s_MatchError().init___O(model)
      };
      const x4 = model;
      const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
      const this$45 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
      const value$4 = x4.id$1;
      const this$46 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$45, value$4);
      const location$2 = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
      const field$13 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      const this$47 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$46, field$13, location$2);
      const nodeMapping = x4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1);
      const field$14 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1;
      const this$48 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$47, field$14, nodeMapping);
      const field$15 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
      resolved = $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$48, field$15, finalExternals)
    };
    const jsx$6 = resolved.annotations__Lamf_core_parser_Annotations();
    const this$49 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$49);
    jsx$6.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_Aliases().init___sci_Set($f_sc_TraversableLike__to__scg_CanBuildFrom__O(vocabulariesAliases, cbf)));
    return resolved
  };
  findExternals__Lamf_core_model_document_BaseUnit__sci_Set__sci_Set(model, acc) {
    let updateDeclarations;
    if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(model)) {
      const x2 = model;
      const jsx$2 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          const this$1 = x$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
          const this$2 = this$1.option$1;
          return (this$2.isEmpty__Z() ? null : this$2.get__O())
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      updateDeclarations = acc.$$plus$plus__sc_GenTraversableOnce__sc_Set(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2))
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(model)) {
      const x3 = model;
      const jsx$4 = x3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          const this$4 = x$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
          const this$5 = this$4.option$1;
          return (this$5.isEmpty__Z() ? null : this$5.get__O())
        })
      })(this));
      const this$6 = $m_sc_Seq$();
      updateDeclarations = acc.$$plus$plus__sc_GenTraversableOnce__sc_Set(jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2))
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(model)) {
      const x4 = model;
      const jsx$6 = x4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          const this$7 = x$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
          const this$8 = this$7.option$1;
          return (this$8.isEmpty__Z() ? null : this$8.get__O())
        })
      })(this));
      const this$9 = $m_sc_Seq$();
      updateDeclarations = acc.$$plus$plus__sc_GenTraversableOnce__sc_Set(jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBFInstance$2))
    } else {
      updateDeclarations = acc
    };
    return model.references__sc_Seq().foldLeft__O__F2__O(updateDeclarations, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$4$1) {
      return (function(x0$3$2, x1$3$2) {
        const x0$3 = x0$3$2;
        const x1$3 = x1$3$2;
        return this$4$1.findExternals__Lamf_core_model_document_BaseUnit__sci_Set__sci_Set(x1$3, x0$3)
      })
    })(this)))
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage: 0
}, false, "amf.plugins.document.vocabularies.resolution.stages.DialectReferencesResolutionStage", {
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage;
class $c_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null
  };
  emitPropertyValidations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sci_List(node, prop) {
    $m_scm_ListBuffer$();
    const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const validations = this$2.elems$1;
    const this$3 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1).option$1;
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const minValue = (+arg1);
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' minimum inclusive value is ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1), minValue]));
      const this$4 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$5 = this$4.option$1;
      const x$38 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$5.isEmpty__Z() ? null : this$5.get__O()), "minimum");
      const x$40 = new $c_s_Some().init___O(message);
      const x$41 = new $c_s_Some().init___O(message);
      const x$42 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$1 = $m_sc_Seq$();
      const this$6 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$7 = this$6.option$1;
      const x$21 = (this$7.isEmpty__Z() ? null : this$7.get__O());
      const this$8 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$9 = this$8.option$1;
      const x$22 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$9.isEmpty__Z() ? null : this$9.get__O()), "minimum") + "/prop");
      const x$23 = new $c_s_Some().init___O(message);
      const x$24 = new $c_s_Some().init___O(("" + minValue));
      const x$25 = $m_s_None$();
      const x$26 = $m_s_None$();
      const x$27 = $m_s_None$();
      const x$28 = $m_s_None$();
      const x$29 = $m_s_None$();
      const x$30 = $m_s_None$();
      const x$31 = $m_s_None$();
      const x$32 = $m_s_None$();
      const x$33 = $m_s_None$();
      const x$34 = $m_s_None$();
      const x$35 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$25 = new $c_scm_ListBuffer().init___();
      const x$36 = this$25.toList__sci_List();
      const x$37 = $m_s_None$();
      const x$43 = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$21, x$22, x$23, x$25, x$26, x$27, x$28, x$29, x$30, x$31, x$24, x$32, x$33, x$34, x$35, x$36, x$37)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$30 = new $c_scm_ListBuffer().init___();
      const x$44 = this$30.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$34 = new $c_scm_ListBuffer().init___();
      const x$45 = this$34.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$38 = new $c_scm_ListBuffer().init___();
      const x$46 = this$38.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$42 = new $c_scm_ListBuffer().init___();
      const x$47 = this$42.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$46 = new $c_scm_ListBuffer().init___();
      const x$48 = this$46.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$49 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$51 = new $c_scm_ListBuffer().init___();
      const x$50 = this$51.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$51 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$52 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$53 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$38, message, x$40, x$41, x$44, x$42, x$45, x$46, x$47, x$48, x$49, x$43, x$50, x$51, x$52, x$53))
    };
    const this$55 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1).option$1;
    if ((!this$55.isEmpty__Z())) {
      const arg1$1 = this$55.get__O();
      const maxValue = (+arg1$1);
      const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' maximum inclusive value is ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1), maxValue]));
      const this$56 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$57 = this$56.option$1;
      const x$71 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$57.isEmpty__Z() ? null : this$57.get__O()), "maximum");
      const x$73 = new $c_s_Some().init___O(message$1);
      const x$74 = new $c_s_Some().init___O(message$1);
      const x$75 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$2 = $m_sc_Seq$();
      const this$58 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$59 = this$58.option$1;
      const x$54 = (this$59.isEmpty__Z() ? null : this$59.get__O());
      const this$60 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$61 = this$60.option$1;
      const x$55 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$61.isEmpty__Z() ? null : this$61.get__O()), "maximum") + "/prop");
      const x$56 = new $c_s_Some().init___O(message$1);
      const x$57 = new $c_s_Some().init___O(("" + maxValue));
      const x$58 = $m_s_None$();
      const x$59 = $m_s_None$();
      const x$60 = $m_s_None$();
      const x$61 = $m_s_None$();
      const x$62 = $m_s_None$();
      const x$63 = $m_s_None$();
      const x$64 = $m_s_None$();
      const x$65 = $m_s_None$();
      const x$66 = $m_s_None$();
      const x$67 = $m_s_None$();
      const x$68 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$77 = new $c_scm_ListBuffer().init___();
      const x$69 = this$77.toList__sci_List();
      const x$70 = $m_s_None$();
      const x$76 = jsx$2.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$54, x$55, x$56, x$58, x$59, x$60, x$61, x$62, x$63, x$64, x$65, x$57, x$66, x$67, x$68, x$69, x$70)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$82 = new $c_scm_ListBuffer().init___();
      const x$77 = this$82.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$86 = new $c_scm_ListBuffer().init___();
      const x$78 = this$86.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$90 = new $c_scm_ListBuffer().init___();
      const x$79 = this$90.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$94 = new $c_scm_ListBuffer().init___();
      const x$80 = this$94.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$98 = new $c_scm_ListBuffer().init___();
      const x$81 = this$98.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$82 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$103 = new $c_scm_ListBuffer().init___();
      const x$83 = this$103.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$84 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$85 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$86 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$71, message$1, x$73, x$74, x$77, x$75, x$78, x$79, x$80, x$81, x$82, x$76, x$83, x$84, x$85, x$86))
    };
    const this$107 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1);
    let jsx$3;
    if (this$107.option$1.isDefined__Z()) {
      const this$108 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1);
      jsx$3 = ($f_Lamf_core_model_IntField__value__I(this$108) > 0)
    } else {
      jsx$3 = false
    };
    if (jsx$3) {
      const message$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' is mandatory"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1)]));
      const this$109 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$110 = this$109.option$1;
      const x$104 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$110.isEmpty__Z() ? null : this$110.get__O()), "required");
      const x$106 = new $c_s_Some().init___O(message$2);
      const x$107 = new $c_s_Some().init___O(message$2);
      const x$108 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$4 = $m_sc_Seq$();
      const this$111 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$112 = this$111.option$1;
      const x$87 = (this$112.isEmpty__Z() ? null : this$112.get__O());
      const this$113 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$114 = this$113.option$1;
      const x$88 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$114.isEmpty__Z() ? null : this$114.get__O()), "required") + "/prop");
      const x$89 = new $c_s_Some().init___O(message$2);
      const x$90 = new $c_s_Some().init___O("1");
      const x$91 = $m_s_None$();
      const x$92 = $m_s_None$();
      const x$93 = $m_s_None$();
      const x$94 = $m_s_None$();
      const x$95 = $m_s_None$();
      const x$96 = $m_s_None$();
      const x$97 = $m_s_None$();
      const x$98 = $m_s_None$();
      const x$99 = $m_s_None$();
      const x$100 = $m_s_None$();
      const x$101 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$129 = new $c_scm_ListBuffer().init___();
      const x$102 = this$129.toList__sci_List();
      const x$103 = $m_s_None$();
      const x$109 = jsx$4.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$87, x$88, x$89, x$91, x$92, x$90, x$93, x$94, x$95, x$96, x$97, x$98, x$99, x$100, x$101, x$102, x$103)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$134 = new $c_scm_ListBuffer().init___();
      const x$110 = this$134.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$138 = new $c_scm_ListBuffer().init___();
      const x$111 = this$138.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$142 = new $c_scm_ListBuffer().init___();
      const x$112 = this$142.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$146 = new $c_scm_ListBuffer().init___();
      const x$113 = this$146.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$150 = new $c_scm_ListBuffer().init___();
      const x$114 = this$150.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$115 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$155 = new $c_scm_ListBuffer().init___();
      const x$116 = this$155.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$117 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$118 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$119 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$104, message$2, x$106, x$107, x$110, x$108, x$111, x$112, x$113, x$114, x$115, x$109, x$116, x$117, x$118, x$119))
    };
    const this$159 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1);
    let jsx$5;
    if ((!$f_Lamf_core_model_BoolField__value__Z(this$159))) {
      const this$160 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
      jsx$5 = $f_Lamf_core_model_StrField__isNullOrEmpty__Z(this$160)
    } else {
      jsx$5 = false
    };
    if (jsx$5) {
      const message$2$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' cannot have more than 1 value"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1)]));
      const this$161 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$162 = this$161.option$1;
      const x$137 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$162.isEmpty__Z() ? null : this$162.get__O()), "notCollection");
      const x$139 = new $c_s_Some().init___O(message$2$1);
      const x$140 = new $c_s_Some().init___O(message$2$1);
      const x$141 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$6 = $m_sc_Seq$();
      const this$163 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$164 = this$163.option$1;
      const x$120 = (this$164.isEmpty__Z() ? null : this$164.get__O());
      const this$165 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$166 = this$165.option$1;
      const x$121 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$166.isEmpty__Z() ? null : this$166.get__O()), "notCollection") + "/prop");
      const x$122 = new $c_s_Some().init___O(message$2$1);
      const x$123 = new $c_s_Some().init___O("1");
      const x$124 = $m_s_None$();
      const x$125 = $m_s_None$();
      const x$126 = $m_s_None$();
      const x$127 = $m_s_None$();
      const x$128 = $m_s_None$();
      const x$129 = $m_s_None$();
      const x$130 = $m_s_None$();
      const x$131 = $m_s_None$();
      const x$132 = $m_s_None$();
      const x$133 = $m_s_None$();
      const x$134 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$181 = new $c_scm_ListBuffer().init___();
      const x$135 = this$181.toList__sci_List();
      const x$136 = $m_s_None$();
      const x$142 = jsx$6.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$120, x$121, x$122, x$124, x$123, x$125, x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$135, x$136)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$186 = new $c_scm_ListBuffer().init___();
      const x$143 = this$186.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$190 = new $c_scm_ListBuffer().init___();
      const x$144 = this$190.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$194 = new $c_scm_ListBuffer().init___();
      const x$145 = this$194.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$198 = new $c_scm_ListBuffer().init___();
      const x$146 = this$198.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$202 = new $c_scm_ListBuffer().init___();
      const x$147 = this$202.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$148 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$207 = new $c_scm_ListBuffer().init___();
      const x$149 = this$207.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$150 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$151 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$152 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$137, message$2$1, x$139, x$140, x$143, x$141, x$144, x$145, x$146, x$147, x$148, x$142, x$149, x$150, x$151, x$152))
    };
    const x1 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Pattern$1).option$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pattern = x2.value$2;
      const message$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' must match pattern ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1), pattern]));
      const this$211 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$212 = this$211.option$1;
      const x$153 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$212.isEmpty__Z() ? null : this$212.get__O()), "pattern");
      const x$155 = new $c_s_Some().init___O(message$3);
      const x$156 = new $c_s_Some().init___O(message$3);
      const x$157 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$22 = $m_sc_Seq$();
      const this$213 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$214 = this$213.option$1;
      const jsx$21 = (this$214.isEmpty__Z() ? null : this$214.get__O());
      const this$215 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$216 = this$215.option$1;
      const jsx$20 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$216.isEmpty__Z() ? null : this$216.get__O()), "pattern");
      const jsx$19 = new $c_s_Some().init___O(message$3);
      const jsx$18 = new $c_s_Some().init___O(pattern);
      const jsx$17 = $m_s_None$();
      const jsx$16 = $m_s_None$();
      const jsx$15 = $m_s_None$();
      const jsx$14 = $m_s_None$();
      const jsx$13 = $m_s_None$();
      const jsx$12 = $m_s_None$();
      const jsx$11 = $m_s_None$();
      const jsx$10 = $m_s_None$();
      const jsx$9 = $m_s_None$();
      const jsx$8 = $m_s_None$();
      const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$231 = new $c_scm_ListBuffer().init___();
      const x$158 = jsx$22.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$21, (jsx$20 + "/prop"), jsx$19, jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, this$231.toList__sci_List(), $m_s_None$())]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$236 = new $c_scm_ListBuffer().init___();
      const x$159 = this$236.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$240 = new $c_scm_ListBuffer().init___();
      const x$160 = this$240.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$244 = new $c_scm_ListBuffer().init___();
      const x$161 = this$244.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$248 = new $c_scm_ListBuffer().init___();
      const x$162 = this$248.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$252 = new $c_scm_ListBuffer().init___();
      const x$163 = this$252.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$164 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$257 = new $c_scm_ListBuffer().init___();
      const x$165 = this$257.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$166 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$167 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$168 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$153, message$3, x$155, x$156, x$159, x$157, x$160, x$161, x$162, x$163, x$164, x$158, x$165, x$166, x$167, x$168))
    };
    if (prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Enum$1).nonEmpty__Z()) {
      const jsx$24 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Enum$1);
      const jsx$23 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          const this$261 = x$2.option$1;
          return (this$261.isEmpty__Z() ? null : this$261.get__O())
        })
      })(this));
      const this$262 = $m_sc_Seq$();
      const values = jsx$24.map__F1__scg_CanBuildFrom__O(jsx$23, this$262.ReusableCBFInstance$2);
      const message$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' must match some value in ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1), values.mkString__T__T(",")]));
      const this$263 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$264 = this$263.option$1;
      const x$186 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$264.isEmpty__Z() ? null : this$264.get__O()), "enum");
      const x$188 = new $c_s_Some().init___O(message$4);
      const x$189 = new $c_s_Some().init___O(message$4);
      const x$190 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$26 = $m_sc_Seq$();
      const this$265 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$266 = this$265.option$1;
      const x$169 = (this$266.isEmpty__Z() ? null : this$266.get__O());
      const this$267 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$268 = this$267.option$1;
      const x$170 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$268.isEmpty__Z() ? null : this$268.get__O()), "enum") + "/prop");
      const x$171 = new $c_s_Some().init___O(message$4);
      const jsx$25 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(x$3$2) {
          return $objectToString(x$3$2)
        })
      })(this));
      const this$269 = $m_sc_Seq$();
      const x$172 = values.map__F1__scg_CanBuildFrom__O(jsx$25, this$269.ReusableCBFInstance$2);
      const x$173 = $m_s_None$();
      const x$174 = $m_s_None$();
      const x$175 = $m_s_None$();
      const x$176 = $m_s_None$();
      const x$177 = $m_s_None$();
      const x$178 = $m_s_None$();
      const x$179 = $m_s_None$();
      const x$180 = $m_s_None$();
      const x$181 = $m_s_None$();
      const x$182 = $m_s_None$();
      const x$183 = $m_s_None$();
      const x$184 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const x$185 = $m_s_None$();
      const x$191 = jsx$26.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$169, x$170, x$171, x$173, x$174, x$175, x$176, x$177, x$178, x$179, x$180, x$181, x$182, x$183, x$184, x$172, x$185)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$286 = new $c_scm_ListBuffer().init___();
      const x$192 = this$286.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$290 = new $c_scm_ListBuffer().init___();
      const x$193 = this$290.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$294 = new $c_scm_ListBuffer().init___();
      const x$194 = this$294.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$298 = new $c_scm_ListBuffer().init___();
      const x$195 = this$298.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$302 = new $c_scm_ListBuffer().init___();
      const x$196 = this$302.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$197 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$307 = new $c_scm_ListBuffer().init___();
      const x$198 = this$307.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$199 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$200 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$201 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$186, message$4, x$188, x$189, x$192, x$190, x$193, x$194, x$195, x$196, x$197, x$191, x$198, x$199, x$200, x$201))
    };
    const this$311 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
    if (this$311.option$1.isDefined__Z()) {
      const this$312 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$313 = this$312.option$1;
      const dataRange = (this$313.isEmpty__Z() ? null : this$313.get__O());
      if ((($m_sjsr_RuntimeString$().endsWith__T__T__Z(dataRange, "number") || $m_sjsr_RuntimeString$().endsWith__T__T__Z(dataRange, "float")) || $m_sjsr_RuntimeString$().endsWith__T__T__Z(dataRange, "double"))) {
        const jsx$29 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "'  value must be of type ", " or ", ""]));
        const jsx$28 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
        const this$314 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const jsx$27 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$314, "integer").iri__T();
        const this$316 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const message$5 = jsx$29.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$28, jsx$27, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$316, "float").iri__T()]));
        const this$318 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
        const this$319 = this$318.option$1;
        const x$219 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$319.isEmpty__Z() ? null : this$319.get__O()), "dialectRange");
        const x$221 = new $c_s_Some().init___O(message$5);
        const x$222 = new $c_s_Some().init___O(message$5);
        const x$223 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
        const jsx$40 = $m_sc_Seq$();
        const this$320 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
        const this$321 = this$320.option$1;
        const x$202 = (this$321.isEmpty__Z() ? null : this$321.get__O());
        const this$322 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
        const this$323 = this$322.option$1;
        const x$203 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$323.isEmpty__Z() ? null : this$323.get__O()), "dialectRange") + "/prop");
        const x$204 = new $c_s_Some().init___O(message$5);
        const x$205 = new $c_s_Some().init___O(new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$5$1) {
          return (function(b$2, parentId$2) {
            const b = b$2;
            $m_Lorg_yaml_model_YNode$();
            const this$324 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$324, "or").iri__T();
            const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
            const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$38 = v.builder$1;
            const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@list");
            const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$36 = v$1.builder$1;
            const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$32 = b$3.builder$1;
            const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$331 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$331, "datatype").iri__T();
            const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
            const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$30 = v$2.builder$1;
            const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$336 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            const thiz = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$336, "integer").iri__T();
            const str$2 = thiz.trim();
            const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
            b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$3, value);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c = b$5.builder$1;
            const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
            const tt = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            jsx$30.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
            const this$344 = v$2.builder$1;
            const array = [key$2];
            if ((this$344.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len = (array.length | 0);
            const newSize = ((this$344.size0$6 + len) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$344, newSize);
            const len$1 = this$344.size0$6;
            const src = this$344.array$6;
            const dest = this$344.array$6;
            $systemArraycopy(src, 0, dest, len, len$1);
            const xs = this$344.array$6;
            const len$2 = xs.u.length;
            let i = 0;
            let j = 0;
            const x = (array.length | 0);
            const x$1 = ((x < len$2) ? x : len$2);
            const that = xs.u.length;
            const end = ((x$1 < that) ? x$1 : that);
            while ((i < end)) {
              const jsx$31 = j;
              const index = i;
              xs.u[jsx$31] = array[index];
              i = ((1 + i) | 0);
              j = ((1 + j) | 0)
            };
            this$344.size0$6 = newSize;
            b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$1 = b$4.builder$1;
            const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
            const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$1 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$1 = null;
            jsx$32.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$1, a$1, cs$1));
            const jsx$35 = b$3.builder$1;
            const b$6 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$360 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$360, "datatype").iri__T();
            const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
            const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$33 = v$3.builder$1;
            const b$7 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
            $m_Lorg_yaml_model_YNode$();
            const this$365 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            const thiz$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$365, "double").iri__T();
            const str$4 = thiz$1.trim();
            const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
            b$7.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$3);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$2 = b$7.builder$1;
            const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
            const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$2 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$2 = null;
            jsx$33.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$2, a$2, cs$2));
            const this$373 = v$3.builder$1;
            const array$1 = [key$4];
            if ((this$373.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$3 = (array$1.length | 0);
            const newSize$1 = ((this$373.size0$6 + len$3) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$373, newSize$1);
            const len$4 = this$373.size0$6;
            const src$1 = this$373.array$6;
            const dest$1 = this$373.array$6;
            $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
            const xs$1 = this$373.array$6;
            const len$5 = xs$1.u.length;
            let i$1 = 0;
            let j$1 = 0;
            const x$3 = (array$1.length | 0);
            const x$4 = ((x$3 < len$5) ? x$3 : len$5);
            const that$1 = xs$1.u.length;
            const end$1 = ((x$4 < that$1) ? x$4 : that$1);
            while ((i$1 < end$1)) {
              const jsx$34 = j$1;
              const index$1 = i$1;
              xs$1.u[jsx$34] = array$1[index$1];
              i$1 = ((1 + i$1) | 0);
              j$1 = ((1 + j$1) | 0)
            };
            this$373.size0$6 = newSize$1;
            b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$3 = b$6.builder$1;
            const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
            const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$3 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$3 = null;
            jsx$35.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$3, a$3, cs$3));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YSequence$();
            const c$4 = b$3.builder$1;
            const value$6 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$4);
            const tt$4 = $m_Lorg_yaml_model_YType$().Seq$1;
            $m_Lorg_yaml_model_YNode$();
            const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$4 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$4 = null;
            const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$4, a$4, cs$4);
            jsx$36.$$plus$eq__O__scm_ArrayBuffer(node$1);
            const this$392 = v$1.builder$1;
            const array$2 = [key$1];
            if ((this$392.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$6 = (array$2.length | 0);
            const newSize$2 = ((this$392.size0$6 + len$6) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$392, newSize$2);
            const len$7 = this$392.size0$6;
            const src$2 = this$392.array$6;
            const dest$2 = this$392.array$6;
            $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
            const xs$2 = this$392.array$6;
            const len$8 = xs$2.u.length;
            let i$2 = 0;
            let j$2 = 0;
            const x$5 = (array$2.length | 0);
            const x$6 = ((x$5 < len$8) ? x$5 : len$8);
            const that$2 = xs$2.u.length;
            const end$2 = ((x$6 < that$2) ? x$6 : that$2);
            while ((i$2 < end$2)) {
              const jsx$37 = j$2;
              const index$2 = i$2;
              xs$2.u[jsx$37] = array$2[index$2];
              i$2 = ((1 + i$2) | 0);
              j$2 = ((1 + j$2) | 0)
            };
            this$392.size0$6 = newSize$2;
            b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$5 = b$1.builder$1;
            const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
            const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$5 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$5 = null;
            jsx$38.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$5, a$5, cs$5));
            const this$407 = v.builder$1;
            const array$3 = [key];
            if ((this$407.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$9 = (array$3.length | 0);
            const newSize$3 = ((this$407.size0$6 + len$9) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$407, newSize$3);
            const len$10 = this$407.size0$6;
            const src$3 = this$407.array$6;
            const dest$3 = this$407.array$6;
            $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
            const xs$3 = this$407.array$6;
            const len$11 = xs$3.u.length;
            let i$3 = 0;
            let j$3 = 0;
            const x$7 = (array$3.length | 0);
            const x$8 = ((x$7 < len$11) ? x$7 : len$11);
            const that$3 = xs$3.u.length;
            const end$3 = ((x$8 < that$3) ? x$8 : that$3);
            while ((i$3 < end$3)) {
              const jsx$39 = j$3;
              const index$3 = i$3;
              xs$3.u[jsx$39] = array$3[index$3];
              i$3 = ((1 + i$3) | 0);
              j$3 = ((1 + j$3) | 0)
            };
            this$407.size0$6 = newSize$3;
            b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
          })
        })(this)));
        const x$206 = $m_s_None$();
        const x$207 = $m_s_None$();
        const x$208 = $m_s_None$();
        const x$209 = $m_s_None$();
        const x$210 = $m_s_None$();
        const x$211 = $m_s_None$();
        const x$212 = $m_s_None$();
        const x$213 = $m_s_None$();
        const x$214 = $m_s_None$();
        const x$215 = $m_s_None$();
        const x$216 = $m_s_None$();
        const x$217 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$433 = new $c_scm_ListBuffer().init___();
        const x$218 = this$433.toList__sci_List();
        const x$224 = jsx$40.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$202, x$203, x$204, x$206, x$207, x$208, x$209, x$210, x$211, x$212, x$213, x$214, x$215, x$216, x$217, x$218, x$205)]));
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$437 = new $c_scm_ListBuffer().init___();
        const x$225 = this$437.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$441 = new $c_scm_ListBuffer().init___();
        const x$226 = this$441.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$445 = new $c_scm_ListBuffer().init___();
        const x$227 = this$445.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$449 = new $c_scm_ListBuffer().init___();
        const x$228 = this$449.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$453 = new $c_scm_ListBuffer().init___();
        const x$229 = this$453.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$230 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$458 = new $c_scm_ListBuffer().init___();
        const x$231 = this$458.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$232 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$233 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$234 = $m_s_None$();
        validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$219, message$5, x$221, x$222, x$225, x$223, x$226, x$227, x$228, x$229, x$230, x$224, x$231, x$232, x$233, x$234))
      } else {
        const message$6 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "'  value must be of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1), dataRange]));
        const this$462 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
        const this$463 = this$462.option$1;
        const x$252 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$463.isEmpty__Z() ? null : this$463.get__O()), "dataRange");
        const x$254 = new $c_s_Some().init___O(message$6);
        const x$255 = new $c_s_Some().init___O(message$6);
        const x$256 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
        const jsx$41 = $m_sc_Seq$();
        const this$464 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
        const this$465 = this$464.option$1;
        const x$235 = (this$465.isEmpty__Z() ? null : this$465.get__O());
        const this$466 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
        const this$467 = this$466.option$1;
        const x$236 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$467.isEmpty__Z() ? null : this$467.get__O()), "dataRange") + "/prop");
        const x$237 = new $c_s_Some().init___O(message$6);
        const x$238 = new $c_s_Some().init___O(dataRange);
        const x$239 = $m_s_None$();
        const x$240 = $m_s_None$();
        const x$241 = $m_s_None$();
        const x$242 = $m_s_None$();
        const x$243 = $m_s_None$();
        const x$244 = $m_s_None$();
        const x$245 = $m_s_None$();
        const x$246 = $m_s_None$();
        const x$247 = $m_s_None$();
        const x$248 = $m_s_None$();
        const x$249 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$482 = new $c_scm_ListBuffer().init___();
        const x$250 = this$482.toList__sci_List();
        const x$251 = $m_s_None$();
        const x$257 = jsx$41.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$235, x$236, x$237, x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$247, x$248, x$238, x$249, x$250, x$251)]));
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$487 = new $c_scm_ListBuffer().init___();
        const x$258 = this$487.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$491 = new $c_scm_ListBuffer().init___();
        const x$259 = this$491.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$495 = new $c_scm_ListBuffer().init___();
        const x$260 = this$495.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$499 = new $c_scm_ListBuffer().init___();
        const x$261 = this$499.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$503 = new $c_scm_ListBuffer().init___();
        const x$262 = this$503.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$263 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$508 = new $c_scm_ListBuffer().init___();
        const x$264 = this$508.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$265 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$266 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$267 = $m_s_None$();
        validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$252, message$6, x$254, x$255, x$258, x$256, x$259, x$260, x$261, x$262, x$263, x$257, x$264, x$265, x$266, x$267))
      }
    };
    let jsx$42;
    if (prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).nonEmpty__Z()) {
      const jsx$45 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
      const jsx$44 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
        return (function(x$11$2) {
          const x$11 = x$11$2;
          const this$512 = x$11.option$1;
          return (this$512.isEmpty__Z() ? null : this$512.get__O())
        })
      })(this));
      const this$513 = $m_sc_Seq$();
      const jsx$43 = jsx$45.map__F1__scg_CanBuildFrom__O(jsx$44, this$513.ReusableCBFInstance$2);
      const this$514 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
      jsx$42 = (!jsx$43.contains__O__Z(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$514, "anyNode").iri__T()))
    } else {
      jsx$42 = false
    };
    if (jsx$42) {
      const message$7 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "'  value must be of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1), prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1)]));
      const this$516 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$517 = this$516.option$1;
      const x$285 = this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$517.isEmpty__Z() ? null : this$517.get__O()), "objectRange");
      const x$287 = new $c_s_Some().init___O(message$7);
      const x$288 = new $c_s_Some().init___O(message$7);
      const x$289 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
      const jsx$48 = $m_sc_Seq$();
      const this$518 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
      const this$519 = this$518.option$1;
      const x$268 = (this$519.isEmpty__Z() ? null : this$519.get__O());
      const this$520 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
      const this$521 = this$520.option$1;
      const x$269 = (this.validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(node, (this$521.isEmpty__Z() ? null : this$521.get__O()), "objectRange") + "/prop");
      const x$270 = new $c_s_Some().init___O(message$7);
      const jsx$47 = prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
      const jsx$46 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
        return (function(x$12$2) {
          const x$12 = x$12$2;
          const this$522 = x$12.option$1;
          return (this$522.isEmpty__Z() ? null : this$522.get__O())
        })
      })(this));
      const this$523 = $m_sc_Seq$();
      const x$271 = jsx$47.map__F1__scg_CanBuildFrom__O(jsx$46, this$523.ReusableCBFInstance$2);
      const x$272 = $m_s_None$();
      const x$273 = $m_s_None$();
      const x$274 = $m_s_None$();
      const x$275 = $m_s_None$();
      const x$276 = $m_s_None$();
      const x$277 = $m_s_None$();
      const x$278 = $m_s_None$();
      const x$279 = $m_s_None$();
      const x$280 = $m_s_None$();
      const x$281 = $m_s_None$();
      const x$282 = $m_s_None$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$538 = new $c_scm_ListBuffer().init___();
      const x$283 = this$538.toList__sci_List();
      const x$284 = $m_s_None$();
      const x$290 = jsx$48.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$268, x$269, x$270, x$272, x$273, x$274, x$275, x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$271, x$283, x$284)]));
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$543 = new $c_scm_ListBuffer().init___();
      const x$291 = this$543.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$547 = new $c_scm_ListBuffer().init___();
      const x$292 = this$547.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$551 = new $c_scm_ListBuffer().init___();
      const x$293 = this$551.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$555 = new $c_scm_ListBuffer().init___();
      const x$294 = this$555.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$559 = new $c_scm_ListBuffer().init___();
      const x$295 = this$559.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$296 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$564 = new $c_scm_ListBuffer().init___();
      const x$297 = this$564.toList__sci_List();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$298 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$299 = $m_s_None$();
      $m_Lamf_core_validation_core_ValidationSpecification$();
      const x$300 = $m_s_None$();
      validations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$285, message$7, x$287, x$288, x$291, x$289, x$292, x$293, x$294, x$295, x$296, x$290, x$297, x$298, x$299, x$300));
      prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, validations$1) {
        return (function(nodeMapping$2) {
          const nodeMapping = nodeMapping$2;
          const this$569 = this$8$1.dialect$1;
          const this$568 = nodeMapping.option$1;
          const mappingId = (this$568.isEmpty__Z() ? null : this$568.get__O());
          const this$570 = $f_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer__findNodeMapping__T__s_Option(this$569, mappingId);
          if ((!this$570.isEmpty__Z())) {
            const arg1$2 = this$570.get__O();
            const mapping = arg1$2;
            validations$1.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$8$1.emitEntityValidations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__sci_List(mapping))
          }
        })
      })(this, validations)))
    };
    return validations.toList__sci_List()
  };
  emitEntityValidations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__sci_List(node) {
    const jsx$2 = node.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, node$1) {
      return (function(propertyMapping$2) {
        const propertyMapping = propertyMapping$2;
        return $this.emitPropertyValidations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sci_List(node$1, propertyMapping)
      })
    })(this, node));
    const this$1 = $m_sc_Seq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toList__sci_List()
  };
  profile__Lamf_core_validation_core_ValidationProfile() {
    const parsedValidations = this.validations__sci_List();
    const x$13 = this.dialect$1.nameAndVersion__T();
    const x$14 = $m_s_None$();
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.name$1
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let x$15;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((parsedValidations === $m_sci_Nil$())) {
        x$15 = $m_sci_Nil$()
      } else {
        const arg1 = parsedValidations.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = parsedValidations.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        x$15 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(parsedValidations, bf);
      let these = parsedValidations;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      x$15 = b.result__O()
    };
    const jsx$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    const this$2 = $m_sci_List$();
    const x$16 = parsedValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$6 = new $c_scm_ListBuffer().init___();
    const x$17 = this$6.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$10 = new $c_scm_ListBuffer().init___();
    const x$18 = this$10.toList__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$14 = new $c_scm_ListBuffer().init___();
    const x$19 = this$14.toList__sci_List();
    const x$20 = new $c_scm_HashMap().init___();
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(x$13, x$14, x$15, x$17, x$18, x$19, x$16, x$20)
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  validationId__p1__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__T__T(dialectNode, propName, constraint) {
    const x1 = $m_s_Option$().apply__O__s_Option(dialectNode.id$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const id = x2.value$2;
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "_", "_", "_validation"]));
      const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(propName);
      const this$3 = this$2.platform$1;
      const url = this$2.str$1;
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id, $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$3, url), constraint]))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot generate validation for dialect node without ID"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  validations__sci_List() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.dialect$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1));
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const docs = arg1;
      this$3 = $m_s_Option$().apply__O__s_Option(docs.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1))
    };
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$3.get__O();
      const root = arg1$1;
      this$4 = root.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1).option$1
    };
    let this$5;
    if (this$4.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1$2 = this$4.get__O();
      const mappingId = arg1$2;
      const x1 = $m_s_Option$().apply__O__s_Option($f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2(this, mappingId));
      let jsx$2;
      matchEnd6: {
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const p3 = x2.value$2;
          if ((p3 !== null)) {
            const nodeMapping = p3.$$und2__O();
            jsx$2 = this.emitEntityValidations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__sci_List(nodeMapping);
            break matchEnd6
          }
        };
        jsx$2 = $m_sci_Nil$()
      };
      this$5 = new $c_s_Some().init___O(jsx$2)
    };
    return (this$5.isEmpty__Z() ? $m_sci_Nil$() : this$5.get__O())
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect(dialect) {
    this.dialect$1 = dialect;
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_validation_AMFDialectValidations: 0
}, false, "amf.plugins.document.vocabularies.validation.AMFDialectValidations", {
  Lamf_plugins_document_vocabularies_validation_AMFDialectValidations: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1
});
$c_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations;
class $c_Lamf_plugins_document_webapi_JsonRefsReferenceHandler extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.refUrls$1 = null
  };
  init___() {
    this.references$1 = new $c_Lamf_core_parser_ReferenceCollector().init___();
    this.refUrls$1 = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  collectRef__p1__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__V(map, ctx) {
    const ref = map.map$3.apply__O__O(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$ref")));
    const x1 = ref.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Str$1;
    if ((x === x1)) {
      const refValue = ref.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      if ((!(((refValue.length | 0) >= 0) && (refValue.substring(0, ("#".length | 0)) === "#")))) {
        const jsx$1 = this.refUrls$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(refValue, "#", 0);
        const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        this.refUrls$1 = jsx$1.$$plus__O__sc_Set($f_sc_IndexedSeqOptimized__head__O(this$9))
      }
    } else {
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected $ref with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([ref]));
      const ast = ref.value__Lorg_yaml_model_YValue();
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx, "", message, ast)
    }
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(parsed, ctx) {
    this.links__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    this.refUrls$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(ref$2) {
        const ref = ref$2;
        $this.references$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(ref, $m_Lamf_core_parser_LinkReference$(), ($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(ref)))
      })
    })(this)));
    return this.references$1
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference)
  };
  links__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx) {
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(part)) {
        const x2 = part;
        if (x2.map$3.get__O__s_Option(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$ref"))).isDefined__Z()) {
          this.collectRef__p1__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__V(x2, ctx);
          break matchEnd4
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1) {
        return (function(c$2) {
          const c = c$2;
          $this.links__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(c, ctx$1)
        })
      })(this, ctx)))
    }
  };
}
const $d_Lamf_plugins_document_webapi_JsonRefsReferenceHandler = new $TypeData().initClass({
  Lamf_plugins_document_webapi_JsonRefsReferenceHandler: 0
}, false, "amf.plugins.document.webapi.JsonRefsReferenceHandler", {
  Lamf_plugins_document_webapi_JsonRefsReferenceHandler: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_plugins_document_webapi_JsonRefsReferenceHandler.prototype.$classData = $d_Lamf_plugins_document_webapi_JsonRefsReferenceHandler;
class $c_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ extends $c_O {
  init___() {
    return this
  };
  ref__T__Lorg_yaml_model_YDocument$PartBuilder__V(url, b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("$ref", url, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
}
const $d_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_OasRefEmitter$: 0
}, false, "amf.plugins.document.webapi.contexts.OasRefEmitter$", {
  Lamf_plugins_document_webapi_contexts_OasRefEmitter$: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RefEmitter: 1
});
$c_Lamf_plugins_document_webapi_contexts_OasRefEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_OasRefEmitter$;
let $n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$)) {
    $n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$ = new $c_Lamf_plugins_document_webapi_contexts_OasRefEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_contexts_OasRefEmitter$
});
class $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext {
  localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(reference) {
    return this.factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory().tagToReferenceEmitter__F3().apply__O__O__O__O(reference, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(reference), $m_sci_Nil$())
  };
}
class $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory extends $c_O {
  constructor() {
    super();
    this.spec$1 = null
  };
  tagToReferenceEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(target$2, label$2, reference$2) {
        const target = target$2;
        const label = label$2;
        const reference = reference$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(target, label, reference, $this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this))
  };
  facetsInstanceEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(shapeExtension$2, ordering$2) {
        const shapeExtension = shapeExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter().init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, $this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this))
  };
  annotationTypeEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(property$2, ordering$2) {
        const property = property$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter().init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, $this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this))
  };
  annotationEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(domainExtension$2, ordering$2) {
        const domainExtension = domainExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter().init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, $this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this))
  };
  customFacetsEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(f$2, ordering$2, references$2) {
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, $this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this))
  };
  parametrizedSecurityEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(parametrizedScheme$2, ordering$2) {
        const parametrizedScheme = parametrizedScheme$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering(parametrizedScheme, ordering)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(spec) {
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1 extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
  init___Lamf_plugins_document_webapi_contexts_PayloadContext($$outer) {
    this.nodes$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
}
const $d_Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1: 0
}, false, "amf.plugins.document.webapi.contexts.PayloadContext$$anon$1", {
  Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1;
class $c_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ extends $c_O {
  init___() {
    return this
  };
  ref__T__Lorg_yaml_model_YDocument$PartBuilder__V(url, b) {
    const node = $m_Lorg_yaml_model_YNode$().include__T__Lorg_yaml_model_YNode$MutRef(url);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
}
const $d_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlRefEmitter$: 0
}, false, "amf.plugins.document.webapi.contexts.RamlRefEmitter$", {
  Lamf_plugins_document_webapi_contexts_RamlRefEmitter$: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RefEmitter: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$;
let $n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$)) {
    $n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$ = new $c_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$
});
class $c_Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext {
  localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(reference) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter().init___Lamf_core_model_domain_Linkable(reference)
  };
}
const $f_Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter__$$init$__V = (function($thiz) {
  const this$1 = $thiz.label__s_Option();
  $thiz.amf$plugins$document$webapi$contexts$TagToReferenceEmitter$$undsetter$und$referenceLabel$und$eq__T__V((this$1.isEmpty__Z() ? $thiz.target__Lamf_core_model_domain_DomainElement().id__T() : this$1.get__O()))
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 AnnotationTypeDeclaration");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20AnnotationTypeDeclaration$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 DataType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20DataType$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 DocumentationItem");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20DocumentationItem$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionType$1, "2.0 Extension");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Extension$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().swagger$1, "2.0");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Header$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 NamedExample");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20NamedExample$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionType$1, "2.0 Overlay");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Overlay$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 ResourceType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20ResourceType$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 SecurityScheme");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20SecurityScheme$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().extensionName$1, "2.0 Trait");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas20Trait$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$
});
class $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$ extends $c_Lamf_plugins_document_webapi_parser_OasHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_OasHeader.prototype.init___T__T.call(this, $m_Lamf_plugins_document_webapi_parser_OasHeader$().openapi$1, "3.0.0");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$: 0
}, false, "amf.plugins.document.webapi.parser.OasHeader$Oas30Header$", {
  Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$: 1,
  Lamf_plugins_document_webapi_parser_OasHeader: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$;
let $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$)) {
    $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$ = new $c_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations extends $c_Lamf_core_parser_Declarations {
  constructor() {
    super();
    this.alias$2 = null;
    this.libs$2 = null;
    this.frags$2 = null;
    this.shapes$2 = null;
    this.anns$2 = null;
    this.resourceTypes$2 = null;
    this.parameters$2 = null;
    this.payloads$2 = null;
    this.traits$2 = null;
    this.securitySchemes$2 = null;
    this.responses$2 = null;
    this.errorHandler$2 = null;
    this.futureDeclarations$2 = null
  };
  init___s_Option__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(alias, libs, frags, shapes, anns, resourceTypes, parameters, payloads, traits, securitySchemes, responses, errorHandler, futureDeclarations) {
    this.alias$2 = alias;
    this.libs$2 = libs;
    this.frags$2 = frags;
    this.shapes$2 = shapes;
    this.anns$2 = anns;
    this.resourceTypes$2 = resourceTypes;
    this.parameters$2 = parameters;
    this.payloads$2 = payloads;
    this.traits$2 = traits;
    this.securitySchemes$2 = securitySchemes;
    this.responses$2 = responses;
    this.errorHandler$2 = errorHandler;
    this.futureDeclarations$2 = futureDeclarations;
    $c_Lamf_core_parser_Declarations.prototype.init___sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations.call(this, libs, frags, anns, errorHandler, futureDeclarations);
    return this
  };
  aliased__T__T(name) {
    const x1 = this.alias$2;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const prefix = x2.value$2;
      return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ".", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prefix, name]))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return name
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  findDocumentations__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findEquivalent__Lamf_core_model_domain_DomainElement__s_Option(element) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(element)) {
      const x2 = element;
      const this$1 = x2.name__Lamf_core_model_StrField();
      const this$2 = this$1.option$1;
      return this.findResourceType__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$2.isEmpty__Z() ? null : this$2.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(element)) {
      const x3 = element;
      const this$3 = x3.name__Lamf_core_model_StrField();
      const this$4 = this$3.option$1;
      return this.findTrait__p2__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$4.isEmpty__Z() ? null : this$4.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_core_model_domain_Shape(element)) {
      const x4 = element;
      const this$5 = x4.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$6 = this$5.option$1;
      return this.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$6.isEmpty__Z() ? null : this$6.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(element)) {
      const x5 = element;
      const this$7 = x5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
      const this$8 = this$7.option$1;
      return this.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$8.isEmpty__Z() ? null : this$8.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(element)) {
      const x6 = element;
      const this$9 = x6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
      const this$10 = this$9.option$1;
      return this.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$10.isEmpty__Z() ? null : this$10.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else if ($is_Lamf_plugins_domain_webapi_models_Response(element)) {
      const x7 = element;
      const this$11 = x7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
      const this$12 = this$11.option$1;
      return this.findResponse__T__Lamf_core_parser_SearchScope$Scope__s_Option((this$12.isEmpty__Z() ? null : this$12.get__O()), $m_Lamf_core_parser_SearchScope$All$())
    } else {
      return $c_Lamf_core_parser_Declarations.prototype.findEquivalent__Lamf_core_model_domain_DomainElement__s_Option.call(this, element)
    }
  };
  declarables__sc_Seq() {
    const jsx$10 = $c_Lamf_core_parser_Declarations.prototype.declarables__sc_Seq.call(this).toList__sci_List();
    const this$1 = this.shapes$2;
    const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    const this$2 = this.resourceTypes$2;
    const that = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$2);
    const this$3 = $m_sc_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const jsx$9 = $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this$4, that, bf);
    const this$5 = this.traits$2;
    const jsx$8 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$5);
    const this$6 = $m_sc_Iterable$();
    const jsx$7 = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$6.ReusableCBFInstance$2);
    const this$7 = this.parameters$2;
    const jsx$6 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$7);
    const this$8 = $m_sc_Iterable$();
    const jsx$5 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$8.ReusableCBFInstance$2);
    const this$9 = this.securitySchemes$2;
    const jsx$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
    const this$10 = $m_sc_Iterable$();
    const jsx$3 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$10.ReusableCBFInstance$2);
    const this$11 = this.responses$2;
    const jsx$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$11);
    const this$12 = $m_sc_Iterable$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$12.ReusableCBFInstance$2).toList__sci_List();
    const this$13 = $m_sci_List$();
    return jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$13.ReusableCBFInstance$2)
  };
  findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.shapes$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findResourceType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.resourceTypes$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.securitySchemes$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(parameter, payload) {
    const jsx$1 = this.parameters$2;
    const this$1 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    const this$2 = this$1.option$1;
    const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
    this.parameters$2 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, parameter));
    const jsx$2 = this.payloads$2;
    const this$5 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    const this$6 = this$5.option$1;
    const self$1 = (this$6.isEmpty__Z() ? null : this$6.get__O());
    this.payloads$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, payload))
  };
  getOrCreateLibrary__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(alias) {
    const x1 = this.libraries$1.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lib = x2.value$2;
      if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(lib)) {
        const x3 = lib;
        return x3
      }
    };
    const x$21 = new $c_s_Some().init___O(alias);
    const x$22 = this.errorHandler$2;
    const x$23 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
    const x$24 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$25 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$26 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$27 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$28 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$29 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$30 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$31 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$32 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$33 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___s_Option__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$21, x$24, x$25, x$26, x$27, x$28, x$29, x$30, x$31, x$32, x$33, x$22, x$23);
    this.libraries$1 = this.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, result));
    return result
  };
  merge__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(other) {
    const x$8 = this.alias$2;
    const x$9 = this.errorHandler$2;
    const x$10 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
    const x$11 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$12 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$13 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$14 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$15 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$16 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$17 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$18 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$19 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x$20 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const merged = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___s_Option__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$8, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$19, x$20, x$9, x$10);
    this.libs$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, merged$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const k = x0$1.$$und1__O();
          const s = x0$1.$$und2__O();
          merged$1.libs$2 = merged$1.libs$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k, s))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, merged)));
    other.libs$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, merged$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const k$1 = x0$2.$$und1__O();
          const s$1 = x0$2.$$und2__O();
          merged$2.libs$2 = merged$2.libs$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$1, s$1))
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, merged)));
    this.frags$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, merged$3) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ((x0$3 !== null)) {
          const k$2 = x0$3.$$und1__O();
          const s$2 = x0$3.$$und2__O();
          merged$3.frags$2 = merged$3.frags$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$2, s$2))
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this, merged)));
    other.frags$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, merged$4) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const k$3 = x0$4.$$und1__O();
          const s$3 = x0$4.$$und2__O();
          merged$4.frags$2 = merged$4.frags$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$3, s$3))
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this, merged)));
    this.libraries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, merged$5) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ((x0$5 !== null)) {
          const k$4 = x0$5.$$und1__O();
          const s$4 = x0$5.$$und2__O();
          merged$5.libraries$1 = merged$5.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$4, s$4))
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this, merged)));
    other.libraries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, merged$6) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ((x0$6 !== null)) {
          const k$5 = x0$6.$$und1__O();
          const s$5 = x0$6.$$und2__O();
          merged$6.libraries$1 = merged$6.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$5, s$5))
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this, merged)));
    this.fragments$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, merged$7) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ((x0$7 !== null)) {
          const k$6 = x0$7.$$und1__O();
          const s$6 = x0$7.$$und2__O();
          merged$7.fragments$1 = merged$7.fragments$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$6, s$6))
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this, merged)));
    other.fragments$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, merged$8) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ((x0$8 !== null)) {
          const k$7 = x0$8.$$und1__O();
          const s$7 = x0$8.$$und2__O();
          merged$8.fragments$1 = merged$8.fragments$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$7, s$7))
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this, merged)));
    this.shapes$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1, merged$9) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ((x0$9 !== null)) {
          const k$8 = x0$9.$$und1__O();
          const s$8 = x0$9.$$und2__O();
          merged$9.shapes$2 = merged$9.shapes$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$8, s$8))
        } else {
          throw new $c_s_MatchError().init___O(x0$9)
        }
      })
    })(this, merged)));
    other.shapes$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1, merged$10) {
      return (function(x0$10$2) {
        const x0$10 = x0$10$2;
        if ((x0$10 !== null)) {
          const k$9 = x0$10.$$und1__O();
          const s$9 = x0$10.$$und2__O();
          merged$10.shapes$2 = merged$10.shapes$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$9, s$9))
        } else {
          throw new $c_s_MatchError().init___O(x0$10)
        }
      })
    })(this, merged)));
    this.anns$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1, merged$11) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        if ((x0$11 !== null)) {
          const k$10 = x0$11.$$und1__O();
          const s$10 = x0$11.$$und2__O();
          merged$11.anns$2 = merged$11.anns$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$10, s$10))
        } else {
          throw new $c_s_MatchError().init___O(x0$11)
        }
      })
    })(this, merged)));
    other.anns$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1, merged$12) {
      return (function(x0$12$2) {
        const x0$12 = x0$12$2;
        if ((x0$12 !== null)) {
          const k$11 = x0$12.$$und1__O();
          const s$11 = x0$12.$$und2__O();
          merged$12.anns$2 = merged$12.anns$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$11, s$11))
        } else {
          throw new $c_s_MatchError().init___O(x0$12)
        }
      })
    })(this, merged)));
    this.resourceTypes$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$13$1, merged$13) {
      return (function(x0$13$2) {
        const x0$13 = x0$13$2;
        if ((x0$13 !== null)) {
          const k$12 = x0$13.$$und1__O();
          const s$12 = x0$13.$$und2__O();
          merged$13.resourceTypes$2 = merged$13.resourceTypes$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$12, s$12))
        } else {
          throw new $c_s_MatchError().init___O(x0$13)
        }
      })
    })(this, merged)));
    other.resourceTypes$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14$1, merged$14) {
      return (function(x0$14$2) {
        const x0$14 = x0$14$2;
        if ((x0$14 !== null)) {
          const k$13 = x0$14.$$und1__O();
          const s$13 = x0$14.$$und2__O();
          merged$14.resourceTypes$2 = merged$14.resourceTypes$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$13, s$13))
        } else {
          throw new $c_s_MatchError().init___O(x0$14)
        }
      })
    })(this, merged)));
    this.parameters$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$15$1, merged$15) {
      return (function(x0$15$2) {
        const x0$15 = x0$15$2;
        if ((x0$15 !== null)) {
          const k$14 = x0$15.$$und1__O();
          const s$14 = x0$15.$$und2__O();
          merged$15.parameters$2 = merged$15.parameters$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$14, s$14))
        } else {
          throw new $c_s_MatchError().init___O(x0$15)
        }
      })
    })(this, merged)));
    other.parameters$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$16$1, merged$16) {
      return (function(x0$16$2) {
        const x0$16 = x0$16$2;
        if ((x0$16 !== null)) {
          const k$15 = x0$16.$$und1__O();
          const s$15 = x0$16.$$und2__O();
          merged$16.parameters$2 = merged$16.parameters$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$15, s$15))
        } else {
          throw new $c_s_MatchError().init___O(x0$16)
        }
      })
    })(this, merged)));
    this.payloads$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$17$1, merged$17) {
      return (function(x0$17$2) {
        const x0$17 = x0$17$2;
        if ((x0$17 !== null)) {
          const k$16 = x0$17.$$und1__O();
          const s$16 = x0$17.$$und2__O();
          merged$17.payloads$2 = merged$17.payloads$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$16, s$16))
        } else {
          throw new $c_s_MatchError().init___O(x0$17)
        }
      })
    })(this, merged)));
    other.payloads$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$18$1, merged$18) {
      return (function(x0$18$2) {
        const x0$18 = x0$18$2;
        if ((x0$18 !== null)) {
          const k$17 = x0$18.$$und1__O();
          const s$17 = x0$18.$$und2__O();
          merged$18.payloads$2 = merged$18.payloads$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$17, s$17))
        } else {
          throw new $c_s_MatchError().init___O(x0$18)
        }
      })
    })(this, merged)));
    this.traits$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$19$1, merged$19) {
      return (function(x0$19$2) {
        const x0$19 = x0$19$2;
        if ((x0$19 !== null)) {
          const k$18 = x0$19.$$und1__O();
          const s$18 = x0$19.$$und2__O();
          merged$19.traits$2 = merged$19.traits$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$18, s$18))
        } else {
          throw new $c_s_MatchError().init___O(x0$19)
        }
      })
    })(this, merged)));
    other.traits$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$20$1, merged$20) {
      return (function(x0$20$2) {
        const x0$20 = x0$20$2;
        if ((x0$20 !== null)) {
          const k$19 = x0$20.$$und1__O();
          const s$19 = x0$20.$$und2__O();
          merged$20.traits$2 = merged$20.traits$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$19, s$19))
        } else {
          throw new $c_s_MatchError().init___O(x0$20)
        }
      })
    })(this, merged)));
    this.securitySchemes$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$21$1, merged$21) {
      return (function(x0$21$2) {
        const x0$21 = x0$21$2;
        if ((x0$21 !== null)) {
          const k$20 = x0$21.$$und1__O();
          const s$20 = x0$21.$$und2__O();
          merged$21.securitySchemes$2 = merged$21.securitySchemes$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$20, s$20))
        } else {
          throw new $c_s_MatchError().init___O(x0$21)
        }
      })
    })(this, merged)));
    other.securitySchemes$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$22$1, merged$22) {
      return (function(x0$22$2) {
        const x0$22 = x0$22$2;
        if ((x0$22 !== null)) {
          const k$21 = x0$22.$$und1__O();
          const s$21 = x0$22.$$und2__O();
          merged$22.securitySchemes$2 = merged$22.securitySchemes$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$21, s$21))
        } else {
          throw new $c_s_MatchError().init___O(x0$22)
        }
      })
    })(this, merged)));
    this.responses$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$23$1, merged$23) {
      return (function(x0$23$2) {
        const x0$23 = x0$23$2;
        if ((x0$23 !== null)) {
          const k$22 = x0$23.$$und1__O();
          const s$22 = x0$23.$$und2__O();
          merged$23.responses$2 = merged$23.responses$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$22, s$22))
        } else {
          throw new $c_s_MatchError().init___O(x0$23)
        }
      })
    })(this, merged)));
    other.responses$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$24$1, merged$24) {
      return (function(x0$24$2) {
        const x0$24 = x0$24$2;
        if ((x0$24 !== null)) {
          const k$23 = x0$24.$$und1__O();
          const s$23 = x0$24.$$und2__O();
          merged$24.responses$2 = merged$24.responses$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(k$23, s$23))
        } else {
          throw new $c_s_MatchError().init___O(x0$24)
        }
      })
    })(this, merged)));
    return merged
  };
  findResponse__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.responses$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(ast, key, scope) {
    const x1 = this.findTrait__p2__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Trait ", " not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait().init___T__Lorg_yaml_model_YPart(key, ast)
    }
  };
  $$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(element) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(element)) {
      const x2 = element;
      const this$3 = this.futureDeclarations$2;
      const this$1 = x2.name__Lamf_core_model_StrField();
      const this$2 = this$1.option$1;
      const name = this.aliased__T__T((this$2.isEmpty__Z() ? null : this$2.get__O()));
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$3, name, x2);
      const jsx$1 = this.resourceTypes$2;
      const this$4 = x2.name__Lamf_core_model_StrField();
      const this$5 = this$4.option$1;
      const self = (this$5.isEmpty__Z() ? null : this$5.get__O());
      this.resourceTypes$2 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, x2))
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(element)) {
      const x3 = element;
      const this$10 = this.futureDeclarations$2;
      const this$8 = x3.name__Lamf_core_model_StrField();
      const this$9 = this$8.option$1;
      const name$1 = this.aliased__T__T((this$9.isEmpty__Z() ? null : this$9.get__O()));
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$10, name$1, x3);
      const jsx$2 = this.traits$2;
      const this$11 = x3.name__Lamf_core_model_StrField();
      const this$12 = this$11.option$1;
      const self$1 = (this$12.isEmpty__Z() ? null : this$12.get__O());
      this.traits$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, x3))
    } else if ($is_Lamf_core_model_domain_Shape(element)) {
      const x4 = element;
      const this$17 = this.futureDeclarations$2;
      const this$15 = x4.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$16 = this$15.option$1;
      const name$2 = this.aliased__T__T((this$16.isEmpty__Z() ? null : this$16.get__O()));
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$17, name$2, x4);
      const jsx$3 = this.shapes$2;
      const this$18 = x4.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$19 = this$18.option$1;
      const self$2 = (this$19.isEmpty__Z() ? null : this$19.get__O());
      this.shapes$2 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$2, x4))
    } else if ($is_Lamf_plugins_domain_webapi_models_Parameter(element)) {
      const x5 = element;
      const this$24 = this.futureDeclarations$2;
      const this$22 = x5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
      const this$23 = this$22.option$1;
      const name$3 = this.aliased__T__T((this$23.isEmpty__Z() ? null : this$23.get__O()));
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$24, name$3, x5);
      const jsx$4 = this.parameters$2;
      const this$25 = x5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
      const this$26 = this$25.option$1;
      const self$3 = (this$26.isEmpty__Z() ? null : this$26.get__O());
      this.parameters$2 = jsx$4.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$3, x5))
    } else if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(element)) {
      const x6 = element;
      const this$31 = this.futureDeclarations$2;
      const this$29 = x6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
      const this$30 = this$29.option$1;
      const name$4 = this.aliased__T__T((this$30.isEmpty__Z() ? null : this$30.get__O()));
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$31, name$4, x6);
      const jsx$5 = this.securitySchemes$2;
      const this$32 = x6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
      const this$33 = this$32.option$1;
      const self$4 = (this$33.isEmpty__Z() ? null : this$33.get__O());
      this.securitySchemes$2 = jsx$5.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$4, x6))
    } else if ($is_Lamf_plugins_domain_webapi_models_Response(element)) {
      const x7 = element;
      const this$38 = this.futureDeclarations$2;
      const this$36 = x7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
      const this$37 = this$36.option$1;
      const name$5 = this.aliased__T__T((this$37.isEmpty__Z() ? null : this$37.get__O()));
      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$38, name$5, x7);
      const jsx$6 = this.responses$2;
      const this$39 = x7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
      const this$40 = this$39.option$1;
      const self$5 = (this$40.isEmpty__Z() ? null : this$40.get__O());
      this.responses$2 = jsx$6.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$5, x7))
    } else {
      $c_Lamf_core_parser_Declarations.prototype.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations.call(this, element)
    };
    return this
  };
  parameterPayload__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload(parameter) {
    const jsx$1 = this.payloads$2;
    const this$1 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    const this$2 = this$1.option$1;
    return jsx$1.apply__O__O((this$2.isEmpty__Z() ? null : this$2.get__O()))
  };
  findResponseOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_Response(ast, key, searchScope) {
    const x1 = this.findResponse__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, searchScope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Response '", "' not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse().init___T__Lorg_yaml_model_YPart(key, ast)
    }
  };
  findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.parameters$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(ast, key, scope) {
    const x1 = this.findResourceType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["ResourceType ", " not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType().init___T__Lorg_yaml_model_YPart(key, ast)
    }
  };
  findNamedExampleOrError__Lorg_yaml_model_YPart__T__Lamf_plugins_domain_shapes_models_Example(ast, key) {
    const x1 = this.findNamedExample__T__s_Option(key);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["NamedExample '", "' not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample().init___T__Lorg_yaml_model_YPart(key, ast)
    }
  };
  findSecuritySchemeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_security_SecurityScheme(ast, key, scope) {
    const x1 = this.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const result = x2.value$2;
      return result
    } else {
      this.error__T__Lorg_yaml_model_YPart__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["SecurityScheme '", "' not found"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key])), ast);
      return new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme().init___T__Lorg_yaml_model_YPart(key, ast)
    }
  };
  findNamedExample__T__s_Option(key) {
    const this$1 = this.fragments$1.get__O__s_Option(key);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findTrait__p2__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.traits$2
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2().init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations: 1,
  Lamf_core_parser_Declarations: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations;
class $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField extends $c_O {
  constructor() {
    super();
    this.target$1 = null;
    this.field$1 = null;
    this.iv$1 = null;
    this.custom$1 = null;
    this.annotations$1 = null;
    this.mapped$1 = null;
    this.typed$1 = null;
    this.single$1 = false;
    this.entries$1 = false;
    this.annotated$1 = false;
    this.opt$1 = false;
    this.$$outer$1 = null
  };
  negated__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.typed$1 = new $c_s_Some().init___O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.negated__Lamf_core_model_domain_AmfElement()
      })
    })(this)));
    return this
  };
  createArrayNode__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ArrayNode(node) {
    if (this.single$1) {
      return $m_Lamf_plugins_document_webapi_parser_spec_common_SingleArrayNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, this.iv$1)
    } else if (this.entries$1) {
      return $m_Lamf_plugins_document_webapi_parser_spec_common_MapArrayNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ArrayNode(node, this.iv$1)
    } else {
      const iv = this.iv$1;
      return new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv)
    }
  };
  apply__O__O(v1) {
    this.apply__Lorg_yaml_model_YMapEntry__V(v1)
  };
  parseScalar__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, element) {
    let scalar;
    if (this.annotated$1) {
      scalar = this.parseScalarValued__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ScalarNode(node)
    } else {
      const iv = this.iv$1;
      scalar = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv)
    };
    if (this.typed$1.isDefined__Z()) {
      return this.typed$1.get__O().apply__O__O(scalar)
    } else {
      const x = $m_Lamf_core_metamodel_Type$Int$();
      if (x.equals__O__Z(element)) {
        return scalar.integer__Lamf_core_model_domain_AmfScalar()
      } else {
        const x$3 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$3.equals__O__Z(element)) {
          return scalar.$boolean__Lamf_core_model_domain_AmfScalar()
        } else {
          return scalar.text__Lamf_core_model_domain_AmfScalar()
        }
      }
    }
  };
  withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(a) {
    this.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(a);
    return this
  };
  parseScalarValued__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ScalarNode(node) {
    const result = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(node, this.iv$1);
    const jsx$4 = this.custom$1;
    const jsx$3 = $m_Lamf_core_parser_Annotations$();
    const jsx$2 = this.collectDomainExtensions__p1__T__Lamf_core_parser_ScalarNode__sc_Seq(null, result);
    const jsx$1 = $m_Lamf_core_annotations_DomainExtensionAnnotation$();
    const this$1 = $m_sc_Seq$();
    jsx$4.$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(jsx$3.apply__sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)));
    return result
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext($$outer, target, field, iv) {
    this.target$1 = target;
    this.field$1 = field;
    this.iv$1 = iv;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.custom$1 = new $c_Lamf_core_parser_Annotations().init___();
    this.annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    this.mapped$1 = $m_s_None$();
    this.typed$1 = $m_s_None$();
    this.single$1 = false;
    this.entries$1 = false;
    this.annotated$1 = false;
    this.opt$1 = false;
    return this
  };
  toString__T() {
    return "<function1>"
  };
  allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.annotated$1 = true;
    return this
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!(this.apply__Lorg_yaml_model_YMapEntry__V(v1), (void 0))))
  };
  treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.entries$1 = true;
    return this
  };
  allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.single$1 = true;
    return this
  };
  collectDomainExtensions__p1__T__Lamf_core_parser_ScalarNode__sc_Seq(parent, n) {
    if ($is_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(n)) {
      const x2 = n;
      return $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/annotation"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parent])), x2.obj$1, this.iv$1)
    } else if ($is_Lamf_core_parser_DefaultScalarNode(n)) {
      return $m_sci_Nil$()
    } else {
      throw new $c_s_MatchError().init___O(n)
    }
  };
  using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(fn) {
    this.mapped$1 = new $c_s_Some().init___O(fn);
    return this
  };
  parseArray__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, element) {
    const array = this.createArrayNode__p1__Lorg_yaml_model_YNode__Lamf_core_parser_ArrayNode(node);
    if (($is_Lamf_core_metamodel_Obj(element) && this.mapped$1.isDefined__Z())) {
      return array.obj__F1__Lamf_core_model_domain_AmfArray(this.mapped$1.get__O())
    } else if (this.typed$1.isDefined__Z()) {
      return this.typed$1.get__O().apply__O__O(array)
    } else {
      const x = $m_Lamf_core_metamodel_Type$Int$();
      if (x.equals__O__Z(element)) {
        return array.integer__Lamf_core_model_domain_AmfArray()
      } else {
        const x$3 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$3.equals__O__Z(element)) {
          return array.$boolean__Lamf_core_model_domain_AmfArray()
        } else {
          return array.text__Lamf_core_model_domain_AmfArray()
        }
      }
    }
  };
  apply__Lorg_yaml_model_YMapEntry__V(entry) {
    const node = entry.value$1;
    const this$1 = entry.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((!((x === x1) && this.opt$1))) {
      const x1$2 = this.field$1.type$1;
      let value;
      if (($is_Lamf_core_metamodel_Obj(x1$2) && this.mapped$1.isDefined__Z())) {
        value = this.mapped$1.get__O().apply__O__O(node)
      } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$2)) {
        const x2 = x1$2;
        const o10 = new $c_s_Some().init___O(x2.element__Lamf_core_metamodel_Type());
        const element = o10.value$2;
        value = this.parseArray__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, element)
      } else {
        value = this.parseScalar__p1__Lorg_yaml_model_YNode__Lamf_core_metamodel_Type__Lamf_core_model_domain_AmfElement(node, x1$2)
      };
      value.annotations__Lamf_core_parser_Annotations().$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(this.custom$1);
      this.target$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, entry$1, value$1) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          const field = $this.field$1;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1).$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations($this.annotations$1);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(x$3, field, value$1, annotations)
        })
      })(this, entry, value)))
    }
  };
  optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField() {
    this.opt$1 = true;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SpecParserOps$ObjectField", {
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField: 1,
  O: 1,
  F1: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType {
  constructor() {
    super();
    this.typeDef$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = this;
    this.typeDef$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
    return this
  };
  typeDef__Lamf_plugins_domain_shapes_models_TypeDef() {
    return this.typeDef$2
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AnyDefaultType$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$ extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion.prototype.init___T.call(this, "json-schema");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.JSONSchemaVersion$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion {
  constructor() {
    super();
    this.position$2 = null
  };
  init___T__T(name, position) {
    this.position$2 = position;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion.prototype.init___T.call(this, name);
    if (((position !== "schema") && (position !== "parameter"))) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid schema position '", "', only 'schema' and 'parameter' are valid"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([position]))))
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  examplesEmitters__p2__s_Option__sc_Seq__scm_ListBuffer(main, extentions) {
    const em = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    if ((!main.isEmpty__Z())) {
      const arg1 = main.get__O();
      const a = arg1;
      em.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter().init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("example", a, this.ordering$2, this.spec$2))
    };
    if (extentions.nonEmpty__Z()) {
      em.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("examples").asOasExtension__T(), extentions, this.ordering$2, this.references$2, this.spec$2))
    };
    return em
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.shape$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      const jsx$2 = f.value$1.value$1.values$1;
      const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter(this);
      const this$2 = $m_sc_Seq$();
      const examples = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
      const tuple = examples.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(e$2) {
          const e = e$2;
          const this$3 = e.fields$1.fieldsMeta__sci_List();
          const elem = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
          if ((!$f_sc_LinearSeqOptimized__contains__O__Z(this$3, elem))) {
            return (!$f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(e).isDefined__Z())
          } else {
            return false
          }
        })
      })(this)));
      let jsx$3;
      matchEnd11: {
        if ((tuple !== null)) {
          const p2 = tuple.$$und1__O();
          const p3 = tuple.$$und2__O();
          const x = $m_sci_Nil$();
          let jsx$4;
          if (x.equals__O__Z(p2)) {
            const x$3 = $m_sci_Nil$();
            jsx$4 = x$3.equals__O__Z(p3)
          } else {
            jsx$4 = false
          };
          if (jsx$4) {
            jsx$3 = $m_sci_Nil$();
            break matchEnd11
          }
        };
        if ((tuple !== null)) {
          const named = tuple.$$und1__O();
          const p4 = tuple.$$und2__O();
          const x$5 = $m_sci_Nil$();
          if (x$5.equals__O__Z(p4)) {
            jsx$3 = this.examplesEmitters__p2__s_Option__sc_Seq__scm_ListBuffer(named.headOption__s_Option(), named.tail__O());
            break matchEnd11
          }
        };
        if ((tuple !== null)) {
          const p5 = tuple.$$und1__O();
          const named$2 = tuple.$$und2__O();
          const x$7 = $m_sci_Nil$();
          if (x$7.equals__O__Z(p5)) {
            jsx$3 = this.examplesEmitters__p2__s_Option__sc_Seq__scm_ListBuffer($m_s_None$(), named$2);
            break matchEnd11
          }
        };
        if ((tuple !== null)) {
          const anonymous = tuple.$$und1__O();
          const named$3 = tuple.$$und2__O();
          const jsx$6 = anonymous.headOption__s_Option();
          const jsx$5 = anonymous.tail__O();
          const this$4 = $m_sc_Seq$();
          jsx$3 = this.examplesEmitters__p2__s_Option__sc_Seq__scm_ListBuffer(jsx$6, jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(named$3, this$4.ReusableCBFInstance$2));
          break matchEnd11
        };
        throw new $c_s_MatchError().init___O(tuple)
      };
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$3))
    };
    const jsx$7 = $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.emitters__sc_Seq.call(this);
    const this$5 = $m_sc_Seq$();
    return jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(result, this$5.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, shape, ordering, references, spec);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser {
  constructor() {
    super();
    this.options$2 = null
  };
  parseExample__p2__O() {
    const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser().init___Lorg_yaml_model_YMap__T__T__s_Option__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.map__Lorg_yaml_model_YMap(), "example", new $c_Lamf_core_utils_package$Strings().init___T("examples").asOasExtension__T(), $m_s_None$(), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(name$2) {
        const name = name$2;
        return $this.shape__Lamf_plugins_domain_shapes_models_AnyShape().withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name)
      })
    })(this)), this.options__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions(), this.$$outer$1.ctx$2).parse__sc_Seq();
    if (examples.nonEmpty__Z()) {
      const this$2 = this.shape__Lamf_plugins_domain_shapes_models_AnyShape();
      const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, examples)
    } else {
      return (void 0)
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    this.parseExample__p2__O();
    const map = this.map__Lorg_yaml_model_YMap();
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("type");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const this$4 = this.shape__Lamf_plugins_domain_shapes_models_AnyShape();
      const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation)
    };
    return this.shape__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  options__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions() {
    return this.options$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser($$outer) {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_document_webapi_contexts_WebApiContext.call(this, $$outer, $$outer.ctx$2);
    this.options$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, false);
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  parseInheritance__V() {
    const this$1 = this.$$outer$1;
    const map = this.map__Lorg_yaml_model_YMap();
    const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this$1, map);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__Lamf_core_model_domain_Shape__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1, entry, this.shape__Lamf_core_model_domain_Shape(), new $c_s_Some().init___O(this.map__Lorg_yaml_model_YMap()), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V()
    }
  };
  parse__Lamf_core_model_domain_Shape() {
    this.parseInheritance__V();
    const map = this.map__Lorg_yaml_model_YMap();
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map__Lorg_yaml_model_YMap();
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map__Lorg_yaml_model_YMap();
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this$6.key__T__s_Option("default");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const dataNodeResult = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, this.shape__Lamf_core_model_domain_Shape().id$1, false, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult();
      const str = $m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(entry.value$1, false);
      const this$9 = this.shape__Lamf_core_model_domain_Shape();
      const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(str, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field$2, value, annotations);
      const this$10 = dataNodeResult.dataNode$1;
      if ((!this$10.isEmpty__Z())) {
        const arg1$1 = this$10.get__O();
        const dataNode = arg1$1;
        const this$11 = this.shape__Lamf_core_model_domain_Shape();
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$3, dataNode, annotations$1)
      }
    };
    const map$3 = this.map__Lorg_yaml_model_YMap();
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$13 = this.$$outer$1;
    const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$3.key__T__F1__V("enum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()));
    const map$4 = this.map__Lorg_yaml_model_YMap();
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$4.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$5 = this.map__Lorg_yaml_model_YMap();
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$5.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$6 = this.map__Lorg_yaml_model_YMap();
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const jsx$6 = new $c_Lamf_core_utils_package$Strings().init___T("externalDocs").asRamlAnnotation__T();
    const this$20 = this.$$outer$1;
    const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1;
    const iv$5 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$7.key__T__F1__V(jsx$6, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$20, field$7, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape__Lamf_core_model_domain_Shape()).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node, this$2$1.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this))));
    const map$7 = this.map__Lorg_yaml_model_YMap();
    const this$22 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$23 = this$22.key__T__s_Option("xml");
    if ((!this$23.isEmpty__Z())) {
      const arg1$2 = this$23.get__O();
      const entry$3 = arg1$2;
      const this$24 = this.shape__Lamf_core_model_domain_Shape();
      const this$25 = this$24.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$26 = this$25.option$1;
      const xmlSerializer = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser().init___T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext((this$26.isEmpty__Z() ? null : this$26.get__O()), entry$3.value$1, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_shapes_models_XMLSerializer();
      const this$27 = this.shape__Lamf_core_model_domain_Shape();
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1;
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$27, field$8, xmlSerializer, annotations$2)
    };
    const map$8 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8).key__T__s_Option("(amf-or)").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$9 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$9).key__T__s_Option("(amf-and)").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$10 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$10).key__T__s_Option("(amf-xone)").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$11 = this.map__Lorg_yaml_model_YMap();
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$11).key__T__s_Option("(amf-not)").isDefined__Z()) {
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape(this.$$outer$1, this.map__Lorg_yaml_model_YMap(), this.shape__Lamf_core_model_domain_Shape()).parse__V()
    };
    const map$12 = this.map__Lorg_yaml_model_YMap();
    const this$33 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$12);
    const this$34 = this$33.key__T__s_Option("facets");
    if ((!this$34.isEmpty__Z())) {
      const arg1$3 = this$34.get__O();
      const entry$4 = arg1$3;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1(this.$$outer$1, entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(name$2) {
          const name = name$2;
          return $this.shape__Lamf_core_model_domain_Shape().withCustomShapePropertyDefinition__T__Lamf_core_model_domain_extensions_PropertyShape(name)
        })
      })(this))).parse__sc_Seq()
    };
    const map$13 = this.map__Lorg_yaml_model_YMap();
    const this$36 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$13);
    const this$37 = this$36.key__T__s_Option("type");
    if ((!this$37.isEmpty__Z())) {
      const arg1$4 = this$37.get__O();
      const entry$5 = arg1$4;
      this.shape__Lamf_core_model_domain_Shape().annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(entry$5.key$1.range$3)))
    };
    return this.shape__Lamf_core_model_domain_Shape()
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType {
  constructor() {
    super();
    this.typeDef$2 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = this;
    this.typeDef$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
    return this
  };
  typeDef__Lamf_plugins_domain_shapes_models_TypeDef() {
    return this.typeDef$2
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.StringDefaultType$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, ctx) {
    this.node$1 = node;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_License() {
    const license = $m_Lamf_plugins_domain_webapi_models_License$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_License(this.node$1);
    const map = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(license));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(license));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(license, map, this.ctx$1).parse__V();
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(license.id$1, map, "license", false);
    return license
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.LicenseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.api$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, api, ctx) {
    this.map$1 = map;
    this.api$1 = api;
    this.ctx$1 = ctx;
    return this
  };
  parseServers__T__V(key) {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(key);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const jsx$3 = entry.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$4 = $m_sc_IndexedSeq$();
      const bf = this$4.ReusableCBF$6;
      const jsx$2 = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_OasWebApiContext($this.api$1.id$1, x$4, $this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__Lamf_plugins_domain_webapi_models_Server()
        })
      })(this));
      const this$5 = $m_sc_Seq$();
      jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(server$2) {
          const server = server$2;
          const this$6 = this$2$1.api$1;
          const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1;
          return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$6, field, server)
        })
      })(this)))
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, ctx) {
    this.node$1 = node;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_Organization() {
    const organization = $m_Lamf_plugins_domain_webapi_models_Organization$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Organization(this.node$1);
    const map = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(organization));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(organization));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("email", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(organization));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(organization, map, this.ctx$1).parse__V();
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(organization.id$1, map, "contact", false);
    return organization
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OrganizationParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.parent$1 = null;
    this.collector$1 = null;
    this.parseOptionalOperations$1 = false;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  implicitPathParams__p1__Lamf_plugins_domain_webapi_models_EndPoint__F1__sc_Seq(endpoint, filter) {
    const this$1 = this.parent$1;
    let this$6;
    if (this$1.isEmpty__Z()) {
      this$6 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$5 = arg1;
      this$6 = new $c_s_Some().init___O(x$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          const this$2 = x$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          const this$3 = this$2.option$1;
          return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === "path")
        })
      })(this))).foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
        return (function(x0$1$2, x1$1$2) {
          const x0$1 = x0$1$2;
          const x1$1 = x1$1$2;
          const this$4 = x1$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
          const this$5 = this$4.option$1;
          return x0$1.updated__O__O__sci_Map((this$5.isEmpty__Z() ? null : this$5.get__O()), x1$1)
        })
      })(this))))
    };
    const parentParams = (this$6.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$6.get__O());
    const jsx$2 = $m_Lamf_core_utils_package$TemplateUri$().variables__T__sc_Seq(this.parsePath__T()).filter__F1__O(filter);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, endpoint$1, parentParams$1) {
      return (function(variable$2) {
        const variable = variable$2;
        const x1 = parentParams$1.get__O__s_Option(variable);
        let implicitParam;
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const param = x2.value$2;
          implicitParam = param.cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(endpoint$1.id$1)
        } else {
          const x = $m_s_None$();
          if ((!(x === x1))) {
            throw new $c_s_MatchError().init___O(x1)
          };
          const this$7 = endpoint$1.withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(variable);
          const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, "path");
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
          const pathParam = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$8, field$1, true);
          const this$11 = pathParam.withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(variable);
          const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "string").iri__T();
          const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$2, dataType);
          implicitParam = pathParam
        };
        implicitParam.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        return implicitParam
      })
    })(this, endpoint, parentParams));
    const this$12 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$12.ReusableCBFInstance$2)
  };
  parsePath__T() {
    const this$1 = this.parent$1;
    let this$4;
    if (this$1.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$7 = arg1;
      const this$2 = x$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
      const this$3 = this$2.option$1;
      this$4 = new $c_s_Some().init___O((this$3.isEmpty__Z() ? null : this$3.get__O()))
    };
    return (("" + (this$4.isEmpty__Z() ? "" : this$4.get__O())) + this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3)
  };
  init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.parent$1 = parent;
    this.collector$1 = collector;
    this.parseOptionalOperations$1 = parseOptionalOperations;
    this.ctx$1 = ctx;
    return this
  };
  parseEndpoint__Lamf_plugins_domain_webapi_models_EndPoint__Lorg_yaml_model_YMap__V(endpoint, map) {
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(endpoint.id$1, map, "endPoint", false);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Extends__Lamf_core_metamodel_Field();
    const iv$2 = this.ctx$1;
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint);
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1) {
      return (function(name$2) {
        const name = name$2;
        return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(endpoint$1, name)
      })
    })(this, endpoint));
    jsx$4.key__T__F1__V("is", jsx$3.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, eta$0$1$1) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(eta$0$1$1, node, this$2$1.ctx$1)
      })
    })(this, eta$0$1))).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$6 = this$5.key__T__s_Option("type");
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const entry = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, endpoint$2) {
        return (function(name$2$1) {
          const name$1 = name$2$1;
          return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withResourceType__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(endpoint$2, name$1)
        })
      })(this, endpoint)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$2, entry$1) {
        return (function(key$2, scope$2) {
          const key = key$2;
          const scope = scope$2;
          return this$2$2.ctx$1.declarations$2.findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry$1.value$1, key, scope)
        })
      })(this, entry)), this.ctx$1).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
    };
    const optionalMethod = (this.parseOptionalOperations$1 ? "\\??" : "");
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const expression = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(get|patch|put|post|delete|options|head)", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([optionalMethod]));
    const entries = this$8.regex__T__sc_Iterable(expression);
    if (entries.nonEmpty__Z()) {
      const operations = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, endpoint$2$1, operations$1) {
        return (function(entry$2) {
          const entry$3 = entry$2;
          return operations$1.$$plus$eq__O__scm_ListBuffer($this$2.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().operationParser__F3().apply__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, endpoint$2$2) {
            return (function(method$2) {
              const method = method$2;
              return endpoint$2$2.withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method)
            })
          })($this$2, endpoint$2$1)), $this$2.parseOptionalOperations$1).parse__Lamf_plugins_domain_webapi_models_Operation())
        })
      })(this, endpoint, operations)));
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(operations, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field$3, value)
    };
    const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, endpoint$3) {
      return (function(name$3$2) {
        const name$3 = name$3$2;
        return endpoint$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$3)
      })
    })(this, endpoint));
    const SchemeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, eta$0$2$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(eta$0$2$1, node$3, this$6$1.ctx$1)
      })
    })(this, eta$0$2));
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1;
    const iv$3 = this.ctx$1;
    jsx$5.key__T__F1__V("securedBy", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(SchemeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq($m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$());
    let elem$1 = null;
    elem$1 = elem;
    const elem$2 = new $c_Lamf_core_parser_Annotations().init___();
    const annotations = new $c_sr_ObjectRef().init___O(elem$2);
    const entries$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).regex__T__sc_Iterable(this.uriParametersKey__T());
    const x = $m_sci_Nil$();
    let implicitExplicitPathParams;
    if (x.equals__O__Z(entries$3)) {
      implicitExplicitPathParams = this.implicitPathParams__p1__Lamf_plugins_domain_webapi_models_EndPoint__F1__sc_Seq(endpoint, this.implicitPathParams$default$2__p1__F1())
    } else {
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, endpoint$4, annotations$1, entries$3$1) {
        return (function(entry$3$2) {
          const entry$3$1 = entry$3$2;
          annotations$1.elem$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries$3$1.head__O().value$1);
          const jsx$8 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$7$1.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, endpoint$2$3) {
            return (function(name$2$2) {
              const name$4 = name$2$2;
              return endpoint$2$3.withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$4)
            })
          })(this$7$1, endpoint$4)), false, this$7$1.ctx$1).parse__sc_Seq();
          const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$3) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$1, field$5, "path")
            })
          })(this$7$1));
          const this$20 = $m_sc_Seq$();
          const explicitParameters = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$7, this$20.ReusableCBFInstance$2);
          const jsx$9 = this$7$1.implicitPathParams__p1__Lamf_plugins_domain_webapi_models_EndPoint__F1__sc_Seq(endpoint$4, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, explicitParameters$1) {
            return (function(variable$2) {
              const variable = variable$2;
              return (!explicitParameters$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, variable$1) {
                return (function(x$2$2) {
                  const x$2 = x$2$2;
                  const this$21 = x$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
                  return $f_Lamf_core_model_ValueField__is__O__Z(this$21, variable$1)
                })
              })(this$3$1, variable))))
            })
          })(this$7$1, explicitParameters)));
          const this$22 = $m_sc_Seq$();
          return explicitParameters.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$22.ReusableCBFInstance$2)
        })
      })(this, endpoint, annotations, entries$3));
      const this$23 = $m_sc_Iterable$();
      implicitExplicitPathParams = entries$3.flatMap__F1__scg_CanBuildFrom__O(jsx$6, this$23.ReusableCBFInstance$2).toSeq__sc_Seq()
    };
    const jsx$10 = elem$1;
    const x$9 = $m_sci_Nil$();
    const x$10 = $m_sci_Nil$();
    const x$11 = $m_sci_Nil$();
    const x$12 = $m_sci_Nil$();
    elem$1 = jsx$10.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(x$9, implicitExplicitPathParams, x$10, x$11, x$12));
    const this$30 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("parameters").asRamlAnnotation__T();
    const this$31 = this$30.key__T__s_Option(keyword);
    if ((!this$31.isEmpty__Z())) {
      const arg1$1 = this$31.get__O();
      const entry$4 = arg1$1;
      const jsx$11 = elem$1;
      const qual$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser().init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1), endpoint.id$1, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(this.ctx$1));
      elem$1 = jsx$11.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(qual$1.parse__Z__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(false));
      annotations.elem$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1)
    };
    const x1$2 = elem$1;
    matchEnd5: {
      if ((x1$2 !== null)) {
        const query = x1$2.query$1;
        const path = x1$2.path$1;
        const header = x1$2.header$1;
        if (elem$1.nonEmpty__Z()) {
          const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
          const this$32 = $m_sc_Seq$();
          const jsx$12 = query.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(path, this$32.ReusableCBFInstance$2);
          const this$33 = $m_sc_Seq$();
          const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$12.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(header, this$33.ReusableCBFInstance$2), annotations.elem$1);
          const annotations$2 = annotations.elem$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$6, value$1, annotations$2);
          break matchEnd5
        }
      }
    };
    const this$36 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword$1 = new $c_Lamf_core_utils_package$Strings().init___T("payloads").asRamlAnnotation__T();
    const this$37 = this$36.key__T__s_Option(keyword$1);
    if ((!this$37.isEmpty__Z())) {
      const arg1$2 = this$37.get__O();
      const entry$5 = arg1$2;
      const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$5, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, endpoint$2$4) {
        return (function(mediaType$2) {
          const mediaType = mediaType$2;
          return endpoint$2$4.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
        })
      })(this, endpoint)), false, this.ctx$1).parse__Lamf_plugins_domain_webapi_models_Payload()])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5.value$1));
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$7, value$2, annotations$3)
    };
    this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint);
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(endpoint, map, this.ctx$1).parse__V();
    const this$39 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const entries$1 = this$39.regex__T__sc_Iterable("^/.*");
    if (entries$1.nonEmpty__Z()) {
      entries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$7, endpoint$2$5) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          $this$7.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().endPointParser__F5().apply__O__O__O__O__O__O(x$3, $this$7.producer$1, new $c_s_Some().init___O(endpoint$2$5), $this$7.collector$1, false).parse__V()
        })
      })(this, endpoint)))
    }
  };
  parse__V() {
    const path = this.parsePath__T();
    const this$1 = this.producer$1.apply__O__O(path);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const endpoint = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const this$2 = this.parent$1;
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const p = arg1;
      const annotation = new $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(p);
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(endpoint, annotation))
    };
    const value = this.entry$1.value$1;
    const node = endpoint.id$1;
    const property = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1.value$1.iri__T();
    const ctx = this.ctx$1;
    $f_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__checkBalancedParams__T__Lorg_yaml_model_YNode__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext__V(this, path, value, node, property, ctx);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(path, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.key$1));
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field, value$1);
    if ((!$m_Lamf_core_utils_package$TemplateUri$().isValid__T__Z(path))) {
      const this$3 = this.ctx$1;
      const node$1 = endpoint.id$1;
      const message = $m_Lamf_core_utils_package$TemplateUri$().invalidMsg__T__T(path);
      const ast = this.entry$1.value$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$3, node$1, message, ast)
    };
    const this$4 = this.collector$1;
    const this$5 = this$4.scala$collection$mutable$ListBuffer$$start$6;
    let jsx$1;
    inlinereturn$14: {
      let these = this$5;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const e = arg1$1;
        const this$6 = e.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
        if ($f_Lamf_core_model_ValueField__is__O__Z(this$6, path)) {
          jsx$1 = true;
          break inlinereturn$14
        };
        these = these.tail__O()
      };
      jsx$1 = false
    };
    if (jsx$1) {
      const this$7 = this.ctx$1;
      const node$2 = endpoint.id$1;
      const message$1 = ("Duplicated resource path " + path);
      const ast$1 = this.entry$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node$2, message$1, ast$1)
    } else {
      const this$8 = this.entry$1.value$1;
      const x1 = this$8.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1)) {
        this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint)
      } else {
        const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        this.parseEndpoint__Lamf_plugins_domain_webapi_models_EndPoint__Lorg_yaml_model_YMap__V(endpoint, map)
      }
    }
  };
  implicitPathParams$default$2__p1__F1() {
    return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        return true
      })
    })(this))
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null;
    this.request$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__s_Option() {
    const target = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser(this);
    const map = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
    const iv = this.ctx$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(target);
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(name$2) {
        const name = name$2;
        return $this.request$1.getOrCreate__O().withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name)
      })
    })(this));
    jsx$2.key__T__F1__V("queryParameters", jsx$1.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, eta$0$1$1) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlQueryParameterParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(eta$0$1$1, this$2.parseOptional$1, node, this$2.ctx$1)
      })
    })(this, eta$0$1))).treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
    const iv$1 = this.ctx$1;
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(target);
    const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(name$3$2) {
        const name$3 = name$3$2;
        return this$3$1.request$1.getOrCreate__O().withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name$3)
      })
    })(this));
    jsx$4.key__T__F1__V("headers", jsx$3.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, eta$0$2$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(eta$0$2$1, this$4.parseOptional$1, node$3, this$4.ctx$1)
      })
    })(this, eta$0$2))).treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const keyword = this.baseUriParametersKey__T();
    const this$7 = this$6.key__T__s_Option(keyword);
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const jsx$6 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(paramEntry$2) {
          const paramEntry = paramEntry$2;
          const eta$0$3 = $this$1.request$1.getOrCreate__O();
          const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(paramEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, eta$0$3$1) {
            return (function(name$2$1) {
              const name$1 = name$2$1;
              return eta$0$3$1.withUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$1)
            })
          })($this$1, eta$0$3)), $this$1.parseOptional$1, $this$1.ctx$1).parse__Lamf_plugins_domain_webapi_models_Parameter();
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field$2, "path")
        })
      })(this));
      const this$9 = $m_sc_IndexedSeq$();
      const parameters = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBF$6);
      const this$10 = this.request$1.getOrCreate__O();
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$10, field$3, value, annotations)
    };
    const map$3 = this.map$1;
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$13 = this$12.key__T__s_Option("body");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$14 = entry$3.value$1;
      const x1 = this$14.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1)) {
        const this$15 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
          return (function(shape$2) {
            const shape = shape$2;
            const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$4, "default").adopted__T__Lamf_core_model_domain_AmfObject($this$3.request$1.getOrCreate__O().id__T())
          })
        })(this)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
        if ((!this$15.isEmpty__Z())) {
          const arg1$2 = this$15.get__O();
          const x$1 = arg1$2;
          const this$16 = this.request$1.getOrCreate__O().withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$16, field$5, x$1))
        }
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
        if ((x$3 === x1)) {
          const this$17 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2) {
            return (function(shape$3$2) {
              const shape$3 = shape$3$2;
              const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$6, "default").adopted__T__Lamf_core_model_domain_AmfObject(this$3$2.request$1.getOrCreate__O().id__T())
            })
          })(this)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
          if ((!this$17.isEmpty__Z())) {
            const arg1$3 = this$17.get__O();
            const x$2$2 = arg1$3;
            const this$18 = this.request$1.getOrCreate__O().withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
            const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
            payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$18, field$7, x$2$2))
          }
        } else {
          const this$19 = entry$3.value$1;
          const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
          const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$19);
          if ($is_s_util_Right(x1$2)) {
            const x2 = x1$2;
            const m = x2.value$2;
            const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
            const entries = this$21.regex__T__sc_Iterable(".*/.*");
            if (entries.nonEmpty__Z()) {
              entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, payloads$1) {
                return (function(entry$2) {
                  const entry$1 = entry$2;
                  const jsx$7 = $this$4.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().payloadParser__F3();
                  const eta$0$4 = $this$4.request$1.getOrCreate__O();
                  return payloads$1.$$plus$eq__O__scm_ListBuffer(jsx$7.apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, eta$0$4$1) {
                    return (function(mediaType$2) {
                      const mediaType = mediaType$2;
                      return eta$0$4$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
                    })
                  })($this$4, eta$0$4)), false).parse__Lamf_plugins_domain_webapi_models_Payload())
                })
              })(this, payloads)))
            };
            $m_Lorg_yaml_model_YMap$();
            const c = m.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
              return (function(e$2) {
                const e = e$2;
                const thiz = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$6$1.ctx$1).text$3;
                if ((thiz === null)) {
                  throw new $c_jl_NullPointerException().init___()
                };
                return (!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(".*/.*", thiz))
              })
            })(this)));
            const others = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
            const this$24 = others.entries$3;
            if ($f_sc_TraversableOnce__nonEmpty__Z(this$24)) {
              if (payloads.isEmpty__Z()) {
                const jsx$9 = others.entries$3;
                const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
                  return (function(x$3$2$2) {
                    const x$3$2 = x$3$2$2;
                    return x$3$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$7$1.ctx$1).text$3
                  })
                })(this));
                const this$25 = $m_sc_IndexedSeq$();
                const x$5 = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$25.ReusableCBF$6);
                $m_sci_List$();
                const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["example"]);
                const this$27 = $m_sci_List$();
                const cbf = this$27.ReusableCBFInstance$2;
                const x$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
                if ((((x$5 === null) ? (x$6 === null) : $objectEquals(x$5, x$6)) && (!this.ctx$1.globalMediatype$3))) {
                  const this$28 = this.ctx$1;
                  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
                  const node$1 = this.request$1.getOrCreate__O().id__T();
                  const property = $m_s_None$();
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$28, id, node$1, property, "Invalid media type", m)
                };
                const this$29 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
                  return (function(shape$4$2) {
                    const shape$4 = shape$4$2;
                    const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$8, "default").adopted__T__Lamf_core_model_domain_AmfObject(this$8$1.request$1.getOrCreate__O().id__T())
                  })
                })(this)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
                if ((!this$29.isEmpty__Z())) {
                  const arg1$4 = this$29.get__O();
                  const x$4$2 = arg1$4;
                  const this$30 = this.request$1.getOrCreate__O().withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
                  const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
                  payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$30, field$9, x$4$2))
                }
              } else {
                others.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
                  return (function(e$3$2) {
                    const e$3 = e$3$2;
                    const this$31 = this$10$1.ctx$1;
                    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected key '", "'. Expecting valid media types."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$10$1.ctx$1).text$3]));
                    $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$31, message, e$3)
                  })
                })(this)))
              }
            }
          }
        }
      };
      if (payloads.nonEmpty__Z()) {
        const this$32 = this.request$1.getOrCreate__O();
        const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$32, field$10, value$1, annotations$1)
      }
    };
    this.parse__Lamf_core_utils_Lazy__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__V(this.request$1, target);
    const this$33 = this.request$1;
    return this$33.value$1
  };
  init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$1 = map;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    this.request$1 = new $c_Lamf_core_utils_Lazy().init___F0(producer);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  foreach__F1__V(fn) {
    fn.apply__O__O(this.$$outer$1.request$1.getOrCreate__O())
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlRequestParser$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_Response() {
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const node$1 = this$2.text__Lamf_core_model_domain_AmfScalar();
    const this$3 = this.entry$1.value$1;
    const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    let response;
    if ((x === x1)) {
      const this$4 = this.producer$1.apply__O__O(node$1.toString__T());
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const this$5 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$4, other);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
      response = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field, node$1)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
      let jsx$1;
      if ((x$3 === x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Int$1;
        jsx$1 = (x$5 === x1)
      };
      if (jsx$1) {
        const ref = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const qual$1 = this.ctx$1.declarations$2.findResponseOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_Response(this.entry$1.value$1, ref, $m_Lamf_core_parser_SearchScope$All$());
        const x$5$2 = new $c_Lamf_core_parser_Annotations().init___();
        const res = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$1, ref, x$5$2);
        const name = node$1.toString__T();
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
        response = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res, field$1, name)
      } else {
        const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const this$7 = this.producer$1.apply__O__O(node$1.toString__T());
        const other$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
        const this$8 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$7, other$1);
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
        const res$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$8, field$2, node$1);
        if ((this.parseOptional$1 && $m_sjsr_RuntimeString$().endsWith__T__T__Z(node$1.toString__T(), "?"))) {
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Optional$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(res$2, field$3, true);
          const x$1 = node$1.toString__T();
          const this$10 = new $c_sci_StringOps().init___T(x$1);
          const name$1 = $f_sci_StringLike__stripSuffix__T__T(this$10, "?");
          const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res$2, field$4, name$1);
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(res$2, field$5, name$1)
        };
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
        const iv$1 = this.ctx$1;
        jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(res$2).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
        const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1;
        const iv$2 = this.ctx$1;
        const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(res$2);
        const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, res$2$1) {
          return (function(name$2$2) {
            const name$2 = name$2$2;
            return res$2$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name$2)
          })
        })(this, res$2));
        jsx$4.key__T__F1__V("headers", jsx$3.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, eta$0$1$1) {
          return (function(node$2$2) {
            const node$2 = node$2$2;
            return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlHeaderParser$().parse__F1__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_Parameter(eta$0$1$1, this$2$1.parseOptional$1, node$2, this$2$1.ctx$1)
          })
        })(this, eta$0$1))).treatMapAsArray__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
        const this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$15 = this$14.key__T__s_Option("body");
        if ((!this$15.isEmpty__Z())) {
          const arg1 = this$15.get__O();
          const entry = arg1;
          const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const payload = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const parent = res$2.id$1;
          $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(payload, parent);
          const this$19 = entry.value$1;
          const x1$1 = this$19.tag__Lorg_yaml_model_YTag().tagType$2;
          const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
          if ((x$2 === x1$1)) {
            const this$20 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, payload$1) {
              return (function(shape$2) {
                const shape = shape$2;
                const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$8, "default").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
              })
            })(this, payload)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
            if ((!this$20.isEmpty__Z())) {
              const arg1$1 = this$20.get__O();
              const schema = arg1$1;
              schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
              const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
              payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$9, schema))
            };
            const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
            const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
            const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res$2, field$10, value, annotations$1)
          } else {
            const x$3$1 = $m_Lorg_yaml_model_YType$().Str$1;
            if ((x$3$1 === x1$1)) {
              const this$21 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, payload$2) {
                return (function(shape$3$2) {
                  const shape$3 = shape$3$2;
                  const field$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$11, "default").adopted__T__Lamf_core_model_domain_AmfObject(payload$2.id$1)
                })
              })(this, payload)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
              if ((!this$21.isEmpty__Z())) {
                const arg1$2 = this$21.get__O();
                const x$1$1 = arg1$2;
                const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
                payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$12, x$1$1))
              };
              const field$13 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
              const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
              const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res$2, field$13, value$1, annotations$2)
            } else {
              const this$22 = entry.value$1;
              const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
              const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$22);
              if ($is_s_util_Right(x1$2)) {
                const x2 = x1$2;
                const m = x2.value$2;
                const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
                const entries = this$24.regex__T__sc_Iterable(".*/.*");
                if (entries.nonEmpty__Z()) {
                  entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, res$1, payloads$1) {
                    return (function(entry$2) {
                      const entry$1 = entry$2;
                      return payloads$1.$$plus$eq__O__scm_ListBuffer($this$2.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().payloadParser__F3().apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, res$1$1) {
                        return (function(mediaType$2) {
                          const mediaType = mediaType$2;
                          return res$1$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
                        })
                      })($this$2, res$1)), false).parse__Lamf_plugins_domain_webapi_models_Payload())
                    })
                  })(this, res$2, payloads)))
                };
                $m_Lorg_yaml_model_YMap$();
                const c = m.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
                  return (function(e$2) {
                    const e = e$2;
                    const thiz = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$6$1.ctx$1).text$3;
                    if ((thiz === null)) {
                      throw new $c_jl_NullPointerException().init___()
                    };
                    return (!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(".*/.*", thiz))
                  })
                })(this)));
                const others = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
                const this$27 = others.entries$3;
                if ($f_sc_TraversableOnce__nonEmpty__Z(this$27)) {
                  if (payloads.isEmpty__Z()) {
                    const jsx$6 = others.entries$3;
                    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
                      return (function(x$2$2$2) {
                        const x$2$2 = x$2$2$2;
                        return x$2$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$7$1.ctx$1).text$3
                      })
                    })(this));
                    const this$28 = $m_sc_IndexedSeq$();
                    const x$5$1 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$28.ReusableCBF$6);
                    $m_sci_List$();
                    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["example"]);
                    const this$30 = $m_sci_List$();
                    const cbf = this$30.ReusableCBFInstance$2;
                    const x$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
                    if ((((x$5$1 === null) ? (x$6 === null) : $objectEquals(x$5$1, x$6)) && (!this.ctx$1.globalMediatype$3))) {
                      const this$31 = this.ctx$1;
                      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
                      const node$3 = res$2.id$1;
                      const property = $m_s_None$();
                      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$31, id, node$3, property, "Invalid media type", m)
                    };
                    const this$32 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, res$1$2) {
                      return (function(shape$4$2) {
                        const shape$4 = shape$4$2;
                        const field$14 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$14, "default").adopted__T__Lamf_core_model_domain_AmfObject(res$1$2.id$1)
                      })
                    })(this, res$2)), false, this.defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType()).parse__s_Option();
                    if ((!this$32.isEmpty__Z())) {
                      const arg1$3 = this$32.get__O();
                      const x$3$2 = arg1$3;
                      const this$33 = res$2.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
                      const field$15 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
                      payloads.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$33, field$15, x$3$2))
                    }
                  } else {
                    others.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
                      return (function(e$3$2) {
                        const e$3 = e$3$2;
                        const this$34 = this$10$1.ctx$1;
                        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected key '", "'. Expecting valid media types."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$10$1.ctx$1).text$3]));
                        $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$34, message, e$3)
                      })
                    })(this)))
                  }
                }
              };
              if (payloads.nonEmpty__Z()) {
                const field$16 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
                const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res$2, field$16, value$2, annotations$3)
              }
            }
          }
        };
        const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lamf_core_utils_package$Strings().init___T("examples").asRamlAnnotation__T(), map, this.ctx$1).parse__sc_Seq();
        if (examples.nonEmpty__Z()) {
          const field$17 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1;
          const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(examples, new $c_Lamf_core_parser_Annotations().init___());
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(res$2, field$17, value$3)
        };
        this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(res$2.id$1, map, "response", false);
        this.parseMap__Lamf_plugins_domain_webapi_models_Response__Lorg_yaml_model_YMap__V(res$2, map);
        response = res$2
      }
    };
    return response
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser)))
});
const $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__emit__Lorg_yaml_model_YDocument$EntryBuilder__V = (function($thiz, b) {
  const single = $thiz.f__Lamf_core_parser_FieldEntry().value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf());
  const value = $thiz.f__Lamf_core_parser_FieldEntry().value$1;
  const this$2 = $thiz.f__Lamf_core_parser_FieldEntry();
  const elements = $thiz.collect__sc_Seq__sc_Seq(this$2.value$1.value$1.values$1);
  if (single) {
    $m_Lorg_yaml_model_YNode$();
    const str = $thiz.key__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $thiz.emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(elements.head__O()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$4 = v.builder$1;
    const array = [key];
    if ((this$4.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$4.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
    const len$1 = this$4.size0$6;
    const src = this$4.array$6;
    const dest = this$4.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$4.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$4.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  } else {
    $m_Lorg_yaml_model_YNode$();
    const str$1 = $thiz.key__T();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v$1.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = $thiz.ordering__Lamf_core_emitter_SpecOrdering();
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $this.emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(element)
      })
    })($thiz));
    const this$17 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(elements.map__F1__scg_CanBuildFrom__O(jsx$2, this$17.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$22 = v$1.builder$1;
    const array$1 = [key$1];
    if ((this$22.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$22.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize$1);
    const len$4 = this$22.size0$6;
    const src$1 = this$22.array$6;
    const dest$1 = this$22.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$22.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$6 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$6] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$22.size0$6 = newSize$1;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__position__Lamf_core_parser_Position = (function($thiz) {
  const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
  const annotations = $thiz.f__Lamf_core_parser_FieldEntry().value$1.annotations$1;
  return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__Lamf_plugins_domain_webapi_models_Tag() {
    const map = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const tag = $m_Lamf_plugins_domain_webapi_models_Tag$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Tag(this.node$1);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(tag));
    this.adopt$1.apply__O__O(tag);
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(tag));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Documentation$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("externalDocs", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(tag).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node, $this.ctx$1)
      })
    })(this))));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(tag, map, this.ctx$1).parse__V();
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(tag.id$1, map, "tag", false);
    return tag
  };
  init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(node, adopt, ctx) {
    this.node$1 = node;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_TagsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.TagsParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_TagsParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$ = this;
    const array = ["swagger", "info", "host", "basePath", "schemes", "consumes", "produces", "paths", "definitions", "parameters", "responses", "securityDefinitions", "security", "tags", "externalDocs"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$13 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["title", "description", "termsOfService", "contact", "license", "version"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$12 = new $c_T2().init___O__O("info", y$1);
    const array$2 = ["name", "url", "email"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$11 = new $c_T2().init___O__O("contact", y$2);
    const array$3 = ["name", "url"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$10 = new $c_T2().init___O__O("license", y$3);
    const array$4 = ["attribute", "wrapped", "name", "namespace", "prefix"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$9 = new $c_T2().init___O__O("xmlSerialization", y$4);
    const array$5 = ["get", "put", "post", "delete", "options", "head", "patch", "parameters", "$ref"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$8 = new $c_T2().init___O__O("pathItem", y$5);
    const array$6 = ["tags", "summary", "description", "externalDocs", "operationId", "consumes", "produces", "parameters", "responses", "schemes", "deprecated", "security"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const jsx$7 = new $c_T2().init___O__O("operation", y$6);
    const array$7 = ["url"];
    let y$7;
    if (((array$7.length | 0) === 0)) {
      y$7 = $m_sci_Set$EmptySet$()
    } else {
      const b$7 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$7 = 0;
      const len$7 = (array$7.length | 0);
      while ((i$7 < len$7)) {
        const index$7 = i$7;
        const arg1$7 = array$7[index$7];
        b$7.$$plus$eq__O__scm_SetBuilder(arg1$7);
        i$7 = ((1 + i$7) | 0)
      };
      y$7 = b$7.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("externalDoc", y$7);
    const array$8 = ["name", "in", "description", "required", "type", "format", "allowEmptyValue", "items", "collectionFormat", "default", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "multipleOf", "uniqueItems", "enum", "deprecated", "multipleOf", "items", "example"];
    let y$8;
    if (((array$8.length | 0) === 0)) {
      y$8 = $m_sci_Set$EmptySet$()
    } else {
      const b$8 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$8 = 0;
      const len$8 = (array$8.length | 0);
      while ((i$8 < len$8)) {
        const index$8 = i$8;
        const arg1$8 = array$8[index$8];
        b$8.$$plus$eq__O__scm_SetBuilder(arg1$8);
        i$8 = ((1 + i$8) | 0)
      };
      y$8 = b$8.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("parameter", y$8);
    const array$9 = ["name", "in", "description", "required", "schema"];
    let y$9;
    if (((array$9.length | 0) === 0)) {
      y$9 = $m_sci_Set$EmptySet$()
    } else {
      const b$9 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$9 = 0;
      const len$9 = (array$9.length | 0);
      while ((i$9 < len$9)) {
        const index$9 = i$9;
        const arg1$9 = array$9[index$9];
        b$9.$$plus$eq__O__scm_SetBuilder(arg1$9);
        i$9 = ((1 + i$9) | 0)
      };
      y$9 = b$9.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("bodyParameter", y$9);
    const array$10 = ["description", "schema", "headers", "examples"];
    let y$10;
    if (((array$10.length | 0) === 0)) {
      y$10 = $m_sci_Set$EmptySet$()
    } else {
      const b$10 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$10 = 0;
      const len$10 = (array$10.length | 0);
      while ((i$10 < len$10)) {
        const index$10 = i$10;
        const arg1$10 = array$10[index$10];
        b$10.$$plus$eq__O__scm_SetBuilder(arg1$10);
        i$10 = ((1 + i$10) | 0)
      };
      y$10 = b$10.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("response", y$10);
    const array$11 = ["description", "type", "items", "collectionFormat", "default", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "uniqueItems", "enum", "multipleOf"];
    let y$11;
    if (((array$11.length | 0) === 0)) {
      y$11 = $m_sci_Set$EmptySet$()
    } else {
      const b$11 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$11 = 0;
      const len$11 = (array$11.length | 0);
      while ((i$11 < len$11)) {
        const index$11 = i$11;
        const arg1$11 = array$11[index$11];
        b$11.$$plus$eq__O__scm_SetBuilder(arg1$11);
        i$11 = ((1 + i$11) | 0)
      };
      y$11 = b$11.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("headerParameter", y$11);
    const array$12 = ["name", "description", "externalDocs"];
    let y$12;
    if (((array$12.length | 0) === 0)) {
      y$12 = $m_sci_Set$EmptySet$()
    } else {
      const b$12 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$12 = 0;
      const len$12 = (array$12.length | 0);
      while ((i$12 < len$12)) {
        const index$12 = i$12;
        const arg1$12 = array$12[index$12];
        b$12.$$plus$eq__O__scm_SetBuilder(arg1$12);
        i$12 = ((1 + i$12) | 0)
      };
      y$12 = b$12.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("tag", y$12);
    const array$13 = ["$ref", "$schema", "format", "title", "description", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "uniqueItems", "maxProperties", "minProperties", "required", "enum", "type", "items", "collectionFormat", "allOf", "properties", "additionalProperties", "discriminator", "readOnly", "xml", "externalDocs", "example", "allOf", "anyOf", "dependencies", "multipleOf", "default", "example", "id", "name", "patternProperties"];
    let y$13;
    if (((array$13.length | 0) === 0)) {
      y$13 = $m_sci_Set$EmptySet$()
    } else {
      const b$13 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$13 = 0;
      const len$13 = (array$13.length | 0);
      while ((i$13 < len$13)) {
        const index$13 = i$13;
        const arg1$13 = array$13[index$13];
        b$13.$$plus$eq__O__scm_SetBuilder(arg1$13);
        i$13 = ((1 + i$13) | 0)
      };
      y$13 = b$13.elems$1
    };
    const array$14 = [jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("schema", y$13)];
    const this$44 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$14 = 0;
    const len$14 = (array$14.length | 0);
    while ((i$14 < len$14)) {
      const index$14 = i$14;
      const arg1$14 = array$14[index$14];
      this$44.$$plus$eq__T2__scm_MapBuilder(arg1$14);
      i$14 = ((1 + i$14) | 0)
    };
    this.nodes$1 = this$44.elems$1;
    return this
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.Oas2Syntax$", {
  Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$ = this;
    const array = ["openapi", "info", "servers", "paths", "components", "security", "tags", "externalDocs"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$13 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["title", "description", "termsOfService", "contact", "license", "version"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$12 = new $c_T2().init___O__O("info", y$1);
    const array$2 = ["name", "url", "email"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$11 = new $c_T2().init___O__O("contact", y$2);
    const array$3 = ["name", "url"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$10 = new $c_T2().init___O__O("license", y$3);
    const array$4 = ["attribute", "wrapped", "name", "namespace", "prefix"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$9 = new $c_T2().init___O__O("xmlSerialization", y$4);
    const array$5 = ["get", "put", "post", "delete", "options", "head", "patch", "parameters", "$ref"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$8 = new $c_T2().init___O__O("pathItem", y$5);
    const array$6 = ["tags", "summary", "description", "externalDocs", "operationId", "consumes", "produces", "parameters", "responses", "schemes", "deprecated", "security"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const jsx$7 = new $c_T2().init___O__O("operation", y$6);
    const array$7 = ["url"];
    let y$7;
    if (((array$7.length | 0) === 0)) {
      y$7 = $m_sci_Set$EmptySet$()
    } else {
      const b$7 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$7 = 0;
      const len$7 = (array$7.length | 0);
      while ((i$7 < len$7)) {
        const index$7 = i$7;
        const arg1$7 = array$7[index$7];
        b$7.$$plus$eq__O__scm_SetBuilder(arg1$7);
        i$7 = ((1 + i$7) | 0)
      };
      y$7 = b$7.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("externalDoc", y$7);
    const array$8 = ["name", "in", "description", "required", "type", "format", "allowEmptyValue", "items", "collectionFormat", "default", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "multipleOf", "uniqueItems", "enum", "multipleOf", "items", "example"];
    let y$8;
    if (((array$8.length | 0) === 0)) {
      y$8 = $m_sci_Set$EmptySet$()
    } else {
      const b$8 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$8 = 0;
      const len$8 = (array$8.length | 0);
      while ((i$8 < len$8)) {
        const index$8 = i$8;
        const arg1$8 = array$8[index$8];
        b$8.$$plus$eq__O__scm_SetBuilder(arg1$8);
        i$8 = ((1 + i$8) | 0)
      };
      y$8 = b$8.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("parameter", y$8);
    const array$9 = ["name", "in", "description", "required", "schema"];
    let y$9;
    if (((array$9.length | 0) === 0)) {
      y$9 = $m_sci_Set$EmptySet$()
    } else {
      const b$9 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$9 = 0;
      const len$9 = (array$9.length | 0);
      while ((i$9 < len$9)) {
        const index$9 = i$9;
        const arg1$9 = array$9[index$9];
        b$9.$$plus$eq__O__scm_SetBuilder(arg1$9);
        i$9 = ((1 + i$9) | 0)
      };
      y$9 = b$9.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("bodyParameter", y$9);
    const array$10 = ["description", "schema", "headers", "examples"];
    let y$10;
    if (((array$10.length | 0) === 0)) {
      y$10 = $m_sci_Set$EmptySet$()
    } else {
      const b$10 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$10 = 0;
      const len$10 = (array$10.length | 0);
      while ((i$10 < len$10)) {
        const index$10 = i$10;
        const arg1$10 = array$10[index$10];
        b$10.$$plus$eq__O__scm_SetBuilder(arg1$10);
        i$10 = ((1 + i$10) | 0)
      };
      y$10 = b$10.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("response", y$10);
    const array$11 = ["description", "type", "items", "collectionFormat", "default", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "pattern", "maxItems", "minItems", "uniqueItems", "enum", "multipleOf"];
    let y$11;
    if (((array$11.length | 0) === 0)) {
      y$11 = $m_sci_Set$EmptySet$()
    } else {
      const b$11 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$11 = 0;
      const len$11 = (array$11.length | 0);
      while ((i$11 < len$11)) {
        const index$11 = i$11;
        const arg1$11 = array$11[index$11];
        b$11.$$plus$eq__O__scm_SetBuilder(arg1$11);
        i$11 = ((1 + i$11) | 0)
      };
      y$11 = b$11.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("headerParameter", y$11);
    const array$12 = ["name", "description", "externalDocs"];
    let y$12;
    if (((array$12.length | 0) === 0)) {
      y$12 = $m_sci_Set$EmptySet$()
    } else {
      const b$12 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$12 = 0;
      const len$12 = (array$12.length | 0);
      while ((i$12 < len$12)) {
        const index$12 = i$12;
        const arg1$12 = array$12[index$12];
        b$12.$$plus$eq__O__scm_SetBuilder(arg1$12);
        i$12 = ((1 + i$12) | 0)
      };
      y$12 = b$12.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("tag", y$12);
    const array$13 = ["$ref", "$schema", "format", "title", "description", "maximum", "exclusiveMaximum", "minimum", "exclusiveMinimum", "maxLength", "minLength", "nullable", "pattern", "maxItems", "minItems", "uniqueItems", "maxProperties", "minProperties", "required", "enum", "type", "items", "collectionFormat", "allOf", "properties", "additionalProperties", "discriminator", "readOnly", "writeOnly", "xml", "deprecated", "externalDocs", "example", "allOf", "anyOf", "dependencies", "multipleOf", "default", "example", "id", "name", "patternProperties"];
    let y$13;
    if (((array$13.length | 0) === 0)) {
      y$13 = $m_sci_Set$EmptySet$()
    } else {
      const b$13 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$13 = 0;
      const len$13 = (array$13.length | 0);
      while ((i$13 < len$13)) {
        const index$13 = i$13;
        const arg1$13 = array$13[index$13];
        b$13.$$plus$eq__O__scm_SetBuilder(arg1$13);
        i$13 = ((1 + i$13) | 0)
      };
      y$13 = b$13.elems$1
    };
    const array$14 = [jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("schema", y$13)];
    const this$44 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$14 = 0;
    const len$14 = (array$14.length | 0);
    while ((i$14 < len$14)) {
      const index$14 = i$14;
      const arg1$14 = array$14[index$14];
      this$44.$$plus$eq__T2__scm_MapBuilder(arg1$14);
      i$14 = ((1 + i$14) | 0)
    };
    this.nodes$1 = this$44.elems$1;
    return this
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.Oas3Syntax$", {
  Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter extends $c_O {
  constructor() {
    super();
    this.ReferencesEmitter$module$1 = null;
    this.ReferenceEmitter$module$1 = null;
    this.spec$1 = null
  };
  init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(spec) {
    this.spec$1 = spec;
    return this
  };
}
class $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null;
    this.plugin$1 = null;
    this.references$1 = null;
    this.linkRegex$1 = null
  };
  ramlInclude__p1__Lorg_yaml_model_YNode__V(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      this.references$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(x2.text$3, $m_Lamf_core_parser_LinkReference$(), node)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected !include with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.value__Lorg_yaml_model_YValue()]))))
    }
  };
  links__p1__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx) {
    const x1 = this.vendor$1;
    if (((x1 === "RAML 1.0") || ((x1 === "RAML 0.8") || (x1 === "RAML")))) {
      this.ramlLinks__Lorg_yaml_model_YPart__V(part)
    } else if (((x1 === "OAS 2.0") || (x1 === "OAS 3.0.0"))) {
      this.oasLinks__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx)
    }
  };
  checkInlined__p1__Lorg_yaml_model_YScalar__V(scalar) {
    const str = scalar.value$3;
    if ($m_Lamf_core_utils_package$MediaTypeMatcher$().isJson$extension__T__Z(str)) {
      const this$2 = this.linkRegex$1.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(str);
      while (this$2.hasNext__Z()) {
        const arg1 = this$2.next__T();
        try {
          const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(arg1, "\"", 0);
          const this$5 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
          const thiz = $f_sc_IndexedSeqOptimized__last__O(this$5);
          const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
          const this$8 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
          const link = $f_sc_IndexedSeqOptimized__head__O(this$8);
          if ((((link.indexOf("<<") | 0) === (-1)) && ((link.indexOf(">>") | 0) === (-1)))) {
            const jsx$2 = this.references$1;
            const jsx$1 = $m_Lamf_core_parser_InferredLinkReference$();
            $m_Lorg_yaml_model_YNode$();
            const tt = $m_Lorg_yaml_model_YType$().Str$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            jsx$2.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(link, jsx$1, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(scalar, t, a, cs))
          }
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((!$is_jl_Exception(e$2))) {
            throw e
          }
        }
      }
    }
  };
  isRef__p1__Lorg_yaml_model_YMapEntry__Z(entry) {
    const x1 = entry.key$1.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      return (x2.text$3 === "$ref")
    } else {
      return false
    }
  };
  ramlLinks__Lorg_yaml_model_YPart__V(part) {
    matchEnd5: {
      if ($is_Lorg_yaml_model_YNode(part)) {
        const x2 = part;
        const x = x2.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
        if ((x === x$2)) {
          this.ramlInclude__p1__Lorg_yaml_model_YNode__V(x2);
          break matchEnd5
        }
      };
      if ($is_Lorg_yaml_model_YScalar(part)) {
        const x3 = part;
        if ($is_T(x3.value$3)) {
          this.checkInlined__p1__Lorg_yaml_model_YScalar__V(x3);
          break matchEnd5
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(part$2$2) {
          const part$2 = part$2$2;
          $this.ramlLinks__Lorg_yaml_model_YPart__V(part$2)
        })
      })(this)))
    }
  };
  overlaysAndExtensions__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(document, ctx) {
    const this$1 = document.node$3;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const x1$2 = this.vendor$1;
      const ext = ((x1$2 === "RAML 1.0") ? new $c_s_Some().init___O("extends") : (((x1$2 === "OAS 2.0") || (x1$2 === "OAS 3.0.0")) ? new $c_s_Some().init___O("x-extends") : $m_s_None$()));
      if ((!ext.isEmpty__Z())) {
        const arg1 = ext.get__O();
        const u = arg1;
        const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(u);
        if ((!this$3.isEmpty__Z())) {
          const arg1$1 = this$3.get__O();
          const entry = arg1$1;
          const this$4 = entry.value$1;
          const x1$1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
          const x = $m_Lorg_yaml_model_YType$().Map$1;
          let jsx$1;
          if ((x === x1$1)) {
            jsx$1 = true
          } else {
            const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
            jsx$1 = (x$3 === x1$1)
          };
          if (jsx$1) {
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected scalar but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry.value$1]));
            const ast = entry.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx, "", message, ast)
          } else {
            this.extension__p1__Lorg_yaml_model_YMapEntry__V(entry)
          }
        }
      }
    }
  };
  hasDocumentAST__p1__Lamf_core_model_document_BaseUnit__Z(other) {
    const this$1 = other.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      return $is_Lorg_yaml_model_YDocument(x$4.ast$1)
    } else {
      return false
    }
  };
  oasInclude__p1__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__V(map, ctx) {
    const ref = map.entries$3.head__O();
    const this$1 = ref.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Str$1;
    if ((x === x1)) {
      this.references$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(ref.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), $m_Lamf_core_parser_LinkReference$(), ref.value$1)
    } else {
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected $ref with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([ref]));
      const ast = ref.value$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx, "", message, ast)
    }
  };
  libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(document, ctx) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = document.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const x1$2 = this.vendor$1;
      const uses = ((x1$2 === "RAML 1.0") ? new $c_s_Some().init___O("uses") : (((x1$2 === "OAS 2.0") || (x1$2 === "OAS 3.0.0")) ? new $c_s_Some().init___O("x-amf-uses") : $m_s_None$()));
      if ((!uses.isEmpty__Z())) {
        const arg1 = uses.get__O();
        const u = arg1;
        const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(u);
        if ((!this$2.isEmpty__Z())) {
          const arg1$1 = this$2.get__O();
          const entry = arg1$1;
          const this$3 = entry.value$1;
          const conversion$1 = $m_Lorg_yaml_convert_YRead$YMapYRead$();
          const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
          if ($is_s_util_Right(x1$1)) {
            const x2$1 = x1$1;
            const m = x2$1.value$2;
            m.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1) {
              return (function(x$1$2) {
                const x$1 = x$1$2;
                $this.library__p1__Lorg_yaml_model_YMapEntry__Lamf_core_parser_ParserContext__V(x$1, ctx$1)
              })
            })(this, ctx)))
          } else {
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected map but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry.value$1]));
            const ast = entry.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(ctx, "", message, ast)
          }
        }
      }
    }
  };
  oasLinks__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(part, ctx) {
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(part)) {
        const x2 = part;
        if (((x2.entries$3.size__I() === 1) && this.isRef__p1__Lorg_yaml_model_YMapEntry__Z(x2.entries$3.head__O()))) {
          this.oasInclude__p1__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__V(x2, ctx);
          break matchEnd4
        }
      };
      part.children__sc_IndexedSeq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1) {
        return (function(c$2) {
          const c = c$2;
          $this.oasLinks__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(c, ctx$1)
        })
      })(this, ctx)))
    }
  };
  handleRamlExternalFragment__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) {
    const x1 = this.resolveUnitDocument__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__s_util_Either(reference, ctx);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const document = x2.value$2;
      const parsed = new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument($m_s_None$(), document);
      const refs = new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.vendor$1, this.plugin$1).collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(parsed, ctx);
      const updated = context.update__T__Lamf_core_remote_Context(reference.unit$1.id__T());
      const jsx$2 = refs.toReferences__sc_Seq();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ctx$1, environment$1, updated$1) {
        return (function(r$2) {
          const r = r$2;
          return r.resolve__Lamf_core_remote_Context__s_Option__T__Lamf_core_remote_Cache__Lamf_core_parser_ParserContext__Lamf_internal_environment_Environment__s_concurrent_Future(updated$1, $m_s_None$(), $this.vendor$1, new $c_Lamf_core_remote_Cache().init___(), ctx$1, environment$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, ctx$3, environment$1$1, updated$1$1, r$1) {
            return (function(u$2) {
              const u = u$2;
              const resolved = $this$1.handleRamlExternalFragment__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(u, r$1, $m_s_None$()), ctx$3, updated$1$1, environment$1$1);
              return resolved.map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, ctx$3$1, r$1$1) {
                return (function(res$2) {
                  const res = res$2;
                  r$1$1.refs$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, ctx$3$2, res$1) {
                    return (function(refContainer$2) {
                      const refContainer = refContainer$2;
                      const x1$1 = refContainer.node$1;
                      if ($is_Lorg_yaml_model_YNode$MutRef(x1$1)) {
                        const x2$1 = x1$1;
                        x2$1.target$5 = res$1.ast$1
                      } else {
                        $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(ctx$3$2, "Cannot inline a fragment in a not mutable node", x1$1)
                      }
                    })
                  })($this$2, ctx$3$1, res)))
                })
              })($this$1, ctx$3, r$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
            })
          })($this, ctx$1, environment$1, updated$1, r)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1().init___Lamf_plugins_document_webapi_references_WebApiReferenceHandler__Lamf_core_parser_Reference($this, r), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })(this, ctx, environment, updated));
      const this$3 = $m_sc_Seq$();
      const externals = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
      const jsx$3 = $m_s_concurrent_Future$();
      const this$4 = $m_sc_Seq$();
      return jsx$3.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(externals, this$4.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, reference$1, document$1) {
        return (function(x$2$2) {
          const x$5 = new $c_s_Some().init___O(document$1.node$3);
          const x$6 = reference$1.unit$1;
          const x$7 = reference$1.origin$1;
          return new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(x$6, x$7, x$5)
        })
      })(this, reference, document)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else if ($is_s_util_Left(x1)) {
      const x3 = x1;
      const raw = x3.value$2;
      const jsx$4 = $m_s_concurrent_Future$();
      const x$8 = new $c_s_Some().init___O($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(raw));
      const x$9 = reference.unit$1;
      const x$10 = reference.origin$1;
      return jsx$4.successful__O__s_concurrent_Future(new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(x$9, x$10, x$8))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  library__p1__Lorg_yaml_model_YMapEntry__Lamf_core_parser_ParserContext__V(entry, ctx) {
    const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$().apply__Lorg_yaml_model_YMapEntry__s_Option(entry);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const location = x2.value$2;
      this.references$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(location, $m_Lamf_core_parser_LibraryReference$(), entry.value$1)
    } else {
      $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(ctx, "Missing library location", entry)
    }
  };
  update__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) {
    const x1 = this.vendor$1;
    return ((((x1 === "RAML 1.0") || (x1 === "RAML 0.8")) && $is_Lamf_core_model_document_ExternalFragment(reference.unit$1)) ? this.handleRamlExternalFragment__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__Lamf_core_remote_Context__Lamf_internal_environment_Environment__s_concurrent_Future(reference, ctx, context, environment) : $m_s_concurrent_Future$().successful__O__s_concurrent_Future(reference))
  };
  collect__Lamf_core_parser_ParsedDocument__Lamf_core_parser_ParserContext__Lamf_core_parser_ReferenceCollector(parsed, ctx) {
    this.libraries__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    this.links__p1__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx);
    if (this.isRamlOverlayOrExtension__T__Lamf_core_parser_ParsedDocument__Z(this.vendor$1, parsed)) {
      this.overlaysAndExtensions__p1__Lorg_yaml_model_YDocument__Lamf_core_parser_ParserContext__V(parsed.document$1, ctx)
    };
    return this.references$1
  };
  isRamlOverlayOrExtension__T__Lamf_core_parser_ParsedDocument__Z(vendor, parsed) {
    const x1 = parsed.comment$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const c = x2.value$2;
      const x1$2 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().fromText__T__s_Option(c.metaText$3);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const p3 = x2$2.value$2;
        const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$();
        let jsx$1;
        if (x.equals__O__Z(p3)) {
          jsx$1 = true
        } else {
          const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$();
          jsx$1 = x$3.equals__O__Z(p3)
        };
        if ((jsx$1 && (vendor === "RAML 1.0"))) {
          return true
        }
      };
      return false
    } else {
      const x$5 = $m_s_None$();
      if ((x$5 === x1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  isRamlOrYaml__p1__Lamf_core_model_domain_ExternalDomainElement__Z(encodes) {
    const jsx$1 = this.plugin$1.documentSyntaxes__sc_Seq();
    const this$1 = encodes.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1);
    const this$2 = this$1.option$1;
    return jsx$1.contains__O__Z((this$2.isEmpty__Z() ? null : this$2.get__O()))
  };
  resolveUnitDocument__p1__Lamf_core_parser_ParsedReference__Lamf_core_parser_ParserContext__s_util_Either(reference, ctx) {
    let rc5 = false;
    let x2 = null;
    const x1 = reference.unit$1;
    if ($is_Lamf_core_model_document_ExternalFragment(x1)) {
      rc5 = true;
      x2 = x1;
      const this$1 = x2;
      if (this.isRamlOrYaml__p1__Lamf_core_model_domain_ExternalDomainElement__Z(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1))) {
        $m_s_package$();
        const jsx$1 = $m_Lorg_yaml_parser_YamlParser$();
        const this$2 = x2;
        const this$3 = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
        const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
        const this$5 = this$4.option$1;
        const qual$1 = jsx$1.apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser((this$5.isEmpty__Z() ? null : this$5.get__O()), ctx).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
        const this$6 = qual$1.parse__Z__sc_IndexedSeq(true);
        const pf = new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3().init___Lamf_plugins_document_webapi_references_WebApiReferenceHandler(this);
        const this$7 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$6, pf);
        const value = (this$7.isEmpty__Z() ? $m_Lorg_yaml_model_YDocument$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument($m_Lorg_yaml_model_YNode$().Null$1) : this$7.get__O());
        return new $c_s_util_Right().init___O(value)
      }
    };
    if (rc5) {
      $m_s_package$();
      const this$9 = x2;
      const this$10 = this$9.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      const this$11 = this$10.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
      const this$12 = this$11.option$1;
      const value$1 = (this$12.isEmpty__Z() ? null : this$12.get__O());
      return new $c_s_util_Left().init___O(value$1)
    };
    if (this.hasDocumentAST__p1__Lamf_core_model_document_BaseUnit__Z(x1)) {
      $m_s_package$();
      const this$14 = x1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
      let jsx$2;
      if (this$14.isEmpty__Z()) {
        jsx$2 = $m_s_None$()
      } else {
        const arg1 = this$14.get__O();
        const x$3 = arg1;
        jsx$2 = new $c_s_Some().init___O(x$3.ast$1)
      };
      const value$2 = jsx$2.get__O();
      return new $c_s_util_Right().init___O(value$2)
    };
    $m_s_package$();
    return new $c_s_util_Left().init___O("")
  };
  init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(vendor, plugin) {
    this.vendor$1 = vendor;
    this.plugin$1 = plugin;
    this.references$1 = new $c_Lamf_core_parser_ReferenceCollector().init___();
    const this$2 = new $c_sci_StringOps().init___T("(\"\\$ref\":\\s*\".*\")");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.linkRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this
  };
  extension__p1__Lorg_yaml_model_YMapEntry__V(entry) {
    const jsx$1 = this.references$1;
    $m_Lorg_yaml_model_YNode$();
    const node = entry.value$1;
    jsx$1.$$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), $m_Lamf_core_parser_ExtensionReference$(), entry.value$1)
  };
}
const $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler = new $TypeData().initClass({
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler: 0
}, false, "amf.plugins.document.webapi.references.WebApiReferenceHandler", {
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler: 1,
  O: 1,
  Lamf_core_parser_ReferenceHandler: 1
});
$c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler.prototype.$classData = $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.profileName$2 = null;
    this.references$2 = null;
    this.parameters$2 = null;
    this.extends$2 = null;
    this.security$2 = null;
    this.examples$2 = null;
    this.extensions$2 = null;
    this.ID$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.profileName$2 = $m_Lamf_ProfileNames$().AMF$1;
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(this.profileName__T(), true);
    this.parameters$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T(this.profileName__T());
    this.extends$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z__Z(this.profileName__T(), true, false);
    this.security$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage().init___T(this.profileName__T());
    this.examples$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage().init___T(this.profileName__T());
    this.extensions$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T__Z(this.profileName__T(), true);
    this.ID$2 = "editing";
    return this
  };
  extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage() {
    return this.extensions$2
  };
  references__Lamf_core_resolution_stages_ReferenceResolutionStage() {
    return this.references$2
  };
  examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage() {
    return this.examples$2
  };
  commonSteps__Lamf_core_model_document_BaseUnit__V(model) {
    const shapes = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T__Z__Lamf_core_parser_ErrorHandler(this.profileName__T(), true, new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1().init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit(this, model));
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references__Lamf_core_resolution_stages_ReferenceResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(shapes);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.security$2)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AmfEditingPipeline#resolve: resolving ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    const mediaTypes = new $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage().init___T__Lamf_core_parser_ErrorHandler(this.profileName__T(), new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1().init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit(this, model));
    this.model$1 = new $c_s_Some().init___O(model);
    this.commonSteps__Lamf_core_model_document_BaseUnit__V(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(mediaTypes);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage());
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AmfEditingPipeline#resolve: resolved model ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    return this.model$1.get__O()
  };
}
class $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.profileName$2 = null;
    this.references$2 = null;
    this.parameters$2 = null;
    this.extends$2 = null;
    this.security$2 = null;
    this.examples$2 = null;
    this.extensions$2 = null;
    this.cleanRefs$2 = null;
    this.cleanDecls$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.profileName$2 = $m_Lamf_ProfileNames$().AMF$1;
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(this.profileName__T(), false);
    this.parameters$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T(this.profileName__T());
    this.extends$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z__Z(this.profileName__T(), false, false);
    this.security$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage().init___T(this.profileName__T());
    this.examples$2 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage().init___T(this.profileName__T());
    this.extensions$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T__Z(this.profileName__T(), false);
    this.cleanRefs$2 = new $c_Lamf_core_resolution_stages_CleanReferencesStage().init___T(this.profileName__T());
    this.cleanDecls$2 = new $c_Lamf_core_resolution_stages_DeclarationsRemovalStage().init___T(this.profileName__T());
    return this
  };
  extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage() {
    return this.extensions$2
  };
  references__Lamf_core_resolution_stages_ReferenceResolutionStage() {
    return this.references$2
  };
  examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage() {
    return this.examples$2
  };
  commonSteps__Lamf_core_model_document_BaseUnit__V(model) {
    const shapes = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T__Z__Lamf_core_parser_ErrorHandler(this.profileName__T(), false, new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1().init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit(this, model));
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references__Lamf_core_resolution_stages_ReferenceResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(shapes);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.security$2)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AmfResolutonPipeline#resolve: resolving ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    const mediaTypes = new $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage().init___T__Lamf_core_parser_ErrorHandler(this.profileName__T(), new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1().init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit(this, model));
    this.model$1 = new $c_s_Some().init___O(model);
    this.commonSteps__Lamf_core_model_document_BaseUnit__V(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(mediaTypes);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage());
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.cleanRefs$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.cleanDecls$2);
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AmfResolutonPipeline#resolve: resolution finished ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    return this.model$1.get__O()
  };
}
class $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.references$2 = null
  };
  init___() {
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z($m_Lamf_ProfileNames$().AMF$1, false);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const shapes = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage().init___T__Z__Lamf_core_parser_ErrorHandler($m_Lamf_ProfileNames$().AMF$1, false, new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1().init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit(this, model));
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(shapes);
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.CanonicalShapePipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline extends $c_Lamf_core_resolution_pipelines_ResolutionPipeline {
  constructor() {
    super();
    this.profile$2 = null;
    this.references$2 = null;
    this.extensions$2 = null
  };
  init___T(profile) {
    this.profile$2 = profile;
    $c_Lamf_core_resolution_pipelines_ResolutionPipeline.prototype.init___.call(this);
    this.references$2 = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(profile, false);
    this.extensions$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T__Z(profile, false);
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const shapes = new $c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage().init___T__Z__Lamf_core_parser_ErrorHandler(this.profile$2, false, new $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1().init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit(this, model));
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["ValidationResolutionPipeline#resolve: resolving ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    this.model$1 = new $c_s_Some().init___O(model);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.references$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(this.extensions$2);
    this.step__Lamf_core_resolution_stages_ResolutionStage__V(shapes);
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["ValidationResolutionPipeline#resolve: resolution finished ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)])));
    return this.model$1.get__O()
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.ValidationResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_ValidationResolutionPipeline;
class $c_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ extends $c_O {
  init___() {
    return this
  };
  validations__p1__sci_List() {
    const this$2 = $m_Lamf_plugins_document_webapi_validation_AMFRawValidations$().raw$1;
    const f = (function($this) {
      return (function(line$2) {
        const line = line$2;
        return $m_Lamf_plugins_document_webapi_validation_AMFValidation$().fromLine__T__s_Option(line)
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let jsx$1;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        jsx$1 = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$1 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$1 = b.result__O()
    };
    const this$5 = jsx$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.isDefined__Z()
      })
    })(this)));
    const f$1 = (function(this$3) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.get__O()
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf$1 = this$4.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1$3 = this$5.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = this$5.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        return h$1
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        these$1 = these$1.tail__O()
      };
      return b$1.result__O()
    }
  };
  parsePropertyConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_PropertyConstraint(constraintUri, validation, sh) {
    const jsx$14 = validation.owlProperty$1.get__O();
    const jsx$13 = validation.message$1;
    const jsx$12 = $m_s_None$();
    const jsx$11 = $m_s_None$();
    const jsx$10 = $m_s_None$();
    const jsx$9 = $m_s_None$();
    const jsx$8 = $m_s_None$();
    const jsx$7 = $m_s_None$();
    const jsx$6 = $m_s_None$();
    const jsx$5 = $m_s_None$();
    const jsx$4 = $m_s_None$();
    const jsx$3 = $m_s_None$();
    const jsx$2 = $m_s_None$();
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$16 = new $c_scm_ListBuffer().init___();
    const constraint = new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(jsx$14, constraintUri, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, this$16.toList__sci_List(), $m_s_None$());
    const x1 = sh.iri__T();
    if ((x1 === "http://www.w3.org/ns/shacl#minCount")) {
      const x$85 = new $c_s_Some().init___O(validation.value$1);
      const x$86 = constraint.ramlPropertyId$1;
      const x$87 = constraint.name$1;
      const x$88 = constraint.message$1;
      const x$89 = constraint.pattern$1;
      const x$90 = constraint.maxCount$1;
      const x$91 = constraint.minLength$1;
      const x$92 = constraint.maxLength$1;
      const x$93 = constraint.minExclusive$1;
      const x$94 = constraint.maxExclusive$1;
      const x$95 = constraint.minInclusive$1;
      const x$96 = constraint.maxInclusive$1;
      const x$97 = constraint.node$1;
      const x$98 = constraint.datatype$1;
      const x$99 = constraint.class$1;
      const x$100 = constraint.in$1;
      const x$101 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$86, x$87, x$88, x$89, x$90, x$85, x$91, x$92, x$93, x$94, x$95, x$96, x$97, x$98, x$99, x$100, x$101)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxCount")) {
      const x$102 = new $c_s_Some().init___O(validation.value$1);
      const x$103 = constraint.ramlPropertyId$1;
      const x$104 = constraint.name$1;
      const x$105 = constraint.message$1;
      const x$106 = constraint.pattern$1;
      const x$107 = constraint.minCount$1;
      const x$108 = constraint.minLength$1;
      const x$109 = constraint.maxLength$1;
      const x$110 = constraint.minExclusive$1;
      const x$111 = constraint.maxExclusive$1;
      const x$112 = constraint.minInclusive$1;
      const x$113 = constraint.maxInclusive$1;
      const x$114 = constraint.node$1;
      const x$115 = constraint.datatype$1;
      const x$116 = constraint.class$1;
      const x$117 = constraint.in$1;
      const x$118 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$103, x$104, x$105, x$106, x$102, x$107, x$108, x$109, x$110, x$111, x$112, x$113, x$114, x$115, x$116, x$117, x$118)
    } else if ((x1 === "http://www.w3.org/ns/shacl#pattern")) {
      const x$119 = new $c_s_Some().init___O(validation.value$1);
      const x$120 = constraint.ramlPropertyId$1;
      const x$121 = constraint.name$1;
      const x$122 = constraint.message$1;
      const x$123 = constraint.maxCount$1;
      const x$124 = constraint.minCount$1;
      const x$125 = constraint.minLength$1;
      const x$126 = constraint.maxLength$1;
      const x$127 = constraint.minExclusive$1;
      const x$128 = constraint.maxExclusive$1;
      const x$129 = constraint.minInclusive$1;
      const x$130 = constraint.maxInclusive$1;
      const x$131 = constraint.node$1;
      const x$132 = constraint.datatype$1;
      const x$133 = constraint.class$1;
      const x$134 = constraint.in$1;
      const x$135 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$120, x$121, x$122, x$119, x$123, x$124, x$125, x$126, x$127, x$128, x$129, x$130, x$131, x$132, x$133, x$134, x$135)
    } else if ((x1 === "http://www.w3.org/ns/shacl#minExclusive")) {
      const x$136 = new $c_s_Some().init___O(validation.value$1);
      const x$137 = constraint.ramlPropertyId$1;
      const x$138 = constraint.name$1;
      const x$139 = constraint.message$1;
      const x$140 = constraint.pattern$1;
      const x$141 = constraint.maxCount$1;
      const x$142 = constraint.minCount$1;
      const x$143 = constraint.minLength$1;
      const x$144 = constraint.maxLength$1;
      const x$145 = constraint.maxExclusive$1;
      const x$146 = constraint.minInclusive$1;
      const x$147 = constraint.maxInclusive$1;
      const x$148 = constraint.node$1;
      const x$149 = constraint.datatype$1;
      const x$150 = constraint.class$1;
      const x$151 = constraint.in$1;
      const x$152 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$137, x$138, x$139, x$140, x$141, x$142, x$143, x$144, x$136, x$145, x$146, x$147, x$148, x$149, x$150, x$151, x$152)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxExclusive")) {
      const x$153 = new $c_s_Some().init___O(validation.value$1);
      const x$154 = constraint.ramlPropertyId$1;
      const x$155 = constraint.name$1;
      const x$156 = constraint.message$1;
      const x$157 = constraint.pattern$1;
      const x$158 = constraint.maxCount$1;
      const x$159 = constraint.minCount$1;
      const x$160 = constraint.minLength$1;
      const x$161 = constraint.maxLength$1;
      const x$162 = constraint.minExclusive$1;
      const x$163 = constraint.minInclusive$1;
      const x$164 = constraint.maxInclusive$1;
      const x$165 = constraint.node$1;
      const x$166 = constraint.datatype$1;
      const x$167 = constraint.class$1;
      const x$168 = constraint.in$1;
      const x$169 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$154, x$155, x$156, x$157, x$158, x$159, x$160, x$161, x$162, x$153, x$163, x$164, x$165, x$166, x$167, x$168, x$169)
    } else if ((x1 === "http://www.w3.org/ns/shacl#minInclusive")) {
      const x$170 = new $c_s_Some().init___O(validation.value$1);
      const x$171 = constraint.ramlPropertyId$1;
      const x$172 = constraint.name$1;
      const x$173 = constraint.message$1;
      const x$174 = constraint.pattern$1;
      const x$175 = constraint.maxCount$1;
      const x$176 = constraint.minCount$1;
      const x$177 = constraint.minLength$1;
      const x$178 = constraint.maxLength$1;
      const x$179 = constraint.minExclusive$1;
      const x$180 = constraint.maxExclusive$1;
      const x$181 = constraint.maxInclusive$1;
      const x$182 = constraint.node$1;
      const x$183 = constraint.datatype$1;
      const x$184 = constraint.class$1;
      const x$185 = constraint.in$1;
      const x$186 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$171, x$172, x$173, x$174, x$175, x$176, x$177, x$178, x$179, x$180, x$170, x$181, x$182, x$183, x$184, x$185, x$186)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxInclusive")) {
      const x$187 = new $c_s_Some().init___O(validation.value$1);
      const x$188 = constraint.ramlPropertyId$1;
      const x$189 = constraint.name$1;
      const x$190 = constraint.message$1;
      const x$191 = constraint.pattern$1;
      const x$192 = constraint.maxCount$1;
      const x$193 = constraint.minCount$1;
      const x$194 = constraint.minLength$1;
      const x$195 = constraint.maxLength$1;
      const x$196 = constraint.minExclusive$1;
      const x$197 = constraint.maxExclusive$1;
      const x$198 = constraint.minInclusive$1;
      const x$199 = constraint.node$1;
      const x$200 = constraint.datatype$1;
      const x$201 = constraint.class$1;
      const x$202 = constraint.in$1;
      const x$203 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$188, x$189, x$190, x$191, x$192, x$193, x$194, x$195, x$196, x$197, x$198, x$187, x$199, x$200, x$201, x$202, x$203)
    } else if ((x1 === "http://www.w3.org/ns/shacl#minLength")) {
      const x$204 = new $c_s_Some().init___O(validation.value$1);
      const x$205 = constraint.ramlPropertyId$1;
      const x$206 = constraint.name$1;
      const x$207 = constraint.message$1;
      const x$208 = constraint.pattern$1;
      const x$209 = constraint.maxCount$1;
      const x$210 = constraint.minCount$1;
      const x$211 = constraint.maxLength$1;
      const x$212 = constraint.minExclusive$1;
      const x$213 = constraint.maxExclusive$1;
      const x$214 = constraint.minInclusive$1;
      const x$215 = constraint.maxInclusive$1;
      const x$216 = constraint.node$1;
      const x$217 = constraint.datatype$1;
      const x$218 = constraint.class$1;
      const x$219 = constraint.in$1;
      const x$220 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$205, x$206, x$207, x$208, x$209, x$210, x$204, x$211, x$212, x$213, x$214, x$215, x$216, x$217, x$218, x$219, x$220)
    } else if ((x1 === "http://www.w3.org/ns/shacl#maxLength")) {
      const x$221 = new $c_s_Some().init___O(validation.value$1);
      const x$222 = constraint.ramlPropertyId$1;
      const x$223 = constraint.name$1;
      const x$224 = constraint.message$1;
      const x$225 = constraint.pattern$1;
      const x$226 = constraint.maxCount$1;
      const x$227 = constraint.minCount$1;
      const x$228 = constraint.minLength$1;
      const x$229 = constraint.minExclusive$1;
      const x$230 = constraint.maxExclusive$1;
      const x$231 = constraint.minInclusive$1;
      const x$232 = constraint.maxInclusive$1;
      const x$233 = constraint.node$1;
      const x$234 = constraint.datatype$1;
      const x$235 = constraint.class$1;
      const x$236 = constraint.in$1;
      const x$237 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$222, x$223, x$224, x$225, x$226, x$227, x$228, x$221, x$229, x$230, x$231, x$232, x$233, x$234, x$235, x$236, x$237)
    } else if ((x1 === "http://www.w3.org/ns/shacl#in")) {
      const jsx$15 = $m_s_Predef$();
      const thiz = validation.value$1;
      const x$238 = jsx$15.wrapRefArray__AO__scm_WrappedArray($m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "\\s*,\\s*", 0));
      const x$239 = constraint.ramlPropertyId$1;
      const x$240 = constraint.name$1;
      const x$241 = constraint.message$1;
      const x$242 = constraint.pattern$1;
      const x$243 = constraint.maxCount$1;
      const x$244 = constraint.minCount$1;
      const x$245 = constraint.minLength$1;
      const x$246 = constraint.maxLength$1;
      const x$247 = constraint.minExclusive$1;
      const x$248 = constraint.maxExclusive$1;
      const x$249 = constraint.minInclusive$1;
      const x$250 = constraint.maxInclusive$1;
      const x$251 = constraint.node$1;
      const x$252 = constraint.datatype$1;
      const x$253 = constraint.class$1;
      const x$254 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$239, x$240, x$241, x$242, x$243, x$244, x$245, x$246, x$247, x$248, x$249, x$250, x$251, x$252, x$253, x$238, x$254)
    } else if ((x1 === "http://www.w3.org/ns/shacl#node")) {
      const x$255 = new $c_s_Some().init___O(validation.value$1);
      const x$256 = constraint.ramlPropertyId$1;
      const x$257 = constraint.name$1;
      const x$258 = constraint.message$1;
      const x$259 = constraint.pattern$1;
      const x$260 = constraint.maxCount$1;
      const x$261 = constraint.minCount$1;
      const x$262 = constraint.minLength$1;
      const x$263 = constraint.maxLength$1;
      const x$264 = constraint.minExclusive$1;
      const x$265 = constraint.maxExclusive$1;
      const x$266 = constraint.minInclusive$1;
      const x$267 = constraint.maxInclusive$1;
      const x$268 = constraint.datatype$1;
      const x$269 = constraint.class$1;
      const x$270 = constraint.in$1;
      const x$271 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$256, x$257, x$258, x$259, x$260, x$261, x$262, x$263, x$264, x$265, x$266, x$267, x$255, x$268, x$269, x$270, x$271)
    } else if ((x1 === "http://www.w3.org/ns/shacl#datatype")) {
      const x$272 = new $c_s_Some().init___O(validation.value$1);
      const x$273 = constraint.ramlPropertyId$1;
      const x$274 = constraint.name$1;
      const x$275 = constraint.message$1;
      const x$276 = constraint.pattern$1;
      const x$277 = constraint.maxCount$1;
      const x$278 = constraint.minCount$1;
      const x$279 = constraint.minLength$1;
      const x$280 = constraint.maxLength$1;
      const x$281 = constraint.minExclusive$1;
      const x$282 = constraint.maxExclusive$1;
      const x$283 = constraint.minInclusive$1;
      const x$284 = constraint.maxInclusive$1;
      const x$285 = constraint.node$1;
      const x$286 = constraint.class$1;
      const x$287 = constraint.in$1;
      const x$288 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$273, x$274, x$275, x$276, x$277, x$278, x$279, x$280, x$281, x$282, x$283, x$284, x$285, x$272, x$286, x$287, x$288)
    } else if ((x1 === "http://www.w3.org/ns/shacl#class")) {
      const x$289 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.value$1]));
      const x$290 = constraint.ramlPropertyId$1;
      const x$291 = constraint.name$1;
      const x$292 = constraint.message$1;
      const x$293 = constraint.pattern$1;
      const x$294 = constraint.maxCount$1;
      const x$295 = constraint.minCount$1;
      const x$296 = constraint.minLength$1;
      const x$297 = constraint.maxLength$1;
      const x$298 = constraint.minExclusive$1;
      const x$299 = constraint.maxExclusive$1;
      const x$300 = constraint.minInclusive$1;
      const x$301 = constraint.maxInclusive$1;
      const x$302 = constraint.node$1;
      const x$303 = constraint.datatype$1;
      const x$304 = constraint.in$1;
      const x$305 = constraint.custom$1;
      return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$290, x$291, x$292, x$293, x$294, x$295, x$296, x$297, x$298, x$299, x$300, x$301, x$302, x$303, x$289, x$304, x$305)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported constraint ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.constraint$1]))))
    }
  };
  parseValidation__p1__sci_List__sci_List(validations) {
    const f = (function($this) {
      return (function(validation$2) {
        const validation = validation$2;
        const x1 = validation.uri$1;
        let uri;
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const s = x2.value$2;
          uri = s.trim()
        } else {
          uri = $f_Lamf_plugins_document_webapi_validation_ImportUtils__validationId__Lamf_plugins_document_webapi_validation_AMFValidation__T($this, validation)
        };
        const this$2 = validation.message$1;
        const x$22 = (this$2.isEmpty__Z() ? "" : this$2.get__O());
        const x$23 = new $c_s_Some().init___O(validation.ramlErrorMessage$1);
        const x$24 = new $c_s_Some().init___O(validation.openApiErrorMessage$1);
        const jsx$2 = $m_sc_Seq$();
        const this$3 = validation.owlClass$1;
        let jsx$1;
        if (this$3.isEmpty__Z()) {
          const this$4 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
          jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "DomainElement").iri__T()
        } else {
          jsx$1 = this$3.get__O()
        };
        const x$25 = jsx$2.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1]));
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$9 = new $c_scm_ListBuffer().init___();
        const x$26 = this$9.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$13 = new $c_scm_ListBuffer().init___();
        const x$27 = this$13.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$17 = new $c_scm_ListBuffer().init___();
        const x$28 = this$17.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$21 = new $c_scm_ListBuffer().init___();
        const x$29 = this$21.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$25 = new $c_scm_ListBuffer().init___();
        const x$30 = this$25.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$31 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$30 = new $c_scm_ListBuffer().init___();
        const x$32 = this$30.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        $m_sc_Seq$();
        $m_sci_Seq$();
        const this$34 = new $c_scm_ListBuffer().init___();
        const x$33 = this$34.toList__sci_List();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$34 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$35 = $m_s_None$();
        $m_Lamf_core_validation_core_ValidationSpecification$();
        const x$36 = $m_s_None$();
        const spec = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(uri, x$22, x$23, x$24, x$26, x$25, x$27, x$28, x$29, x$30, x$31, x$32, x$33, x$34, x$35, x$36);
        const jsx$3 = $m_Lamf_core_vocabulary_Namespace$();
        const thiz = validation.target$1;
        const x1$2 = jsx$3.expand__T__Lamf_core_vocabulary_ValueType(thiz.trim()).iri__T();
        if ((x1$2 === "http://www.w3.org/ns/shacl#path")) {
          const thiz$1 = validation.constraint$1;
          const thiz$2 = thiz$1.trim();
          let valueType;
          if (((thiz$2.indexOf("#") | 0) !== (-1))) {
            const thiz$3 = validation.constraint$1;
            const thiz$4 = thiz$3.trim();
            const strings = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$4, "#", 0);
            const jsx$4 = $m_Lamf_core_vocabulary_Namespace$();
            const this$46 = new $c_scm_ArrayOps$ofRef().init___AO(strings);
            const ns = jsx$4.find__T__Lamf_core_vocabulary_Namespace($f_sc_IndexedSeqOptimized__head__O(this$46));
            const this$48 = new $c_scm_ArrayOps$ofRef().init___AO(strings);
            const name = $f_sc_IndexedSeqOptimized__last__O(this$48);
            valueType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(ns, name)
          } else {
            valueType = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(validation.constraint$1)
          };
          if ((valueType !== null)) {
            const p2 = valueType.ns$1;
            const x = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            if (((x === null) ? (p2 === null) : x.equals__O__Z(p2))) {
              const x$37 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$this.parsePropertyConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_PropertyConstraint(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/prop"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([uri])), validation, valueType)]));
              const x$38 = spec.name$1;
              const x$39 = spec.message$1;
              const x$40 = spec.ramlMessage$1;
              const x$41 = spec.oasMessage$1;
              const x$42 = spec.targetInstance$1;
              const x$43 = spec.targetClass$1;
              const x$44 = spec.targetObject$1;
              const x$45 = spec.unionConstraints$1;
              const x$46 = spec.andConstraints$1;
              const x$47 = spec.xoneConstraints$1;
              const x$48 = spec.notConstraint$1;
              const x$49 = spec.nodeConstraints$1;
              const x$50 = spec.closed$1;
              const x$51 = spec.functionConstraint$1;
              const x$52 = spec.custom$1;
              return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$38, x$39, x$40, x$41, x$42, x$43, x$44, x$45, x$46, x$47, x$48, x$37, x$49, x$50, x$51, x$52)
            }
          };
          if ((valueType !== null)) {
            const p4 = valueType.ns$1;
            const x$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
            if (((x$3 === null) ? (p4 === null) : x$3.equals__O__Z(p4))) {
              const x$53 = $m_s_Option$().apply__O__s_Option($this.parseFunctionConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_FunctionConstraint(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/prop"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([uri])), validation, valueType));
              const x$54 = spec.name$1;
              const x$55 = spec.message$1;
              const x$56 = spec.ramlMessage$1;
              const x$57 = spec.oasMessage$1;
              const x$58 = spec.targetInstance$1;
              const x$59 = spec.targetClass$1;
              const x$60 = spec.targetObject$1;
              const x$61 = spec.unionConstraints$1;
              const x$62 = spec.andConstraints$1;
              const x$63 = spec.xoneConstraints$1;
              const x$64 = spec.notConstraint$1;
              const x$65 = spec.propertyConstraints$1;
              const x$66 = spec.nodeConstraints$1;
              const x$67 = spec.closed$1;
              const x$68 = spec.custom$1;
              return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$54, x$55, x$56, x$57, x$58, x$59, x$60, x$61, x$62, x$63, x$64, x$65, x$66, x$67, x$53, x$68)
            }
          };
          return spec
        } else if (((x1$2 === "http://www.w3.org/ns/shacl#targetObjectsOf") && validation.owlProperty$1.isDefined__Z())) {
          const x$69 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.owlProperty$1.get__O()]));
          const x$70 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_core_NodeConstraint().init___T__T(validation.constraint$1, validation.value$1)]));
          const x$71 = spec.name$1;
          const x$72 = spec.message$1;
          const x$73 = spec.ramlMessage$1;
          const x$74 = spec.oasMessage$1;
          const x$75 = spec.targetInstance$1;
          const x$76 = spec.targetClass$1;
          const x$77 = spec.unionConstraints$1;
          const x$78 = spec.andConstraints$1;
          const x$79 = spec.xoneConstraints$1;
          const x$80 = spec.notConstraint$1;
          const x$81 = spec.propertyConstraints$1;
          const x$82 = spec.closed$1;
          const x$83 = spec.functionConstraint$1;
          const x$84 = spec.custom$1;
          return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$71, x$72, x$73, x$74, x$75, x$76, x$69, x$77, x$78, x$79, x$80, x$81, x$70, x$82, x$83, x$84)
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown validation target ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.target$1]))))
        }
      })
    })(this);
    const this$50 = $m_sci_List$();
    const bf = this$50.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((validations === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const arg1 = validations.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = validations.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(validations, bf);
      let these = validations;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      return b.result__O()
    }
  };
  parseFunctionConstraint__p1__T__Lamf_plugins_document_webapi_validation_AMFValidation__Lamf_core_vocabulary_ValueType__Lamf_core_validation_core_FunctionConstraint(constraintUri, validation, sh) {
    const x$306 = validation.message$1;
    const x$307 = $m_s_None$();
    const this$1 = $m_Lamf_plugins_document_webapi_validation_JsCustomValidations$();
    const name = sh.name$1;
    const x$308 = this$1.functions$1.get__O__s_Option(name);
    const x$309 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return new $c_Lamf_core_validation_core_FunctionConstraint().init___s_Option__s_Option__sc_Seq__s_Option(x$306, x$308, x$309, x$307)
  };
  profiles__sci_List() {
    const this$1 = this.validations__p1__sci_List();
    const m = new $c_scm_HashMap().init___();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$3 = arg1;
      const key = x$3.spec$1;
      const hash = $m_sr_Statics$().anyHash__O__I(key);
      const i = $f_scm_HashTable__index__I__I(m, hash);
      const entry = m.findEntry__p5__O__I__scm_DefaultEntry(key, i);
      let bldr;
      if ((entry !== null)) {
        bldr = entry.value$1
      } else {
        const table0 = m.table$5;
        $m_sci_List$();
        const $default = new $c_scm_ListBuffer().init___();
        const newEntryIndex = ((table0 === m.table$5) ? i : $f_scm_HashTable__index__I__I(m, hash));
        bldr = m.addEntry__p5__scm_DefaultEntry__I__O(new $c_scm_DefaultEntry().init___O__O(key, $default), newEntryIndex)
      };
      bldr.$$plus$eq__O__scm_Builder(arg1);
      these = these.tail__O()
    };
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this$1));
    new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(m, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, b$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        if ((x$2 !== null)) {
          const k = x$2.$$und1__O();
          const v = x$2.$$und2__O();
          return b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(k, v.result__O()))
        } else {
          throw new $c_s_MatchError().init___O(x$2)
        }
      })
    })(this$1, b)));
    const groups = b.elems$1;
    const f$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const profile = x0$1.$$und1__O();
          const validationsInGroup = x0$1.$$und2__O();
          $m_sci_List$();
          const b$2 = new $c_scm_ListBuffer().init___();
          let these$1 = validationsInGroup;
          while ((!these$1.isEmpty__Z())) {
            const arg1$1 = these$1.head__O();
            const x$4 = arg1$1;
            if (((x$4.severity$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1) !== false)) {
              b$2.$$plus$eq__O__scm_ListBuffer(arg1$1)
            };
            these$1 = these$1.tail__O()
          };
          const violationValidations = this$2$2.parseValidation__p1__sci_List__sci_List(b$2.toList__sci_List());
          $m_sci_List$();
          const b$3 = new $c_scm_ListBuffer().init___();
          let these$2 = validationsInGroup;
          while ((!these$2.isEmpty__Z())) {
            const arg1$2 = these$2.head__O();
            const x$5 = arg1$2;
            if (((x$5.severity$1 === $m_Lamf_core_validation_SeverityLevels$().INFO$1) !== false)) {
              b$3.$$plus$eq__O__scm_ListBuffer(arg1$2)
            };
            these$2 = these$2.tail__O()
          };
          const infoValidations = this$2$2.parseValidation__p1__sci_List__sci_List(b$3.toList__sci_List());
          $m_sci_List$();
          const b$4 = new $c_scm_ListBuffer().init___();
          let these$3 = validationsInGroup;
          while ((!these$3.isEmpty__Z())) {
            const arg1$3 = these$3.head__O();
            const x$6 = arg1$3;
            if (((x$6.severity$1 === $m_Lamf_core_validation_SeverityLevels$().WARNING$1) !== false)) {
              b$4.$$plus$eq__O__scm_ListBuffer(arg1$3)
            };
            these$3 = these$3.tail__O()
          };
          const warningValidations = this$2$2.parseValidation__p1__sci_List__sci_List(b$4.toList__sci_List());
          const this$8 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          $m_sci_List$();
          const b$5 = new $c_scm_ListBuffer().init___();
          let these$4 = this$8;
          while ((!these$4.isEmpty__Z())) {
            const arg1$4 = these$4.head__O();
            const v$1 = arg1$4;
            const this$10 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$1.id__T());
            const x1 = this$10.get__O__s_Option(profile);
            let x$1;
            if ($is_s_Some(x1)) {
              const x2 = x1;
              const v$2 = x2.value$2;
              x$1 = v$2
            } else {
              const x = $m_s_None$();
              if ((!(x === x1))) {
                throw new $c_s_MatchError().init___O(x1)
              };
              x$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
            };
            const x$2$1 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
            if ((((x$1 === null) ? (x$2$1 === null) : $objectEquals(x$1, x$2$1)) !== false)) {
              b$5.$$plus$eq__O__scm_ListBuffer(arg1$4)
            };
            these$4 = these$4.tail__O()
          };
          const this$12 = b$5.toList__sci_List();
          const f = (function(this$5$1) {
            return (function(x$7$2) {
              const x$7 = x$7$2;
              return x$7.name$1
            })
          })(this$2$2);
          const this$11 = $m_sci_List$();
          const bf = this$11.ReusableCBFInstance$2;
          let violationParserSideValidations;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$12 === $m_sci_Nil$())) {
              violationParserSideValidations = $m_sci_Nil$()
            } else {
              const arg1$5 = this$12.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$5), $m_sci_Nil$());
              let t = h;
              let rest = this$12.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$6 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$6), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              violationParserSideValidations = h
            }
          } else {
            const b$6 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$12, bf);
            let these$5 = this$12;
            while ((!these$5.isEmpty__Z())) {
              const arg1$7 = these$5.head__O();
              b$6.$$plus$eq__O__scm_Builder(f(arg1$7));
              these$5 = these$5.tail__O()
            };
            violationParserSideValidations = b$6.result__O()
          };
          const this$13 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          $m_sci_List$();
          const b$7 = new $c_scm_ListBuffer().init___();
          let these$6 = this$13;
          while ((!these$6.isEmpty__Z())) {
            const arg1$8 = these$6.head__O();
            const v$3 = arg1$8;
            const this$15 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$3.id__T());
            const x1$1 = this$15.get__O__s_Option(profile);
            let x$9;
            if ($is_s_Some(x1$1)) {
              const x2$1 = x1$1;
              const v$4 = x2$1.value$2;
              x$9 = v$4
            } else {
              const x$8 = $m_s_None$();
              if ((!(x$8 === x1$1))) {
                throw new $c_s_MatchError().init___O(x1$1)
              };
              x$9 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
            };
            const x$2$3 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
            if ((((x$9 === null) ? (x$2$3 === null) : $objectEquals(x$9, x$2$3)) !== false)) {
              b$7.$$plus$eq__O__scm_ListBuffer(arg1$8)
            };
            these$6 = these$6.tail__O()
          };
          const this$17 = b$7.toList__sci_List();
          const f$1 = (function(this$7$1) {
            return (function(x$8$2) {
              const x$8$1 = x$8$2;
              return x$8$1.name$1
            })
          })(this$2$2);
          const this$16 = $m_sci_List$();
          const bf$1 = this$16.ReusableCBFInstance$2;
          let infoParserSideValidations;
          if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$17 === $m_sci_Nil$())) {
              infoParserSideValidations = $m_sci_Nil$()
            } else {
              const arg1$9 = this$17.head__O();
              const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$9), $m_sci_Nil$());
              let t$1 = h$1;
              let rest$1 = this$17.tail__O();
              while ((rest$1 !== $m_sci_Nil$())) {
                const arg1$10 = rest$1.head__O();
                const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$10), $m_sci_Nil$());
                t$1.tl$5 = nx$1;
                t$1 = nx$1;
                rest$1 = rest$1.tail__O()
              };
              infoParserSideValidations = h$1
            }
          } else {
            const b$8 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$17, bf$1);
            let these$7 = this$17;
            while ((!these$7.isEmpty__Z())) {
              const arg1$11 = these$7.head__O();
              b$8.$$plus$eq__O__scm_Builder(f$1(arg1$11));
              these$7 = these$7.tail__O()
            };
            infoParserSideValidations = b$8.result__O()
          };
          const this$18 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          $m_sci_List$();
          const b$9 = new $c_scm_ListBuffer().init___();
          let these$8 = this$18;
          while ((!these$8.isEmpty__Z())) {
            const arg1$12 = these$8.head__O();
            const v$4$1 = arg1$12;
            const this$20 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$4$1.id__T());
            const x1$2 = this$20.get__O__s_Option(profile);
            let x$11;
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const v$5 = x2$2.value$2;
              x$11 = v$5
            } else {
              const x$10 = $m_s_None$();
              if ((!(x$10 === x1$2))) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              x$11 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1
            };
            const x$2$4 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
            if ((((x$11 === null) ? (x$2$4 === null) : $objectEquals(x$11, x$2$4)) !== false)) {
              b$9.$$plus$eq__O__scm_ListBuffer(arg1$12)
            };
            these$8 = these$8.tail__O()
          };
          const this$22 = b$9.toList__sci_List();
          const f$2 = (function(this$9$1) {
            return (function(x$9$2) {
              const x$9$1 = x$9$2;
              return x$9$1.name$1
            })
          })(this$2$2);
          const this$21 = $m_sci_List$();
          const bf$2 = this$21.ReusableCBFInstance$2;
          let warningParserSideValidations;
          if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$22 === $m_sci_Nil$())) {
              warningParserSideValidations = $m_sci_Nil$()
            } else {
              const arg1$13 = this$22.head__O();
              const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$13), $m_sci_Nil$());
              let t$2 = h$2;
              let rest$2 = this$22.tail__O();
              while ((rest$2 !== $m_sci_Nil$())) {
                const arg1$14 = rest$2.head__O();
                const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$14), $m_sci_Nil$());
                t$2.tl$5 = nx$2;
                t$2 = nx$2;
                rest$2 = rest$2.tail__O()
              };
              warningParserSideValidations = h$2
            }
          } else {
            const b$10 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$22, bf$2);
            let these$9 = this$22;
            while ((!these$9.isEmpty__Z())) {
              const arg1$15 = these$9.head__O();
              b$10.$$plus$eq__O__scm_Builder(f$2(arg1$15));
              these$9 = these$9.tail__O()
            };
            warningParserSideValidations = b$10.result__O()
          };
          const x$14 = ((profile === $m_Lamf_ProfileNames$().AMF$1) ? $m_s_None$() : new $c_s_Some().init___O($m_Lamf_ProfileNames$().AMF$1));
          const f$3 = (function(this$10$1) {
            return (function(x$10$2) {
              const x$10$1 = x$10$2;
              return x$10$1.name$1
            })
          })(this$2$2);
          const this$23 = $m_sci_List$();
          const bf$3 = this$23.ReusableCBFInstance$2;
          let jsx$1;
          if ((bf$3 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((infoValidations === $m_sci_Nil$())) {
              jsx$1 = $m_sci_Nil$()
            } else {
              const arg1$16 = infoValidations.head__O();
              const h$3 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$16), $m_sci_Nil$());
              let t$3 = h$3;
              let rest$3 = infoValidations.tail__O();
              while ((rest$3 !== $m_sci_Nil$())) {
                const arg1$17 = rest$3.head__O();
                const nx$3 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$17), $m_sci_Nil$());
                t$3.tl$5 = nx$3;
                t$3 = nx$3;
                rest$3 = rest$3.tail__O()
              };
              jsx$1 = h$3
            }
          } else {
            const b$11 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(infoValidations, bf$3);
            let these$10 = infoValidations;
            while ((!these$10.isEmpty__Z())) {
              const arg1$18 = these$10.head__O();
              b$11.$$plus$eq__O__scm_Builder(f$3(arg1$18));
              these$10 = these$10.tail__O()
            };
            jsx$1 = b$11.result__O()
          };
          const this$24 = $m_sci_List$();
          const x$15 = infoParserSideValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$24.ReusableCBFInstance$2);
          const f$4 = (function(this$11$1) {
            return (function(x$11$2) {
              const x$11$1 = x$11$2;
              return x$11$1.name$1
            })
          })(this$2$2);
          const this$25 = $m_sci_List$();
          const bf$4 = this$25.ReusableCBFInstance$2;
          let jsx$2;
          if ((bf$4 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((warningValidations === $m_sci_Nil$())) {
              jsx$2 = $m_sci_Nil$()
            } else {
              const arg1$19 = warningValidations.head__O();
              const h$4 = new $c_sci_$colon$colon().init___O__sci_List(f$4(arg1$19), $m_sci_Nil$());
              let t$4 = h$4;
              let rest$4 = warningValidations.tail__O();
              while ((rest$4 !== $m_sci_Nil$())) {
                const arg1$20 = rest$4.head__O();
                const nx$4 = new $c_sci_$colon$colon().init___O__sci_List(f$4(arg1$20), $m_sci_Nil$());
                t$4.tl$5 = nx$4;
                t$4 = nx$4;
                rest$4 = rest$4.tail__O()
              };
              jsx$2 = h$4
            }
          } else {
            const b$12 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(warningValidations, bf$4);
            let these$11 = warningValidations;
            while ((!these$11.isEmpty__Z())) {
              const arg1$21 = these$11.head__O();
              b$12.$$plus$eq__O__scm_Builder(f$4(arg1$21));
              these$11 = these$11.tail__O()
            };
            jsx$2 = b$12.result__O()
          };
          const this$26 = $m_sci_List$();
          const x$16 = warningParserSideValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$26.ReusableCBFInstance$2);
          const f$5 = (function(this$12$1) {
            return (function(x$12$2) {
              const x$12 = x$12$2;
              return x$12.name$1
            })
          })(this$2$2);
          const this$27 = $m_sci_List$();
          const bf$5 = this$27.ReusableCBFInstance$2;
          let jsx$3;
          if ((bf$5 === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((violationValidations === $m_sci_Nil$())) {
              jsx$3 = $m_sci_Nil$()
            } else {
              const arg1$22 = violationValidations.head__O();
              const h$5 = new $c_sci_$colon$colon().init___O__sci_List(f$5(arg1$22), $m_sci_Nil$());
              let t$5 = h$5;
              let rest$5 = violationValidations.tail__O();
              while ((rest$5 !== $m_sci_Nil$())) {
                const arg1$23 = rest$5.head__O();
                const nx$5 = new $c_sci_$colon$colon().init___O__sci_List(f$5(arg1$23), $m_sci_Nil$());
                t$5.tl$5 = nx$5;
                t$5 = nx$5;
                rest$5 = rest$5.tail__O()
              };
              jsx$3 = h$5
            }
          } else {
            const b$13 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(violationValidations, bf$5);
            let these$12 = violationValidations;
            while ((!these$12.isEmpty__Z())) {
              const arg1$24 = these$12.head__O();
              b$13.$$plus$eq__O__scm_Builder(f$5(arg1$24));
              these$12 = these$12.tail__O()
            };
            jsx$3 = b$13.result__O()
          };
          const this$28 = $m_sci_List$();
          const x$17 = violationParserSideValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$28.ReusableCBFInstance$2);
          const this$29 = $m_sci_List$();
          const jsx$6 = infoValidations.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(warningValidations, this$29.ReusableCBFInstance$2);
          const this$30 = $m_sci_List$();
          const jsx$5 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(violationValidations, this$30.ReusableCBFInstance$2);
          const jsx$4 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
          const this$31 = $m_sci_List$();
          const x$18 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$31.ReusableCBFInstance$2);
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$35 = new $c_scm_ListBuffer().init___();
          const x$19 = this$35.toList__sci_List();
          const x$20 = new $c_scm_HashMap().init___();
          return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(profile, x$14, x$17, x$15, x$16, x$19, x$18, x$20)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$38 = $m_sci_Iterable$();
    const bf$6 = this$38.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(groups, f$6, bf$6).toList__sci_List()
  };
}
const $d_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_DefaultAMFValidations$: 0
}, false, "amf.plugins.document.webapi.validation.DefaultAMFValidations$", {
  Lamf_plugins_document_webapi_validation_DefaultAMFValidations$: 1,
  O: 1,
  Lamf_plugins_document_webapi_validation_ImportUtils: 1
});
$c_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$;
let $n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$)) {
    $n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$ = new $c_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_DefaultAMFValidations$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$AnyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$AnyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$AnyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$ArrayType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$JSONSchemaType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$LinkType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$LinkType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$LinkType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$MultipleMatch$", {
  Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$NilUnionType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$ObjectType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$TypeExpressionType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$UndefinedType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$UnionType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$UnionType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$UnionType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$XMLSchemaType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$
});
class $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1 extends $c_O {
  constructor() {
    super();
    this.parserRun$1 = 0
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx$1) {
    this.parserRun$1 = ctx$1.parserCount$1;
    return this
  };
  merge__Lamf_core_validation_AMFValidationResult__Z(result) {
    return (result.validationId$1 === $m_Lamf_plugins_features_validation_ParserSideValidations$().UnknownSecuritySchemeErrorSpecification$1.id__T())
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1: 0
}, false, "amf.plugins.domain.webapi.resolution.ExtendsHelper$$anon$1", {
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1: 1,
  O: 1,
  Lamf_core_services_ValidationsMerger: 1
});
$c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$1;
class $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2 extends $c_O {
  constructor() {
    super();
    this.parserRun$1 = 0
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx$4) {
    this.parserRun$1 = ctx$4.parserCount$1;
    return this
  };
  merge__Lamf_core_validation_AMFValidationResult__Z(result) {
    return (result.validationId$1 === $m_Lamf_plugins_features_validation_ParserSideValidations$().UnknownSecuritySchemeErrorSpecification$1.id__T())
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2: 0
}, false, "amf.plugins.domain.webapi.resolution.ExtendsHelper$$anon$2", {
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2: 1,
  O: 1,
  Lamf_core_services_ValidationsMerger: 1
});
$c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anon$2;
class $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  resolveWebApi__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_domain_webapi_models_WebApi(webApi) {
    const jsx$4 = webApi.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return e.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(o$2) {
        const o = o$2;
        return o.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const allResponses = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    allResponses.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(response$2) {
        const response = response$2;
        const jsx$6 = response.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(e$2$1) {
            const e$1 = e$2$1;
            const this$4 = e$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1);
            const this$5 = this$4.option$1;
            const self = (this$5.isEmpty__Z() ? null : this$5.get__O());
            return new $c_T2().init___O__O(self, e$1)
          })
        })(this$3$1));
        const this$8 = $m_sc_Seq$();
        const mappedExamples = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$8.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
        response.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
        response.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, mappedExamples$1) {
          return (function(p$2) {
            const p = p$2;
            const x1 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
            if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
              const x2 = x1;
              const this$9 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
              const this$10 = this$9.option$1;
              const exampleOption = mappedExamples$1.get__O__s_Option((this$10.isEmpty__Z() ? null : this$10.get__O()));
              if ((!exampleOption.isEmpty__Z())) {
                const arg1 = exampleOption.get__O();
                const e$3 = arg1;
                const jsx$8 = x2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
                const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e$3]));
                const this$11 = $m_sc_Seq$();
                const examples = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$11.ReusableCBFInstance$2);
                const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
                $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(x2, field, examples)
              }
            }
          })
        })(this$3$1, mappedExamples)))
      })
    })(this)));
    return webApi
  };
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    if ($is_Lamf_core_model_document_Document(model)) {
      const x2 = model;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const encoded = this.resolveWebApi__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement());
        const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(x2, field, encoded)
      }
    };
    return model
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.ExamplesResolutionStage", {
  Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage;
class $c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null;
    this.errorHandler$2 = null
  };
  payloads__p2__sc_Seq__sc_Seq__T__sc_Seq(p, mediaTypes, parent) {
    const x1 = p.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1).isEmpty__Z()
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const noMediaType = x1.$$und1__O();
    const result = x1.$$und2__O();
    const result$2 = new $c_sr_ObjectRef().init___O(result);
    noMediaType.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, mediaTypes$1, parent$1, result$2$1) {
      return (function(payload$2) {
        const payload = payload$2;
        mediaTypes$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$1$1, result$1, payload$1) {
          return (function(mediaType$2) {
            const mediaType = mediaType$2;
            const jsx$2 = result$1.elem$1;
            const annotations = payload$1.annotations$1;
            const this$5 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
            const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, mediaType);
            const parsedPayload = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$6, parent$1$1);
            let jsx$1;
            if ($m_s_Option$().apply__O__s_Option(payload$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1)).isDefined__Z()) {
              const qual$1 = payload$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
              const x$5 = new $c_s_Some().init___O($this$1.errorHandler$2);
              const x$6 = qual$1.cloneShape$default$2__s_Option();
              const x$7 = qual$1.cloneShape$default$3__sci_Set();
              const schema = qual$1.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(x$5, x$6, x$7);
              const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
              jsx$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parsedPayload, field$1, schema)
            } else {
              jsx$1 = parsedPayload
            };
            const this$7 = $m_sc_Seq$();
            result$1.elem$1 = jsx$2.$$colon$plus__O__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2)
          })
        })(this$2, parent$1, result$2$1, payload)))
      })
    })(this, mediaTypes, parent, result$2)));
    return result$2.elem$1
  };
  init___T__Lamf_core_parser_ErrorHandler(profile, errorHandler) {
    this.profile$2 = profile;
    this.errorHandler$2 = errorHandler;
    return this
  };
  resolvePayloads__Lamf_plugins_domain_webapi_models_WebApi__V(api) {
    api.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(endpoint$2) {
        const endpoint = endpoint$2;
        const payloads = endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
        endpoint.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
        if (payloads.nonEmpty__Z()) {
          endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, payloads$1) {
            return (function(operation$2) {
              const operation = operation$2;
              const x1 = $m_s_Option$().apply__O__s_Option(operation.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
              if ($is_s_Some(x1)) {
                const x2 = x1;
                const request = x2.value$2;
                payloads$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, request$1) {
                  return (function(payload$2) {
                    const payload = payload$2;
                    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                    return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(request$1, field, payload)
                  })
                })($this$1, request)));
                return (void 0)
              } else {
                const x = $m_s_None$();
                if ((x === x1)) {
                  const this$1 = operation.withRequest__Lamf_plugins_domain_webapi_models_Request();
                  const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                  return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$1, field$1, payloads$1)
                } else {
                  throw new $c_s_MatchError().init___O(x1)
                }
              }
            })
          })($this, payloads)))
        }
      })
    })(this)))
  };
  field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(element, field) {
    const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
    let result;
    if (this$1.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      const jsx$2 = x$1.value$1.value$1.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          return v.toString__T()
        })
      })(this));
      const this$2 = $m_sc_Seq$();
      result = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
    };
    element.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(field);
    return result
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    matchEnd4: {
      if ($is_Lamf_core_model_document_Document(model)) {
        const x2 = model;
        if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
          this.resolvePayloads__Lamf_plugins_domain_webapi_models_WebApi__V(x2.encodes__Lamf_core_model_domain_DomainElement());
          this.resolveMediaTypes__Lamf_plugins_domain_webapi_models_WebApi__V(x2.encodes__Lamf_core_model_domain_DomainElement());
          break matchEnd4
        }
      }
    };
    return model
  };
  resolveMediaTypes__Lamf_plugins_domain_webapi_models_WebApi__V(api) {
    const rootAccepts = this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(api, $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1);
    const rootContentType = this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(api, $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    api.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, rootAccepts$1, rootContentType$1) {
      return (function(endPoint$2) {
        const endPoint = endPoint$2;
        endPoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, rootAccepts$1$1, rootContentType$1$1) {
          return (function(operation$2) {
            const operation = operation$2;
            const opAccepts = $this$1.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(operation, $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
            const opContentType = $this$1.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(operation, $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
            const accepts = $this$1.merge__s_Option__s_Option__s_Option(rootAccepts$1$1, opAccepts);
            const contentType = $this$1.merge__s_Option__s_Option__s_Option(rootContentType$1$1, opContentType);
            const this$1 = $m_s_Option$().apply__O__s_Option(operation.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
            if ((!this$1.isEmpty__Z())) {
              const arg1 = this$1.get__O();
              const request = arg1;
              if ((!accepts.isEmpty__Z())) {
                const arg1$1 = accepts.get__O();
                const a = arg1$1;
                if (($this$1.profile$2 === $m_Lamf_ProfileNames$().OAS$1)) {
                  const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(operation, field, a)
                };
                const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                const values = $this$1.payloads__p2__sc_Seq__sc_Seq__T__sc_Seq(request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1), a, request.id$1);
                $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(request, field$1, values)
              }
            };
            operation.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, contentType$1, operation$1) {
              return (function(response$2) {
                const response = response$2;
                if ((!contentType$1.isEmpty__Z())) {
                  const arg1$2 = contentType$1.get__O();
                  const ct = arg1$2;
                  if ((this$2.profile$2 === $m_Lamf_ProfileNames$().OAS$1)) {
                    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
                    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(operation$1, field$2, ct)
                  };
                  const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
                  const values$1 = this$2.payloads__p2__sc_Seq__sc_Seq__T__sc_Seq(response.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1), ct, response.id$1);
                  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(response, field$3, values$1)
                }
              })
            })($this$1, contentType, operation)))
          })
        })($this, rootAccepts$1, rootContentType$1)))
      })
    })(this, rootAccepts, rootContentType)))
  };
  merge__s_Option__s_Option__s_Option(root, op) {
    const this$1 = (op.isEmpty__Z() ? root : op);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      jsx$1 = x$4.nonEmpty__Z()
    };
    if (jsx$1) {
      return this$1
    } else {
      return $m_s_None$()
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.MediaTypeResolutionStage", {
  Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_MediaTypeResolutionStage;
class $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null
  };
  parametersAmf__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const webApi = x2.encodes__Lamf_core_model_domain_DomainElement();
        const x$3 = this.defaultServerParameters__Lamf_plugins_domain_webapi_models_WebApi__sc_Seq(webApi);
        const x$4 = $m_sci_Nil$();
        const x$5 = $m_sci_Nil$();
        const x$6 = $m_sci_Nil$();
        const x$7 = $m_sci_Nil$();
        const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(x$4, x$3, x$5, x$6, x$7);
        const finalParams = new $c_sr_ObjectRef().init___O(elem);
        webApi.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, finalParams$1) {
          return (function(endpoint$2) {
            const endpoint = endpoint$2;
            const jsx$2 = finalParams$1.elem$1;
            const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
            const this$6 = endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
            const this$7 = this$6.option$1;
            finalParams$1.elem$1 = jsx$2.merge__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(jsx$1.classified__T__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_Parameters((this$7.isEmpty__Z() ? null : this$7.get__O()), endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1), $m_sci_Nil$()));
            endpoint.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
            if (finalParams$1.elem$1.nonEmpty__Z()) {
              endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, finalParams$1$1) {
                return (function(op$2) {
                  const op = op$2;
                  return $this$1.setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, finalParams$1$1.elem$1)
                })
              })($this, finalParams$1)))
            }
          })
        })(this, finalParams)));
        return x2
      }
    };
    return unit
  };
  parametersRaml10__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const webApi = x2.encodes__Lamf_core_model_domain_DomainElement();
        webApi.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(endpoint$2) {
            const endpoint = endpoint$2;
            const endpointParameters = endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
            const x1 = endpointParameters.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(p$2) {
                const p = p$2;
                const this$1 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
                return $f_Lamf_core_model_ValueField__is__O__Z(this$1, "path")
              })
            })($this)));
            if ((x1 === null)) {
              throw new $c_s_MatchError().init___O(x1)
            };
            const path = x1.$$und1__O();
            const other = x1.$$und2__O();
            const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
            const this$2 = endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
            const this$3 = this$2.option$1;
            const finalParams = jsx$1.classified__T__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_Parameters((this$3.isEmpty__Z() ? null : this$3.get__O()), other, $m_sci_Nil$());
            if ((finalParams.nonEmpty__Z() && endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).nonEmpty__Z())) {
              endpoint.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
              if (path.nonEmpty__Z()) {
                endpoint.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(path, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
              };
              endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, finalParams$1) {
                return (function(op$2) {
                  const op = op$2;
                  return this$2$1.setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, finalParams$1)
                })
              })($this, finalParams)))
            }
          })
        })(this)));
        return x2
      }
    };
    return unit
  };
  parametersOpenApi__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
        const webApi = x2.encodes__Lamf_core_model_domain_DomainElement();
        webApi.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(endpoint$2) {
            const endpoint = endpoint$2;
            const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
            const this$1 = endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
            const this$2 = this$1.option$1;
            const finalParams = jsx$1.classified__T__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_Parameters((this$2.isEmpty__Z() ? null : this$2.get__O()), endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1), $m_sci_Nil$());
            if ((finalParams.nonEmpty__Z() && endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).nonEmpty__Z())) {
              endpoint.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
              endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, finalParams$1) {
                return (function(op$2) {
                  const op = op$2;
                  return $this$1.setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, finalParams$1)
                })
              })($this, finalParams)))
            }
          })
        })(this)));
        return x2
      }
    };
    return unit
  };
  setRequestParameters__p2__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__O(op, params) {
    const this$1 = $m_s_Option$().apply__O__s_Option(op.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    const request = (this$1.isEmpty__Z() ? op.withRequest__Lamf_plugins_domain_webapi_models_Request() : this$1.get__O());
    const finalParams = params.merge__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1), request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1), request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1), $m_sci_Nil$(), $m_sci_Nil$()));
    if (finalParams.query$1.nonEmpty__Z()) {
      request.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(finalParams.query$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
    };
    if (finalParams.header$1.nonEmpty__Z()) {
      request.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(finalParams.header$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___())
    };
    return (finalParams.path$1.nonEmpty__Z() ? request.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(finalParams.path$1, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___()) : (void 0))
  };
  defaultServerParameters__Lamf_plugins_domain_webapi_models_WebApi__sc_Seq(webApi) {
    const server = webApi.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SynthesizedField.getClassOf()).isDefined__Z()
      })
    })(this)));
    let this$1;
    if (server.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = server.get__O();
      const s = arg1;
      const vars = s.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1);
      s.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1);
      this$1 = new $c_s_Some().init___O(vars)
    };
    return (this$1.isEmpty__Z() ? $m_sci_Nil$() : this$1.get__O())
  };
  init___T(profile) {
    this.profile$2 = profile;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const x1 = this.profile$2;
    if (($m_Lamf_ProfileNames$().RAML$1 === x1)) {
      return this.parametersRaml10__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    } else if ((($m_Lamf_ProfileNames$().OAS$1 === x1) || ($m_Lamf_ProfileNames$().RAML08$1 === x1))) {
      return this.parametersOpenApi__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    } else if (($m_Lamf_ProfileNames$().AMF$1 === x1)) {
      return this.parametersAmf__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown profile ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.profile$2]))))
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.ParametersNormalizationStage", {
  Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage;
class $c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  validateSettings__p2__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_plugins_domain_webapi_models_security_Settings__s_Option(root, settings) {
    const this$1 = $m_s_Option$().apply__O__s_Option(settings);
    return (this$1.isEmpty__Z() ? $m_s_Option$().apply__O__s_Option(root) : this$1)
  };
  resolveSecurity__p2__F1__Lamf_plugins_domain_webapi_models_WebApi__V(finder, api) {
    const rootSecurity = this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(api, $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    api.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, finder$1, rootSecurity$1) {
      return (function(endPoint$2) {
        const endPoint = endPoint$2;
        const endPointSecurity = $this.merge__p2__s_Option__s_Option__s_Option(rootSecurity$1, $this.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(endPoint, $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1));
        endPoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, finder$1$1, endPointSecurity$1) {
          return (function(operation$2) {
            const operation = operation$2;
            const opSecurity = $this$1.field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(operation, $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
            const security = $this$1.merge__p2__s_Option__s_Option__s_Option(endPointSecurity$1, opSecurity);
            if ((!security.isEmpty__Z())) {
              const arg1 = security.get__O();
              const schemes = arg1;
              const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, finder$1$2, operation$1) {
                return (function(x$2$2) {
                  const x$2 = x$2$2;
                  return $this$2.asSecurityScheme__p2__F1__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(finder$1$2, x$2, operation$1.id$1)
                })
              })($this$1, finder$1$1, operation));
              const this$1 = $m_sc_Seq$();
              const resolved = schemes.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
              if (resolved.nonEmpty__Z()) {
                const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
                $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(operation, field, resolved)
              }
            }
          })
        })($this, finder$1, endPointSecurity)))
      })
    })(this, finder, rootSecurity)))
  };
  merge__p2__s_Option__s_Option__s_Option(root, ep) {
    const this$1 = (ep.isEmpty__Z() ? root : ep);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      jsx$1 = x$4.nonEmpty__Z()
    };
    if (jsx$1) {
      return this$1
    } else {
      return $m_s_None$()
    }
  };
  field__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__s_Option(element, field) {
    const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
    let result;
    if (this$1.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      const jsx$2 = x$3.value$1.value$1.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(v$2) {
          const v = v$2;
          return v
        })
      })(this));
      const this$2 = $m_sc_Seq$();
      result = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
    };
    element.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(field);
    return result
  };
  init___T(profile) {
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    matchEnd4: {
      if ($is_Lamf_core_model_document_Document(model)) {
        const x2 = model;
        if ($is_Lamf_plugins_domain_webapi_models_WebApi(x2.encodes__Lamf_core_model_domain_DomainElement())) {
          this.resolveSecurity__p2__F1__Lamf_plugins_domain_webapi_models_WebApi__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, model$1) {
            return (function(id$2) {
              const id = id$2;
              return $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option(model$1, id)
            })
          })(this, model)), x2.encodes__Lamf_core_model_domain_DomainElement());
          break matchEnd4
        }
      }
    };
    return model
  };
  asSecurityScheme__p2__F1__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(finder, scheme, parent) {
    const this$1 = scheme.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1);
    if (this$1.isEmpty__Z()) {
      const annotations = scheme.annotations$1;
      const fields = new $c_Lamf_core_parser_Fields().init___();
      const this$7 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
      const this$5 = scheme.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
      const this$6 = this$5.option$1;
      const name = (this$6.isEmpty__Z() ? null : this$6.get__O());
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name)
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x1 = f.value$1.value$1;
      if ((!$is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x1))) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme not found for parameterized security scheme ", "."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([scheme.id$1]))))
      };
      const x2 = x1;
      const cloned = x2.cloneScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent);
      const this$8 = this.validateSettings__p2__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_plugins_domain_webapi_models_security_Settings__s_Option(x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1), scheme.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1));
      if ((!this$8.isEmpty__Z())) {
        const arg1$1 = this$8.get__O();
        const x$1 = arg1$1;
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(cloned, field$1, x$1)
      };
      return cloned
    }
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.SecurityResolutionStage", {
  Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_SecurityResolutionStage;
class $c_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$ extends $c_O {
  init___() {
    return this
  };
  scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b, content, tag, inArray) {
    if (inArray) {
      this.emit$1__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content, tag)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$1__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$1, content, tag);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  forcedType__p1__Lorg_yaml_model_YType__s_Option(tag) {
    const x = $m_Lorg_yaml_model_YType$().Float$1;
    if ((x === tag)) {
      return new $c_s_Some().init___O("http://www.w3.org/2001/XMLSchema#double")
    } else {
      return $m_s_None$()
    }
  };
  emit$1__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content$1, tag$1) {
    const tg = $f_Lamf_plugins_document_graph_parser_ScalarEmitter__fixTagIfNeeded__Lorg_yaml_model_YType__T__Lorg_yaml_model_YType(this, tag$1, content$1);
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$2 = this.forcedType__p1__Lorg_yaml_model_YType__s_Option(tag$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const t = arg1;
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
      $m_Lorg_yaml_model_YNode$();
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(t);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
    };
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $f_Lamf_plugins_document_graph_parser_ScalarEmitter__raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(this, v, content$1, tg);
    const this$6 = v.builder$1;
    const array = [key$1];
    if ((this$6.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$6.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
    const len$1 = this$6.size0$6;
    const src = this$6.array$6;
    const dest = this$6.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$6.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$6.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a, cs))
  };
}
const $d_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$: 0
}, false, "amf.plugins.features.validation.AMFValidatorPlugin$CustomScalarEmitter$", {
  Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$: 1,
  O: 1,
  Lamf_plugins_document_graph_parser_ScalarEmitter: 1
});
$c_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$.prototype.$classData = $d_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$;
let $n_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$ = (void 0);
const $m_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$)) {
    $n_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$ = new $c_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$().init___()
  };
  return $n_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$
});
class $c_Lamf_plugins_features_validation_JSValidationReport extends $c_O {
  constructor() {
    super();
    this.wrapped$1 = null
  };
  $$js$exported$meth$toString__O() {
    return $m_Lamf_core_validation_core_ValidationReport$().displayString__Lamf_core_validation_core_ValidationReport__T(this)
  };
  toString__T() {
    return $m_Lamf_core_validation_core_ValidationReport$().displayString__Lamf_core_validation_core_ValidationReport__T(this)
  };
  $$js$exported$prop$results__O() {
    return this.results__sci_List()
  };
  init___sjs_js_Dynamic(wrapped) {
    this.wrapped$1 = wrapped;
    return this
  };
  $$js$exported$prop$conforms__O() {
    return this.conforms__Z()
  };
  results__sci_List() {
    const array = this.wrapped$1.results();
    const array$1 = [];
    const x1 = (array.length | 0);
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      const elem = new $c_Lamf_plugins_features_validation_JSValidationResult().init___sjs_js_Dynamic(arg1);
      array$1.push(elem);
      i = ((1 + i) | 0)
    };
    const this$5 = $m_sci_List$();
    const cbf = this$5.ReusableCBFInstance$2;
    const b = cbf.apply__scm_Builder();
    const x1$1 = (array$1.length | 0);
    switch (x1$1) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1$1)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$1));
    return b.result__O()
  };
  conforms__Z() {
    return (!(!this.wrapped$1.conforms()))
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "results"() {
    return this.$$js$exported$prop$results__O()
  };
  get "conforms"() {
    return this.$$js$exported$prop$conforms__O()
  };
}
const $d_Lamf_plugins_features_validation_JSValidationReport = new $TypeData().initClass({
  Lamf_plugins_features_validation_JSValidationReport: 0
}, false, "amf.plugins.features.validation.JSValidationReport", {
  Lamf_plugins_features_validation_JSValidationReport: 1,
  O: 1,
  Lamf_core_validation_core_ValidationReport: 1
});
$c_Lamf_plugins_features_validation_JSValidationReport.prototype.$classData = $d_Lamf_plugins_features_validation_JSValidationReport;
class $c_Lamf_plugins_features_validation_JSValidationResult extends $c_O {
  constructor() {
    super();
    this.wrapped$1 = null
  };
  severity__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.severity(), "Violation")
  };
  path__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.path(), "")
  };
  message__s_Option() {
    return $m_Lamf_plugins_features_validation_JSUtils$().maybe__sjs_js_Dynamic__s_Option(this.wrapped$1.message())
  };
  sourceConstraintComponent__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.sourceConstraintComponent(), "")
  };
  $$js$exported$prop$message__O() {
    return this.message__s_Option()
  };
  $$js$exported$prop$sourceConstraintComponent__O() {
    return this.sourceConstraintComponent__T()
  };
  focusNode__T() {
    return $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.focusNode(), "")
  };
  init___sjs_js_Dynamic(wrapped) {
    this.wrapped$1 = wrapped;
    return this
  };
  $$js$exported$prop$focusNode__O() {
    return this.focusNode__T()
  };
  $$js$exported$prop$severity__O() {
    return this.severity__T()
  };
  sourceShape__T() {
    const result = $m_Lamf_plugins_features_validation_JSUtils$().$default__sjs_js_Dynamic__O__O(this.wrapped$1.sourceShape(), "");
    const prefix = $m_Lamf_core_vocabulary_Namespace$().AmfParser$1.base$1;
    if (((((result.length | 0) >= 0) && (result.substring(0, (prefix.length | 0)) === prefix)) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(result, "#property"))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(result, "#", 0);
      const this$8 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      return $f_sc_IndexedSeqOptimized__head__O(this$8)
    } else {
      return result
    }
  };
  $$js$exported$prop$path__O() {
    return this.path__T()
  };
  $$js$exported$prop$sourceShape__O() {
    return this.sourceShape__T()
  };
  get "sourceShape"() {
    return this.$$js$exported$prop$sourceShape__O()
  };
  get "severity"() {
    return this.$$js$exported$prop$severity__O()
  };
  get "focusNode"() {
    return this.$$js$exported$prop$focusNode__O()
  };
  get "sourceConstraintComponent"() {
    return this.$$js$exported$prop$sourceConstraintComponent__O()
  };
  get "path"() {
    return this.$$js$exported$prop$path__O()
  };
  get "message"() {
    return this.$$js$exported$prop$message__O()
  };
}
const $d_Lamf_plugins_features_validation_JSValidationResult = new $TypeData().initClass({
  Lamf_plugins_features_validation_JSValidationResult: 0
}, false, "amf.plugins.features.validation.JSValidationResult", {
  Lamf_plugins_features_validation_JSValidationResult: 1,
  O: 1,
  Lamf_core_validation_core_ValidationResult: 1
});
$c_Lamf_plugins_features_validation_JSValidationResult.prototype.$classData = $d_Lamf_plugins_features_validation_JSValidationResult;
class $c_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1 extends $c_O {
  results__sci_List() {
    return $m_sci_Nil$()
  };
  conforms__Z() {
    return false
  };
  init___Lamf_plugins_features_validation_ParserSideValidationPlugin($$outer) {
    return this
  };
}
const $d_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1: 0
}, false, "amf.plugins.features.validation.ParserSideValidationPlugin$$anon$1", {
  Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1: 1,
  O: 1,
  Lamf_core_validation_core_ValidationReport: 1
});
$c_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1.prototype.$classData = $d_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1;
class $c_Lamf_plugins_features_validation_SHACLValidator extends $c_O {
  constructor() {
    super();
    this.functionUrl$1 = null;
    this.functionCode$1 = null
  };
  validateJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = this.validate__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  validate__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    const validator = new (this.nativeShacl__sjs_js_Dynamic())();
    this.loadLibrary__sjs_js_Dynamic__V(validator);
    validator.validate(data, dataMediaType, shapes, shapesMediaType, (function($this, promise$1) {
      return (function(e$2, r$2) {
        if (((e$2 === (void 0)) || (e$2 === null))) {
          const value = $objectToString($g.JSON.stringify(r$2));
          return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1, value)
        } else {
          const cause = new $c_sjs_js_JavaScriptException().init___O(e$2);
          return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$1, cause)
        }
      })
    })(this, promise));
    return promise
  };
  init___() {
    this.functionUrl$1 = $m_s_None$();
    this.functionCode$1 = $m_s_None$();
    return this
  };
  $$js$exported$meth$report__T__T__T__T__O(data, dataMediaType, shapes, shapesMediaType) {
    return this.reportJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType)
  };
  reportJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const f = this.report__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType);
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  loadLibrary__sjs_js_Dynamic__V(validator) {
    if ((this.functionCode$1.isDefined__Z() && this.functionUrl$1.isDefined__Z())) {
      const s = this.functionUrl$1.get__O();
      const s$1 = this.functionCode$1.get__O();
      validator.registerJSCode(s, s$1)
    }
  };
  report__T__T__T__T__s_concurrent_Future(data, dataMediaType, shapes, shapesMediaType) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    const validator = new (this.nativeShacl__sjs_js_Dynamic())();
    this.loadLibrary__sjs_js_Dynamic__V(validator);
    validator.validate(data, dataMediaType, shapes, shapesMediaType, (function($this, promise$1) {
      return (function(e$2, report$2) {
        if (((e$2 === (void 0)) || (e$2 === null))) {
          const result = new $c_Lamf_plugins_features_validation_JSValidationReport().init___sjs_js_Dynamic(report$2);
          return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1, result)
        } else {
          const cause = new $c_sjs_js_JavaScriptException().init___O(e$2);
          return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$1, cause)
        }
      })
    })(this, promise));
    return promise
  };
  registerLibrary__T__T__V(url, code) {
    this.functionUrl$1 = new $c_s_Some().init___O(url);
    this.functionCode$1 = new $c_s_Some().init___O(code)
  };
  nativeShacl__sjs_js_Dynamic() {
    const v = $g.SHACLValidator;
    if ((v === (void 0))) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot find global SHACLValidator object"))
    } else {
      return $g.SHACLValidator
    }
  };
  $$js$exported$meth$validate__T__T__T__T__O(data, dataMediaType, shapes, shapesMediaType) {
    return this.validateJS__T__T__T__T__sjs_js_Promise(data, dataMediaType, shapes, shapesMediaType)
  };
  "report"(arg$1, arg$2, arg$3, arg$4) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = arg$3;
    const prep3 = arg$4;
    return this.$$js$exported$meth$report__T__T__T__T__O(prep0, prep1, prep2, prep3)
  };
  "validate"(arg$1, arg$2, arg$3, arg$4) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    const prep2 = arg$3;
    const prep3 = arg$4;
    return this.$$js$exported$meth$validate__T__T__T__T__O(prep0, prep1, prep2, prep3)
  };
}
const $d_Lamf_plugins_features_validation_SHACLValidator = new $TypeData().initClass({
  Lamf_plugins_features_validation_SHACLValidator: 0
}, false, "amf.plugins.features.validation.SHACLValidator", {
  Lamf_plugins_features_validation_SHACLValidator: 1,
  O: 1,
  Lamf_core_validation_core_SHACLValidator: 1
});
$c_Lamf_plugins_features_validation_SHACLValidator.prototype.$classData = $d_Lamf_plugins_features_validation_SHACLValidator;
class $c_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_core_validation_core_FunctionConstraint(node) {
    return new $c_Lamf_core_validation_core_FunctionConstraint().init___s_Option__s_Option__sc_Seq__s_Option($f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "message"), $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "code"), $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "libraries"), $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "functionName"))
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedFunctionConstraint$: 0
}, false, "amf.plugins.features.validation.model.ParsedFunctionConstraint$", {
  Lamf_plugins_features_validation_model_ParsedFunctionConstraint$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$;
let $n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$)) {
    $n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$ = new $c_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$
});
class $c_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ extends $c_O {
  constructor() {
    super();
    this.validationNs$1 = null
  };
  init___() {
    this.validationNs$1 = "http://raml.org/vocabularies/amf-validation#";
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__scm_Map__Lamf_core_validation_core_PropertyConstraint(node, prefixes) {
    const x = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "name");
    const value = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "ramlID in property constraint", x);
    const x$11 = $f_Lamf_plugins_features_validation_model_DialectWrapper__expand__T__scm_Map__T(this, value, prefixes);
    const x$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "name");
    const x$12 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "name in property constraint", x$1);
    const x$13 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "message");
    const x$14 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "pattern");
    const x$15 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "maxCount");
    const x$16 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "minCount");
    const x$17 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "maxLength");
    const x$18 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "minLength");
    const x$19 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "maxExclusive");
    const x$20 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "minExclusive");
    const x$21 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "maxInclusive");
    const x$22 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "minInclusive");
    const x$23 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "in");
    const x$24 = $m_s_None$();
    const x$25 = $m_s_None$();
    const x$26 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x$27 = $m_s_None$();
    return new $c_Lamf_core_validation_core_PropertyConstraint().init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(x$11, x$12, x$13, x$14, x$15, x$16, x$18, x$17, x$20, x$19, x$22, x$21, x$24, x$25, x$26, x$23, x$27)
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedPropertyConstraint$: 0
}, false, "amf.plugins.features.validation.model.ParsedPropertyConstraint$", {
  Lamf_plugins_features_validation_model_ParsedPropertyConstraint$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$;
let $n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$)) {
    $n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$ = new $c_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$
});
class $c_Lamf_plugins_features_validation_model_ParsedValidationProfile$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_core_validation_core_ValidationProfile(node) {
    const prfx = $f_Lamf_plugins_features_validation_model_DialectWrapper__prefixes__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__scm_Map(this, node);
    const x = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "profile");
    const jsx$6 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "profile in validation profile", x);
    const jsx$5 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "extends");
    const jsx$4 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "violation");
    const jsx$3 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "info");
    const jsx$2 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "warning");
    const jsx$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "disabled");
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, prfx$1) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        return $m_Lamf_plugins_features_validation_model_ParsedValidationSpecification$().apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__scm_Map__Lamf_core_validation_core_ValidationSpecification(x$10, prfx$1)
      })
    })(this, prfx));
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, $f_Lamf_plugins_features_validation_model_DialectWrapper__mapEntities__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__F1__sc_Seq(this, node, "validations", f), prfx)
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedValidationProfile$: 0
}, false, "amf.plugins.features.validation.model.ParsedValidationProfile$", {
  Lamf_plugins_features_validation_model_ParsedValidationProfile$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedValidationProfile$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedValidationProfile$;
let $n_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedValidationProfile$)) {
    $n_Lamf_plugins_features_validation_model_ParsedValidationProfile$ = new $c_Lamf_plugins_features_validation_model_ParsedValidationProfile$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedValidationProfile$
});
class $c_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ extends $c_O {
  constructor() {
    super();
    this.PARSER$undSIDE$undVALIDATION$1 = null
  };
  init___() {
    $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PARSER$undSIDE$undVALIDATION$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParserShape").iri__T();
    return this
  };
  apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__scm_Map__Lamf_core_validation_core_ValidationSpecification(node, prefixes) {
    const x = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "name");
    const x$28 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "name in validation specification", x);
    const x$1 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractString__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__s_Option(this, node, "message");
    const x$29 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mandatory__T__s_Option__O(this, "message in validation specification", x$1);
    const jsx$2 = $f_Lamf_plugins_features_validation_model_DialectWrapper__extractStrings__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__sc_Seq(this, node, "targetClass");
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, prefixes$1) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return $f_Lamf_plugins_features_validation_model_DialectWrapper__expand__T__scm_Map__T($this, x$8, prefixes$1)
      })
    })(this, prefixes));
    const this$1 = $m_sc_Seq$();
    const x$30 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, prefixes$2) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        return $m_Lamf_plugins_features_validation_model_ParsedPropertyConstraint$().apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__scm_Map__Lamf_core_validation_core_PropertyConstraint(x$9, prefixes$2)
      })
    })(this, prefixes));
    const x$31 = $f_Lamf_plugins_features_validation_model_DialectWrapper__mapEntities__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__T__F1__sc_Seq(this, node, "propertyConstraints", f);
    const this$3 = node.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
    const x1 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, property) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        const this$4 = x$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
        const this$5 = this$4.option$1;
        return ((this$5.isEmpty__Z() ? null : this$5.get__O()) === property)
      })
    })(this, "functionConstraint")));
    let x$32;
    matchEnd4: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const profileProperty = x2.value$2;
        if (node.objectProperties$1.contains__O__Z(profileProperty.id$1)) {
          const this$6 = node.objectProperties$1.get__O__s_Option(profileProperty.id$1);
          if (this$6.isEmpty__Z()) {
            x$32 = $m_s_None$();
            break matchEnd4
          } else {
            const arg1 = this$6.get__O();
            const node$2 = arg1;
            x$32 = new $c_s_Some().init___O($m_Lamf_plugins_features_validation_model_ParsedFunctionConstraint$().apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_core_validation_core_FunctionConstraint(node$2));
            break matchEnd4
          }
        }
      };
      x$32 = $m_s_None$()
    };
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$33 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$34 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$12 = new $c_scm_ListBuffer().init___();
    const x$35 = this$12.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$16 = new $c_scm_ListBuffer().init___();
    const x$36 = this$16.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$20 = new $c_scm_ListBuffer().init___();
    const x$37 = this$20.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$24 = new $c_scm_ListBuffer().init___();
    const x$38 = this$24.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$28 = new $c_scm_ListBuffer().init___();
    const x$39 = this$28.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$40 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$33 = new $c_scm_ListBuffer().init___();
    const x$41 = this$33.toList__sci_List();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$42 = $m_s_None$();
    $m_Lamf_core_validation_core_ValidationSpecification$();
    const x$43 = $m_s_None$();
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$28, x$29, x$33, x$34, x$35, x$30, x$36, x$37, x$38, x$39, x$40, x$31, x$41, x$42, x$32, x$43)
  };
}
const $d_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_model_ParsedValidationSpecification$: 0
}, false, "amf.plugins.features.validation.model.ParsedValidationSpecification$", {
  Lamf_plugins_features_validation_model_ParsedValidationSpecification$: 1,
  O: 1,
  Lamf_plugins_features_validation_model_DialectWrapper: 1
});
$c_Lamf_plugins_features_validation_model_ParsedValidationSpecification$.prototype.$classData = $d_Lamf_plugins_features_validation_model_ParsedValidationSpecification$;
let $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = (void 0);
const $m_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$)) {
    $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$ = new $c_Lamf_plugins_features_validation_model_ParsedValidationSpecification$().init___()
  };
  return $n_Lamf_plugins_features_validation_model_ParsedValidationSpecification$
});
class $c_Ljava_nio_charset_Charset extends $c_O {
  constructor() {
    super();
    this.cachedDecoder$1 = null;
    this.cachedEncoder$1 = null;
    this.canonicalName$1 = null;
    this.bitmap$0$1 = 0
  };
  cachedEncoder__p1__Ljava_nio_charset_CharsetEncoder() {
    return (((2 & this.bitmap$0$1) === 0) ? this.cachedEncoder$lzycompute__p1__Ljava_nio_charset_CharsetEncoder() : this.cachedEncoder$1)
  };
  cachedEncoder$lzycompute__p1__Ljava_nio_charset_CharsetEncoder() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.cachedEncoder$1 = new $c_sjs_niocharset_UTF$und8$Encoder().init___().onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1).onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetEncoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.cachedEncoder$1
  };
  init___T__AT(canonicalName, aliases) {
    this.canonicalName$1 = canonicalName;
    return this
  };
  equals__O__Z(that) {
    if ($is_Ljava_nio_charset_Charset(that)) {
      const x2 = that;
      return (this.canonicalName$1 === x2.canonicalName$1)
    } else {
      return false
    }
  };
  compareTo__O__I(x$1) {
    const that = x$1;
    return $m_sjsr_RuntimeString$().compareToIgnoreCase__T__T__I(this.canonicalName$1, that.canonicalName$1)
  };
  toString__T() {
    return this.canonicalName$1
  };
  encode__T__Ljava_nio_ByteBuffer(str) {
    const this$1 = $m_Ljava_nio_CharBuffer$();
    const cb = this$1.wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(str, 0, (str.length | 0));
    return this.cachedEncoder__p1__Ljava_nio_charset_CharsetEncoder().encode__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer(cb)
  };
  hashCode__I() {
    return $m_sr_Statics$().anyHash__O__I(this.canonicalName$1)
  };
}
const $is_Ljava_nio_charset_Charset = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_charset_Charset)))
});
const $isArrayOf_Ljava_nio_charset_Charset = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_charset_Charset)))
});
class $c_Lorg_mulesoft_common_io_JsBaseFile extends $c_O {
  constructor() {
    super();
    this.fileSystem$1 = null;
    this.path$1 = null;
    this.prefixLength$1 = 0
  };
  toString__T() {
    return this.path$1
  };
  init___Lorg_mulesoft_common_io_JsServerFileSystem__T(fileSystem, path) {
    this.fileSystem$1 = fileSystem;
    this.path$1 = path;
    this.prefixLength$1 = fileSystem.prefixLength__T__I(path);
    return this
  };
}
class $c_Lorg_mulesoft_common_io_JsServerFileSystem extends $c_O {
  asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(path) {
    return ((path === null) ? null : new $c_Lorg_mulesoft_common_io_JsAsyncFile().init___Lorg_mulesoft_common_io_JsServerFileSystem__T(this, path))
  };
  prefixLength__T__I(path) {
    return (((path.length | 0) === 0) ? 0 : (((65535 & (path.charCodeAt(0) | 0)) === 47) ? 1 : 0))
  };
}
class $c_Lorg_mulesoft_lexer_BaseLexer extends $c_O {
  constructor() {
    super();
    this.input$1 = null;
    this.tokenQueue$1 = null;
    this.mark$1 = null;
    this.$$undtokenData$1 = null
  };
  restoreState__T3__V(s) {
    this.tokenQueue$1.reduceTo__I__V((s.$$und1$1 | 0));
    this.mark$1 = s.$$und2$1;
    const this$1 = this.input$1;
    const mark = s.$$und3$1;
    this$1.state$1 = mark
  };
  emit__Lorg_mulesoft_lexer_Token__Z(token) {
    const this$1 = this.input$1;
    const this$2 = this$1.state$1;
    const newMark = new $c_T3().init___O__O__O(this$2.line$1, this$2.column$1, this$2.offset$1);
    this.tokenQueue$1.$$plus$eq__O__Lorg_mulesoft_lexer_Queue(new $c_Lorg_mulesoft_lexer_TokenData().init___Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_InputRange__I__I(token, $m_Lorg_mulesoft_lexer_InputRange$().apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange((this.mark$1.$$und1$1 | 0), (this.mark$1.$$und2$1 | 0), (newMark.$$und1$1 | 0), (newMark.$$und2$1 | 0)), (this.mark$1.$$und3$1 | 0), (newMark.$$und3$1 | 0)));
    this.mark$1 = newMark;
    return true
  };
  advance__V() {
    while (this.tokenQueue$1.isEmpty__Z()) {
      const this$1 = this.input$1;
      if ((this$1.state$1.current$1 !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)) {
        const this$2 = this.input$1;
        const p = this$2.state$1.offset$1;
        const this$4 = this.input$1;
        if ((p === this$4.state$1.offset$1)) {
          const this$5 = this.input$1;
          const x = new $c_s_Tuple2$mcII$sp().init___I__I(this$5.state$1.current$1, p);
          const this$7 = $m_s_Console$();
          const this$8 = this$7.outVar$2.v$1;
          this$8.java$lang$JSConsoleBasedPrintStream$$printString__T__V((x + "\n"));
          this.advance__V()
        }
      } else {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndStream$1)
      }
    };
    this.$$undtokenData$1 = this.tokenQueue$1.dequeue__O()
  };
  consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, token) {
    return ((n <= 0) || (this.input$1.consume__I__V(n), this.emit__Lorg_mulesoft_lexer_Token__Z(token)))
  };
  saveState__T3() {
    return new $c_T3().init___O__O__O(this.tokenQueue$1.size__I(), this.mark$1, this.input$1.createMark__Lorg_mulesoft_lexer_LexerInput$Mark())
  };
  check__T__I(str) {
    const len = (str.length | 0);
    let jsx$1;
    if ((len > 0)) {
      const this$5 = new $c_sci_Range().init___I__I__I(0, len, 1);
      const this$6 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$5, 0, this$5.length__I());
      let res = true;
      while ((res && this$6.hasNext__Z())) {
        const arg1 = this$6.next__O();
        const i = (arg1 | 0);
        res = ((65535 & (str.charCodeAt(i) | 0)) === this.input$1.lookAhead__I__I(i))
      };
      jsx$1 = res
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return len
    } else {
      return 0
    }
  };
  consume__T__Z(str) {
    const l = this.check__T__I(str);
    return ((l !== 0) && (this.input$1.consume__I__V(l), true))
  };
  init___Lorg_mulesoft_lexer_LexerInput(input) {
    this.input$1 = input;
    this.tokenQueue$1 = new $c_Lorg_mulesoft_lexer_Queue().init___();
    const this$1 = this.input$1;
    const this$2 = this$1.state$1;
    this.mark$1 = new $c_T3().init___O__O__O(this$2.line$1, this$2.column$1, this$2.offset$1);
    this.initialize__V();
    return this
  };
  consumeAndEmit__Lorg_mulesoft_lexer_Token__Z(token) {
    const this$1 = this.input$1;
    this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1);
    return this.emit__Lorg_mulesoft_lexer_Token__Z(token)
  };
  emit__Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_Token__Z(t1, t2) {
    this.emit__Lorg_mulesoft_lexer_Token__Z(t1);
    return this.emit__Lorg_mulesoft_lexer_Token__Z(t2)
  };
}
class $c_Lorg_mulesoft_lexer_CharSequenceLexerInput extends $c_O {
  constructor() {
    super();
    this.data$1 = null;
    this.startOffset$1 = 0;
    this.endOffset$1 = 0;
    this.sourceName$1 = null;
    this.state$1 = null
  };
  init___jl_CharSequence__I__I__T(data, startOffset, endOffset, sourceName) {
    this.data$1 = data;
    this.startOffset$1 = startOffset;
    this.endOffset$1 = endOffset;
    this.sourceName$1 = sourceName;
    const x$5 = $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1;
    this.state$1 = new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState().init___I__I__I__I__I(0, 1, startOffset, startOffset, x$5).init__jl_CharSequence__I__Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState(data, endOffset);
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    if ((((start < this.startOffset$1) || (end > this.endOffset$1)) || (end < start))) {
      throw new $c_jl_IllegalArgumentException().init___T("Invalid sub-sequence")
    };
    return $charSequenceSubSequence(this.data$1, start, end)
  };
  createMark__Lorg_mulesoft_lexer_LexerInput$Mark() {
    const qual$1 = this.state$1;
    const x$6 = qual$1.column$1;
    const x$7 = qual$1.line$1;
    const x$8 = qual$1.offset$1;
    const x$9 = qual$1.nextOffset$1;
    const x$10 = qual$1.current$1;
    return new $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState().init___I__I__I__I__I(x$6, x$7, x$8, x$9, x$10)
  };
  consume__I__V(n) {
    const isEmpty$4 = (n <= 0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + n) | 0);
    if ((!isEmpty$4)) {
      let i = 0;
      while (true) {
        const v1 = i;
        this.state$1.consume__jl_CharSequence__I__V(this.data$1, this.endOffset$1);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    }
  };
  lookAhead__I__I(i) {
    if ((i === 0)) {
      return this.state$1.current$1
    };
    const off = (((-1) + ((this.state$1.nextOffset$1 + i) | 0)) | 0);
    if (((off < 0) || (off >= this.endOffset$1))) {
      return $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1
    };
    const chr = $charSequenceCharAt(this.data$1, off);
    if ((i > 0)) {
      let jsx$1;
      if ((((64512 & chr) === 55296) && (((1 + off) | 0) < this.endOffset$1))) {
        const c = $charSequenceCharAt(this.data$1, ((1 + off) | 0));
        jsx$1 = ((64512 & c) === 56320)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const low = $charSequenceCharAt(this.data$1, ((1 + off) | 0));
        return ((65536 + ((((1023 & chr) << 10) + (1023 & low)) | 0)) | 0)
      };
      return chr
    };
    let jsx$2;
    if ((((64512 & chr) === 56320) && ((((-1) + off) | 0) > 0))) {
      const c$1 = $charSequenceCharAt(this.data$1, (((-1) + off) | 0));
      jsx$2 = ((64512 & c$1) === 55296)
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      const high = $charSequenceCharAt(this.data$1, (((-1) + off) | 0));
      return ((65536 + ((((1023 & high) << 10) + (1023 & chr)) | 0)) | 0)
    };
    return chr
  };
}
const $d_Lorg_mulesoft_lexer_CharSequenceLexerInput = new $TypeData().initClass({
  Lorg_mulesoft_lexer_CharSequenceLexerInput: 0
}, false, "org.mulesoft.lexer.CharSequenceLexerInput", {
  Lorg_mulesoft_lexer_CharSequenceLexerInput: 1,
  O: 1,
  Lorg_mulesoft_lexer_LexerInput: 1
});
$c_Lorg_mulesoft_lexer_CharSequenceLexerInput.prototype.$classData = $d_Lorg_mulesoft_lexer_CharSequenceLexerInput;
class $c_Lorg_yaml_convert_ScalarYRead extends $c_O {
  constructor() {
    super();
    this.expectedType$1 = null;
    this.dv$1 = null
  };
  init___Lorg_yaml_model_YType__O(expectedType, dv) {
    this.expectedType$1 = expectedType;
    this.dv$1 = dv;
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const tagType = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = this.expectedType$1;
    if ((!(tagType === x$2))) {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expecting ", " and ", " provided"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.expectedType$1, tagType])))
    };
    if ((!$is_Lorg_yaml_model_YScalar(node.value__Lorg_yaml_model_YValue()))) {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not an Scalar")
    };
    const v = node.value__Lorg_yaml_model_YValue().value$3;
    try {
      $m_s_package$();
      return new $c_s_util_Right().init___O(v)
    } catch (e) {
      if ($is_jl_ClassCastException(e)) {
        const e$2 = e;
        return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, e$2.getMessage__T())
      } else {
        throw e
      }
    }
  };
  defaultValue__O() {
    return this.dv$1
  };
}
class $c_Lorg_yaml_convert_YRead$$anon$1 extends $c_O {
  constructor() {
    super();
    this.reader$1$1 = null;
    this.bf$1$1 = null
  };
  mapValues__p1__sc_Seq__O(s) {
    const b = this.bf$1$1.apply__scm_Builder();
    $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, s);
    s.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(x$2) {
        const x = x$2;
        const x1 = $this.reader$1$1.read__Lorg_yaml_model_YNode__s_util_Either(x);
        if ((!$is_s_util_Right(x1))) {
          if ($is_s_util_Left(x1)) {
            const x3 = x1;
            const err = x3.value$2;
            err.throwIt__sr_Nothing$()
          };
          throw new $c_s_MatchError().init___O(x1)
        };
        const x2 = x1;
        const n = x2.value$2;
        return b$1.$$plus$eq__O__scm_Builder(n)
      })
    })(this, b)));
    return b.result__O()
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    try {
      const this$1 = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$().read__Lorg_yaml_model_YNode__s_util_Either(node);
      if ($is_s_util_Right(this$1)) {
        const x2 = this$1;
        const b = x2.value$2;
        const s = b;
        return new $c_s_util_Right().init___O(this.mapValues__p1__sc_Seq__O(s))
      } else if ($is_s_util_Left(this$1)) {
        return this$1
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } catch (e) {
      if ($is_Lorg_yaml_model_YException(e)) {
        const e$2 = e;
        $m_s_package$();
        const value = e$2.yError$4;
        return new $c_s_util_Left().init___O(value)
      } else {
        throw e
      }
    }
  };
  init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader$1, bf$1) {
    this.reader$1$1 = reader$1;
    this.bf$1$1 = bf$1;
    return this
  };
  defaultValue__O() {
    return this.bf$1$1.apply__scm_Builder().result__O()
  };
}
const $d_Lorg_yaml_convert_YRead$$anon$1 = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$$anon$1: 0
}, false, "org.yaml.convert.YRead$$anon$1", {
  Lorg_yaml_convert_YRead$$anon$1: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$$anon$1.prototype.$classData = $d_Lorg_yaml_convert_YRead$$anon$1;
class $c_Lorg_yaml_convert_YRead$SeqNodeYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x2 = x1;
      $m_s_package$();
      const value = x2.nodes$3;
      return new $c_s_util_Right().init___O(value)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YSequence")
    }
  };
  defaultValue__O() {
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    return this$4.result__sci_Vector()
  };
}
const $d_Lorg_yaml_convert_YRead$SeqNodeYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$SeqNodeYRead$: 0
}, false, "org.yaml.convert.YRead$SeqNodeYRead$", {
  Lorg_yaml_convert_YRead$SeqNodeYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$SeqNodeYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$SeqNodeYRead$;
let $n_Lorg_yaml_convert_YRead$SeqNodeYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$SeqNodeYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$SeqNodeYRead$)) {
    $n_Lorg_yaml_convert_YRead$SeqNodeYRead$ = new $c_Lorg_yaml_convert_YRead$SeqNodeYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$SeqNodeYRead$
});
class $c_Lorg_yaml_convert_YRead$YMapYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YMap(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YMap")
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YMap$().empty$1
  };
}
const $d_Lorg_yaml_convert_YRead$YMapYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$YMapYRead$: 0
}, false, "org.yaml.convert.YRead$YMapYRead$", {
  Lorg_yaml_convert_YRead$YMapYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$YMapYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$YMapYRead$;
let $n_Lorg_yaml_convert_YRead$YMapYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$YMapYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$YMapYRead$)) {
    $n_Lorg_yaml_convert_YRead$YMapYRead$ = new $c_Lorg_yaml_convert_YRead$YMapYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$YMapYRead$
});
class $c_Lorg_yaml_convert_YRead$YScalarYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YScalar")
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YScalar$().Null$1
  };
}
const $d_Lorg_yaml_convert_YRead$YScalarYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$YScalarYRead$: 0
}, false, "org.yaml.convert.YRead$YScalarYRead$", {
  Lorg_yaml_convert_YRead$YScalarYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$YScalarYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$YScalarYRead$;
let $n_Lorg_yaml_convert_YRead$YScalarYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$YScalarYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$YScalarYRead$)) {
    $n_Lorg_yaml_convert_YRead$YScalarYRead$ = new $c_Lorg_yaml_convert_YRead$YScalarYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$YScalarYRead$
});
class $c_Lorg_yaml_convert_YRead$YSeqYRead$ extends $c_O {
  init___() {
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YSequence(x1)) {
      const x2 = x1;
      $m_s_package$();
      return new $c_s_util_Right().init___O(x2)
    } else {
      return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Not a YSequence")
    }
  };
  defaultValue__O() {
    return $m_Lorg_yaml_model_YSequence$().empty$1
  };
}
const $d_Lorg_yaml_convert_YRead$YSeqYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$YSeqYRead$: 0
}, false, "org.yaml.convert.YRead$YSeqYRead$", {
  Lorg_yaml_convert_YRead$YSeqYRead$: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$YSeqYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$YSeqYRead$;
let $n_Lorg_yaml_convert_YRead$YSeqYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$YSeqYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$YSeqYRead$)) {
    $n_Lorg_yaml_convert_YRead$YSeqYRead$ = new $c_Lorg_yaml_convert_YRead$YSeqYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$YSeqYRead$
});
class $c_Lorg_yaml_lexer_YamlToken extends $c_Lorg_mulesoft_lexer_Token {
  init___T__T(name, abbreviation) {
    $c_Lorg_mulesoft_lexer_Token.prototype.init___T__T.call(this, name, abbreviation);
    $m_Lorg_yaml_lexer_YamlToken$().org$yaml$lexer$YamlToken$$tokens$1.put__O__O__s_Option(this.abbreviation$1, this);
    return this
  };
}
const $is_Lorg_yaml_lexer_YamlToken = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_lexer_YamlToken)))
});
const $isArrayOf_Lorg_yaml_lexer_YamlToken = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_lexer_YamlToken)))
});
const $d_Lorg_yaml_lexer_YamlToken = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlToken: 0
}, false, "org.yaml.lexer.YamlToken", {
  Lorg_yaml_lexer_YamlToken: 1,
  Lorg_mulesoft_lexer_Token: 1,
  O: 1
});
$c_Lorg_yaml_lexer_YamlToken.prototype.$classData = $d_Lorg_yaml_lexer_YamlToken;
class $c_Lorg_yaml_model_IllegalTypeHandler$$anon$1 extends $c_O {
  constructor() {
    super();
    this.f$1$1 = null
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    this.f$1$1.apply__O__O(error);
    return defaultValue
  };
  init___F1(f$1) {
    this.f$1$1 = f$1;
    return this
  };
}
const $d_Lorg_yaml_model_IllegalTypeHandler$$anon$1 = new $TypeData().initClass({
  Lorg_yaml_model_IllegalTypeHandler$$anon$1: 0
}, false, "org.yaml.model.IllegalTypeHandler$$anon$1", {
  Lorg_yaml_model_IllegalTypeHandler$$anon$1: 1,
  O: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1
});
$c_Lorg_yaml_model_IllegalTypeHandler$$anon$1.prototype.$classData = $d_Lorg_yaml_model_IllegalTypeHandler$$anon$1;
class $c_Lorg_yaml_model_MultilineMark$ extends $c_O {
  init___() {
    return this
  };
  markText__T__T(text) {
    return text
  };
  plain__Z() {
    return false
  };
}
const $d_Lorg_yaml_model_MultilineMark$ = new $TypeData().initClass({
  Lorg_yaml_model_MultilineMark$: 0
}, false, "org.yaml.model.MultilineMark$", {
  Lorg_yaml_model_MultilineMark$: 1,
  O: 1,
  Lorg_yaml_model_ScalarMark: 1
});
$c_Lorg_yaml_model_MultilineMark$.prototype.$classData = $d_Lorg_yaml_model_MultilineMark$;
let $n_Lorg_yaml_model_MultilineMark$ = (void 0);
const $m_Lorg_yaml_model_MultilineMark$ = (function() {
  if ((!$n_Lorg_yaml_model_MultilineMark$)) {
    $n_Lorg_yaml_model_MultilineMark$ = new $c_Lorg_yaml_model_MultilineMark$().init___()
  };
  return $n_Lorg_yaml_model_MultilineMark$
});
class $c_Lorg_yaml_model_NonMark$ extends $c_O {
  init___() {
    return this
  };
  markText__T__T(text) {
    return text
  };
  plain__Z() {
    return true
  };
}
const $d_Lorg_yaml_model_NonMark$ = new $TypeData().initClass({
  Lorg_yaml_model_NonMark$: 0
}, false, "org.yaml.model.NonMark$", {
  Lorg_yaml_model_NonMark$: 1,
  O: 1,
  Lorg_yaml_model_ScalarMark: 1
});
$c_Lorg_yaml_model_NonMark$.prototype.$classData = $d_Lorg_yaml_model_NonMark$;
let $n_Lorg_yaml_model_NonMark$ = (void 0);
const $m_Lorg_yaml_model_NonMark$ = (function() {
  if ((!$n_Lorg_yaml_model_NonMark$)) {
    $n_Lorg_yaml_model_NonMark$ = new $c_Lorg_yaml_model_NonMark$().init___()
  };
  return $n_Lorg_yaml_model_NonMark$
});
class $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node$3, e$3) {
    (0, this.f$1)(node$3, e$3)
  };
}
const $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1 = new $TypeData().initClass({
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$1: 0
}, false, "org.yaml.model.ParseErrorHandler$$$Lambda$1", {
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$1: 1,
  O: 1,
  Lorg_yaml_model_ParseErrorHandler: 1
});
$c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1.prototype.$classData = $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$1;
class $c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2 extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  init___O(f) {
    this.f$1 = f;
    return this
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node$4, e$4) {
    (0, this.f$1)(node$4, e$4)
  };
}
const $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2 = new $TypeData().initClass({
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$2: 0
}, false, "org.yaml.model.ParseErrorHandler$$$Lambda$2", {
  Lorg_yaml_model_ParseErrorHandler$$$Lambda$2: 1,
  O: 1,
  Lorg_yaml_model_ParseErrorHandler: 1
});
$c_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2.prototype.$classData = $d_Lorg_yaml_model_ParseErrorHandler$$$Lambda$2;
class $c_Lorg_yaml_model_UnkownMark$ extends $c_O {
  init___() {
    return this
  };
  markText__T__T(text) {
    return text
  };
  plain__Z() {
    return false
  };
}
const $d_Lorg_yaml_model_UnkownMark$ = new $TypeData().initClass({
  Lorg_yaml_model_UnkownMark$: 0
}, false, "org.yaml.model.UnkownMark$", {
  Lorg_yaml_model_UnkownMark$: 1,
  O: 1,
  Lorg_yaml_model_ScalarMark: 1
});
$c_Lorg_yaml_model_UnkownMark$.prototype.$classData = $d_Lorg_yaml_model_UnkownMark$;
let $n_Lorg_yaml_model_UnkownMark$ = (void 0);
const $m_Lorg_yaml_model_UnkownMark$ = (function() {
  if ((!$n_Lorg_yaml_model_UnkownMark$)) {
    $n_Lorg_yaml_model_UnkownMark$ = new $c_Lorg_yaml_model_UnkownMark$().init___()
  };
  return $n_Lorg_yaml_model_UnkownMark$
});
class $c_Lorg_yaml_model_YDocument$PartBuilder extends $c_Lorg_yaml_model_YDocument$BaseBuilder {
  init___() {
    $c_Lorg_yaml_model_YDocument$BaseBuilder.prototype.init___.call(this);
    return this
  };
  $$plus$eq__T__V(str) {
    this.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str))
  };
}
const $is_Lorg_yaml_model_YDocument$PartBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDocument$PartBuilder)))
});
const $isArrayOf_Lorg_yaml_model_YDocument$PartBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDocument$PartBuilder)))
});
const $d_Lorg_yaml_model_YDocument$PartBuilder = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$PartBuilder: 0
}, false, "org.yaml.model.YDocument$PartBuilder", {
  Lorg_yaml_model_YDocument$PartBuilder: 1,
  Lorg_yaml_model_YDocument$BaseBuilder: 1,
  O: 1
});
$c_Lorg_yaml_model_YDocument$PartBuilder.prototype.$classData = $d_Lorg_yaml_model_YDocument$PartBuilder;
class $c_Lorg_yaml_model_YMapEntry extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.children$1 = null;
    this.range$1 = null
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__sc_IndexedSeq(key, value, children) {
    this.key$1 = key;
    this.value$1 = value;
    this.children$1 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  children__sc_IndexedSeq() {
    return this.children$1
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$1 = x$1
  };
  toString__T() {
    const jsx$1 = $m_s_Predef$any2stringadd$();
    const self = this.key$1;
    return (("" + jsx$1.$$plus$extension__O__T__T(self, ": ")) + this.value$1)
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
}
const $is_Lorg_yaml_model_YMapEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YMapEntry)))
});
const $isArrayOf_Lorg_yaml_model_YMapEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YMapEntry)))
});
const $d_Lorg_yaml_model_YMapEntry = new $TypeData().initClass({
  Lorg_yaml_model_YMapEntry: 0
}, false, "org.yaml.model.YMapEntry", {
  Lorg_yaml_model_YMapEntry: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YMapEntry.prototype.$classData = $d_Lorg_yaml_model_YMapEntry;
class $c_Lorg_yaml_model_YNodeLike extends $c_Lorg_yaml_model_YValueLike {
  to__Lorg_yaml_convert_YRead__s_util_Either(conversion) {
    return conversion.read__Lorg_yaml_model_YNode__s_util_Either(this.thisNode__Lorg_yaml_model_YNode())
  };
  as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(conversion, iv) {
    const x1 = this.to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      return value
    } else if ($is_s_util_Left(x1)) {
      const x3 = x1;
      const err = x3.value$2;
      return iv.handle__Lorg_yaml_model_YError__O__O(err, conversion.defaultValue__O())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  asOption__Lorg_yaml_convert_YRead__s_Option(fjs) {
    return this.to__Lorg_yaml_convert_YRead__s_util_Either(fjs).toOption__s_Option()
  };
}
const $is_Lorg_yaml_model_YNodeLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNodeLike)))
});
const $isArrayOf_Lorg_yaml_model_YNodeLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNodeLike)))
});
class $c_Lorg_yaml_model_YTokens extends $c_O {
  constructor() {
    super();
    this.range$1 = null;
    this.tokens$1 = null
  };
  children__sc_IndexedSeq() {
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$4 = new $c_sci_VectorBuilder().init___();
    return this$4.result__sci_Vector()
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    /*<skip>*/
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
  init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(range, tokens) {
    this.range$1 = range;
    this.tokens$1 = tokens;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
}
class $c_Lscopt_Read$ extends $c_O {
  constructor() {
    super();
    this.stringRead$1 = null;
    this.charRead$1 = null;
    this.doubleRead$1 = null;
    this.booleanRead$1 = null;
    this.intRead$1 = null;
    this.longRead$1 = null;
    this.bigIntRead$1 = null;
    this.bigDecimalRead$1 = null;
    this.durationRead$1 = null;
    this.unitRead$1 = null;
    this.sep$1 = null;
    this.uriRead$1 = null
  };
  init___() {
    $n_Lscopt_Read$ = this;
    $f_Lscopt_platform$PlatformReadInstances__$$init$__V(this);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        const x = x$2;
        return x
      })
    })(this));
    this.stringRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f);
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const x1 = $m_sjsr_RuntimeString$().getBytes__T__Ljava_nio_charset_Charset__AB(x$1, $m_sjs_niocharset_UTF$und8$());
        let c;
        matchEnd4: {
          const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1);
          if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(1) === 0)))) {
            const $char = (o7.get__O().apply__I__O(0) | 0);
            c = (65535 & $char);
            break matchEnd4
          };
          throw new $c_jl_IllegalArgumentException().init___T((("'" + x1) + "' is not a char."))
        };
        return new $c_jl_Character().init___C(c)
      })
    })(this));
    this.charRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$1);
    const f$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$2$2$2) {
        const x$2$2 = x$2$2$2;
        const this$10 = new $c_sci_StringOps().init___T(x$2$2);
        const jsx$1 = $m_jl_Double$();
        const $$this = this$10.repr$1;
        return jsx$1.parseDouble__T__D($$this)
      })
    })(this));
    this.doubleRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$2);
    const f$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        const x1$1 = x$3.toLowerCase();
        if ((x1$1 === "true")) {
          return true
        } else if ((x1$1 !== "false")) {
          if ((x1$1 === "yes")) {
            return true
          } else if ((x1$1 !== "no")) {
            if ((x1$1 === "1")) {
              return true
            } else if ((x1$1 === "0")) {
              return false
            } else {
              throw new $c_jl_IllegalArgumentException().init___T((("'" + x1$1) + "' is not a boolean."))
            }
          } else {
            return false
          }
        } else {
          return false
        }
      })
    })(this));
    this.booleanRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$3);
    const f$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(str$2) {
        const str = str$2;
        const x1$2 = $m_Lscopt_Read$().fixedPointWithRadix__p1__T__T2(str);
        if ((x1$2 === null)) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        const s = x1$2.$$und1__O();
        const radix = x1$2.$$und2$mcI$sp__I();
        return $m_jl_Integer$().parseInt__T__I__I(s, radix)
      })
    })(this));
    this.intRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$4);
    const f$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(str$3$2) {
        const str$3 = str$3$2;
        const x1$3 = $m_Lscopt_Read$().fixedPointWithRadix__p1__T__T2(str$3);
        if ((x1$3 === null)) {
          throw new $c_s_MatchError().init___O(x1$3)
        };
        const s$1 = x1$3.$$und1__O();
        const radix$1 = x1$3.$$und2$mcI$sp__I();
        return $m_jl_Long$().parseLong__T__I__J(s$1, radix$1)
      })
    })(this));
    this.longRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$5);
    const f$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(str$4$2) {
        const str$4 = str$4$2;
        const x1$4 = $m_Lscopt_Read$().fixedPointWithRadix__p1__T__T2(str$4);
        if ((x1$4 === null)) {
          throw new $c_s_MatchError().init___O(x1$4)
        };
        const s$2 = x1$4.$$und1__O();
        const radix$2 = x1$4.$$und2$mcI$sp__I();
        return $m_s_package$().BigInt__s_math_BigInt$().apply__T__I__s_math_BigInt(s$2, radix$2)
      })
    })(this));
    this.bigIntRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$6);
    const f$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        const this$13 = $m_s_package$().BigDecimal__s_math_BigDecimal$();
        return this$13.exact__T__s_math_BigDecimal(x$7)
      })
    })(this));
    this.bigDecimalRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$7);
    const f$8 = this.liftedTree1$1__p1__F1();
    this.durationRead$1 = new $c_Lscopt_Read$$anon$2().init___F1(f$8);
    this.unitRead$1 = new $c_Lscopt_Read$$anon$4().init___();
    this.sep$1 = ",";
    return this
  };
  liftedTree1$1__p1__F1() {
    try {
      return new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return $m_s_concurrent_duration_Duration$().apply__T__s_concurrent_duration_Duration(x$8)
        })
      })(this))
    } catch (e) {
      if ($is_jl_NumberFormatException(e)) {
        const e$2 = e;
        $m_Lscopt_platform$();
        const s = e$2.s$1;
        throw new $c_Lscopt_ParseException().init___T__I(s, (-1))
      } else {
        throw e
      }
    }
  };
  fixedPointWithRadix__p1__T__T2(str) {
    const x1 = str.toLowerCase();
    if ((((x1.length | 0) >= 0) && (x1.substring(0, ("0x".length | 0)) === "0x"))) {
      const this$8 = new $c_sci_StringOps().init___T(x1);
      return new $c_T2().init___O__O($f_sci_StringLike__stripPrefix__T__T(this$8, "0x"), 16)
    } else {
      return new $c_T2().init___O__O(x1, 10)
    }
  };
  seqRead__Lscopt_Read__Lscopt_Read(evidence$3) {
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, evidence$3$1) {
      return (function(s$2) {
        const s = s$2;
        const regex = $m_Lscopt_Read$().sep$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(s, regex, 0);
        const f = evidence$3$1.reads__F1();
        const this$5 = $m_s_Array$();
        new $c_s_Predef$DummyImplicit().init___();
        new $c_s_FallbackArrayBuilding$$anon$1().init___s_FallbackArrayBuilding(this$5);
        const b = $m_scm_ArraySeq$().newBuilder__scm_Builder();
        const x1 = xs.u.length;
        switch (x1) {
          case (-1): {
            break
          }
          default: {
            b.sizeHint__I__V(x1)
          }
        };
        let i = 0;
        const len = xs.u.length;
        while ((i < len)) {
          const index = i;
          const arg1 = xs.u[index];
          b.$$plus$eq__O__scm_Builder(f.apply__O__O(arg1));
          i = ((1 + i) | 0)
        };
        return b.result__O()
      })
    })(this, evidence$3));
    return new $c_Lscopt_Read$$anon$2().init___F1(f$1)
  };
}
const $d_Lscopt_Read$ = new $TypeData().initClass({
  Lscopt_Read$: 0
}, false, "scopt.Read$", {
  Lscopt_Read$: 1,
  O: 1,
  Lscopt_platform$PlatformReadInstances: 1
});
$c_Lscopt_Read$.prototype.$classData = $d_Lscopt_Read$;
let $n_Lscopt_Read$ = (void 0);
const $m_Lscopt_Read$ = (function() {
  if ((!$n_Lscopt_Read$)) {
    $n_Lscopt_Read$ = new $c_Lscopt_Read$().init___()
  };
  return $n_Lscopt_Read$
});
class $c_Lscopt_Read$$anon$2 extends $c_O {
  constructor() {
    super();
    this.arity$1 = 0;
    this.reads$1 = null
  };
  arity__I() {
    return this.arity$1
  };
  reads__F1() {
    return this.reads$1
  };
  init___F1(f$1) {
    this.arity$1 = 1;
    this.reads$1 = f$1;
    return this
  };
}
const $d_Lscopt_Read$$anon$2 = new $TypeData().initClass({
  Lscopt_Read$$anon$2: 0
}, false, "scopt.Read$$anon$2", {
  Lscopt_Read$$anon$2: 1,
  O: 1,
  Lscopt_Read: 1
});
$c_Lscopt_Read$$anon$2.prototype.$classData = $d_Lscopt_Read$$anon$2;
class $c_Lscopt_Read$$anon$4 extends $c_O {
  constructor() {
    super();
    this.arity$1 = 0;
    this.reads$1 = null
  };
  init___() {
    this.arity$1 = 0;
    this.reads$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        return (void 0)
      })
    })(this));
    return this
  };
  arity__I() {
    return this.arity$1
  };
  reads__F1() {
    return this.reads$1
  };
}
const $d_Lscopt_Read$$anon$4 = new $TypeData().initClass({
  Lscopt_Read$$anon$4: 0
}, false, "scopt.Read$$anon$4", {
  Lscopt_Read$$anon$4: 1,
  O: 1,
  Lscopt_Read: 1
});
$c_Lscopt_Read$$anon$4.prototype.$classData = $d_Lscopt_Read$$anon$4;
class $c_jl_Number extends $c_O {
}
const $is_jl_Number = (function(obj) {
  return (!(!(((obj && obj.$classData) && obj.$classData.ancestors.jl_Number) || ((typeof obj) === "number"))))
});
const $isArrayOf_jl_Number = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Number)))
});
class $c_jl_StackTraceElement extends $c_O {
  constructor() {
    super();
    this.declaringClass$1 = null;
    this.methodName$1 = null;
    this.fileName$1 = null;
    this.lineNumber$1 = 0;
    this.columnNumber$1 = 0
  };
  $$js$exported$meth$getColumnNumber__O() {
    return this.columnNumber$1
  };
  init___T__T__T__I(declaringClass, methodName, fileName, lineNumber) {
    this.declaringClass$1 = declaringClass;
    this.methodName$1 = methodName;
    this.fileName$1 = fileName;
    this.lineNumber$1 = lineNumber;
    this.columnNumber$1 = (-1);
    return this
  };
  equals__O__Z(that) {
    if ($is_jl_StackTraceElement(that)) {
      const x2 = that;
      return ((((this.fileName$1 === x2.fileName$1) && (this.lineNumber$1 === x2.lineNumber$1)) && (this.declaringClass$1 === x2.declaringClass$1)) && (this.methodName$1 === x2.methodName$1))
    } else {
      return false
    }
  };
  $$js$exported$meth$setColumnNumber__I__O(columnNumber) {
    this.columnNumber$1 = columnNumber
  };
  toString__T() {
    let result = "";
    if ((this.declaringClass$1 !== "<jscode>")) {
      result = ((("" + result) + this.declaringClass$1) + ".")
    };
    result = (("" + result) + this.methodName$1);
    if ((this.fileName$1 === null)) {
      result = (result + "(Unknown Source)")
    } else {
      result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fileName$1])));
      if ((this.lineNumber$1 >= 0)) {
        result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.lineNumber$1])));
        if ((this.columnNumber$1 >= 0)) {
          result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.columnNumber$1])))
        }
      };
      result = (result + ")")
    };
    return result
  };
  hashCode__I() {
    const this$1 = this.declaringClass$1;
    const jsx$1 = $m_sjsr_RuntimeString$().hashCode__T__I(this$1);
    const this$2 = this.methodName$1;
    return (jsx$1 ^ $m_sjsr_RuntimeString$().hashCode__T__I(this$2))
  };
  "setColumnNumber"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$setColumnNumber__I__O(prep0)
  };
  "getColumnNumber"() {
    return this.$$js$exported$meth$getColumnNumber__O()
  };
}
const $is_jl_StackTraceElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_StackTraceElement)))
});
const $isArrayOf_jl_StackTraceElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_StackTraceElement)))
});
const $d_jl_StackTraceElement = new $TypeData().initClass({
  jl_StackTraceElement: 0
}, false, "java.lang.StackTraceElement", {
  jl_StackTraceElement: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StackTraceElement.prototype.$classData = $d_jl_StackTraceElement;
class $c_jl_Thread extends $c_O {
  constructor() {
    super();
    this.java$lang$Thread$$interruptedState$1 = false;
    this.name$1 = null
  };
  run__V() {
    /*<skip>*/
  };
  init___sr_BoxedUnit(dummy) {
    this.java$lang$Thread$$interruptedState$1 = false;
    this.name$1 = "main";
    return this
  };
}
const $d_jl_Thread = new $TypeData().initClass({
  jl_Thread: 0
}, false, "java.lang.Thread", {
  jl_Thread: 1,
  O: 1,
  jl_Runnable: 1
});
$c_jl_Thread.prototype.$classData = $d_jl_Thread;
class $c_jl_Throwable extends $c_O {
  constructor() {
    super();
    this.s$1 = null;
    this.e$1 = null;
    this.stackTrace$1 = null
  };
  fillInStackTrace__jl_Throwable() {
    const v = $g.Error.captureStackTrace;
    if ((v === (void 0))) {
      let e$1;
      try {
        e$1 = {}.undef()
      } catch (e) {
        const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          if ($is_sjs_js_JavaScriptException(e$2)) {
            const x5 = e$2;
            const e$3 = x5.exception$4;
            e$1 = e$3
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
          }
        } else {
          throw e
        }
      };
      this.stackdata = e$1
    } else {
      $g.Error.captureStackTrace(this);
      this.stackdata = this
    };
    return this
  };
  getMessage__T() {
    return this.s$1
  };
  toString__T() {
    const className = $objectGetClass(this).getName__T();
    const message = this.getMessage__T();
    return ((message === null) ? className : ((className + ": ") + message))
  };
  getStackTrace__Ajl_StackTraceElement() {
    if ((this.stackTrace$1 === null)) {
      this.stackTrace$1 = $m_sjsr_StackTrace$().extract__jl_Throwable__Ajl_StackTraceElement(this)
    };
    return this.stackTrace$1
  };
  init___T__jl_Throwable(s, e) {
    this.s$1 = s;
    this.e$1 = e;
    this.fillInStackTrace__jl_Throwable();
    return this
  };
  printStackTrace__Ljava_io_PrintStream__V(s) {
    const f = (function($this, s$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        s$1.println__T__V(x$1)
      })
    })(this, s);
    this.getStackTrace__Ajl_StackTraceElement();
    const arg1 = this.toString__T();
    f(arg1);
    if ((this.stackTrace$1.u.length !== 0)) {
      let i = 0;
      while ((i < this.stackTrace$1.u.length)) {
        const arg1$1 = ("  at " + this.stackTrace$1.u[i]);
        f(arg1$1);
        i = ((1 + i) | 0)
      }
    } else {
      f("  <no stack trace available>")
    };
    let wCause = this;
    while (true) {
      const jsx$2 = wCause;
      const this$1 = wCause;
      let jsx$1;
      if ((jsx$2 !== this$1.e$1)) {
        const this$2 = wCause;
        jsx$1 = (this$2.e$1 !== null)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const parentTrace = wCause.getStackTrace__Ajl_StackTraceElement();
        const this$3 = wCause;
        wCause = this$3.e$1;
        const thisTrace = wCause.getStackTrace__Ajl_StackTraceElement();
        const thisLength = thisTrace.u.length;
        const parentLength = parentTrace.u.length;
        const arg1$2 = ("Caused by: " + wCause.toString__T());
        f(arg1$2);
        if ((thisLength !== 0)) {
          let sameFrameCount = 0;
          while (true) {
            let jsx$3;
            if (((sameFrameCount < thisLength) && (sameFrameCount < parentLength))) {
              const x = thisTrace.u[(((-1) + ((thisLength - sameFrameCount) | 0)) | 0)];
              const x$2 = parentTrace.u[(((-1) + ((parentLength - sameFrameCount) | 0)) | 0)];
              jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
            } else {
              jsx$3 = false
            };
            if (jsx$3) {
              sameFrameCount = ((1 + sameFrameCount) | 0)
            } else {
              break
            }
          };
          if ((sameFrameCount > 0)) {
            sameFrameCount = (((-1) + sameFrameCount) | 0)
          };
          const lengthToPrint = ((thisLength - sameFrameCount) | 0);
          let i$2 = 0;
          while ((i$2 < lengthToPrint)) {
            const arg1$3 = ("  at " + thisTrace.u[i$2]);
            f(arg1$3);
            i$2 = ((1 + i$2) | 0)
          };
          if ((sameFrameCount > 0)) {
            const arg1$4 = (("  ... " + sameFrameCount) + " more");
            f(arg1$4)
          }
        } else {
          f("  <no stack trace available>")
        }
      } else {
        break
      }
    }
  };
}
const $is_jl_Throwable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Throwable)))
});
const $isArrayOf_jl_Throwable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Throwable)))
});
class $c_ju_regex_Matcher extends $c_O {
  constructor() {
    super();
    this.pattern0$1 = null;
    this.input0$1 = null;
    this.regionStart0$1 = 0;
    this.regionEnd0$1 = 0;
    this.regexp$1 = null;
    this.inputstr$1 = null;
    this.lastMatch$1 = null;
    this.lastMatchIsValid$1 = false;
    this.canStillFind$1 = false;
    this.appendPos$1 = 0
  };
  find__Z() {
    if (this.canStillFind$1) {
      this.lastMatchIsValid$1 = true;
      this.lastMatch$1 = this.regexp$1.exec(this.inputstr$1);
      if ((this.lastMatch$1 !== null)) {
        const value = this.lastMatch$1[0];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        const thiz = value;
        if ((thiz === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ((thiz === "")) {
          const ev$1 = this.regexp$1;
          ev$1.lastIndex = ((1 + (ev$1.lastIndex | 0)) | 0)
        }
      } else {
        this.canStillFind$1 = false
      };
      return (this.lastMatch$1 !== null)
    } else {
      return false
    }
  };
  ensureLastMatch__p1__sjs_js_RegExp$ExecResult() {
    if ((this.lastMatch$1 === null)) {
      throw new $c_jl_IllegalStateException().init___T("No match available")
    };
    return this.lastMatch$1
  };
  group__I__T(group) {
    const value = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult()[group];
    return ((value === (void 0)) ? null : value)
  };
  start__I__I(group) {
    if ((group === 0)) {
      return this.start__I()
    } else {
      const last = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult();
      const value = last[group];
      if ((value === (void 0))) {
        return (-1)
      } else {
        const groupStr = value;
        const thiz = this.inputstr$1;
        const fromIndex = (last.index | 0);
        return (thiz.indexOf(groupStr, fromIndex) | 0)
      }
    }
  };
  matches__Z() {
    this.reset__ju_regex_Matcher();
    this.find__Z();
    let jsx$1;
    if ((this.lastMatch$1 !== null)) {
      if ((this.start__I() !== 0)) {
        jsx$1 = true
      } else {
        const jsx$2 = this.end__I();
        const thiz = this.inputstr$1;
        jsx$1 = (jsx$2 !== (thiz.length | 0))
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      this.reset__ju_regex_Matcher()
    };
    return (this.lastMatch$1 !== null)
  };
  groupCount__I() {
    return (((-1) + (this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult().length | 0)) | 0)
  };
  appendTail__jl_StringBuffer__jl_StringBuffer(sb) {
    const thiz = this.inputstr$1;
    const beginIndex = this.appendPos$1;
    sb.append__T__jl_StringBuffer(thiz.substring(beginIndex));
    const thiz$1 = this.inputstr$1;
    this.appendPos$1 = (thiz$1.length | 0);
    return sb
  };
  end__I() {
    const jsx$1 = this.start__I();
    const thiz = this.group__T();
    return ((jsx$1 + (thiz.length | 0)) | 0)
  };
  init___ju_regex_Pattern__jl_CharSequence__I__I(pattern0, input0, regionStart0, regionEnd0) {
    this.pattern0$1 = pattern0;
    this.input0$1 = input0;
    this.regionStart0$1 = regionStart0;
    this.regionEnd0$1 = regionEnd0;
    this.regexp$1 = this.pattern0$1.newJSRegExp__sjs_js_RegExp();
    this.inputstr$1 = $objectToString($charSequenceSubSequence(this.input0$1, this.regionStart0$1, this.regionEnd0$1));
    this.lastMatch$1 = null;
    this.lastMatchIsValid$1 = false;
    this.canStillFind$1 = true;
    this.appendPos$1 = 0;
    return this
  };
  appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(sb, replacement) {
    const thiz = this.inputstr$1;
    const beginIndex = this.appendPos$1;
    const endIndex = this.start__I();
    sb.append__T__jl_StringBuffer(thiz.substring(beginIndex, endIndex));
    const len = (replacement.length | 0);
    let i = 0;
    while ((i < len)) {
      const index = i;
      const x1 = (65535 & (replacement.charCodeAt(index) | 0));
      switch (x1) {
        case 36: {
          i = ((1 + i) | 0);
          const j = i;
          while (true) {
            let jsx$1;
            if ((i < len)) {
              const index$1 = i;
              const c = (65535 & (replacement.charCodeAt(index$1) | 0));
              jsx$1 = ((c >= 48) && (c <= 57))
            } else {
              jsx$1 = false
            };
            if (jsx$1) {
              i = ((1 + i) | 0)
            } else {
              break
            }
          };
          const this$8 = $m_jl_Integer$();
          const endIndex$1 = i;
          const s = replacement.substring(j, endIndex$1);
          const group = this$8.parseInt__T__I__I(s, 10);
          sb.append__T__jl_StringBuffer(this.group__I__T(group));
          break
        }
        case 92: {
          i = ((1 + i) | 0);
          if ((i < len)) {
            const index$2 = i;
            sb.append__C__jl_StringBuffer((65535 & (replacement.charCodeAt(index$2) | 0)))
          };
          i = ((1 + i) | 0);
          break
        }
        default: {
          sb.append__C__jl_StringBuffer(x1);
          i = ((1 + i) | 0)
        }
      }
    };
    this.appendPos$1 = this.end__I();
    return this
  };
  replaceFirst__T__T(replacement) {
    this.reset__ju_regex_Matcher();
    if (this.find__Z()) {
      const sb = new $c_jl_StringBuffer().init___();
      this.appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(sb, replacement);
      this.appendTail__jl_StringBuffer__jl_StringBuffer(sb);
      return sb.content$1
    } else {
      return this.inputstr$1
    }
  };
  replaceAll__T__T(replacement) {
    this.reset__ju_regex_Matcher();
    const sb = new $c_jl_StringBuffer().init___();
    while (this.find__Z()) {
      this.appendReplacement__jl_StringBuffer__T__ju_regex_Matcher(sb, replacement)
    };
    this.appendTail__jl_StringBuffer__jl_StringBuffer(sb);
    return sb.content$1
  };
  group__T() {
    const value = this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult()[0];
    if ((value === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    return value
  };
  start__I() {
    return (this.ensureLastMatch__p1__sjs_js_RegExp$ExecResult().index | 0)
  };
  end__I__I(group) {
    const s = this.start__I__I(group);
    if ((s === (-1))) {
      return (-1)
    } else {
      const thiz = this.group__I__T(group);
      return ((s + (thiz.length | 0)) | 0)
    }
  };
  reset__ju_regex_Matcher() {
    this.regexp$1.lastIndex = 0;
    this.lastMatch$1 = null;
    this.lastMatchIsValid$1 = false;
    this.canStillFind$1 = true;
    this.appendPos$1 = 0;
    return this
  };
}
const $d_ju_regex_Matcher = new $TypeData().initClass({
  ju_regex_Matcher: 0
}, false, "java.util.regex.Matcher", {
  ju_regex_Matcher: 1,
  O: 1,
  ju_regex_MatchResult: 1
});
$c_ju_regex_Matcher.prototype.$classData = $d_ju_regex_Matcher;
class $c_s_FallbackArrayBuilding$$anon$1 extends $c_O {
  apply__scm_Builder() {
    return $m_scm_ArraySeq$().newBuilder__scm_Builder()
  };
  init___s_FallbackArrayBuilding($$outer) {
    return this
  };
  apply__O__scm_Builder(from) {
    return $m_scm_ArraySeq$().newBuilder__scm_Builder()
  };
}
const $d_s_FallbackArrayBuilding$$anon$1 = new $TypeData().initClass({
  s_FallbackArrayBuilding$$anon$1: 0
}, false, "scala.FallbackArrayBuilding$$anon$1", {
  s_FallbackArrayBuilding$$anon$1: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_FallbackArrayBuilding$$anon$1.prototype.$classData = $d_s_FallbackArrayBuilding$$anon$1;
class $c_s_LowPriorityImplicits$$anon$4 extends $c_O {
  apply__scm_Builder() {
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
  apply__O__scm_Builder(from) {
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
  init___s_LowPriorityImplicits($$outer) {
    return this
  };
}
const $d_s_LowPriorityImplicits$$anon$4 = new $TypeData().initClass({
  s_LowPriorityImplicits$$anon$4: 0
}, false, "scala.LowPriorityImplicits$$anon$4", {
  s_LowPriorityImplicits$$anon$4: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_LowPriorityImplicits$$anon$4.prototype.$classData = $d_s_LowPriorityImplicits$$anon$4;
class $c_s_Predef$$anon$3 extends $c_O {
  init___() {
    return this
  };
  apply__scm_Builder() {
    return new $c_scm_StringBuilder().init___()
  };
  apply__O__scm_Builder(from) {
    return new $c_scm_StringBuilder().init___()
  };
}
const $d_s_Predef$$anon$3 = new $TypeData().initClass({
  s_Predef$$anon$3: 0
}, false, "scala.Predef$$anon$3", {
  s_Predef$$anon$3: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_Predef$$anon$3.prototype.$classData = $d_s_Predef$$anon$3;
class $c_s_Predef$ArrayCharSequence extends $c_O {
  constructor() {
    super();
    this.$$und$undarrayOfChars$1 = null
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    return new $c_sr_ArrayCharSequence().init___AC__I__I(this.$$und$undarrayOfChars$1, start, end)
  };
  toString__T() {
    const xs = this.$$und$undarrayOfChars$1;
    const b = new $c_scm_StringBuilder().init___();
    let elem$1 = false;
    elem$1 = true;
    b.append__T__scm_StringBuilder("");
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const idx = i;
      const c = xs.u[idx];
      const arg1 = new $c_jl_Character().init___C(c);
      if (elem$1) {
        b.append__O__scm_StringBuilder(arg1);
        elem$1 = false
      } else {
        b.append__T__scm_StringBuilder("");
        b.append__O__scm_StringBuilder(arg1)
      };
      i = ((1 + i) | 0)
    };
    b.append__T__scm_StringBuilder("");
    const this$7 = b.underlying$5;
    return this$7.content$1
  };
  init___AC(__arrayOfChars) {
    this.$$und$undarrayOfChars$1 = __arrayOfChars;
    return this
  };
  length__I() {
    return this.$$und$undarrayOfChars$1.u.length
  };
  charAt__I__C(index) {
    return this.$$und$undarrayOfChars$1.u[index]
  };
}
const $d_s_Predef$ArrayCharSequence = new $TypeData().initClass({
  s_Predef$ArrayCharSequence: 0
}, false, "scala.Predef$ArrayCharSequence", {
  s_Predef$ArrayCharSequence: 1,
  O: 1,
  jl_CharSequence: 1
});
$c_s_Predef$ArrayCharSequence.prototype.$classData = $d_s_Predef$ArrayCharSequence;
const $f_s_Product2__productElement__I__O = (function($thiz, n) {
  switch (n) {
    case 0: {
      return $thiz.$$und1__O();
      break
    }
    case 1: {
      return $thiz.$$und2__O();
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    }
  }
});
const $f_s_Product3__productElement__I__O = (function($thiz, n) {
  switch (n) {
    case 0: {
      return $thiz.$$und1$1;
      break
    }
    case 1: {
      return $thiz.$$und2$1;
      break
    }
    case 2: {
      return $thiz.$$und3$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    }
  }
});
class $c_s_concurrent_BlockContext$DefaultBlockContext$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_concurrent_BlockContext$DefaultBlockContext$ = new $TypeData().initClass({
  s_concurrent_BlockContext$DefaultBlockContext$: 0
}, false, "scala.concurrent.BlockContext$DefaultBlockContext$", {
  s_concurrent_BlockContext$DefaultBlockContext$: 1,
  O: 1,
  s_concurrent_BlockContext: 1
});
$c_s_concurrent_BlockContext$DefaultBlockContext$.prototype.$classData = $d_s_concurrent_BlockContext$DefaultBlockContext$;
let $n_s_concurrent_BlockContext$DefaultBlockContext$ = (void 0);
const $m_s_concurrent_BlockContext$DefaultBlockContext$ = (function() {
  if ((!$n_s_concurrent_BlockContext$DefaultBlockContext$)) {
    $n_s_concurrent_BlockContext$DefaultBlockContext$ = new $c_s_concurrent_BlockContext$DefaultBlockContext$().init___()
  };
  return $n_s_concurrent_BlockContext$DefaultBlockContext$
});
class $c_s_package$$anon$1 extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "object AnyRef"
  };
}
const $d_s_package$$anon$1 = new $TypeData().initClass({
  s_package$$anon$1: 0
}, false, "scala.package$$anon$1", {
  s_package$$anon$1: 1,
  O: 1,
  s_Specializable: 1
});
$c_s_package$$anon$1.prototype.$classData = $d_s_package$$anon$1;
class $c_s_util_hashing_MurmurHash3$ extends $c_s_util_hashing_MurmurHash3 {
  constructor() {
    super();
    this.seqSeed$2 = 0;
    this.mapSeed$2 = 0;
    this.setSeed$2 = 0
  };
  init___() {
    $n_s_util_hashing_MurmurHash3$ = this;
    this.seqSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Seq");
    this.mapSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Map");
    this.setSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Set");
    return this
  };
  seqHash__sc_Seq__I(xs) {
    if ($is_sci_List(xs)) {
      const x2 = xs;
      return this.listHash__sci_List__I__I(x2, this.seqSeed$2)
    } else {
      return this.orderedHash__sc_TraversableOnce__I__I(xs, this.seqSeed$2)
    }
  };
}
const $d_s_util_hashing_MurmurHash3$ = new $TypeData().initClass({
  s_util_hashing_MurmurHash3$: 0
}, false, "scala.util.hashing.MurmurHash3$", {
  s_util_hashing_MurmurHash3$: 1,
  s_util_hashing_MurmurHash3: 1,
  O: 1
});
$c_s_util_hashing_MurmurHash3$.prototype.$classData = $d_s_util_hashing_MurmurHash3$;
let $n_s_util_hashing_MurmurHash3$ = (void 0);
const $m_s_util_hashing_MurmurHash3$ = (function() {
  if ((!$n_s_util_hashing_MurmurHash3$)) {
    $n_s_util_hashing_MurmurHash3$ = new $c_s_util_hashing_MurmurHash3$().init___()
  };
  return $n_s_util_hashing_MurmurHash3$
});
class $c_s_util_matching_Regex$Match extends $c_O {
  constructor() {
    super();
    this.starts$1 = null;
    this.ends$1 = null;
    this.source$1 = null;
    this.matcher$1 = null;
    this.groupNames$1 = null;
    this.start$1 = 0;
    this.end$1 = 0;
    this.scala$util$matching$Regex$MatchData$$nameToIndex$1 = null;
    this.bitmap$0$1 = 0
  };
  force__s_util_matching_Regex$Match() {
    this.starts__p1__AI();
    this.ends__p1__AI();
    return this
  };
  init___jl_CharSequence__ju_regex_Matcher__sc_Seq(source, matcher, groupNames) {
    this.source$1 = source;
    this.matcher$1 = matcher;
    this.groupNames$1 = groupNames;
    this.start$1 = matcher.start__I();
    this.end$1 = matcher.end__I();
    return this
  };
  start__I__I(i) {
    return this.starts__p1__AI().u[i]
  };
  toString__T() {
    return $f_s_util_matching_Regex$MatchData__matched__T(this)
  };
  end__I() {
    return this.end$1
  };
  ends$lzycompute__p1__AI() {
    if (((2 & this.bitmap$0$1) === 0)) {
      const end = this.matcher$1.groupCount__I();
      const isEmpty$4 = (end < 0);
      let scala$collection$immutable$Range$$numRangeElements$4;
      if (isEmpty$4) {
        scala$collection$immutable$Range$$numRangeElements$4 = 0
      } else {
        const hi = (end >> 31);
        const lo = ((1 + end) | 0);
        const hi$1 = ((lo === 0) ? ((1 + hi) | 0) : hi);
        scala$collection$immutable$Range$$numRangeElements$4 = (((hi$1 === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi$1 > 0)) ? (-1) : lo)
      };
      $m_sci_IndexedSeq$();
      $m_sc_IndexedSeq$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const b = new $c_sci_VectorBuilder().init___();
      if ((scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
        $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(0, end, 1, true)
      };
      switch (scala$collection$immutable$Range$$numRangeElements$4) {
        case (-1): {
          break
        }
      };
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const arg1 = i;
          const elem = this.matcher$1.end__I__I(arg1);
          b.$$plus$eq__O__sci_VectorBuilder(elem);
          if ((i === end)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$10 = b.result__sci_Vector();
      const len = this$10.length__I();
      const result = $newArrayObject($d_I.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$10, result, 0);
      this.ends$1 = result;
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.ends$1
  };
  ends__p1__AI() {
    return (((2 & this.bitmap$0$1) === 0) ? this.ends$lzycompute__p1__AI() : this.ends$1)
  };
  source__jl_CharSequence() {
    return this.source$1
  };
  start__I() {
    return this.start$1
  };
  end__I__I(i) {
    return this.ends__p1__AI().u[i]
  };
  starts__p1__AI() {
    return (((1 & this.bitmap$0$1) === 0) ? this.starts$lzycompute__p1__AI() : this.starts$1)
  };
  starts$lzycompute__p1__AI() {
    if (((1 & this.bitmap$0$1) === 0)) {
      const end = this.matcher$1.groupCount__I();
      const isEmpty$4 = (end < 0);
      let scala$collection$immutable$Range$$numRangeElements$4;
      if (isEmpty$4) {
        scala$collection$immutable$Range$$numRangeElements$4 = 0
      } else {
        const hi = (end >> 31);
        const lo = ((1 + end) | 0);
        const hi$1 = ((lo === 0) ? ((1 + hi) | 0) : hi);
        scala$collection$immutable$Range$$numRangeElements$4 = (((hi$1 === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi$1 > 0)) ? (-1) : lo)
      };
      $m_sci_IndexedSeq$();
      $m_sc_IndexedSeq$();
      $m_sci_IndexedSeq$();
      $m_sci_Vector$();
      const b = new $c_sci_VectorBuilder().init___();
      if ((scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
        $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(0, end, 1, true)
      };
      switch (scala$collection$immutable$Range$$numRangeElements$4) {
        case (-1): {
          break
        }
      };
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const arg1 = i;
          const elem = this.matcher$1.start__I__I(arg1);
          b.$$plus$eq__O__sci_VectorBuilder(elem);
          if ((i === end)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      const this$10 = b.result__sci_Vector();
      const len = this$10.length__I();
      const result = $newArrayObject($d_I.getArrayOf(), [len]);
      $f_sc_TraversableOnce__copyToArray__O__I__V(this$10, result, 0);
      this.starts$1 = result;
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.starts$1
  };
}
const $is_s_util_matching_Regex$Match = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_matching_Regex$Match)))
});
const $isArrayOf_s_util_matching_Regex$Match = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_matching_Regex$Match)))
});
const $d_s_util_matching_Regex$Match = new $TypeData().initClass({
  s_util_matching_Regex$Match: 0
}, false, "scala.util.matching.Regex$Match", {
  s_util_matching_Regex$Match: 1,
  O: 1,
  s_util_matching_Regex$MatchData: 1
});
$c_s_util_matching_Regex$Match.prototype.$classData = $d_s_util_matching_Regex$Match;
const $f_sc_Iterator__exists__F1__Z = (function($thiz, p) {
  let res = false;
  while (((!res) && $thiz.hasNext__Z())) {
    res = (!(!p.apply__O__O($thiz.next__O())))
  };
  return res
});
const $f_sc_Iterator__isEmpty__Z = (function($thiz) {
  return (!$thiz.hasNext__Z())
});
const $f_sc_Iterator__take__I__sc_Iterator = (function($thiz, n) {
  return $thiz.sliceIterator__I__I__sc_Iterator(0, ((n > 0) ? n : 0))
});
const $f_sc_Iterator__forall__F1__Z = (function($thiz, p) {
  let res = true;
  while ((res && $thiz.hasNext__Z())) {
    res = (!(!p.apply__O__O($thiz.next__O())))
  };
  return res
});
const $f_sc_Iterator__toString__T = (function($thiz) {
  return (($thiz.hasNext__Z() ? "non-empty" : "empty") + " iterator")
});
const $f_sc_Iterator__sliceIterator__I__I__sc_Iterator = (function($thiz, from, until) {
  const lo = ((from > 0) ? from : 0);
  const rest = ((until < 0) ? (-1) : ((until <= lo) ? 0 : ((until - lo) | 0)));
  return ((rest === 0) ? $m_sc_Iterator$().empty$1 : new $c_sc_Iterator$SliceIterator().init___sc_Iterator__I__I($thiz, lo, rest))
});
const $f_sc_Iterator__foreach__F1__V = (function($thiz, f) {
  while ($thiz.hasNext__Z()) {
    f.apply__O__O($thiz.next__O())
  }
});
const $f_sc_Iterator__$$plus$plus__F0__sc_Iterator = (function($thiz, that) {
  return new $c_sc_Iterator$ConcatIterator().init___sc_Iterator($thiz).$$plus$plus__F0__sc_Iterator(that)
});
const $f_sc_Iterator__find__F1__s_Option = (function($thiz, p) {
  while ($thiz.hasNext__Z()) {
    const a = $thiz.next__O();
    if ((!(!p.apply__O__O(a)))) {
      return new $c_s_Some().init___O(a)
    }
  };
  return $m_s_None$()
});
const $f_sc_Iterator__toStream__sci_Stream = (function($thiz) {
  if ($thiz.hasNext__Z()) {
    const hd = $thiz.next__O();
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.toStream__sci_Stream()
      })
    })($thiz));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  } else {
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  }
});
const $f_sc_Iterator__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  let i = start;
  const y = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const end = ((start + ((len < y) ? len : y)) | 0);
  while (((i < end) && $thiz.hasNext__Z())) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, i, $thiz.next__O());
    i = ((1 + i) | 0)
  }
});
const $f_sc_Iterator__drop__I__sc_Iterator = (function($thiz, n) {
  let j = 0;
  while (((j < n) && $thiz.hasNext__Z())) {
    $thiz.next__O();
    j = ((1 + j) | 0)
  };
  return $thiz
});
const $is_sc_Iterator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Iterator)))
});
const $isArrayOf_sc_Iterator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Iterator)))
});
class $c_sc_SeqView$$anon$1 extends $c_O {
  init___() {
    return this
  };
  apply__scm_Builder() {
    return new $c_sc_TraversableView$NoBuilder().init___()
  };
  apply__O__scm_Builder(from) {
    return new $c_sc_TraversableView$NoBuilder().init___()
  };
}
const $d_sc_SeqView$$anon$1 = new $TypeData().initClass({
  sc_SeqView$$anon$1: 0
}, false, "scala.collection.SeqView$$anon$1", {
  sc_SeqView$$anon$1: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sc_SeqView$$anon$1.prototype.$classData = $d_sc_SeqView$$anon$1;
class $c_sc_TraversableLike$WithFilter extends $c_O {
  constructor() {
    super();
    this.p$1 = null;
    this.$$outer$1 = null
  };
  foreach__F1__V(f) {
    this.$$outer$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
      return (function(x$2) {
        return ((!(!$this.p$1.apply__O__O(x$2))) ? f$1.apply__O__O(x$2) : (void 0))
      })
    })(this, f)))
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    const b = bf.apply__O__scm_Builder(this.$$outer$1.repr__O());
    this.$$outer$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
      return (function(x$2) {
        return ((!(!$this.p$1.apply__O__O(x$2))) ? b$1.$$plus$eq__O__scm_Builder(f$1.apply__O__O(x$2)) : (void 0))
      })
    })(this, f, b)));
    return b.result__O()
  };
  init___sc_TraversableLike__F1($$outer, p) {
    this.p$1 = p;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_sc_TraversableLike$WithFilter = new $TypeData().initClass({
  sc_TraversableLike$WithFilter: 0
}, false, "scala.collection.TraversableLike$WithFilter", {
  sc_TraversableLike$WithFilter: 1,
  O: 1,
  scg_FilterMonadic: 1
});
$c_sc_TraversableLike$WithFilter.prototype.$classData = $d_sc_TraversableLike$WithFilter;
class $c_scg_GenMapFactory$MapCanBuildFrom extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__scm_Builder() {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  apply__O__scm_Builder(from) {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  init___scg_GenMapFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_scg_GenMapFactory$MapCanBuildFrom = new $TypeData().initClass({
  scg_GenMapFactory$MapCanBuildFrom: 0
}, false, "scala.collection.generic.GenMapFactory$MapCanBuildFrom", {
  scg_GenMapFactory$MapCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.$classData = $d_scg_GenMapFactory$MapCanBuildFrom;
class $c_scg_GenSetFactory extends $c_scg_GenericCompanion {
}
class $c_scg_GenSetFactory$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__scm_Builder() {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  apply__O__scm_Builder(from) {
    return this.apply__sc_GenSet__scm_Builder(from)
  };
  init___scg_GenSetFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__sc_GenSet__scm_Builder(from) {
    return ($is_sc_Set(from) ? from.companion__scg_GenericCompanion().newBuilder__scm_Builder() : this.$$outer$1.newBuilder__scm_Builder())
  };
}
const $d_scg_GenSetFactory$$anon$1 = new $TypeData().initClass({
  scg_GenSetFactory$$anon$1: 0
}, false, "scala.collection.generic.GenSetFactory$$anon$1", {
  scg_GenSetFactory$$anon$1: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenSetFactory$$anon$1.prototype.$classData = $d_scg_GenSetFactory$$anon$1;
class $c_scg_GenTraversableFactory extends $c_scg_GenericCompanion {
  constructor() {
    super();
    this.ReusableCBFInstance$2 = null
  };
  init___() {
    this.ReusableCBFInstance$2 = new $c_scg_GenTraversableFactory$$anon$1().init___scg_GenTraversableFactory(this);
    return this
  };
}
class $c_scg_GenTraversableFactory$GenericCanBuildFrom extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__scm_Builder() {
    return this.$$outer$1.newBuilder__scm_Builder()
  };
  apply__O__scm_Builder(from) {
    const from$1 = from;
    return from$1.companion__scg_GenericCompanion().newBuilder__scm_Builder()
  };
  init___scg_GenTraversableFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_scg_GenTraversableFactory$GenericCanBuildFrom = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_GenTraversableFactory$GenericCanBuildFrom)))
});
const $isArrayOf_scg_GenTraversableFactory$GenericCanBuildFrom = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_GenTraversableFactory$GenericCanBuildFrom)))
});
class $c_scg_MapFactory extends $c_scg_GenMapFactory {
}
class $c_sci_HashMap$$anon$2 extends $c_sci_HashMap$Merger {
  constructor() {
    super();
    this.invert$2 = null;
    this.mergef$1$f = null
  };
  init___F2(mergef$1) {
    this.mergef$1$f = mergef$1;
    this.invert$2 = new $c_sci_HashMap$$anon$2$$anon$3().init___sci_HashMap$$anon$2(this);
    return this
  };
  apply__T2__T2__T2(kv1, kv2) {
    return this.mergef$1$f.apply__O__O__O(kv1, kv2)
  };
}
const $d_sci_HashMap$$anon$2 = new $TypeData().initClass({
  sci_HashMap$$anon$2: 0
}, false, "scala.collection.immutable.HashMap$$anon$2", {
  sci_HashMap$$anon$2: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2.prototype.$classData = $d_sci_HashMap$$anon$2;
class $c_sci_HashMap$$anon$2$$anon$3 extends $c_sci_HashMap$Merger {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  apply__T2__T2__T2(kv1, kv2) {
    return this.$$outer$2.mergef$1$f.apply__O__O__O(kv2, kv1)
  };
  init___sci_HashMap$$anon$2($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
}
const $d_sci_HashMap$$anon$2$$anon$3 = new $TypeData().initClass({
  sci_HashMap$$anon$2$$anon$3: 0
}, false, "scala.collection.immutable.HashMap$$anon$2$$anon$3", {
  sci_HashMap$$anon$2$$anon$3: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2$$anon$3.prototype.$classData = $d_sci_HashMap$$anon$2$$anon$3;
class $c_sci_List$$anon$1 extends $c_O {
  init___() {
    return this
  };
  apply__O__O(x) {
    return this
  };
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this))
  };
}
const $d_sci_List$$anon$1 = new $TypeData().initClass({
  sci_List$$anon$1: 0
}, false, "scala.collection.immutable.List$$anon$1", {
  sci_List$$anon$1: 1,
  O: 1,
  F1: 1
});
$c_sci_List$$anon$1.prototype.$classData = $d_sci_List$$anon$1;
const $f_scm_Builder__sizeHint__sc_TraversableLike__V = (function($thiz, coll) {
  const x1 = coll.sizeHintIfCheap__I();
  switch (x1) {
    case (-1): {
      break
    }
    default: {
      $thiz.sizeHint__I__V(x1)
    }
  }
});
const $f_scm_Builder__sizeHint__sc_TraversableLike__I__V = (function($thiz, coll, delta) {
  const x1 = coll.sizeHintIfCheap__I();
  switch (x1) {
    case (-1): {
      break
    }
    default: {
      $thiz.sizeHint__I__V(((x1 + delta) | 0))
    }
  }
});
const $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V = (function($thiz, size, boundingColl) {
  const x1 = boundingColl.sizeHintIfCheap__I();
  switch (x1) {
    case (-1): {
      break
    }
    default: {
      $thiz.sizeHint__I__V(((size < x1) ? size : x1))
    }
  }
});
const $is_scm_Builder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Builder)))
});
const $isArrayOf_scm_Builder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Builder)))
});
class $c_sjs_niocharset_UTF$und8$Decoder extends $c_Ljava_nio_charset_CharsetDecoder {
  init___() {
    $c_Ljava_nio_charset_CharsetDecoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $m_sjs_niocharset_UTF$und8$(), 1.0, 1.0);
    return this
  };
  decodeLoop__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out) {
    if (((($in.$$undarray$2 !== null) && (!$in.$$undreadOnly$3)) && ((out.$$undarray$2 !== null) && (!out.isReadOnly__Z())))) {
      return this.decodeLoopArray__p2__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out)
    } else {
      _loop: while (true) {
        if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
          return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
        } else {
          const leading = $in.get__B();
          if ((leading >= 0)) {
            if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
              const result = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result
            } else {
              out.put__C__Ljava_nio_CharBuffer((65535 & leading));
              continue _loop
            }
          } else {
            const length = $m_sjs_niocharset_UTF$und8$().scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2.u[(127 & leading)];
            if ((length === (-1))) {
              const this$5 = $m_Ljava_nio_charset_CoderResult$();
              const result$1 = this$5.java$nio$charset$CoderResult$$Malformed1$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$1
            } else {
              let elem$1 = 0;
              elem$1 = 1;
              let decoded_$_failure$1;
              let decoded_$_high$1;
              let decoded_$_low$1;
              if ((length === 2)) {
                let b2;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b2 = $in.get__B()
                } else {
                  b2 = 0
                };
                if (((192 & b2) !== 128)) {
                  const this$7 = $m_Ljava_nio_charset_CoderResult$();
                  const failure = this$7.java$nio$charset$CoderResult$$Malformed1$1;
                  const jsx$1_$_failure$1 = failure;
                  const jsx$1_$_high$1 = 0;
                  const jsx$1_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$1_$_failure$1;
                  decoded_$_high$1 = jsx$1_$_high$1;
                  decoded_$_low$1 = jsx$1_$_low$1
                } else {
                  const codePoint = (((31 & leading) << 6) | (63 & b2));
                  if ((codePoint < 128)) {
                    const this$9 = $m_Ljava_nio_charset_CoderResult$();
                    const failure$1 = this$9.java$nio$charset$CoderResult$$Malformed2$1;
                    const jsx$2_$_failure$1 = failure$1;
                    const jsx$2_$_high$1 = 0;
                    const jsx$2_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$2_$_failure$1;
                    decoded_$_high$1 = jsx$2_$_high$1;
                    decoded_$_low$1 = jsx$2_$_low$1
                  } else {
                    const single = (65535 & codePoint);
                    const jsx$3_$_failure$1 = null;
                    const jsx$3_$_high$1 = single;
                    const jsx$3_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$3_$_failure$1;
                    decoded_$_high$1 = jsx$3_$_high$1;
                    decoded_$_low$1 = jsx$3_$_low$1
                  }
                }
              } else if ((length === 3)) {
                let b2$1;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b2$1 = $in.get__B()
                } else {
                  b2$1 = 0
                };
                let b3;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b3 = $in.get__B()
                } else {
                  b3 = 0
                };
                if (((192 & b2$1) !== 128)) {
                  const this$12 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$2 = this$12.java$nio$charset$CoderResult$$Malformed1$1;
                  const jsx$4_$_failure$1 = failure$2;
                  const jsx$4_$_high$1 = 0;
                  const jsx$4_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$4_$_failure$1;
                  decoded_$_high$1 = jsx$4_$_high$1;
                  decoded_$_low$1 = jsx$4_$_low$1
                } else if (((192 & b3) !== 128)) {
                  const this$14 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$3 = this$14.java$nio$charset$CoderResult$$Malformed2$1;
                  const jsx$5_$_failure$1 = failure$3;
                  const jsx$5_$_high$1 = 0;
                  const jsx$5_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$5_$_failure$1;
                  decoded_$_high$1 = jsx$5_$_high$1;
                  decoded_$_low$1 = jsx$5_$_low$1
                } else {
                  const codePoint$1 = ((((15 & leading) << 12) | ((63 & b2$1) << 6)) | (63 & b3));
                  if (((codePoint$1 < 2048) || ((codePoint$1 >= 55296) && (codePoint$1 <= 57343)))) {
                    const this$16 = $m_Ljava_nio_charset_CoderResult$();
                    const failure$4 = this$16.java$nio$charset$CoderResult$$Malformed3$1;
                    const jsx$6_$_failure$1 = failure$4;
                    const jsx$6_$_high$1 = 0;
                    const jsx$6_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$6_$_failure$1;
                    decoded_$_high$1 = jsx$6_$_high$1;
                    decoded_$_low$1 = jsx$6_$_low$1
                  } else {
                    const single$1 = (65535 & codePoint$1);
                    const jsx$7_$_failure$1 = null;
                    const jsx$7_$_high$1 = single$1;
                    const jsx$7_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$7_$_failure$1;
                    decoded_$_high$1 = jsx$7_$_high$1;
                    decoded_$_low$1 = jsx$7_$_low$1
                  }
                }
              } else {
                let b2$2;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b2$2 = $in.get__B()
                } else {
                  b2$2 = 0
                };
                let b3$1;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b3$1 = $in.get__B()
                } else {
                  b3$1 = 0
                };
                let b4;
                if (($in.java$nio$Buffer$$$undposition$1 !== $in.$$undlimit$1)) {
                  elem$1 = ((1 + elem$1) | 0);
                  b4 = $in.get__B()
                } else {
                  b4 = 0
                };
                if (((192 & b2$2) !== 128)) {
                  const this$19 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$5 = this$19.java$nio$charset$CoderResult$$Malformed1$1;
                  const jsx$8_$_failure$1 = failure$5;
                  const jsx$8_$_high$1 = 0;
                  const jsx$8_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$8_$_failure$1;
                  decoded_$_high$1 = jsx$8_$_high$1;
                  decoded_$_low$1 = jsx$8_$_low$1
                } else if (((192 & b3$1) !== 128)) {
                  const this$21 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$6 = this$21.java$nio$charset$CoderResult$$Malformed2$1;
                  const jsx$9_$_failure$1 = failure$6;
                  const jsx$9_$_high$1 = 0;
                  const jsx$9_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$9_$_failure$1;
                  decoded_$_high$1 = jsx$9_$_high$1;
                  decoded_$_low$1 = jsx$9_$_low$1
                } else if (((192 & b4) !== 128)) {
                  const this$23 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$7 = this$23.java$nio$charset$CoderResult$$Malformed3$1;
                  const jsx$10_$_failure$1 = failure$7;
                  const jsx$10_$_high$1 = 0;
                  const jsx$10_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$10_$_failure$1;
                  decoded_$_high$1 = jsx$10_$_high$1;
                  decoded_$_low$1 = jsx$10_$_low$1
                } else {
                  const codePoint$2 = (((((7 & leading) << 18) | ((63 & b2$2) << 12)) | ((63 & b3$1) << 6)) | (63 & b4));
                  if (((codePoint$2 < 65536) || (codePoint$2 > 1114111))) {
                    const this$25 = $m_Ljava_nio_charset_CoderResult$();
                    const failure$8 = this$25.java$nio$charset$CoderResult$$Malformed4$1;
                    const jsx$11_$_failure$1 = failure$8;
                    const jsx$11_$_high$1 = 0;
                    const jsx$11_$_low$1 = 0;
                    decoded_$_failure$1 = jsx$11_$_failure$1;
                    decoded_$_high$1 = jsx$11_$_high$1;
                    decoded_$_low$1 = jsx$11_$_low$1
                  } else {
                    const offsetCodePoint = (((-65536) + codePoint$2) | 0);
                    const high = (65535 & (55296 | (offsetCodePoint >> 10)));
                    const low = (65535 & (56320 | (1023 & offsetCodePoint)));
                    const jsx$12_$_failure$1 = null;
                    const jsx$12_$_high$1 = high;
                    const jsx$12_$_low$1 = low;
                    decoded_$_failure$1 = jsx$12_$_failure$1;
                    decoded_$_high$1 = jsx$12_$_high$1;
                    decoded_$_low$1 = jsx$12_$_low$1
                  }
                }
              };
              if ((decoded_$_failure$1 !== null)) {
                const read = elem$1;
                const result$2 = decoded_$_failure$1;
                $in.position__I__Ljava_nio_Buffer((($in.java$nio$Buffer$$$undposition$1 - read) | 0));
                return result$2
              } else if ((decoded_$_low$1 === 0)) {
                if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
                  const read$1 = elem$1;
                  const result$3 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                  $in.position__I__Ljava_nio_Buffer((($in.java$nio$Buffer$$$undposition$1 - read$1) | 0));
                  return result$3
                } else {
                  out.put__C__Ljava_nio_CharBuffer(decoded_$_high$1);
                  continue _loop
                }
              } else if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
                const read$2 = elem$1;
                const result$4 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                $in.position__I__Ljava_nio_Buffer((($in.java$nio$Buffer$$$undposition$1 - read$2) | 0));
                return result$4
              } else {
                out.put__C__Ljava_nio_CharBuffer(decoded_$_high$1);
                out.put__C__Ljava_nio_CharBuffer(decoded_$_low$1);
                continue _loop
              }
            }
          }
        }
      }
    }
  };
  decodeLoopArray__p2__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Ljava_nio_charset_CoderResult($in, out) {
    const a = $in.$$undarray$2;
    if ((a === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o = $in.$$undarrayOffset$2;
    if ((o === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const inStart = (($in.java$nio$Buffer$$$undposition$1 + o) | 0);
    const inEnd = (($in.$$undlimit$1 + o) | 0);
    const a$1 = out.$$undarray$2;
    if ((a$1 === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o$1 = out.$$undarrayOffset$2;
    if ((o$1 === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const outStart = ((out.java$nio$Buffer$$$undposition$1 + o$1) | 0);
    const outEnd = ((out.$$undlimit$1 + o$1) | 0);
    let inPos = inStart;
    let outPos = outStart;
    _loop: while (true) {
      if ((inPos === inEnd)) {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        const inPos$1 = inPos;
        const outPos$1 = outPos;
        $in.position__I__Ljava_nio_Buffer(((inPos$1 - o) | 0));
        out.position__I__Ljava_nio_Buffer(((outPos$1 - o$1) | 0));
        return result
      } else {
        const leading = a.u[inPos];
        if ((leading >= 0)) {
          if ((outPos === outEnd)) {
            const result$1 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$1$1 = inPos;
            const outPos$1$1 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$1$1 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$1$1 - o$1) | 0));
            return result$1
          } else {
            a$1.u[outPos] = (65535 & leading);
            const temp$inPos = ((1 + inPos) | 0);
            const temp$outPos = ((1 + outPos) | 0);
            inPos = temp$inPos;
            outPos = temp$outPos;
            continue _loop
          }
        } else {
          const length = $m_sjs_niocharset_UTF$und8$().scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2.u[(127 & leading)];
          if ((length === (-1))) {
            const this$9 = $m_Ljava_nio_charset_CoderResult$();
            const result$2 = this$9.java$nio$charset$CoderResult$$Malformed1$1;
            const inPos$1$2 = inPos;
            const outPos$1$2 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$1$2 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$1$2 - o$1) | 0));
            return result$2
          } else {
            const inPos$1$3 = inPos;
            const b2 = ((((1 + inPos$1$3) | 0) < inEnd) ? a.u[((1 + inPos$1$3) | 0)] : 0);
            let decoded_$_failure$1;
            let decoded_$_high$1;
            let decoded_$_low$1;
            if ((length === 2)) {
              if (((192 & b2) !== 128)) {
                const this$10 = $m_Ljava_nio_charset_CoderResult$();
                const failure = this$10.java$nio$charset$CoderResult$$Malformed1$1;
                const jsx$1_$_failure$1 = failure;
                const jsx$1_$_high$1 = 0;
                const jsx$1_$_low$1 = 0;
                decoded_$_failure$1 = jsx$1_$_failure$1;
                decoded_$_high$1 = jsx$1_$_high$1;
                decoded_$_low$1 = jsx$1_$_low$1
              } else {
                const codePoint = (((31 & leading) << 6) | (63 & b2));
                if ((codePoint < 128)) {
                  const this$12 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$1 = this$12.java$nio$charset$CoderResult$$Malformed2$1;
                  const jsx$2_$_failure$1 = failure$1;
                  const jsx$2_$_high$1 = 0;
                  const jsx$2_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$2_$_failure$1;
                  decoded_$_high$1 = jsx$2_$_high$1;
                  decoded_$_low$1 = jsx$2_$_low$1
                } else {
                  const single = (65535 & codePoint);
                  const jsx$3_$_failure$1 = null;
                  const jsx$3_$_high$1 = single;
                  const jsx$3_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$3_$_failure$1;
                  decoded_$_high$1 = jsx$3_$_high$1;
                  decoded_$_low$1 = jsx$3_$_low$1
                }
              }
            } else if ((length === 3)) {
              const inPos$1$4 = inPos;
              const b3 = ((((2 + inPos$1$4) | 0) < inEnd) ? a.u[((2 + inPos$1$4) | 0)] : 0);
              if (((192 & b2) !== 128)) {
                const this$15 = $m_Ljava_nio_charset_CoderResult$();
                const failure$2 = this$15.java$nio$charset$CoderResult$$Malformed1$1;
                const jsx$4_$_failure$1 = failure$2;
                const jsx$4_$_high$1 = 0;
                const jsx$4_$_low$1 = 0;
                decoded_$_failure$1 = jsx$4_$_failure$1;
                decoded_$_high$1 = jsx$4_$_high$1;
                decoded_$_low$1 = jsx$4_$_low$1
              } else if (((192 & b3) !== 128)) {
                const this$17 = $m_Ljava_nio_charset_CoderResult$();
                const failure$3 = this$17.java$nio$charset$CoderResult$$Malformed2$1;
                const jsx$5_$_failure$1 = failure$3;
                const jsx$5_$_high$1 = 0;
                const jsx$5_$_low$1 = 0;
                decoded_$_failure$1 = jsx$5_$_failure$1;
                decoded_$_high$1 = jsx$5_$_high$1;
                decoded_$_low$1 = jsx$5_$_low$1
              } else {
                const codePoint$1 = ((((15 & leading) << 12) | ((63 & b2) << 6)) | (63 & b3));
                if (((codePoint$1 < 2048) || ((codePoint$1 >= 55296) && (codePoint$1 <= 57343)))) {
                  const this$19 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$4 = this$19.java$nio$charset$CoderResult$$Malformed3$1;
                  const jsx$6_$_failure$1 = failure$4;
                  const jsx$6_$_high$1 = 0;
                  const jsx$6_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$6_$_failure$1;
                  decoded_$_high$1 = jsx$6_$_high$1;
                  decoded_$_low$1 = jsx$6_$_low$1
                } else {
                  const single$1 = (65535 & codePoint$1);
                  const jsx$7_$_failure$1 = null;
                  const jsx$7_$_high$1 = single$1;
                  const jsx$7_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$7_$_failure$1;
                  decoded_$_high$1 = jsx$7_$_high$1;
                  decoded_$_low$1 = jsx$7_$_low$1
                }
              }
            } else {
              const inPos$1$5 = inPos;
              const b3$1 = ((((2 + inPos$1$5) | 0) < inEnd) ? a.u[((2 + inPos$1$5) | 0)] : 0);
              const inPos$1$6 = inPos;
              const b4 = ((((3 + inPos$1$6) | 0) < inEnd) ? a.u[((3 + inPos$1$6) | 0)] : 0);
              if (((192 & b2) !== 128)) {
                const this$22 = $m_Ljava_nio_charset_CoderResult$();
                const failure$5 = this$22.java$nio$charset$CoderResult$$Malformed1$1;
                const jsx$8_$_failure$1 = failure$5;
                const jsx$8_$_high$1 = 0;
                const jsx$8_$_low$1 = 0;
                decoded_$_failure$1 = jsx$8_$_failure$1;
                decoded_$_high$1 = jsx$8_$_high$1;
                decoded_$_low$1 = jsx$8_$_low$1
              } else if (((192 & b3$1) !== 128)) {
                const this$24 = $m_Ljava_nio_charset_CoderResult$();
                const failure$6 = this$24.java$nio$charset$CoderResult$$Malformed2$1;
                const jsx$9_$_failure$1 = failure$6;
                const jsx$9_$_high$1 = 0;
                const jsx$9_$_low$1 = 0;
                decoded_$_failure$1 = jsx$9_$_failure$1;
                decoded_$_high$1 = jsx$9_$_high$1;
                decoded_$_low$1 = jsx$9_$_low$1
              } else if (((192 & b4) !== 128)) {
                const this$26 = $m_Ljava_nio_charset_CoderResult$();
                const failure$7 = this$26.java$nio$charset$CoderResult$$Malformed3$1;
                const jsx$10_$_failure$1 = failure$7;
                const jsx$10_$_high$1 = 0;
                const jsx$10_$_low$1 = 0;
                decoded_$_failure$1 = jsx$10_$_failure$1;
                decoded_$_high$1 = jsx$10_$_high$1;
                decoded_$_low$1 = jsx$10_$_low$1
              } else {
                const codePoint$2 = (((((7 & leading) << 18) | ((63 & b2) << 12)) | ((63 & b3$1) << 6)) | (63 & b4));
                if (((codePoint$2 < 65536) || (codePoint$2 > 1114111))) {
                  const this$28 = $m_Ljava_nio_charset_CoderResult$();
                  const failure$8 = this$28.java$nio$charset$CoderResult$$Malformed4$1;
                  const jsx$11_$_failure$1 = failure$8;
                  const jsx$11_$_high$1 = 0;
                  const jsx$11_$_low$1 = 0;
                  decoded_$_failure$1 = jsx$11_$_failure$1;
                  decoded_$_high$1 = jsx$11_$_high$1;
                  decoded_$_low$1 = jsx$11_$_low$1
                } else {
                  const offsetCodePoint = (((-65536) + codePoint$2) | 0);
                  const high = (65535 & (55296 | (offsetCodePoint >> 10)));
                  const low = (65535 & (56320 | (1023 & offsetCodePoint)));
                  const jsx$12_$_failure$1 = null;
                  const jsx$12_$_high$1 = high;
                  const jsx$12_$_low$1 = low;
                  decoded_$_failure$1 = jsx$12_$_failure$1;
                  decoded_$_high$1 = jsx$12_$_high$1;
                  decoded_$_low$1 = jsx$12_$_low$1
                }
              }
            };
            if ((decoded_$_failure$1 !== null)) {
              const result$3 = decoded_$_failure$1;
              const inPos$1$7 = inPos;
              const outPos$1$3 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$1$7 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$1$3 - o$1) | 0));
              return result$3
            } else if ((decoded_$_low$1 === 0)) {
              if ((outPos === outEnd)) {
                const result$4 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                const inPos$1$8 = inPos;
                const outPos$1$4 = outPos;
                $in.position__I__Ljava_nio_Buffer(((inPos$1$8 - o) | 0));
                out.position__I__Ljava_nio_Buffer(((outPos$1$4 - o$1) | 0));
                return result$4
              } else {
                a$1.u[outPos] = decoded_$_high$1;
                const temp$inPos$2 = ((inPos + length) | 0);
                const temp$outPos$2 = ((1 + outPos) | 0);
                inPos = temp$inPos$2;
                outPos = temp$outPos$2;
                continue _loop
              }
            } else if ((((2 + outPos) | 0) > outEnd)) {
              const result$5 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              const inPos$1$9 = inPos;
              const outPos$1$5 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$1$9 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$1$5 - o$1) | 0));
              return result$5
            } else {
              a$1.u[outPos] = decoded_$_high$1;
              a$1.u[((1 + outPos) | 0)] = decoded_$_low$1;
              const temp$inPos$3 = ((inPos + length) | 0);
              const temp$outPos$3 = ((2 + outPos) | 0);
              inPos = temp$inPos$3;
              outPos = temp$outPos$3;
              continue _loop
            }
          }
        }
      }
    }
  };
}
const $d_sjs_niocharset_UTF$und8$Decoder = new $TypeData().initClass({
  sjs_niocharset_UTF$und8$Decoder: 0
}, false, "scala.scalajs.niocharset.UTF_8$Decoder", {
  sjs_niocharset_UTF$und8$Decoder: 1,
  Ljava_nio_charset_CharsetDecoder: 1,
  O: 1
});
$c_sjs_niocharset_UTF$und8$Decoder.prototype.$classData = $d_sjs_niocharset_UTF$und8$Decoder;
class $c_sjs_niocharset_UTF$und8$Encoder extends $c_Ljava_nio_charset_CharsetEncoder {
  init___() {
    $c_Ljava_nio_charset_CharsetEncoder.prototype.init___Ljava_nio_charset_Charset__F__F.call(this, $m_sjs_niocharset_UTF$und8$(), 1.100000023841858, 4.0);
    return this
  };
  encodeLoop__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out) {
    if (((($in.$$undarray$2 !== null) && (!$in.isReadOnly__Z())) && ((out.$$undarray$2 !== null) && (!out.$$undreadOnly$3)))) {
      return this.encodeLoopArray__p2__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out)
    } else {
      _loop: while (true) {
        if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
          return $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1
        } else {
          const c1 = $in.get__C();
          if ((c1 < 128)) {
            if ((out.java$nio$Buffer$$$undposition$1 === out.$$undlimit$1)) {
              const result = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result
            } else {
              out.put__B__Ljava_nio_ByteBuffer(((c1 << 24) >> 24));
              continue _loop
            }
          } else if ((c1 < 2048)) {
            if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 2)) {
              const result$1 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$1
            } else {
              out.put__B__Ljava_nio_ByteBuffer((((192 | (c1 >> 6)) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & c1)) << 24) >> 24));
              continue _loop
            }
          } else if ((!($m_sjs_niocharset_UTF$und8$(), ((63488 & c1) === 55296)))) {
            if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 3)) {
              const result$2 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$2
            } else {
              out.put__B__Ljava_nio_ByteBuffer((((224 | (c1 >> 12)) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & (c1 >> 6))) << 24) >> 24));
              out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & c1)) << 24) >> 24));
              continue _loop
            }
          } else if (((64512 & c1) === 55296)) {
            if (($in.java$nio$Buffer$$$undposition$1 === $in.$$undlimit$1)) {
              const result$3 = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
              $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
              return result$3
            } else {
              const c2 = $in.get__C();
              if (((64512 & c2) !== 56320)) {
                const this$8 = $m_Ljava_nio_charset_CoderResult$();
                const result$4 = this$8.java$nio$charset$CoderResult$$Malformed1$1;
                $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
                return result$4
              } else if ((((out.$$undlimit$1 - out.java$nio$Buffer$$$undposition$1) | 0) < 4)) {
                const result$5 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
                $in.position__I__Ljava_nio_Buffer((((-2) + $in.java$nio$Buffer$$$undposition$1) | 0));
                return result$5
              } else {
                const cp = ((65536 + ((((1023 & c1) << 10) + (1023 & c2)) | 0)) | 0);
                out.put__B__Ljava_nio_ByteBuffer((((240 | (cp >> 18)) << 24) >> 24));
                out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & (cp >> 12))) << 24) >> 24));
                out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & (cp >> 6))) << 24) >> 24));
                out.put__B__Ljava_nio_ByteBuffer((((128 | (63 & cp)) << 24) >> 24));
                continue _loop
              }
            }
          } else {
            const this$10 = $m_Ljava_nio_charset_CoderResult$();
            const result$6 = this$10.java$nio$charset$CoderResult$$Malformed1$1;
            $in.position__I__Ljava_nio_Buffer((((-1) + $in.java$nio$Buffer$$$undposition$1) | 0));
            return result$6
          }
        }
      }
    }
  };
  encodeLoopArray__p2__Ljava_nio_CharBuffer__Ljava_nio_ByteBuffer__Ljava_nio_charset_CoderResult($in, out) {
    const a = $in.$$undarray$2;
    if ((a === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o = $in.$$undarrayOffset$2;
    if ((o === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if ($in.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const inStart = (($in.java$nio$Buffer$$$undposition$1 + o) | 0);
    const inEnd = (($in.$$undlimit$1 + o) | 0);
    const a$1 = out.$$undarray$2;
    if ((a$1 === null)) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const o$1 = out.$$undarrayOffset$2;
    if ((o$1 === (-1))) {
      throw new $c_jl_UnsupportedOperationException().init___()
    };
    if (out.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const outStart = ((out.java$nio$Buffer$$$undposition$1 + o$1) | 0);
    const outEnd = ((out.$$undlimit$1 + o$1) | 0);
    let inPos = inStart;
    let outPos = outStart;
    _loop: while (true) {
      if ((inPos === inEnd)) {
        const result = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
        const inPos$2 = inPos;
        const outPos$2 = outPos;
        $in.position__I__Ljava_nio_Buffer(((inPos$2 - o) | 0));
        out.position__I__Ljava_nio_Buffer(((outPos$2 - o$1) | 0));
        return result
      } else {
        const c1 = a.u[inPos];
        if ((c1 < 128)) {
          if ((outPos === outEnd)) {
            const result$1 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$2$1 = inPos;
            const outPos$2$1 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$1 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$1 - o$1) | 0));
            return result$1
          } else {
            a$1.u[outPos] = ((c1 << 24) >> 24);
            const temp$inPos = ((1 + inPos) | 0);
            const temp$outPos = ((1 + outPos) | 0);
            inPos = temp$inPos;
            outPos = temp$outPos;
            continue _loop
          }
        } else if ((c1 < 2048)) {
          if ((((2 + outPos) | 0) > outEnd)) {
            const result$2 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$2$2 = inPos;
            const outPos$2$2 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$2 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$2 - o$1) | 0));
            return result$2
          } else {
            a$1.u[outPos] = (((192 | (c1 >> 6)) << 24) >> 24);
            a$1.u[((1 + outPos) | 0)] = (((128 | (63 & c1)) << 24) >> 24);
            const temp$inPos$2 = ((1 + inPos) | 0);
            const temp$outPos$2 = ((2 + outPos) | 0);
            inPos = temp$inPos$2;
            outPos = temp$outPos$2;
            continue _loop
          }
        } else if ((!($m_sjs_niocharset_UTF$und8$(), ((63488 & c1) === 55296)))) {
          if ((((3 + outPos) | 0) > outEnd)) {
            const result$3 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
            const inPos$2$3 = inPos;
            const outPos$2$3 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$3 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$3 - o$1) | 0));
            return result$3
          } else {
            a$1.u[outPos] = (((224 | (c1 >> 12)) << 24) >> 24);
            a$1.u[((1 + outPos) | 0)] = (((128 | (63 & (c1 >> 6))) << 24) >> 24);
            a$1.u[((2 + outPos) | 0)] = (((128 | (63 & c1)) << 24) >> 24);
            const temp$inPos$3 = ((1 + inPos) | 0);
            const temp$outPos$3 = ((3 + outPos) | 0);
            inPos = temp$inPos$3;
            outPos = temp$outPos$3;
            continue _loop
          }
        } else if (((64512 & c1) === 55296)) {
          if ((((1 + inPos) | 0) === inEnd)) {
            const result$4 = $m_Ljava_nio_charset_CoderResult$().UNDERFLOW$1;
            const inPos$2$4 = inPos;
            const outPos$2$4 = outPos;
            $in.position__I__Ljava_nio_Buffer(((inPos$2$4 - o) | 0));
            out.position__I__Ljava_nio_Buffer(((outPos$2$4 - o$1) | 0));
            return result$4
          } else {
            const c2 = a.u[((1 + inPos) | 0)];
            if (((64512 & c2) !== 56320)) {
              const this$12 = $m_Ljava_nio_charset_CoderResult$();
              const result$5 = this$12.java$nio$charset$CoderResult$$Malformed1$1;
              const inPos$2$5 = inPos;
              const outPos$2$5 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$2$5 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$2$5 - o$1) | 0));
              return result$5
            } else if ((((4 + outPos) | 0) > outEnd)) {
              const result$6 = $m_Ljava_nio_charset_CoderResult$().OVERFLOW$1;
              const inPos$2$6 = inPos;
              const outPos$2$6 = outPos;
              $in.position__I__Ljava_nio_Buffer(((inPos$2$6 - o) | 0));
              out.position__I__Ljava_nio_Buffer(((outPos$2$6 - o$1) | 0));
              return result$6
            } else {
              const cp = ((65536 + ((((1023 & c1) << 10) + (1023 & c2)) | 0)) | 0);
              a$1.u[outPos] = (((240 | (cp >> 18)) << 24) >> 24);
              a$1.u[((1 + outPos) | 0)] = (((128 | (63 & (cp >> 12))) << 24) >> 24);
              a$1.u[((2 + outPos) | 0)] = (((128 | (63 & (cp >> 6))) << 24) >> 24);
              a$1.u[((3 + outPos) | 0)] = (((128 | (63 & cp)) << 24) >> 24);
              const temp$inPos$4 = ((2 + inPos) | 0);
              const temp$outPos$4 = ((4 + outPos) | 0);
              inPos = temp$inPos$4;
              outPos = temp$outPos$4;
              continue _loop
            }
          }
        } else {
          const this$14 = $m_Ljava_nio_charset_CoderResult$();
          const result$7 = this$14.java$nio$charset$CoderResult$$Malformed1$1;
          const inPos$2$7 = inPos;
          const outPos$2$7 = outPos;
          $in.position__I__Ljava_nio_Buffer(((inPos$2$7 - o) | 0));
          out.position__I__Ljava_nio_Buffer(((outPos$2$7 - o$1) | 0));
          return result$7
        }
      }
    }
  };
}
const $d_sjs_niocharset_UTF$und8$Encoder = new $TypeData().initClass({
  sjs_niocharset_UTF$und8$Encoder: 0
}, false, "scala.scalajs.niocharset.UTF_8$Encoder", {
  sjs_niocharset_UTF$und8$Encoder: 1,
  Ljava_nio_charset_CharsetEncoder: 1,
  O: 1
});
$c_sjs_niocharset_UTF$und8$Encoder.prototype.$classData = $d_sjs_niocharset_UTF$und8$Encoder;
class $c_sr_AbstractFunction0 extends $c_O {
  toString__T() {
    return "<function0>"
  };
}
class $c_sr_AbstractFunction1 extends $c_O {
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
}
class $c_sr_AbstractFunction2 extends $c_O {
  toString__T() {
    return "<function2>"
  };
}
class $c_sr_AbstractFunction3 extends $c_O {
  toString__T() {
    return "<function3>"
  };
}
class $c_sr_AbstractFunction4 extends $c_O {
  toString__T() {
    return "<function4>"
  };
}
class $c_sr_AbstractFunction5 extends $c_O {
  toString__T() {
    return "<function5>"
  };
}
class $c_sr_ArrayCharSequence extends $c_O {
  constructor() {
    super();
    this.xs$1 = null;
    this.start$1 = 0;
    this.end$1 = 0
  };
  subSequence__I__I__jl_CharSequence(start0, end0) {
    if ((start0 < 0)) {
      throw new $c_jl_ArrayIndexOutOfBoundsException().init___I(start0)
    } else if ((end0 > this.length__I())) {
      throw new $c_jl_ArrayIndexOutOfBoundsException().init___I(end0)
    } else if ((end0 <= start0)) {
      return new $c_sr_ArrayCharSequence().init___AC__I__I(this.xs$1, 0, 0)
    } else {
      const newlen = ((end0 - start0) | 0);
      const start1 = ((this.start$1 + start0) | 0);
      return new $c_sr_ArrayCharSequence().init___AC__I__I(this.xs$1, start1, ((start1 + newlen) | 0))
    }
  };
  toString__T() {
    const x = this.start$1;
    const start = ((x > 0) ? x : 0);
    const x$1 = this.xs$1.u.length;
    const y = ((start + this.length__I()) | 0);
    const end = ((x$1 < y) ? x$1 : y);
    return ((start >= end) ? "" : $m_sjsr_RuntimeString$().newString__AC__I__I__T(this.xs$1, start, ((end - start) | 0)))
  };
  length__I() {
    const y = ((this.end$1 - this.start$1) | 0);
    return ((y < 0) ? 0 : y)
  };
  init___AC__I__I(xs, start, end) {
    this.xs$1 = xs;
    this.start$1 = start;
    this.end$1 = end;
    return this
  };
  charAt__I__C(index) {
    if (((index >= 0) && (index < this.length__I()))) {
      return this.xs$1.u[((this.start$1 + index) | 0)]
    } else {
      throw new $c_jl_ArrayIndexOutOfBoundsException().init___I(index)
    }
  };
}
const $d_sr_ArrayCharSequence = new $TypeData().initClass({
  sr_ArrayCharSequence: 0
}, false, "scala.runtime.ArrayCharSequence", {
  sr_ArrayCharSequence: 1,
  O: 1,
  jl_CharSequence: 1
});
$c_sr_ArrayCharSequence.prototype.$classData = $d_sr_ArrayCharSequence;
class $c_sr_BooleanRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = false
  };
  toString__T() {
    const value = this.elem$1;
    return ("" + value)
  };
  init___Z(elem) {
    this.elem$1 = elem;
    return this
  };
}
const $d_sr_BooleanRef = new $TypeData().initClass({
  sr_BooleanRef: 0
}, false, "scala.runtime.BooleanRef", {
  sr_BooleanRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_BooleanRef.prototype.$classData = $d_sr_BooleanRef;
const $isArrayOf_sr_BoxedUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_BoxedUnit)))
});
const $d_sr_BoxedUnit = new $TypeData().initClass({
  sr_BoxedUnit: 0
}, false, "scala.runtime.BoxedUnit", {
  sr_BoxedUnit: 1,
  O: 1,
  Ljava_io_Serializable: 1
}, (void 0), (void 0), (function(x) {
  return (x === (void 0))
}));
class $c_sr_IntRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = 0
  };
  toString__T() {
    const value = this.elem$1;
    return ("" + value)
  };
  init___I(elem) {
    this.elem$1 = elem;
    return this
  };
}
const $d_sr_IntRef = new $TypeData().initClass({
  sr_IntRef: 0
}, false, "scala.runtime.IntRef", {
  sr_IntRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_IntRef.prototype.$classData = $d_sr_IntRef;
class $c_sr_LongRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong()
  };
  init___J(elem) {
    this.elem$1 = elem;
    return this
  };
  toString__T() {
    const t = this.elem$1;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(lo, hi)
  };
}
const $d_sr_LongRef = new $TypeData().initClass({
  sr_LongRef: 0
}, false, "scala.runtime.LongRef", {
  sr_LongRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_LongRef.prototype.$classData = $d_sr_LongRef;
class $c_sr_ObjectRef extends $c_O {
  constructor() {
    super();
    this.elem$1 = null
  };
  toString__T() {
    return $m_sjsr_RuntimeString$().valueOf__O__T(this.elem$1)
  };
  init___O(elem) {
    this.elem$1 = elem;
    return this
  };
}
const $d_sr_ObjectRef = new $TypeData().initClass({
  sr_ObjectRef: 0
}, false, "scala.runtime.ObjectRef", {
  sr_ObjectRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_ObjectRef.prototype.$classData = $d_sr_ObjectRef;
class $c_Lamf_client_commands_ParseCommand extends $c_Lamf_client_commands_TranslateCommand {
  init___Lamf_core_remote_Platform(platform) {
    $c_Lamf_client_commands_TranslateCommand.prototype.init___Lamf_core_remote_Platform.call(this, platform);
    return this
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  run__Lamf_core_client_ParserConfig__s_concurrent_Future(origConfig) {
    const x$1 = new $c_s_Some().init___O("AMF Graph");
    const x$2 = new $c_s_Some().init___O("application/ld+json");
    const x$3 = origConfig.mode$1;
    const x$4 = origConfig.input$1;
    const x$5 = origConfig.inputFormat$1;
    const x$6 = origConfig.inputMediaType$1;
    const x$7 = origConfig.output$1;
    const x$8 = origConfig.withSourceMaps$1;
    const x$9 = origConfig.validate$1;
    const x$10 = origConfig.validationProfile$1;
    const x$11 = origConfig.customProfile$1;
    const x$12 = origConfig.dialects$1;
    const x$13 = origConfig.stdout$1;
    const x$14 = origConfig.stderr$1;
    const x$15 = origConfig.proc$1;
    const config = new $c_Lamf_core_client_ParserConfig().init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(x$3, x$4, x$5, x$6, x$7, x$1, x$2, x$8, x$9, x$10, x$11, x$12, x$13, x$14, x$15);
    const res = $f_Lamf_client_commands_CommandHelper__AMFInit__s_concurrent_Future(this).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, config$1) {
      return (function(_$2) {
        return $f_Lamf_client_commands_CommandHelper__processDialects__Lamf_core_client_ParserConfig__s_concurrent_Future($this, config$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, config$1$1) {
          return (function(_$2$2) {
            return $f_Lamf_client_commands_CommandHelper__parseInput__Lamf_core_client_ParserConfig__s_concurrent_Future($this$1, config$1$1).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, config$1$2) {
              return (function(model$2) {
                const model = model$2;
                return $this$2.checkValidation__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future(config$1$2, model).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, config$1$3, model$1) {
                  return (function(_$2$3) {
                    return $f_Lamf_client_commands_CommandHelper__generateOutput__Lamf_core_client_ParserConfig__Lamf_core_model_document_BaseUnit__s_concurrent_Future($this$3, config$1$3, model$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
                      return (function(generated$2) {
                        return (void 0)
                      })
                    })($this$3)), $this$3.executionContext$1)
                  })
                })($this$2, config$1$2, model)), $this$2.executionContext$1)
              })
            })($this$1, config$1$1)), $this$1.executionContext$1)
          })
        })($this, config$1)), $this.executionContext$1)
      })
    })(this, config)), this.executionContext$1);
    res.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, config$2) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        matchEnd6: {
          if ($is_s_util_Failure(x0$1)) {
            const x2 = x0$1;
            const ex = x2.exception$2;
            if ((ex !== null)) {
              config$2.stderr$1.print__jl_Throwable__V(ex);
              const statusCode = $m_Lamf_core_client_ExitCodes$().Exception$1;
              $m_jl_System$();
              const this$4 = $m_jl_Runtime$();
              const this$5 = this$4.currentRuntime$1;
              this$5.halt__I__V(statusCode);
              break matchEnd6
            }
          };
          if ($is_s_util_Success(x0$1)) {
            const x3 = x0$1;
            const other = x3.value$2;
            break matchEnd6
          };
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, config)), this.executionContext$1);
    return res
  };
}
const $d_Lamf_client_commands_ParseCommand = new $TypeData().initClass({
  Lamf_client_commands_ParseCommand: 0
}, false, "amf.client.commands.ParseCommand", {
  Lamf_client_commands_ParseCommand: 1,
  Lamf_client_commands_TranslateCommand: 1,
  O: 1,
  Lamf_client_commands_CommandHelper: 1
});
$c_Lamf_client_commands_ParseCommand.prototype.$classData = $d_Lamf_client_commands_ParseCommand;
const $f_Lamf_client_model_domain_DataNode__name__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DataNode();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1);
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_domain_DataNode__withName__T__Lamf_client_model_domain_DataNode = (function($thiz, name) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_DataNode();
  const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
  return $thiz
});
const $is_Lamf_client_model_domain_DataNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DataNode)))
});
const $isArrayOf_Lamf_client_model_domain_DataNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DataNode)))
});
const $f_Lamf_client_model_domain_ParametrizedDeclaration__name__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration().name__Lamf_core_model_StrField();
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_domain_ParametrizedDeclaration__variables__sjs_js_Array = (function($thiz) {
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration().variables__sc_Seq();
  const m = $m_Lamf_client_convert_CoreClientConverters$().VariableValueMatcher__Lamf_client_convert_VariableValueConverter$VariableValueMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_ParametrizedDeclaration__withTarget__Lamf_client_model_domain_AbstractDeclaration__Lamf_client_model_domain_ParametrizedDeclaration = (function($thiz, target) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration();
  $m_Lamf_client_convert_CoreClientConverters$();
  $m_Lamf_client_convert_CoreClientConverters$().AbstractDeclarationMatcher__Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$();
  const target$1 = target.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration();
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, target$1);
  return $thiz
});
const $f_Lamf_client_model_domain_ParametrizedDeclaration__withName__T__Lamf_client_model_domain_ParametrizedDeclaration = (function($thiz, name) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration();
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
  return $thiz
});
const $f_Lamf_client_model_domain_ParametrizedDeclaration__withVariables__sjs_js_Array__Lamf_client_model_domain_ParametrizedDeclaration = (function($thiz, variables) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().VariableValueMatcher__Lamf_client_convert_VariableValueConverter$VariableValueMatcher$();
  const variables$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, variables, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Variables$1;
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, variables$1);
  return $thiz
});
const $f_Lamf_client_model_domain_ParametrizedDeclaration__target__Lamf_client_model_domain_AbstractDeclaration = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const from = $thiz.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration().target__Lamf_core_model_domain_templates_AbstractDeclaration();
  const m = $m_Lamf_client_convert_CoreClientConverters$().AbstractDeclarationMatcher__Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$();
  return m.asClient__Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_client_model_domain_AbstractDeclaration(from)
});
const $is_Lamf_client_model_domain_ParametrizedDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ParametrizedDeclaration)))
});
const $isArrayOf_Lamf_client_model_domain_ParametrizedDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ParametrizedDeclaration)))
});
class $c_Lamf_core_client_ParserConfig$ extends $c_O {
  constructor() {
    super();
    this.PARSE$1 = null;
    this.TRANSLATE$1 = null;
    this.REPL$1 = null;
    this.VALIDATE$1 = null
  };
  init___() {
    this.PARSE$1 = "parse";
    this.TRANSLATE$1 = "translate";
    this.REPL$1 = "repl";
    this.VALIDATE$1 = "validate";
    return this
  };
}
const $d_Lamf_core_client_ParserConfig$ = new $TypeData().initClass({
  Lamf_core_client_ParserConfig$: 0
}, false, "amf.core.client.ParserConfig$", {
  Lamf_core_client_ParserConfig$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_ParserConfig$.prototype.$classData = $d_Lamf_core_client_ParserConfig$;
let $n_Lamf_core_client_ParserConfig$ = (void 0);
const $m_Lamf_core_client_ParserConfig$ = (function() {
  if ((!$n_Lamf_core_client_ParserConfig$)) {
    $n_Lamf_core_client_ParserConfig$ = new $c_Lamf_core_client_ParserConfig$().init___()
  };
  return $n_Lamf_core_client_ParserConfig$
});
class $c_Lamf_core_client_StdOutWriter$ extends $c_Lamf_core_client_ProcWriter {
  constructor() {
    super();
    this.platform$2 = null
  };
  init___() {
    $n_Lamf_core_client_StdOutWriter$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  print__T__V(s) {
    $m_jl_System$().out$1.println__T__V(s)
  };
  print__jl_Throwable__V(e) {
    const this$2 = $m_jl_System$().out$1;
    this$2.java$lang$JSConsoleBasedPrintStream$$printString__T__V((e + "\n"))
  };
}
const $d_Lamf_core_client_StdOutWriter$ = new $TypeData().initClass({
  Lamf_core_client_StdOutWriter$: 0
}, false, "amf.core.client.StdOutWriter$", {
  Lamf_core_client_StdOutWriter$: 1,
  Lamf_core_client_ProcWriter: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_core_client_StdOutWriter$.prototype.$classData = $d_Lamf_core_client_StdOutWriter$;
let $n_Lamf_core_client_StdOutWriter$ = (void 0);
const $m_Lamf_core_client_StdOutWriter$ = (function() {
  if ((!$n_Lamf_core_client_StdOutWriter$)) {
    $n_Lamf_core_client_StdOutWriter$ = new $c_Lamf_core_client_StdOutWriter$().init___()
  };
  return $n_Lamf_core_client_StdOutWriter$
});
class $c_Lamf_core_emitter_SpecOrdering$ extends $c_O {
  init___() {
    return this
  };
  ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering(target, annotations) {
    const x1 = annotations.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const p3 = x2.value$2;
      if ((p3 !== null)) {
        const source = p3.vendor$1;
        const x$2 = $m_Lamf_core_remote_Amf$();
        if ((((source !== null) && (source === x$2)) || source.isSameWithoutVersion__Lamf_core_remote_Vendor__Z(target))) {
          return $m_Lamf_core_emitter_SpecOrdering$Lexical$()
        }
      }
    };
    return $m_Lamf_core_emitter_SpecOrdering$Default$()
  };
}
const $d_Lamf_core_emitter_SpecOrdering$ = new $TypeData().initClass({
  Lamf_core_emitter_SpecOrdering$: 0
}, false, "amf.core.emitter.SpecOrdering$", {
  Lamf_core_emitter_SpecOrdering$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_SpecOrdering$.prototype.$classData = $d_Lamf_core_emitter_SpecOrdering$;
let $n_Lamf_core_emitter_SpecOrdering$ = (void 0);
const $m_Lamf_core_emitter_SpecOrdering$ = (function() {
  if ((!$n_Lamf_core_emitter_SpecOrdering$)) {
    $n_Lamf_core_emitter_SpecOrdering$ = new $c_Lamf_core_emitter_SpecOrdering$().init___()
  };
  return $n_Lamf_core_emitter_SpecOrdering$
});
class $c_Lamf_core_lexer_CharSequenceStream extends $c_Lamf_core_lexer_CharStream {
  constructor() {
    super();
    this.data$2 = null;
    this.startOffset$2 = 0;
    this.endOffset$2 = 0;
    this.sourceName$2 = null;
    this.column$und$2 = 0;
    this.line$2 = 0;
    this.pointer$2 = 0
  };
  init___jl_CharSequence__I__I__T(data, startOffset, endOffset, sourceName) {
    this.data$2 = data;
    this.startOffset$2 = startOffset;
    this.endOffset$2 = endOffset;
    this.sourceName$2 = sourceName;
    this.column$und$2 = 0;
    this.line$2 = 1;
    this.pointer$2 = startOffset;
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    if ((!(((start >= this.startOffset$2) && (end <= this.endOffset$2)) && (start <= end)))) {
      throw new $c_jl_IllegalArgumentException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid sub-sequence start: ", ", end: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([start, end])))
    };
    return $charSequenceSubSequence(this.data$2, start, end)
  };
  toString__T() {
    return $objectToString(this.data$2)
  };
  length__I() {
    return ((this.endOffset$2 - this.startOffset$2) | 0)
  };
  charAt__I__C(index) {
    return $charSequenceCharAt(this.data$2, index)
  };
  init___T__jl_CharSequence(sourceName, data) {
    $c_Lamf_core_lexer_CharSequenceStream.prototype.init___jl_CharSequence__I__I__T.call(this, data, 0, $charSequenceLength(data), sourceName);
    return this
  };
}
const $d_Lamf_core_lexer_CharSequenceStream = new $TypeData().initClass({
  Lamf_core_lexer_CharSequenceStream: 0
}, false, "amf.core.lexer.CharSequenceStream", {
  Lamf_core_lexer_CharSequenceStream: 1,
  Lamf_core_lexer_CharStream: 1,
  O: 1,
  jl_CharSequence: 1
});
$c_Lamf_core_lexer_CharSequenceStream.prototype.$classData = $d_Lamf_core_lexer_CharSequenceStream;
class $c_Lamf_core_metamodel_Type$ObjType$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_Type$ObjType$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    this.type$1 = $m_sci_Nil$();
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $m_sci_Nil$()
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_Type$ObjType$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$ObjType$: 0
}, false, "amf.core.metamodel.Type$ObjType$", {
  Lamf_core_metamodel_Type$ObjType$: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_Type$ObjType$.prototype.$classData = $d_Lamf_core_metamodel_Type$ObjType$;
let $n_Lamf_core_metamodel_Type$ObjType$ = (void 0);
const $m_Lamf_core_metamodel_Type$ObjType$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$ObjType$)) {
    $n_Lamf_core_metamodel_Type$ObjType$ = new $c_Lamf_core_metamodel_Type$ObjType$().init___()
  };
  return $n_Lamf_core_metamodel_Type$ObjType$
});
const $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "location"), true));
  const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_document_BaseUnitModel$());
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "references"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "usage"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Iri$();
  const ns = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
  $thiz.amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(ns, "describedBy"), true))
});
const $is_Lamf_core_metamodel_document_BaseUnitModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_document_BaseUnitModel)))
});
const $isArrayOf_Lamf_core_metamodel_document_BaseUnitModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_document_BaseUnitModel)))
});
class $c_Lamf_core_metamodel_document_SourceMapModel$ extends $c_O {
  constructor() {
    super();
    this.Element$1 = null;
    this.Value$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_SourceMapModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
    this.Element$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "element"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
    this.Value$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "value"), true);
    this.fields$1 = $m_sci_Nil$();
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "SourceMap")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_document_SourceMapModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_SourceMapModel$: 0
}, false, "amf.core.metamodel.document.SourceMapModel$", {
  Lamf_core_metamodel_document_SourceMapModel$: 1,
  O: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_document_SourceMapModel$.prototype.$classData = $d_Lamf_core_metamodel_document_SourceMapModel$;
let $n_Lamf_core_metamodel_document_SourceMapModel$ = (void 0);
const $m_Lamf_core_metamodel_document_SourceMapModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_SourceMapModel$)) {
    $n_Lamf_core_metamodel_document_SourceMapModel$ = new $c_Lamf_core_metamodel_document_SourceMapModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_SourceMapModel$
});
const $f_Lamf_core_metamodel_domain_DomainElementModel__Extends__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DomainElementModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "extends"), true)
});
const $f_Lamf_core_metamodel_domain_DomainElementModel__CustomDomainProperties__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "customDomainProperties"), true)
});
const $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_document_SourceMapModel$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
  $thiz.amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "sources"), true))
});
const $is_Lamf_core_metamodel_domain_DomainElementModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_DomainElementModel)))
});
const $isArrayOf_Lamf_core_metamodel_domain_DomainElementModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_DomainElementModel)))
});
const $is_Lamf_core_model_AnyField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_AnyField)))
});
const $isArrayOf_Lamf_core_model_AnyField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_AnyField)))
});
const $f_Lamf_core_model_StrField__isNullOrEmpty__Z = (function($thiz) {
  const this$1 = $thiz.option$1;
  if (this$1.isEmpty__Z()) {
    return true
  } else {
    const arg1 = this$1.get__O();
    const x$1 = arg1;
    if ((x$1 === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    return (x$1 === "")
  }
});
const $f_Lamf_core_model_StrField__nonEmpty__Z = (function($thiz) {
  return (!$f_Lamf_core_model_StrField__isNullOrEmpty__Z($thiz))
});
const $is_Lamf_core_model_StrField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_StrField)))
});
const $isArrayOf_Lamf_core_model_StrField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_StrField)))
});
const $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, elements, first, acc, cycles) {
  _findModelByConditionInSeq: while (true) {
    if (elements.isEmpty__Z()) {
      return acc
    } else {
      let rc6 = false;
      let x2 = null;
      const x1 = elements.head__O();
      if ($is_Lamf_core_model_domain_DomainElement(x1)) {
        rc6 = true;
        x2 = x1;
        if ((!cycles.contains__O__Z(x2.id__T()))) {
          const element = x2;
          const acc$1 = acc;
          const res = $f_Lamf_core_model_document_BaseUnit__findModelByCondition__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_domain_DomainElement__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, element, first, acc$1, cycles);
          if ((first && res.nonEmpty__Z())) {
            return res
          } else {
            const temp$elements = elements.tail__O();
            elements = temp$elements;
            acc = res;
            continue _findModelByConditionInSeq
          }
        }
      };
      if (rc6) {
        elements = elements.tail__O();
        continue _findModelByConditionInSeq
      };
      if ($is_Lamf_core_model_domain_AmfArray(x1)) {
        const x4 = x1;
        let elements$1 = x4.values$1;
        let acc$2 = acc;
        const res$2 = $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, elements$1, first, acc$2, cycles);
        if ((first && res$2.nonEmpty__Z())) {
          return res$2
        } else {
          const temp$elements$3 = elements.tail__O();
          elements = temp$elements$3;
          acc = res$2;
          continue _findModelByConditionInSeq
        }
      };
      elements = elements.tail__O();
      continue _findModelByConditionInSeq
    }
  }
});
const $f_Lamf_core_model_document_BaseUnit__findByType__T__sci_Set__sc_Seq = (function($thiz, shapeType, cycles) {
  const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, shapeType$1) {
    return (function(element$2) {
      const element = element$2;
      let types;
      if ($is_Lamf_core_model_domain_DynamicDomainElement(element)) {
        const x2 = element;
        const this$2 = x2.dynamicType__sci_List();
        const f = (function($this$1) {
          return (function(t$2) {
            const t = t$2;
            return t.iri__T()
          })
        })($this);
        const this$1 = $m_sci_List$();
        const bf = this$1.ReusableCBFInstance$2;
        let jsx$4;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$2 === $m_sci_Nil$())) {
            jsx$4 = $m_sci_Nil$()
          } else {
            const arg1 = this$2.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            let t$1 = h;
            let rest = this$2.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t$1.tl$5 = nx;
              t$1 = nx;
              rest = rest.tail__O()
            };
            jsx$4 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
          let these = this$2;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            these = these.tail__O()
          };
          jsx$4 = b.result__O()
        };
        const jsx$3 = element.dynamicTypes__sc_Seq();
        const this$3 = $m_sci_List$();
        const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
        const this$5 = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj($this, element).type__sci_List();
        const f$1 = (function(this$2$1) {
          return (function(t$3$2) {
            const t$3 = t$3$2;
            return t$3.iri__T()
          })
        })($this);
        const this$4 = $m_sci_List$();
        const bf$1 = this$4.ReusableCBFInstance$2;
        let jsx$1;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$5 === $m_sci_Nil$())) {
            jsx$1 = $m_sci_Nil$()
          } else {
            const arg1$3 = this$5.head__O();
            const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
            let t$4 = h$1;
            let rest$1 = this$5.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$4 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
              t$4.tl$5 = nx$1;
              t$4 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            jsx$1 = h$1
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
          let these$1 = this$5;
          while ((!these$1.isEmpty__Z())) {
            const arg1$5 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
            these$1 = these$1.tail__O()
          };
          jsx$1 = b$1.result__O()
        };
        const this$6 = $m_sci_List$();
        types = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
      } else {
        const jsx$6 = element.dynamicTypes__sc_Seq();
        const this$8 = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj($this, element).type__sci_List();
        const f$2 = (function(this$3$1) {
          return (function(t$4$2) {
            const t$4$1 = t$4$2;
            return t$4$1.iri__T()
          })
        })($this);
        const this$7 = $m_sci_List$();
        const bf$2 = this$7.ReusableCBFInstance$2;
        let jsx$5;
        if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$8 === $m_sci_Nil$())) {
            jsx$5 = $m_sci_Nil$()
          } else {
            const arg1$6 = this$8.head__O();
            const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$6), $m_sci_Nil$());
            let t$5 = h$2;
            let rest$2 = this$8.tail__O();
            while ((rest$2 !== $m_sci_Nil$())) {
              const arg1$7 = rest$2.head__O();
              const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$7), $m_sci_Nil$());
              t$5.tl$5 = nx$2;
              t$5 = nx$2;
              rest$2 = rest$2.tail__O()
            };
            jsx$5 = h$2
          }
        } else {
          const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$8, bf$2);
          let these$2 = this$8;
          while ((!these$2.isEmpty__Z())) {
            const arg1$8 = these$2.head__O();
            b$2.$$plus$eq__O__scm_Builder(f$2(arg1$8));
            these$2 = these$2.tail__O()
          };
          jsx$5 = b$2.result__O()
        };
        const this$9 = $m_sc_Seq$();
        types = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBFInstance$2)
      };
      return types.contains__O__Z(shapeType$1)
    })
  })($thiz, shapeType));
  $m_scm_ListBuffer$();
  const this$11 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc = this$11.elems$1;
  const this$14 = $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc, cycles);
  $m_scm_ListBuffer$();
  const this$13 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc$1 = this$13.elems$1;
  const xs = $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc$1, cycles);
  const this$15 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$14);
  return this$15.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
});
const $f_Lamf_core_model_document_BaseUnit__defaultCycleRecoverer__Lamf_core_model_domain_AmfObject__Lamf_core_model_domain_AmfObject__s_Option = (function($thiz, old, transformed) {
  if ($is_Lamf_core_model_domain_Shape(transformed)) {
    const x2 = transformed;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = x2.id$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const shapeId = x2.id$1;
    const field = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1;
    return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, shapeId))
  } else {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Recursive loop generated in reference expansion: ", " => ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([old.id__T(), transformed.id__T()]))))
  }
});
const $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit = (function($thiz, raw) {
  $thiz.raw$und$eq__s_Option__V(new $c_s_Some().init___O(raw));
  return $thiz
});
const $f_Lamf_core_model_document_BaseUnit__findModelByCondition__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_domain_DomainElement__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, element, first, acc, cycles) {
  if ((!cycles.contains__O__Z(element.id__T()))) {
    const found = (!(!predicate.apply__O__O(element)));
    if (found) {
      acc.$$plus$eq__O__scm_ListBuffer(element)
    };
    if ((found && first)) {
      return acc
    } else {
      let elements;
      if ($is_Lamf_core_model_domain_DynamicDomainElement(element)) {
        const x2 = element;
        const this$3 = x2.dynamicFields__sci_List();
        const f$1 = (function($this, x2$1) {
          return (function(f$2) {
            const f = f$2;
            const xo = x2$1.valueForField__Lamf_core_metamodel_Field__s_Option(f);
            return xo.toList__sci_List()
          })
        })($thiz, x2);
        const this$2 = $m_sci_List$();
        const bf = this$2.ReusableCBFInstance$2;
        let this$9;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$3 === $m_sci_Nil$())) {
            this$9 = $m_sci_Nil$()
          } else {
            let rest = this$3;
            const found$1 = new $c_sr_BooleanRef().init___Z(false);
            const h = new $c_sr_ObjectRef().init___O(null);
            const t = new $c_sr_ObjectRef().init___O(null);
            while ((rest !== $m_sci_Nil$())) {
              const arg1 = rest.head__O();
              f$1(arg1).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, found$2, h$1, t$1) {
                return (function(b$2) {
                  if ((!found$2.elem$1)) {
                    h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                    t$1.elem$1 = h$1.elem$1;
                    found$2.elem$1 = true
                  } else {
                    const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                    t$1.elem$1.tl$5 = nx;
                    t$1.elem$1 = nx
                  }
                })
              })(this$3, found$1, h, t)));
              rest = rest.tail__O()
            };
            this$9 = ((!found$1.elem$1) ? $m_sci_Nil$() : h.elem$1)
          }
        } else {
          $m_sci_List$();
          const b = new $c_scm_ListBuffer().init___();
          let these = this$3;
          while ((!these.isEmpty__Z())) {
            const arg1$1 = these.head__O();
            const xs = f$1(arg1$1).seq__sc_TraversableOnce();
            b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
            these = these.tail__O()
          };
          this$9 = b.toList__sci_List()
        };
        const f$3 = (function(this$2$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            return x$2.value$1
          })
        })($thiz);
        const this$8 = $m_sci_List$();
        const bf$1 = this$8.ReusableCBFInstance$2;
        let values;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$9 === $m_sci_Nil$())) {
            values = $m_sci_Nil$()
          } else {
            const arg1$2 = this$9.head__O();
            const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$2), $m_sci_Nil$());
            let t$2 = h$2;
            let rest$1 = this$9.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$3 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$3(arg1$3), $m_sci_Nil$());
              t$2.tl$5 = nx$1;
              t$2 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            values = h$2
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf$1);
          let these$1 = this$9;
          while ((!these$1.isEmpty__Z())) {
            const arg1$4 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$3(arg1$4));
            these$1 = these$1.tail__O()
          };
          values = b$1.result__O()
        };
        const f$4 = (function(this$3$1) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ($is_Lamf_core_model_domain_DomainElement(x0$1)) {
              const x2$2 = x0$1;
              return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$2]))
            } else if ($is_Lamf_core_model_domain_AmfArray(x0$1)) {
              const x3 = x0$1;
              return x3.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
                return (function(x$3$2) {
                  const x$3 = x$3$2;
                  return $is_Lamf_core_model_domain_DomainElement(x$3)
                })
              })(this$3$1)))
            } else {
              return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
            }
          })
        })($thiz);
        const this$10 = $m_sci_List$();
        const bf$2 = this$10.ReusableCBFInstance$2;
        let effectiveValues;
        if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((values === $m_sci_Nil$())) {
            effectiveValues = $m_sci_Nil$()
          } else {
            const arg1$5 = values.head__O();
            const h$3 = new $c_sci_$colon$colon().init___O__sci_List(f$4(arg1$5), $m_sci_Nil$());
            let t$3 = h$3;
            let rest$2 = values.tail__O();
            while ((rest$2 !== $m_sci_Nil$())) {
              const arg1$6 = rest$2.head__O();
              const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$4(arg1$6), $m_sci_Nil$());
              t$3.tl$5 = nx$2;
              t$3 = nx$2;
              rest$2 = rest$2.tail__O()
            };
            effectiveValues = h$3
          }
        } else {
          const b$3 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(values, bf$2);
          let these$2 = values;
          while ((!these$2.isEmpty__Z())) {
            const arg1$7 = these$2.head__O();
            b$3.$$plus$eq__O__scm_Builder(f$4(arg1$7));
            these$2 = these$2.tail__O()
          };
          effectiveValues = b$3.result__O()
        };
        $m_sci_List$();
        const b$4 = new $c_scm_ListBuffer().init___();
        let these$3 = effectiveValues;
        while ((!these$3.isEmpty__Z())) {
          const arg1$8 = these$3.head__O();
          const xs$1 = arg1$8.seq__sc_TraversableOnce();
          b$4.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$1);
          these$3 = these$3.tail__O()
        };
        elements = b$4.toList__sci_List()
      } else {
        const this$12 = element.fields__Lamf_core_parser_Fields();
        const this$15 = this$12.fs$1;
        const this$13 = $m_Lamf_core_parser_FieldEntry$();
        const f$5 = $f_F2__tupled__F1(this$13);
        const this$14 = $m_sci_Iterable$();
        const bf$3 = this$14.ReusableCBFInstance$2;
        const jsx$2 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$15, f$5, bf$3);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(x$4$2) {
            const x$4 = x$4$2;
            return x$4.value$1.value$1
          })
        })($thiz));
        const this$16 = $m_sc_Iterable$();
        elements = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$16.ReusableCBFInstance$2).toSeq__sc_Seq()
      };
      let elements$1 = elements;
      let acc$1 = acc;
      const cycles$1 = cycles.$$plus__O__sc_Set(element.id__T());
      return $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, elements$1, first, acc$1, cycles$1)
    }
  } else {
    return acc
  }
});
const $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2 = (function($thiz) {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(old$2, transformed$2) {
      const old = old$2;
      const transformed = transformed$2;
      return $f_Lamf_core_model_document_BaseUnit__defaultCycleRecoverer__Lamf_core_model_domain_AmfObject__Lamf_core_model_domain_AmfObject__s_Option($this, old, transformed)
    })
  })($thiz))
});
const $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, encoder, first, acc, cycles) {
  if (cycles.contains__O__Z(encoder.id__T())) {
    $m_scm_ListBuffer$();
    const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    return this$2.elems$1
  } else if ($is_Lamf_core_model_document_DeclaresModel(encoder)) {
    let elements = encoder.declares__sc_Seq();
    let acc$1 = acc;
    const cycles$1 = cycles.$$plus__O__sc_Set(encoder.id__T());
    return $f_Lamf_core_model_document_BaseUnit__findModelByConditionInSeq__pLamf_core_model_document_BaseUnit__F1__sc_Seq__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, elements, first, acc$1, cycles$1)
  } else {
    $m_scm_ListBuffer$();
    const this$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    return this$4.elems$1
  }
});
const $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option = (function($thiz, id) {
  const cycles = $m_sci_Set$EmptySet$();
  return $f_Lamf_core_model_document_BaseUnit__findById__T__sci_Set__s_Option($thiz, id, cycles)
});
const $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer = (function($thiz, predicate, encoder, first, acc, cycles) {
  if (cycles.contains__O__Z(encoder.id__T())) {
    $m_scm_ListBuffer$();
    const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    return this$2.elems$1
  };
  if ($is_Lamf_core_model_document_EncodesModel(encoder)) {
    if ($m_s_Option$().apply__O__s_Option(encoder.encodes__Lamf_core_model_domain_DomainElement()).isDefined__Z()) {
      const element = encoder.encodes__Lamf_core_model_domain_DomainElement();
      const cycles$1 = cycles.$$plus__O__sc_Set(encoder.id__T());
      return $f_Lamf_core_model_document_BaseUnit__findModelByCondition__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_domain_DomainElement__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, element, first, acc, cycles$1)
    }
  };
  $m_scm_ListBuffer$();
  const this$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  return this$4.elems$1
});
const $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject = (function($thiz, element, predicate, transformation, cycles, cycleRecoverer) {
  if ((!cycles.contains__O__Z(element.id__T()))) {
    if ((!(!predicate.apply__O__O(element)))) {
      const x1 = transformation.apply__O__O__O(element, false);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const transformed = x2.value$2;
        if ((transformed !== null)) {
          if (cycles.contains__O__Z(transformed.id__T())) {
            const this$1 = cycleRecoverer.apply__O__O__O(element, transformed);
            return (this$1.isEmpty__Z() ? null : this$1.get__O())
          } else {
            return transformed
          }
        }
      };
      return (x1.isEmpty__Z() ? null : x1.get__O())
    } else {
      if ($is_Lamf_core_model_domain_ObjectNode(element)) {
        const x2$2 = element;
        x2$2.properties$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1, predicate$1, transformation$1, cycles$1, x2$2$1) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ((x0$2 !== null)) {
              const prop = x0$2.$$und1__O();
              const value = x0$2.$$und2__O();
              let rc7 = false;
              let x2$1 = null;
              const x1$2 = $m_s_Option$().apply__O__s_Option($this.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(value, predicate$1, transformation$1, cycles$1.$$plus__O__sc_Set(element$1.id__T()), $this.transformByCondition$default$5__F2()));
              if ($is_s_Some(x1$2)) {
                rc7 = true;
                x2$1 = x1$2;
                const transformed$1 = x2$1.value$2;
                if ($is_Lamf_core_model_domain_DataNode(transformed$1)) {
                  const x5 = transformed$1;
                  x2$2$1.properties$2.put__O__O__s_Option(prop, x5);
                  return x2$2$1
                }
              };
              if (rc7) {
                return x2$2$1
              };
              x2$2$1.properties$2.remove__O__s_Option(prop);
              return x2$2$1
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })($thiz, element, predicate, transformation, cycles, x2$2)))
      } else if ($is_Lamf_core_model_domain_ArrayNode(element)) {
        const x3$2 = element;
        const this$3 = x3$2.members$2;
        $m_scm_ListBuffer$();
        $m_scm_ListBuffer$();
        const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
        const this$5 = this$3.scala$collection$mutable$ListBuffer$$start$6;
        let these = this$5;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const elem = arg1;
          const xo = $m_s_Option$().apply__O__s_Option($thiz.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(elem, predicate, transformation, cycles.$$plus__O__sc_Set(element.id__T()), $thiz.transformByCondition$default$5__F2()));
          const this$7 = xo.toList__sci_List();
          $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, this$7);
          these = these.tail__O()
        };
        const jsx$4 = b.elems$1;
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x3$2$1) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return x$5.adopted__T__Lamf_core_model_domain_AmfObject(x3$2$1.id$1)
          })
        })($thiz, x3$2));
        const this$8 = $m_scm_ListBuffer$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$8.ReusableCBFInstance$2);
        const jsx$1 = new $c_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11().init___Lamf_core_model_document_BaseUnit($thiz);
        const this$9 = $m_scm_ListBuffer$();
        x3$2.members$2 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$9.ReusableCBFInstance$2)
      } else {
        let effectiveFields;
        if ($is_Lamf_core_model_document_DeclaresModel(element)) {
          const x2$3 = element;
          const this$10 = x2$3.fields__Lamf_core_parser_Fields();
          const this$13 = this$10.fs$1;
          const this$11 = $m_Lamf_core_parser_FieldEntry$();
          const f = $f_F2__tupled__F1(this$11);
          const this$12 = $m_sci_Iterable$();
          const bf$1 = this$12.ReusableCBFInstance$2;
          const jsx$6 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$13, f, bf$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
            return (function(f$2) {
              const f$1 = f$2;
              const x = f$1.field$1;
              const x$2 = $m_Lamf_core_metamodel_document_DocumentModel$().Declares$1;
              return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
            })
          })($thiz)));
          const this$14 = x2$3.fields__Lamf_core_parser_Fields();
          const this$17 = this$14.fs$1;
          const this$15 = $m_Lamf_core_parser_FieldEntry$();
          const f$3 = $f_F2__tupled__F1(this$15);
          const this$16 = $m_sci_Iterable$();
          const bf$2 = this$16.ReusableCBFInstance$2;
          const jsx$5 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$17, f$3, bf$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
            return (function(f$3$2) {
              const f$3$1 = f$3$2;
              const x$1 = f$3$1.field$1;
              const x$2$1 = $m_Lamf_core_metamodel_document_DocumentModel$().Declares$1;
              return (!((x$1 === null) ? (x$2$1 === null) : x$1.equals__O__Z(x$2$1)))
            })
          })($thiz)));
          const this$18 = $m_sc_Iterable$();
          effectiveFields = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$18.ReusableCBFInstance$2)
        } else {
          const this$19 = element.fields__Lamf_core_parser_Fields();
          const this$22 = this$19.fs$1;
          const this$20 = $m_Lamf_core_parser_FieldEntry$();
          const f$4 = $f_F2__tupled__F1(this$20);
          const this$21 = $m_sci_Iterable$();
          const bf$3 = this$21.ReusableCBFInstance$2;
          effectiveFields = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$22, f$4, bf$3)
        };
        const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
          return (function(entry$2) {
            const entry = entry$2;
            return new $c_T2().init___O__O(entry.field$1, entry.value$1)
          })
        })($thiz));
        const this$23 = $m_sc_Iterable$();
        effectiveFields.map__F1__scg_CanBuildFrom__O(jsx$7, this$23.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, element$2, predicate$2, transformation$2, cycles$2) {
          return (function(x0$3$2) {
            const x0$3 = x0$3$2;
            if ((x0$3 !== null)) {
              const f$5 = x0$3.$$und1__O();
              const v = x0$3.$$und2__O();
              if ((v !== null)) {
                if ($is_Lamf_core_model_domain_AmfObject(v.value$1)) {
                  let rc8 = false;
                  let x2$2$2 = null;
                  const x1$2$1 = $m_s_Option$().apply__O__s_Option(this$7$1.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(v.value$1, predicate$2, transformation$2, cycles$2.$$plus__O__sc_Set(element$2.id__T()), this$7$1.transformByCondition$default$5__F2()));
                  if ($is_s_Some(x1$2$1)) {
                    rc8 = true;
                    x2$2$2 = x1$2$1;
                    const transformedValue = x2$2$2.value$2;
                    if ((transformedValue !== null)) {
                      return element$2.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f$5, transformedValue, (element$2.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()))
                    }
                  };
                  if (rc8) {
                    return (void 0)
                  };
                  const x$3 = $m_s_None$();
                  if ((x$3 === x1$2$1)) {
                    return element$2.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(f$5)
                  };
                  throw new $c_s_MatchError().init___O(x1$2$1)
                }
              }
            };
            if ((x0$3 !== null)) {
              const f$2$1 = x0$3.$$und1__O();
              const v$2 = x0$3.$$und2__O();
              if ((v$2 !== null)) {
                if ($is_Lamf_core_model_domain_AmfArray(v$2.value$1)) {
                  const jsx$11 = v$2.value$1.values$1;
                  const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, element$1$1, predicate$2$1, transformation$2$1, cycles$2$1) {
                    return (function(x0$4$2) {
                      const x0$4 = x0$4$2;
                      if ($is_Lamf_core_model_domain_AmfObject(x0$4)) {
                        const x2$4 = x0$4;
                        return $m_s_Option$().apply__O__s_Option($this$1.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(x2$4, predicate$2$1, transformation$2$1, cycles$2$1.$$plus__O__sc_Set(element$1$1.id__T()), $this$1.transformByCondition$default$5__F2()))
                      } else {
                        return new $c_s_Some().init___O(x0$4)
                      }
                    })
                  })(this$7$1, element$2, predicate$2, transformation$2, cycles$2));
                  const this$26 = $m_sc_Seq$();
                  const jsx$9 = jsx$11.map__F1__scg_CanBuildFrom__O(jsx$10, this$26.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
                    return (function(x$6$2) {
                      const x$6 = x$6$2;
                      return x$6.isDefined__Z()
                    })
                  })(this$7$1)));
                  const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2) {
                    return (function(x$7$2) {
                      const x$7 = x$7$2;
                      return x$7.get__O()
                    })
                  })(this$7$1));
                  const this$27 = $m_sc_Seq$();
                  const newElements = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$27.ReusableCBFInstance$2);
                  return element$2.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f$2$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(newElements, new $c_Lamf_core_parser_Annotations().init___()), v$2.annotations$1)
                }
              }
            }
          })
        })($thiz, element, predicate, transformation, cycles)))
      };
      return element
    }
  } else {
    if ($is_Lamf_core_model_domain_Linkable(element)) {
      const x2$4$1 = element;
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x2$4$1).isDefined__Z()) {
        if ((!(!predicate.apply__O__O(element)))) {
          const this$29 = transformation.apply__O__O__O(element, true);
          return (this$29.isEmpty__Z() ? null : this$29.get__O())
        } else {
          return element
        }
      }
    };
    return element
  }
});
const $f_Lamf_core_model_document_BaseUnit__findInReferencedModels__pLamf_core_model_document_BaseUnit__T__sc_Seq__sci_Set__scm_ListBuffer = (function($thiz, id, units, cycles) {
  _findInReferencedModels: while (true) {
    if (units.isEmpty__Z()) {
      $m_scm_ListBuffer$();
      const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      return this$2.elems$1
    } else if (cycles.contains__O__Z(units.head__O().id__T())) {
      units = units.tail__O();
      continue _findInReferencedModels
    } else {
      const this$3 = units.head__O();
      const cycles$1 = cycles;
      const x1 = $f_Lamf_core_model_document_BaseUnit__findById__T__sci_Set__s_Option(this$3, id, cycles$1);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const element = x2.value$2;
        $m_scm_ListBuffer$();
        const array = [element];
        if (((array.length | 0) === 0)) {
          const this$5 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
          return this$5.elems$1
        } else {
          const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_GrowingBuilder(arg1);
            i = ((1 + i) | 0)
          };
          return b.elems$1
        }
      } else {
        const x$2 = $m_s_None$();
        if ((x$2 === x1)) {
          const temp$units$2 = units.tail__O();
          const temp$cycles = cycles.$$plus__O__sc_Set(units.head__O().id__T());
          units = temp$units$2;
          cycles = temp$cycles;
          continue _findInReferencedModels
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    }
  }
});
const $f_Lamf_core_model_document_BaseUnit__findBy__F1__sci_Set__sc_Seq = (function($thiz, predicate, cycles) {
  $m_scm_ListBuffer$();
  const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc = this$2.elems$1;
  const this$5 = $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc, cycles);
  $m_scm_ListBuffer$();
  const this$4 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc$1 = this$4.elems$1;
  const xs = $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, false, acc$1, cycles);
  const this$6 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$5);
  return this$6.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
});
const $f_Lamf_core_model_document_BaseUnit__$$init$__V = (function($thiz) {
  $thiz.parserRun$und$eq__s_Option__V($m_s_None$());
  $thiz.raw$und$eq__s_Option__V($m_s_None$())
});
const $f_Lamf_core_model_document_BaseUnit__findInReferences__T__s_Option = (function($thiz, id) {
  return $thiz.references__sc_Seq().find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return (x$1.id__T() === id$1)
    })
  })($thiz, id)))
});
const $f_Lamf_core_model_document_BaseUnit__findById__T__sci_Set__s_Option = (function($thiz, id, cycles) {
  const predicate = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
    return (function(element$2) {
      const element = element$2;
      return (element.id__T() === id$1)
    })
  })($thiz, id));
  $m_scm_ListBuffer$();
  const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
  const acc = this$2.elems$1;
  const this$3 = $f_Lamf_core_model_document_BaseUnit__findInEncodedModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, true, acc, cycles);
  const this$4 = this$3.scala$collection$mutable$ListBuffer$$start$6;
  const this$5 = $f_sc_TraversableLike__headOption__s_Option(this$4);
  if (this$5.isEmpty__Z()) {
    $m_scm_ListBuffer$();
    const this$7 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const acc$1 = this$7.elems$1;
    const this$8 = $f_Lamf_core_model_document_BaseUnit__findInDeclaredModel__pLamf_core_model_document_BaseUnit__F1__Lamf_core_model_document_BaseUnit__Z__scm_ListBuffer__sci_Set__scm_ListBuffer($thiz, predicate, $thiz, true, acc$1, cycles);
    const this$9 = this$8.scala$collection$mutable$ListBuffer$$start$6;
    const this$10 = $f_sc_TraversableLike__headOption__s_Option(this$9);
    if (this$10.isEmpty__Z()) {
      let units = $thiz.references__sc_Seq();
      let cycles$1 = cycles;
      const this$11 = $f_Lamf_core_model_document_BaseUnit__findInReferencedModels__pLamf_core_model_document_BaseUnit__T__sc_Seq__sci_Set__scm_ListBuffer($thiz, id, units, cycles$1);
      const this$12 = this$11.scala$collection$mutable$ListBuffer$$start$6;
      return $f_sc_TraversableLike__headOption__s_Option(this$12)
    } else {
      return this$10
    }
  } else {
    return this$5
  }
});
const $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit = (function($thiz, selector, transformation) {
  const domainElementAdapter = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, selector$1) {
    return (function(o$2) {
      const o = o$2;
      if ($is_Lamf_core_model_domain_DomainElement(o)) {
        const x2 = o;
        return (!(!selector$1.apply__O__O(x2)))
      } else {
        return false
      }
    })
  })($thiz, selector));
  const transformationAdapter = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2, transformation$1) {
    return (function(o$3$2, isCycle$2) {
      const o$3 = o$3$2;
      const isCycle = (!(!isCycle$2));
      if ($is_Lamf_core_model_domain_DomainElement(o$3)) {
        const x2$1 = o$3;
        return transformation$1.apply__O__O__O(x2$1, isCycle)
      } else {
        return new $c_s_Some().init___O(o$3)
      }
    })
  })($thiz, transformation));
  $thiz.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject($thiz, domainElementAdapter, transformationAdapter, $thiz.transformByCondition$default$4__sci_Set(), $thiz.transformByCondition$default$5__F2());
  return $thiz
});
const $is_Lamf_core_model_document_BaseUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_BaseUnit)))
});
const $isArrayOf_Lamf_core_model_document_BaseUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_BaseUnit)))
});
class $c_Lamf_core_model_document_PayloadFragment$ extends $c_O {
  init___() {
    return this
  };
  apply__T__T__Lamf_core_model_document_PayloadFragment(payload, mediaType) {
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return this.apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(payload, dataType, new $c_Lamf_core_parser_Fields().init___(), annotations), mediaType)
  };
  apply__Lamf_core_model_document_PayloadFragment() {
    const this$3 = new $c_Lamf_core_model_document_PayloadFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
    const this$4 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$3, "http://test.com/payload");
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, "http://test.com/payload")
  };
  apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(payload, mediaType) {
    const this$1 = this.apply__Lamf_core_model_document_PayloadFragment();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, payload).withMediaType__T__Lamf_core_model_document_PayloadFragment(mediaType)
  };
}
const $d_Lamf_core_model_document_PayloadFragment$ = new $TypeData().initClass({
  Lamf_core_model_document_PayloadFragment$: 0
}, false, "amf.core.model.document.PayloadFragment$", {
  Lamf_core_model_document_PayloadFragment$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_PayloadFragment$.prototype.$classData = $d_Lamf_core_model_document_PayloadFragment$;
let $n_Lamf_core_model_document_PayloadFragment$ = (void 0);
const $m_Lamf_core_model_document_PayloadFragment$ = (function() {
  if ((!$n_Lamf_core_model_document_PayloadFragment$)) {
    $n_Lamf_core_model_document_PayloadFragment$ = new $c_Lamf_core_model_document_PayloadFragment$().init___()
  };
  return $n_Lamf_core_model_document_PayloadFragment$
});
const $f_Lamf_core_model_domain_DynamicDomainElement__dynamicTypes__sc_Seq = (function($thiz) {
  const this$2 = $thiz.dynamicType__sci_List();
  const f = (function($this) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return x$1.iri__T()
    })
  })($thiz);
  const this$1 = $m_sci_List$();
  const bf = this$1.ReusableCBFInstance$2;
  if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
    if ((this$2 === $m_sci_Nil$())) {
      return $m_sci_Nil$()
    } else {
      const arg1 = this$2.head__O();
      const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
      let t = h;
      let rest = this$2.tail__O();
      while ((rest !== $m_sci_Nil$())) {
        const arg1$1 = rest.head__O();
        const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        rest = rest.tail__O()
      };
      return h
    }
  } else {
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1$2 = these.head__O();
      b.$$plus$eq__O__scm_Builder(f(arg1$2));
      these = these.tail__O()
    };
    return b.result__O()
  }
});
const $is_Lamf_core_model_domain_DynamicDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_DynamicDomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_DynamicDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_DynamicDomainElement)))
});
class $c_Lamf_core_model_domain_extensions_CustomDomainProperty$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_CustomDomainProperty(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_core_model_domain_extensions_CustomDomainProperty$ = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_CustomDomainProperty$: 0
}, false, "amf.core.model.domain.extensions.CustomDomainProperty$", {
  Lamf_core_model_domain_extensions_CustomDomainProperty$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_CustomDomainProperty$.prototype.$classData = $d_Lamf_core_model_domain_extensions_CustomDomainProperty$;
let $n_Lamf_core_model_domain_extensions_CustomDomainProperty$ = (void 0);
const $m_Lamf_core_model_domain_extensions_CustomDomainProperty$ = (function() {
  if ((!$n_Lamf_core_model_domain_extensions_CustomDomainProperty$)) {
    $n_Lamf_core_model_domain_extensions_CustomDomainProperty$ = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty$().init___()
  };
  return $n_Lamf_core_model_domain_extensions_CustomDomainProperty$
});
class $c_Lamf_core_model_domain_extensions_ShapeExtension$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_ShapeExtension(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_core_model_domain_extensions_ShapeExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_core_model_domain_extensions_ShapeExtension$ = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_ShapeExtension$: 0
}, false, "amf.core.model.domain.extensions.ShapeExtension$", {
  Lamf_core_model_domain_extensions_ShapeExtension$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_ShapeExtension$.prototype.$classData = $d_Lamf_core_model_domain_extensions_ShapeExtension$;
let $n_Lamf_core_model_domain_extensions_ShapeExtension$ = (void 0);
const $m_Lamf_core_model_domain_extensions_ShapeExtension$ = (function() {
  if ((!$n_Lamf_core_model_domain_extensions_ShapeExtension$)) {
    $n_Lamf_core_model_domain_extensions_ShapeExtension$ = new $c_Lamf_core_model_domain_extensions_ShapeExtension$().init___()
  };
  return $n_Lamf_core_model_domain_extensions_ShapeExtension$
});
class $c_Lamf_core_model_domain_templates_VariableValue$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_VariableValue(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_core_model_domain_templates_VariableValue().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_core_model_domain_templates_VariableValue$ = new $TypeData().initClass({
  Lamf_core_model_domain_templates_VariableValue$: 0
}, false, "amf.core.model.domain.templates.VariableValue$", {
  Lamf_core_model_domain_templates_VariableValue$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_templates_VariableValue$.prototype.$classData = $d_Lamf_core_model_domain_templates_VariableValue$;
let $n_Lamf_core_model_domain_templates_VariableValue$ = (void 0);
const $m_Lamf_core_model_domain_templates_VariableValue$ = (function() {
  if ((!$n_Lamf_core_model_domain_templates_VariableValue$)) {
    $n_Lamf_core_model_domain_templates_VariableValue$ = new $c_Lamf_core_model_domain_templates_VariableValue$().init___()
  };
  return $n_Lamf_core_model_domain_templates_VariableValue$
});
class $c_Lamf_core_parser_Range$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_parser_Range(serialized) {
    const this$2 = new $c_sci_StringOps().init___T("\\[\\(([0-9]*),([0-9]*)\\)-\\(([0-9]*),([0-9]*)\\)\\]");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    const Pattern = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    const o7 = Pattern.unapplySeq__jl_CharSequence__s_Option(serialized);
    let jsx$1;
    if ((!o7.isEmpty__Z())) {
      if ((o7.get__O() !== null)) {
        const this$4 = o7.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$4, 4) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$5 = o7.get__O();
      const l1 = $f_sc_LinearSeqOptimized__apply__I__O(this$5, 0);
      const this$6 = o7.get__O();
      const c1 = $f_sc_LinearSeqOptimized__apply__I__O(this$6, 1);
      const this$7 = o7.get__O();
      const l2 = $f_sc_LinearSeqOptimized__apply__I__O(this$7, 2);
      const this$8 = o7.get__O();
      const c2 = $f_sc_LinearSeqOptimized__apply__I__O(this$8, 3);
      const this$10 = new $c_sci_StringOps().init___T(l1);
      const this$12 = $m_jl_Integer$();
      const $$this$1 = this$10.repr$1;
      const _1$mcI$sp = this$12.parseInt__T__I__I($$this$1, 10);
      const this$14 = new $c_sci_StringOps().init___T(c1);
      const this$16 = $m_jl_Integer$();
      const $$this$2 = this$14.repr$1;
      const _2$mcI$sp = this$16.parseInt__T__I__I($$this$2, 10);
      const this$18 = new $c_sci_StringOps().init___T(l2);
      const this$20 = $m_jl_Integer$();
      const $$this$3 = this$18.repr$1;
      const _1$mcI$sp$1 = this$20.parseInt__T__I__I($$this$3, 10);
      const this$22 = new $c_sci_StringOps().init___T(c2);
      const this$24 = $m_jl_Integer$();
      const $$this$4 = this$22.repr$1;
      const _2$mcI$sp$1 = this$24.parseInt__T__I__I($$this$4, 10);
      return new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position(new $c_Lamf_core_parser_Position().init___I__I(_1$mcI$sp, _2$mcI$sp), new $c_Lamf_core_parser_Position().init___I__I(_1$mcI$sp$1, _2$mcI$sp$1))
    };
    throw new $c_s_MatchError().init___O(serialized)
  };
  apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(r) {
    return new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position(new $c_Lamf_core_parser_Position().init___I__I(r.lineFrom$1, r.columnFrom$1), new $c_Lamf_core_parser_Position().init___I__I(r.lineTo$1, r.columnTo$1))
  };
}
const $d_Lamf_core_parser_Range$ = new $TypeData().initClass({
  Lamf_core_parser_Range$: 0
}, false, "amf.core.parser.Range$", {
  Lamf_core_parser_Range$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Range$.prototype.$classData = $d_Lamf_core_parser_Range$;
let $n_Lamf_core_parser_Range$ = (void 0);
const $m_Lamf_core_parser_Range$ = (function() {
  if ((!$n_Lamf_core_parser_Range$)) {
    $n_Lamf_core_parser_Range$ = new $c_Lamf_core_parser_Range$().init___()
  };
  return $n_Lamf_core_parser_Range$
});
class $c_Lamf_core_parser_Reference$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__Lamf_core_parser_Reference(url, kind, node) {
    return new $c_Lamf_core_parser_Reference().init___T__sc_Seq(url, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_parser_RefContainer().init___Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(kind, node)])))
  };
}
const $d_Lamf_core_parser_Reference$ = new $TypeData().initClass({
  Lamf_core_parser_Reference$: 0
}, false, "amf.core.parser.Reference$", {
  Lamf_core_parser_Reference$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Reference$.prototype.$classData = $d_Lamf_core_parser_Reference$;
let $n_Lamf_core_parser_Reference$ = (void 0);
const $m_Lamf_core_parser_Reference$ = (function() {
  if ((!$n_Lamf_core_parser_Reference$)) {
    $n_Lamf_core_parser_Reference$ = new $c_Lamf_core_parser_Reference$().init___()
  };
  return $n_Lamf_core_parser_Reference$
});
class $c_Lamf_core_remote_Oas$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Oas$ = this;
    $f_Lamf_core_remote_Oas__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Oas__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  amf$core$remote$Oas$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  version__T() {
    return ""
  };
  amf$core$remote$Oas$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Oas$ = new $TypeData().initClass({
  Lamf_core_remote_Oas$: 0
}, false, "amf.core.remote.Oas$", {
  Lamf_core_remote_Oas$: 1,
  O: 1,
  Lamf_core_remote_Oas: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Oas$.prototype.$classData = $d_Lamf_core_remote_Oas$;
let $n_Lamf_core_remote_Oas$ = (void 0);
const $m_Lamf_core_remote_Oas$ = (function() {
  if ((!$n_Lamf_core_remote_Oas$)) {
    $n_Lamf_core_remote_Oas$ = new $c_Lamf_core_remote_Oas$().init___()
  };
  return $n_Lamf_core_remote_Oas$
});
class $c_Lamf_core_remote_Oas2$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Oas2$ = this;
    $f_Lamf_core_remote_Oas__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Oas__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  amf$core$remote$Oas$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  version__T() {
    return "2.0"
  };
  amf$core$remote$Oas$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Oas2$ = new $TypeData().initClass({
  Lamf_core_remote_Oas2$: 0
}, false, "amf.core.remote.Oas2$", {
  Lamf_core_remote_Oas2$: 1,
  O: 1,
  Lamf_core_remote_Oas: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Oas2$.prototype.$classData = $d_Lamf_core_remote_Oas2$;
let $n_Lamf_core_remote_Oas2$ = (void 0);
const $m_Lamf_core_remote_Oas2$ = (function() {
  if ((!$n_Lamf_core_remote_Oas2$)) {
    $n_Lamf_core_remote_Oas2$ = new $c_Lamf_core_remote_Oas2$().init___()
  };
  return $n_Lamf_core_remote_Oas2$
});
class $c_Lamf_core_remote_Oas3$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Oas3$ = this;
    $f_Lamf_core_remote_Oas__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Oas__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  amf$core$remote$Oas$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  version__T() {
    return "3.0.0"
  };
  amf$core$remote$Oas$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Oas3$ = new $TypeData().initClass({
  Lamf_core_remote_Oas3$: 0
}, false, "amf.core.remote.Oas3$", {
  Lamf_core_remote_Oas3$: 1,
  O: 1,
  Lamf_core_remote_Oas: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Oas3$.prototype.$classData = $d_Lamf_core_remote_Oas3$;
let $n_Lamf_core_remote_Oas3$ = (void 0);
const $m_Lamf_core_remote_Oas3$ = (function() {
  if ((!$n_Lamf_core_remote_Oas3$)) {
    $n_Lamf_core_remote_Oas3$ = new $c_Lamf_core_remote_Oas3$().init___()
  };
  return $n_Lamf_core_remote_Oas3$
});
class $c_Lamf_core_remote_Raml$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Raml$ = this;
    $f_Lamf_core_remote_Raml__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  version__T() {
    return ""
  };
  amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Raml$ = new $TypeData().initClass({
  Lamf_core_remote_Raml$: 0
}, false, "amf.core.remote.Raml$", {
  Lamf_core_remote_Raml$: 1,
  O: 1,
  Lamf_core_remote_Raml: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Raml$.prototype.$classData = $d_Lamf_core_remote_Raml$;
let $n_Lamf_core_remote_Raml$ = (void 0);
const $m_Lamf_core_remote_Raml$ = (function() {
  if ((!$n_Lamf_core_remote_Raml$)) {
    $n_Lamf_core_remote_Raml$ = new $c_Lamf_core_remote_Raml$().init___()
  };
  return $n_Lamf_core_remote_Raml$
});
class $c_Lamf_core_remote_Raml08$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Raml08$ = this;
    $f_Lamf_core_remote_Raml__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  version__T() {
    return "0.8"
  };
  amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Raml08$ = new $TypeData().initClass({
  Lamf_core_remote_Raml08$: 0
}, false, "amf.core.remote.Raml08$", {
  Lamf_core_remote_Raml08$: 1,
  O: 1,
  Lamf_core_remote_Raml: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Raml08$.prototype.$classData = $d_Lamf_core_remote_Raml08$;
let $n_Lamf_core_remote_Raml08$ = (void 0);
const $m_Lamf_core_remote_Raml08$ = (function() {
  if ((!$n_Lamf_core_remote_Raml08$)) {
    $n_Lamf_core_remote_Raml08$ = new $c_Lamf_core_remote_Raml08$().init___()
  };
  return $n_Lamf_core_remote_Raml08$
});
class $c_Lamf_core_remote_Raml10$ extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.defaultSyntax$1 = null
  };
  init___() {
    $n_Lamf_core_remote_Raml10$ = this;
    $f_Lamf_core_remote_Raml__$$init$__V(this);
    return this
  };
  isSameWithoutVersion__Lamf_core_remote_Vendor__Z(vendor) {
    return $f_Lamf_core_remote_Raml__isSameWithoutVersion__Lamf_core_remote_Vendor__Z(this, vendor)
  };
  amf$core$remote$Raml$$undsetter$und$name$und$eq__T__V(x$1) {
    this.name$1 = x$1
  };
  toString__T() {
    const thiz = this.name$1;
    return thiz.trim()
  };
  name__T() {
    return this.name$1
  };
  version__T() {
    return "1.0"
  };
  amf$core$remote$Raml$$undsetter$und$defaultSyntax$und$eq__Lamf_core_remote_Syntax$Syntax__V(x$1) {
    this.defaultSyntax$1 = x$1
  };
}
const $d_Lamf_core_remote_Raml10$ = new $TypeData().initClass({
  Lamf_core_remote_Raml10$: 0
}, false, "amf.core.remote.Raml10$", {
  Lamf_core_remote_Raml10$: 1,
  O: 1,
  Lamf_core_remote_Raml: 1,
  Lamf_core_remote_Vendor: 1
});
$c_Lamf_core_remote_Raml10$.prototype.$classData = $d_Lamf_core_remote_Raml10$;
let $n_Lamf_core_remote_Raml10$ = (void 0);
const $m_Lamf_core_remote_Raml10$ = (function() {
  if ((!$n_Lamf_core_remote_Raml10$)) {
    $n_Lamf_core_remote_Raml10$ = new $c_Lamf_core_remote_Raml10$().init___()
  };
  return $n_Lamf_core_remote_Raml10$
});
class $c_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$ extends $c_O {
  constructor() {
    super();
    this.payloadMediaType$1 = null;
    this.ID$1 = null
  };
  init___() {
    $n_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$ = this;
    this.payloadMediaType$1 = $m_sci_Nil$();
    this.ID$1 = "Any match";
    return this
  };
  canValidate__Lamf_core_model_domain_Shape__Z(shape) {
    return false
  };
  ID__T() {
    return this.ID$1
  };
  dependencies__sc_Seq() {
    return $m_sci_Nil$()
  };
  validateSet__Lamf_core_validation_ValidationShapeSet__s_concurrent_Future(set) {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, set$1) {
      return (function() {
        const jsx$3 = set$1.candidates$1;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, set$1$1) {
          return (function(c$2) {
            const c = c$2;
            const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported validation for mediatype: ", " and shape ", ""]));
            const this$1 = c.payload$1;
            const message = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().MediaType$1), c.shape$1.id$1]));
            const level = set$1$1.defaultSeverity$1;
            const this$2 = c.payload$1;
            const targetNode = this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1).id$1;
            const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
            const targetProperty = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "value").iri__T());
            const validationId = ((set$1$1.defaultSeverity$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1) ? $m_Lamf_plugins_features_validation_ParserSideValidations$().UnsupportedExampleMediaTypeErrorSpecification$1.id__T() : $m_Lamf_plugins_features_validation_ParserSideValidations$().UnsupportedExampleMediaTypeWarningSpecification$1.id__T());
            const this$5 = c.payload$1;
            const position = this$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
            return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, null)
          })
        })($this, set$1));
        const this$7 = $m_sc_Seq$();
        const results = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((set$1.defaultSeverity$1 === $m_Lamf_core_validation_SeverityLevels$().WARNING$1), "", "Payload", results)
      })
    })(this, set)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  parsePayload__T__T__Lamf_core_model_document_PayloadFragment(payload, mediaType) {
    return $m_Lamf_core_model_document_PayloadFragment$().apply__T__T__Lamf_core_model_document_PayloadFragment(payload, mediaType)
  };
  payloadMediaType__sc_Seq() {
    return this.payloadMediaType$1
  };
}
const $d_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$ = new $TypeData().initClass({
  Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$: 0
}, false, "amf.core.services.PayloadValidator$AnyMatchPayloadPlugin$", {
  Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$: 1,
  O: 1,
  Lamf_core_plugins_AMFPayloadValidationPlugin: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$.prototype.$classData = $d_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$;
let $n_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$ = (void 0);
const $m_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$ = (function() {
  if ((!$n_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$)) {
    $n_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$ = new $c_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$().init___()
  };
  return $n_Lamf_core_services_PayloadValidator$AnyMatchPayloadPlugin$
});
class $c_Lamf_core_utils_package$QName$ extends $c_O {
  constructor() {
    super();
    this.Empty$1 = null
  };
  init___() {
    $n_Lamf_core_utils_package$QName$ = this;
    this.Empty$1 = new $c_Lamf_core_utils_package$QName().init___T__T("", "");
    return this
  };
  apply__T__Lamf_core_utils_package$QName(fqn) {
    const thiz = new $c_Lamf_core_utils_package$Strings().init___T(fqn).notNull__T();
    const x = thiz.trim();
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      const x1 = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(fqn, 46);
      switch (x1) {
        case (-1): {
          return new $c_Lamf_core_utils_package$QName().init___T__T("", fqn);
          break
        }
        default: {
          const jsx$1 = fqn.substring(0, x1);
          const beginIndex = ((1 + x1) | 0);
          return new $c_Lamf_core_utils_package$QName().init___T__T(jsx$1, fqn.substring(beginIndex))
        }
      }
    } else {
      return this.Empty$1
    }
  };
}
const $d_Lamf_core_utils_package$QName$ = new $TypeData().initClass({
  Lamf_core_utils_package$QName$: 0
}, false, "amf.core.utils.package$QName$", {
  Lamf_core_utils_package$QName$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_utils_package$QName$.prototype.$classData = $d_Lamf_core_utils_package$QName$;
let $n_Lamf_core_utils_package$QName$ = (void 0);
const $m_Lamf_core_utils_package$QName$ = (function() {
  if ((!$n_Lamf_core_utils_package$QName$)) {
    $n_Lamf_core_utils_package$QName$ = new $c_Lamf_core_utils_package$QName$().init___()
  };
  return $n_Lamf_core_utils_package$QName$
});
class $c_Lamf_core_validation_AMFValidationResult$ extends $c_O {
  init___() {
    return this
  };
  fromSHACLValidation__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_AMFValidationResult(model, message, level, validation) {
    const id = validation.focusNode__T();
    const x1 = $f_Lamf_core_model_document_BaseUnit__findById__T__s_Option(model, id);
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node with validation error ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validation.focusNode__T()]))))
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const node = x2.value$2;
      const position = this.findPosition__Lamf_core_model_domain_DomainElement__Lamf_core_validation_core_ValidationResult__s_Option(node, validation);
      const targetNode = node.id__T();
      const targetProperty = $m_s_Option$().apply__O__s_Option(validation.path__T());
      const validationId = validation.sourceShape__T();
      return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, validation)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  findPosition__Lamf_core_model_domain_DomainElement__Lamf_core_validation_core_ValidationResult__s_Option(node, validation) {
    if (($m_s_Option$().apply__O__s_Option(validation.path__T()).isDefined__Z() && (validation.path__T() !== ""))) {
      const this$1 = node.fields__Lamf_core_parser_Fields();
      const this$4 = this$1.fs$1;
      const this$2 = $m_Lamf_core_parser_FieldEntry$();
      const f = $f_F2__tupled__F1(this$2);
      const this$3 = $m_sci_Iterable$();
      const bf = this$3.ReusableCBFInstance$2;
      const x1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validation$1) {
        return (function(f$2) {
          const f$1 = f$2;
          return (f$1.field$1.value$1.iri__T() === validation$1.path__T())
        })
      })(this, validation)));
      let foundPosition;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const f$3 = x2.value$2;
        const this$5 = f$3.value$1.value$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$5.isEmpty__Z()) {
          const this$6 = f$3.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
          if (this$6.isEmpty__Z()) {
            const x1$1 = f$3.value$1.value$1;
            matchEnd4: {
              if ($is_Lamf_core_model_domain_AmfArray(x1$1)) {
                const x2$1 = x1$1;
                if (x2$1.values$1.nonEmpty__Z()) {
                  foundPosition = x2$1.values$1.head__O().annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
                  break matchEnd4
                }
              };
              foundPosition = node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
            }
          } else {
            foundPosition = this$6
          }
        } else {
          foundPosition = this$5
        }
      } else {
        foundPosition = node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
      };
      return foundPosition
    } else {
      return node.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf())
    }
  };
}
const $d_Lamf_core_validation_AMFValidationResult$ = new $TypeData().initClass({
  Lamf_core_validation_AMFValidationResult$: 0
}, false, "amf.core.validation.AMFValidationResult$", {
  Lamf_core_validation_AMFValidationResult$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_AMFValidationResult$.prototype.$classData = $d_Lamf_core_validation_AMFValidationResult$;
let $n_Lamf_core_validation_AMFValidationResult$ = (void 0);
const $m_Lamf_core_validation_AMFValidationResult$ = (function() {
  if ((!$n_Lamf_core_validation_AMFValidationResult$)) {
    $n_Lamf_core_validation_AMFValidationResult$ = new $c_Lamf_core_validation_AMFValidationResult$().init___()
  };
  return $n_Lamf_core_validation_AMFValidationResult$
});
class $c_Lamf_core_validation_ValidationShapeSet$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment__Lamf_core_validation_ValidationShapeSet(shape, payload) {
    return new $c_Lamf_core_validation_ValidationShapeSet().init___sc_Seq__T($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_validation_ValidationCandidate().init___Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment(shape, payload)])), $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)
  };
}
const $d_Lamf_core_validation_ValidationShapeSet$ = new $TypeData().initClass({
  Lamf_core_validation_ValidationShapeSet$: 0
}, false, "amf.core.validation.ValidationShapeSet$", {
  Lamf_core_validation_ValidationShapeSet$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_ValidationShapeSet$.prototype.$classData = $d_Lamf_core_validation_ValidationShapeSet$;
let $n_Lamf_core_validation_ValidationShapeSet$ = (void 0);
const $m_Lamf_core_validation_ValidationShapeSet$ = (function() {
  if ((!$n_Lamf_core_validation_ValidationShapeSet$)) {
    $n_Lamf_core_validation_ValidationShapeSet$ = new $c_Lamf_core_validation_ValidationShapeSet$().init___()
  };
  return $n_Lamf_core_validation_ValidationShapeSet$
});
class $c_Lamf_core_validation_core_ValidationSpecification$ extends $c_O {
  constructor() {
    super();
    this.PARSER$undSIDE$undVALIDATION$1 = null
  };
  init___() {
    $n_Lamf_core_validation_core_ValidationSpecification$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PARSER$undSIDE$undVALIDATION$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParserShape").iri__T();
    return this
  };
}
const $d_Lamf_core_validation_core_ValidationSpecification$ = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationSpecification$: 0
}, false, "amf.core.validation.core.ValidationSpecification$", {
  Lamf_core_validation_core_ValidationSpecification$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_ValidationSpecification$.prototype.$classData = $d_Lamf_core_validation_core_ValidationSpecification$;
let $n_Lamf_core_validation_core_ValidationSpecification$ = (void 0);
const $m_Lamf_core_validation_core_ValidationSpecification$ = (function() {
  if ((!$n_Lamf_core_validation_core_ValidationSpecification$)) {
    $n_Lamf_core_validation_core_ValidationSpecification$ = new $c_Lamf_core_validation_core_ValidationSpecification$().init___()
  };
  return $n_Lamf_core_validation_core_ValidationSpecification$
});
class $c_Lamf_core_vocabulary_Namespace$ extends $c_O {
  constructor() {
    super();
    this.Document$1 = null;
    this.Http$1 = null;
    this.Security$1 = null;
    this.Shapes$1 = null;
    this.Data$1 = null;
    this.SourceMaps$1 = null;
    this.Shacl$1 = null;
    this.Schema$1 = null;
    this.Hydra$1 = null;
    this.Xsd$1 = null;
    this.AnonShapes$1 = null;
    this.Rdf$1 = null;
    this.WihtoutNamespace$1 = null;
    this.Meta$1 = null;
    this.Owl$1 = null;
    this.Rdfs$1 = null;
    this.AmfParser$1 = null;
    this.AmfValidation$1 = null;
    this.ns$1 = null
  };
  init___() {
    $n_Lamf_core_vocabulary_Namespace$ = this;
    this.Document$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/document#");
    this.Http$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/http#");
    this.Security$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/security#");
    this.Shapes$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/shapes#");
    this.Data$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/data#");
    this.SourceMaps$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/document-source-maps#");
    this.Shacl$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/ns/shacl#");
    this.Schema$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://schema.org/");
    this.Hydra$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/ns/hydra/core#");
    this.Xsd$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/2001/XMLSchema#");
    this.AnonShapes$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/shapes/anon#");
    this.Rdf$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/1999/02/22-rdf-syntax-ns#");
    this.WihtoutNamespace$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("");
    this.Meta$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/meta#");
    this.Owl$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/2002/07/owl#");
    this.Rdfs$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://www.w3.org/2000/01/rdf-schema#");
    this.AmfParser$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/amf/parser#");
    this.AmfValidation$1 = new $c_Lamf_core_vocabulary_Namespace().init___T("http://raml.org/vocabularies/amf/validation#");
    const y = this.Rdf$1;
    const jsx$18 = new $c_T2().init___O__O("rdf", y);
    const y$1 = this.Shacl$1;
    const jsx$17 = new $c_T2().init___O__O("sh", y$1);
    const y$2 = this.Shacl$1;
    const jsx$16 = new $c_T2().init___O__O("shacl", y$2);
    const y$3 = this.Security$1;
    const jsx$15 = new $c_T2().init___O__O("security", y$3);
    const y$4 = this.Schema$1;
    const jsx$14 = new $c_T2().init___O__O("schema-org", y$4);
    const y$5 = this.Schema$1;
    const jsx$13 = new $c_T2().init___O__O("schema", y$5);
    const y$6 = this.Http$1;
    const jsx$12 = new $c_T2().init___O__O("raml-http", y$6);
    const y$7 = this.Http$1;
    const jsx$11 = new $c_T2().init___O__O("http", y$7);
    const y$8 = this.Document$1;
    const jsx$10 = new $c_T2().init___O__O("raml-doc", y$8);
    const y$9 = this.Document$1;
    const jsx$9 = new $c_T2().init___O__O("doc", y$9);
    const y$10 = this.Xsd$1;
    const jsx$8 = new $c_T2().init___O__O("xsd", y$10);
    const y$11 = this.AmfParser$1;
    const jsx$7 = new $c_T2().init___O__O("amf-parser", y$11);
    const y$12 = this.Hydra$1;
    const jsx$6 = new $c_T2().init___O__O("hydra", y$12);
    const y$13 = this.Shapes$1;
    const jsx$5 = new $c_T2().init___O__O("raml-shapes", y$13);
    const y$14 = this.Data$1;
    const jsx$4 = new $c_T2().init___O__O("data", y$14);
    const y$15 = this.SourceMaps$1;
    const jsx$3 = new $c_T2().init___O__O("sourcemaps", y$15);
    const y$16 = this.Meta$1;
    const jsx$2 = new $c_T2().init___O__O("meta", y$16);
    const y$17 = this.Owl$1;
    const jsx$1 = new $c_T2().init___O__O("owl", y$17);
    const y$18 = this.Rdfs$1;
    const array = [jsx$18, jsx$17, jsx$16, jsx$15, jsx$14, jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("rdfs", y$18)];
    const this$40 = new $c_scm_HashMap().init___();
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$40.$$plus$eq__T2__scm_HashMap(arg1);
      i = ((1 + i) | 0)
    };
    this.ns$1 = this$40;
    return this
  };
  compactAndCollect__T__scm_Map__T(uri, prefixes) {
    const this$1 = this.ns$1;
    const this$2 = this$1.iterator__sc_Iterator();
    let x1;
    inlinereturn$3: {
      while (this$2.hasNext__Z()) {
        const a = this$2.next__O();
        const x0$2 = a;
        if ((x0$2 === null)) {
          throw new $c_s_MatchError().init___O(x0$2)
        };
        const namespace = x0$2.$$und2__O();
        const str = namespace.base$1;
        if (((uri.indexOf(str) | 0) === 0)) {
          x1 = new $c_s_Some().init___O(a);
          break inlinereturn$3
        }
      };
      x1 = $m_s_None$()
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const p3 = x2.value$2;
      if ((p3 !== null)) {
        const prefix = p3.$$und1__O();
        const namespace$1 = p3.$$und2__O();
        prefixes.put__O__O__s_Option(prefix, namespace$1.base$1);
        const this$9 = new $c_sci_StringOps().init___T(prefix);
        const target = namespace$1.base$1;
        const x = uri.split(target).join(":");
        const that = new $c_sci_StringOps().init___T(x);
        const bf = $m_s_Predef$().StringCanBuildFrom$2;
        return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this$9, that, bf)
      }
    };
    const x$1 = $m_s_None$();
    if ((x$1 === x1)) {
      return uri
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  uri__T__Lamf_core_vocabulary_ValueType(s) {
    if (((s.indexOf(":") | 0) > (-1))) {
      return this.expand__T__Lamf_core_vocabulary_ValueType(s)
    } else {
      const this$3 = this.ns$1;
      const this$4 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$3);
      const this$5 = this$4.$$outer$3.valuesIterator__sc_Iterator();
      let x1;
      inlinereturn$7: {
        while (this$5.hasNext__Z()) {
          const a = this$5.next__O();
          const n = a;
          const str = n.base$1;
          if (((s.indexOf(str) | 0) === 0)) {
            x1 = new $c_s_Some().init___O(a);
            break inlinereturn$7
          }
        };
        x1 = $m_s_None$()
      };
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const foundNs = x2.value$2;
        const regex = foundNs.base$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(s, regex, 0);
        const this$10 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const name = $f_sc_IndexedSeqOptimized__last__O(this$10);
        return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(foundNs, name)
      } else {
        return $m_Lamf_core_vocabulary_ValueType$().apply__T__Lamf_core_vocabulary_ValueType(s)
      }
    }
  };
  registerNamespace__T__T__s_Option(alias, prefix) {
    return this.ns$1.put__O__O__s_Option(alias, new $c_Lamf_core_vocabulary_Namespace().init___T(prefix))
  };
  expand__T__Lamf_core_vocabulary_ValueType(uri) {
    if ((((uri.length | 0) >= 0) && (uri.substring(0, ("http://".length | 0)) === "http://"))) {
      return $m_Lamf_core_vocabulary_ValueType$().apply__T__Lamf_core_vocabulary_ValueType(uri)
    } else {
      const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(uri, ":", 0);
      const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1);
      if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(2) === 0)))) {
        const prefix = o7.get__O().apply__I__O(0);
        const postfix = o7.get__O().apply__I__O(1);
        const x1$2 = this.ns$1.get__O__s_Option(prefix);
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const n = x2.value$2;
          return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(n, postfix)
        } else {
          return $m_Lamf_core_vocabulary_ValueType$().apply__T__Lamf_core_vocabulary_ValueType(uri)
        }
      };
      return $m_Lamf_core_vocabulary_ValueType$().apply__T__Lamf_core_vocabulary_ValueType(uri)
    }
  };
  find__T__Lamf_core_vocabulary_Namespace(uri) {
    if ((uri === "http://raml.org/vocabularies/document")) {
      return this.Document$1
    } else if ((uri === "http://raml.org/vocabularies/http")) {
      return this.Http$1
    } else if ((uri === "http://raml.org/vocabularies/security")) {
      return this.Security$1
    } else if ((uri === "http://raml.org/vocabularies/shapes")) {
      return this.Shapes$1
    } else if ((uri === "http://raml.org/vocabularies/data")) {
      return this.Data$1
    } else if ((uri === "http://raml.org/vocabularies/document-source-maps")) {
      return this.SourceMaps$1
    } else if ((uri === "http://www.w3.org/ns/shacl")) {
      return this.Shacl$1
    } else if ((uri === "http://schema.org/")) {
      return this.Schema$1
    } else if ((uri === "http://www.w3.org/ns/hydra/core")) {
      return this.Hydra$1
    } else if ((uri === "http://www.w3.org/2001/XMLSchema")) {
      return this.Xsd$1
    } else if ((uri === "http://raml.org/vocabularies/shapes/anon")) {
      return this.AnonShapes$1
    } else if ((uri === "http://www.w3.org/1999/02/22-rdf-syntax-ns")) {
      return this.Rdf$1
    } else if ((uri === "")) {
      return this.WihtoutNamespace$1
    } else if ((uri === "http://raml.org/vocabularies/meta")) {
      return this.Meta$1
    } else if ((uri === "http://www.w3.org/2002/07/owl")) {
      return this.Owl$1
    } else if ((uri === "http://www.w3.org/2000/01/rdf-schema")) {
      return this.Rdfs$1
    } else if ((uri === "http://raml.org/vocabularies/amf/parser")) {
      return this.AmfParser$1
    } else {
      throw new $c_s_MatchError().init___O(uri)
    }
  };
}
const $d_Lamf_core_vocabulary_Namespace$ = new $TypeData().initClass({
  Lamf_core_vocabulary_Namespace$: 0
}, false, "amf.core.vocabulary.Namespace$", {
  Lamf_core_vocabulary_Namespace$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_Namespace$.prototype.$classData = $d_Lamf_core_vocabulary_Namespace$;
let $n_Lamf_core_vocabulary_Namespace$ = (void 0);
const $m_Lamf_core_vocabulary_Namespace$ = (function() {
  if ((!$n_Lamf_core_vocabulary_Namespace$)) {
    $n_Lamf_core_vocabulary_Namespace$ = new $c_Lamf_core_vocabulary_Namespace$().init___()
  };
  return $n_Lamf_core_vocabulary_Namespace$
});
class $c_Lamf_core_vocabulary_ValueType$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lamf_core_vocabulary_ValueType(iri) {
    if (((iri.indexOf("#") | 0) !== (-1))) {
      const pair = $m_sjsr_RuntimeString$().split__T__T__I__AT(iri, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(pair);
      const name = $f_sc_IndexedSeqOptimized__last__O(this$6);
      const this$8 = new $c_scm_ArrayOps$ofRef().init___AO(pair);
      const ns = ($f_sc_IndexedSeqOptimized__head__O(this$8) + "#");
      return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(new $c_Lamf_core_vocabulary_Namespace().init___T(ns), name)
    } else {
      const thiz = iri.split("://").join("_");
      if (((thiz.indexOf("/") | 0) !== (-1))) {
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(iri, "/", 0);
        const this$16 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const name$2 = $f_sc_IndexedSeqOptimized__last__O(this$16);
        const ns$2 = iri.split(name$2).join("");
        return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(new $c_Lamf_core_vocabulary_Namespace().init___T(ns$2), name$2)
      } else {
        return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(new $c_Lamf_core_vocabulary_Namespace().init___T(iri), "")
      }
    }
  };
}
const $d_Lamf_core_vocabulary_ValueType$ = new $TypeData().initClass({
  Lamf_core_vocabulary_ValueType$: 0
}, false, "amf.core.vocabulary.ValueType$", {
  Lamf_core_vocabulary_ValueType$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_ValueType$.prototype.$classData = $d_Lamf_core_vocabulary_ValueType$;
let $n_Lamf_core_vocabulary_ValueType$ = (void 0);
const $m_Lamf_core_vocabulary_ValueType$ = (function() {
  if ((!$n_Lamf_core_vocabulary_ValueType$)) {
    $n_Lamf_core_vocabulary_ValueType$ = new $c_Lamf_core_vocabulary_ValueType$().init___()
  };
  return $n_Lamf_core_vocabulary_ValueType$
});
class $c_Lamf_plugins_document_graph_AMFGraphPlugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.vendors$2 = null;
    this.allowRecursiveReferences$2 = false
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_graph_AMFGraphPlugin$ = this;
    this.ID$2 = "AMF Graph";
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMF JSON-LD", "AMF Graph"]));
    this.allowRecursiveReferences$2 = true;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    return new $c_Lamf_core_resolution_pipelines_BasicResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    return true
  };
  modelEntities__sc_Seq() {
    return $m_sci_Nil$()
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/ld+json", "application/json", "application/amf+json"]))
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return $m_Lamf_plugins_document_graph_parser_GraphDependenciesReferenceHandler$()
  };
  ID__T() {
    return this.ID$2
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Some(unit, options) {
    return new $c_s_Some().init___O($m_Lamf_plugins_document_graph_parser_GraphEmitter$().emit__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lorg_yaml_model_YDocument(unit, options))
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(root, ctx, platform) {
    return new $c_s_Some().init___O($m_Lamf_plugins_document_graph_parser_GraphParser$().apply__Lamf_core_remote_Platform__Lamf_plugins_document_graph_parser_GraphParser(platform).parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(root.parsed$1.document$1, root.location$1))
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    return this.unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Some(unit, options)
  };
  canParse__Lamf_core_Root__Z(root) {
    const node = root.parsed$1.document$1.node$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node);
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$3 = $m_sc_IndexedSeq$();
    const bf = this$3.ReusableCBF$6;
    const maybeMaps = jsx$1.toOption__Lorg_yaml_convert_YRead__s_Option(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf));
    let maybeMap;
    if (maybeMaps.isEmpty__Z()) {
      maybeMap = $m_s_None$()
    } else {
      const arg1 = maybeMaps.get__O();
      const s = arg1;
      maybeMap = s.headOption__s_Option()
    };
    if ($is_s_Some(maybeMap)) {
      const x2 = maybeMap;
      const m = x2.value$2;
      if ((m !== null)) {
        let jsx$2;
        if ((new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("@id").isDefined__Z() || new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("@type").isDefined__Z())) {
          jsx$2 = true
        } else {
          const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
          jsx$2 = jsx$3.key__T__s_Option(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "encodes").iri__T()).isDefined__Z()
        };
        if (jsx$2) {
          return true
        } else {
          const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m);
          const this$10 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
          return jsx$4.key__T__s_Option(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$10, "declares").iri__T()).isDefined__Z()
        }
      }
    };
    return false
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, ctx, platform) {
    return this.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(document, ctx, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_Lamf_plugins_document_graph_AMFGraphPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_graph_AMFGraphPlugin$: 0
}, false, "amf.plugins.document.graph.AMFGraphPlugin$", {
  Lamf_plugins_document_graph_AMFGraphPlugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_document_graph_AMFGraphPlugin$.prototype.$classData = $d_Lamf_plugins_document_graph_AMFGraphPlugin$;
let $n_Lamf_plugins_document_graph_AMFGraphPlugin$ = (void 0);
const $m_Lamf_plugins_document_graph_AMFGraphPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_graph_AMFGraphPlugin$)) {
    $n_Lamf_plugins_document_graph_AMFGraphPlugin$ = new $c_Lamf_plugins_document_graph_AMFGraphPlugin$().init___()
  };
  return $n_Lamf_plugins_document_graph_AMFGraphPlugin$
});
class $c_Lamf_plugins_document_vocabularies_DialectHeader$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_Root__Z(root) {
    const x1 = root.parsed$1.comment$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const comment = x2.value$2;
      if ((comment !== null)) {
        const x1$2 = comment.metaText$3;
        return ((((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%Vocabulary 1.0".length | 0)) === "%Vocabulary 1.0")) || ((((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%Dialect 1.0".length | 0)) === "%Dialect 1.0")) || ((!(((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%RAML 1.0".length | 0)) === "%RAML 1.0"))) && ((!(((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%RAML 0.8".length | 0)) === "%RAML 0.8"))) && (((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("%".length | 0)) === "%"))))))
      }
    };
    const x1$3 = $f_Lamf_plugins_document_vocabularies_JsonHeaderExtractor__dialect__Lamf_core_Root__s_Option(this, root);
    return $is_s_Some(x1$3)
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectHeader$: 0
}, false, "amf.plugins.document.vocabularies.DialectHeader$", {
  Lamf_plugins_document_vocabularies_DialectHeader$: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_RamlHeaderExtractor: 1,
  Lamf_plugins_document_vocabularies_JsonHeaderExtractor: 1
});
$c_Lamf_plugins_document_vocabularies_DialectHeader$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectHeader$;
let $n_Lamf_plugins_document_vocabularies_DialectHeader$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_DialectHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_DialectHeader$)) {
    $n_Lamf_plugins_document_vocabularies_DialectHeader$ = new $c_Lamf_plugins_document_vocabularies_DialectHeader$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_DialectHeader$
});
class $c_Lamf_plugins_document_vocabularies_DialectsRegistry extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.platform$1 = null
  };
  findNode__T__s_Option(dialectNode) {
    const this$1 = this.map$1;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    const this$3 = this$2.$$outer$3.valuesIterator__sc_Iterator();
    let this$7;
    inlinereturn$6: {
      while (this$3.hasNext__Z()) {
        const a = this$3.next__O();
        const dialect = a;
        const s = dialect.id$1;
        if (((dialectNode.indexOf(s) | 0) !== (-1))) {
          this$7 = new $c_s_Some().init___O(a);
          break inlinereturn$6
        }
      };
      this$7 = $m_s_None$()
    };
    let xo;
    if (this$7.isEmpty__Z()) {
      xo = $m_s_None$()
    } else {
      const arg1 = this$7.get__O();
      const dialect$3 = arg1;
      xo = new $c_s_Some().init___O(new $c_T2().init___O__O(dialect$3, dialect$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialectNode$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return (x$1.id__T() === dialectNode$1)
        })
      })(this, dialectNode)))))
    };
    const this$9 = xo.toList__sci_List();
    const pf = new $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4().init___Lamf_plugins_document_vocabularies_DialectsRegistry(this);
    return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$9, pf)
  };
  registerDialect__T__T__Lamf_internal_environment_Environment__s_concurrent_Future(url, code, env) {
    return this.registerDialect__T__Lamf_internal_environment_Environment__s_concurrent_Future(url, env.add__Lamf_internal_resource_ResourceLoader__Lamf_internal_environment_Environment(new $c_Lamf_internal_resource_StringResourceLoader().init___T__T(url, code)))
  };
  init___() {
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    this.map$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  dialectFor__Lamf_plugins_document_vocabularies_model_document_DialectInstance__s_Option(instance) {
    const this$1 = instance.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1).option$1;
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const id = arg1;
      const this$2 = this.map$1;
      const this$3 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$2);
      const this$4 = this$3.$$outer$3.valuesIterator__sc_Iterator();
      while (this$4.hasNext__Z()) {
        const a = this$4.next__O();
        const x$2 = a;
        if ((x$2.id$1 === id)) {
          return new $c_s_Some().init___O(a)
        }
      };
      return $m_s_None$()
    }
  };
  buildMetaModel__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel(nodeMapping, dialect) {
    const nodeType = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
    const jsx$2 = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.toField__Lamf_core_metamodel_Field()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const fields = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$4 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1);
    const jsx$3 = new $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3().init___Lamf_plugins_document_vocabularies_DialectsRegistry(this);
    const this$2 = $m_sc_Seq$();
    const mapPropertiesInDomain = jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).flatten__F1__sc_GenTraversable($m_s_Predef$().singleton$und$less$colon$less$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, nodeMapping$1) {
      return (function(prop$2) {
        const prop = prop$2;
        return prop.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, nodeMapping$1$1) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            const this$3 = x$5.option$1;
            return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === nodeMapping$1$1.id$1)
          })
        })(this$2$1, nodeMapping$1)))
      })
    })(this, nodeMapping)));
    const jsx$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return x$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const jsx$8 = mapPropertiesInDomain.map__F1__scg_CanBuildFrom__O(jsx$9, this$4.ReusableCBFInstance$2).distinct__O();
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(iri$2) {
        const iri = iri$2;
        const jsx$7 = $m_Lamf_core_metamodel_Type$Str$();
        const jsx$6 = $m_Lamf_core_vocabulary_ValueType$();
        const this$5 = iri.option$1;
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, jsx$6.apply__T__Lamf_core_vocabulary_ValueType((this$5.isEmpty__Z() ? null : this$5.get__O())), true)
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    const mapPropertiesFields = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$5, this$6.ReusableCBFInstance$2);
    const this$7 = nodeType.option$1;
    const jsx$10 = (this$7.isEmpty__Z() ? null : this$7.get__O());
    const this$8 = $m_sc_Seq$();
    return new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel().init___T__sc_Seq__s_Option(jsx$10, fields.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(mapPropertiesFields, this$8.ReusableCBFInstance$2), new $c_s_Some().init___O(nodeMapping))
  };
  buildType__Lamf_core_metamodel_Obj__s_Option(modelType) {
    if ($is_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel(modelType)) {
      const x2 = modelType;
      const reviver = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
        return (function(annotations$2) {
          const annotations = annotations$2;
          const x1 = x2$1.nodeMapping$1;
          if ($is_s_Some(x1)) {
            const x2$2 = x1;
            const nodeMapping = x2$2.value$2;
            return new $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations).withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$1.typeIri$1, nodeMapping.id$1]))).withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(nodeMapping)
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for dialectModel ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$1]))))
          }
        })
      })(this, x2));
      return new $c_s_Some().init___O(reviver)
    } else {
      return $m_s_None$()
    }
  };
  findType__T__s_Option(typeString) {
    const this$1 = this.map$1;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    const this$3 = this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
    const jsx$2 = this$3.distinct__sci_Stream();
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1().init___Lamf_plugins_document_vocabularies_DialectsRegistry__T(this, typeString);
    const this$4 = $m_sc_Seq$();
    const this$5 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    const pf = new $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2().init___Lamf_plugins_document_vocabularies_DialectsRegistry(this);
    const foundMapping = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$5, pf);
    if ($is_s_Some(foundMapping)) {
      const x2 = foundMapping;
      const p3 = x2.value$2;
      if ((p3 !== null)) {
        const dialect = p3.$$und1__O();
        const nodeMapping = p3.$$und2__O();
        if ((dialect !== null)) {
          if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
            const x5 = nodeMapping;
            return new $c_s_Some().init___O(this.buildMetaModel__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel(x5, dialect))
          }
        }
      }
    };
    return $m_s_None$()
  };
  knowsDialectInstance__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Z(instance) {
    return this.dialectFor__Lamf_plugins_document_vocabularies_model_document_DialectInstance__s_Option(instance).isDefined__Z()
  };
  allDialects__sc_Seq() {
    const this$1 = this.map$1;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  register__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_DialectsRegistry(dialect) {
    dialect.allHeaders__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialect$1) {
      return (function(header$2) {
        const header = header$2;
        $this.map$1 = $this.map$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(header, dialect$1))
      })
    })(this, dialect)));
    return this
  };
  registerDialect__T__Lamf_internal_environment_Environment__s_concurrent_Future(uri, environment) {
    const x1 = this.map$1.get__O__s_Option(uri);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const dialect = x2.value$2;
      return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, dialect$1) {
        return (function() {
          return dialect$1
        })
      })(this, dialect)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      const this$6 = $m_Lamf_core_services_RuntimeValidator$();
      const f = (function(this$2, uri$1, environment$1) {
        return (function(reenable$2) {
          const reenable = reenable$2;
          const x$8 = new $c_s_Some().init___O("application/yaml");
          const x$9 = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().ID$2;
          const x$10 = $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context(this$2.platform$1);
          $m_Lamf_core_services_RuntimeCompiler$();
          const x$12 = $m_Lamf_core_parser_UnspecifiedReference$();
          $m_Lamf_core_services_RuntimeCompiler$();
          const x$13 = new $c_Lamf_core_remote_Cache().init___();
          $m_Lamf_core_services_RuntimeCompiler$();
          const x$14 = $m_s_None$();
          return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(uri$1, x$8, x$9, x$10, x$12, x$13, x$14, environment$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, reenable$1) {
            return (function(x0$2$2) {
              const x0$2 = x0$2$2;
              if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(x0$2)) {
                const x2$1 = x0$2;
                reenable$1.apply__O();
                $this$1.register__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_DialectsRegistry(x2$1);
                return x2$1
              } else {
                throw new $c_s_MatchError().init___O(x0$2)
              }
            })
          })(this$2, reenable)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })(this, uri, environment);
      const this$7 = this$6.validator__p1__Lamf_core_services_RuntimeValidator();
      if (this$7.enabled$1) {
        this$7.enabled$1 = false;
        try {
          const arg1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$2) {
            return (function() {
              $this$2.enabled$1 = true
            })
          })(this$7));
          return f(arg1)
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ($is_jl_Exception(e$2)) {
            const e$3 = e$2;
            this$7.enabled$1 = true;
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$3)
          } else {
            throw e
          }
        }
      } else {
        const arg1$1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1) {
          return (function() {
            return (void 0)
          })
        })(this$7));
        return f(arg1$1)
      }
    }
  };
  headerKey__T__T(header) {
    const thiz = header.trim();
    return thiz.split(" ").join("")
  };
  knowsHeader__T__Z(header) {
    return ((((header === "%Vocabulary 1.0") || (header === "%Dialect 1.0")) || (header === "%Library / Dialect 1.0")) || this.map$1.contains__O__Z(this.headerKey__T__T(header)))
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectsRegistry = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectsRegistry: 0
}, false, "amf.plugins.document.vocabularies.DialectsRegistry", {
  Lamf_plugins_document_vocabularies_DialectsRegistry: 1,
  O: 1,
  Lamf_core_registries_AMFDomainEntityResolver: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_vocabularies_DialectsRegistry.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectsRegistry;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.ordering$2$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__Lamf_core_emitter_SpecOrdering($$outer, ordering$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.ordering$2$1 = ordering$2;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("external");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$2$1;
    const this$3 = this.$$outer$1.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
    const jsx$2 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(external$2) {
        const external = external$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter().init___Lamf_plugins_document_vocabularies_model_domain_External__Lamf_core_emitter_SpecOrdering(external, $this.ordering$2$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect();
    const jsx$4 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const this$2 = e.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$2.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$34 = arg1;
          return new $c_s_Some().init___O(x$34.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$35$2) {
        const x$35 = x$35$2;
        return x$35.isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$36$2) {
        const x$36 = x$36$2;
        return x$36.get__O()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const this$5 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$37$2) {
        const x$37 = x$37$2;
        return x$37.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$5.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$5.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectDocumentsEmitters$$anon$5", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$5;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6 extends $c_O {
  constructor() {
    super();
    this.dialect$1$1 = null;
    this.ordering$1$1 = null;
    this.aliases$1$1 = null;
    this.nodeMappingDeclarations$1$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__sc_Seq($$outer, dialect$1, ordering$1, aliases$1, nodeMappingDeclarations$1) {
    this.dialect$1$1 = dialect$1;
    this.ordering$1$1 = ordering$1;
    this.aliases$1$1 = aliases$1;
    this.nodeMappingDeclarations$1$1 = nodeMappingDeclarations$1;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("nodeMappings");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$2 = this.nodeMappingDeclarations$1$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_emitter_SpecOrdering__sci_Map($this.dialect$1$1, n, $this.ordering$1$1, $this.aliases$1$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const nodeMappingEmitters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1$1.sorted__sc_Seq__sc_Seq(nodeMappingEmitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    const jsx$3 = this.nodeMappingDeclarations$1$1;
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$39$2) {
        const x$39 = x$39$2;
        const this$1 = x$39.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$40 = arg1;
          this$2 = new $c_s_Some().init___O(x$40.range__Lamf_core_parser_Range().start$1)
        };
        return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$1 = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$41$2) {
        const x$41 = x$41$2;
        const x$2 = $m_Lamf_core_parser_Position$ZERO$();
        return (!((x$41 !== null) && x$41.equals__O__Z(x$2)))
      })
    })(this)));
    const this$4 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    const this$5 = jsx$1.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$4, evidence$1)).headOption__s_Option();
    return (this$5.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$5.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectDocumentsEmitters$$anon$6", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anon$6;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
    const this$3 = this$2.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("dialect", (this$3.isEmpty__Z() ? null : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.dialect$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1).get__O().value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$42 = arg1;
      this$2 = new $c_s_Some().init___O(x$42.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectEmitter$$anon$7", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
    const this$3 = this$2.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("version", (this$3.isEmpty__Z() ? null : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.dialect$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1).get__O().value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$43 = arg1;
      this$2 = new $c_s_Some().init___O(x$43.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectEmitter$$anon$8", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    const this$3 = this$2.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("usage", (this$3.isEmpty__Z() ? null : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.dialect$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Usage$1).get__O().value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$44 = arg1;
      this$2 = new $c_s_Some().init___O(x$44.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectEmitter$$anon$9", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.sortedNodes$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("declares");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.sortedNodes$1$1, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter__sc_Seq($$outer, sortedNodes$1) {
    this.sortedNodes$1$1 = sortedNodes$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    return this.sortedNodes$1$1.head__O().position$1
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.LibraryDocumentModelEmitter$$anon$1", {
  Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3 extends $c_O {
  constructor() {
    super();
    this.pos$1$1 = null;
    this.targets$1$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter__Lamf_core_parser_Position__sc_Seq($$outer, pos$1, targets$1) {
    this.pos$1$1 = pos$1;
    this.targets$1$1 = targets$1;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("range");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.targets$1$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(target$2) {
        const target = target$2;
        new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(target, new $c_Lamf_core_parser_Annotations().init___()), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    return this.pos$1$1
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.PropertyMappingEmitter$$anon$3", {
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.pos$2$1 = null;
    this.typesMapping$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("typeDiscriminator");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.typesMapping$1$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const alias = x0$2.$$und1__O();
          const nodeMappingId = x0$2.$$und2__O();
          const this$3 = $this.$$outer$1;
          const x1$2 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this$3, nodeMappingId);
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const nodeMapping = x2.value$2;
            $m_Lorg_yaml_model_YNode$();
            const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(alias);
            $m_Lorg_yaml_model_YNode$();
            const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(nodeMapping);
            b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value)
          } else {
            $m_Lorg_yaml_model_YNode$();
            const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(alias);
            $m_Lorg_yaml_model_YNode$();
            const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(nodeMappingId);
            b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$2, value$1)
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
    const this$12 = v.builder$1;
    const array = [key];
    if ((this$12.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$12.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
    const len$1 = this$12.size0$6;
    const src = this$12.array$6;
    const dest = this$12.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$12.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$12.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter__Lamf_core_parser_Position__sci_Map($$outer, pos$2, typesMapping$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.pos$2$1 = pos$2;
    this.typesMapping$1$1 = typesMapping$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    return this.pos$2$1
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.PropertyMappingEmitter$$anon$4", {
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    const this$3 = this$2.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("usage", (this$3.isEmpty__Z() ? null : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.dialect$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Usage$1).get__O().value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$45 = arg1;
      this$2 = new $c_s_Some().init___O(x$45.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.RamlDialectLibraryEmitter$$anon$10", {
  Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.sortedNodes$2$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter__sc_Seq($$outer, sortedNodes$2) {
    this.sortedNodes$2$1 = sortedNodes$2;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("declares");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.sortedNodes$2$1, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    return this.sortedNodes$2$1.head__O().position$1
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.RootDocumentModelEmitter$$anon$2", {
  Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.node$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    if (this.node$1$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_vocabularies_annotations_RefInclude.getClassOf())) {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$include");
      $m_Lorg_yaml_model_YNode$();
      const str = this.node$1$1.includeName__T();
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
    } else if (this.node$1$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef.getClassOf())) {
      const jsx$2 = b.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$ref");
      $m_Lorg_yaml_model_YNode$();
      const this$10 = this.node$1$1;
      const this$11 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$10);
      let str$1;
      if (this$11.isEmpty__Z()) {
        const this$12 = this.node$1$1;
        str$1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$12).get__O().id__T()
      } else {
        str$1 = this$11.get__O()
      };
      const value$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$2.builder$1;
      const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$1, a$1, cs$1))
    } else {
      const node = $m_Lorg_yaml_model_YNode$().include__T__Lorg_yaml_model_YNode$MutRef(this.node$1$1.includeName__T());
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement($$outer, node$1) {
    this.node$1$1 = node$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.node$1$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$10 = arg1;
      this$2 = new $c_s_Some().init___O(x$10.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$1", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.objectRangeMappings$1 = null;
    this.discriminatorsMappings$1 = null;
    this.arrayElements$1 = null;
    this.$$outer$1 = null;
    this.key$3$1 = null;
    this.array$3$1 = null;
    this.propertyMapping$3$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$3$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.$$outer$1.ordering$1.sorted__sc_Seq__sc_Seq(this.arrayElements$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        x$14.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping($$outer, key$3, array$3, propertyMapping$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.key$3$1 = key$3;
    this.array$3$1 = array$3;
    this.propertyMapping$3$1 = propertyMapping$3;
    const jsx$2 = propertyMapping$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(rangeNodeMapping$2) {
        const rangeNodeMapping = rangeNodeMapping$2;
        const this$2 = $this.$$outer$1;
        const this$1 = rangeNodeMapping.option$1;
        const nodeMappingId = (this$1.isEmpty__Z() ? null : this$1.get__O());
        const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2(this$2, nodeMappingId);
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const nodeMapping = x1.$$und2__O();
        return nodeMapping
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    this.objectRangeMappings$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const this$4 = $m_s_Option$().apply__O__s_Option(propertyMapping$3.typeDiscriminator__sci_Map());
    this.discriminatorsMappings$1 = (this$4.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$4.get__O()).foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1) {
      return (function(x0$4$2, x1$3$2) {
        const x0$4 = x0$4$2;
        const x1$3 = x1$3$2;
        const x1$1 = new $c_T2().init___O__O(x0$4, x1$3);
        const acc = x1$1.$$und1$f;
        const p2 = x1$1.$$und2$f;
        if ((p2 !== null)) {
          const alias = p2.$$und1__O();
          const mappingId = p2.$$und2__O();
          const this$5 = this$3$1.$$outer$1;
          const x1$2 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2(this$5, mappingId);
          if ((x1$2 !== null)) {
            const nodeMapping$1 = x1$2.$$und2__O();
            if ((nodeMapping$1 !== null)) {
              return acc.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, nodeMapping$1))
            }
          };
          return acc
        };
        throw new $c_s_MatchError().init___O(x1$1)
      })
    })(this)));
    const jsx$6 = array$3.values$1;
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$5)) {
          const x2 = x0$5;
          const this$9 = x2.dynamicType__sci_List();
          const f = (function($this$1) {
            return (function(x$12$2) {
              const x$12 = x$12$2;
              return x$12.iri__T()
            })
          })(this$4$1);
          const this$8 = $m_sci_List$();
          const bf = this$8.ReusableCBFInstance$2;
          let elementTypes;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$9 === $m_sci_Nil$())) {
              elementTypes = $m_sci_Nil$()
            } else {
              const arg1 = this$9.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
              let t = h;
              let rest = this$9.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$1 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              elementTypes = h
            }
          } else {
            const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf);
            let these = this$9;
            while ((!these.isEmpty__Z())) {
              const arg1$2 = these.head__O();
              b.$$plus$eq__O__scm_Builder(f(arg1$2));
              these = these.tail__O()
            };
            elementTypes = b.result__O()
          };
          const x1$2$1 = this$4$1.objectRangeMappings$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, elementTypes$1) {
            return (function(nodeMapping$2) {
              const nodeMapping$3 = nodeMapping$2;
              const this$10 = nodeMapping$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
              const this$11 = this$10.option$1;
              const elem = (this$11.isEmpty__Z() ? null : this$11.get__O());
              return $f_sc_LinearSeqOptimized__contains__O__Z(elementTypes$1, elem)
            })
          })(this$4$1, elementTypes)));
          if ($is_s_Some(x1$2$1)) {
            const x2$2 = x1$2$1;
            const nextNodeMapping = x2$2.value$2;
            return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(x2, nextNodeMapping, this$4$1.$$outer$1.instance$1, this$4$1.$$outer$1.dialect$1, this$4$1.$$outer$1.ordering$1, this$4$1.$$outer$1.aliases$1, $m_s_None$(), false, $m_s_None$(), false))
          } else {
            const this$14 = this$4$1.discriminatorsMappings$1;
            const this$15 = this$14.iterator__sc_Iterator();
            let x1$3$1;
            inlinereturn$50: {
              while (this$15.hasNext__Z()) {
                const a = this$15.next__O();
                const x0$6 = a;
                if ((x0$6 === null)) {
                  throw new $c_s_MatchError().init___O(x0$6)
                };
                const discriminatorMapping = x0$6.$$und2__O();
                const this$16 = discriminatorMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
                const this$17 = this$16.option$1;
                const elem$1 = (this$17.isEmpty__Z() ? null : this$17.get__O());
                if ($f_sc_LinearSeqOptimized__contains__O__Z(elementTypes, elem$1)) {
                  x1$3$1 = new $c_s_Some().init___O(a);
                  break inlinereturn$50
                }
              };
              x1$3$1 = $m_s_None$()
            };
            if ($is_s_Some(x1$3$1)) {
              const x2$3 = x1$3$1;
              const p3 = x2$3.value$2;
              if ((p3 !== null)) {
                const alias$1 = p3.$$und1__O();
                const discriminatorMapping$1 = p3.$$und2__O();
                const this$18 = this$4$1.propertyMapping$3$1;
                const discriminatorName = this$18.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1);
                const x$36 = this$4$1.$$outer$1.instance$1;
                const x$37 = this$4$1.$$outer$1.dialect$1;
                const x$38 = this$4$1.$$outer$1.ordering$1;
                const x$39 = this$4$1.$$outer$1.aliases$1;
                const this$19 = discriminatorName.option$1;
                const x$40 = new $c_s_Some().init___O(new $c_T2().init___O__O((this$19.isEmpty__Z() ? null : this$19.get__O()), alias$1));
                const x$41 = $m_s_None$();
                return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(x2, discriminatorMapping$1, x$36, x$37, x$38, x$39, x$41, false, x$40, false))
              }
            };
            const x = $m_s_None$();
            if ((x === x1$3$1)) {
              return $m_s_None$()
            };
            throw new $c_s_MatchError().init___O(x1$3$1)
          }
        } else {
          return $m_s_None$()
        }
      })
    })(this));
    const this$21 = $m_sc_Seq$();
    const jsx$4 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$21.ReusableCBFInstance$2);
    const jsx$3 = new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2(this);
    const this$22 = $m_sc_Seq$();
    this.arrayElements$1 = jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$22.ReusableCBFInstance$2);
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.array$3$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$15 = arg1;
      this$2 = new $c_s_Some().init___O(x$15.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$2", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3 extends $c_O {
  constructor() {
    super();
    this.nextNodeMapping$1 = null;
    this.arrayElements$1 = null;
    this.$$outer$1 = null;
    this.key$1$1 = null;
    this.array$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.$$outer$1.ordering$1.sorted__sc_Seq__sc_Seq(this.arrayElements$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$18$2) {
        const x$18 = x$18$2;
        x$18.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping($$outer, key$1, array$1, propertyMapping$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.key$1$1 = key$1;
    this.array$1$1 = array$1;
    const this$1 = propertyMapping$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).head__O();
    const this$2 = this$1.option$1;
    const nodeMappingId = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2($$outer, nodeMappingId);
    let jsx$1;
    matchEnd5: {
      if ((x1 !== null)) {
        const nextNodeMapping = x1.$$und2__O();
        if ((nextNodeMapping !== null)) {
          jsx$1 = nextNodeMapping;
          break matchEnd5
        }
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    this.nextNodeMapping$1 = jsx$1;
    const jsx$3 = array$1.values$1;
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$7$2) {
        const x0$7 = x0$7$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$7)) {
          const x2 = x0$7;
          return new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(x2, $this.nextNodeMapping$1, $this.$$outer$1.instance$1, $this.$$outer$1.dialect$1, $this.$$outer$1.ordering$1, $this.$$outer$1.aliases$1, $m_s_None$(), false, $m_s_None$(), false)
        } else {
          throw new $c_s_MatchError().init___O(x0$7)
        }
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    this.arrayElements$1 = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2);
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.array$1$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$19 = arg1;
      this$2 = new $c_s_Some().init___O(x$19.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$3", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4 extends $c_O {
  constructor() {
    super();
    this.nextNodeMappings$1 = null;
    this.mapElements$1 = null;
    this.$$outer$1 = null;
    this.key$2$1 = null;
    this.array$2$1 = null;
    this.propertyMapping$2$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$2$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$1 = this.$$outer$1.ordering$1;
    const this$3 = this.mapElements$1;
    const this$4 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$3);
    jsx$1.sorted__sc_Seq__sc_Seq($f_sc_SetLike__toSeq__sc_Seq(this$4)).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(emitter$2) {
        const emitter = emitter$2;
        const dialectDomainElement = $this.mapElements$1.apply__O__O(emitter);
        const this$5 = dialectDomainElement.dynamicFields__sci_List();
        let jsx$2;
        inlinereturn$18: {
          let these = this$5;
          while ((!these.isEmpty__Z())) {
            const arg1 = these.head__O();
            const x$22 = arg1;
            const jsx$3 = x$22.value$1.iri__T();
            const this$6 = $this.propertyMapping$2$1;
            const this$7 = this$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
            const this$8 = this$7.option$1;
            if ((jsx$3 === (this$8.isEmpty__Z() ? null : this$8.get__O()))) {
              jsx$2 = new $c_s_Some().init___O(these.head__O());
              break inlinereturn$18
            };
            these = these.tail__O()
          };
          jsx$2 = $m_s_None$()
        };
        const mapKeyField = jsx$2.get__O();
        const this$9 = dialectDomainElement.valueForField__Lamf_core_metamodel_Field__s_Option(mapKeyField).get__O();
        const mapKeyValue = this$9.value$1.toString__T();
        new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position(mapKeyValue, emitter, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping($$outer, key$2, array$2, propertyMapping$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.key$2$1 = key$2;
    this.array$2$1 = array$2;
    this.propertyMapping$2$1 = propertyMapping$2;
    const jsx$2 = propertyMapping$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(rangeNodeMapping$2) {
        const rangeNodeMapping = rangeNodeMapping$2;
        const this$2 = $this.$$outer$1;
        const this$1 = rangeNodeMapping.option$1;
        const nodeMappingId = (this$1.isEmpty__Z() ? null : this$1.get__O());
        const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2(this$2, nodeMappingId);
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const nodeMapping = x1.$$und2__O();
        return nodeMapping
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    this.nextNodeMappings$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const jsx$4 = array$2.values$1.foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1) {
      return (function(x0$8$2, x1$4$2) {
        const x0$8 = x0$8$2;
        const x1$4 = x1$4$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x1$4)) {
          const x3 = x1$4;
          const x1$2 = this$2$1.nextNodeMappings$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x3$1) {
            return (function(nodeMapping$2) {
              const nodeMapping$1 = nodeMapping$2;
              const this$5 = x3$1.dynamicType__sci_List();
              const f = (function($this$2) {
                return (function(x$20$2) {
                  const x$20 = x$20$2;
                  return x$20.iri__T()
                })
              })($this$1);
              const this$4 = $m_sci_List$();
              const bf = this$4.ReusableCBFInstance$2;
              let this$8;
              if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
                if ((this$5 === $m_sci_Nil$())) {
                  this$8 = $m_sci_Nil$()
                } else {
                  const arg1 = this$5.head__O();
                  const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
                  let t = h;
                  let rest = this$5.tail__O();
                  while ((rest !== $m_sci_Nil$())) {
                    const arg1$1 = rest.head__O();
                    const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
                    t.tl$5 = nx;
                    t = nx;
                    rest = rest.tail__O()
                  };
                  this$8 = h
                }
              } else {
                const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
                let these = this$5;
                while ((!these.isEmpty__Z())) {
                  const arg1$2 = these.head__O();
                  b.$$plus$eq__O__scm_Builder(f(arg1$2));
                  these = these.tail__O()
                };
                this$8 = b.result__O()
              };
              const this$6 = nodeMapping$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
              const this$7 = this$6.option$1;
              const elem = (this$7.isEmpty__Z() ? null : this$7.get__O());
              return $f_sc_LinearSeqOptimized__contains__O__Z(this$8, elem)
            })
          })(this$2$1, x3)));
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const nextNodeMapping = x2.value$2;
            const jsx$8 = this$2$1.$$outer$1.instance$1;
            const jsx$7 = this$2$1.$$outer$1.dialect$1;
            const jsx$6 = this$2$1.$$outer$1.ordering$1;
            const jsx$5 = this$2$1.$$outer$1.aliases$1;
            const this$9 = this$2$1.propertyMapping$2$1;
            const this$10 = this$9.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
            const this$11 = this$10.option$1;
            const self = new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(x3, nextNodeMapping, jsx$8, jsx$7, jsx$6, jsx$5, new $c_s_Some().init___O((this$11.isEmpty__Z() ? null : this$11.get__O())), false, $m_s_None$(), false));
            return x0$8.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, x3))
          } else {
            return x0$8
          }
        } else {
          return x0$8
        }
      })
    })(this)));
    const jsx$3 = new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4(this);
    const this$15 = $m_sci_Map$();
    this.mapElements$1 = jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$15));
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.array$2$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$23 = arg1;
      this$2 = new $c_s_Some().init___O(x$23.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$4", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5 extends $c_O {
  constructor() {
    super();
    this.key$4$1 = null;
    this.array$4$1 = null;
    this.keyProperty$1$1 = null;
    this.valueProperty$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$4$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$2 = this.array$4$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(elem$2) {
        const elem = elem$2;
        const this$3 = elem.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let this$4;
        if (this$3.isEmpty__Z()) {
          this$4 = $m_s_None$()
        } else {
          const arg1 = this$3.get__O();
          const x$25 = arg1;
          this$4 = new $c_s_Some().init___O(x$25.range__Lamf_core_parser_Range().start$1)
        };
        return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
      })
    })(this));
    const this$5 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    const sortedElements = jsx$2.sortBy__F1__s_math_Ordering__O(jsx$1, new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$5, evidence$1));
    sortedElements.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$2) {
      return (function(x0$9$2) {
        const x0$9 = x0$9$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$9)) {
          const x2 = x0$9;
          const this$6 = x2.dynamicFields__sci_List();
          let keyField;
          inlinereturn$23: {
            let these = this$6;
            while ((!these.isEmpty__Z())) {
              const arg1$1 = these.head__O();
              const x$26 = arg1$1;
              if ((x$26.value$1.iri__T() === this$2$1.keyProperty$1$1)) {
                keyField = new $c_s_Some().init___O(these.head__O());
                break inlinereturn$23
              };
              these = these.tail__O()
            };
            keyField = $m_s_None$()
          };
          const this$7 = x2.dynamicFields__sci_List();
          let valueField;
          inlinereturn$28: {
            let these$1 = this$7;
            while ((!these$1.isEmpty__Z())) {
              const arg1$2 = these$1.head__O();
              const x$27 = arg1$2;
              if ((x$27.value$1.iri__T() === this$2$1.valueProperty$1$1)) {
                valueField = new $c_s_Some().init___O(these$1.head__O());
                break inlinereturn$28
              };
              these$1 = these$1.tail__O()
            };
            valueField = $m_s_None$()
          };
          if ((keyField.isDefined__Z() && valueField.isDefined__Z())) {
            const this$8 = x2.valueForField__Lamf_core_metamodel_Field__s_Option(keyField.get__O());
            let keyLiteral;
            if (this$8.isEmpty__Z()) {
              keyLiteral = $m_s_None$()
            } else {
              const arg1$3 = this$8.get__O();
              const x$28 = arg1$3;
              keyLiteral = new $c_s_Some().init___O(x$28.value$1)
            };
            const this$9 = x2.valueForField__Lamf_core_metamodel_Field__s_Option(valueField.get__O());
            let valueLiteral;
            if (this$9.isEmpty__Z()) {
              valueLiteral = $m_s_None$()
            } else {
              const arg1$4 = this$9.get__O();
              const x$29 = arg1$4;
              valueLiteral = new $c_s_Some().init___O(x$29.value$1)
            };
            matchEnd9: {
              if ($is_s_Some(keyLiteral)) {
                const x4 = keyLiteral;
                const keyScalar = x4.value$2;
                if ($is_Lamf_core_model_domain_AmfScalar(keyScalar)) {
                  const x6 = keyScalar;
                  if ($is_s_Some(valueLiteral)) {
                    const x5 = valueLiteral;
                    const valueScalar = x5.value$2;
                    if ($is_Lamf_core_model_domain_AmfScalar(valueScalar)) {
                      const x7 = valueScalar;
                      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position($objectToString(x6.value$1), $objectToString(x7.value$1), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2);
                      break matchEnd9
                    }
                  }
                }
              };
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot generate object pair without scalar values for key and value"))
            }
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot generate object pair with undefined key or value"))
          }
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__T__T($$outer, key$4, array$4, keyProperty$1, valueProperty$1) {
    this.key$4$1 = key$4;
    this.array$4$1 = array$4;
    this.keyProperty$1$1 = keyProperty$1;
    this.valueProperty$1$1 = valueProperty$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.array$4$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$30 = arg1;
      this$2 = new $c_s_Some().init___O(x$30.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$5", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.classTerm$1;
    if ((this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1).length__I() === 1)) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("extends");
      $m_Lorg_yaml_model_YNode$();
      const this$6 = this.$$outer$1;
      const this$3 = this.$$outer$1.classTerm$1;
      const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1).head__O();
      const this$5 = this$4.option$1;
      const id = (this$5.isEmpty__Z() ? null : this$5.get__O());
      const aliasMapping = this.$$outer$1.aliasMapping$1;
      const str = $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this$6, id, aliasMapping);
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
    } else {
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("extends");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$10 = this.$$outer$1.classTerm$1;
      this$10.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, l) {
        return (function(extended$2) {
          const extended = extended$2;
          const this$12 = $this.$$outer$1;
          const this$11 = extended.option$1;
          const id$1 = (this$11.isEmpty__Z() ? null : this$11.get__O());
          const aliasMapping$1 = $this.$$outer$1.aliasMapping$1;
          l.$$plus$eq__T__V($f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this$12, id$1, aliasMapping$1))
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$17 = v.builder$1;
      const array = [key$1];
      if ((this$17.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$17.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize);
      const len$1 = this$17.size0$6;
      const src = this$17.array$6;
      const dest = this$17.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$17.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$17.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.classTerm$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(x$2.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.ClassTermEmitter$$anon$1", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("properties");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.$$outer$1.classTerm$1;
    this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, l) {
      return (function(prop$2) {
        const prop = prop$2;
        const this$5 = $this.$$outer$1;
        const this$4 = prop.option$1;
        const id = (this$4.isEmpty__Z() ? null : this$4.get__O());
        const aliasMapping = $this.$$outer$1.aliasMapping$1;
        l.$$plus$eq__T__V($f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this$5, id, aliasMapping))
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.classTerm$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      this$2 = new $c_s_Some().init___O(x$4.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.ClassTermEmitter$$anon$2", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.propertyTerm$1;
    if ((this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1).size__I() === 1)) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("extends");
      $m_Lorg_yaml_model_YNode$();
      const this$6 = this.$$outer$1;
      const this$3 = this.$$outer$1.propertyTerm$1;
      const this$4 = this$3.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1).head__O();
      const this$5 = this$4.option$1;
      const id = (this$5.isEmpty__Z() ? null : this$5.get__O());
      const aliasMapping = this.$$outer$1.aliasMapping$1;
      const str = $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this$6, id, aliasMapping);
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
    } else {
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("extends");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$10 = this.$$outer$1.propertyTerm$1;
      this$10.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, l) {
        return (function(extended$2) {
          const extended = extended$2;
          const this$12 = $this.$$outer$1;
          const this$11 = extended.option$1;
          const id$1 = (this$11.isEmpty__Z() ? null : this$11.get__O());
          const aliasMapping$1 = $this.$$outer$1.aliasMapping$1;
          l.$$plus$eq__T__V($f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this$12, id$1, aliasMapping$1))
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$17 = v.builder$1;
      const array = [key$1];
      if ((this$17.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$17.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize);
      const len$1 = this$17.size0$6;
      const src = this$17.array$6;
      const dest = this$17.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$17.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$17.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.propertyTerm$1.fields__Lamf_core_parser_Fields().get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$8 = arg1;
      this$2 = new $c_s_Some().init___O(x$8.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.PropertyTermEmitter$$anon$3", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("range");
    $m_Lorg_yaml_model_YNode$();
    const this$5 = this.$$outer$1;
    const this$2 = this.$$outer$1.propertyTerm$1;
    const this$3 = this$2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Range$1);
    const this$4 = this$3.option$1;
    const id = (this$4.isEmpty__Z() ? null : this$4.get__O());
    const aliasMapping = this.$$outer$1.aliasMapping$1;
    const str = $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this$5, id, aliasMapping);
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.propertyTerm$1.fields__Lamf_core_parser_Fields().get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Range$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      this$2 = new $c_s_Some().init___O(x$9.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.PropertyTermEmitter$$anon$4", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.ordering$4$1 = null;
    this.classTerms$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("classTerms");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$4$1;
    const jsx$2 = this.classTerms$1$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(ct$2) {
        const ct = ct$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter().init___Lamf_plugins_document_vocabularies_model_domain_ClassTerm__Lamf_core_emitter_SpecOrdering__sci_Map(ct, $this.ordering$4$1, $this.$$outer$1.aliasMapping$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, ordering$4, classTerms$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.ordering$4$1 = ordering$4;
    this.classTerms$1$1 = classTerms$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.classTerms$1$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$28$2) {
        const x$28 = x$28$2;
        const this$1 = x$28.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$1.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$29 = arg1;
          return new $c_s_Some().init___O(x$29.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$30$2) {
        const x$30 = x$30$2;
        return x$30.isDefined__Z()
      })
    })(this)));
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const x = this$3.get__O();
      this$4 = x
    };
    return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$10", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.ordering$5$1 = null;
    this.propertyTerms$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("propertyTerms");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$5$1;
    const jsx$2 = this.propertyTerms$1$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(pt$2) {
        const pt = pt$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter().init___Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__Lamf_core_emitter_SpecOrdering__sci_Map(pt, $this.ordering$5$1, $this.$$outer$1.aliasMapping$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, ordering$5, propertyTerms$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.ordering$5$1 = ordering$5;
    this.propertyTerms$1$1 = propertyTerms$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.propertyTerms$1$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$33$2) {
        const x$33 = x$33$2;
        const this$1 = x$33.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$1.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$34 = arg1;
          return new $c_s_Some().init___O(x$34.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$35$2) {
        const x$35 = x$35$2;
        return x$35.isDefined__Z()
      })
    })(this)));
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const x = this$3.get__O();
      this$4 = x
    };
    return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$11", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.ordering$2$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering($$outer, ordering$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.ordering$2$1 = ordering$2;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("external");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$2$1;
    const this$3 = this.$$outer$1.vocabulary$1;
    const jsx$2 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(external$2) {
        const external = external$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter().init___Lamf_plugins_document_vocabularies_model_domain_External__Lamf_core_emitter_SpecOrdering(external, $this.ordering$2$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.vocabulary$1;
    const jsx$4 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const this$2 = e.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$2.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$15 = arg1;
          return new $c_s_Some().init___O(x$15.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$16$2) {
        const x$16 = x$16$2;
        return x$16.isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$17$2) {
        const x$17 = x$17$2;
        return x$17.get__O()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const this$5 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$18$2) {
        const x$18 = x$18$2;
        return x$18.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$5.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$5.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$5", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.ordering$3$1 = null
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering($$outer, ordering$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.ordering$3$1 = ordering$3;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("uses");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$3$1;
    const this$3 = this.$$outer$1.vocabulary$1;
    const jsx$2 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(vocabularyRef$2) {
        const vocabularyRef = vocabularyRef$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter().init___Lamf_plugins_document_vocabularies_model_domain_VocabularyReference__Lamf_plugins_document_vocabularies_model_document_Vocabulary__Lamf_core_emitter_SpecOrdering(vocabularyRef, $this.$$outer$1.vocabulary$1, $this.ordering$3$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.vocabulary$1;
    const jsx$4 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        const this$2 = e.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$2.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$20 = arg1;
          return new $c_s_Some().init___O(x$20.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$21$2) {
        const x$21 = x$21$2;
        return x$21.isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$22$2) {
        const x$22 = x$22$2;
        return x$22.get__O()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const this$5 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$23$2) {
        const x$23 = x$23$2;
        return x$23.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$5.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$5.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$6", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("base", this.$$outer$1.vocabulary$1.id$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$7", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.vocabulary$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Name$1);
    const this$3 = this$2.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("vocabulary", (this$3.isEmpty__Z() ? null : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.vocabulary$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Name$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$24 = arg1;
      this$2 = new $c_s_Some().init___O(x$24.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$8", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.$$outer$1.vocabulary$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    const this$3 = this$2.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("usage", (this$3.isEmpty__Z() ? null : this$3.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.$$outer$1.vocabulary$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Usage$1).annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$25 = arg1;
      this$2 = new $c_s_Some().init___O(x$25.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter$$anon$9", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9;
class $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DialectDomainElement$", {
  Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$;
let $n_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$ = new $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DocumentMapping$", {
  Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$;
let $n_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$ = new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_NodeMapping$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.NodeMapping$", {
  Lamf_plugins_document_vocabularies_model_domain_NodeMapping$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$;
let $n_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$ = new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_NodeMapping$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.PropertyMapping$", {
  Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$;
let $n_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$ = new $c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$: 0
}, false, "amf.plugins.document.vocabularies.model.domain.PublicNodeMapping$", {
  Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$;
let $n_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$)) {
    $n_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$ = new $c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping$
});
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations extends $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations {
  constructor() {
    super();
    this.nodeMappings$3 = null;
    this.errorHandler$3 = null
  };
  getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations(alias) {
    return this.getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(alias)
  };
  findNodeMapping__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const this$1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.nodeMappings$3
      })
    })(this)), scope);
    const pf = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2().init___Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(this);
    if ((!this$1.isEmpty__Z())) {
      const this$2 = new $c_s_PartialFunction$Lifted().init___s_PartialFunction(pf);
      const v1 = this$1.get__O();
      return this$2.apply__O__s_Option(v1)
    } else {
      return $m_s_None$()
    }
  };
  findClassTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const x1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.classTerms$2
      })
    })(this)), scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ct = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(ct)) {
        const x3 = ct;
        return new $c_s_Some().init___O(x3)
      }
    };
    const this$1 = this.resolveExternal__T__s_Option(key);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$5 = new $c_Lamf_plugins_document_vocabularies_model_domain_ClassTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, x$3))
    }
  };
  $$plus$eq__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(nodeMapping) {
    const jsx$1 = this.nodeMappings$3;
    const this$1 = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
    const this$2 = this$1.option$1;
    const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
    this.nodeMappings$3 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, nodeMapping));
    return this
  };
  declarables__sc_Seq() {
    const this$1 = this.nodeMappings$3;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    return this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(alias) {
    const x1 = this.libraries$1.get__O__s_Option(alias);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const lib = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(lib)) {
        const x3 = lib;
        return x3
      }
    };
    const x$18 = this.errorHandler$3;
    const x$19 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
    const x$20 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const result = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations().init___sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$20, x$18, x$19);
    this.libraries$1 = this.libraries$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, result));
    return result
  };
  init___sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(nodeMappings, errorHandler, futureDeclarations) {
    this.nodeMappings$3 = nodeMappings;
    this.errorHandler$3 = errorHandler;
    $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations.prototype.init___sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations.call(this, $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), errorHandler, futureDeclarations);
    return this
  };
  registerNodeMapping__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(nodeMapping) {
    const jsx$1 = this.nodeMappings$3;
    const this$1 = nodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
    const this$2 = this$1.option$1;
    const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
    this.nodeMappings$3 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, nodeMapping));
    return this
  };
  findPropertyTerm__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, scope) {
    const x1 = this.findForType__T__F1__Lamf_core_parser_SearchScope$Scope__s_Option(key, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        return x$4.propertyTerms$2
      })
    })(this)), scope);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pt = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(pt)) {
        const x3 = pt;
        return new $c_s_Some().init___O(x3)
      }
    };
    const this$1 = this.resolveExternal__T__s_Option(key);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$5 = arg1;
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$5 = new $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, x$5))
    }
  };
  resolveExternal__T__s_Option(key) {
    if (((key.indexOf(".") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(key, "\\.", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const prefix = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(key, "\\.", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const value = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const this$10 = this.externals$2.get__O__s_Option(prefix);
      if (this$10.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$10.get__O();
        const external = arg1;
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""]));
        const this$11 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
        const this$12 = this$11.option$1;
        return new $c_s_Some().init___O(jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$12.isEmpty__Z() ? null : this$12.get__O()), value])))
      }
    } else {
      return $m_s_None$()
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectDeclarations", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations: 1,
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations: 1,
  Lamf_core_parser_Declarations: 1,
  O: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser extends $c_O {
  constructor() {
    super();
    this.root$1 = null;
    this.ctx$1 = null;
    this.map$1 = null;
    this.platform$1 = null
  };
  parseDialectExtension__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    const this$1 = propertyEntry.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Str$1;
    let jsx$1;
    if ((x === x1)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Include$1;
      jsx$1 = (x$3 === x1)
    };
    if (jsx$1) {
      this.resolveLinkProperty__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Z__O(propertyEntry, property, id, node, false)
    } else {
      const x$5 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x$5 === x1)) {
        const map = propertyEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const x1$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$dialect");
        matchEnd5: {
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const nested = x2.value$2;
            const this$3 = nested.value$1;
            const x$7 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
            const x$8 = $m_Lorg_yaml_model_YType$().Str$1;
            if ((x$7 === x$8)) {
              const dialectNode = nested.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
              const x1$3 = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.findNode__T__s_Option(dialectNode);
              matchEnd6$2: {
                if ($is_s_Some(x1$3)) {
                  const x2$2 = x1$3;
                  const p3 = x2$2.value$2;
                  if ((p3 !== null)) {
                    const dialect = p3.$$und1__O();
                    const nodeMapping = p3.$$und2__O();
                    const jsx$4 = this.ctx$1;
                    const jsx$3 = this.ctx$1.nestedDialects$2;
                    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dialect]));
                    const this$4 = $m_sc_Seq$();
                    jsx$4.nestedDialects$2 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2);
                    const this$5 = this.ctx$1;
                    const oldDialect = this$5.dialect$2;
                    this$5.dialect$2 = dialect;
                    $m_sci_List$();
                    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3]);
                    const this$7 = $m_sci_List$();
                    const cbf = this$7.ReusableCBFInstance$2;
                    const nestedObjectId = this.pathSegment__T__sci_List__T(id, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
                    const entry = propertyEntry.value$1;
                    const x1$1 = this.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option(nestedObjectId, entry, nodeMapping);
                    if ($is_s_Some(x1$1)) {
                      const x2$1 = x1$1;
                      const dialectDomainElement = x2$1.value$2;
                      node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, dialectDomainElement, propertyEntry.value$1)
                    } else {
                      const x$1 = $m_s_None$();
                      if ((!(x$1 === x1$1))) {
                        throw new $c_s_MatchError().init___O(x1$1)
                      }
                    };
                    this$5.dialect$2 = oldDialect;
                    break matchEnd6$2
                  }
                };
                const x$9 = $m_s_None$();
                if ((x$9 === x1$3)) {
                  const this$8 = this.ctx$1;
                  const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
                  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find dialect for nested anyNode mapping ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dialectNode]));
                  const ast = nested.value$1;
                  const property$1 = $m_s_None$();
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$8, id$1, id, property$1, message, ast);
                  break matchEnd6$2
                };
                throw new $c_s_MatchError().init___O(x1$3)
              };
              break matchEnd5
            }
          };
          const x$12 = $m_s_None$();
          if ((x$12 === x1$2)) {
            const x1$4 = this.dispatchNodeMap__Lorg_yaml_model_YMap__T(map);
            if ((x1$4 === "$include")) {
              const includeEntry = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$include").get__O();
              this.resolveLinkProperty__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Z__O(includeEntry, property, id, node, true)
            } else if ((x1$4 === "$ref")) {
              this.resolveJSONPointerProperty__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__O(map, property, id, node)
            } else {
              const this$10 = this.ctx$1;
              const id$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
              const property$2 = $m_s_None$();
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$10, id$2, id, property$2, "$dialect key without string value or link", map)
            };
            break matchEnd5
          };
          throw new $c_s_MatchError().init___O(x1$2)
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  resolveLinkProperty__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Z__O(propertyEntry, mapping, id, node, isRef) {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(propertyEntry.value$1);
    let refTuple_$_$$und1$f;
    let refTuple_$_$$und2$f;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const key = x2.value$2;
      const _2 = this.ctx$1.declarations$2.findAnyDialectDomainElement__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, $m_Lamf_core_parser_SearchScope$Fragments$());
      const jsx$1_$_$$und1$f = key;
      const jsx$1_$_$$und2$f = _2;
      refTuple_$_$$und1$f = jsx$1_$_$$und1$f;
      refTuple_$_$$und2$f = jsx$1_$_$$und2$f
    } else {
      const text = propertyEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const _2$1 = this.ctx$1.declarations$2.findAnyDialectDomainElement__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$All$());
      const jsx$2_$_$$und1$f = text;
      const jsx$2_$_$$und2$f = _2$1;
      refTuple_$_$$und1$f = jsx$2_$_$$und1$f;
      refTuple_$_$$und2$f = jsx$2_$_$$und2$f
    };
    const text$2 = refTuple_$_$$und1$f;
    const p2 = refTuple_$_$$und2$f;
    if ((text$2 !== null)) {
      if ($is_s_Some(p2)) {
        const x3 = p2;
        const s = x3.value$2;
        const x1$3 = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.findNode__T__s_Option(s.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1);
        if ($is_s_Some(x1$3)) {
          const x2$2 = x1$3;
          const p3 = x2$2.value$2;
          if ((p3 !== null)) {
            const dialect = p3.$$und1__O();
            const jsx$5 = this.ctx$1;
            const jsx$4 = this.ctx$1.nestedDialects$2;
            const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dialect]));
            const this$1 = $m_sc_Seq$();
            jsx$5.nestedDialects$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
            const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(propertyEntry.value$1);
            const this$2 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations);
            const linkedExternal = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$2, id);
            if (isRef) {
              linkedExternal.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_vocabularies_annotations_RefInclude().init___())
            };
            return node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, linkedExternal, propertyEntry.value$1)
          }
        };
        const x = $m_s_None$();
        if ((x === x1$3)) {
          const this$3 = this.ctx$1;
          const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find dialect for anyNode node mapping ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1]));
          const ast = propertyEntry.value$1;
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$3, id$1, id, property, message, ast);
          return (void 0)
        };
        throw new $c_s_MatchError().init___O(x1$3)
      }
    };
    const this$4 = this.ctx$1;
    const id$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
    const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["anyNode reference must be to a known node or an external fragment, unknown value: '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyEntry.value$1]));
    const ast$1 = propertyEntry.value$1;
    const property$1 = $m_s_None$();
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$4, id$2, id, property$1, message$1, ast$1)
  };
  parseDeclarations__T__V(documentType) {
    const declarationsNodeMappings = ((documentType === "root") ? this.ctx$1.rootDeclarationsNodeMappings$2 : this.ctx$1.libraryDeclarationsNodeMappings$2);
    declarationsNodeMappings.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ((x0$6 !== null)) {
          const name = x0$6.$$und1__O();
          const nodeMapping = x0$6.$$und2__O();
          const this$1 = $this.map$1.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, name$1) {
            return (function(x$8$2) {
              const x$8 = x$8$2;
              return (x$8.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$1.ctx$1).text$3 === name$1)
            })
          })($this, name)));
          if ((!this$1.isEmpty__Z())) {
            const arg1 = this$1.get__O();
            const entry = arg1;
            const jsx$1 = $this.root$1.location$1;
            const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(name);
            const this$4 = this$3.platform$1;
            const url = this$3.str$1;
            const declarationsId = ((jsx$1 + "#/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url));
            entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, name$1$1, nodeMapping$2, declarationsId$1, entry$1) {
              return (function(declarationEntry$2) {
                const declarationEntry = declarationEntry$2;
                $m_sci_List$();
                const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([declarationEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$2.ctx$1).text$3]);
                const this$6 = $m_sci_List$();
                const cbf = this$6.ReusableCBFInstance$2;
                const id = $this$2.pathSegment__T__sci_List__T(declarationsId$1, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
                const x1 = $this$2.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option(id, declarationEntry.value$1, nodeMapping$2);
                if ($is_s_Some(x1)) {
                  const x2 = x1;
                  const node = x2.value$2;
                  const jsx$2 = $this$2.ctx$1.declarations$2;
                  $m_Lorg_yaml_model_YNode$();
                  const node$1 = declarationEntry.key$1;
                  jsx$2.registerDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1), node);
                  const this$8 = $this$2.ctx$1;
                  this$8.globalSpace$1.update__O__O__V(id, node)
                } else {
                  const this$9 = $this$2.ctx$1;
                  const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
                  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse declaration for node with key '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name$1$1]));
                  const ast = entry$1.value$1;
                  const property = $m_s_None$();
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$9, id$1, id, property, message, ast)
                }
              })
            })($this, name, nodeMapping, declarationsId, entry)))
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this)))
  };
  parseFragment__s_Option() {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$1.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const value = (this.root$1.location$1 + "#");
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const dialectId = this.ctx$1.dialect$2.id$1;
    const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1;
    const dialectInstanceFragment = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, dialectId);
    const x1 = this.parseEncodedFragment__Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment__s_Option(dialectInstanceFragment);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const dialectDomainElement = x2.value$2;
      const this$6 = this.ctx$1;
      const pointer = (this.root$1.location$1 + "#/");
      this$6.globalSpace$1.update__O__O__V(pointer, dialectDomainElement);
      const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(dialectInstanceFragment, field$2, dialectDomainElement))
    } else {
      return $m_s_None$()
    }
  };
  generateNodeId__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YMap__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T(node, nodeMap, id, mapping) {
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(nodeMap).key__T__s_Option("$id").isDefined__Z()) {
      const entry = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(nodeMap).key__T__s_Option("$id").get__O();
      const rawId = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      let externalId;
      if (((rawId.indexOf("://") | 0) !== (-1))) {
        externalId = rawId
      } else {
        const this$6 = this.ctx$1.dialect$2;
        const thiz = this$6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
        const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const thiz$1 = (("" + $f_sc_IndexedSeqOptimized__head__O(this$9)) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["#", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([rawId])));
        externalId = thiz$1.split("##").join("#")
      };
      node.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_vocabularies_annotations_CustomId().init___());
      return externalId
    } else {
      const this$12 = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1);
      if ($f_Lamf_core_model_StrField__nonEmpty__Z(this$12)) {
        const this$13 = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1);
        const this$14 = this$13.option$1;
        const elem = (this$14.isEmpty__Z() ? null : this$14.get__O());
        let elem$1 = null;
        elem$1 = elem;
        const this$17 = new $c_sci_StringOps().init___T("(\\{[^}]+\\})");
        const groupNames = $m_sci_Nil$();
        const $$this = this$17.repr$1;
        const regex = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
        const this$19 = regex.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(elem$1);
        while (this$19.hasNext__Z()) {
          const arg1 = this$19.next__T();
          const thiz$2 = arg1.split("{").join("");
          const variable = thiz$2.split("}").join("");
          const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(nodeMap).key__T__s_Option(variable);
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const entry$1 = x2.value$2;
            const value = entry$1.value$1.value__Lorg_yaml_model_YValue().toString__T();
            const thiz$3 = elem$1;
            elem$1 = thiz$3.split(arg1).join(value)
          } else {
            const x = $m_s_None$();
            if ((x === x1)) {
              const this$27 = this.ctx$1;
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Missing ID template variable '", "' in node"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([variable]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$27, message, nodeMap)
            } else {
              throw new $c_s_MatchError().init___O(x1)
            }
          }
        };
        const thiz$4 = elem$1;
        if (((thiz$4.indexOf("://") | 0) !== (-1))) {
          return elem$1
        } else {
          return (("" + this.root$1.location$1) + elem$1)
        }
      } else {
        return id
      }
    }
  };
  parseLibrary__s_Option() {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$1.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const value = (this.root$1.location$1 + "#");
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const dialectId = this.ctx$1.dialect$2.id$1;
    const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1;
    const dialectInstance = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, dialectId);
    this.parseDeclarations__T__V("library");
    const references = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser().init___Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(dialectInstance, this.map$1, this.root$1.references$1, this.ctx$1).parse__T__Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations(dialectInstance.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    if (this.ctx$1.declarations$2.declarables__sc_Seq().nonEmpty__Z()) {
      const declarations = this.ctx$1.declarations$2.declarables__sc_Seq();
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(dialectInstance, field$2, declarations)
    };
    if (references.baseUnitReferences__sc_Seq().nonEmpty__Z()) {
      const references$1 = references.baseUnitReferences__sc_Seq();
      const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(dialectInstance, field$3, references$1)
    };
    const this$6 = this.ctx$1.futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$6);
    return new $c_s_Some().init___O(dialectInstance)
  };
  parseObjectUnion__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__sc_Seq__s_Option(id, ast, property, node, mapProperties) {
    const jsx$5 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, ast$1, property$1) {
      return (function(nodeMappingId$2) {
        const nodeMappingId = nodeMappingId$2;
        const this$1 = $this.ctx$1.dialect$2;
        const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, nodeMappingId$1) {
          return (function(x$15$2) {
            const x$15 = x$15$2;
            const jsx$4 = x$15.id__T();
            const this$2 = nodeMappingId$1.option$1;
            return (jsx$4 === (this$2.isEmpty__Z() ? null : this$2.get__O()))
          })
        })($this, nodeMappingId)));
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const nodeMapping = x2.value$2;
          return new $c_s_Some().init___O(nodeMapping)
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            const this$3 = $this.ctx$1;
            const id$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find mapping for property ", " in union"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property$1.id$1]));
            const property$2 = $m_s_None$();
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$3, id$2, id$1, property$2, message, ast$1);
            return $m_s_None$()
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, id, ast, property));
    const this$4 = $m_sc_Seq$();
    const jsx$2 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
    const this$5 = $m_sc_Seq$();
    const unionMappings = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const this$6 = $m_s_Option$().apply__O__s_Option(property.typeDiscriminator__sci_Map());
    const discriminatorsMapping = (this$6.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$6.get__O()).foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1, id$3, ast$2) {
      return (function(x0$7$2, x1$2$2) {
        const x0$7 = x0$7$2;
        const x1$2 = x1$2$2;
        const x1$1 = new $c_T2().init___O__O(x0$7, x1$2);
        const acc = x1$1.$$und1$f;
        const p2 = x1$1.$$und2$f;
        if ((p2 !== null)) {
          const alias = p2.$$und1__O();
          const mappingId = p2.$$und2__O();
          const this$7 = this$3$1.ctx$1.dialect$2;
          const x1$3 = this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, mappingId$1) {
            return (function(x$16$2) {
              const x$16 = x$16$2;
              return (x$16.id__T() === mappingId$1)
            })
          })(this$3$1, mappingId)));
          if ($is_s_Some(x1$3)) {
            const x2$1 = x1$3;
            const nodeMapping$1 = x2$1.value$2;
            if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping$1)) {
              const x3 = nodeMapping$1;
              return acc.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, x3))
            }
          };
          const this$10 = this$3$1.ctx$1;
          const id$4 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
          const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find mapping for property ", " in discriminator value '", "' in union"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([mappingId, alias]));
          const property$3 = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$10, id$4, id$3, property$3, message$1, ast$2);
          return acc
        };
        throw new $c_s_MatchError().init___O(x1$1)
      })
    })(this, id, ast)));
    const jsx$6 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(discriminatorsMapping);
    const this$11 = $m_sc_Seq$();
    const allPossibleMappings = unionMappings.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$11.ReusableCBFInstance$2).distinct__O();
    const x1$4 = ast.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$1 = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x$1 === x1$4)) {
      const nodeMap = ast.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const x1$3$1 = this.dispatchNodeMap__Lorg_yaml_model_YMap__T(nodeMap);
      if ((x1$3$1 === "$include")) {
        const this$12 = this.resolveLinkUnion__Lorg_yaml_model_YNode__sc_Seq__T__s_Some(ast, allPossibleMappings, id);
        const arg1 = this$12.value$2;
        const link = arg1;
        link.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_vocabularies_annotations_RefInclude().init___());
        return new $c_s_Some().init___O(link)
      } else if ((x1$3$1 === "$ref")) {
        const this$13 = this.resolveJSONPointerUnion__Lorg_yaml_model_YMap__sc_Seq__T__s_Option(nodeMap, allPossibleMappings, id);
        if (this$13.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$1 = this$13.get__O();
          const ref = arg1$1;
          ref.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef().init___());
          return new $c_s_Some().init___O(ref)
        }
      } else {
        const mappings = this.findCompatibleMapping__T__sc_Seq__sci_Map__s_Option__Lorg_yaml_model_YMap__sc_Seq__sc_Seq(id, unionMappings, discriminatorsMapping, property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1).option$1, nodeMap, mapProperties);
        if (mappings.isEmpty__Z()) {
          const this$15 = this.ctx$1;
          const id$5 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectAmbiguousRangeSpecification$1.id__T();
          const jsx$9 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Ambiguous node in union range, found 0 compatible mappings from ", " mappings: [", "]"]));
          const jsx$8 = allPossibleMappings.size__I();
          const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
            return (function(x$17$2) {
              const x$17 = x$17$2;
              return x$17.id$1
            })
          })(this));
          const this$14 = $m_sc_Seq$();
          const message$2 = jsx$9.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$8, allPossibleMappings.map__F1__scg_CanBuildFrom__O(jsx$7, this$14.ReusableCBFInstance$2).mkString__T__T(",")]));
          const property$4 = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$15, id$5, id, property$4, message$2, ast);
          return $m_s_None$()
        } else if ((mappings.size__I() === 1)) {
          const this$16 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(nodeMap);
          const node$2 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$16, id).withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mappings.head__O());
          const elem = $m_sci_Nil$();
          const instanceTypes = new $c_sr_ObjectRef().init___O(elem);
          mappings.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, id$6, nodeMap$1, node$2$1, instanceTypes$1) {
            return (function(mapping$2) {
              const mapping = mapping$2;
              const beforeValues = ((((((node$2$1.literalProperties$1.size__I() + node$2$1.objectCollectionProperties$1.size__I()) | 0) + node$2$1.objectProperties$1.size__I()) | 0) + node$2$1.mapKeyProperties$1.size__I()) | 0);
              mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, id$9, nodeMap$3, node$6) {
                return (function(propertyMapping$2) {
                  const propertyMapping = propertyMapping$2;
                  if ((!node$6.containsProperty__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Z(propertyMapping))) {
                    const this$18 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
                    const this$19 = this$18.option$1;
                    const propertyName = (this$19.isEmpty__Z() ? null : this$19.get__O());
                    const x1$5 = nodeMap$3.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, propertyName$1) {
                      return (function(x$18$2) {
                        const x$18 = x$18$2;
                        return (x$18.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this$4.ctx$1).text$3 === propertyName$1)
                      })
                    })($this$3, propertyName)));
                    if ($is_s_Some(x1$5)) {
                      const x2$2 = x1$5;
                      const entry = x2$2.value$2;
                      $this$3.parseProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id$9, entry, propertyMapping, node$6)
                    } else {
                      const x$2 = $m_s_None$();
                      if ((!(x$2 === x1$5))) {
                        throw new $c_s_MatchError().init___O(x1$5)
                      }
                    }
                  }
                })
              })(this$7$1, id$6, nodeMap$1, node$2$1)));
              const afterValues = ((((((node$2$1.literalProperties$1.size__I() + node$2$1.objectCollectionProperties$1.size__I()) | 0) + node$2$1.objectProperties$1.size__I()) | 0) + node$2$1.mapKeyProperties$1.size__I()) | 0);
              if ((afterValues !== beforeValues)) {
                const jsx$12 = instanceTypes$1.elem$1;
                const jsx$11 = $m_sc_Seq$();
                const this$20 = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
                const this$21 = this$20.option$1;
                const jsx$10 = jsx$11.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$21.isEmpty__Z() ? null : this$21.get__O())]));
                const this$22 = $m_sc_Seq$();
                instanceTypes$1.elem$1 = jsx$12.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$22.ReusableCBFInstance$2)
              }
            })
          })(this, id, nodeMap, node$2, instanceTypes)));
          const jsx$14 = instanceTypes.elem$1;
          const jsx$13 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([mappings.head__O().id__T()]));
          const this$23 = $m_sc_Seq$();
          node$2.withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(jsx$14.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$13, this$23.ReusableCBFInstance$2));
          return new $c_s_Some().init___O(node$2)
        } else {
          const this$27 = this.ctx$1;
          const id$7 = $m_Lamf_plugins_features_validation_ParserSideValidations$().DialectAmbiguousRangeSpecification$1.id__T();
          const this$24 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
          const this$25 = this$24.option$1;
          const property$5 = new $c_s_Some().init___O((this$25.isEmpty__Z() ? null : this$25.get__O()));
          const jsx$16 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Ambiguous node, please provide a type disambiguator. Nodes ", " have been found compatible, only one is allowed"]));
          const jsx$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
            return (function(x$19$2) {
              const x$19 = x$19$2;
              return x$19.id$1
            })
          })(this));
          const this$26 = $m_sc_Seq$();
          const message$3 = jsx$16.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([mappings.map__F1__scg_CanBuildFrom__O(jsx$15, this$26.ReusableCBFInstance$2).mkString__T__T(",")]));
          const ast$3 = this.map$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$27, id$7, id, property$5, message$3, ast$3);
          return $m_s_None$()
        }
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
      let jsx$17;
      if ((x$3 === x1$4)) {
        jsx$17 = true
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Include$1;
        jsx$17 = (x$5 === x1$4)
      };
      if (jsx$17) {
        return this.resolveLinkUnion__Lorg_yaml_model_YNode__sc_Seq__T__s_Some(ast, allPossibleMappings, id)
      } else {
        const this$28 = this.ctx$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$28, id, "Cannot parse AST for union node mapping", ast);
        return $m_s_None$()
      }
    }
  };
  resolveJSONPointerUnion__Lorg_yaml_model_YMap__sc_Seq__T__s_Option(map, allPossibleMappings, id) {
    const entry = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref").get__O();
    const pointer = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1);
    const fullPointer = ((((pointer.length | 0) >= 0) && (pointer.substring(0, ("#".length | 0)) === "#")) ? (("" + this.root$1.location$1) + pointer) : pointer);
    const this$7 = this.ctx$1.findJsonPointer__T__s_Option(fullPointer);
    let this$10;
    if (this$7.isEmpty__Z()) {
      this$10 = $m_s_None$()
    } else {
      const arg1 = this$7.get__O();
      const node = arg1;
      let jsx$1;
      if (allPossibleMappings.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, node$1) {
        return (function(x$27$2) {
          const x$27 = x$27$2;
          return (x$27.id$1 === node$1.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1)
        })
      })(this, node)))) {
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
        const this$8 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(node, pointer, annotations);
        jsx$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, id)
      } else {
        const this$9 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(map);
        const linkedNode = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, id);
        const ctx = this.ctx$1;
        $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode, fullPointer, map, ctx);
        jsx$1 = linkedNode
      };
      this$10 = new $c_s_Some().init___O(jsx$1)
    };
    if (this$10.isEmpty__Z()) {
      const this$11 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(map);
      const linkedNode$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$11, id);
      const ctx$1 = this.ctx$1;
      $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode$1, fullPointer, map, ctx$1);
      return new $c_s_Some().init___O(linkedNode$1)
    } else {
      return this$10
    }
  };
  parseObjectProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const nestedObjectId = this.pathSegment__T__sci_List__T(id, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
    const x1 = property.nodesInRange__sc_Seq();
    matchEnd5$2: {
      if ((x1 !== null)) {
        if ((x1.size__I() > 1)) {
          const x1$2 = this.parseObjectUnion__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__sc_Seq__s_Option(nestedObjectId, propertyEntry.value$1, property, node, $m_sci_Nil$());
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const parsedRange = x2$2.value$2;
            node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, parsedRange, propertyEntry.value$1)
          } else {
            const x = $m_s_None$();
            if ((!(x === x1$2))) {
              throw new $c_s_MatchError().init___O(x1$2)
            }
          };
          break matchEnd5$2
        }
      };
      if ((x1 !== null)) {
        if ((x1.size__I() === 1)) {
          const this$3 = this.ctx$1.dialect$2;
          const x1$3 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x3) {
            return (function(x$20$2) {
              const x$20 = x$20$2;
              return (x$20.id__T() === x3.head__O())
            })
          })(this, x1)));
          matchEnd5$3: {
            if ($is_s_Some(x1$3)) {
              const x2$3 = x1$3;
              const nodeMapping = x2$3.value$2;
              if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
                const x3$2 = nodeMapping;
                const entry = propertyEntry.value$1;
                const x1$4 = this.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option(nestedObjectId, entry, x3$2);
                if ($is_s_Some(x1$4)) {
                  const x2$4 = x1$4;
                  const dialectDomainElement = x2$4.value$2;
                  node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, dialectDomainElement, propertyEntry.value$1)
                };
                break matchEnd5$3
              }
            }
          };
          break matchEnd5$2
        }
      }
    }
  };
  parseEncodedFragment__Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment__s_Option(dialectInstanceFragment) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.ctx$1.dialect$2;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const documents = arg1;
      const x1 = documents.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(documentMapping$2) {
          const documentMapping = documentMapping$2;
          const thiz = $this.root$1.parsed$1.comment$1.get__O().metaText$3;
          const thiz$1 = thiz.split(" ").join("");
          const this$5 = documentMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1);
          const this$6 = this$5.option$1;
          const s = (this$6.isEmpty__Z() ? null : this$6.get__O());
          return ((thiz$1.indexOf(s) | 0) !== (-1))
        })
      })(this)));
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const documentMapping$3 = x2.value$2;
        const jsx$2 = this.ctx$1;
        const this$10 = documentMapping$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
        const this$11 = this$10.option$1;
        const x1$2 = jsx$2.findNodeMapping__T__s_Option((this$11.isEmpty__Z() ? null : this$11.get__O()));
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const nodeMapping = x2$2.value$2;
          const jsx$3 = dialectInstanceFragment.id$1;
          $m_Lorg_yaml_model_YNode$();
          const map = this.map$1;
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          return this.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option((jsx$3 + "/"), new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), nodeMapping)
        } else {
          return $m_s_None$()
        }
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        return $m_s_None$()
      }
    }
  };
  parseEncoded__Lamf_core_model_document_EncodesModel__s_Option(dialectInstance) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.ctx$1.dialect$2;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const documents = arg1;
      const this$3 = $m_s_Option$().apply__O__s_Option(documents.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1));
      if (this$3.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const mapping = arg1$1;
        const jsx$2 = this.ctx$1;
        const this$4 = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
        const this$5 = this$4.option$1;
        const x1 = jsx$2.findNodeMapping__T__s_Option((this$5.isEmpty__Z() ? null : this$5.get__O()));
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const nodeMapping = x2.value$2;
          const jsx$3 = dialectInstance.id__T();
          $m_Lorg_yaml_model_YNode$();
          const map = this.map$1;
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          return this.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option((jsx$3 + "/"), new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), nodeMapping)
        } else {
          return $m_s_None$()
        }
      }
    }
  };
  parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option(id, ast, mapping) {
    const x1 = ast.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const nodeMap = ast.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const x1$2 = this.dispatchNodeMap__Lorg_yaml_model_YMap__T(nodeMap);
      if ((x1$2 === "$ref")) {
        const this$1 = this.resolveJSONPointer__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__s_Option(nodeMap, mapping, id);
        if (this$1.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const ref = arg1;
          ref.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef().init___());
          return new $c_s_Some().init___O(ref)
        }
      } else if ((x1$2 === "$include")) {
        const this$2 = this.resolveLink__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__s_Option(ast, mapping, id);
        if (this$2.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$1 = this$2.get__O();
          const link = arg1$1;
          link.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_vocabularies_annotations_RefInclude().init___());
          return new $c_s_Some().init___O(link)
        }
      } else {
        const node = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(nodeMap).withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping);
        const finalId = this.generateNodeId__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YMap__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T(node, nodeMap, id, mapping);
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(node, finalId);
        const jsx$1 = $m_sc_Seq$();
        const this$3 = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
        const this$4 = this$3.option$1;
        node.withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$4.isEmpty__Z() ? null : this$4.get__O()), mapping.id$1])));
        mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, id$1, nodeMap$1, node$1) {
          return (function(propertyMapping$2) {
            const propertyMapping = propertyMapping$2;
            const this$5 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
            const this$6 = this$5.option$1;
            const propertyName = (this$6.isEmpty__Z() ? null : this$6.get__O());
            const x1$1 = nodeMap$1.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyName$1) {
              return (function(x$9$2) {
                const x$9 = x$9$2;
                return (x$9.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3 === propertyName$1)
              })
            })(this$3$1, propertyName)));
            if ($is_s_Some(x1$1)) {
              const x2 = x1$1;
              const entry = x2.value$2;
              this$3$1.parseProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id$1, entry, propertyMapping, node$1)
            } else {
              const x$1 = $m_s_None$();
              if ((!(x$1 === x1$1))) {
                throw new $c_s_MatchError().init___O(x1$1)
              }
            }
          })
        })(this, id, nodeMap, node)));
        return new $c_s_Some().init___O(node)
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
      if ((x$3 === x1)) {
        return this.resolveLink__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__s_Option(ast, mapping, id)
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Include$1;
        if ((x$5 === x1)) {
          return this.resolveLink__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__s_Option(ast, mapping, id)
        } else {
          const this$7 = this.ctx$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, id, "Cannot parse AST node for node in dialect instance", ast);
          return $m_s_None$()
        }
      }
    }
  };
  parseDocument__s_Option() {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    const this$3 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$1.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const value = (this.root$1.location$1 + "#");
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const dialectId = this.ctx$1.dialect$2.id$1;
    const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1;
    const dialectInstance = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, dialectId);
    this.parseDeclarations__T__V("root");
    const references = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser().init___Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(dialectInstance, this.map$1, this.root$1.references$1, this.ctx$1).parse__T__Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations(dialectInstance.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    const x1 = this.parseEncoded__Lamf_core_model_document_EncodesModel__s_Option(dialectInstance);
    let document;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const dialectDomainElement = x2.value$2;
      const this$6 = this.ctx$1;
      const pointer = (this.root$1.location$1 + "#/");
      this$6.globalSpace$1.update__O__O__V(pointer, dialectDomainElement);
      const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(dialectInstance, field$2, dialectDomainElement);
      if (this.ctx$1.declarations$2.declarables__sc_Seq().nonEmpty__Z()) {
        const declarations = this.ctx$1.declarations$2.declarables__sc_Seq();
        const field$3 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(dialectInstance, field$3, declarations)
      };
      if (references.baseUnitReferences__sc_Seq().nonEmpty__Z()) {
        const references$1 = references.baseUnitReferences__sc_Seq();
        const field$4 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(dialectInstance, field$4, references$1)
      };
      if (this.ctx$1.nestedDialects$2.nonEmpty__Z()) {
        const jsx$2 = this.ctx$1.nestedDialects$2;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x$7$2) {
            const x$7 = x$7$2;
            return x$7.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const ids = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const field$5 = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().GraphDependencies$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(dialectInstance, field$5, ids)
      };
      document = new $c_s_Some().init___O(dialectInstance)
    } else {
      document = $m_s_None$()
    };
    const this$8 = this.ctx$1.futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$8);
    return document
  };
  parseObjectPairProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    const propertyKeyMapping = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1).option$1;
    const propertyValueMapping = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1).option$1;
    if ((propertyKeyMapping.isDefined__Z() && propertyValueMapping.isDefined__Z())) {
      const this$1 = this.ctx$1.dialect$2;
      const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1) {
        return (function(x$25$2) {
          const x$25 = x$25$2;
          const jsx$1 = x$25.id__T();
          const this$2 = property$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).head__O();
          const this$3 = this$2.option$1;
          return (jsx$1 === (this$3.isEmpty__Z() ? null : this$3.get__O()))
        })
      })(this, property)));
      let nested;
      matchEnd5: {
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const nodeMapping = x2.value$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
            const x3 = nodeMapping;
            const jsx$8 = propertyEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
            const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, id$1, propertyEntry$1, propertyKeyMapping$1, propertyValueMapping$1, x3$1) {
              return (function(pair$2) {
                const pair = pair$2;
                const str = propertyEntry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3;
                const this$5 = new $c_Lamf_core_utils_package$Strings().init___T(str);
                const this$6 = this$5.platform$1;
                const url = this$5.str$1;
                const jsx$5 = $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$6, url);
                const str$1 = pair.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3;
                const this$8 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
                const this$9 = this$8.platform$1;
                const url$1 = this$8.str$1;
                const nestedId = ((((id$1 + "/") + jsx$5) + "/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$9, url$1));
                const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(pair);
                const this$12 = new $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
                const jsx$7 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$12, nestedId).withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x3$1);
                const jsx$6 = $m_sc_Seq$();
                const this$13 = x3$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
                const this$14 = this$13.option$1;
                const nestedNode = jsx$7.withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(jsx$6.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$14.isEmpty__Z() ? null : this$14.get__O()), x3$1.id$1])));
                nestedNode.setMapKeyField__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyKeyMapping$1.get__O(), pair.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3, pair.key$1);
                nestedNode.setMapKeyField__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyValueMapping$1.get__O(), pair.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3, pair.value$1);
                return new $c_s_Some().init___O(nestedNode)
              })
            })(this, id, propertyEntry, propertyKeyMapping, propertyValueMapping, x3));
            const this$15 = $m_sc_IndexedSeq$();
            const jsx$3 = jsx$8.map__F1__scg_CanBuildFrom__O(jsx$4, this$15.ReusableCBF$6);
            const jsx$2 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
            const this$16 = $m_sc_IndexedSeq$();
            nested = jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$16.ReusableCBF$6);
            break matchEnd5
          }
        };
        const this$19 = this.ctx$1;
        const id$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const jsx$9 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find mapping for property range of mapValue property: ", ""]));
        const this$17 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).head__O();
        const this$18 = this$17.option$1;
        const message = jsx$9.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$18.isEmpty__Z() ? null : this$18.get__O())]));
        const property$2 = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$19, id$2, id, property$2, message, propertyEntry);
        nested = $m_sci_Nil$()
      };
      node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, nested, propertyEntry.key$1)
    } else {
      const this$20 = this.ctx$1;
      const id$3 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
      const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Both 'mapKey' and 'mapValue' are mandatory in a map pair property mapping"])).s__sc_Seq__T($m_sci_Nil$());
      const property$3 = $m_s_None$();
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$20, id$3, id, property$3, message$1, propertyEntry)
    }
  };
  resolveJSONPointerProperty__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__O(map, mapping, id, node) {
    const entry = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref").get__O();
    const pointer = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1);
    const fullPointer = ((((pointer.length | 0) >= 0) && (pointer.substring(0, ("#".length | 0)) === "#")) ? (("" + this.root$1.location$1) + pointer) : pointer);
    const this$7 = this.ctx$1.findJsonPointer__T__s_Option(fullPointer);
    let x1;
    if (this$7.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$7.get__O();
      const node$2 = arg1;
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
      const this$8 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(node$2, pointer, annotations);
      x1 = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, id))
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const s = x2.value$2;
      const x1$2 = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2.findNode__T__s_Option(s.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const p3 = x2$2.value$2;
        if ((p3 !== null)) {
          const dialect = p3.$$und1__O();
          const jsx$3 = this.ctx$1;
          const jsx$2 = this.ctx$1.nestedDialects$2;
          const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dialect]));
          const this$9 = $m_sc_Seq$();
          jsx$3.nestedDialects$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$9.ReusableCBFInstance$2);
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
          const this$10 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, pointer, annotations$1);
          const linkedExternal = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$10, id);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          return node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, linkedExternal, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs))
        }
      };
      const x = $m_s_None$();
      if ((x === x1$2)) {
        const this$16 = this.ctx$1;
        const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find dialect for anyNode node mapping ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1]));
        const property = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$16, id$1, id, property, message, map);
        return (void 0)
      };
      throw new $c_s_MatchError().init___O(x1$2)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1)) {
        const this$17 = this.ctx$1;
        const id$2 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["anyNode reference must be to a known node or an external fragment, unknown JSON Pointer: '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([pointer]));
        const property$1 = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$17, id$2, id, property$1, message$1, map);
        return (void 0)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parseLiteralCollectionProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    const this$1 = propertyEntry.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x === x1)) {
      const jsx$4 = propertyEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.ctx$1).nodes$3;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1, node$1) {
        return (function(elemValue$2) {
          const elemValue = elemValue$2;
          return $this.parseLiteralValue__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__s_Option(elemValue, property$1, node$1)
        })
      })(this, property, node));
      const this$2 = $m_sc_IndexedSeq$();
      const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBF$6);
      const jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
      const this$3 = $m_sc_IndexedSeq$();
      const values = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBF$6);
      node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, values, propertyEntry.value$1)
    } else {
      const x1$2 = this.parseLiteralValue__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__s_Option(propertyEntry.value$1, property, node);
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const v = x2.value$2;
        node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([v])), propertyEntry.value$1)
      }
    }
  };
  checkHashProperties__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(node, propertyMapping, propertyEntry) {
    const x1 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1).option$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const propId = x2.value$2;
      return node.setMapKeyField__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propId, propertyEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3, propertyEntry.key$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return node
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  resolveJSONPointer__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__s_Option(map, mapping, id) {
    const entry = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref").get__O();
    const pointer = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1);
    const fullPointer = ((((pointer.length | 0) >= 0) && (pointer.substring(0, ("#".length | 0)) === "#")) ? (("" + this.root$1.location$1) + pointer) : this.resolvedPath__T__T(pointer));
    const this$7 = this.ctx$1.findJsonPointer__T__s_Option(fullPointer);
    let this$10;
    if (this$7.isEmpty__Z()) {
      this$10 = $m_s_None$()
    } else {
      const arg1 = this$7.get__O();
      const node = arg1;
      let jsx$1;
      if ((node.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1 === mapping.id$1)) {
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
        const this$8 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(node, pointer, annotations);
        jsx$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, id)
      } else {
        const this$9 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(map);
        const linkedNode = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, id);
        const ctx = this.ctx$1;
        $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode, fullPointer, map, ctx);
        jsx$1 = linkedNode
      };
      this$10 = new $c_s_Some().init___O(jsx$1)
    };
    if (this$10.isEmpty__Z()) {
      const this$11 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(map);
      const linkedNode$1 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$11, id);
      const ctx$1 = this.ctx$1;
      $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode$1, fullPointer, map, ctx$1);
      return new $c_s_Some().init___O(linkedNode$1)
    } else {
      return this$10
    }
  };
  setLiteralValue__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__O(value, property, node) {
    let rc15 = false;
    let x2 = null;
    const x1 = this.parseLiteralValue__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__s_Option(value, property, node);
    if ($is_s_Some(x1)) {
      rc15 = true;
      x2 = x1;
      const b = x2.value$2;
      if (((typeof b) === "boolean")) {
        const x8 = (!(!b));
        return node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, x8, value)
      }
    };
    if (rc15) {
      const i = x2.value$2;
      if ($isInt(i)) {
        const x9 = (i | 0);
        return node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__I__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, x9, value)
      }
    };
    if (rc15) {
      const f = x2.value$2;
      if ($isFloat(f)) {
        const x10 = (+f);
        return node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__F__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, x10, value)
      }
    };
    if (rc15) {
      const d = x2.value$2;
      if (((typeof d) === "number")) {
        const x11 = (+d);
        return node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__D__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, x11, value)
      }
    };
    if (rc15) {
      const s = x2.value$2;
      if ($is_T(s)) {
        const x12 = s;
        return node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, x12, value)
      }
    };
    if (rc15) {
      const d$2 = x2.value$2;
      if ($is_Lorg_mulesoft_common_time_SimpleDateTime(d$2)) {
        const x13 = d$2;
        return node.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lorg_mulesoft_common_time_SimpleDateTime__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, x13, value)
      }
    }
  };
  resolvedPath__T__T(str) {
    const base = this.root$1.location$1;
    let fullPath;
    if ((((str.length | 0) >= 0) && (str.substring(0, ("/".length | 0)) === "/"))) {
      fullPath = str
    } else if (((str.indexOf("://") | 0) !== (-1))) {
      fullPath = str
    } else if ((((str.length | 0) >= 0) && (str.substring(0, ("#".length | 0)) === "#"))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(base, "#", 0);
      const this$16 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      fullPath = (("" + $f_sc_IndexedSeqOptimized__head__O(this$16)) + str)
    } else {
      fullPath = (("" + this.basePath__T__T(base)) + str)
    };
    if (((fullPath.indexOf("#") | 0) !== (-1))) {
      const parts = $m_sjsr_RuntimeString$().split__T__T__I__AT(fullPath, "#", 0);
      const jsx$2 = this.platform$1;
      const this$22 = new $c_scm_ArrayOps$ofRef().init___AO(parts);
      const jsx$1 = jsx$2.resolvePath__T__T($f_sc_IndexedSeqOptimized__head__O(this$22));
      const this$24 = new $c_scm_ArrayOps$ofRef().init___AO(parts);
      return ((jsx$1 + "#") + $f_sc_IndexedSeqOptimized__last__O(this$24))
    } else {
      return this.platform$1.resolvePath__T__T(fullPath)
    }
  };
  init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(root, ctx) {
    this.root$1 = root;
    this.ctx$1 = ctx;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    this.map$1 = root.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    return this
  };
  resolveLinkUnion__Lorg_yaml_model_YNode__sc_Seq__T__s_Some(ast, allPossibleMappings, id) {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(ast);
    let refTuple;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const key = x2.value$2;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
        return (function(mapping$2) {
          const mapping = mapping$2;
          return $this.ctx$1.declarations$2.findDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_parser_SearchScope$Scope__s_Option(key$1, mapping, $m_Lamf_core_parser_SearchScope$Fragments$())
        })
      })(this, key));
      const this$1 = $m_sc_Seq$();
      const this$2 = allPossibleMappings.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const pf = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
      refTuple = new $c_T2().init___O__O(key, $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$2, pf))
    } else {
      const text = ast.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, text$1) {
        return (function(mapping$3$2) {
          const mapping$3 = mapping$3$2;
          return this$2$1.ctx$1.declarations$2.findDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_parser_SearchScope$Scope__s_Option(text$1, mapping$3, $m_Lamf_core_parser_SearchScope$Named$())
        })
      })(this, text));
      const this$3 = $m_sc_Seq$();
      const this$4 = allPossibleMappings.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
      const pf$1 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
      refTuple = new $c_T2().init___O__O(text, $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$4, pf$1))
    };
    if ((refTuple !== null)) {
      const text$2 = refTuple.$$und1__O();
      const p2 = refTuple.$$und2__O();
      if ((text$2 !== null)) {
        if ($is_s_Some(p2)) {
          const x3 = p2;
          const s = x3.value$2;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast.value__Lorg_yaml_model_YValue());
          const this$5 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations);
          const linkedNode = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, id);
          return new $c_s_Some().init___O(linkedNode)
        }
      }
    };
    if ((refTuple !== null)) {
      const text$3 = refTuple.$$und1__O();
      if ((text$3 !== null)) {
        const this$6 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this.map$1);
        const linkedNode$2 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, id);
        const refAst = this.map$1;
        const ctx = this.ctx$1;
        $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode$2, text$3, refAst, ctx);
        return new $c_s_Some().init___O(linkedNode$2)
      }
    };
    throw new $c_s_MatchError().init___O(refTuple)
  };
  pathSegment__T__sci_List__T(parent, nexts) {
    let elem$1 = null;
    elem$1 = parent;
    let these = nexts;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const n = arg1;
      const jsx$1 = elem$1;
      const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(n);
      const this$4 = this$3.platform$1;
      const url = this$3.str$1;
      elem$1 = ((jsx$1 + "/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url));
      these = these.tail__O()
    };
    return elem$1
  };
  parseProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    const x1 = property.classification__Lamf_plugins_document_vocabularies_model_domain_PropertyClassification();
    const x = $m_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$();
    if ((x === x1)) {
      this.parseDialectExtension__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node)
    } else {
      const x$3 = $m_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$();
      if ((x$3 === x1)) {
        this.setLiteralValue__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__O(propertyEntry.value$1, property, node)
      } else {
        const x$5 = $m_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$();
        if ((x$5 === x1)) {
          this.parseLiteralCollectionProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node)
        } else {
          const x$7 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$();
          if ((x$7 === x1)) {
            this.parseObjectProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node)
          } else {
            const x$9 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$();
            if ((x$9 === x1)) {
              this.parseObjectCollectionProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node)
            } else {
              const x$11 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$();
              if ((x$11 === x1)) {
                this.parseObjectMapProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node)
              } else {
                const x$13 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$();
                if ((x$13 === x1)) {
                  this.parseObjectPairProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node)
                } else {
                  const this$1 = this.ctx$1;
                  const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
                  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown type of node property ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property.id$1]));
                  const property$1 = $m_s_None$();
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id$1, id, property$1, message, propertyEntry)
                }
              }
            }
          }
        }
      }
    }
  };
  parseObjectMapProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    const jsx$4 = propertyEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, propertyEntry$1, property$1, node$1) {
      return (function(keyEntry$2) {
        const keyEntry = keyEntry$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyEntry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3, keyEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3]);
        const this$2 = $m_sci_List$();
        const cbf = this$2.ReusableCBFInstance$2;
        const nestedObjectId = $this.pathSegment__T__sci_List__T(id$1, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
        const x1 = property$1.nodesInRange__sc_Seq();
        let parsedNode;
        matchEnd5: {
          if ((x1 !== null)) {
            if ((x1.size__I() > 1)) {
              const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1).option$1, property$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1).option$1])).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
                return (function(x$21$2) {
                  const x$21 = x$21$2;
                  return x$21.isDefined__Z()
                })
              })($this)));
              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
                return (function(x$22$2) {
                  const x$22 = x$22$2;
                  return x$22.get__O()
                })
              })($this));
              const this$3 = $m_sc_Seq$();
              const mapProperties = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
              parsedNode = $this.parseObjectUnion__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__sc_Seq__s_Option(nestedObjectId, keyEntry.value$1, property$1, node$1, mapProperties);
              break matchEnd5
            }
          };
          if ((x1 !== null)) {
            if ((x1.size__I() === 1)) {
              const this$4 = $this.ctx$1.dialect$2;
              const x1$2 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x3) {
                return (function(x$23$2) {
                  const x$23 = x$23$2;
                  return (x$23.id__T() === x3.head__O())
                })
              })($this, x1)));
              if ($is_s_Some(x1$2)) {
                const x2$2 = x1$2;
                const nodeMapping = x2$2.value$2;
                if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
                  const x3$2 = nodeMapping;
                  const entry = keyEntry.value$1;
                  parsedNode = $this.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option(nestedObjectId, entry, x3$2);
                  break matchEnd5
                }
              };
              parsedNode = $m_s_None$();
              break matchEnd5
            }
          };
          parsedNode = $m_s_None$()
        };
        if ($is_s_Some(parsedNode)) {
          const x2$3 = parsedNode;
          const dialectDomainElement = x2$3.value$2;
          return new $c_s_Some().init___O($this.checkHashProperties__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(dialectDomainElement, property$1, keyEntry))
        } else {
          const x = $m_s_None$();
          if ((x === parsedNode)) {
            return $m_s_None$()
          } else {
            throw new $c_s_MatchError().init___O(parsedNode)
          }
        }
      })
    })(this, id, propertyEntry, property, node));
    const this$5 = $m_sc_IndexedSeq$();
    const nested = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBF$6);
    const jsx$5 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
    const this$6 = $m_sc_IndexedSeq$();
    node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, nested.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$5, this$6.ReusableCBF$6), propertyEntry.value$1)
  };
  parseObjectCollectionProperty__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__V(id, propertyEntry, property, node) {
    const jsx$3 = propertyEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.ctx$1).nodes$3;
    const this$1 = $m_sc_IndexedSeq$();
    const jsx$2 = jsx$3.zipWithIndex__scg_CanBuildFrom__O(this$1.ReusableCBF$6);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, propertyEntry$1, property$1, node$1) {
      return (function(x0$8$2) {
        const x0$8 = x0$8$2;
        if ((x0$8 !== null)) {
          const elementNode = x0$8.$$und1__O();
          const nextElem = x0$8.$$und2$mcI$sp__I();
          $m_sci_List$();
          const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyEntry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3, ("" + nextElem)]);
          const this$4 = $m_sci_List$();
          const cbf = this$4.ReusableCBFInstance$2;
          const nestedObjectId = $this.pathSegment__T__sci_List__T(id$1, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
          const x1$2 = property$1.nodesInRange__sc_Seq();
          if ((x1$2 !== null)) {
            if ((x1$2.size__I() > 1)) {
              return $this.parseObjectUnion__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__sc_Seq__s_Option(nestedObjectId, elementNode, property$1, node$1, $m_sci_Nil$())
            }
          };
          if ((x1$2 !== null)) {
            if ((x1$2.size__I() === 1)) {
              const this$5 = $this.ctx$1.dialect$2;
              const x1$3 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, x3) {
                return (function(x$26$2) {
                  const x$26 = x$26$2;
                  return (x$26.id__T() === x3.head__O())
                })
              })($this, x1$2)));
              if ($is_s_Some(x1$3)) {
                const x2$2 = x1$3;
                const nodeMapping = x2$2.value$2;
                if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
                  const x3$2 = nodeMapping;
                  const x1$4 = $this.parseNode__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__s_Option(nestedObjectId, elementNode, x3$2);
                  if ($is_s_Some(x1$4)) {
                    const x2$3 = x1$4;
                    const dialectDomainElement = x2$3.value$2;
                    return new $c_s_Some().init___O(dialectDomainElement)
                  } else {
                    const x = $m_s_None$();
                    if ((x === x1$4)) {
                      return $m_s_None$()
                    } else {
                      throw new $c_s_MatchError().init___O(x1$4)
                    }
                  }
                }
              };
              return $m_s_None$()
            }
          };
          return $m_s_None$()
        } else {
          throw new $c_s_MatchError().init___O(x0$8)
        }
      })
    })(this, id, propertyEntry, property, node));
    const this$6 = $m_sc_IndexedSeq$();
    const res = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBF$6);
    const jsx$4 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser(this);
    const this$7 = $m_sc_IndexedSeq$();
    const elems = res.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$4, this$7.ReusableCBF$6);
    node.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, elems, propertyEntry.value$1)
  };
  parseLiteralValue__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__s_Option(value, property, node) {
    let rc14 = false;
    let x2 = null;
    let rc15 = false;
    let x4 = null;
    let rc16 = false;
    let x6 = null;
    let rc17 = false;
    let x9 = null;
    let rc18 = false;
    let x11 = null;
    const x1 = value.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Bool$1;
    if ((x === x1)) {
      rc14 = true;
      x2 = x1;
      const this$1 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$2 = this$1.option$1;
      const jsx$1 = (this$2.isEmpty__Z() ? null : this$2.get__O());
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((jsx$1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "boolean").iri__T())) {
        return new $c_s_Some().init___O(value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.ctx$1))
      }
    };
    if (rc14) {
      const this$9 = this.ctx$1;
      const node$1 = node.id$1;
      const this$5 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$6 = this$5.option$1;
      const expected = (this$6.isEmpty__Z() ? null : this$6.get__O());
      const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      const found = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "boolean").iri__T();
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__inconsistentPropertyRangeValueViolation__T__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__T__Lorg_yaml_model_YNode__V(this$9, node$1, property, expected, found, value);
      return $m_s_None$()
    };
    const x$3 = $m_Lorg_yaml_model_YType$().Int$1;
    if ((x$3 === x1)) {
      rc15 = true;
      x4 = x1;
      const this$10 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$11 = this$10.option$1;
      const jsx$3 = (this$11.isEmpty__Z() ? null : this$11.get__O());
      const this$12 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      let jsx$2;
      if ((jsx$3 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$12, "integer").iri__T())) {
        jsx$2 = true
      } else {
        const this$14 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
        const this$15 = this$14.option$1;
        const jsx$4 = (this$15.isEmpty__Z() ? null : this$15.get__O());
        const this$16 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        jsx$2 = (jsx$4 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$16, "number").iri__T())
      };
      if (jsx$2) {
        return new $c_s_Some().init___O(value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$IntYRead$(), this.ctx$1))
      }
    };
    if (rc15) {
      const this$22 = this.ctx$1;
      const node$2 = node.id$1;
      const this$18 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$19 = this$18.option$1;
      const expected$1 = (this$19.isEmpty__Z() ? null : this$19.get__O());
      const this$20 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      const found$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$20, "integer").iri__T();
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__inconsistentPropertyRangeValueViolation__T__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__T__Lorg_yaml_model_YNode__V(this$22, node$2, property, expected$1, found$1, value);
      return $m_s_None$()
    };
    const x$5 = $m_Lorg_yaml_model_YType$().Str$1;
    if ((x$5 === x1)) {
      rc16 = true;
      x6 = x1;
      const this$23 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$24 = this$23.option$1;
      const jsx$5 = (this$24.isEmpty__Z() ? null : this$24.get__O());
      const this$25 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      if ((jsx$5 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "string").iri__T())) {
        return new $c_s_Some().init___O(value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3)
      }
    };
    let jsx$6;
    if (rc16) {
      const this$27 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$28 = this$27.option$1;
      const jsx$7 = (this$28.isEmpty__Z() ? null : this$28.get__O());
      const this$29 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      jsx$6 = (jsx$7 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "anyUri").iri__T())
    } else {
      jsx$6 = false
    };
    if (jsx$6) {
      return new $c_s_Some().init___O(value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3)
    };
    if (rc16) {
      const this$35 = this.ctx$1;
      const node$3 = node.id$1;
      const this$31 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$32 = this$31.option$1;
      const expected$2 = (this$32.isEmpty__Z() ? null : this$32.get__O());
      const this$33 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      const found$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "string").iri__T();
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__inconsistentPropertyRangeValueViolation__T__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__T__Lorg_yaml_model_YNode__V(this$35, node$3, property, expected$2, found$2, value);
      return $m_s_None$()
    };
    const x$7 = $m_Lorg_yaml_model_YType$().Float$1;
    if ((x$7 === x1)) {
      rc17 = true;
      x9 = x1;
      const this$36 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$37 = this$36.option$1;
      const jsx$9 = (this$37.isEmpty__Z() ? null : this$37.get__O());
      const this$38 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      let jsx$8;
      if ((jsx$9 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$38, "float").iri__T())) {
        jsx$8 = true
      } else {
        const this$40 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
        const this$41 = this$40.option$1;
        const jsx$10 = (this$41.isEmpty__Z() ? null : this$41.get__O());
        const this$42 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
        jsx$8 = (jsx$10 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$42, "number").iri__T())
      };
      if (jsx$8) {
        return new $c_s_Some().init___O(value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$DoubleYRead$(), this.ctx$1))
      }
    };
    if (rc17) {
      const this$48 = this.ctx$1;
      const node$4 = node.id$1;
      const this$44 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$45 = this$44.option$1;
      const expected$3 = (this$45.isEmpty__Z() ? null : this$45.get__O());
      const this$46 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      const found$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$46, "float").iri__T();
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__inconsistentPropertyRangeValueViolation__T__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__T__Lorg_yaml_model_YNode__V(this$48, node$4, property, expected$3, found$3, value);
      return $m_s_None$()
    };
    const x$9 = $m_Lorg_yaml_model_YType$().Timestamp$1;
    if ((x$9 === x1)) {
      rc18 = true;
      x11 = x1;
      const this$49 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$50 = this$49.option$1;
      const jsx$13 = (this$50.isEmpty__Z() ? null : this$50.get__O());
      const this$51 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      let jsx$12;
      if ((jsx$13 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$51, "time").iri__T())) {
        jsx$12 = true
      } else {
        const this$53 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
        const this$54 = this$53.option$1;
        const jsx$14 = (this$54.isEmpty__Z() ? null : this$54.get__O());
        const this$55 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        jsx$12 = (jsx$14 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$55, "date").iri__T())
      };
      let jsx$11;
      if (jsx$12) {
        jsx$11 = true
      } else {
        const this$57 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
        const this$58 = this$57.option$1;
        const jsx$15 = (this$58.isEmpty__Z() ? null : this$58.get__O());
        const this$59 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        jsx$11 = (jsx$15 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$59, "dateTime").iri__T())
      };
      if (jsx$11) {
        return new $c_s_Some().init___O(value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$DTYRead$(), this.ctx$1))
      }
    };
    if (rc18) {
      const this$65 = this.ctx$1;
      const node$5 = node.id$1;
      const this$61 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$62 = this$61.option$1;
      const expected$4 = (this$62.isEmpty__Z() ? null : this$62.get__O());
      const this$63 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      const found$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$63, "dateTime").iri__T();
      $f_Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter__inconsistentPropertyRangeValueViolation__T__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__T__Lorg_yaml_model_YNode__V(this$65, node$5, property, expected$4, found$4, value);
      return $m_s_None$()
    };
    const this$66 = this.ctx$1;
    const node$6 = node.id$1;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported scalar type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([value.tag__Lorg_yaml_model_YTag().tagType$2]));
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$66, node$6, message, value);
    return $m_s_None$()
  };
  resolveLink__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__T__s_Option(ast, mapping, id) {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(ast);
    let refTuple;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const key = x2.value$2;
      refTuple = new $c_T2().init___O__O(key, this.ctx$1.declarations$2.findDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_parser_SearchScope$Scope__s_Option(key, mapping, $m_Lamf_core_parser_SearchScope$Fragments$()))
    } else {
      const text = ast.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      refTuple = new $c_T2().init___O__O(text, this.ctx$1.declarations$2.findDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_parser_SearchScope$Scope__s_Option(text, mapping, $m_Lamf_core_parser_SearchScope$Named$()))
    };
    if ((refTuple !== null)) {
      const text$2 = refTuple.$$und1__O();
      const p2 = refTuple.$$und2__O();
      if ((text$2 !== null)) {
        if ($is_s_Some(p2)) {
          const x3 = p2;
          const s = x3.value$2;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast.value__Lorg_yaml_model_YValue());
          const this$1 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations);
          const linkedNode = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, id);
          return new $c_s_Some().init___O(linkedNode)
        }
      }
    };
    if ((refTuple !== null)) {
      const text$3 = refTuple.$$und1__O();
      if ((text$3 !== null)) {
        const this$2 = $m_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement$().apply__Lorg_yaml_model_YMap__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this.map$1);
        const linkedNode$2 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$2, id);
        const refAst = this.map$1;
        const ctx = this.ctx$1;
        $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(linkedNode$2, text$3, refAst, ctx);
        return new $c_s_Some().init___O(linkedNode$2)
      }
    };
    throw new $c_s_MatchError().init___O(refTuple)
  };
  dispatchNodeMap__Lorg_yaml_model_YMap__T(nodeMap) {
    return (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(nodeMap).key__T__s_Option("$include").isDefined__Z() ? "$include" : (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(nodeMap).key__T__s_Option("$ref").isDefined__Z() ? "$ref" : "inline"))
  };
  findCompatibleMapping__T__sc_Seq__sci_Map__s_Option__Lorg_yaml_model_YMap__sc_Seq__sc_Seq(id, unionMappings, discriminatorMapping, discriminator, nodeMap, mapProperties) {
    if ($is_s_Some(discriminator)) {
      const x2 = discriminator;
      const propertyName = x2.value$2;
      const this$1 = nodeMap.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyName$1) {
        return (function(x$10$2) {
          const x$10 = x$10$2;
          return (x$10.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3 === propertyName$1)
        })
      })(this, propertyName)));
      let explicitMapping;
      if (this$1.isEmpty__Z()) {
        explicitMapping = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const entry = arg1;
        explicitMapping = discriminatorMapping.get__O__s_Option(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3)
      };
      if ($is_s_Some(explicitMapping)) {
        const x2$2 = explicitMapping;
        const nodeMapping = x2$2.value$2;
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([nodeMapping]))
      } else {
        const x = $m_s_None$();
        if ((x === explicitMapping)) {
          const this$2 = this.ctx$1;
          const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find discriminator value for discriminator '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyName]));
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$2, id$1, id, property, message, nodeMap);
          return $m_sci_Nil$()
        } else {
          throw new $c_s_MatchError().init___O(explicitMapping)
        }
      }
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === discriminator)) {
        const jsx$2 = nodeMap.entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
          return (function(x$11$2) {
            const x$11 = x$11$2;
            return x$11.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$3.ctx$1).text$3
          })
        })(this));
        const this$4 = $m_sc_IndexedSeq$();
        const properties = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBF$6).toSet__sci_Set();
        return unionMappings.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, mapProperties$1, properties$1) {
          return (function(mapping$2) {
            const mapping = mapping$2;
            const baseProperties = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, mapProperties$1$1) {
              return (function(pm$2) {
                const pm = pm$2;
                const this$5 = pm.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
                const this$6 = this$5.option$1;
                return (!mapProperties$1$1.contains__O__Z((this$6.isEmpty__Z() ? null : this$6.get__O())))
              })
            })(this$4$1, mapProperties$1)));
            const jsx$4 = baseProperties.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
              return (function(x$12$2) {
                const x$12 = x$12$2;
                const this$7 = x$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1);
                return ($f_Lamf_core_model_IntField__value__I(this$7) > 0)
              })
            })(this$4$1)));
            const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
              return (function(x$13$2) {
                const x$13 = x$13$2;
                const this$8 = x$13.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
                const this$9 = this$8.option$1;
                return (this$9.isEmpty__Z() ? null : this$9.get__O())
              })
            })(this$4$1));
            const this$10 = $m_sc_Seq$();
            const mappingRequiredSet = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2).toSet__sci_Set();
            const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$2) {
              return (function(x$14$2) {
                const x$14 = x$14$2;
                const this$11 = x$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
                const this$12 = this$11.option$1;
                return (this$12.isEmpty__Z() ? null : this$12.get__O())
              })
            })(this$4$1));
            const this$13 = $m_sc_Seq$();
            const mappingSet = baseProperties.map__F1__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2).toSet__sci_Set();
            return (properties$1.diff__sc_GenSet__sc_Set(mappingSet).isEmpty__Z() && mappingRequiredSet.diff__sc_GenSet__sc_Set(properties$1).isEmpty__Z())
          })
        })(this, mapProperties, properties)))
      } else {
        throw new $c_s_MatchError().init___O(discriminator)
      }
    }
  };
  basePath__T__T(path) {
    let withoutHash;
    if (((path.indexOf("#") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(path, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      withoutHash = $f_sc_IndexedSeqOptimized__head__O(this$6)
    } else {
      withoutHash = path
    };
    const this$10 = new $c_sci_StringOps().init___T(withoutHash);
    const n = (withoutHash.lastIndexOf("/") | 0);
    return ($f_sc_IndexedSeqOptimized__splitAt__I__T2(this$10, n).$$und1__O() + "/")
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser: 1,
  O: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser;
class $c_Lamf_plugins_document_webapi_PayloadPlugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.vendors$2 = null;
    this.allowRecursiveReferences$2 = false
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_webapi_PayloadPlugin$ = this;
    this.ID$2 = "AMF Payload";
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMF Payload"]));
    this.allowRecursiveReferences$2 = false;
    return this
  };
  notRAML__p2__Lamf_core_Root__Z(root) {
    if (root.parsed$1.comment$1.isEmpty__Z()) {
      return true
    } else {
      const thiz = root.parsed$1.comment$1.get__O().metaText$3;
      return (!(((thiz.length | 0) >= 0) && (thiz.substring(0, ("%".length | 0)) === "%")))
    }
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    return new $c_Lamf_plugins_document_webapi_resolution_pipelines_CanonicalShapePipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
  };
  notOAS__p2__Lamf_core_Root__Z(root) {
    const x1 = root.parsed$1.document$1.node$3.value__Lorg_yaml_model_YValue();
    if ((!$is_Lorg_yaml_model_YMap(x1))) {
      return true
    } else {
      const x2 = x1;
      return (!x2.entries$3.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          const thiz = x$1.key$1.value__Lorg_yaml_model_YValue().text$3;
          return (((thiz.length | 0) >= 0) && (thiz.substring(0, ("swagger".length | 0)) === "swagger"))
        })
      })(this))))
    }
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    return false
  };
  modelEntities__sc_Seq() {
    return $m_sci_Nil$()
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/amf+json", "application/amf+yaml"]))
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return $m_Lamf_core_parser_SimpleReferenceHandler$()
  };
  ID__T() {
    return this.ID$2
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(root, parentContext, platform) {
    const ctx = new $c_Lamf_plugins_document_webapi_contexts_PayloadContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(root.location$1, parentContext.refs$1, parentContext, $m_s_None$());
    const document = root.parsed$1.document$1;
    const location = root.location$1;
    const mediaType = root.mediatype$1;
    return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_PayloadParser().init___Lorg_yaml_model_YDocument__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext(document, location, mediaType, ctx).parseUnit__Lamf_core_model_document_PayloadFragment())
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$(), $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$()]))
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    return $m_s_None$()
  };
  canParse__Lamf_core_Root__Z(root) {
    return (this.notRAML__p2__Lamf_core_Root__Z(root) && this.notOAS__p2__Lamf_core_Root__Z(root))
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, ctx, platform) {
    return this.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Some(document, ctx, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_Lamf_plugins_document_webapi_PayloadPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_PayloadPlugin$: 0
}, false, "amf.plugins.document.webapi.PayloadPlugin$", {
  Lamf_plugins_document_webapi_PayloadPlugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_document_webapi_PayloadPlugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_PayloadPlugin$;
let $n_Lamf_plugins_document_webapi_PayloadPlugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_PayloadPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_PayloadPlugin$)) {
    $n_Lamf_plugins_document_webapi_PayloadPlugin$ = new $c_Lamf_plugins_document_webapi_PayloadPlugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_PayloadPlugin$
});
class $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext {
  constructor() {
    super();
    this.factory$3 = null;
    this.vendor$3 = null
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$3
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.factory$3 = new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory().init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this);
    this.vendor$3 = $m_Lamf_core_remote_Oas2$();
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$3
  };
  factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory() {
    return this.factory$3
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.Oas2SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext {
  constructor() {
    super();
    this.factory$3 = null;
    this.vendor$3 = null
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$3
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.factory$3 = new $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory().init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this);
    this.vendor$3 = $m_Lamf_core_remote_Oas3$();
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$3
  };
  factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory() {
    return this.factory$3
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.Oas3SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory extends $c_O {
  constructor() {
    super();
    this.spec$1 = null;
    this.typesKey$1 = null
  };
  typesEmitter__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(shape$2, ordering$2, annotations$2, ignored$2, references$2) {
        const shape = shape$2;
        const ordering = ordering$2;
        const annotations = annotations$2;
        const ignored = ignored$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, annotations, ignored, references, $this.spec$1)
      })
    })(this))
  };
  parameterEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(parameter$2, ordering$2, references$2) {
        const parameter = parameter$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(parameter, ordering, references, $this.spec$1)
      })
    })(this))
  };
  tagToReferenceEmitter__F3() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3(this)
  };
  payloadsEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, f$2, ordering$2, references$2) {
        const key = key$2;
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  namedSecurityEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$1)
      })
    })(this))
  };
  endpointEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(endpoint$2, ordering$2, children$2, references$2) {
        const endpoint = endpoint$2;
        const ordering = ordering$2;
        const children = children$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter().init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, $this.spec$1)
      })
    })(this))
  };
  facetsInstanceEmitter__F2() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Facerts not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  annotationTypeEmitter__F2() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Annotation types not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  annotationEmitter__F2() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Annotations not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  rootLevelEmitters__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(document$2, ordering$2) {
        const document = document$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, $this.spec$1)
      })
    })(this))
  };
  customFacetsEmitter__F3() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Custom facets not supported for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.vendor__Lamf_core_remote_Vendor()]))))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(spec) {
    this.spec$1 = spec;
    this.typesKey$1 = "schemas";
    return this
  };
  parametrizedSecurityEmitter__F2() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__parametrizedSecurityEmitter__F2(this)
  };
  typesKey__T() {
    return this.typesKey$1
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  responseEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(response$2, ordering$2, references$2) {
        const response = response$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, $this.spec$1)
      })
    })(this))
  };
  operationEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(operation$2, ordering$2, references$2) {
        const operation = operation$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter().init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, $this.spec$1)
      })
    })(this))
  };
  retrieveHeader__Lamf_core_model_document_BaseUnit__T(document) {
    if ($is_Lamf_core_model_document_Document(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$().text$1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Document has no header."))
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08EmitterVersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext {
  constructor() {
    super();
    this.factory$3 = null;
    this.vendor$3 = null
  };
  init___() {
    const refEmitter = $m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$();
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.factory$3 = new $c_Lamf_plugins_document_webapi_contexts_Raml08EmitterVersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this);
    this.vendor$3 = $m_Lamf_core_remote_Raml08$();
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory() {
    return this.factory$3
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$3
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$3
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null
  };
  requestParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(map$2, producer$2, parseOptional$2) {
        const map = map$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser().init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  parameterParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  endPointParser__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(entry$2, producer$2, parent$2, collector$2, parseOptionalOperations$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parent = parent$2;
        const collector = collector$2;
        const parseOptionalOperations = (!(!parseOptionalOperations$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser().init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, $this.ctx$1)
      })
    })(this))
  };
  payloadParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  responseParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  operationParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.ctx$1 = ctx;
    return this
  };
  typeParser__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(entry$2, adopt$2, isAnnotation$2, defaultType$2) {
        const entry = entry$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(entry, adopt, isAnnotation, defaultType, $this.ctx$1)
      })
    })(this))
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08VersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08VersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml08VersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecVersionFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory extends $c_O {
  constructor() {
    super();
    this.spec$1 = null;
    this.typesKey$1 = null
  };
  typesEmitter__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(shape$2, ordering$2, annotations$2, ignored$2, references$2) {
        const shape = shape$2;
        const ordering = ordering$2;
        const annotations = annotations$2;
        const ignored = ignored$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, annotations, ignored, references, $this.spec$1)
      })
    })(this))
  };
  parameterEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(parameter$2, ordering$2, references$2) {
        const parameter = parameter$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(parameter, ordering, references, $this.spec$1)
      })
    })(this))
  };
  tagToReferenceEmitter__F3() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3(this)
  };
  payloadsEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, f$2, ordering$2, references$2) {
        const key = key$2;
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  namedSecurityEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$1)
      })
    })(this))
  };
  endpointEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(endpoint$2, ordering$2, children$2, references$2) {
        const endpoint = endpoint$2;
        const ordering = ordering$2;
        const children = children$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter().init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, $this.spec$1)
      })
    })(this))
  };
  facetsInstanceEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(shapeExtension$2, ordering$2) {
        const shapeExtension = shapeExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter().init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, $this.spec$1)
      })
    })(this))
  };
  annotationTypeEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(property$2, ordering$2) {
        const property = property$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter().init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(property, ordering, $this.spec$1)
      })
    })(this))
  };
  annotationEmitter__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(domainExtension$2, ordering$2) {
        const domainExtension = domainExtension$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter().init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, $this.spec$1)
      })
    })(this))
  };
  rootLevelEmitters__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(document$2, ordering$2) {
        const document = document$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, $this.spec$1)
      })
    })(this))
  };
  customFacetsEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(f$2, ordering$2, references$2) {
        const f = f$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, $this.spec$1)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(spec) {
    this.spec$1 = spec;
    this.typesKey$1 = "types";
    return this
  };
  parametrizedSecurityEmitter__F2() {
    return $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__parametrizedSecurityEmitter__F2(this)
  };
  typesKey__T() {
    return this.typesKey$1
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  responseEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(response$2, ordering$2, references$2) {
        const response = response$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, $this.spec$1)
      })
    })(this))
  };
  operationEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(operation$2, ordering$2, references$2) {
        const operation = operation$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter().init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, $this.spec$1)
      })
    })(this))
  };
  retrieveHeader__Lamf_core_model_document_BaseUnit__T(document) {
    if ($is_Lamf_plugins_document_webapi_model_Extension(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().text$1
    } else if ($is_Lamf_plugins_document_webapi_model_Overlay(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().text$1
    } else if ($is_Lamf_core_model_document_Document(document)) {
      return $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$().text$1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Document has no header."))
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10EmitterVersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext {
  constructor() {
    super();
    this.factory$3 = null;
    this.vendor$3 = null
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory() {
    return this.factory$3
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$3
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    $c_Lamf_plugins_document_webapi_contexts_SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.factory$3 = new $c_Lamf_plugins_document_webapi_contexts_Raml10EmitterVersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this);
    this.vendor$3 = $m_Lamf_core_remote_Raml10$();
    return this
  };
  factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory() {
    return this.factory$3
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null
  };
  requestParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(map$2, producer$2, parseOptional$2) {
        const map = map$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser().init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  parameterParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  endPointParser__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(entry$2, producer$2, parent$2, collector$2, parseOptionalOperations$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parent = parent$2;
        const collector = collector$2;
        const parseOptionalOperations = (!(!parseOptionalOperations$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser().init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, $this.ctx$1)
      })
    })(this))
  };
  payloadParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  responseParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  operationParser__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(entry$2, producer$2, parseOptional$2) {
        const entry = entry$2;
        const producer = producer$2;
        const parseOptional = (!(!parseOptional$2));
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, $this.ctx$1)
      })
    })(this))
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.ctx$1 = ctx;
    return this
  };
  typeParser__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(entry$2, adopt$2, isAnnotation$2, defaultType$2) {
        const entry = entry$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(entry, adopt, isAnnotation, defaultType, $this.ctx$1)
      })
    })(this))
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10VersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10VersionFactory", {
  Lamf_plugins_document_webapi_contexts_Raml10VersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecVersionFactory: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory;
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$ extends $c_O {
  init___() {
    return this
  };
  fromText__T__s_Option(text) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$().asRegExp__s_util_matching_Regex().pattern$1;
    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, text, 0, (text.length | 0)).matches__Z()) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$())
    };
    const this$3 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$().asRegExp__s_util_matching_Regex().pattern$1;
    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$3, text, 0, (text.length | 0)).matches__Z()) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$())
    };
    const this$5 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$().asRegExp__s_util_matching_Regex().pattern$1;
    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$5, text, 0, (text.length | 0)).matches__Z()) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$())
    };
    const this$7 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().asRegExp__s_util_matching_Regex().pattern$1;
    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$7, text, 0, (text.length | 0)).matches__Z()) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$())
    };
    const this$9 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().asRegExp__s_util_matching_Regex().pattern$1;
    if (new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$9, text, 0, (text.length | 0)).matches__Z()) {
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$())
    };
    const this$11 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$();
    const o12 = this$11.fromText__p1__T__s_Option(text);
    if ((!o12.isEmpty__Z())) {
      const fragment = o12.get__O();
      return new $c_s_Some().init___O(fragment)
    };
    if ((((text.length | 0) >= 0) && (text.substring(0, ("%".length | 0)) === "%"))) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_RamlHeader().init___T(text))
    };
    return $m_s_None$()
  };
  apply__Lamf_core_Root__s_Option(root) {
    const this$1 = root.parsed$1.comment$1;
    let x1;
    if (this$1.isEmpty__Z()) {
      x1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const c = arg1;
      x1 = this.fromText__T__s_Option(c.metaText$3)
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const header = x2.value$2;
      return $m_s_Option$().apply__O__s_Option(header)
    } else {
      const this$2 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$();
      return this$2.fromRoot__Lamf_core_Root__s_Option(root)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$
});
const $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration = (function($thiz, value) {
  return $thiz.amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration((("" + $thiz.namespace__T()) + value))
});
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ extends $c_O {
  init___() {
    return this
  };
  parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(parent, map, ctx) {
    const jsx$2 = map.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1, ctx$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const key = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), ctx$1).text$3;
        const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().resolveAnnotation__T__s_Option(key);
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$2 = arg1;
          const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser().init___T__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(x$2, parent$1, entry, ctx$1).parse__Lamf_core_model_domain_extensions_DomainExtension();
          const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
          xo = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other))
        };
        return xo.toList__sci_List()
      })
    })(this, parent, ctx));
    const this$4 = $m_sc_IndexedSeq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBF$6)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.AnnotationParser$", {
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$ref");
    $m_Lorg_yaml_model_YNode$();
    const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
    const this$2 = this.$$outer$1.shape$1;
    const this$3 = this$2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    const this$4 = this$3.option$1;
    const url = (this$4.isEmpty__Z() ? null : this$4.get__O());
    const str = this$5.appendPrefix__p1__T__T__T(this$5.definitionsPrefix$1, url);
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.JsonSchemaEmitter$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$ extends $c_O {
  init___() {
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$schema");
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("http://json-schema.org/draft-04/schema#");
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.JsonSchemaEntry$", {
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$;
let $n_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$ = new $c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser(declaration, parent, entry, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(declaration, parent, entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), ctx).text$3, entry.value$1, ctx)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter extends $c_O {
  constructor() {
    super();
    this.domainExtension$1 = null;
    this.ordering$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    k.$$plus$eq__T__V(this.name__T());
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_s_Option$();
    const this$1 = this.domainExtension$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const x$4 = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(x$4, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$4 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$4, 0);
    const this$5 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$5, 0))
  };
  init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, spec) {
    this.domainExtension$1 = domainExtension;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.domainExtension$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return $this.shapeEmitter__F3().apply__O__O__O__O(v$1, $this.ordering$1, $this.references$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1 extends $c_O {
  constructor() {
    super();
    this.x3$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    $m_Lorg_yaml_model_YNode$();
    const str = this.x3$1$1.value$1;
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.x3$1$1;
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this$1.annotations$1;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10__Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter($$outer, x3$1) {
    this.x3$1$1 = x3$1;
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataNodeEmitter$$anonfun$emitters$10$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2 extends $c_O {
  constructor() {
    super();
    this.x4$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.x4$1$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$1 = v.builder$1;
    const array = [key];
    if ((this$1.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$1.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$1, newSize);
    const len$1 = this$1.size0$6;
    const src = this$1.array$6;
    const dest = this$1.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$1.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$1.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10__Lamf_core_emitter_BaseEmitters_package$NullEmitter($$outer, x4$1) {
    this.x4$1$1 = x4$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.x4$1$1;
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this$1.annotations$1;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataNodeEmitter$$anonfun$emitters$10$$anon$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.securityScheme$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f, this.ordering$1, this.references$1, this.spec$1))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      if (f$3.value$1.value$1.values$1.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("queryParameters", f$3, this.ordering$1, this.references$1, this.spec$1))
      }
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("responses", f$4, this.ordering$1, this.references$1, this.spec$1))
    };
    return results
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.securityScheme$1.fields$1;
    const results = this.entries__Lamf_core_parser_Fields__sc_Seq(fs);
    if (results.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(results), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$7 = v.builder$1;
      const array = [key];
      if ((this$7.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$7.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
      const len$1 = this$7.size0$6;
      const src = this$7.array$6;
      const dest = this$7.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$7.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$7.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, spec) {
    this.key$1 = key;
    this.securityScheme$1 = securityScheme;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.securityScheme$1;
    const jsx$4 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1);
    const this$2 = this.securityScheme$1;
    const jsx$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1);
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const this$4 = this.securityScheme$1;
    const jsx$1 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1);
    const this$5 = $m_sc_Seq$();
    const this$6 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).headOption__s_Option();
    let this$8;
    if (this$6.isEmpty__Z()) {
      this$8 = $m_s_None$()
    } else {
      const arg1 = this$6.get__O();
      const h = arg1;
      const this$7 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = h.annotations__Lamf_core_parser_Annotations();
      this$8 = new $c_s_Some().init___O(this$7.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$8.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$8.get__O())
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter extends $c_O {
  constructor() {
    super();
    this.shapeExtension$1 = null;
    this.ordering$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    k.$$plus$eq__T__V(this.name__T());
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = $m_s_Option$();
    const this$1 = this.shapeExtension$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().Extension$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const x$5 = arg1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(x$5, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$4 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$4, 0);
    const this$5 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$5, 0))
  };
  init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, spec) {
    this.shapeExtension$1 = shapeExtension;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.shapeExtension$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__s_Option(e) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser().init___Lorg_yaml_model_YMapEntry(e).parse__s_Option()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.LibraryLocationParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion {
  init___T(position) {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion.prototype.init___T__T.call(this, "oas2.0", position);
    return this
  };
  position__T() {
    return this.position$2
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OAS20SchemaVersion", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion;
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OAS30SchemaVersion = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OAS30SchemaVersion)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OAS30SchemaVersion = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OAS30SchemaVersion)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ extends $c_O {
  init___() {
    return this
  };
  parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), ctx).parse__Lamf_plugins_domain_shapes_models_CreativeWork()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(node, name, adopt, version, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___s_util_Either__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_OasWebApiContext(($m_s_package$(), new $c_s_util_Right().init___O(node)), name, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), adopt, version, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, adopt, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___s_util_Either__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_OasWebApiContext(($m_s_package$(), new $c_s_util_Left().init___O(entry)), entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), ctx), entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), adopt, new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion().init___T("schema"), $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, adopt, version, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser().init___s_util_Either__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_OasWebApiContext(($m_s_package$(), new $c_s_util_Left().init___O(entry)), entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), ctx), entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx), adopt, version, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.x5$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = this.x5$1$1;
    const jsx$2 = this$2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2(this);
    const this$3 = $m_sc_Seq$();
    jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(s$2) {
        const s = s$2;
        $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().apply__Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(s, $this.$$outer$1.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter__Lamf_plugins_domain_shapes_models_UnionShape($$outer, x5$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.x5$1$1 = x5$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.x5$1$1;
    const annotations = this$1.annotations$2;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeEmitter$$anon$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(entry, adopt, isAnnotation, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(($m_s_package$(), new $c_s_util_Left().init___O(entry)), entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), ctx), adopt, isAnnotation, defaultType, new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(ctx.rootContextDocument$1, ctx.refs$1, ctx, new $c_s_Some().init___O(ctx.declarations$2)))
  };
  apply__Lorg_yaml_model_YNode__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(node, name, adopt, isAnnotation, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(($m_s_package$(), new $c_s_util_Right().init___O(node)), name, adopt, isAnnotation, defaultType, new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(ctx.rootContextDocument$1, ctx.refs$1, ctx, new $c_s_Some().init___O(ctx.declarations$2)))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(shape, ordering, references, spec) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), spec)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypePartEmitter$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1 extends $c_O {
  constructor() {
    super();
    this.x3$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.x3$1$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$1 = v.builder$1;
    const array = [key];
    if ((this$1.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$1.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$1, newSize);
    const len$1 = this$1.size0$6;
    const src = this$1.array$6;
    const dest = this$1.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$1.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$1.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1__Lamf_core_emitter_PartEmitter($$outer, x3$1) {
    this.x3$1$1 = x3$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    return this.x3$1$1.position__Lamf_core_parser_Position()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeEmitter$$anonfun$entries$1$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(node, name, adopt, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser().init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(($m_s_package$(), new $c_s_util_Right().init___O(node)), name, adopt, false, defaultType, ctx)
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(entry, adopt, isAnnotation, defaultType, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser().init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(($m_s_package$(), new $c_s_util_Left().init___O(entry)), entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), ctx).text$3, adopt, isAnnotation, defaultType, new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(ctx.rootContextDocument$1, ctx.refs$1, ctx, new $c_s_Some().init___O(ctx.declarations$2)))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const shape = this.shape$2;
    const ordering = this.ordering$2;
    const references = this.references$2;
    const spec = this.spec$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter__emitExamples__Lamf_plugins_domain_shapes_models_AnyShape__scm_ListBuffer__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, shape, results, ordering, references, spec);
    return results
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$2 = new $c_s_Some().init___O("any");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.typeName$2 = null
  };
  typeName__s_Option() {
    return this.typeName$2
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const shape = this.shape$2;
    const ordering = this.ordering$2;
    const references = this.references$2;
    const spec = this.spec$2;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter__emitExamples__Lamf_plugins_domain_shapes_models_AnyShape__scm_ListBuffer__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, shape, results, ordering, references, spec);
    if ((!this.typeEmitted$1)) {
      const entry = new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "any", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$());
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry])))
    };
    return results
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$2 = new $c_s_Some().init___O("any");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnyShapeInstanceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter;
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__toSchemaContext__Lamf_plugins_document_webapi_contexts_WebApiContext__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_OasWebApiContext = (function($thiz, ctx, ast) {
  if ($is_Lorg_yaml_model_YNode$MutRef(ast)) {
    const x2 = ast;
    const x = x2.origTag$5.tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
    if ((x === x$2)) {
      const thiz = x2.origValue$5.text$3;
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "/", 0);
      const this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const thiz$1 = $f_sc_IndexedSeqOptimized__last__O(this$3);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$1, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const fileHint = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const x1$2 = ctx.refs$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(r$2) {
          const r = r$2;
          const jsx$1 = $m_s_Option$();
          const this$7 = r.unit$1;
          return jsx$1.apply__O__s_Option(this$7.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)).isDefined__Z()
        })
      })($thiz))).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, fileHint$1) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          const jsx$2 = $m_sjsr_RuntimeString$();
          const this$8 = x$5.unit$1;
          return jsx$2.endsWith__T__T__Z(this$8.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1), fileHint$1)
        })
      })($thiz, fileHint)));
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const ref = x2$2.value$2;
        const jsx$6 = $m_Lamf_plugins_document_webapi_parser_spec_package$();
        const this$9 = ref.unit$1;
        const jsx$5 = this$9.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
        const jsx$4 = ref.unit$1.references__sc_Seq();
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, ref$1) {
          return (function(r$3$2) {
            const r$3 = r$3$2;
            const this$10 = ref$1.unit$1;
            return new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(r$3, new $c_Lamf_core_parser_Reference().init___T__sc_Seq(this$10.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1), $m_sci_Nil$()), $m_s_None$())
          })
        })($thiz, ref));
        const this$11 = $m_sc_Seq$();
        return jsx$6.toOas__T__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(jsx$5, jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2), ctx)
      } else {
        return $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx)
      }
    } else {
      return $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx)
    }
  } else {
    return $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx)
  }
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option = (function($thiz, map) {
  const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
  return (this$2.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema") : this$2)
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape = (function($thiz, name, value, adopt, parseExample) {
  const x1 = value.tag__Lorg_yaml_model_YTag().tagType$2;
  const x = $m_Lorg_yaml_model_YType$().Map$1;
  let x1$3_$_$$und1$f;
  let x1$3_$_$$und2$f;
  if ((x === x1)) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const x1$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option($thiz, map);
    matchEnd5: {
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const typeEntry = x2.value$2;
        if ((typeEntry !== null)) {
          const node = typeEntry.value$1;
          if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
            const _1 = typeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
            const _2 = typeEntry.value$1;
            const jsx$1_$_$$und1$f = _1;
            const jsx$1_$_$$und2$f = _2;
            x1$3_$_$$und1$f = jsx$1_$_$$und1$f;
            x1$3_$_$$und2$f = jsx$1_$_$$und2$f;
            break matchEnd5
          }
        }
      };
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const shape = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      adopt.apply__O__O(shape);
      const this$5 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const node$1 = shape.id$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$5, node$1, "Cannot parse XML Schema expression out of a non string value", value);
      const jsx$2_$_$$und1$f = "";
      const jsx$2_$_$$und2$f = value;
      x1$3_$_$$und1$f = jsx$2_$_$$und1$f;
      x1$3_$_$$und2$f = jsx$2_$_$$und2$f
    }
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x$3 === x1)) {
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const shape$2 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      adopt.apply__O__O(shape$2);
      const this$9 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const node$2 = shape$2.id$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node$2, "Cannot parse XML Schema expression out of a non string value", value);
      const jsx$3_$_$$und1$f = "";
      const jsx$3_$_$$und2$f = value;
      x1$3_$_$$und1$f = jsx$3_$_$$und1$f;
      x1$3_$_$$und2$f = jsx$3_$_$$und2$f
    } else {
      const _1$1 = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
      const jsx$4_$_$$und1$f = _1$1;
      const jsx$4_$_$$und2$f = value;
      x1$3_$_$$und1$f = jsx$4_$_$$und1$f;
      x1$3_$_$$und2$f = jsx$4_$_$$und2$f
    }
  };
  const text = x1$3_$_$$und1$f;
  const valueAST = x1$3_$_$$und2$f;
  const schemaAst = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(text, $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include").parse__Z__sc_IndexedSeq(true);
  const x1$4 = schemaAst.head__O();
  let schemaEntry;
  if ($is_Lorg_yaml_model_YDocument(x1$4)) {
    const x2$2 = x1$4;
    schemaEntry = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name)), x2$2.node$3)
  } else {
    const this$11 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$11, "invalid json schema expression", valueAST);
    schemaEntry = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name)), $m_Lorg_yaml_model_YNode$().Null$1)
  };
  $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().localJSONSchemaContext$2 = new $c_s_Some().init___O(schemaEntry.value$1);
  const jsx$7 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$();
  const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, adopt$1) {
    return (function(shape$3$2) {
      const shape$3 = shape$3$2;
      adopt$1.apply__O__O(shape$3)
    })
  })($thiz, adopt));
  const jsx$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$();
  const ctx = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
  const x1$5 = jsx$7.apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(schemaEntry, jsx$6, jsx$5, $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__toSchemaContext__Lamf_plugins_document_webapi_contexts_WebApiContext__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_OasWebApiContext($thiz, ctx, valueAST)).parse__s_Option();
  let parsed;
  if ($is_s_Some(x1$5)) {
    const x2$3 = x1$5;
    const shape$4 = x2$3.value$2;
    const ctx$1 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    if ((!$f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z($thiz, value, shape$4, ctx$1))) {
      shape$4.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema().init___T(text))
    };
    parsed = shape$4
  } else {
    const x$5 = $m_s_None$();
    if ((!(x$5 === x1$5))) {
      throw new $c_s_MatchError().init___O(x1$5)
    };
    const annotations$2 = new $c_Lamf_core_parser_Annotations().init___();
    const shape$5 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2);
    adopt.apply__O__O(shape$5);
    const this$16 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    const node$3 = shape$5.id$1;
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$16, node$3, "Cannot parse JSON Schema", value);
    parsed = shape$5
  };
  $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().localJSONSchemaContext$2 = $m_s_None$();
  let jsx$8;
  if (parseExample) {
    const x$7 = value.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$8 = $m_Lorg_yaml_model_YType$().Map$1;
    jsx$8 = (x$7 === x$8)
  } else {
    jsx$8 = false
  };
  if (jsx$8) {
    const map$2 = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$18 = $thiz;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$9.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$18, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parsed).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$20 = $thiz;
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$10.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$20, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parsed).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$22 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$23 = this$22.key__T__s_Option("default");
    if ((!this$23.isEmpty__Z())) {
      const arg1 = this$23.get__O();
      const entry = arg1;
      const dataNodeResult = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, parsed.id$1, false, $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult();
      const str = $m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(entry.value$1, false);
      const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(str, new $c_Lamf_core_parser_Annotations().init___());
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parsed, field$2, value$1, annotations$3);
      const this$25 = dataNodeResult.dataNode$1;
      if ((!this$25.isEmpty__Z())) {
        const arg1$1 = this$25.get__O();
        const dataNode = arg1$1;
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const annotations$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parsed, field$3, dataNode, annotations$4)
      }
    };
    const map$1 = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const options = $m_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$();
    const ctx$2 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser__parseExamples__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext__V($thiz, parsed, map$1, options, ctx$2)
  };
  return parsed
});
const $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseXMLSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape = (function($thiz, name, value, adopt, parseExample) {
  const x1 = value.tag__Lorg_yaml_model_YTag().tagType$2;
  const x = $m_Lorg_yaml_model_YType$().Map$1;
  let parsed;
  if ((x === x1)) {
    const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const x1$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option($thiz, map);
    let parsedSchema;
    matchEnd5: {
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const typeEntry = x2.value$2;
        if ((typeEntry !== null)) {
          const node = typeEntry.value$1;
          if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$5 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const text = typeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
            const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
            const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, text);
            const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
            const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, "application/xml");
            const node$1 = typeEntry.value$1;
            const ctx = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
            $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z($thiz, node$1, shape, ctx);
            const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$2, name);
            adopt.apply__O__O(shape);
            parsedSchema = shape;
            break matchEnd5
          }
        }
      };
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const shape$2 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      adopt.apply__O__O(shape$2);
      const this$10 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const node$2 = shape$2.id$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node$2, "Cannot parse XML Schema expression out of a non string value", value);
      parsedSchema = shape$2
    };
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$12 = $thiz;
    const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$12, field$3, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parsedSchema).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$14 = $thiz;
    const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$14, field$4, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parsedSchema).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$17 = this$16.key__T__s_Option("default");
    if ((!this$17.isEmpty__Z())) {
      const arg1 = this$17.get__O();
      const entry = arg1;
      const dataNodeResult = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, parsedSchema.id$1, false, $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult();
      const str = $m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(entry.value$1, false);
      const field$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(str, new $c_Lamf_core_parser_Annotations().init___());
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parsedSchema, field$5, value$1, annotations$2);
      const this$19 = dataNodeResult.dataNode$1;
      if ((!this$19.isEmpty__Z())) {
        const arg1$1 = this$19.get__O();
        const dataNode = arg1$1;
        const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parsedSchema, field$6, dataNode, annotations$3)
      }
    };
    const map$1 = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const options = $m_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$();
    const ctx$1 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser__parseExamples__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext__V($thiz, parsedSchema, map$1, options, ctx$1);
    parsed = parsedSchema
  } else {
    const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x$3 === x1)) {
      const annotations$4 = new $c_Lamf_core_parser_Annotations().init___();
      const shape$3 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4);
      adopt.apply__O__O(shape$3);
      const this$23 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const node$3 = shape$3.id$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$23, node$3, "Cannot parse XML Schema expression out of a non string value", value);
      parsed = shape$3
    } else {
      const raw = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
      const annotations$5 = new $c_Lamf_core_parser_Annotations().init___();
      const this$27 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5);
      const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
      const this$28 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$27, field$7, raw);
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
      const shape$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$28, field$8, "application/xml");
      const ctx$2 = $thiz.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z($thiz, value, shape$4, ctx$2);
      const field$9 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$9, name);
      adopt.apply__O__O(shape$4);
      parsed = shape$4
    }
  };
  return parsed
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.securityScheme$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare security scheme without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.securityScheme$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.securityScheme$1;
    let vf_$_f$2;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$1_$_f$2 = f;
      vf_$_f$2 = jsx$1_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$2_$_f$2 = f$1;
      vf_$_f$2 = jsx$2_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.securityScheme$1;
    const this$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const l = arg1;
      const this$3 = this.securityScheme$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$3), this.references$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.securitySchemeEmitter__F3().apply__O__O__O__O(this.securityScheme$1, this.references$1, this.ordering$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.references$1 = references;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.securityScheme$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  apply__Lamf_plugins_domain_shapes_models_UnionShape__Lorg_yaml_model_YNode__Lamf_core_parser_ParserContext__s_Option(union, part, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_parser_ParserContext(this.$$outer$1, union, ctx).matchUnionFather__Lorg_yaml_model_YPart__s_Option(part)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher$;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.emitter$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    if (($m_s_Option$().apply__O__s_Option(this.shape$1).isDefined__Z() && this.shape$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))) {
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, "", $m_Lorg_yaml_model_YType$().Null$1)
    } else {
      const x1 = this.emitter$1;
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const p = x2.value$2;
        p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
      } else if ($is_s_util_Right(x1)) {
        const x3 = x1;
        const entries = x3.value$2;
        const jsx$1 = b.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(entries), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, annotations, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    const x1 = this.emitters__sc_Seq();
    let jsx$1;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_s_package$();
          jsx$1 = new $c_s_util_Left().init___O(x3);
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$5)
        })
      })(this)))) {
        $m_s_package$();
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter(this);
        const this$3 = $m_sc_Seq$();
        const value = x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
        jsx$1 = new $c_s_util_Right().init___O(value);
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    };
    this.emitter$1 = jsx$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.emitters__sc_Seq().headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$4 = arg1;
      this$2 = new $c_s_Some().init___O(x$4.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(ctx) {
    const references = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations().init___scm_Map__Lamf_plugins_document_webapi_contexts_WebApiContext(references, ctx)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferenceDeclarations$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ extends $c_O {
  init___() {
    return this
  };
  parse__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_XMLSerializer(defaultName, node, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser().init___T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(defaultName, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), ctx).parse__Lamf_plugins_domain_shapes_models_XMLSerializer()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.XMLSerializerParser$", {
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(node) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__s_Option($m_Lamf_plugins_domain_webapi_models_Parameter$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_Parameter(node), $m_Lamf_plugins_domain_webapi_models_Payload$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Payload(node), new $c_s_Some().init___O(node))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParameter$", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ extends $c_O {
  init___() {
    return this
  };
  defaultPayload__sc_Seq__s_Option(payloads) {
    const this$2 = payloads.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const this$1 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
        return $f_Lamf_core_model_StrField__isNullOrEmpty__Z(this$1)
      })
    })(this)));
    const this$4 = (this$2.isEmpty__Z() ? payloads.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        const this$3 = x$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$3, "application/json")
      })
    })(this))) : this$2);
    return (this$4.isEmpty__Z() ? payloads.headOption__s_Option() : this$4)
  };
  apply__sc_Seq__Z__Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(payloads, endpointPayloadEmitted) {
    const clean = payloads.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return (!x$2.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_EndPointBodyParameter.getClassOf()))
      })
    })(this)));
    const elem = clean.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DefaultPayload.getClassOf())
      })
    })(this)));
    const $default = new $c_sr_ObjectRef().init___O(elem);
    let jsx$1;
    if (endpointPayloadEmitted) {
      jsx$1 = $default.elem$1
    } else {
      const this$3 = $default.elem$1;
      jsx$1 = (this$3.isEmpty__Z() ? this.defaultPayload__sc_Seq__s_Option(clean) : this$3)
    };
    $default.elem$1 = jsx$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads().init___s_Option__sc_Seq($default.elem$1, clean.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4, $default$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const this$5 = $default$1.elem$1;
        const x$2$1 = (this$5.isEmpty__Z() ? null : this$5.get__O());
        return (!((x$4 === null) ? (x$2$1 === null) : x$4.equals__O__Z(x$2$1)))
      })
    })(this, $default))))
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloads$", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ extends $c_O {
  init___() {
    return this
  };
  classified__T__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(path, params, payloads) {
    const elem = $m_sci_Nil$();
    const uriParams = new $c_sr_ObjectRef().init___O(elem);
    const elem$1 = $m_sci_Nil$();
    const pathParams = new $c_sr_ObjectRef().init___O(elem$1);
    params.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$3 = x$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$3, "path")
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, path$1, uriParams$1, pathParams$1) {
      return (function(param$2) {
        const param = param$2;
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["{", "}"]));
        const this$4 = param.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        const this$5 = this$4.option$1;
        const s = jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$5.isEmpty__Z() ? null : this$5.get__O())]));
        if (((path$1.indexOf(s) | 0) !== (-1))) {
          const jsx$3 = pathParams$1.elem$1;
          const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([param]));
          const this$9 = $m_sc_Seq$();
          pathParams$1.elem$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$9.ReusableCBFInstance$2)
        } else {
          const jsx$5 = uriParams$1.elem$1;
          const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([param]));
          const this$10 = $m_sc_Seq$();
          uriParams$1.elem$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$10.ReusableCBFInstance$2)
        }
      })
    })(this, path, uriParams, pathParams)));
    const jsx$7 = params.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const this$11 = x$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$11, "query")
      })
    })(this)));
    const jsx$6 = pathParams.elem$1;
    const this$12 = $m_sc_Seq$();
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$12.ReusableCBFInstance$2), $m_sci_Nil$(), params.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        const this$13 = x$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$13, "header")
      })
    })(this))), uriParams.elem$1, payloads)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Parameters$", {
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(producer, node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, node$1, ctx$1) {
      return (function(key$2, scope$2) {
        const key = key$2;
        const scope = scope$2;
        return ctx$1.declarations$2.findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(node$1, key, scope)
      })
    })(this, node, ctx)), ctx).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedDeclarationParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter extends $c_O {
}
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.$$outer$1.payload$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    const this$3 = this$2.option$1;
    const str = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x1 = this.$$outer$1.typeEmitters$1;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const pe = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(pe)) {
          const x3 = pe;
          x3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$8)
        })
      })(this)))) {
        const jsx$4 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$2 = this.$$outer$1.ordering$1;
        const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1(this);
        const this$7 = $m_sc_Seq$();
        jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$2.sorted__sc_Seq__sc_Seq(x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2)), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    };
    const this$12 = v.builder$1;
    const array = [key];
    if ((this$12.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$12.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
    const len$1 = this$12.size0$6;
    const src = this$12.array$6;
    const dest = this$12.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$12.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$12.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.$$outer$1.payload$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter$$anon$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2 extends $c_O {
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const map = $m_Lorg_yaml_model_YMap$().empty$1;
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter($$outer) {
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter$$anon$2", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter extends $c_O {
  constructor() {
    super();
    this.ordering$1 = null;
    this.children$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().fields$1;
    this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().parent__s_Option();
    if (this$2.isEmpty__Z()) {
      const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1).get__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$3.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k)
    } else {
      const arg1 = this$2.get__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().relativePath__T(), new $c_Lamf_core_parser_Annotations().init___()), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k)
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$12 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$12, 0);
    const this$13 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$13, 0))
  };
  init___Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(ordering, children, references, spec) {
    this.ordering$1 = ordering;
    this.children$1 = children;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f, $m_s_None$(), this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(f$4, this.ordering$1, false).emitters__sc_Seq()))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$3 = this$6.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(f$5, this.ordering$1)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$4 = this$7.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("securedBy", f$6, this.ordering$1, this.spec$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint(), this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.children$1);
    return result
  };
  operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(f, ordering) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1) {
      return (function(e$2) {
        const e = e$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().operationEmitter__F3().apply__O__O__O__O(e, ordering$1, $this.references$1)
      })
    })(this, ordering));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.endpoint__Lamf_plugins_domain_webapi_models_EndPoint().annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  $$plus$eq__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__V(child) {
    this.children$1.$$plus$eq__O__scm_ListBuffer(child)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter extends $c_O {
  constructor() {
    super();
    this.operation$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("displayName", f, $m_s_None$())))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("oasDeprecated").asRamlAnnotation__T(), f$4, $m_s_None$())))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$3 = this$8.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("summary").asRamlAnnotation__T(), f$5, $m_s_None$())))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Tags$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$4 = this$11.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(new $c_Lamf_core_utils_package$Strings().init___T("tags").asRamlAnnotation__T(), f$6, this.ordering$1, false)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$5 = this$13.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("externalDocs").asRamlAnnotation__T(), f$7.value$1.value$1, this.ordering$1, this.spec$1)))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$6 = this$15.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("protocols", f$8, this.ordering$1, false)))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$7 = this$16.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(new $c_Lamf_core_utils_package$Strings().init___T("consumes").asRamlAnnotation__T(), f$9, this.ordering$1, false)))
    };
    const this$18 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
    if ((!this$18.isEmpty__Z())) {
      const arg1$8 = this$18.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(new $c_Lamf_core_utils_package$Strings().init___T("produces").asRamlAnnotation__T(), f$10, this.ordering$1, false)))
    };
    const this$20 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$20.isEmpty__Z())) {
      const arg1$9 = this$20.get__O();
      const f$11 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(f$11, this.ordering$1, false).emitters__sc_Seq()))
    };
    const jsx$1 = $m_s_Option$();
    const this$21 = this.operation$1;
    const this$22 = jsx$1.apply__O__s_Option(this$21.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    if ((!this$22.isEmpty__Z())) {
      const arg1$10 = this$22.get__O();
      const req = arg1$10;
      const fields = req.fields$1;
      const this$23 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1);
      if ((!this$23.isEmpty__Z())) {
        const arg1$11 = this$23.get__O();
        const f$1 = arg1$11;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("queryParameters", f$1, this.ordering$1, this.references$1, this.spec$1)))
      };
      const this$24 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
      if ((!this$24.isEmpty__Z())) {
        const arg1$12 = this$24.get__O();
        const f$3$1 = arg1$12;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f$3$1, this.ordering$1, this.references$1, this.spec$1)))
      };
      const this$25 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1);
      if ((!this$25.isEmpty__Z())) {
        const arg1$13 = this$25.get__O();
        const f$4$1 = arg1$13;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().payloadsEmitter__F4().apply__O__O__O__O__O("body", f$4$1, this.ordering$1, this.references$1)))
      };
      const this$26 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1);
      if ((!this$26.isEmpty__Z())) {
        const arg1$14 = this$26.get__O();
        const f$5$1 = arg1$14;
        new $c_s_Some().init___O((f$5$1.value$1.value$1.values$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(f$2$2) {
            const f$2 = f$2$2;
            return (!f$2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
          })
        })(this))) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.baseUriParameterKey__T(), f$5$1, this.ordering$1, this.references$1, this.spec$1)) : (void 0)))
      }
    };
    const this$27 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1);
    if ((!this$27.isEmpty__Z())) {
      const arg1$15 = this$27.get__O();
      const f$12 = arg1$15;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("responses", f$12, this.ordering$1, this.references$1, this.spec$1)))
    };
    const this$28 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
    if ((!this$28.isEmpty__Z())) {
      const arg1$16 = this$28.get__O();
      const f$13 = arg1$16;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("securedBy", f$13, this.ordering$1, this.spec$1)))
    };
    return result
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.operation$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.entries__Lamf_core_parser_Fields__sc_Seq(fs)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$9, 0);
    const this$10 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$10, 0))
  };
  init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, spec) {
    this.operation$1 = operation;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.operation$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$2 = this.parameter$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2).isDefined__Z()) {
      this.emitLink__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      this.emitParameter__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$1 = parameter;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.parameter$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  emitLink__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.parameter$1;
    const fs = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).get__O().fields__Lamf_core_parser_Fields();
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = this.parameter$1;
    const this$3 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const l = arg1;
      const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
      const this$4 = this.parameter$1;
      jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$4), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$5 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$5, 0);
    const this$6 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$6, 0))
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, ctx) {
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ extends $c_O {
  init___() {
    return this
  };
  parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(producer, node, ctx) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser().init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, ctx).parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametrizedSecuritySchemeParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter extends $c_O {
  constructor() {
    super();
    this.response$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.response$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.response$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(this.response$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    };
    const this$10 = k.builder$1;
    const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$10, 0);
    const this$11 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$11, 0))
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, spec) {
    this.response$1 = response;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f, $m_s_None$(), this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f$3, this.ordering$1, this.references$1, this.spec$1)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().payloadsEmitter__F4().apply__O__O__O__O__O("body", f$4, this.ordering$1, this.references$1)))
    };
    return result
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.response$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ extends $c_O {
  init___() {
    return this
  };
  parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_Settings(scheme, node, ctx) {
    const jsx$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    const this$1 = scheme.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    const this$2 = this$1.option$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser().init___Lorg_yaml_model_YMap__T__Lamf_plugins_domain_webapi_models_security_WithSettings__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$1, (this$2.isEmpty__Z() ? null : this$2.get__O()), scheme, ctx).parse__Lamf_plugins_domain_webapi_models_security_Settings()
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSecuritySettingsParser$", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Servers$ extends $c_O {
  init___() {
    return this
  };
  apply__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_parser_spec_domain_Servers(f) {
    const x1 = f.arrayValues__sc_Seq().partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        return x$10.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SynthesizedField.getClassOf()).isDefined__Z()
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const $default = x1.$$und1__O();
    const servers = x1.$$und2__O();
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Servers().init___s_Option__sc_Seq($default.headOption__s_Option(), servers)
  };
  isVariable__Lamf_plugins_domain_webapi_models_Parameter__Z(parameter) {
    const nonLocalReturnKey1 = new $c_O().init___();
    try {
      const x1 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
        const x2 = x1;
        const variableFields = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().Name$1, $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1, $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1, $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1, $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1, $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1]));
        const this$1 = x2.fields$2;
        const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, variableFields$1, nonLocalReturnKey1$1) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ((x0$1 !== null)) {
              const field = x0$1.$$und1__O();
              if ((!variableFields$1.contains__O__Z(field))) {
                throw new $c_sr_NonLocalReturnControl$mcZ$sp().init___O__Z(nonLocalReturnKey1$1, false)
              }
            } else {
              throw new $c_s_MatchError().init___O(x0$1)
            }
          })
        })(this, variableFields, nonLocalReturnKey1));
        this$1.fs$1.foreach__F1__V(fn);
        return true
      } else {
        return false
      }
    } catch (e) {
      if ($is_sr_NonLocalReturnControl(e)) {
        const ex = e;
        if ((ex.key$2 === nonLocalReturnKey1)) {
          return ex.value$mcZ$sp__Z()
        } else {
          throw ex
        }
      } else {
        throw e
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Servers$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Servers$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Servers$", {
  Lamf_plugins_document_webapi_parser_spec_domain_Servers$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Servers$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Servers$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_Servers$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_Servers$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_Servers$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_Servers$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Servers$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_Servers$
});
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter {
  constructor() {
    super();
    this.WebApiEmitter$module$2 = null;
    this.EndPointEmitter$module$2 = null;
    this.OperationEmitter$module$2 = null;
    this.ResponsesEmitter$module$2 = null;
    this.EndpointsEmitter$module$2 = null;
    this.LicenseEmitter$module$2 = null;
    this.OrganizationEmitter$module$2 = null;
    this.document$2 = null
  };
  emitWebApi__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(ordering, references) {
    const model = this.retrieveWebApi__p2__Lamf_plugins_domain_webapi_models_WebApi();
    const this$1 = model.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    let vendor;
    if (this$1.isEmpty__Z()) {
      vendor = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      vendor = new $c_s_Some().init___O(x$2.vendor$1)
    };
    const api = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq(this, model, ordering, vendor, references);
    return api.emitters$1
  };
  retrieveHeader__p2__s_Option() {
    const x1 = this.document$2;
    if ($is_Lamf_plugins_document_webapi_model_Extension(x1)) {
      const this$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$();
      const _1 = this$1.key$1;
      const _2 = this$1.value$1;
      return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(_1, _2, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else if ($is_Lamf_plugins_document_webapi_model_Overlay(x1)) {
      const this$5 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$();
      const _1$1 = this$5.key$1;
      const _2$1 = this$5.value$1;
      return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(_1$1, _2$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else if ($is_Lamf_core_model_document_Document(x1)) {
      return $m_s_None$()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Document has no header."))
    }
  };
  extensionEmitter__sc_Seq() {
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    let jsx$3;
    if (this$1.isEmpty__Z()) {
      jsx$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      const jsx$5 = new $c_Lamf_core_utils_package$Strings().init___T("extends").asOasExtension__T();
      const jsx$4 = f.value$1.value$1.toString__T();
      const this$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = f.value$1.annotations$1;
      jsx$3 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter().init___T__T__Lamf_core_parser_Position__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$5, jsx$4, this$3.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()), this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    const jsx$2 = jsx$3.toList__sci_List();
    const xo = this.retrieveHeader__p2__s_Option();
    const jsx$1 = xo.toList__sci_List();
    const this$5 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(document, spec) {
    this.document$2 = document;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    return this
  };
  emitDocument__Lorg_yaml_model_YDocument() {
    const doc = this.document$2;
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Oas$(), doc.encodes__Lamf_core_model_domain_DomainElement().annotations__Lamf_core_parser_Annotations());
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering(this, this.document$2, ordering);
    const declares = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(doc.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1), ordering, this.document$2.references__sc_Seq(), this.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters$1;
    const api = this.emitWebApi__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(ordering, this.document$2.references__sc_Seq());
    const extension = this.extensionEmitter__sc_Seq();
    const this$1 = doc.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("usage").asOasExtension__T(), f, $m_s_None$()))
    };
    const this$5 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$5.comment$1;
    const this$7 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$7)) {
      b.comment__T__V(this$5.comment$1)
    };
    const jsx$6 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.versionEntry__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1);
    const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$9 = $m_sc_Seq$();
    const jsx$4 = api.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(extension, this$9.ReusableCBFInstance$2);
    const jsx$3 = usage.toList__sci_List();
    const this$11 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2);
    const this$12 = $m_sc_Seq$();
    const jsx$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(declares, this$12.ReusableCBFInstance$2);
    const this$13 = $m_sc_Seq$();
    jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(references, this$13.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  retrieveWebApi__p2__Lamf_plugins_domain_webapi_models_WebApi() {
    const x1 = this.document$2;
    if ($is_Lamf_core_model_document_Document(x1)) {
      const x2 = x1;
      return x2.encodes__Lamf_core_model_domain_DomainElement()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("BaseUnit doesn't encode a WebApi."))
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(ast, adopt) {
    const this$1 = ast.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const map = ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f);
      const x1$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const reference = x2.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YScalar__F1(this.$$outer$1, ast, reference.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3, reference.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3, ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const this$6 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const name = ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
        const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
        const customDomainProperty = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field, name);
        adopt.apply__O__O(customDomainProperty);
        const this$7 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
        const node = customDomainProperty.id$1;
        const ast$1 = ast.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node, "Invalid value node type for annotation types parser, expected map or scalar reference", ast$1);
        return customDomainProperty
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YScalar__F1(this.$$outer$1, ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3, ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$AnnotationTypesParser$", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.commonNodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = this;
    $f_Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax__$$init$__V(this);
    const jsx$7 = this.commonNodes$1;
    const array = ["title", "description", "version", "baseUri", "baseUriParameters", "protocols", "mediaType", "documentation", "schemas", "traits", "resourceTypes", "securitySchemes", "securedBy"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("shape", y$1);
    const array$2 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat", "pattern", "minLength", "maxLength", "required"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("stringScalarShape", y$2);
    const array$3 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat", "format"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("dateScalarShape", y$3);
    const array$4 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "enum", "required", "repeat", "minimum", "maximum", "format", "multipleOf"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("numberScalarShape", y$4);
    const array$5 = ["displayName", "description", "get", "patch", "put", "post", "delete", "options", "head", "get?", "patch?", "put?", "post?", "delete?", "options?", "head?", "is", "type", "securedBy", "baseUriParameters", "uriParameters", "usage"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("endPoint", y$5);
    const array$6 = ["displayName", "description", "queryParameters", "headers", "responses", "body", "protocols", "is", "securedBy", "baseUriParameters", "usage"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const array$7 = [jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("operation", y$6)];
    const this$23 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$7 = 0;
    const len$7 = (array$7.length | 0);
    while ((i$7 < len$7)) {
      const index$7 = i$7;
      const arg1$7 = array$7[index$7];
      this$23.$$plus$eq__T2__scm_MapBuilder(arg1$7);
      i$7 = ((1 + i$7) | 0)
    };
    this.nodes$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__sci_Map(this$23.elems$1);
    return this
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlSyntax$$undsetter$und$commonNodes$und$eq__sci_Map__V(x$1) {
    this.commonNodes$1 = x$1
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml08Syntax$", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$
});
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.commonNodes$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = this;
    $f_Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax__$$init$__V(this);
    const jsx$14 = this.commonNodes$1;
    const array = ["title", "description", "version", "baseUri", "baseUriParameters", "protocols", "mediaType", "documentation", "schemas", "types", "traits", "resourceTypes", "annotationTypes", "securitySchemes", "securedBy", "usage", "extends", "uses"];
    let y;
    if (((array.length | 0) === 0)) {
      y = $m_sci_Set$EmptySet$()
    } else {
      const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_SetBuilder(arg1);
        i = ((1 + i) | 0)
      };
      y = b.elems$1
    };
    const jsx$13 = new $c_T2().init___O__O("webApi", y);
    const array$1 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "required"];
    let y$1;
    if (((array$1.length | 0) === 0)) {
      y$1 = $m_sci_Set$EmptySet$()
    } else {
      const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$1 = 0;
      const len$1 = (array$1.length | 0);
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = array$1[index$1];
        b$1.$$plus$eq__O__scm_SetBuilder(arg1$1);
        i$1 = ((1 + i$1) | 0)
      };
      y$1 = b$1.elems$1
    };
    const jsx$12 = new $c_T2().init___O__O("shape", y$1);
    const array$2 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "required", "anyOf"];
    let y$2;
    if (((array$2.length | 0) === 0)) {
      y$2 = $m_sci_Set$EmptySet$()
    } else {
      const b$2 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$2 = 0;
      const len$2 = (array$2.length | 0);
      while ((i$2 < len$2)) {
        const index$2 = i$2;
        const arg1$2 = array$2[index$2];
        b$2.$$plus$eq__O__scm_SetBuilder(arg1$2);
        i$2 = ((1 + i$2) | 0)
      };
      y$2 = b$2.elems$1
    };
    const jsx$11 = new $c_T2().init___O__O("unionShape", y$2);
    const array$3 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "properties", "minProperties", "maxProperties", "discriminator", "discriminatorValue", "required", "additionalProperties"];
    let y$3;
    if (((array$3.length | 0) === 0)) {
      y$3 = $m_sci_Set$EmptySet$()
    } else {
      const b$3 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$3 = 0;
      const len$3 = (array$3.length | 0);
      while ((i$3 < len$3)) {
        const index$3 = i$3;
        const arg1$3 = array$3[index$3];
        b$3.$$plus$eq__O__scm_SetBuilder(arg1$3);
        i$3 = ((1 + i$3) | 0)
      };
      y$3 = b$3.elems$1
    };
    const jsx$10 = new $c_T2().init___O__O("nodeShape", y$3);
    const array$4 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "uniqueItems", "items", "minItems", "maxItems", "required"];
    let y$4;
    if (((array$4.length | 0) === 0)) {
      y$4 = $m_sci_Set$EmptySet$()
    } else {
      const b$4 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$4 = 0;
      const len$4 = (array$4.length | 0);
      while ((i$4 < len$4)) {
        const index$4 = i$4;
        const arg1$4 = array$4[index$4];
        b$4.$$plus$eq__O__scm_SetBuilder(arg1$4);
        i$4 = ((1 + i$4) | 0)
      };
      y$4 = b$4.elems$1
    };
    const jsx$9 = new $c_T2().init___O__O("arrayShape", y$4);
    const array$5 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "pattern", "minLength", "maxLength", "required", "format"];
    let y$5;
    if (((array$5.length | 0) === 0)) {
      y$5 = $m_sci_Set$EmptySet$()
    } else {
      const b$5 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$5 = 0;
      const len$5 = (array$5.length | 0);
      while ((i$5 < len$5)) {
        const index$5 = i$5;
        const arg1$5 = array$5[index$5];
        b$5.$$plus$eq__O__scm_SetBuilder(arg1$5);
        i$5 = ((1 + i$5) | 0)
      };
      y$5 = b$5.elems$1
    };
    const jsx$8 = new $c_T2().init___O__O("stringScalarShape", y$5);
    const array$6 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "minimum", "maximum", "format", "multipleOf", "required"];
    let y$6;
    if (((array$6.length | 0) === 0)) {
      y$6 = $m_sci_Set$EmptySet$()
    } else {
      const b$6 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$6 = 0;
      const len$6 = (array$6.length | 0);
      while ((i$6 < len$6)) {
        const index$6 = i$6;
        const arg1$6 = array$6[index$6];
        b$6.$$plus$eq__O__scm_SetBuilder(arg1$6);
        i$6 = ((1 + i$6) | 0)
      };
      y$6 = b$6.elems$1
    };
    const jsx$7 = new $c_T2().init___O__O("numberScalarShape", y$6);
    const array$7 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "required", "format"];
    let y$7;
    if (((array$7.length | 0) === 0)) {
      y$7 = $m_sci_Set$EmptySet$()
    } else {
      const b$7 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$7 = 0;
      const len$7 = (array$7.length | 0);
      while ((i$7 < len$7)) {
        const index$7 = i$7;
        const arg1$7 = array$7[index$7];
        b$7.$$plus$eq__O__scm_SetBuilder(arg1$7);
        i$7 = ((1 + i$7) | 0)
      };
      y$7 = b$7.elems$1
    };
    const jsx$6 = new $c_T2().init___O__O("dateScalarShape", y$7);
    const array$8 = ["type", "default", "schema", "example", "examples", "displayName", "description", "facets", "xml", "enum", "fileTypes", "minLength", "maxLength", "required"];
    let y$8;
    if (((array$8.length | 0) === 0)) {
      y$8 = $m_sci_Set$EmptySet$()
    } else {
      const b$8 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$8 = 0;
      const len$8 = (array$8.length | 0);
      while ((i$8 < len$8)) {
        const index$8 = i$8;
        const arg1$8 = array$8[index$8];
        b$8.$$plus$eq__O__scm_SetBuilder(arg1$8);
        i$8 = ((1 + i$8) | 0)
      };
      y$8 = b$8.elems$1
    };
    const jsx$5 = new $c_T2().init___O__O("fileShape", y$8);
    const array$9 = ["displayName", "description", "value", "strict"];
    let y$9;
    if (((array$9.length | 0) === 0)) {
      y$9 = $m_sci_Set$EmptySet$()
    } else {
      const b$9 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$9 = 0;
      const len$9 = (array$9.length | 0);
      while ((i$9 < len$9)) {
        const index$9 = i$9;
        const arg1$9 = array$9[index$9];
        b$9.$$plus$eq__O__scm_SetBuilder(arg1$9);
        i$9 = ((1 + i$9) | 0)
      };
      y$9 = b$9.elems$1
    };
    const jsx$4 = new $c_T2().init___O__O("example", y$9);
    const array$10 = ["attribute", "wrapped", "name", "namespace", "prefix"];
    let y$10;
    if (((array$10.length | 0) === 0)) {
      y$10 = $m_sci_Set$EmptySet$()
    } else {
      const b$10 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$10 = 0;
      const len$10 = (array$10.length | 0);
      while ((i$10 < len$10)) {
        const index$10 = i$10;
        const arg1$10 = array$10[index$10];
        b$10.$$plus$eq__O__scm_SetBuilder(arg1$10);
        i$10 = ((1 + i$10) | 0)
      };
      y$10 = b$10.elems$1
    };
    const jsx$3 = new $c_T2().init___O__O("xmlSerialization", y$10);
    const array$11 = ["displayName", "description", "get", "patch", "put", "post", "delete", "options", "head", "get?", "patch?", "put?", "post?", "delete?", "options?", "head?", "is", "type", "securedBy", "uriParameters", "usage"];
    let y$11;
    if (((array$11.length | 0) === 0)) {
      y$11 = $m_sci_Set$EmptySet$()
    } else {
      const b$11 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$11 = 0;
      const len$11 = (array$11.length | 0);
      while ((i$11 < len$11)) {
        const index$11 = i$11;
        const arg1$11 = array$11[index$11];
        b$11.$$plus$eq__O__scm_SetBuilder(arg1$11);
        i$11 = ((1 + i$11) | 0)
      };
      y$11 = b$11.elems$1
    };
    const jsx$2 = new $c_T2().init___O__O("endPoint", y$11);
    const array$12 = ["displayName", "description", "queryParameters", "headers", "queryString", "responses", "body", "protocols", "is", "securedBy", "usage"];
    let y$12;
    if (((array$12.length | 0) === 0)) {
      y$12 = $m_sci_Set$EmptySet$()
    } else {
      const b$12 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$12 = 0;
      const len$12 = (array$12.length | 0);
      while ((i$12 < len$12)) {
        const index$12 = i$12;
        const arg1$12 = array$12[index$12];
        b$12.$$plus$eq__O__scm_SetBuilder(arg1$12);
        i$12 = ((1 + i$12) | 0)
      };
      y$12 = b$12.elems$1
    };
    const jsx$1 = new $c_T2().init___O__O("operation", y$12);
    const array$13 = ["displayName", "description", "allowedTargets"];
    let y$13;
    if (((array$13.length | 0) === 0)) {
      y$13 = $m_sci_Set$EmptySet$()
    } else {
      const b$13 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
      let i$13 = 0;
      const len$13 = (array$13.length | 0);
      while ((i$13 < len$13)) {
        const index$13 = i$13;
        const arg1$13 = array$13[index$13];
        b$13.$$plus$eq__O__scm_SetBuilder(arg1$13);
        i$13 = ((1 + i$13) | 0)
      };
      y$13 = b$13.elems$1
    };
    const array$14 = [jsx$13, jsx$12, jsx$11, jsx$10, jsx$9, jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("annotation", y$13)];
    const this$44 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$14 = 0;
    const len$14 = (array$14.length | 0);
    while ((i$14 < len$14)) {
      const index$14 = i$14;
      const arg1$14 = array$14[index$14];
      this$44.$$plus$eq__T2__scm_MapBuilder(arg1$14);
      i$14 = ((1 + i$14) | 0)
    };
    this.nodes$1 = jsx$14.$$plus$plus__sc_GenTraversableOnce__sci_Map(this$44.elems$1);
    return this
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlSyntax$$undsetter$und$commonNodes$und$eq__sci_Map__V(x$1) {
    this.commonNodes$1 = x$1
  };
  nodes__sci_Map() {
    return this.nodes$1
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10Syntax$", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_SpecSyntax: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$;
let $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$ = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$
});
class $c_Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline {
  constructor() {
    super();
    this.profileName$3 = null;
    this.references$3 = null;
    this.parameters$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline.prototype.init___.call(this);
    this.profileName$3 = $m_Lamf_ProfileNames$().OAS$1;
    this.references$3 = new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage().init___Z(false);
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().OAS$1);
    return this
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  profileName__T() {
    return this.profileName$3
  };
  references__Lamf_core_resolution_stages_ReferenceResolutionStage() {
    return this.references$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.OasEditingPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage extends $c_Lamf_core_resolution_stages_ReferenceResolutionStage {
  customDomainElementTransformation__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_Linkable__Lamf_core_model_domain_DomainElement(domain, source) {
    if ($is_Lamf_plugins_domain_webapi_models_Response(source)) {
      const x2 = source;
      if (x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1).option$1.isDefined__Z()) {
        if ($is_Lamf_plugins_domain_webapi_models_Response(domain)) {
          const x2$2 = domain;
          const this$1 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1);
          const this$2 = this$1.option$1;
          const statusCode = (this$2.isEmpty__Z() ? null : this$2.get__O());
          const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x2$2, field, statusCode)
        } else {
          return domain
        }
      }
    };
    return domain
  };
  init___Z(keepEditingInfo) {
    $c_Lamf_core_resolution_stages_ReferenceResolutionStage.prototype.init___T__Z.call(this, $m_Lamf_ProfileNames$().AMF$1, keepEditingInfo);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.OasReferenceResolutionStage", {
  Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage: 1,
  Lamf_core_resolution_stages_ReferenceResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline {
  constructor() {
    super();
    this.profileName$3 = null;
    this.references$3 = null;
    this.parameters$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.init___.call(this);
    this.profileName$3 = $m_Lamf_ProfileNames$().OAS$1;
    this.references$3 = new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasReferenceResolutionStage().init___Z(false);
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().OAS$1);
    return this
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  profileName__T() {
    return this.profileName$3
  };
  references__Lamf_core_resolution_stages_ReferenceResolutionStage() {
    return this.references$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.OasResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline {
  constructor() {
    super();
    this.profileName$3 = null;
    this.parameters$3 = null;
    this.extensions$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline.prototype.init___.call(this);
    this.profileName$3 = $m_Lamf_ProfileNames$().RAML08$1;
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML08$1);
    this.extensions$3 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T__Z($m_Lamf_ProfileNames$().RAML08$1, true);
    return this
  };
  extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage() {
    return this.extensions$3
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  profileName__T() {
    return this.profileName$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.Raml08EditingPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline {
  constructor() {
    super();
    this.profileName$3 = null;
    this.parameters$3 = null;
    this.extensions$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.init___.call(this);
    this.profileName$3 = $m_Lamf_ProfileNames$().RAML08$1;
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML08$1);
    this.extensions$3 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage().init___T__Z($m_Lamf_ProfileNames$().RAML08$1, false);
    return this
  };
  extensions__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage() {
    return this.extensions$3
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  profileName__T() {
    return this.profileName$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.Raml08ResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline {
  constructor() {
    super();
    this.profileName$3 = null;
    this.parameters$3 = null;
    this.examples$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline.prototype.init___.call(this);
    this.profileName$3 = $m_Lamf_ProfileNames$().RAML$1;
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    this.examples$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    return this
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  profileName__T() {
    return this.profileName$3
  };
  examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage() {
    return this.examples$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.Raml10EditingPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfEditingPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline extends $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline {
  constructor() {
    super();
    this.profileName$3 = null;
    this.parameters$3 = null;
    this.examples$3 = null
  };
  init___() {
    $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.init___.call(this);
    this.profileName$3 = $m_Lamf_ProfileNames$().RAML$1;
    this.parameters$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    this.examples$3 = new $c_Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage().init___T($m_Lamf_ProfileNames$().RAML$1);
    return this
  };
  parameters__Lamf_plugins_domain_webapi_resolution_stages_ParametersNormalizationStage() {
    return this.parameters$3
  };
  profileName__T() {
    return this.profileName$3
  };
  examples__Lamf_plugins_domain_webapi_resolution_stages_ExamplesResolutionStage() {
    return this.examples$3
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.Raml10ResolutionPipeline", {
  Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline: 1,
  Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline: 1,
  Lamf_core_resolution_pipelines_ResolutionPipeline: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline;
class $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ extends $c_O {
  init___() {
    return this
  };
  merge__sc_Seq__sc_Seq__sc_Seq(left, right) {
    const jsx$1 = right.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, left$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return left$1.contains__O__Z(x$5)
      })
    })(this, left)));
    const this$1 = $m_sc_Seq$();
    return left.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer$: 0
}, false, "amf.plugins.document.webapi.resolution.stages.BranchContainer$", {
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$;
let $n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = (void 0);
const $m_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$)) {
    $n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$ = new $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$().init___()
  };
  return $n_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$
});
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.Branches$module$2 = null;
    this.ResourceTypeResolver$module$2 = null;
    this.TraitResolver$module$2 = null;
    this.TraitBranch$module$2 = null;
    this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f = null;
    this.keepEditingInfo$2 = false;
    this.fromOverlay$2 = false;
    this.platform$2 = null
  };
  collectResourceTypes__p2__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__scm_ListBuffer(endpoint, context, apiContext) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.collectResourceTypes__p2__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__V(result, endpoint, context, apiContext);
    return result
  };
  Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$() {
    if ((this.Branches$module$2 === null)) {
      this.Branches$lzycompute$1__p2__V()
    };
    return this.Branches$module$2
  };
  convert__p2__Lamf_core_model_document_BaseUnit__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_domain_webapi_models_EndPoint(model, endpoint) {
    const context = new $c_Lamf_plugins_document_webapi_resolution_stages_Context().init___Lamf_core_model_document_BaseUnit__sci_Set(model, $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())).add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context("resourcePath", this.resourcePath__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endpoint)).add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context("resourcePathName", this.resourcePathName__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endpoint));
    const resourceTypes = this.collectResourceTypes__p2__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__scm_ListBuffer(endpoint, context, this.ctx__I__Lamf_plugins_document_webapi_contexts_RamlWebApiContext((context.model$1.parserRun__s_Option().get__O() | 0)));
    this.apply__Lamf_plugins_domain_webapi_models_EndPoint__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint(endpoint, resourceTypes);
    const resolver = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage(this);
    endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1, context$1, resourceTypes$1, resolver$1) {
      return (function(operation$2) {
        const operation = operation$2;
        const this$2 = operation.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1);
        const this$3 = this$2.option$1;
        const local = context$1.add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context("methodName", (this$3.isEmpty__Z() ? null : this$3.get__O()));
        const branches = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        branches.$$plus$eq__O__scm_ListBuffer($this.Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().method__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver$1, operation, local));
        branches.$$plus$eq__O__scm_ListBuffer($this.Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().endpoint__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver$1, endpoint$1, local));
        const this$4 = resourceTypes$1.scala$collection$mutable$ListBuffer$$start$6;
        let these = this$4;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const rt = arg1;
          const jsx$1 = $this.Branches__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$();
          const this$5 = operation.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1);
          const this$6 = this$5.option$1;
          branches.$$plus$eq__O__scm_ListBuffer(jsx$1.resourceType__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__T__Lamf_plugins_document_webapi_resolution_stages_BranchContainer(resolver$1, rt, local, (this$6.isEmpty__Z() ? null : this$6.get__O())));
          these = these.tail__O()
        };
        const z = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        const this$7 = branches.scala$collection$mutable$ListBuffer$$start$6;
        let acc = z;
        let these$1 = this$7;
        while ((!these$1.isEmpty__Z())) {
          const arg1$1 = acc;
          const arg2 = these$1.head__O();
          const x0$2 = arg1$1;
          const x1$2 = arg2;
          const jsx$3 = $m_Lamf_plugins_document_webapi_resolution_stages_BranchContainer$().merge__sc_Seq__sc_Seq__sc_Seq(x0$2, x1$2.flatten__sc_Seq());
          const jsx$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($this);
          const this$8 = $m_sc_Seq$();
          acc = jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$8.ReusableCBFInstance$2);
          these$1 = these$1.tail__O()
        };
        const traits = acc;
        traits.foldLeft__O__F2__O(operation, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1) {
          return (function(x0$3$2, x1$3$2) {
            const x0$3 = x0$3$2;
            const x1$3 = x1$3$2;
            return $m_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$().merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x0$3, x1$3.operation$1)
          })
        })($this)));
        return (((!$this.keepEditingInfo$2) && (!$this.fromOverlay$2)) ? operation.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field()) : (void 0))
      })
    })(this, endpoint, context, resourceTypes, resolver)));
    if (((!this.keepEditingInfo$2) && (!this.fromOverlay$2))) {
      endpoint.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field())
    };
    return endpoint
  };
  transform__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_domain_DomainElement__Z__s_Option(model, element, isCycle) {
    if ($is_Lamf_plugins_domain_webapi_models_EndPoint(element)) {
      const x2 = element;
      return new $c_s_Some().init___O(this.convert__p2__Lamf_core_model_document_BaseUnit__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_domain_webapi_models_EndPoint(model, x2))
    } else {
      return new $c_s_Some().init___O(element)
    }
  };
  resourcePathName__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endPoint) {
    const x = this.resourcePath__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endPoint);
    const this$2 = new $c_sci_StringOps().init___T(x);
    const xs = $f_sci_StringLike__split__C__AT(this$2, 47);
    const b = new $c_scm_ArrayBuilder$ofRef().init___s_reflect_ClassTag($m_s_reflect_ClassTag$().apply__jl_Class__s_reflect_ClassTag($objectGetClass(xs).getComponentType__jl_Class()));
    b.sizeHint__I__V(xs.u.length);
    let i = xs.u.length;
    while ((i > 0)) {
      i = (((-1) + i) | 0);
      const index = i;
      const elem = xs.u[index];
      b.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
    };
    const xs$1 = b.result__AO();
    const len = xs$1.u.length;
    let i$1 = 0;
    while (true) {
      let jsx$1;
      if ((i$1 < len)) {
        const index$1 = i$1;
        const arg1 = xs$1.u[index$1];
        const s = arg1;
        const this$12 = new $c_sci_StringOps().init___T(s);
        let jsx$2;
        if ($f_sc_TraversableOnce__nonEmpty__Z(this$12)) {
          const this$14 = new $c_sci_StringOps().init___T("\\{.*\\}");
          const groupNames = $m_sci_Nil$();
          const $$this = this$14.repr$1;
          jsx$2 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames).findFirstIn__jl_CharSequence__s_Option(s).isEmpty__Z()
        } else {
          jsx$2 = false
        };
        jsx$1 = (!jsx$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        i$1 = ((1 + i$1) | 0)
      } else {
        break
      }
    };
    const i$2 = i$1;
    const this$18 = ((i$2 < xs$1.u.length) ? new $c_s_Some().init___O(xs$1.u[i$2]) : $m_s_None$());
    return (this$18.isEmpty__Z() ? "" : this$18.get__O())
  };
  init___T__Z__Z(profile, keepEditingInfo, fromOverlay) {
    this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f = profile;
    this.keepEditingInfo$2 = keepEditingInfo;
    this.fromOverlay$2 = fromOverlay;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    return this
  };
  Branches$lzycompute$1__p2__V() {
    if ((this.Branches$module$2 === null)) {
      this.Branches$module$2 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$Branches$().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage(this)
    }
  };
  ctx__I__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(parserRun) {
    const x1 = this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f;
    if (($m_Lamf_ProfileNames$().RAML08$1 === x1)) {
      const jsx$1 = $m_sci_Nil$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$4 = new $c_scm_ListBuffer().init___();
      const x$8 = this$4.toList__sci_List();
      const x$9 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
      return new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option("", jsx$1, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", x$8, x$9, parserRun), $m_s_None$())
    } else {
      const jsx$2 = $m_sci_Nil$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$11 = new $c_scm_ListBuffer().init___();
      const x$12 = this$11.toList__sci_List();
      const x$13 = new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___();
      return new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option("", jsx$2, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", x$12, x$13, parserRun), $m_s_None$())
    }
  };
  apply__Lamf_plugins_domain_webapi_models_EndPoint__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint(endpoint, resourceTypes) {
    const this$1 = resourceTypes.scala$collection$mutable$ListBuffer$$start$6;
    let acc = endpoint;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = acc;
      const arg2 = these.head__O();
      const x0$1 = arg1;
      const x1$1 = arg2;
      acc = $m_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$().merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(x0$1, x1$1);
      these = these.tail__O()
    };
    return acc
  };
  asEndPoint__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_EndPoint(r, context, apiContext) {
    const x1 = $m_s_Option$().apply__O__s_Option(r.target__Lamf_core_model_domain_templates_AbstractDeclaration());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const rt = x2.value$2;
      if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(rt)) {
        const x3 = rt;
        const node = x3.dataNode__Lamf_core_model_domain_DataNode().cloneNode__Lamf_core_model_domain_DataNode();
        node.replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(context.variables$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, r$1, apiContext$1) {
          return (function(message$2) {
            const message = message$2;
            const node$1 = r$1.id$1;
            const lexical = r$1.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__V(apiContext$1, node$1, message, lexical)
          })
        })(this, r, apiContext)));
        const jsx$6 = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$();
        const jsx$5 = context.model$1;
        const jsx$4 = this.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f;
        const this$1 = r.name__Lamf_core_model_StrField();
        const this$2 = this$1.option$1;
        const jsx$3 = (this$2.isEmpty__Z() ? null : this$2.get__O());
        const jsx$2 = r.id$1;
        const this$3 = $m_s_Option$().apply__O__s_Option(r.target__Lamf_core_model_domain_templates_AbstractDeclaration());
        let jsx$1;
        if (this$3.isEmpty__Z()) {
          jsx$1 = $m_s_None$()
        } else {
          const arg1 = this$3.get__O();
          const t = arg1;
          jsx$1 = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(t.id$1, context.model$1)
        };
        return jsx$6.asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_domain_DataNode__T__T__s_Option__Z__s_Option__Lamf_plugins_domain_webapi_models_EndPoint(jsx$5, jsx$4, node, jsx$3, jsx$2, jsx$1, this.keepEditingInfo$2, new $c_s_Some().init___O(apiContext))
      }
    };
    const node$2 = r.id$1;
    const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find target for parametrized resource type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([r.id$1]));
    const lexical$1 = r.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__V(apiContext, node$2, message$1, lexical$1);
    const jsx$7 = r.id$1;
    const this$4 = r.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
    let this$5;
    if (this$4.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1$1 = this$4.get__O();
      const x$1 = arg1$1;
      this$5 = new $c_s_Some().init___O(x$1.ast$1)
    };
    return new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint().init___T__Lorg_yaml_model_YPart(jsx$7, (this$5.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : this$5.get__O()))
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    return model.transform__F1__F2__Lamf_core_model_document_BaseUnit(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $is_Lamf_plugins_domain_webapi_models_EndPoint(element)
      })
    })(this)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2, model$1) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$2.transform__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_domain_DomainElement__Z__s_Option(model$1, element$3, isCycle)
      })
    })(this, model)))
  };
  resourcePath__p2__Lamf_plugins_domain_webapi_models_EndPoint__T(endPoint) {
    const jsx$1 = $m_sjsr_RuntimeString$();
    const this$1 = endPoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$2 = this$1.option$1;
    return jsx$1.replaceAll__T__T__T__T((this$2.isEmpty__Z() ? null : this$2.get__O()), "\\{ext\\}", "")
  };
  collectResourceTypes__p2__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__V(collector, endpoint, initial, apiContext) {
    const this$1 = endpoint.resourceType__s_Option();
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const resourceType = arg1;
      const context = initial.add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(resourceType.variables__sc_Seq());
      const resolved = this.asEndPoint__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_domain_webapi_models_EndPoint(resourceType, context, apiContext);
      collector.$$plus$eq__O__scm_ListBuffer(resolved);
      this.collectResourceTypes__p2__scm_ListBuffer__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__V(collector, resolved, context, apiContext)
    }
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.IriMerger$module$2 = null;
    this.profile$2 = null;
    this.keepEditingInfo$2 = false;
    this.ctx$2 = null;
    this.platform$2 = null
  };
  cleanSynthesizedFacets__Lamf_core_model_domain_DomainElement__V(domain) {
    if ($is_Lamf_core_model_domain_Shape(domain)) {
      const x2 = domain;
      x2.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$10$2) {
          const x$10 = x$10$2;
          return $is_Lamf_core_annotations_SynthesizedField(x$10)
        })
      })(this)))
    }
  };
  incompatibleType__p2__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Z(master, overlay) {
    if (($is_Lamf_core_model_domain_Shape(master) && $is_Lamf_core_model_domain_Shape(overlay))) {
      const x = $objectGetClass(master);
      const x$2 = $objectGetClass(overlay);
      return (!(x === x$2))
    } else {
      return false
    }
  };
  adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(id, target) {
    if ($is_Lamf_core_model_domain_AmfArray(target)) {
      const x2 = target;
      const jsx$2 = x2.values$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
        return (function(x$15$2) {
          const x$15 = x$15$2;
          return $this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(id$1, x$15)
        })
      })(this, id));
      const this$1 = $m_sc_Seq$();
      return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2), x2.annotations$1)
    } else if ($is_Lamf_core_model_domain_DataNode(target)) {
      const x3 = target;
      return $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(id, x3)
    } else if ($is_Lamf_core_model_domain_DomainElement(target)) {
      const x4 = target;
      x4.adopted__T__Lamf_core_model_domain_AmfObject(id);
      const this$3 = x4.fields__Lamf_core_parser_Fields();
      const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, x4$1) {
        return (function(x0$5$2) {
          const x0$5 = x0$5$2;
          if ((x0$5 !== null)) {
            const value = x0$5.$$und2__O();
            this$2.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(x4$1.id__T(), value.value$1)
          } else {
            throw new $c_s_MatchError().init___O(x0$5)
          }
        })
      })(this, x4));
      this$3.fs$1.foreach__F1__V(fn);
      return x4
    } else {
      return target
    }
  };
  mergeReferences__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__T__s_Option__V(document, extension, extensionId, extensionLocation) {
    const jsx$4 = document.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.id__T()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([document.id$1, extension.id$1]));
    const this$2 = $m_sc_Seq$();
    const existing = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const jsx$6 = extension.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$5 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1().init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage(this);
    const this$3 = $m_sc_Seq$();
    const libs = jsx$6.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$5, this$3.ReusableCBFInstance$2);
    const jsx$10 = document.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$9 = libs.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, existing$1) {
      return (function(unit$2) {
        const unit = unit$2;
        return (!existing$1.contains__O__Z(unit.id$1))
      })
    })(this, existing)));
    const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, extensionId$1, extensionLocation$1) {
      return (function(unit$3$2) {
        const unit$3 = unit$3$2;
        unit$3.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId$1, extensionLocation$1));
        return unit$3
      })
    })(this, extensionId, extensionLocation));
    const this$4 = $m_sc_Seq$();
    const jsx$7 = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$4.ReusableCBFInstance$2);
    const this$5 = $m_sc_Seq$();
    const refs = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$5.ReusableCBFInstance$2);
    const field = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field, refs)
  };
  mergeByKeyValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__T__s_Option__V(target, field, element, key, master, extension, extensionId, extensionLocation) {
    const x$2 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$();
    let jsx$2;
    if (((key !== null) && (key === x$2))) {
      jsx$2 = true
    } else {
      const x$4 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$();
      jsx$2 = ((key !== null) && (key === x$4))
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = true
    } else {
      const x$6 = $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$();
      jsx$1 = ((key !== null) && (key === x$6))
    };
    let asSimpleProperty;
    if (jsx$1) {
      asSimpleProperty = true
    } else {
      const x$8 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$();
      asSimpleProperty = ((key !== null) && (key === x$8))
    };
    const jsx$5 = $m_scm_Map$();
    const jsx$4 = master.values$1;
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
      return (function(m$2) {
        const m = m$2;
        const obj = m;
        const this$1 = obj.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$1.key__Lamf_core_metamodel_Field());
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const x$13 = arg1;
          const self = x$13.value$1.value$1.value$1;
          xo = new $c_s_Some().init___O(new $c_T2().init___O__O(self, obj))
        };
        return xo.toList__sci_List()
      })
    })(this, key));
    const this$5 = $m_sc_Seq$();
    const existing = jsx$5.apply__sc_Seq__sc_GenMap(jsx$4.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2));
    const this$6 = master.values$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, key$2) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_core_model_domain_DomainElement(x0$3)) {
          const x2 = x0$3;
          return x2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$2.key__Lamf_core_metamodel_Field()).isEmpty__Z()
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this, key)));
    let elem;
    if (this$6.isEmpty__Z()) {
      elem = $m_s_None$()
    } else {
      const arg1$1 = this$6.get__O();
      const x$14 = arg1$1;
      elem = new $c_s_Some().init___O(x$14)
    };
    const nullKey = new $c_sr_ObjectRef().init___O(elem);
    extension.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, target$1, key$3, extensionId$1, extensionLocation$1, asSimpleProperty$1, existing$1, nullKey$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_domain_DomainElement(x0$4)) {
          const x2$1 = x0$4;
          const x1$2 = x2$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(key$3.key__Lamf_core_metamodel_Field());
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const value = x2$2.value$2;
            const keyValue = value.value$1.value$1.value$1;
            const y = this$4$1.mergeByKeyResult__p2__Lamf_core_model_domain_DomainElement__Z__s_Option__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(target$1, asSimpleProperty$1, existing$1.get__O__s_Option(keyValue), x2$1, extensionId$1, extensionLocation$1);
            return existing$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(keyValue, y))
          } else {
            nullKey$1.elem$1 = new $c_s_Some().init___O(this$4$1.mergeByKeyResult__p2__Lamf_core_model_domain_DomainElement__Z__s_Option__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(target$1, asSimpleProperty$1, nullKey$1.elem$1, x2$1, extensionId$1, extensionLocation$1));
            return (void 0)
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$4)
        }
      })
    })(this, target, key, extensionId, extensionLocation, asSimpleProperty, existing, nullKey)));
    const jsx$7 = existing.values__sc_Iterable().toSeq__sc_Seq();
    const xo$1 = nullKey.elem$1;
    const jsx$6 = xo$1.toList__sci_List();
    const this$11 = $m_sc_Seq$();
    const values = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$11.ReusableCBFInstance$2);
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(target, field, values)
  };
  mergeAliases__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__O(document, extension) {
    const this$1 = extension.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    const extensionsAliases = (this$1.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$1.get__O()).aliases$1;
    const this$2 = document.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    const documentAliases = (this$2.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$2.get__O()).aliases$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.$$und1__O()
      })
    })(this));
    const this$4 = $m_sci_Set$();
    const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$4);
    const jsx$1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(extensionsAliases, f, bf);
    const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.$$und1__O()
      })
    })(this));
    const this$5 = $m_sci_Set$();
    const bf$1 = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$5);
    jsx$1.intersect__sc_GenSet__O($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(documentAliases, f$1, bf$1)).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, extensionsAliases$1, documentAliases$1) {
      return (function(alias$2) {
        const alias = alias$2;
        const this$6 = extensionsAliases$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, alias$1) {
          return (function(x$4$2) {
            const x$4 = x$4$2;
            const x = x$4.$$und1__O();
            return ((x === null) ? (alias$1 === null) : $objectEquals(x, alias$1))
          })
        })(this$5$1, alias)));
        let jsx$2;
        if (this$6.isEmpty__Z()) {
          jsx$2 = $m_s_None$()
        } else {
          const arg1 = this$6.get__O();
          const x$5 = arg1;
          jsx$2 = new $c_s_Some().init___O(x$5.$$und2__O().$$und1__O())
        };
        const extensionFullUrl = jsx$2.get__O();
        const this$7 = documentAliases$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, alias$3) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            const x$1 = x$6.$$und1__O();
            return ((x$1 === null) ? (alias$3 === null) : $objectEquals(x$1, alias$3))
          })
        })(this$5$1, alias)));
        let jsx$3;
        if (this$7.isEmpty__Z()) {
          jsx$3 = $m_s_None$()
        } else {
          const arg1$1 = this$7.get__O();
          const x$7 = arg1$1;
          jsx$3 = new $c_s_Some().init___O(x$7.$$und2__O().$$und1__O())
        };
        const docFullUrl = jsx$3.get__O();
        if ((extensionFullUrl !== docFullUrl)) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Conflicting urls for alias '", "' and libraries: '", "' - '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([alias, extensionFullUrl, docFullUrl]))))
        }
      })
    })(this, extensionsAliases, documentAliases)));
    const totalAliases = extensionsAliases.union__sc_GenSet__sc_Set(documentAliases);
    return ($f_sc_TraversableOnce__nonEmpty__Z(totalAliases) ? (document.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return $is_Lamf_core_annotations_Aliases(x$8)
      })
    })(this))), document.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_Aliases().init___sci_Set(totalAliases))) : (void 0))
  };
  mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__T__s_Option__V(target, field, element, main, other, extensionId, extensionLocation) {
    const m = main.value$1;
    const o = other.value$1;
    if ($is_Lamf_core_metamodel_Type$Scalar(element)) {
      this.mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__T__s_Option__V(target, field, m, o, extensionId, extensionLocation)
    } else if ($is_Lamf_core_metamodel_domain_templates_KeyField(element)) {
      const x3 = element;
      this.mergeByKeyValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_metamodel_domain_templates_KeyField__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__T__s_Option__V(target, field, element, x3, m, o, extensionId, extensionLocation)
    } else if ($is_Lamf_core_metamodel_domain_DomainElementModel(element)) {
      this.addAll__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__T__s_Option__V(target, field, o, extensionId, extensionLocation)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "': not a KeyField nor a Scalar"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element]))))
    }
  };
  mergeDeclarations__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__T__s_Option__V(master, extension, iriMerger, extensionId, extensionLocation) {
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(master.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1), new $c_s_Some().init___O(this.ctx$2), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    extension.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, master$1, extensionId$1, extensionLocation$1, declarations$1) {
      return (function(declaration$2) {
        const declaration = declaration$2;
        const x1 = declarations$1.findEquivalent__Lamf_core_model_domain_DomainElement__s_Option(declaration);
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const equivalent = x2.value$2;
          return $this.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(equivalent, declaration, extensionId$1, extensionLocation$1)
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            const extendedDeclaration = $this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement((master$1.id$1 + "#/declarations"), declaration);
            if ($this.keepEditingInfo$2) {
              extendedDeclaration.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId$1, extensionLocation$1))
            };
            return declarations$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(extendedDeclaration)
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, master, extensionId, extensionLocation, declarations)));
    const declarables = declarations.declarables__sc_Seq();
    declarables.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, iriMerger$1) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        this$2.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger$1, x$11)
      })
    })(this, iriMerger)));
    const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(master, field, declarables)
  };
  mergeByKeyResult__p2__Lamf_core_model_domain_DomainElement__Z__s_Option__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(target, asSimpleProperty, existing, obj, extensionId, extensionLocation) {
    if ($is_s_Some(existing)) {
      const x2 = existing;
      const e = x2.value$2;
      if ((!asSimpleProperty)) {
        return this.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(e, obj.adopted__T__Lamf_core_model_domain_AmfObject(target.id__T()), extensionId, extensionLocation)
      }
    };
    return this.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(target.id__T(), obj)
  };
  resolveOverlay__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_ExtensionLike__Lamf_core_model_document_BaseUnit(model, entryPoint) {
    $m_scm_ListBuffer$();
    const array = [entryPoint];
    let jsx$1;
    if (((array.length | 0) === 0)) {
      const this$2 = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      jsx$1 = this$2.elems$1
    } else {
      const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        b.$$plus$eq__O__scm_GrowingBuilder(arg1);
        i = ((1 + i) | 0)
      };
      jsx$1 = b.elems$1
    };
    const x1 = this.extensionsQueue__scm_ListBuffer__Lamf_core_model_document_BaseUnit__sci_List(jsx$1, entryPoint);
    let x$9_$_$$und1$f;
    let x$9_$_$$und2$f;
    matchEnd5: {
      if ($is_sci_$colon$colon(x1)) {
        const x2 = x1;
        const document = x2.head$5;
        const extensions = x2.tl$5;
        if ($is_Lamf_core_model_document_Document(document)) {
          const x3 = document;
          const jsx$2_$_$$und1$f = x3;
          const jsx$2_$_$$und2$f = extensions;
          x$9_$_$$und1$f = jsx$2_$_$$und1$f;
          x$9_$_$$und2$f = jsx$2_$_$$und2$f;
          break matchEnd5
        }
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    const document$2 = x$9_$_$$und1$f;
    const extensions$2 = x$9_$_$$und2$f;
    const extendsStage = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z__Z(this.profile$2, this.keepEditingInfo$2, true);
    const referenceStage = new $c_Lamf_core_resolution_stages_ReferenceResolutionStage().init___T__Z(this.profile$2, this.keepEditingInfo$2);
    referenceStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(document$2);
    extendsStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(document$2);
    const masterTree = document$2.encodes__Lamf_core_model_domain_DomainElement();
    let these = extensions$2;
    while ((!these.isEmpty__Z())) {
      const arg1$1 = these.head__O();
      const x0$1 = arg1$1;
      if ($is_Lamf_core_model_document_ExtensionLike(x0$1)) {
        const x2$1 = x0$1;
        referenceStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(x2$1);
        const iriMerger = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger().init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage__T__T(this, (document$2.id$1 + "#"), (x2$1.id$1 + "#"));
        this.mergeDeclarations__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__T__s_Option__V(document$2, x2$1, iriMerger, x2$1.id$1, $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(x2$1.id$1, model));
        this.mergeAliases__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__O(document$2, x2$1);
        this.mergeReferences__Lamf_core_model_document_Document__Lamf_core_model_document_ExtensionLike__T__s_Option__V(document$2, x2$1, x2$1.id$1, $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(x2$1.id$1, model));
        this.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(masterTree, x2$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1), x2$1.id$1, $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(x2$1.id$1, model));
        this.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger, masterTree);
        extendsStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(document$2)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      these = these.tail__O()
    };
    return this.removeExtends__Lamf_core_model_document_Document__Lamf_core_model_document_BaseUnit(document$2)
  };
  mergeDataNode__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__V(master, field, existing, overlay, extensionId, extensionLocation) {
    matchEnd5: {
      if ($is_Lamf_core_model_domain_DataNode(existing)) {
        const x2 = existing;
        if ($is_Lamf_core_model_domain_DataNode(overlay)) {
          const x3 = overlay;
          const x = $objectGetClass(existing);
          const x$2 = $objectGetClass(overlay);
          if ((x === x$2)) {
            $m_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$().merge__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode__V(x2, x3);
            break matchEnd5
          }
        }
      };
      if (this.keepEditingInfo$2) {
        overlay.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId, extensionLocation))
      };
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master, field, overlay)
    }
  };
  merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(master, overlay, extensionId, extensionLocation) {
    this.cleanSynthesizedFacets__Lamf_core_model_domain_DomainElement__V(master);
    const this$1 = overlay.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $this.ignored__p2__Lamf_core_parser_FieldEntry__Z(entry)
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, master$1, overlay$1, extensionId$1, extensionLocation$1) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const field = x0$2.field$1;
          const value = x0$2.value$1;
          const x1$2 = master$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(field);
          const x = $m_s_None$();
          if ((x === x1$2)) {
            const newValue = this$2$1.adoptInner__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfElement(master$1.id__T(), value.value$1);
            if (this$2$1.keepEditingInfo$2) {
              newValue.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId$1, extensionLocation$1))
            };
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master$1, field, newValue)
          } else if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const existing = x2.value$2;
            const x1$3 = field.type$1;
            if ($is_Lamf_core_metamodel_Type$Scalar(x1$3)) {
              if (this$2$1.keepEditingInfo$2) {
                value.value$1.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId$1, extensionLocation$1))
              };
              const value$1 = value.value$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(master$1, field, value$1)
            } else if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$3)) {
              const x2$2 = x1$3;
              const o13 = new $c_s_Some().init___O(x2$2.element__Lamf_core_metamodel_Type());
              const element = o13.value$2;
              this$2$1.mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_metamodel_Type__Lamf_core_parser_Value__Lamf_core_parser_Value__T__s_Option__V(master$1, field, element, existing.value$1, value, extensionId$1, extensionLocation$1);
              return (void 0)
            } else {
              const x$3 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
              if ((x$3 === x1$3)) {
                this$2$1.mergeDataNode__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__V(master$1, field, existing.value$1.value$1, value.value$1, extensionId$1, extensionLocation$1);
                return (void 0)
              } else if (($is_Lamf_core_metamodel_domain_ShapeModel(x1$3) && this$2$1.incompatibleType__p2__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__Z(existing.value$1.value$1, x0$2.value$1.value$1))) {
                const value$2 = x0$2.value$1.value$1;
                const annotations = $m_Lamf_core_parser_Annotations$().apply__sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(overlay$1.id__T(), extensionLocation$1)])));
                return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(master$1, field, value$2, annotations)
              } else if ($is_Lamf_core_metamodel_domain_DomainElementModel(x1$3)) {
                return this$2$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement__T__s_Option__Lamf_core_model_domain_DomainElement(existing.value$1.value$1, x0$2.value$1.value$1, extensionId$1, extensionLocation$1)
              } else {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot merge '", "':not a (Scalar|Array|Object)"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([field.type$1]))))
              }
            }
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this, master, overlay, extensionId, extensionLocation)));
    return master
  };
  addAll__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__T__s_Option__V(target, field, other, extensionId, extensionLocation) {
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, target$1, field$1, extensionId$1, extensionLocation$1) {
      return (function(value$2) {
        const value = value$2;
        if ($this.keepEditingInfo$2) {
          value.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId$1, extensionLocation$1))
        };
        return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, value)
      })
    })(this, target, field, extensionId, extensionLocation)))
  };
  removeExtends__Lamf_core_model_document_Document__Lamf_core_model_document_BaseUnit(document) {
    const this$1 = document.encodes__Lamf_core_model_domain_DomainElement();
    this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(endpoint$2) {
        const endpoint = endpoint$2;
        if ((!$this.keepEditingInfo$2)) {
          endpoint.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field())
        };
        endpoint.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(operation$2) {
            const operation = operation$2;
            return ((!$this$1.keepEditingInfo$2) ? operation.fields$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field()) : (void 0))
          })
        })($this)))
      })
    })(this)));
    return document
  };
  adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger, target) {
    const this$3 = target.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, iriMerger$1, target$1) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        if ((x0$6 !== null)) {
          const field = x0$6.$$und1__O();
          const value = x0$6.$$und2__O();
          const x1$2 = field.type$1;
          matchEnd9: {
            const x = $m_Lamf_core_metamodel_Type$Iri$();
            if (x.equals__O__Z(x1$2)) {
              iriMerger$1.merge__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__V(target$1, field, value.value$1);
              break matchEnd9
            };
            if ($is_Lamf_core_metamodel_Type$ArrayLike(x1$2)) {
              const x2 = x1$2;
              const o13 = new $c_s_Some().init___O(x2.element__Lamf_core_metamodel_Type());
              if ($is_Lamf_core_metamodel_domain_DomainElementModel(o13.value$2)) {
                const jsx$2 = value.value$1.values$1;
                const jsx$1 = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1().init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage($this);
                const this$2 = $m_sc_Seq$();
                jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, iriMerger$2) {
                  return (function(x$16$2) {
                    const x$16 = x$16$2;
                    $this$1.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger$2, x$16)
                  })
                })($this, iriMerger$1)));
                break matchEnd9
              }
            };
            if ($is_Lamf_core_metamodel_domain_DomainElementModel(x1$2)) {
              $this.adoptIris__Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger__Lamf_core_model_domain_DomainElement__V(iriMerger$1, value.value$1);
              break matchEnd9
            }
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$6)
        }
      })
    })(this, iriMerger, target));
    this$3.fs$1.foreach__F1__V(fn)
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const extendsStage = new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage().init___T__Z__Z(this.profile$2, this.keepEditingInfo$2, false);
    if ($is_Lamf_core_model_document_ExtensionLike(model)) {
      const x2 = model;
      return this.resolveOverlay__p2__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_ExtensionLike__Lamf_core_model_document_BaseUnit(model, x2)
    } else {
      return extendsStage.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model)
    }
  };
  init___T__Z(profile, keepEditingInfo) {
    this.profile$2 = profile;
    this.keepEditingInfo$2 = keepEditingInfo;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    let jsx$1;
    if (($m_Lamf_ProfileNames$().RAML08$1 === profile)) {
      const jsx$2 = $m_sci_Nil$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$5 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option("", jsx$2, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$5.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()), $m_s_None$())
    } else {
      const jsx$3 = $m_sci_Nil$();
      $m_sc_Seq$();
      $m_sci_Seq$();
      const this$13 = new $c_scm_ListBuffer().init___();
      jsx$1 = new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option("", jsx$3, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$13.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()), $m_s_None$())
    };
    this.ctx$2 = jsx$1;
    return this
  };
  mergeByValue__p2__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__Lamf_core_model_domain_AmfArray__T__s_Option__V(target, field, main, other, extensionId, extensionLocation) {
    const jsx$2 = main.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        return x$12.value$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const existing = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toSet__sci_Set();
    other.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, target$1, field$1, extensionId$1, extensionLocation$1, existing$1) {
      return (function(value$2) {
        const value = value$2;
        const scalar = value.value$1;
        if ((!existing$1.contains__O__Z(scalar))) {
          const scalarValue = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(scalar, new $c_Lamf_core_parser_Annotations().init___());
          if (this$2.keepEditingInfo$2) {
            scalarValue.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(extensionId$1, extensionLocation$1))
          };
          return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(target$1, field$1, scalarValue)
        } else {
          return (void 0)
        }
      })
    })(this, target, field, extensionId, extensionLocation, existing)))
  };
  ignored__p2__Lamf_core_parser_FieldEntry__Z(entry) {
    const x1 = entry.field$1;
    const x = $m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1;
    let jsx$1;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      if (((x$3 === null) ? (x1 === null) : x$3.equals__O__Z(x1))) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1;
        jsx$1 = ((x$5 === null) ? (x1 === null) : x$5.equals__O__Z(x1))
      }
    };
    return (!jsx$1)
  };
  extensionsQueue__scm_ListBuffer__Lamf_core_model_document_BaseUnit__sci_List(collector, model) {
    if ($is_Lamf_core_model_document_ExtensionLike(model)) {
      const x2 = model;
      const id = x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
      const x1$2 = $f_Lamf_core_model_document_BaseUnit__findInReferences__T__s_Option(model, id);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const e = x2$2.value$2;
        collector.$$plus$eq__O__scm_ListBuffer(e);
        return this.extensionsQueue__scm_ListBuffer__Lamf_core_model_document_BaseUnit__sci_List(collector, e)
      } else {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["BaseUnit '", "' not found in references."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1)]))))
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        }
      }
    } else {
      return $f_sc_SeqLike__reverse__O(collector).toList__sci_List()
    }
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage;
class $c_Lamf_plugins_document_webapi_validation_AMFValidation$ extends $c_O {
  init___() {
    return this
  };
  fromLine__T__s_Option(line) {
    const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(line, "\t", 0);
    const o8 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o8.isEmpty__Z()) && ((o8.get__O() !== null) && (o8.get__O().lengthCompare__I__I(13) === 0)))) {
      const uri = o8.get__O().apply__I__O(0);
      const message = o8.get__O().apply__I__O(1);
      const spec = o8.get__O().apply__I__O(2);
      const level = o8.get__O().apply__I__O(3);
      const owlClass = o8.get__O().apply__I__O(4);
      const owlProperty = o8.get__O().apply__I__O(5);
      const shape = o8.get__O().apply__I__O(6);
      const target = o8.get__O().apply__I__O(7);
      const constraint = o8.get__O().apply__I__O(8);
      const value = o8.get__O().apply__I__O(9);
      const ramlError = o8.get__O().apply__I__O(10);
      const openApiError = o8.get__O().apply__I__O(11);
      const severity = o8.get__O().apply__I__O(12);
      if ((spec !== null)) {
        const parsedValue = ($m_sjsr_RuntimeString$().endsWith__T__T__Z(constraint, "pattern") ? value : $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(value).iri__T());
        return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_validation_AMFValidation().init___s_Option__s_Option__T__T__s_Option__s_Option__T__T__T__T__T__T__T(this.nonNullString__T__s_Option($m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(uri).iri__T()), this.nonNullString__T__s_Option(message), spec, level, this.nonNullString__T__s_Option($m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(owlClass).iri__T()), this.nonNullString__T__s_Option($m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(owlProperty).iri__T()), shape, $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(target).iri__T(), $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(constraint).iri__T(), parsedValue, ramlError, openApiError, severity))
      }
    };
    return $m_s_None$()
  };
  nonNullString__T__s_Option(s) {
    return ((s === "") ? $m_s_None$() : new $c_s_Some().init___O(s))
  };
}
const $d_Lamf_plugins_document_webapi_validation_AMFValidation$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFValidation$: 0
}, false, "amf.plugins.document.webapi.validation.AMFValidation$", {
  Lamf_plugins_document_webapi_validation_AMFValidation$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFValidation$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFValidation$;
let $n_Lamf_plugins_document_webapi_validation_AMFValidation$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_AMFValidation$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_AMFValidation$)) {
    $n_Lamf_plugins_document_webapi_validation_AMFValidation$ = new $c_Lamf_plugins_document_webapi_validation_AMFValidation$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_AMFValidation$
});
class $c_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$ extends $c_O {
  constructor() {
    super();
    this.ID$1 = null;
    this.payloadMediaType$1 = null;
    this.defaultCtx$1 = null
  };
  init___() {
    $n_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$ = this;
    this.ID$1 = "AMF Payload Validation";
    this.payloadMediaType$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/json", "application/yaml", "text/vnd.yaml"]));
    const jsx$1 = $m_sci_Nil$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    this.defaultCtx$1 = new $c_Lamf_plugins_document_webapi_contexts_PayloadContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option("", jsx$1, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()), $m_s_None$());
    return this
  };
  canValidate__Lamf_core_model_domain_Shape__Z(shape) {
    return ((!$is_Lamf_plugins_domain_shapes_models_SchemaShape(shape)) && $is_Lamf_plugins_domain_shapes_models_AnyShape(shape))
  };
  ID__T() {
    return this.ID$1
  };
  dependencies__sc_Seq() {
    return $m_sci_Nil$()
  };
  validateSet__Lamf_core_validation_ValidationShapeSet__s_concurrent_Future(set) {
    return new $c_Lamf_plugins_document_webapi_validation_PayloadValidation().init___sc_Seq__Lamf_core_validation_EffectiveValidations(set.candidates$1, new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()))).validate__s_concurrent_Future()
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  parsePayload__T__T__Lamf_core_model_document_PayloadFragment(payload, mediaType) {
    const fragment = $m_Lamf_core_model_document_PayloadFragment$().apply__Lamf_core_model_document_PayloadFragment().withMediaType__T__Lamf_core_model_document_PayloadFragment(mediaType);
    const this$1 = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(payload, $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).parse__Z__sc_IndexedSeq(true);
    const pf = new $c_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1().init___();
    const x1 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf);
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const node = x2.value$2;
        if ((node !== null)) {
          const x$46 = $m_s_Option$().apply__O__s_Option(fragment.id$1);
          const x$47 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
          const x$48 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
          const x$49 = this.defaultCtx$1;
          const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(node, x$47, x$46, x$48, x$49).parse__Lamf_core_model_domain_DataNode();
          const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(fragment, field, encoded);
          break matchEnd6
        }
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        $m_Lamf_core_model_domain_ScalarNode$();
        const dataType = $m_s_None$();
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const encoded$1 = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(payload, dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
        const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(fragment, field$1, encoded$1);
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    return fragment
  };
  payloadMediaType__sc_Seq() {
    return this.payloadMediaType$1
  };
}
const $d_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$: 0
}, false, "amf.plugins.document.webapi.validation.PayloadValidatorPlugin$", {
  Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$: 1,
  O: 1,
  Lamf_core_plugins_AMFPayloadValidationPlugin: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$;
let $n_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$)) {
    $n_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$ = new $c_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$
});
class $c_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ extends $c_Lamf_core_plugins_AMFDomainPlugin {
  constructor() {
    super();
    this.ID$2 = null
  };
  init___() {
    this.ID$2 = "Data Shapes Domain";
    return this
  };
  modelEntities__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$(), $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$(), $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$(), $m_Lamf_core_metamodel_domain_ShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$(), $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$(), $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$(), $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$()]))
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    const y = $m_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$();
    const jsx$3 = new $c_T2().init___O__O("type-expression", y);
    const y$1 = $m_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$();
    const jsx$2 = new $c_T2().init___O__O("inheritance-provenance", y$1);
    const y$2 = $m_Lamf_plugins_domain_shapes_annotations_InheritedShapes$();
    const jsx$1 = new $c_T2().init___O__O("inherited-shapes", y$2);
    const y$3 = $m_Lamf_plugins_domain_shapes_annotations_NilUnion$();
    const array = [jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("nil-union", y$3)];
    const this$10 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$10.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return this$10.elems$1
  };
}
const $d_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_DataShapesDomainPlugin$: 0
}, false, "amf.plugins.domain.shapes.DataShapesDomainPlugin$", {
  Lamf_plugins_domain_shapes_DataShapesDomainPlugin$: 1,
  Lamf_core_plugins_AMFDomainPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$.prototype.$classData = $d_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$;
let $n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = (void 0);
const $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$)) {
    $n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$ = new $c_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$
});
class $c_Lamf_plugins_domain_shapes_models_ArrayShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_ArrayShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ArrayShape$: 0
}, false, "amf.plugins.domain.shapes.models.ArrayShape$", {
  Lamf_plugins_domain_shapes_models_ArrayShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ArrayShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ArrayShape$;
let $n_Lamf_plugins_domain_shapes_models_ArrayShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_ArrayShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_ArrayShape$)) {
    $n_Lamf_plugins_domain_shapes_models_ArrayShape$ = new $c_Lamf_plugins_domain_shapes_models_ArrayShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_ArrayShape$
});
class $c_Lamf_plugins_domain_shapes_models_FileShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_FileShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_FileShape$: 0
}, false, "amf.plugins.domain.shapes.models.FileShape$", {
  Lamf_plugins_domain_shapes_models_FileShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_FileShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_FileShape$;
let $n_Lamf_plugins_domain_shapes_models_FileShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_FileShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_FileShape$)) {
    $n_Lamf_plugins_domain_shapes_models_FileShape$ = new $c_Lamf_plugins_domain_shapes_models_FileShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_FileShape$
});
class $c_Lamf_plugins_domain_shapes_models_NilShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_NilShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NilShape$: 0
}, false, "amf.plugins.domain.shapes.models.NilShape$", {
  Lamf_plugins_domain_shapes_models_NilShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NilShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NilShape$;
let $n_Lamf_plugins_domain_shapes_models_NilShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_NilShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_NilShape$)) {
    $n_Lamf_plugins_domain_shapes_models_NilShape$ = new $c_Lamf_plugins_domain_shapes_models_NilShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_NilShape$
});
class $c_Lamf_plugins_domain_shapes_models_NodeShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_NodeShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NodeShape$: 0
}, false, "amf.plugins.domain.shapes.models.NodeShape$", {
  Lamf_plugins_domain_shapes_models_NodeShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NodeShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NodeShape$;
let $n_Lamf_plugins_domain_shapes_models_NodeShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_NodeShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_NodeShape$)) {
    $n_Lamf_plugins_domain_shapes_models_NodeShape$ = new $c_Lamf_plugins_domain_shapes_models_NodeShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_NodeShape$
});
class $c_Lamf_plugins_domain_shapes_models_PropertyDependencies$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_shapes_models_PropertyDependencies(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_PropertyDependencies$: 0
}, false, "amf.plugins.domain.shapes.models.PropertyDependencies$", {
  Lamf_plugins_domain_shapes_models_PropertyDependencies$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_PropertyDependencies$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_PropertyDependencies$;
let $n_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_PropertyDependencies$)) {
    $n_Lamf_plugins_domain_shapes_models_PropertyDependencies$ = new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_PropertyDependencies$
});
class $c_Lamf_plugins_domain_shapes_models_ScalarShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_ScalarShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ScalarShape$: 0
}, false, "amf.plugins.domain.shapes.models.ScalarShape$", {
  Lamf_plugins_domain_shapes_models_ScalarShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ScalarShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ScalarShape$;
let $n_Lamf_plugins_domain_shapes_models_ScalarShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_ScalarShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_ScalarShape$)) {
    $n_Lamf_plugins_domain_shapes_models_ScalarShape$ = new $c_Lamf_plugins_domain_shapes_models_ScalarShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_ScalarShape$
});
class $c_Lamf_plugins_domain_shapes_models_SchemaShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_SchemaShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_SchemaShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_SchemaShape$: 0
}, false, "amf.plugins.domain.shapes.models.SchemaShape$", {
  Lamf_plugins_domain_shapes_models_SchemaShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_SchemaShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_SchemaShape$;
let $n_Lamf_plugins_domain_shapes_models_SchemaShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_SchemaShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_SchemaShape$)) {
    $n_Lamf_plugins_domain_shapes_models_SchemaShape$ = new $c_Lamf_plugins_domain_shapes_models_SchemaShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_SchemaShape$
});
class $c_Lamf_plugins_domain_shapes_models_TupleShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_TupleShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TupleShape$: 0
}, false, "amf.plugins.domain.shapes.models.TupleShape$", {
  Lamf_plugins_domain_shapes_models_TupleShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_TupleShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TupleShape$;
let $n_Lamf_plugins_domain_shapes_models_TupleShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TupleShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TupleShape$)) {
    $n_Lamf_plugins_domain_shapes_models_TupleShape$ = new $c_Lamf_plugins_domain_shapes_models_TupleShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TupleShape$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$BinaryType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$BinaryType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$BoolType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$BoolType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$BoolType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$ByteType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$ByteType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$ByteType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$ByteType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DateOnlyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DateOnlyType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DateTimeOnlyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeOnlyType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DateTimeType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DateTimeType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$DoubleType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$DoubleType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$FileType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$FileType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$FileType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$FileType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$FileType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$FileType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$FileType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$FloatType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$FloatType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$FloatType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$FloatType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$IntType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$IntType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$IntType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$IntType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$IntType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$IntType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$IntType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$LongType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$LongType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$LongType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$LongType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$LongType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$LongType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$LongType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$NilType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$NilType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$NilType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$NilType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$NilType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$NilType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$NilType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$NumberType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$NumberType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$NumberType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$PasswordType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$PasswordType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$StrType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$StrType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$StrType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$StrType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$StrType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$StrType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$StrType$
});
class $c_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ extends $c_O {
  init___() {
    return this
  };
}
const $d_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$: 0
}, false, "amf.plugins.domain.shapes.models.TypeDef$TimeOnlyType$", {
  Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_models_TypeDef: 1,
  Lamf_plugins_domain_shapes_models_ScalarType: 1
});
$c_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$;
let $n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$)) {
    $n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$ = new $c_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_TypeDef$TimeOnlyType$
});
class $c_Lamf_plugins_domain_shapes_models_UnionShape$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnionShape(ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_UnionShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnionShape$: 0
}, false, "amf.plugins.domain.shapes.models.UnionShape$", {
  Lamf_plugins_domain_shapes_models_UnionShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnionShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnionShape$;
let $n_Lamf_plugins_domain_shapes_models_UnionShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_UnionShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_UnionShape$)) {
    $n_Lamf_plugins_domain_shapes_models_UnionShape$ = new $c_Lamf_plugins_domain_shapes_models_UnionShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_UnionShape$
});
class $c_Lamf_plugins_domain_shapes_models_UnresolvedShape$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_yaml_model_YPart__s_Option__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, ast, extensionParser) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    return new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T__s_Option(new $c_Lamf_core_parser_Fields().init___(), annotations, reference, extensionParser)
  };
  apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const extensionParser = $m_s_None$();
    return new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T__s_Option(new $c_Lamf_core_parser_Fields().init___(), annotations, reference, extensionParser)
  };
  apply__T__s_Option__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, ast) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations((ast.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : ast.get__O()));
    const extensionParser = $m_s_None$();
    return new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T__s_Option(new $c_Lamf_core_parser_Fields().init___(), annotations, reference, extensionParser)
  };
}
const $d_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnresolvedShape$: 0
}, false, "amf.plugins.domain.shapes.models.UnresolvedShape$", {
  Lamf_plugins_domain_shapes_models_UnresolvedShape$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnresolvedShape$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnresolvedShape$;
let $n_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_UnresolvedShape$)) {
    $n_Lamf_plugins_domain_shapes_models_UnresolvedShape$ = new $c_Lamf_plugins_domain_shapes_models_UnresolvedShape$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_UnresolvedShape$
});
class $c_Lamf_plugins_domain_shapes_models_XMLSerializer$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_XMLSerializer(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
    return new $c_Lamf_plugins_domain_shapes_models_XMLSerializer().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_shapes_models_XMLSerializer$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_XMLSerializer$: 0
}, false, "amf.plugins.domain.shapes.models.XMLSerializer$", {
  Lamf_plugins_domain_shapes_models_XMLSerializer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_XMLSerializer$.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_XMLSerializer$;
let $n_Lamf_plugins_domain_shapes_models_XMLSerializer$ = (void 0);
const $m_Lamf_plugins_domain_shapes_models_XMLSerializer$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_models_XMLSerializer$)) {
    $n_Lamf_plugins_domain_shapes_models_XMLSerializer$ = new $c_Lamf_plugins_domain_shapes_models_XMLSerializer$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_models_XMLSerializer$
});
class $c_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ extends $c_Lamf_core_plugins_AMFDomainPlugin {
  constructor() {
    super();
    this.ID$2 = null
  };
  init___() {
    this.ID$2 = "WebAPI Domain";
    return this
  };
  modelEntities__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$(), $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$(), $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$(), $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$(), $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$(), $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$(), $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$(), $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$(), $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$(), $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$(), $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$(), $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$(), $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$(), $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$(), $m_Lamf_plugins_domain_webapi_metamodel_TagModel$()]))
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$()]))
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    const y = $m_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$();
    const jsx$4 = new $c_T2().init___O__O("parent-end-point", y);
    const y$1 = $m_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$();
    const jsx$3 = new $c_T2().init___O__O("orphan-oas-extension", y$1);
    const y$2 = $m_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$();
    const jsx$2 = new $c_T2().init___O__O("type-property-lexical-info", y$2);
    const y$3 = $m_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$();
    const jsx$1 = new $c_T2().init___O__O("parameter-binding-in-body-lexical-info", y$3);
    const y$4 = $m_Lamf_plugins_domain_webapi_annotations_InvalidBinding$();
    const array = [jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("invalid-binding", y$4)];
    const this$12 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$12.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return this$12.elems$1
  };
}
const $d_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_WebAPIDomainPlugin$: 0
}, false, "amf.plugins.domain.webapi.WebAPIDomainPlugin$", {
  Lamf_plugins_domain_webapi_WebAPIDomainPlugin$: 1,
  Lamf_core_plugins_AMFDomainPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$.prototype.$classData = $d_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$;
let $n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = (void 0);
const $m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$)) {
    $n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$ = new $c_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$
});
class $c_Lamf_plugins_domain_webapi_models_License$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_License(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
    return new $c_Lamf_plugins_domain_webapi_models_License().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_License$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_License$: 0
}, false, "amf.plugins.domain.webapi.models.License$", {
  Lamf_plugins_domain_webapi_models_License$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_License$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_License$;
let $n_Lamf_plugins_domain_webapi_models_License$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_License$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_License$)) {
    $n_Lamf_plugins_domain_webapi_models_License$ = new $c_Lamf_plugins_domain_webapi_models_License$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_License$
});
class $c_Lamf_plugins_domain_webapi_models_Organization$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Organization(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
    return new $c_Lamf_plugins_domain_webapi_models_Organization().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Organization$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Organization$: 0
}, false, "amf.plugins.domain.webapi.models.Organization$", {
  Lamf_plugins_domain_webapi_models_Organization$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Organization$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Organization$;
let $n_Lamf_plugins_domain_webapi_models_Organization$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Organization$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Organization$)) {
    $n_Lamf_plugins_domain_webapi_models_Organization$ = new $c_Lamf_plugins_domain_webapi_models_Organization$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Organization$
});
class $c_Lamf_plugins_domain_webapi_models_Payload$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Payload(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node);
    return new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Payload$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Payload$: 0
}, false, "amf.plugins.domain.webapi.models.Payload$", {
  Lamf_plugins_domain_webapi_models_Payload$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Payload$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Payload$;
let $n_Lamf_plugins_domain_webapi_models_Payload$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Payload$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Payload$)) {
    $n_Lamf_plugins_domain_webapi_models_Payload$ = new $c_Lamf_plugins_domain_webapi_models_Payload$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Payload$
});
class $c_Lamf_plugins_domain_webapi_models_Tag$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Tag(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
    return new $c_Lamf_plugins_domain_webapi_models_Tag().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Tag$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Tag$: 0
}, false, "amf.plugins.domain.webapi.models.Tag$", {
  Lamf_plugins_domain_webapi_models_Tag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Tag$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Tag$;
let $n_Lamf_plugins_domain_webapi_models_Tag$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_Tag$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_Tag$)) {
    $n_Lamf_plugins_domain_webapi_models_Tag$ = new $c_Lamf_plugins_domain_webapi_models_Tag$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_Tag$
});
class $c_Lamf_plugins_domain_webapi_models_WebApi$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_WebApi(node) {
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
    return new $c_Lamf_plugins_domain_webapi_models_WebApi().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_WebApi$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_WebApi$: 0
}, false, "amf.plugins.domain.webapi.models.WebApi$", {
  Lamf_plugins_domain_webapi_models_WebApi$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_WebApi$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_WebApi$;
let $n_Lamf_plugins_domain_webapi_models_WebApi$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_WebApi$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_WebApi$)) {
    $n_Lamf_plugins_domain_webapi_models_WebApi$ = new $c_Lamf_plugins_domain_webapi_models_WebApi$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_WebApi$
});
class $c_Lamf_plugins_domain_webapi_models_security_Scope$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_Scope(part) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(part);
    return new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
}
const $d_Lamf_plugins_domain_webapi_models_security_Scope$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_Scope$: 0
}, false, "amf.plugins.domain.webapi.models.security.Scope$", {
  Lamf_plugins_domain_webapi_models_security_Scope$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_Scope$.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_Scope$;
let $n_Lamf_plugins_domain_webapi_models_security_Scope$ = (void 0);
const $m_Lamf_plugins_domain_webapi_models_security_Scope$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_models_security_Scope$)) {
    $n_Lamf_plugins_domain_webapi_models_security_Scope$ = new $c_Lamf_plugins_domain_webapi_models_security_Scope$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_models_security_Scope$
});
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.validationId$2$1 = null;
    this.f$1$1 = null;
    this.validatorId$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.f$1$1.functionName$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const fnName = x2.value$2;
      const jsx$8 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
      $m_Lorg_yaml_model_YNode$();
      const str = this.validatorId$1$1;
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
      $m_Lorg_yaml_model_YNode$();
      const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "JSValidator").iri__T();
      const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
      const this$8 = this.f$1$1.message$1;
      if ((!this$8.isEmpty__Z())) {
        const arg1 = this$8.get__O();
        const msg = arg1;
        $m_Lorg_yaml_model_YNode$();
        const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "message").iri__T();
        const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v, msg, $m_s_None$());
        const this$13 = v.builder$1;
        const array = [key$2];
        if ((this$13.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$13.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
        const len$1 = this$13.size0$6;
        const src = this$13.array$6;
        const dest = this$13.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$13.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$1 = j;
          const index = i;
          xs.u[jsx$1] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$13.size0$6 = newSize;
        b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      };
      $m_Lorg_yaml_model_YNode$();
      const this$24 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$24, "jsLibrary").iri__T();
      const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$5 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.f$1$1.libraries$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3) {
        return (function(library$2) {
          const library = library$2;
          const jsx$4 = b$3.builder$1;
          const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const this$29 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "jsLibraryURL").iri__T();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$2 = v$2.builder$1;
          const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          $m_Lorg_yaml_model_YNode$();
          const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
          $m_Lorg_yaml_model_YNode$();
          const value$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(library);
          b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$2);
          $m_Lorg_yaml_model_YNode$();
          const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
          $m_Lorg_yaml_model_YNode$();
          const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("http://www.w3.org/2001/XMLSchema#anyUri");
          b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$3);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$5.builder$1;
          const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t, a, cs));
          const this$41 = v$2.builder$1;
          const array$1 = [key$4];
          if ((this$41.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$41.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$41, newSize$1);
          const len$4 = this$41.size0$6;
          const src$1 = this$41.array$6;
          const dest$1 = this$41.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$41.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$3 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$3] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$41.size0$6 = newSize$1;
          b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c$1 = b$4.builder$1;
          const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$1, a$1, cs$1))
        })
      })(this, b$2)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$2 = b$2.builder$1;
      const value$6 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
      const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$2 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$2 = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$2, a$2, cs$2);
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$60 = v$1.builder$1;
      const array$2 = [key$3];
      if ((this$60.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$6 = (array$2.length | 0);
      const newSize$2 = ((this$60.size0$6 + len$6) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$60, newSize$2);
      const len$7 = this$60.size0$6;
      const src$2 = this$60.array$6;
      const dest$2 = this$60.array$6;
      $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
      const xs$2 = this$60.array$6;
      const len$8 = xs$2.u.length;
      let i$2 = 0;
      let j$2 = 0;
      const x$4 = (array$2.length | 0);
      const x$5 = ((x$4 < len$8) ? x$4 : len$8);
      const that$2 = xs$2.u.length;
      const end$2 = ((x$5 < that$2) ? x$5 : that$2);
      while ((i$2 < end$2)) {
        const jsx$6 = j$2;
        const index$2 = i$2;
        xs$2.u[jsx$6] = array$2[index$2];
        i$2 = ((1 + i$2) | 0);
        j$2 = ((1 + j$2) | 0)
      };
      this$60.size0$6 = newSize$2;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
      $m_Lorg_yaml_model_YNode$();
      const this$71 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
      const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$71, "jsFunctionName").iri__T();
      const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
      const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$3, fnName, $m_s_None$());
      const this$75 = v$3.builder$1;
      const array$3 = [key$7];
      if ((this$75.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$9 = (array$3.length | 0);
      const newSize$3 = ((this$75.size0$6 + len$9) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$75, newSize$3);
      const len$10 = this$75.size0$6;
      const src$3 = this$75.array$6;
      const dest$3 = this$75.array$6;
      $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
      const xs$3 = this$75.array$6;
      const len$11 = xs$3.u.length;
      let i$3 = 0;
      let j$3 = 0;
      const x$6 = (array$3.length | 0);
      const x$7 = ((x$6 < len$11) ? x$6 : len$11);
      const that$3 = xs$3.u.length;
      const end$3 = ((x$7 < that$3) ? x$7 : that$3);
      while ((i$3 < end$3)) {
        const jsx$7 = j$3;
        const index$3 = i$3;
        xs$3.u[jsx$7] = array$3[index$3];
        i$3 = ((1 + i$3) | 0);
        j$3 = ((1 + j$3) | 0)
      };
      this$75.size0$6 = newSize$3;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$3 = b$1.builder$1;
      const value$7 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
      const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$3 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$3 = null;
      jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$7, t$3, a$3, cs$3))
    } else {
      const x$8 = $m_s_None$();
      if ((x$8 === x1)) {
        const x1$2 = this.f$1$1.code$1;
        if ((!$is_s_Some(x1$2))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit validator without JS code or JS function name"))
        };
        const jsx$18 = b.builder$1;
        const b$6 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
        $m_Lorg_yaml_model_YNode$();
        const str$6 = this.validatorId$1$1;
        const value$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
        b$6.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$8);
        $m_Lorg_yaml_model_YNode$();
        const key$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
        $m_Lorg_yaml_model_YNode$();
        const this$94 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$94, "JSValidator").iri__T();
        const value$9 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
        b$6.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$9, value$9);
        const this$97 = this.f$1$1.message$1;
        if ((!this$97.isEmpty__Z())) {
          const arg1$1 = this$97.get__O();
          const msg$1 = arg1$1;
          $m_Lorg_yaml_model_YNode$();
          const this$98 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
          const str$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$98, "message").iri__T();
          const key$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
          const v$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$4, msg$1, $m_s_None$());
          const this$102 = v$4.builder$1;
          const array$4 = [key$10];
          if ((this$102.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$12 = (array$4.length | 0);
          const newSize$4 = ((this$102.size0$6 + len$12) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$102, newSize$4);
          const len$13 = this$102.size0$6;
          const src$4 = this$102.array$6;
          const dest$4 = this$102.array$6;
          $systemArraycopy(src$4, 0, dest$4, len$12, len$13);
          const xs$4 = this$102.array$6;
          const len$14 = xs$4.u.length;
          let i$4 = 0;
          let j$4 = 0;
          const x$9 = (array$4.length | 0);
          const x$10 = ((x$9 < len$14) ? x$9 : len$14);
          const that$4 = xs$4.u.length;
          const end$4 = ((x$10 < that$4) ? x$10 : that$4);
          while ((i$4 < end$4)) {
            const jsx$9 = j$4;
            const index$4 = i$4;
            xs$4.u[jsx$9] = array$4[index$4];
            i$4 = ((1 + i$4) | 0);
            j$4 = ((1 + j$4) | 0)
          };
          this$102.size0$6 = newSize$4;
          b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$4.builder$1))
        };
        $m_Lorg_yaml_model_YNode$();
        const this$113 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$9 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$113, "jsLibrary").iri__T();
        const key$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$9);
        const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$15 = v$5.builder$1;
        const b$7 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$11 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$().validationLibraryUrl__T()]));
        const jsx$10 = this.f$1$1.libraries$1;
        const this$117 = $m_sc_Seq$();
        jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$117.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$8) {
          return (function(library$2$1) {
            const library$1 = library$2$1;
            const jsx$14 = b$8.builder$1;
            const b$9 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const this$119 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
            const str$10 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$119, "jsLibraryURL").iri__T();
            const key$12 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$10);
            const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const jsx$12 = v$6.builder$1;
            const b$10 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
            $m_Lorg_yaml_model_YNode$();
            const key$13 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
            $m_Lorg_yaml_model_YNode$();
            const value$10 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(library$1);
            b$10.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$13, value$10);
            $m_Lorg_yaml_model_YNode$();
            const key$14 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
            $m_Lorg_yaml_model_YNode$();
            const value$11 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("http://www.w3.org/2001/XMLSchema#anyUri");
            b$10.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$14, value$11);
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$4 = b$10.builder$1;
            const value$12 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
            const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$4 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$4 = null;
            jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$12, t$4, a$4, cs$4));
            const this$131 = v$6.builder$1;
            const array$5 = [key$12];
            if ((this$131.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$15 = (array$5.length | 0);
            const newSize$5 = ((this$131.size0$6 + len$15) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$131, newSize$5);
            const len$16 = this$131.size0$6;
            const src$5 = this$131.array$6;
            const dest$5 = this$131.array$6;
            $systemArraycopy(src$5, 0, dest$5, len$15, len$16);
            const xs$5 = this$131.array$6;
            const len$17 = xs$5.u.length;
            let i$5 = 0;
            let j$5 = 0;
            const x$11 = (array$5.length | 0);
            const x$12 = ((x$11 < len$17) ? x$11 : len$17);
            const that$5 = xs$5.u.length;
            const end$5 = ((x$12 < that$5) ? x$12 : that$5);
            while ((i$5 < end$5)) {
              const jsx$13 = j$5;
              const index$5 = i$5;
              xs$5.u[jsx$13] = array$5[index$5];
              i$5 = ((1 + i$5) | 0);
              j$5 = ((1 + j$5) | 0)
            };
            this$131.size0$6 = newSize$5;
            b$9.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1));
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YMap$();
            const c$5 = b$9.builder$1;
            const value$13 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
            const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$5 = tt$5.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$5 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$5 = null;
            jsx$14.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$13, t$5, a$5, cs$5))
          })
        })(this, b$7)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$6 = b$7.builder$1;
        const value$14 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$6);
        const tt$6 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$6 = tt$6.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$6 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$6 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$14, t$6, a$6, cs$6);
        jsx$15.$$plus$eq__O__scm_ArrayBuffer(node$1);
        const this$150 = v$5.builder$1;
        const array$6 = [key$11];
        if ((this$150.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$18 = (array$6.length | 0);
        const newSize$6 = ((this$150.size0$6 + len$18) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$150, newSize$6);
        const len$19 = this$150.size0$6;
        const src$6 = this$150.array$6;
        const dest$6 = this$150.array$6;
        $systemArraycopy(src$6, 0, dest$6, len$18, len$19);
        const xs$6 = this$150.array$6;
        const len$20 = xs$6.u.length;
        let i$6 = 0;
        let j$6 = 0;
        const x$13 = (array$6.length | 0);
        const x$14 = ((x$13 < len$20) ? x$13 : len$20);
        const that$6 = xs$6.u.length;
        const end$6 = ((x$14 < that$6) ? x$14 : that$6);
        while ((i$6 < end$6)) {
          const jsx$16 = j$6;
          const index$6 = i$6;
          xs$6.u[jsx$16] = array$6[index$6];
          i$6 = ((1 + i$6) | 0);
          j$6 = ((1 + j$6) | 0)
        };
        this$150.size0$6 = newSize$6;
        b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1));
        $m_Lorg_yaml_model_YNode$();
        const this$161 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
        const str$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$161, "jsFunctionName").iri__T();
        const key$15 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$11);
        const v$7 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        this.$$outer$1.amf$plugins$features$validation$emitters$ValidationJSONLDEmitter$$genValue__Lorg_yaml_model_YDocument$PartBuilder__T__s_Option__V(v$7, this.f$1$1.computeFunctionName__T__T(this.validationId$2$1), $m_s_None$());
        const this$165 = v$7.builder$1;
        const array$7 = [key$15];
        if ((this$165.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$21 = (array$7.length | 0);
        const newSize$7 = ((this$165.size0$6 + len$21) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$165, newSize$7);
        const len$22 = this$165.size0$6;
        const src$7 = this$165.array$6;
        const dest$7 = this$165.array$6;
        $systemArraycopy(src$7, 0, dest$7, len$21, len$22);
        const xs$7 = this$165.array$6;
        const len$23 = xs$7.u.length;
        let i$7 = 0;
        let j$7 = 0;
        const x$15 = (array$7.length | 0);
        const x$16 = ((x$15 < len$23) ? x$15 : len$23);
        const that$7 = xs$7.u.length;
        const end$7 = ((x$16 < that$7) ? x$16 : that$7);
        while ((i$7 < end$7)) {
          const jsx$17 = j$7;
          const index$7 = i$7;
          xs$7.u[jsx$17] = array$7[index$7];
          i$7 = ((1 + i$7) | 0);
          j$7 = ((1 + j$7) | 0)
        };
        this$165.size0$6 = newSize$7;
        b$6.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$7.builder$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$7 = b$6.builder$1;
        const value$15 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$7);
        const tt$7 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$7 = tt$7.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$7 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$7 = null;
        jsx$18.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$15, t$7, a$7, cs$7))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
  init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__Lamf_core_validation_core_FunctionConstraint__T($$outer, validationId$2, f$1, validatorId$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.validationId$2$1 = validationId$2;
    this.f$1$1 = f$1;
    this.validatorId$1$1 = validatorId$1;
    return this
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1 = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter$$anon$1", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$1;
class $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2 extends $c_O {
  constructor() {
    super();
    this.constraintId$2$1 = null;
    this.validatorId$2$1 = null;
    this.validatorPath$1$1 = null
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$9 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str = this.constraintId$2$1;
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    $m_Lorg_yaml_model_YNode$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ConstraintComponent").iri__T();
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
    $m_Lorg_yaml_model_YNode$();
    const this$8 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$8, "parameter").iri__T();
    const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const this$12 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$12, "path").iri__T();
    const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v$1.builder$1;
    const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$4 = this.validatorPath$1$1;
    const value$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$4);
    b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$4, value$2);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$3.builder$1;
    const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t, a, cs));
    const this$22 = v$1.builder$1;
    const array = [key$3];
    if ((this$22.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$22.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize);
    const len$1 = this$22.size0$6;
    const src = this$22.array$6;
    const dest = this$22.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$22.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$22.size0$6 = newSize;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$33 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "datatype").iri__T();
    const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$5);
    const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v$2.builder$1;
    const b$4 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const this$38 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const str$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$38, "boolean").iri__T();
    const value$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$6);
    b$4.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$6, value$4);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$4.builder$1;
    const value$5 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$1, a$1, cs$1));
    const this$45 = v$2.builder$1;
    const array$1 = [key$5];
    if ((this$45.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$45.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$45, newSize$1);
    const len$4 = this$45.size0$6;
    const src$1 = this$45.array$6;
    const dest$1 = this$45.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$45.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$4 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$4] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$45.size0$6 = newSize$1;
    b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$2 = b$2.builder$1;
    const value$6 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
    const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$2 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$2 = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$2, a$2, cs$2));
    const this$60 = v.builder$1;
    const array$2 = [key$2];
    if ((this$60.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$60.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$60, newSize$2);
    const len$7 = this$60.size0$6;
    const src$2 = this$60.array$6;
    const dest$2 = this$60.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$60.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$6 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$6] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$60.size0$6 = newSize$2;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const this$71 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const str$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$71, "validator").iri__T();
    const key$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$7);
    const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$7 = v$3.builder$1;
    const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    $m_Lorg_yaml_model_YNode$();
    const str$8 = this.validatorId$2$1;
    const value$7 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$8);
    b$5.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$8, value$7);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$3 = b$5.builder$1;
    const value$8 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
    const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$3 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$3 = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$8, t$3, a$3, cs$3));
    const this$81 = v$3.builder$1;
    const array$3 = [key$7];
    if ((this$81.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$9 = (array$3.length | 0);
    const newSize$3 = ((this$81.size0$6 + len$9) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$81, newSize$3);
    const len$10 = this$81.size0$6;
    const src$3 = this$81.array$6;
    const dest$3 = this$81.array$6;
    $systemArraycopy(src$3, 0, dest$3, len$9, len$10);
    const xs$3 = this$81.array$6;
    const len$11 = xs$3.u.length;
    let i$3 = 0;
    let j$3 = 0;
    const x$6 = (array$3.length | 0);
    const x$7 = ((x$6 < len$11) ? x$6 : len$11);
    const that$3 = xs$3.u.length;
    const end$3 = ((x$7 < that$3) ? x$7 : that$3);
    while ((i$3 < end$3)) {
      const jsx$8 = j$3;
      const index$3 = i$3;
      xs$3.u[jsx$8] = array$3[index$3];
      i$3 = ((1 + i$3) | 0);
      j$3 = ((1 + j$3) | 0)
    };
    this$81.size0$6 = newSize$3;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$4 = b$1.builder$1;
    const value$9 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$4);
    const tt$4 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$4 = tt$4.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$4 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$4 = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$9, t$4, a$4, cs$4))
  };
  init___Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter__T__T__T($$outer, constraintId$2, validatorId$2, validatorPath$1) {
    this.constraintId$2$1 = constraintId$2;
    this.validatorId$2$1 = validatorId$2;
    this.validatorPath$1$1 = validatorPath$1;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2 = new $TypeData().initClass({
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2: 0
}, false, "amf.plugins.features.validation.emitters.ValidationJSONLDEmitter$$anon$2", {
  Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1
});
$c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2.prototype.$classData = $d_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$$anon$2;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$ extends $c_Lamf_core_plugins_AMFSyntaxPlugin {
  constructor() {
    super();
    this.ID$2 = null
  };
  init___() {
    this.ID$2 = "SYaml";
    return this
  };
  supportedMediaTypes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/yaml", "application/x-yaml", "text/yaml", "text/x-yaml", "application/json", "text/json", "application/raml", "text/vnd.yaml"]))
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sci_Nil$()
  };
  parse__T__jl_CharSequence__Lamf_core_parser_ParserContext__s_Option(mediaType, text, ctx) {
    const parser = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(text, ctx).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
    const parts = parser.parse__Z__sc_IndexedSeq(true);
    if (parts.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        return $is_Lorg_yaml_model_YDocument(v)
      })
    })(this)))) {
      const pf = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4().init___();
      const this$1 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parts, pf);
      if (this$1.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const document = arg1;
        const pf$1 = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1().init___();
        const comment = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parts, pf$1);
        return new $c_s_Some().init___O(new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument(comment, document))
      }
    } else {
      const pf$2 = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5().init___();
      const this$2 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(parts, pf$2);
      if (this$2.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$2.get__O();
        const comment$1 = arg1$1;
        const jsx$2 = new $c_s_Some().init___O(comment$1);
        $m_s_package$();
        $m_Lorg_yaml_model_YNode$();
        const map = $m_Lorg_yaml_model_YMap$().empty$1;
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const array = [new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs)];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const this$10 = new $c_sci_VectorBuilder().init___();
          jsx$1 = this$10.result__sci_Vector()
        } else {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const b = new $c_sci_VectorBuilder().init___();
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1$2 = array[index];
            b.$$plus$eq__O__sci_VectorBuilder(arg1$2);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.result__sci_Vector()
        };
        return new $c_s_Some().init___O(new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument(jsx$2, new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(jsx$1)))
      }
    }
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  unparse__T__Lorg_yaml_model_YDocument__s_Option(mediaType, ast) {
    const format = ((mediaType === "application/yaml") ? "yaml" : ((mediaType === "application/x-yaml") ? "yaml" : ((mediaType === "text/yaml") ? "yaml" : ((mediaType === "text/x-yaml") ? "yaml" : ((mediaType === "application/json") ? "json" : ((mediaType === "text/json") ? "json" : (((mediaType.indexOf("json") | 0) > (-1)) ? "json" : "yaml")))))));
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Serialising to format ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([format])));
    return ((format === "yaml") ? new $c_s_Some().init___O($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(ast, false)) : new $c_s_Some().init___O($m_Lorg_yaml_render_JsonRender$().render__Lorg_yaml_model_YDocument__T(ast)))
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$: 1,
  Lamf_core_plugins_AMFSyntaxPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$;
let $n_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = (void 0);
const $m_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = (function() {
  if ((!$n_Lamf_plugins_syntax_SYamlSyntaxPlugin$)) {
    $n_Lamf_plugins_syntax_SYamlSyntaxPlugin$ = new $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$().init___()
  };
  return $n_Lamf_plugins_syntax_SYamlSyntaxPlugin$
});
class $c_Ljava_io_OutputStream extends $c_O {
  close__V() {
    /*<skip>*/
  };
}
class $c_Ljava_math_BigDecimal$ extends $c_O {
  constructor() {
    super();
    this.ZERO$1 = null;
    this.ONE$1 = null;
    this.TEN$1 = null;
    this.java$math$BigDecimal$$LongFivePows$1 = null;
    this.java$math$BigDecimal$$LongFivePowsBitLength$1 = null;
    this.LongTenPows$1 = null;
    this.java$math$BigDecimal$$LongTenPowsBitLength$1 = null;
    this.BigIntScaledByZero$1 = null;
    this.ZeroScaledBy$1 = null;
    this.java$math$BigDecimal$$CharZeros$1 = null
  };
  valueOf__J__I__Ljava_math_BigDecimal(unscaledVal, scale) {
    return ((scale === 0) ? this.valueOf__J__Ljava_math_BigDecimal(unscaledVal) : (((((unscaledVal.lo$2 === 0) && (unscaledVal.hi$2 === 0)) && (scale >= 0)) && (scale < this.ZeroScaledBy$1.u.length)) ? this.ZeroScaledBy$1.u[scale] : new $c_Ljava_math_BigDecimal().init___J__I(unscaledVal, scale)))
  };
  init___() {
    $n_Ljava_math_BigDecimal$ = this;
    this.ZERO$1 = new $c_Ljava_math_BigDecimal().init___I__I(0, 0);
    this.ONE$1 = new $c_Ljava_math_BigDecimal().init___I__I(1, 0);
    this.TEN$1 = new $c_Ljava_math_BigDecimal().init___I__I(10, 0);
    this.java$math$BigDecimal$$LongFivePows$1 = this.newArrayOfPows__I__I__AJ(28, 5);
    const n = this.java$math$BigDecimal$$LongFivePows$1.u.length;
    let elems$2 = null;
    elems$2 = [];
    let i = 0;
    while ((i < n)) {
      const arg1 = i;
      const elem = this.bitLength__J__I(this.java$math$BigDecimal$$LongFivePows$1.u[arg1]);
      elems$2.push(elem);
      i = ((1 + i) | 0)
    };
    this.java$math$BigDecimal$$LongFivePowsBitLength$1 = $makeNativeArrayWrapper($d_I.getArrayOf(), elems$2);
    this.LongTenPows$1 = this.newArrayOfPows__I__I__AJ(19, 10);
    const n$1 = this.LongTenPows$1.u.length;
    let elems$2$1 = null;
    elems$2$1 = [];
    let i$1 = 0;
    while ((i$1 < n$1)) {
      const arg1$1 = i$1;
      const elem$1 = this.bitLength__J__I(this.LongTenPows$1.u[arg1$1]);
      elems$2$1.push(elem$1);
      i$1 = ((1 + i$1) | 0)
    };
    this.java$math$BigDecimal$$LongTenPowsBitLength$1 = $makeNativeArrayWrapper($d_I.getArrayOf(), elems$2$1);
    let elems$2$2 = null;
    elems$2$2 = [];
    let i$2 = 0;
    while ((i$2 < 11)) {
      const arg1$2 = i$2;
      const elem$2 = new $c_Ljava_math_BigDecimal().init___I__I(arg1$2, 0);
      elems$2$2.push(elem$2);
      i$2 = ((1 + i$2) | 0)
    };
    this.BigIntScaledByZero$1 = $makeNativeArrayWrapper($d_Ljava_math_BigDecimal.getArrayOf(), elems$2$2);
    let elems$2$3 = null;
    elems$2$3 = [];
    let i$3 = 0;
    while ((i$3 < 11)) {
      const arg1$3 = i$3;
      const elem$3 = new $c_Ljava_math_BigDecimal().init___I__I(0, arg1$3);
      elems$2$3.push(elem$3);
      i$3 = ((1 + i$3) | 0)
    };
    this.ZeroScaledBy$1 = $makeNativeArrayWrapper($d_Ljava_math_BigDecimal.getArrayOf(), elems$2$3);
    let elems$2$4 = null;
    elems$2$4 = [];
    let i$4 = 0;
    while ((i$4 < 100)) {
      elems$2$4.push(48);
      i$4 = ((1 + i$4) | 0)
    };
    this.java$math$BigDecimal$$CharZeros$1 = $makeNativeArrayWrapper($d_C.getArrayOf(), elems$2$4);
    return this
  };
  java$math$BigDecimal$$longCompareTo__J__J__I(value1, value2) {
    const ahi = value1.hi$2;
    const bhi = value2.hi$2;
    if (((ahi === bhi) ? (((-2147483648) ^ value1.lo$2) > ((-2147483648) ^ value2.lo$2)) : (ahi > bhi))) {
      return 1
    } else {
      const ahi$1 = value1.hi$2;
      const bhi$1 = value2.hi$2;
      if (((ahi$1 === bhi$1) ? (((-2147483648) ^ value1.lo$2) < ((-2147483648) ^ value2.lo$2)) : (ahi$1 < bhi$1))) {
        return (-1)
      } else {
        return 0
      }
    }
  };
  java$math$BigDecimal$$roundingBehavior__I__I__Ljava_math_RoundingMode__I(parityBit, fraction, roundingMode) {
    const absFraction = ((fraction < 0) ? ((-fraction) | 0) : fraction);
    const sigFraction = ((fraction === 0) ? 0 : ((fraction < 0) ? (-1) : 1));
    const x = $m_Ljava_math_RoundingMode$().UP$1;
    if ((x === roundingMode)) {
      return sigFraction
    } else {
      const x$3 = $m_Ljava_math_RoundingMode$().DOWN$1;
      if ((x$3 === roundingMode)) {
        return 0
      } else {
        const x$5 = $m_Ljava_math_RoundingMode$().CEILING$1;
        if ((x$5 === roundingMode)) {
          return ((sigFraction > 0) ? sigFraction : 0)
        } else {
          const x$7 = $m_Ljava_math_RoundingMode$().FLOOR$1;
          if ((x$7 === roundingMode)) {
            return ((sigFraction < 0) ? sigFraction : 0)
          } else {
            const x$9 = $m_Ljava_math_RoundingMode$().HALF$undUP$1;
            if ((x$9 === roundingMode)) {
              return ((absFraction >= 5) ? sigFraction : 0)
            } else {
              const x$11 = $m_Ljava_math_RoundingMode$().HALF$undDOWN$1;
              if ((x$11 === roundingMode)) {
                return ((absFraction > 5) ? sigFraction : 0)
              } else {
                const x$13 = $m_Ljava_math_RoundingMode$().HALF$undEVEN$1;
                if ((x$13 === roundingMode)) {
                  return ((((absFraction + parityBit) | 0) > 5) ? sigFraction : 0)
                } else {
                  const x$15 = $m_Ljava_math_RoundingMode$().UNNECESSARY$1;
                  if ((x$15 === roundingMode)) {
                    if ((fraction === 0)) {
                      return 0
                    } else {
                      throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
                    }
                  } else {
                    throw new $c_s_MatchError().init___O(roundingMode)
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  java$math$BigDecimal$$bitLength__I__I(sValue) {
    const smallValue = ((sValue < 0) ? (~sValue) : sValue);
    return ((32 - $clz32(smallValue)) | 0)
  };
  java$math$BigDecimal$$safeLongToInt__J__I(longValue) {
    const ahi = longValue.hi$2;
    let jsx$1;
    if (((ahi === (-1)) ? (((-2147483648) ^ longValue.lo$2) < 0) : (ahi < (-1)))) {
      jsx$1 = true
    } else {
      const ahi$1 = longValue.hi$2;
      jsx$1 = ((ahi$1 === 0) ? (((-2147483648) ^ longValue.lo$2) > (-1)) : (ahi$1 > 0))
    };
    if (jsx$1) {
      throw new $c_jl_ArithmeticException().init___T(("Out of int range: " + longValue))
    };
    return longValue.lo$2
  };
  valueOf__J__Ljava_math_BigDecimal(unscaledVal) {
    const ahi = unscaledVal.hi$2;
    let jsx$1;
    if ((ahi >= 0)) {
      const ahi$1 = unscaledVal.hi$2;
      jsx$1 = ((ahi$1 === 0) ? (((-2147483648) ^ unscaledVal.lo$2) < (-2147483637)) : (ahi$1 < 0))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.BigIntScaledByZero$1.u[unscaledVal.lo$2]
    } else {
      return new $c_Ljava_math_BigDecimal().init___J__I(unscaledVal, 0)
    }
  };
  bitLength__J__I(sValue) {
    const ahi = sValue.hi$2;
    let t;
    if ((ahi < 0)) {
      const lo = (~sValue.lo$2);
      const hi = (~sValue.hi$2);
      const x_$_lo$2 = lo;
      const x_$_hi$2 = hi;
      t = new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2)
    } else {
      t = sValue
    };
    const lo$1 = t.lo$2;
    const hi$1 = t.hi$2;
    return ((64 - ((hi$1 !== 0) ? $clz32(hi$1) : ((32 + $clz32(lo$1)) | 0))) | 0)
  };
  newArrayOfPows__I__I__AJ(len, pow) {
    const xs = $newArrayObject($d_J.getArrayOf(), [(((-1) + len) | 0)]);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let elem$1 = null;
    elem$1 = new $c_sjsr_RuntimeLong().init___I__I(1, 0);
    const elem = elem$1;
    const unboxedElem = ((elem === null) ? null : elem);
    elems$2.push(unboxedElem);
    let i = 0;
    const len$1 = xs.u.length;
    while ((i < len$1)) {
      const idx = i;
      const t$1 = xs.u[idx];
      const lo = t$1.lo$2;
      const hi = t$1.hi$2;
      const arg1 = elem$1;
      const t$2 = $uJ(arg1);
      const lo$1 = t$2.lo$2;
      const hi$1 = t$2.hi$2;
      const t$3 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const hi$3 = (pow >> 31);
      const a0 = (65535 & lo$1);
      const a1 = ((lo$1 >>> 16) | 0);
      const b0 = (65535 & pow);
      const b1 = ((pow >>> 16) | 0);
      const a0b0 = $imul(a0, b0);
      const a1b0 = $imul(a1, b0);
      const a0b1 = $imul(a0, b1);
      const lo$3 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
      const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
      const hi$4 = (((((((($imul(lo$1, hi$3) + $imul(hi$1, pow)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
      elem$1 = new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$4);
      const elem$2 = elem$1;
      const unboxedElem$1 = ((elem$2 === null) ? null : elem$2);
      elems$2.push(unboxedElem$1);
      i = ((1 + i) | 0)
    };
    return $makeNativeArrayWrapper($d_J.getArrayOf(), elems$2)
  };
  java$math$BigDecimal$$zeroScaledBy__J__Ljava_math_BigDecimal(longScale) {
    const value = longScale.lo$2;
    const hi = (value >> 31);
    if (((longScale.lo$2 === value) && (longScale.hi$2 === hi))) {
      return this.valueOf__J__I__Ljava_math_BigDecimal($m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong(), longScale.lo$2)
    } else {
      const ahi = longScale.hi$2;
      if ((ahi >= 0)) {
        return new $c_Ljava_math_BigDecimal().init___I__I(0, 2147483647)
      } else {
        return new $c_Ljava_math_BigDecimal().init___I__I(0, (-2147483648))
      }
    }
  };
}
const $d_Ljava_math_BigDecimal$ = new $TypeData().initClass({
  Ljava_math_BigDecimal$: 0
}, false, "java.math.BigDecimal$", {
  Ljava_math_BigDecimal$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_BigDecimal$.prototype.$classData = $d_Ljava_math_BigDecimal$;
let $n_Ljava_math_BigDecimal$ = (void 0);
const $m_Ljava_math_BigDecimal$ = (function() {
  if ((!$n_Ljava_math_BigDecimal$)) {
    $n_Ljava_math_BigDecimal$ = new $c_Ljava_math_BigDecimal$().init___()
  };
  return $n_Ljava_math_BigDecimal$
});
class $c_Ljava_math_BigInteger$ extends $c_O {
  constructor() {
    super();
    this.ONE$1 = null;
    this.TEN$1 = null;
    this.ZERO$1 = null;
    this.MINUS$undONE$1 = null;
    this.SMALL$undVALUES$1 = null;
    this.TWO$undPOWS$1 = null
  };
  init___() {
    $n_Ljava_math_BigInteger$ = this;
    this.ONE$1 = new $c_Ljava_math_BigInteger().init___I__I(1, 1);
    this.TEN$1 = new $c_Ljava_math_BigInteger().init___I__I(1, 10);
    this.ZERO$1 = new $c_Ljava_math_BigInteger().init___I__I(0, 0);
    this.MINUS$undONE$1 = new $c_Ljava_math_BigInteger().init___I__I((-1), 1);
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ZERO$1, this.ONE$1, new $c_Ljava_math_BigInteger().init___I__I(1, 2), new $c_Ljava_math_BigInteger().init___I__I(1, 3), new $c_Ljava_math_BigInteger().init___I__I(1, 4), new $c_Ljava_math_BigInteger().init___I__I(1, 5), new $c_Ljava_math_BigInteger().init___I__I(1, 6), new $c_Ljava_math_BigInteger().init___I__I(1, 7), new $c_Ljava_math_BigInteger().init___I__I(1, 8), new $c_Ljava_math_BigInteger().init___I__I(1, 9), this.TEN$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Ljava_math_BigInteger.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.SMALL$undVALUES$1 = array;
    let elems$2 = null;
    elems$2 = [];
    let i = 0;
    while ((i < 32)) {
      const arg1$1 = i;
      const jsx$1 = $m_Ljava_math_BigInteger$();
      const lo = (((32 & arg1$1) === 0) ? (1 << arg1$1) : 0);
      const hi = (((32 & arg1$1) === 0) ? 0 : (1 << arg1$1));
      const elem = jsx$1.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const unboxedElem = ((elem === null) ? null : elem);
      elems$2.push(unboxedElem);
      i = ((1 + i) | 0)
    };
    this.TWO$undPOWS$1 = $makeNativeArrayWrapper($d_Ljava_math_BigInteger.getArrayOf(), elems$2);
    return this
  };
  getPowerOfTwo__I__Ljava_math_BigInteger(exp) {
    if ((exp < this.TWO$undPOWS$1.u.length)) {
      return this.TWO$undPOWS$1.u[exp]
    } else {
      const intCount = (exp >> 5);
      const bitN = (31 & exp);
      const resDigits = $newArrayObject($d_I.getArrayOf(), [((1 + intCount) | 0)]);
      resDigits.u[intCount] = (1 << bitN);
      return new $c_Ljava_math_BigInteger().init___I__I__AI(1, ((1 + intCount) | 0), resDigits)
    }
  };
  valueOf__J__Ljava_math_BigInteger(lVal) {
    const ahi = lVal.hi$2;
    if ((ahi < 0)) {
      if ((!((lVal.lo$2 === (-1)) && (lVal.hi$2 === (-1))))) {
        const lo = lVal.lo$2;
        const hi = lVal.hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
        return new $c_Ljava_math_BigInteger().init___I__J((-1), new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
      } else {
        return this.MINUS$undONE$1
      }
    } else {
      const ahi$1 = lVal.hi$2;
      if (((ahi$1 === 0) ? (((-2147483648) ^ lVal.lo$2) <= (-2147483638)) : (ahi$1 < 0))) {
        return this.SMALL$undVALUES$1.u[lVal.lo$2]
      } else {
        return new $c_Ljava_math_BigInteger().init___I__J(1, lVal)
      }
    }
  };
}
const $d_Ljava_math_BigInteger$ = new $TypeData().initClass({
  Ljava_math_BigInteger$: 0
}, false, "java.math.BigInteger$", {
  Ljava_math_BigInteger$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_BigInteger$.prototype.$classData = $d_Ljava_math_BigInteger$;
let $n_Ljava_math_BigInteger$ = (void 0);
const $m_Ljava_math_BigInteger$ = (function() {
  if ((!$n_Ljava_math_BigInteger$)) {
    $n_Ljava_math_BigInteger$ = new $c_Ljava_math_BigInteger$().init___()
  };
  return $n_Ljava_math_BigInteger$
});
class $c_Ljava_math_RoundingMode$ extends $c_O {
  constructor() {
    super();
    this.UP$1 = null;
    this.DOWN$1 = null;
    this.CEILING$1 = null;
    this.FLOOR$1 = null;
    this.HALF$undUP$1 = null;
    this.HALF$undDOWN$1 = null;
    this.HALF$undEVEN$1 = null;
    this.UNNECESSARY$1 = null;
    this.$$undvalues$1 = null
  };
  init___() {
    $n_Ljava_math_RoundingMode$ = this;
    this.UP$1 = new $c_Ljava_math_RoundingMode().init___T__I("UP", 0);
    this.DOWN$1 = new $c_Ljava_math_RoundingMode().init___T__I("DOWN", 1);
    this.CEILING$1 = new $c_Ljava_math_RoundingMode().init___T__I("CEILING", 2);
    this.FLOOR$1 = new $c_Ljava_math_RoundingMode().init___T__I("FLOOR", 3);
    this.HALF$undUP$1 = new $c_Ljava_math_RoundingMode().init___T__I("HALF_UP", 4);
    this.HALF$undDOWN$1 = new $c_Ljava_math_RoundingMode().init___T__I("HALF_DOWN", 5);
    this.HALF$undEVEN$1 = new $c_Ljava_math_RoundingMode().init___T__I("HALF_EVEN", 6);
    this.UNNECESSARY$1 = new $c_Ljava_math_RoundingMode().init___T__I("UNNECESSARY", 7);
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.UP$1, this.DOWN$1, this.CEILING$1, this.FLOOR$1, this.HALF$undUP$1, this.HALF$undDOWN$1, this.HALF$undEVEN$1, this.UNNECESSARY$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Ljava_math_RoundingMode.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.$$undvalues$1 = array;
    return this
  };
}
const $d_Ljava_math_RoundingMode$ = new $TypeData().initClass({
  Ljava_math_RoundingMode$: 0
}, false, "java.math.RoundingMode$", {
  Ljava_math_RoundingMode$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_RoundingMode$.prototype.$classData = $d_Ljava_math_RoundingMode$;
let $n_Ljava_math_RoundingMode$ = (void 0);
const $m_Ljava_math_RoundingMode$ = (function() {
  if ((!$n_Ljava_math_RoundingMode$)) {
    $n_Ljava_math_RoundingMode$ = new $c_Ljava_math_RoundingMode$().init___()
  };
  return $n_Ljava_math_RoundingMode$
});
class $c_Ljava_net_URI$ extends $c_O {
  constructor() {
    super();
    this.ipv6address$1 = null;
    this.ipv6Re$1 = null;
    this.java$net$URI$$uriRe$1 = null;
    this.quoteStr$1 = null;
    this.userInfoQuoteRe$1 = null;
    this.pathQuoteRe$1 = null;
    this.authorityQuoteRe$1 = null;
    this.illegalQuoteRe$1 = null;
    this.nonASCIIQuoteRe$1 = null
  };
  init___() {
    $n_Ljava_net_URI$ = this;
    this.ipv6address$1 = "(?:(?:[0-9a-f]{1,4}:){7}[0-9a-f]{1,4}|(?:[0-9a-f]{1,4}:){1,7}:|(?:[0-9a-f]{1,4}:){1,6}(?::[0-9a-f]{1,4})|(?:[0-9a-f]{1,4}:){1,5}(?::[0-9a-f]{1,4}){1,2}|(?:[0-9a-f]{1,4}:){1,4}(?::[0-9a-f]{1,4}){1,3}|(?:[0-9a-f]{1,4}:){1,3}(?::[0-9a-f]{1,4}){1,4}|(?:[0-9a-f]{1,4}:){1,2}(?::[0-9a-f]{1,4}){1,5}|(?:[0-9a-f]{1,4}:)(?::[0-9a-f]{1,4}){1,6}|:(?:(?::[0-9a-f]{1,4}){1,7}|:)|(?:[0-9a-f]{1,4}:){6}[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,5}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,4}(?::[0-9a-f]{1,4}):[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,3}(?::[0-9a-f]{1,4}){1,2}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:){1,2}(?::[0-9a-f]{1,4}){1,3}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|(?:[0-9a-f]{1,4}:)(?::[0-9a-f]{1,4}){1,4}:[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|::(?:[0-9a-f]{1,4}:){1,5}[0-9]{1,3}(?:\\.[0-9]{1,3}){3})(?:%[0-9a-z]+)?";
    this.ipv6Re$1 = new $g.RegExp((("^" + this.ipv6address$1) + "$"), "i");
    const ipv6reference = (("\\[(?:" + this.ipv6address$1) + ")\\]");
    const host = (("((?:(?:[a-z0-9]|[a-z0-9][a-z0-9-]*[a-z0-9])\\.)*(?:[a-z]|[a-z][a-z0-9-]*[a-z0-9])\\.?|[0-9]{1,3}(?:\\.[0-9]{1,3}){3}|" + ipv6reference) + ")");
    const hostport = (host + "(?::([0-9]*))?");
    const server = (("(?:(?:((?:[a-z0-9-_.!~*'();:&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)@)?" + hostport) + ")?");
    const authority = (server + "|(?:[a-z0-9-_.!~*'()$,;:@&=+]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])+");
    const net_path = (("//(" + authority) + ")(/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*)?");
    const hier_part = (("(?:" + net_path) + "|(/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*))(?:\\?((?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))?");
    const absoluteURI = (("([a-z][a-z0-9+-.]*):(?:(" + hier_part) + ")|((?:[a-z0-9-_.!~*'();?:@&=+$,]|%[a-f0-9]{2})(?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))");
    const relativeURI = (("((?:" + net_path) + "|(/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*)|((?:[a-z0-9-_.!~*'();@&=+$,]|%[a-f0-9]{2})*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*(?:/(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*(?:;(?:[a-z0-9-_.!~*'():@&=+$,]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*)*)*)?))(?:\\?((?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))?)");
    const uriRef = (((("^(?:" + absoluteURI) + "|") + relativeURI) + ")(?:#((?:[;/?:@&=+$,\\[\\]a-z0-9-_.!~*'()]|%[a-f0-9]{2}|[^\u0000-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029])*))?$");
    this.java$net$URI$$uriRe$1 = new $g.RegExp(uriRef, "i");
    this.quoteStr$1 = (function(arg1$2) {
      const arg1 = arg1$2;
      return $m_Ljava_net_URI$().java$net$URI$$$anonfun$quoteStr$1__T__T(arg1)
    });
    this.userInfoQuoteRe$1 = new $g.RegExp("[\u0000- \"#/<>?@\\[-\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.pathQuoteRe$1 = new $g.RegExp("[\u0000- \"#<>?\\[-\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.authorityQuoteRe$1 = new $g.RegExp("[\u0000- \"#/<>?\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.illegalQuoteRe$1 = new $g.RegExp("[\u0000- \"#<>@\\^`{-}\u007f-\u00a0\u1680\u2000-\u200a\u202f\u205f\u3000\u2028\u2029]|%(?![0-9a-f]{2})", "ig");
    this.nonASCIIQuoteRe$1 = new $g.RegExp("[^\u0000-\u007f]+", "g");
    return this
  };
  java$net$URI$$uriStr__T__T__T__T__T__T(scheme, authority, path, query, fragment) {
    let resStr = "";
    if ((scheme !== null)) {
      resStr = ((("" + resStr) + scheme) + ":")
    };
    if ((authority !== null)) {
      resStr = ((resStr + "//") + this.quoteAuthority__p1__T__T(authority))
    };
    if ((path !== null)) {
      resStr = (("" + resStr) + this.quotePath__p1__T__T(path))
    };
    if ((query !== null)) {
      resStr = ((resStr + "?") + this.quoteIllegal__p1__T__T(query))
    };
    if ((fragment !== null)) {
      resStr = ((resStr + "#") + this.quoteIllegal__p1__T__T(fragment))
    };
    return resStr
  };
  loop$2__p1__I__T__T__I(i, x$11, y$2) {
    _loop: while (true) {
      if (((i >= (x$11.length | 0)) || (i >= (y$2.length | 0)))) {
        return (((x$11.length | 0) - (y$2.length | 0)) | 0)
      } else {
        const index = i;
        const jsx$1 = x$11.charCodeAt(index);
        const index$1 = i;
        const diff = (((65535 & (jsx$1 | 0)) - (65535 & (y$2.charCodeAt(index$1) | 0))) | 0);
        if ((diff !== 0)) {
          return diff
        } else {
          const index$2 = i;
          if (((65535 & (x$11.charCodeAt(index$2) | 0)) === 37)) {
            const assertion = ((x$11.length | 0) > ((2 + i) | 0));
            if ((!assertion)) {
              throw new $c_jl_AssertionError().init___O("assertion failed: Invalid escape in URI")
            };
            const assertion$1 = ((y$2.length | 0) > ((2 + i) | 0));
            if ((!assertion$1)) {
              throw new $c_jl_AssertionError().init___O("assertion failed: Invalid escape in URI")
            };
            const jsx$3 = $m_sjsr_RuntimeString$();
            const beginIndex = ((1 + i) | 0);
            const endIndex = ((3 + i) | 0);
            const jsx$2 = x$11.substring(beginIndex, endIndex);
            const beginIndex$1 = ((1 + i) | 0);
            const endIndex$1 = ((3 + i) | 0);
            const cmp = jsx$3.compareToIgnoreCase__T__T__I(jsx$2, y$2.substring(beginIndex$1, endIndex$1));
            if ((cmp !== 0)) {
              return cmp
            } else {
              i = ((3 + i) | 0);
              continue _loop
            }
          } else {
            i = ((1 + i) | 0);
            continue _loop
          }
        }
      }
    }
  };
  quotePath__p1__T__T(str) {
    return str.replace(this.pathQuoteRe$1, this.quoteStr$1)
  };
  quoteIllegal__p1__T__T(str) {
    return str.replace(this.illegalQuoteRe$1, this.quoteStr$1)
  };
  java$net$URI$$normalizeEscapes__T__T(str) {
    let i = 0;
    let res = "";
    while ((i < (str.length | 0))) {
      const index = i;
      if (((65535 & (str.charCodeAt(index) | 0)) === 37)) {
        const assertion = ((str.length | 0) > ((2 + i) | 0));
        if ((!assertion)) {
          throw new $c_jl_AssertionError().init___O("assertion failed: Invalid escape in URI")
        };
        const jsx$1 = res;
        const beginIndex = i;
        const endIndex = ((3 + i) | 0);
        const thiz = str.substring(beginIndex, endIndex);
        res = (("" + jsx$1) + thiz.toUpperCase());
        i = ((3 + i) | 0)
      } else {
        const jsx$2 = res;
        const beginIndex$1 = i;
        const endIndex$1 = ((1 + i) | 0);
        res = (("" + jsx$2) + str.substring(beginIndex$1, endIndex$1));
        i = ((1 + i) | 0)
      }
    };
    return res
  };
  java$net$URI$$$anonfun$quoteStr$1__T__T(str) {
    const buf = $m_sjs_niocharset_UTF$und8$().encode__T__Ljava_nio_ByteBuffer(str);
    let res = "";
    while ((buf.java$nio$Buffer$$$undposition$1 !== buf.$$undlimit$1)) {
      const c = (255 & buf.get__B());
      const jsx$1 = res;
      const x = (+(c >>> 0));
      const thiz = x.toString(16);
      res = ((jsx$1 + ((c <= 15) ? "%0" : "%")) + thiz.toUpperCase())
    };
    return res
  };
  java$net$URI$$decodeComponent__T__T(str) {
    const this$2 = new $c_sci_StringOps().init___T(str);
    let i = 0;
    while (true) {
      const jsx$2 = i;
      const $$this = this$2.repr$1;
      let jsx$1;
      if ((jsx$2 < ($$this.length | 0))) {
        const arg1 = this$2.apply__I__O(i);
        let x$10;
        if ((arg1 === null)) {
          x$10 = 0
        } else {
          const this$6 = arg1;
          x$10 = this$6.value$1
        };
        jsx$1 = ((x$10 !== 37) === true)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    const jsx$3 = i;
    const $$this$1 = this$2.repr$1;
    if ((jsx$3 === ($$this$1.length | 0))) {
      return str
    } else {
      const this$9 = $m_Ljava_nio_CharBuffer$();
      const inBuf = this$9.wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(str, 0, (str.length | 0));
      const outBuf = $m_Ljava_nio_CharBuffer$().allocate__I__Ljava_nio_CharBuffer(inBuf.$$undcapacity$1);
      const byteBuf = $m_Ljava_nio_ByteBuffer$().allocate__I__Ljava_nio_ByteBuffer(64);
      let elem$1 = false;
      elem$1 = false;
      const decoder = ($m_sjs_niocharset_UTF$und8$(), new $c_sjs_niocharset_UTF$und8$Decoder().init___()).onMalformedInput__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1).onUnmappableCharacter__Ljava_nio_charset_CodingErrorAction__Ljava_nio_charset_CharsetDecoder($m_Ljava_nio_charset_CodingErrorAction$().REPLACE$1);
      while ((inBuf.java$nio$Buffer$$$undposition$1 !== inBuf.$$undlimit$1)) {
        const x1 = inBuf.get__C();
        switch (x1) {
          case 37: {
            if ((byteBuf.java$nio$Buffer$$$undposition$1 === byteBuf.$$undlimit$1)) {
              byteBuf.flip__Ljava_nio_Buffer();
              decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(byteBuf, outBuf, false);
              byteBuf.compact__Ljava_nio_ByteBuffer()
            };
            const c = inBuf.get__C();
            const jsx$4 = $g.String.fromCharCode(c);
            const c$1 = inBuf.get__C();
            const hexStr = (("" + jsx$4) + $g.String.fromCharCode(c$1));
            const v = $m_jl_Integer$().parseInt__T__I__I(hexStr, 16);
            byteBuf.put__B__Ljava_nio_ByteBuffer(((v << 24) >> 24));
            elem$1 = true;
            break
          }
          default: {
            if (elem$1) {
              byteBuf.flip__Ljava_nio_Buffer();
              decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(byteBuf, outBuf, true);
              decoder.reset__Ljava_nio_charset_CharsetDecoder();
              byteBuf.clear__Ljava_nio_Buffer();
              elem$1 = false
            };
            outBuf.put__C__Ljava_nio_CharBuffer(x1)
          }
        }
      };
      if (elem$1) {
        byteBuf.flip__Ljava_nio_Buffer();
        decoder.decode__Ljava_nio_ByteBuffer__Ljava_nio_CharBuffer__Z__Ljava_nio_charset_CoderResult(byteBuf, outBuf, true);
        decoder.reset__Ljava_nio_charset_CharsetDecoder();
        byteBuf.clear__Ljava_nio_Buffer();
        elem$1 = false
      };
      outBuf.flip__Ljava_nio_Buffer();
      return outBuf.toString__T()
    }
  };
  quoteAuthority__p1__T__T(str) {
    return str.replace(this.authorityQuoteRe$1, this.quoteStr$1)
  };
}
const $d_Ljava_net_URI$ = new $TypeData().initClass({
  Ljava_net_URI$: 0
}, false, "java.net.URI$", {
  Ljava_net_URI$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_net_URI$.prototype.$classData = $d_Ljava_net_URI$;
let $n_Ljava_net_URI$ = (void 0);
const $m_Ljava_net_URI$ = (function() {
  if ((!$n_Ljava_net_URI$)) {
    $n_Ljava_net_URI$ = new $c_Ljava_net_URI$().init___()
  };
  return $n_Ljava_net_URI$
});
class $c_Ljava_nio_ByteBuffer extends $c_Ljava_nio_Buffer {
  constructor() {
    super();
    this.$$undarray$2 = null;
    this.$$undarrayOffset$2 = 0;
    this.$$undisBigEndian$2 = false
  };
  equals__O__Z(that) {
    if ($is_Ljava_nio_ByteBuffer(that)) {
      const x2 = that;
      return (this.compareTo__Ljava_nio_ByteBuffer__I(x2) === 0)
    } else {
      return false
    }
  };
  init___I__AB__I(_capacity, _array, _arrayOffset) {
    this.$$undarray$2 = _array;
    this.$$undarrayOffset$2 = _arrayOffset;
    $c_Ljava_nio_Buffer.prototype.init___I.call(this, _capacity);
    this.$$undisBigEndian$2 = true;
    return this
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_nio_ByteBuffer__I(x$1)
  };
  compareTo__Ljava_nio_ByteBuffer__I(that) {
    if ((this === that)) {
      return 0
    } else {
      const thisStart = this.java$nio$Buffer$$$undposition$1;
      const thisRemaining = ((this.$$undlimit$1 - thisStart) | 0);
      const thatStart = that.java$nio$Buffer$$$undposition$1;
      const thatRemaining = ((that.$$undlimit$1 - thatStart) | 0);
      const shortestLength = ((thisRemaining < thatRemaining) ? thisRemaining : thatRemaining);
      let i = 0;
      while ((i !== shortestLength)) {
        const index = ((thisStart + i) | 0);
        const arg1 = (this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)] | 0);
        const index$1 = ((thatStart + i) | 0);
        const arg2 = (that.$$undarray$2.u[((that.$$undarrayOffset$2 + index$1) | 0)] | 0);
        const x$1 = (arg1 | 0);
        const x$2 = (arg2 | 0);
        const cmp = ((x$1 === x$2) ? 0 : ((x$1 < x$2) ? (-1) : 1));
        if ((cmp !== 0)) {
          return cmp
        };
        i = ((1 + i) | 0)
      };
      return ((thisRemaining === thatRemaining) ? 0 : ((thisRemaining < thatRemaining) ? (-1) : 1))
    }
  };
  put__Ljava_nio_ByteBuffer__Ljava_nio_ByteBuffer(src) {
    if ((src === this)) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const srcLimit = src.$$undlimit$1;
    let srcPos = src.java$nio$Buffer$$$undposition$1;
    const length = ((srcLimit - srcPos) | 0);
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    let selfPos = p;
    src.position__I__Ljava_nio_Buffer(srcLimit);
    const srcArray = src.$$undarray$2;
    if ((srcArray !== null)) {
      const startIndex = selfPos;
      const offset = ((src.$$undarrayOffset$2 + srcPos) | 0);
      $systemArraycopy(srcArray, offset, this.$$undarray$2, ((this.$$undarrayOffset$2 + startIndex) | 0), length)
    } else {
      while ((srcPos !== srcLimit)) {
        const index$1 = selfPos;
        const index = srcPos;
        const elem = (src.$$undarray$2.u[((src.$$undarrayOffset$2 + index) | 0)] | 0);
        const elem$1 = (elem | 0);
        this.$$undarray$2.u[((this.$$undarrayOffset$2 + index$1) | 0)] = (elem$1 | 0);
        srcPos = ((1 + srcPos) | 0);
        selfPos = ((1 + selfPos) | 0)
      }
    };
    return this
  };
  hashCode__I() {
    const start = this.java$nio$Buffer$$$undposition$1;
    const end = this.$$undlimit$1;
    let h = (-547316498);
    let i = start;
    while ((i !== end)) {
      const jsx$3 = $m_s_util_hashing_MurmurHash3$();
      const jsx$2 = h;
      const jsx$1 = $m_sr_Statics$();
      const index = i;
      h = jsx$3.mix__I__I__I(jsx$2, jsx$1.anyHash__O__I((this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)] | 0)));
      i = ((1 + i) | 0)
    };
    return $m_s_util_hashing_MurmurHash3$().finalizeHash__I__I__I(h, ((end - start) | 0))
  };
}
const $is_Ljava_nio_ByteBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_ByteBuffer)))
});
const $isArrayOf_Ljava_nio_ByteBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_ByteBuffer)))
});
class $c_Lorg_mulesoft_common_io_Fs$ extends $c_Lorg_mulesoft_common_io_JsServerFileSystem {
  init___() {
    return this
  };
}
const $d_Lorg_mulesoft_common_io_Fs$ = new $TypeData().initClass({
  Lorg_mulesoft_common_io_Fs$: 0
}, false, "org.mulesoft.common.io.Fs$", {
  Lorg_mulesoft_common_io_Fs$: 1,
  Lorg_mulesoft_common_io_JsServerFileSystem: 1,
  O: 1,
  Lorg_mulesoft_common_io_FileSystem: 1
});
$c_Lorg_mulesoft_common_io_Fs$.prototype.$classData = $d_Lorg_mulesoft_common_io_Fs$;
let $n_Lorg_mulesoft_common_io_Fs$ = (void 0);
const $m_Lorg_mulesoft_common_io_Fs$ = (function() {
  if ((!$n_Lorg_mulesoft_common_io_Fs$)) {
    $n_Lorg_mulesoft_common_io_Fs$ = new $c_Lorg_mulesoft_common_io_Fs$().init___()
  };
  return $n_Lorg_mulesoft_common_io_Fs$
});
class $c_Lorg_mulesoft_common_time_SimpleDateTime$ extends $c_O {
  constructor() {
    super();
    this.ZeroTime$1 = null;
    this.Epoch$1 = null;
    this.timeRegex$1 = null
  };
  init___() {
    $n_Lorg_mulesoft_common_time_SimpleDateTime$ = this;
    this.ZeroTime$1 = new $c_Lorg_mulesoft_common_time_TimeOfDay().init___I__I__I__I(0, 0, 0, 0);
    this.Epoch$1 = new $c_Lorg_mulesoft_common_time_SimpleDateTime().init___I__I__I__s_Option__s_Option(1970, 1, 1, new $c_s_Some().init___O(this.ZeroTime$1), new $c_s_Some().init___O(0));
    const this$2 = new $c_sci_StringOps().init___T("(\\d{4})-(\\d\\d?)-(\\d\\d?)(?:(?:[Tt]|[\\ \\t]+)(\\d\\d?):(\\d\\d?)(?::(\\d\\d?))?(?:\\.(\\d*))?(?:(?:[\\ \\t]*)?(Z|([-+]\\d\\d?)(?::(\\d\\d?))?))?)?");
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    this.timeRegex$1 = new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames);
    return this
  };
  toInt__p1__T__I(s) {
    let jsx$1;
    if ((s === null)) {
      jsx$1 = true
    } else {
      if ((s === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$1 = (s === "")
    };
    if (jsx$1) {
      return 0
    } else {
      const this$2 = $m_jl_Integer$();
      return this$2.parseInt__T__I__I(s, 10)
    }
  };
  parse__T__s_Option(str) {
    const o7 = this.timeRegex$1.unapplySeq__jl_CharSequence__s_Option(str);
    let jsx$1;
    if ((!o7.isEmpty__Z())) {
      if ((o7.get__O() !== null)) {
        const this$1 = o7.get__O();
        jsx$1 = ($f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, 10) === 0)
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$2 = o7.get__O();
      const year = $f_sc_LinearSeqOptimized__apply__I__O(this$2, 0);
      const this$3 = o7.get__O();
      const month = $f_sc_LinearSeqOptimized__apply__I__O(this$3, 1);
      const this$4 = o7.get__O();
      const day = $f_sc_LinearSeqOptimized__apply__I__O(this$4, 2);
      const this$5 = o7.get__O();
      const hours = $f_sc_LinearSeqOptimized__apply__I__O(this$5, 3);
      const this$6 = o7.get__O();
      const minutes = $f_sc_LinearSeqOptimized__apply__I__O(this$6, 4);
      const this$7 = o7.get__O();
      const seconds = $f_sc_LinearSeqOptimized__apply__I__O(this$7, 5);
      const this$8 = o7.get__O();
      const nanos = $f_sc_LinearSeqOptimized__apply__I__O(this$8, 6);
      const this$9 = o7.get__O();
      const z = $f_sc_LinearSeqOptimized__apply__I__O(this$9, 7);
      const this$10 = o7.get__O();
      const offsetHours = $f_sc_LinearSeqOptimized__apply__I__O(this$10, 8);
      const this$11 = o7.get__O();
      const offsetMinutes = $f_sc_LinearSeqOptimized__apply__I__O(this$11, 9);
      let t;
      if ((hours === null)) {
        t = $m_s_None$()
      } else {
        const this$12 = $m_jl_Integer$();
        const jsx$5 = this$12.parseInt__T__I__I(hours, 10);
        const this$13 = $m_jl_Integer$();
        const jsx$4 = this$13.parseInt__T__I__I(minutes, 10);
        const jsx$3 = this.toInt__p1__T__I(seconds);
        let jsx$2;
        if ((nanos === null)) {
          jsx$2 = 0
        } else {
          const this$17 = $m_jl_Integer$();
          const this$16 = new $c_sci_StringOps().init___T("0");
          const n = ((9 - (nanos.length | 0)) | 0);
          const s = (("" + nanos) + $f_sci_StringLike__$$times__I__T(this$16, n));
          jsx$2 = this$17.parseInt__T__I__I(s, 10)
        };
        t = new $c_s_Some().init___O(new $c_Lorg_mulesoft_common_time_TimeOfDay().init___I__I__I__I(jsx$5, jsx$4, jsx$3, jsx$2))
      };
      let tz;
      if ((z === null)) {
        tz = $m_s_None$()
      } else if ((offsetHours === null)) {
        tz = new $c_s_Some().init___O(0)
      } else {
        const oh = $imul(3600, this.toInt__p1__T__I(offsetHours));
        const om = $imul(60, this.toInt__p1__T__I(offsetMinutes));
        tz = new $c_s_Some().init___O(((oh + ((oh < 0) ? ((-om) | 0) : om)) | 0))
      };
      return new $c_s_Some().init___O(new $c_Lorg_mulesoft_common_time_SimpleDateTime().init___I__I__I__s_Option__s_Option(this.toInt__p1__T__I(year), this.toInt__p1__T__I(month), this.toInt__p1__T__I(day), t, tz))
    };
    return $m_s_None$()
  };
}
const $d_Lorg_mulesoft_common_time_SimpleDateTime$ = new $TypeData().initClass({
  Lorg_mulesoft_common_time_SimpleDateTime$: 0
}, false, "org.mulesoft.common.time.SimpleDateTime$", {
  Lorg_mulesoft_common_time_SimpleDateTime$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_common_time_SimpleDateTime$.prototype.$classData = $d_Lorg_mulesoft_common_time_SimpleDateTime$;
let $n_Lorg_mulesoft_common_time_SimpleDateTime$ = (void 0);
const $m_Lorg_mulesoft_common_time_SimpleDateTime$ = (function() {
  if ((!$n_Lorg_mulesoft_common_time_SimpleDateTime$)) {
    $n_Lorg_mulesoft_common_time_SimpleDateTime$ = new $c_Lorg_mulesoft_common_time_SimpleDateTime$().init___()
  };
  return $n_Lorg_mulesoft_common_time_SimpleDateTime$
});
class $c_Lorg_mulesoft_lexer_InputRange$ extends $c_O {
  constructor() {
    super();
    this.Zero$1 = null;
    this.All$1 = null
  };
  init___() {
    $n_Lorg_mulesoft_lexer_InputRange$ = this;
    this.Zero$1 = new $c_Lorg_mulesoft_lexer_InputRange().init___I__I__I__I(1, 0, 1, 0);
    this.All$1 = new $c_Lorg_mulesoft_lexer_InputRange().init___I__I__I__I(1, 0, 2147483647, 2147483647);
    return this
  };
  apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange(lineFrom, columnFrom, lineTo, columnTo) {
    return (((((lineFrom <= 1) && (columnFrom <= 0)) && (lineTo <= 1)) && (columnTo <= 0)) ? this.Zero$1 : (((((lineFrom <= 1) && (columnFrom <= 0)) && (lineTo === 2147483647)) && (lineFrom === 2147483647)) ? this.All$1 : new $c_Lorg_mulesoft_lexer_InputRange().init___I__I__I__I(lineFrom, columnFrom, lineTo, columnTo)))
  };
}
const $d_Lorg_mulesoft_lexer_InputRange$ = new $TypeData().initClass({
  Lorg_mulesoft_lexer_InputRange$: 0
}, false, "org.mulesoft.lexer.InputRange$", {
  Lorg_mulesoft_lexer_InputRange$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_InputRange$.prototype.$classData = $d_Lorg_mulesoft_lexer_InputRange$;
let $n_Lorg_mulesoft_lexer_InputRange$ = (void 0);
const $m_Lorg_mulesoft_lexer_InputRange$ = (function() {
  if ((!$n_Lorg_mulesoft_lexer_InputRange$)) {
    $n_Lorg_mulesoft_lexer_InputRange$ = new $c_Lorg_mulesoft_lexer_InputRange$().init___()
  };
  return $n_Lorg_mulesoft_lexer_InputRange$
});
class $c_Lorg_yaml_convert_YRead$BooleanYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Bool$1, false);
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$BooleanYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$BooleanYRead$: 0
}, false, "org.yaml.convert.YRead$BooleanYRead$", {
  Lorg_yaml_convert_YRead$BooleanYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$BooleanYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$BooleanYRead$;
let $n_Lorg_yaml_convert_YRead$BooleanYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$BooleanYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$BooleanYRead$)) {
    $n_Lorg_yaml_convert_YRead$BooleanYRead$ = new $c_Lorg_yaml_convert_YRead$BooleanYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$BooleanYRead$
});
class $c_Lorg_yaml_convert_YRead$DTYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Timestamp$1, $m_Lorg_mulesoft_common_time_SimpleDateTime$().Epoch$1);
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$DTYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$DTYRead$: 0
}, false, "org.yaml.convert.YRead$DTYRead$", {
  Lorg_yaml_convert_YRead$DTYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$DTYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$DTYRead$;
let $n_Lorg_yaml_convert_YRead$DTYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$DTYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$DTYRead$)) {
    $n_Lorg_yaml_convert_YRead$DTYRead$ = new $c_Lorg_yaml_convert_YRead$DTYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$DTYRead$
});
class $c_Lorg_yaml_convert_YRead$DoubleYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Float$1, 0.0);
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$DoubleYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$DoubleYRead$: 0
}, false, "org.yaml.convert.YRead$DoubleYRead$", {
  Lorg_yaml_convert_YRead$DoubleYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$DoubleYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$DoubleYRead$;
let $n_Lorg_yaml_convert_YRead$DoubleYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$DoubleYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$DoubleYRead$)) {
    $n_Lorg_yaml_convert_YRead$DoubleYRead$ = new $c_Lorg_yaml_convert_YRead$DoubleYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$DoubleYRead$
});
class $c_Lorg_yaml_convert_YRead$IntYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Int$1, 0);
    return this
  };
  read__Lorg_yaml_model_YNode__s_util_Either(node) {
    const x1 = $m_Lorg_yaml_convert_YRead$LongYRead$().read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      return x2
    };
    if ($is_s_util_Right(x1)) {
      const x4 = x1;
      const t = $uJ(x4.value$2);
      const lo = t.lo$2;
      const hi = t.hi$2;
      if ((((hi === (-1)) ? (((-2147483648) ^ lo) >= 0) : (hi > (-1))) && ((hi === 0) ? (((-2147483648) ^ lo) <= (-1)) : (hi < 0)))) {
        $m_s_package$();
        return new $c_s_util_Right().init___O(lo)
      }
    };
    return $m_Lorg_yaml_convert_YRead$().error__Lorg_yaml_model_YNode__T__s_util_Left(node, "Out of range")
  };
}
const $d_Lorg_yaml_convert_YRead$IntYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$IntYRead$: 0
}, false, "org.yaml.convert.YRead$IntYRead$", {
  Lorg_yaml_convert_YRead$IntYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$IntYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$IntYRead$;
let $n_Lorg_yaml_convert_YRead$IntYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$IntYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$IntYRead$)) {
    $n_Lorg_yaml_convert_YRead$IntYRead$ = new $c_Lorg_yaml_convert_YRead$IntYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$IntYRead$
});
class $c_Lorg_yaml_convert_YRead$LongYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Int$1, $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong());
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$LongYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$LongYRead$: 0
}, false, "org.yaml.convert.YRead$LongYRead$", {
  Lorg_yaml_convert_YRead$LongYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$LongYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$LongYRead$;
let $n_Lorg_yaml_convert_YRead$LongYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$LongYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$LongYRead$)) {
    $n_Lorg_yaml_convert_YRead$LongYRead$ = new $c_Lorg_yaml_convert_YRead$LongYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$LongYRead$
});
class $c_Lorg_yaml_convert_YRead$StringYRead$ extends $c_Lorg_yaml_convert_ScalarYRead {
  init___() {
    $c_Lorg_yaml_convert_ScalarYRead.prototype.init___Lorg_yaml_model_YType__O.call(this, $m_Lorg_yaml_model_YType$().Str$1, "");
    return this
  };
}
const $d_Lorg_yaml_convert_YRead$StringYRead$ = new $TypeData().initClass({
  Lorg_yaml_convert_YRead$StringYRead$: 0
}, false, "org.yaml.convert.YRead$StringYRead$", {
  Lorg_yaml_convert_YRead$StringYRead$: 1,
  Lorg_yaml_convert_ScalarYRead: 1,
  O: 1,
  Lorg_yaml_convert_YRead: 1
});
$c_Lorg_yaml_convert_YRead$StringYRead$.prototype.$classData = $d_Lorg_yaml_convert_YRead$StringYRead$;
let $n_Lorg_yaml_convert_YRead$StringYRead$ = (void 0);
const $m_Lorg_yaml_convert_YRead$StringYRead$ = (function() {
  if ((!$n_Lorg_yaml_convert_YRead$StringYRead$)) {
    $n_Lorg_yaml_convert_YRead$StringYRead$ = new $c_Lorg_yaml_convert_YRead$StringYRead$().init___()
  };
  return $n_Lorg_yaml_convert_YRead$StringYRead$
});
class $c_Lorg_yaml_lexer_YamlLexer extends $c_Lorg_mulesoft_lexer_BaseLexer {
  constructor() {
    super();
    this.input$2 = null
  };
  blockCollection__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = ((this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx) && this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)) && this.bc$1__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if (result) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = this.bc$1__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  flowFolded__p2__I__Z(n) {
    const s = this.saveState__T3();
    this.separateInLine__p2__Z();
    const result = (this.folded__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_FlowIn$()) && this.linePrefix__p2__I__Z__Z__Z(n, true, false));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  implicitJsonKey__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    return (this.flowJsonNode__I__Lorg_yaml_lexer_YamlContext__Z(0, ctx) && (this.separateInLine__p2__Z(), true))
  };
  chompedEmpty__I__C__Z(n, t) {
    if ((t !== 43)) {
      if ((t !== 45)) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
      };
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.indentLessOrEqual__I__Z(n) && this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s)
    } else {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$2 = this.input$1;
        if ((this$2.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
    };
    this.trailComments__I__Z(n);
    return true
  };
  nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginProperties$1)) {
      let jsx$2;
      if (this.tagProperty__p2__Z()) {
        const s$1 = this.saveState__T3();
        const b1 = this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
        const result = (b1 && this.anchorProperty__p2__Z());
        if ((!result)) {
          this.restoreState__T3__V(s$1)
        };
        jsx$2 = true
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        jsx$1 = true
      } else if (this.anchorProperty__p2__Z()) {
        const s$2 = this.saveState__T3();
        const result$1 = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.tagProperty__p2__Z());
        if ((!result$1)) {
          this.restoreState__T3__V(s$2)
        };
        jsx$1 = true
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    let result$2;
    if (jsx$1) {
      result$2 = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndProperties$1)
    } else {
      result$2 = false
    };
    if ((!result$2)) {
      this.restoreState__T3__V(s)
    };
    return result$2
  };
  emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const x$2 = $m_Lorg_yaml_lexer_FlowOut$();
    let jsx$1;
    if (((ctx !== null) && (ctx === x$2))) {
      jsx$1 = true
    } else {
      const x$4 = $m_Lorg_yaml_lexer_FlowIn$();
      jsx$1 = ((ctx !== null) && (ctx === x$4))
    };
    if (this.linePrefix__p2__I__Z__Z__Z(n, jsx$1, true)) {
      return this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1)
    } else {
      return false
    }
  };
  emptyScalar__Z() {
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
    return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
  };
  mapExplicitValue__I__Z(n) {
    const s = this.saveState__T3();
    const result = ((this.indent__I__Z(n) && this.indicator__I__Z(58)) && this.blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockOut$()));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  nonEndOfDocument__p2__Z() {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 !== 0)) {
      return true
    } else {
      return ((!this.isDocumentEnd__p2__Z()) && (!this.isDirectivesEnd__p2__Z()))
    }
  };
  lineBreakSequence__I__I(offset) {
    const current = this.input$1.lookAhead__I__I(offset);
    if ((current === 10)) {
      return 1
    } else {
      let jsx$1;
      if ((current === 13)) {
        const n = ((1 + offset) | 0);
        jsx$1 = (this.input$1.lookAhead__I__I(n) === 10)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return 2
      } else {
        return 0
      }
    }
  };
  isPlainFirst__I__I__Lorg_yaml_lexer_YamlContext__Z(chr, nextChar, ctx) {
    return (($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isIndicator__I__Z(chr))) || ((((chr === 45) || (chr === 58)) || (chr === 63)) && this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(nextChar, ctx)))
  };
  literalContentLine__p2__I__Z(n) {
    if (this.nonEndOfDocument__p2__Z()) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      let jsx$1;
      if (this.indent__I__Z(n)) {
        const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const this$2 = this.input$1;
        jsx$1 = (!jsx$2.isBreakOrEof__I__Z(this$2.state$1.current$1))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const this$3 = this.input$1;
        while (true) {
          const v1 = this$3.state$1.current$1;
          if ((!$m_Lorg_yaml_lexer_YamlCharRules$().isBreakOrEof__I__Z(v1))) {
            this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1)
          } else {
            break
          }
        };
        return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(chr, ctx) {
    const x = $m_Lorg_yaml_lexer_FlowIn$();
    let jsx$1;
    if ((x === ctx)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_lexer_FlowKey$();
      jsx$1 = (x$3 === ctx)
    };
    if (jsx$1) {
      return ($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isFlowIndicator__I__Z(chr)))
    } else {
      return $m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr)
    }
  };
  indicator__I__Z(chr) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === chr)) {
      return this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)
    } else {
      return false
    }
  };
  folded__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const jsx$1 = $m_Lorg_yaml_lexer_YamlCharRules$();
    const this$1 = this.input$1;
    if (jsx$1.isBBreak__I__Z(this$1.state$1.current$1)) {
      const s = this.saveState__T3();
      const result = this.trimmed__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFold$1)
      }
    } else {
      return false
    }
  };
  blockMapEntry__I__Z(n) {
    const this$1 = this.input$1;
    const explicit = (this$1.state$1.current$1 === 63);
    const entry = (explicit || this.lineContainsMapIndicator__Z());
    if (entry) {
      const s = this.saveState__T3();
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginPair$1);
      const result = ((explicit ? this.mapExplicitEntry__I__Z(n) : this.mapImplicitEntry__I__Z(n)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndPair$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  initialize__V() {
    this.yamlStream__V();
    this.advance__V()
  };
  flowJsonContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const this$1 = this.input$1;
    const x1 = this$1.state$1.current$1;
    switch (x1) {
      case 91: {
        return this.flowSequence__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
        break
      }
      case 123: {
        return this.flowMapping__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
        break
      }
      case 39: {
        return this.quotedScalar__p2__I__Lorg_yaml_lexer_YamlContext__C__Z(n, ctx, 39);
        break
      }
      case 34: {
        return this.quotedScalar__p2__I__Lorg_yaml_lexer_YamlContext__C__Z(n, ctx, 34);
        break
      }
      default: {
        return false
      }
    }
  };
  isPlainChar__I__Lorg_yaml_lexer_YamlContext__Z(offset, ctx) {
    const x1 = this.input$1.lookAhead__I__I(offset);
    if ((x1 === 35)) {
      const n = (((-1) + offset) | 0);
      return (this.input$1.lookAhead__I__I(n) !== 32)
    } else if ((x1 === 58)) {
      const n$1 = ((1 + offset) | 0);
      return this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(n$1), ctx)
    } else {
      return ((!((x1 === 32) || ((x1 === 9) || ((x1 === 13) || ((x1 === 10) || ($m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1 === x1)))))) && this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(offset), ctx))
    }
  };
  foldedLines__p2__I__Z(n) {
    const b1 = this.foldedText__p2__I__Z(n);
    if (b1) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.folded__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()) && this.foldedText__p2__I__Z(n)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  tagHandle__p2__Z() {
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginHandle$1)) {
      let jsx$2;
      if ((((this.input$1.lookAhead__I__I(1) === 33) && this.indicator__I__Z(33)) && this.indicator__I__Z(33))) {
        jsx$2 = true
      } else if ($m_Lorg_yaml_lexer_YamlCharRules$().isWordChar__I__Z(this.input$1.lookAhead__I__I(1))) {
        const s = this.saveState__T3();
        this.indicator__I__Z(33);
        const this$1 = this.input$1;
        while (true) {
          const v1 = this$1.state$1.current$1;
          if ($m_Lorg_yaml_lexer_YamlCharRules$().isWordChar__I__Z(v1)) {
            this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
          } else {
            break
          }
        };
        const result = (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1) && this.indicator__I__Z(33));
        if ((!result)) {
          this.restoreState__T3__V(s)
        };
        jsx$2 = result
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        jsx$1 = true
      } else {
        jsx$1 = this.indicator__I__Z(33)
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndHandle$1)
    } else {
      return false
    }
  };
  directiveDocument__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if ((this$1.state$1.current$1 === 37)) {
      const f = (function($this) {
        return (function() {
          return $this.directive__p2__Z()
        })
      })(this);
      let s = this.saveState__T3();
      const result = (!(!f()));
      if (result) {
        while (true) {
          s = this.saveState__T3();
          const this$2 = this.input$1;
          if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
            /*<skip>*/
          } else {
            break
          }
        }
      };
      this.restoreState__T3__V(s);
      jsx$1 = result
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.explicitDocument__p2__Z()
    } else {
      return false
    }
  };
  flowPairEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    const b1 = this.implicitYamlKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_FlowKey$());
    const result = (b1 && this.flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if ((result || this.flowMapEmptyKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = (this.implicitJsonKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_FlowKey$()) && this.flowMapAdjacentValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  separateInLine__p2__Z() {
    const n = this.countWhiteSpaces__I__I(0);
    if (((n > 0) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1))) {
      return true
    } else {
      const this$1 = this.input$1;
      return (this$1.state$1.column$1 === 0)
    }
  };
  separateFlow__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    let jsx$1;
    if (result) {
      jsx$1 = true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = (this.multilineComment__Z() && this.flowLinePrefix__p2__Z());
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      jsx$1 = result$1
    };
    if (jsx$1) {
      return true
    } else {
      return this.separateInLine__p2__Z()
    }
  };
  literalScalar__I__Z(n) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === 124)) {
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
      this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
      const x1 = this.blockHeader__I__T2(n);
      if ((x1 === null)) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const m = x1.$$und1$mcI$sp__I();
      const t = x1.$$und2$mcC$sp__C();
      return this.literalContent__I__C__Z(((n + m) | 0), t)
    } else {
      return false
    }
  };
  commentText__Z() {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 !== 35)) {
      return false
    };
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginComment$1);
    this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
    while (true) {
      const this$3 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const this$2 = this.input$1;
      const c = this$2.state$1.current$1;
      if ((!this$3.isBreakOrEof__I__Z(c))) {
        const this$4 = this.input$1;
        this$4.state$1.consume__jl_CharSequence__I__V(this$4.data$1, this$4.endOffset$1)
      } else {
        break
      }
    };
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1);
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndComment$1);
    return this.breakComment__Z()
  };
  flowMapExplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const this$1 = this.input$1;
    let jsx$1;
    if ((this$1.state$1.current$1 === 44)) {
      jsx$1 = true
    } else {
      const this$2 = this.input$1;
      jsx$1 = (this$2.state$1.current$1 === 125)
    };
    if (((jsx$1 && this.emptyNode__p2__Z()) && this.emptyNode__p2__Z())) {
      return true
    } else {
      return this.flowMapImplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)
    }
  };
  flowSequenceEntry__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = ((((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.emit__Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1, $m_Lorg_yaml_lexer_YamlToken$().BeginPair$1)) && this.flowPair__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndPair$1, $m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if (result) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const result$1 = ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  flowMapEmptyKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    const result = (this.emptyNode__p2__Z() && this.flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  blockNode__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    const result = this.blockInBlock__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if (result) {
      return true
    } else {
      const s$1 = this.saveState__T3();
      const b1 = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), $m_Lorg_yaml_lexer_FlowOut$()) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1));
      const result$1 = (((b1 && this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), $m_Lorg_yaml_lexer_FlowOut$())) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)) && this.multilineComment__Z());
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      return result$1
    }
  };
  isDirectivesEnd__p2__Z() {
    const this$1 = this.input$1;
    if (((this$1.state$1.current$1 === 45) && (this.input$1.lookAhead__I__I(1) === 45))) {
      return (this.input$1.lookAhead__I__I(2) === 45)
    } else {
      return false
    }
  };
  flowJsonNode__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1)) {
      if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
        this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)
      };
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    if ((jsx$1 && this.flowJsonContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx))) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)
    } else {
      return false
    }
  };
  flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const this$1 = this.input$1;
    if (this.isPlainFirst__I__I__Lorg_yaml_lexer_YamlContext__Z(this$1.state$1.current$1, this.input$1.lookAhead__I__I(1), ctx)) {
      return this.plainScalar__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)
    } else {
      return false
    }
  };
  blockMapping__I__Z(n) {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 === 0)) {
      const m = this.detectMapStart__p2__I__I(n);
      let jsx$1;
      if (((m > 0) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1))) {
        const f = (function($this, n$1, m$1) {
          return (function() {
            return ($this.indent__I__Z(((n$1 + m$1) | 0)) && $this.blockMapEntry__I__Z(((n$1 + m$1) | 0)))
          })
        })(this, n, m);
        let s = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s = this.saveState__T3();
            const this$2 = this.input$1;
            if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s);
        jsx$1 = result
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  foldedText__p2__I__Z(n) {
    let jsx$1;
    if ((this.countSpaces__I__I__I(0, 2147483647) !== n)) {
      jsx$1 = true
    } else {
      const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const n$1 = ((1 + n) | 0);
      jsx$1 = (!jsx$2.isNsChar__I__Z(this.input$1.lookAhead__I__I(n$1)))
    };
    if ((!jsx$1)) {
      this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
      const this$1 = this.input$1;
      while (true) {
        const v1 = this$1.state$1.current$1;
        if ($m_Lorg_yaml_lexer_YamlCharRules$().isNBChar__I__Z(v1)) {
          this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
    } else {
      return false
    }
  };
  blockInBlock__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    return ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && (this.blockScalar__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) || this.blockCollection__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1))
  };
  anyDocument__p2__Z() {
    const this$1 = this.input$1;
    if (this$1.state$1.nonEof__Z()) {
      const s = this.saveState__T3();
      const result = ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginDocument$1) && ((this.directiveDocument__p2__Z() || this.explicitDocument__p2__Z()) || this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z((-1), $m_Lorg_yaml_lexer_BlockIn$()))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndDocument$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  yamlStream__V() {
    while (this.documentPrefix__p2__Z()) {
      /*<skip>*/
    };
    this.anyDocument__p2__Z();
    const this$1 = this.input$2;
    let currentOffset = this$1.state$1.offset$1;
    while (true) {
      const this$2 = this.input$1;
      if (this$2.state$1.nonEof__Z()) {
        const s = this.saveState__T3();
        const f = (function($this) {
          return (function() {
            return $this.documentSuffix__p2__Z()
          })
        })(this);
        let s$1 = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s$1 = this.saveState__T3();
            const this$3 = this.input$1;
            if ((this$3.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s$1);
        let jsx$1;
        if (result) {
          let s$2 = this.saveState__T3();
          while (true) {
            const this$4 = this.input$1;
            if ((this$4.state$1.nonEof__Z() && this.documentPrefix__p2__Z())) {
              s$2 = this.saveState__T3()
            } else {
              break
            }
          };
          this.restoreState__T3__V(s$2);
          jsx$1 = true
        } else {
          jsx$1 = false
        };
        let result$1;
        if (jsx$1) {
          this.anyDocument__p2__Z();
          result$1 = true
        } else {
          result$1 = false
        };
        if ((!result$1)) {
          this.restoreState__T3__V(s)
        };
        if ((!result$1)) {
          const s$3 = this.saveState__T3();
          let s$4 = this.saveState__T3();
          while (true) {
            const this$5 = this.input$1;
            if ((this$5.state$1.nonEof__Z() && this.documentPrefix__p2__Z())) {
              s$4 = this.saveState__T3()
            } else {
              break
            }
          };
          this.restoreState__T3__V(s$4);
          const result$2 = ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginDocument$1) && this.explicitDocument__p2__Z()) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndDocument$1));
          if ((!result$2)) {
            this.restoreState__T3__V(s$3)
          }
        };
        const this$6 = this.input$2;
        if ((this$6.state$1.offset$1 === currentOffset)) {
          const this$7 = this.input$1;
          while (true) {
            const v1 = this$7.state$1.current$1;
            if ((v1 !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)) {
              this$7.state$1.consume__jl_CharSequence__I__V(this$7.data$1, this$7.endOffset$1)
            } else {
              break
            }
          };
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
        };
        const this$8 = this.input$2;
        currentOffset = this$8.state$1.offset$1
      } else {
        break
      }
    };
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndStream$1)
  };
  compactMapping__I__Z(n) {
    let jsx$1;
    if ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1) && this.blockMapEntry__I__Z(n))) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.indent__I__Z(n) && this.blockMapEntry__I__Z(n)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndMapping$1)
    } else {
      return false
    }
  };
  countWhiteSpaces__I__I(offset) {
    let i = 0;
    while (true) {
      const v1 = i;
      const jsx$1 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const n = ((v1 + offset) | 0);
      if (jsx$1.isWhite__I__Z(this.input$1.lookAhead__I__I(n))) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    return i
  };
  mapImplicitEntry__I__Z(n) {
    const s = this.saveState__T3();
    const s$1 = this.saveState__T3();
    const result = this.implicitJsonKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_BlockKey$());
    if ((!result)) {
      this.restoreState__T3__V(s$1)
    };
    let jsx$1;
    if (result) {
      jsx$1 = true
    } else {
      const s$2 = this.saveState__T3();
      const result$1 = this.implicitYamlKey__Lorg_yaml_lexer_YamlContext__Z($m_Lorg_yaml_lexer_BlockKey$());
      if ((!result$1)) {
        this.restoreState__T3__V(s$2)
      };
      jsx$1 = result$1
    };
    let result$2;
    if ((jsx$1 || this.emptyNode__p2__Z())) {
      result$2 = this.mapImplicitValue__I__Z(n)
    } else {
      result$2 = false
    };
    if ((!result$2)) {
      this.restoreState__T3__V(s)
    };
    return result$2
  };
  lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z(t) {
    const n = this.lineBreakSequence__I__I(0);
    return ((n !== 0) && (this.input$1.consume__I__V(n), this.emit__Lorg_mulesoft_lexer_Token__Z(t)))
  };
  isInvalid$1__p2__I__Z(chr) {
    return (((chr !== 93) && (chr !== 44)) && (chr !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1))
  };
  linePrefix__p2__I__Z__Z__Z(n, flow, emptyLine) {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 === 0)) {
      if ((this.isDirectivesEnd__p2__Z() || this.isDocumentEnd__p2__Z())) {
        return false
      };
      const spaces = this.countSpaces__I__I__I(0, n);
      if (((!emptyLine) && (spaces < n))) {
        return false
      };
      const whiteSpaces = (flow ? this.countWhiteSpaces__I__I(spaces) : 0);
      let jsx$1;
      if (emptyLine) {
        const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const n$1 = ((spaces + whiteSpaces) | 0);
        jsx$1 = (!jsx$2.isBBreak__I__Z(this.input$1.lookAhead__I__I(n$1)))
      } else {
        jsx$1 = false
      };
      if ((!jsx$1)) {
        this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(spaces, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
        return this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(whiteSpaces, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  nameOrParameter$1__p2__Z() {
    const jsx$1 = $m_Lorg_yaml_lexer_YamlCharRules$();
    const this$1 = this.input$1;
    if (jsx$1.isNsChar__I__Z(this$1.state$1.current$1)) {
      while (true) {
        const this$2 = this.input$1;
        this$2.state$1.consume__jl_CharSequence__I__V(this$2.data$1, this$2.endOffset$1);
        const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const this$3 = this.input$1;
        if (jsx$2.isNsChar__I__Z(this$3.state$1.current$1)) {
          /*<skip>*/
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
    } else {
      return false
    }
  };
  error__Z() {
    const this$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
    const this$1 = this.input$1;
    const c = this$1.state$1.current$1;
    if (this$2.isBreakOrEof__I__Z(c)) {
      return true
    } else {
      while (true) {
        const this$3 = this.input$1;
        this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1);
        const this$5 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const this$4 = this.input$1;
        const c$1 = this$4.state$1.current$1;
        if ((!this$5.isBreakOrEof__I__Z(c$1))) {
          /*<skip>*/
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
    }
  };
  flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const this$1 = this.input$1;
    if ((((this$1.state$1.current$1 === 58) && (!this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(1), c))) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
      const s = this.saveState__T3();
      this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1);
      const result = (this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.emptyNode__p2__Z()
      }
    } else {
      return false
    }
  };
  plainInLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    while (true) {
      const spaces = this.countWhiteSpaces__I__I(0);
      let jsx$1;
      if (this.isPlainChar__I__Lorg_yaml_lexer_YamlContext__Z(spaces, ctx)) {
        const n = ((1 + spaces) | 0);
        this.input$1.consume__I__V(n);
        jsx$1 = true
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        /*<skip>*/
      } else {
        break
      }
    };
    return true
  };
  spacedText__p2__I__Z(n) {
    const m = this.countSpaces__I__I__I(0, 2147483647);
    if ((!((m < n) || ((m === n) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isWhite__I__Z(this.input$1.lookAhead__I__I(n))))))) {
      this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
      const this$1 = this.input$1;
      while (true) {
        const v1 = this$1.state$1.current$1;
        if ($m_Lorg_yaml_lexer_YamlCharRules$().isNBChar__I__Z(v1)) {
          this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
        } else {
          break
        }
      };
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
    } else {
      return false
    }
  };
  inFlow__p2__Lorg_yaml_lexer_YamlContext__Lorg_yaml_lexer_YamlContext(ctx) {
    const x$2 = $m_Lorg_yaml_lexer_BlockKey$();
    let jsx$1;
    if (((ctx !== null) && (ctx === x$2))) {
      jsx$1 = true
    } else {
      const x$4 = $m_Lorg_yaml_lexer_FlowKey$();
      jsx$1 = ((ctx !== null) && (ctx === x$4))
    };
    if (jsx$1) {
      return $m_Lorg_yaml_lexer_FlowKey$()
    } else {
      return $m_Lorg_yaml_lexer_FlowIn$()
    }
  };
  indentLess__I__Z(n) {
    const m = this.countSpaces__I__I__I(0, 2147483647);
    return ((m < n) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(m, $m_Lorg_yaml_lexer_YamlToken$().Indent$1))
  };
  literalContent__I__C__Z(n, t) {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.literalContentLine__p2__I__Z(n)) {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1) && this.literalContentLine__p2__I__Z(n)))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    let result;
    if (jsx$1) {
      result = this.chompedLast__C__Z(t)
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if ((!result)) {
      if ((t === 45)) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
      }
    };
    return this.chompedEmpty__I__C__Z(n, t)
  };
  detectMapStart__p2__I__I(n) {
    const spaces = this.countSpaces__I__I__I(0, 2147483647);
    return ((((spaces > n) && (this.input$1.lookAhead__I__I(spaces) === 63)) || this.lineContainsMapIndicator__Z()) ? ((spaces - n) | 0) : 0)
  };
  flowMapImplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    const b1 = (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.flowYamlNode__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
    let result$1;
    if ((b1 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1))) {
      const s$1 = this.saveState__T3();
      const result = ((this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c), true) && this.flowMapSeparateValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      if (result) {
        result$1 = true
      } else {
        result$1 = this.emptyNode__p2__Z()
      }
    } else {
      result$1 = false
    };
    if ((!result$1)) {
      this.restoreState__T3__V(s)
    };
    if ((result$1 || this.flowMapEmptyKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) {
      return true
    } else {
      return this.flowMapJsonKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)
    }
  };
  detectSequenceStart__p2__I__I(n) {
    const spaces = this.countSpaces__I__I__I(0, 2147483647);
    let jsx$1;
    if (((spaces > n) && (this.input$1.lookAhead__I__I(spaces) === 45))) {
      const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const n$1 = ((1 + spaces) | 0);
      jsx$1 = (!jsx$2.isNsChar__I__Z(this.input$1.lookAhead__I__I(n$1)))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return ((spaces - n) | 0)
    } else {
      return 0
    }
  };
  blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const m = ((this.detectSequenceStart__p2__I__I(n) + n) | 0);
    let jsx$2;
    if ((m > 0)) {
      const s = this.saveState__T3();
      const result = (((this.indent__I__Z(m) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1)) && this.compactSequence__p2__I__Z(((((1 + n) | 0) + m) | 0))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      jsx$2 = result
    } else {
      jsx$2 = false
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = true
    } else {
      const m$2 = ((this.detectMapStart__p2__I__I(n) + n) | 0);
      if ((m$2 > 0)) {
        const s$1 = this.saveState__T3();
        const result$1 = (((this.indent__I__Z(m$2) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1)) && this.compactMapping__I__Z(((((1 + n) | 0) + m$2) | 0))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
        if ((!result$1)) {
          this.restoreState__T3__V(s$1)
        };
        jsx$1 = result$1
      } else {
        jsx$1 = false
      }
    };
    if (jsx$1) {
      return true
    } else if (this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
      return true
    } else {
      const s$2 = this.saveState__T3();
      const result$2 = (this.emptyNode__p2__Z() && this.multilineComment__Z());
      if ((!result$2)) {
        this.restoreState__T3__V(s$2)
      };
      return result$2
    }
  };
  flowYamlNode__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    if ((this.aliasNode__p2__Z() || this.flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) {
      return true
    } else if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) {
      const s = this.saveState__T3();
      const result = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.emptyScalar__Z()
      }
    } else {
      return false
    }
  };
  documentSuffix__p2__Z() {
    if (this.isDocumentEnd__p2__Z()) {
      const s = this.saveState__T3();
      const result = (this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(3, $m_Lorg_yaml_lexer_YamlToken$().DocumentEnd$1) && this.multilineComment__Z());
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  indent__I__Z(n) {
    return ((n <= 0) || ((n === this.countSpaces__I__I__I(0, n)) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(n, $m_Lorg_yaml_lexer_YamlToken$().Indent$1)))
  };
  quotedScalar__p2__I__Lorg_yaml_lexer_YamlContext__C__Z(n, c, quoteChar) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === quoteChar)) {
      let elem$1 = false;
      elem$1 = false;
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
      this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
      let done = false;
      while ((!done)) {
        const this$3 = this.input$1;
        const x1 = this$3.state$1.current$1;
        if (((x1 === 34) && (quoteChar === 34))) {
          done = true
        } else if (((x1 === 39) && (quoteChar === 39))) {
          if ((this.input$1.lookAhead__I__I(1) !== 39)) {
            done = true
          } else {
            if (elem$1) {
              this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
              elem$1 = false
            };
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginEscape$1);
            this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
            this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1);
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndEscape$1)
          }
        } else if (((x1 === 13) || (x1 === 10))) {
          const x$2 = $m_Lorg_yaml_lexer_BlockKey$();
          let jsx$1;
          if ((!((c !== null) && (c === x$2)))) {
            const x$4 = $m_Lorg_yaml_lexer_FlowKey$();
            jsx$1 = (!((c !== null) && (c === x$4)))
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            if (elem$1) {
              this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
              elem$1 = false
            };
            const s = this.saveState__T3();
            const result = (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1) && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
            if ((!result)) {
              this.restoreState__T3__V(s)
            };
            if ((!result)) {
              this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().LineFold$1)
            };
            this.indent__I__Z(n);
            this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(this.countWhiteSpaces__I__I(0), $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
          } else {
            elem$1 = false;
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1);
            done = true
          }
        } else if (((x1 === 92) && (quoteChar === 34))) {
          if (elem$1) {
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
            elem$1 = false
          };
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginEscape$1);
          this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
          const this$4 = this.input$1;
          const nl = (this$4.state$1.current$1 === 10);
          if (nl) {
            this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)
          } else {
            const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
            const this$5 = this.input$1;
            const x1$2 = jsx$2.escapeSeq__I__I(this$5.state$1.current$1);
            switch (x1$2) {
              case (-1): {
                this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1);
                break
              }
              case 120: {
                this.processHexa$1__p2__I__Z(2);
                break
              }
              case 117: {
                this.processHexa$1__p2__I__Z(4);
                break
              }
              case 85: {
                this.processHexa$1__p2__I__Z(8);
                break
              }
              default: {
                this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
              }
            }
          };
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndEscape$1);
          if (nl) {
            this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(this.countWhiteSpaces__I__I(0), $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
          }
        } else if (((x1 === 32) || (x1 === 9))) {
          const spaces = this.countWhiteSpaces__I__I(0);
          if ($m_Lorg_yaml_lexer_YamlCharRules$().isBBreak__I__Z(this.input$1.lookAhead__I__I(spaces))) {
            if (elem$1) {
              this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
              elem$1 = false
            };
            this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(spaces, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
          } else {
            elem$1 = true;
            this.input$1.consume__I__V(spaces)
          }
        } else if (($m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1 === x1)) {
          this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1);
          done = true
        } else {
          elem$1 = true;
          const this$6 = this.input$1;
          this$6.state$1.consume__jl_CharSequence__I__V(this$6.data$1, this$6.endOffset$1)
        }
      };
      if (elem$1) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1);
        elem$1 = false
      };
      this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
    } else {
      return false
    }
  };
  flowSequence__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === 91)) {
      const s = this.saveState__T3();
      let jsx$1;
      if ((((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx), true)) && (this.flowSequenceEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, this.inFlow__p2__Lorg_yaml_lexer_YamlContext__Lorg_yaml_lexer_YamlContext(ctx)), true))) {
        const this$2 = this.input$1;
        jsx$1 = (this$2.state$1.current$1 === 93)
      } else {
        jsx$1 = false
      };
      let result;
      if ((jsx$1 && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
        result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndSequence$1)
      } else {
        result = false
      };
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  isNsAnchorChar__p2__I__Z(c) {
    return ($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(c) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isFlowIndicator__I__Z(c)))
  };
  separate__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const x = $m_Lorg_yaml_lexer_FlowKey$();
    let jsx$1;
    if ((x === ctx)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_lexer_BlockKey$();
      jsx$1 = (x$3 === ctx)
    };
    if (jsx$1) {
      return this.separateInLine__p2__Z()
    } else {
      const s = this.saveState__T3();
      const result = (this.multilineComment__Z() && this.linePrefix__p2__I__Z__Z__Z(n, true, false));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.separateInLine__p2__Z()
      }
    }
  };
  aliasNode__p2__Z() {
    const this$1 = this.input$1;
    if ((((((this$1.state$1.current$1 === 42) && this.isNsAnchorChar__p2__I__Z(this.input$1.lookAhead__I__I(1))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginAlias$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && this.anchorName__p2__Z())) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndAlias$1)
    } else {
      return false
    }
  };
  tagProperty__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if (((this$1.state$1.current$1 === 33) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginTag$1))) {
      let jsx$2;
      if (((this.input$1.lookAhead__I__I(1) === 32) && this.indicator__I__Z(33))) {
        jsx$2 = true
      } else {
        const s = this.saveState__T3();
        let jsx$3;
        if ((this.indicator__I__Z(33) && this.indicator__I__Z(60))) {
          const f = (function($this) {
            return (function() {
              return $this.uriChar__p2__Z()
            })
          })(this);
          let s$1 = this.saveState__T3();
          const result = (!(!f()));
          if (result) {
            while (true) {
              s$1 = this.saveState__T3();
              const this$2 = this.input$1;
              if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
                /*<skip>*/
              } else {
                break
              }
            }
          };
          this.restoreState__T3__V(s$1);
          jsx$3 = result
        } else {
          jsx$3 = false
        };
        let result$1;
        if ((jsx$3 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1))) {
          result$1 = this.indicator__I__Z(62)
        } else {
          result$1 = false
        };
        if ((!result$1)) {
          this.restoreState__T3__V(s)
        };
        jsx$2 = result$1
      };
      if (jsx$2) {
        jsx$1 = true
      } else {
        const s$2 = this.saveState__T3();
        let result$3;
        if (this.tagHandle__p2__Z()) {
          const s$3 = this.saveState__T3();
          let result$2;
          if (this.tagChar__p2__Z()) {
            while (this.tagChar__p2__Z()) {
              /*<skip>*/
            };
            result$2 = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
          } else {
            result$2 = false
          };
          if ((!result$2)) {
            this.restoreState__T3__V(s$3)
          };
          if (result$2) {
            result$3 = true
          } else {
            result$3 = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
          }
        } else {
          result$3 = false
        };
        if ((!result$3)) {
          this.restoreState__T3__V(s$2)
        };
        jsx$1 = result$3
      }
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndTag$1)
    } else {
      return false
    }
  };
  flowMapAdjacentValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    if (this.indicator__I__Z(58)) {
      const s = this.saveState__T3();
      this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1);
      const result = (this.flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1));
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      if (result) {
        return true
      } else {
        return this.emptyNode__p2__Z()
      }
    } else {
      return false
    }
  };
  multilineComment__Z() {
    const this$1 = this.input$1;
    if (((this$1.state$1.column$1 === 0) || this.spaceBreakComment__Z())) {
      let s = this.saveState__T3();
      while (true) {
        const this$2 = this.input$1;
        if ((this$2.state$1.nonEof__Z() && this.lineComment__Z())) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  spacedLines__p2__I__Z(n) {
    const b = this.spacedText__p2__I__Z(n);
    if (b) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        let jsx$1;
        if (this$1.state$1.nonEof__Z()) {
          let jsx$2;
          if (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1)) {
            let s$1 = this.saveState__T3();
            while (true) {
              const this$2 = this.input$1;
              if ((this$2.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
                s$1 = this.saveState__T3()
              } else {
                break
              }
            };
            this.restoreState__T3__V(s$1);
            jsx$2 = true
          } else {
            jsx$2 = false
          };
          if (jsx$2) {
            jsx$1 = this.spacedText__p2__I__Z(n)
          } else {
            jsx$1 = false
          }
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  mapImplicitValue__I__Z(n) {
    if (this.indicator__I__Z(58)) {
      if (this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockOut$())) {
        return true
      } else if (this.emptyNode__p2__Z()) {
        const s = this.saveState__T3();
        const result = this.multilineComment__Z();
        if ((!result)) {
          this.restoreState__T3__V(s)
        };
        if (result) {
          return true
        } else {
          const s$1 = this.saveState__T3();
          const result$1 = (this.error__Z() && this.multilineComment__Z());
          if ((!result$1)) {
            this.restoreState__T3__V(s$1)
          };
          return result$1
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  flowMapEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    _flowMapEntries: while (true) {
      const this$1 = this.input$1;
      if ((this$1.state$1.current$1 !== 125)) {
        if (this.flowMapEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
          this.separateFlow__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
          if (this.indicator__I__Z(44)) {
            this.separateFlow__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
            continue _flowMapEntries
          } else {
            return false
          }
        } else {
          return false
        }
      } else {
        return false
      }
    }
  };
  sameLines__p2__I__Z(n) {
    if (this.nonEndOfDocument__p2__Z()) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      const s$1 = this.saveState__T3();
      const result = this.foldedLines__p2__I__Z(n);
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      if (result) {
        return true
      } else {
        const s$2 = this.saveState__T3();
        const result$1 = this.spacedLines__p2__I__Z(n);
        if ((!result$1)) {
          this.restoreState__T3__V(s$2)
        };
        return result$1
      }
    } else {
      return false
    }
  };
  plainChar__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    const result = this.isPlainChar__I__Lorg_yaml_lexer_YamlContext__Z(0, ctx);
    if (result) {
      const this$1 = this.input$1;
      this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
    };
    return result
  };
  countSpaces__I__I__I(offset, max) {
    let i = 0;
    while (true) {
      const v1 = i;
      const n = ((offset + v1) | 0);
      if (((this.input$1.lookAhead__I__I(n) === 32) && (v1 < max))) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    return i
  };
  emptyNode__p2__Z() {
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1);
    this.emptyScalar__Z();
    return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)
  };
  foldedContent__p2__I__C__Z(n, t) {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.sameLines__p2__I__Z(n)) {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1) && this.sameLines__p2__I__Z(n)))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    let result;
    if (jsx$1) {
      result = this.chompedLast__C__Z(t)
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    if ((!result)) {
      if ((t === 45)) {
        this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1)
      }
    };
    return this.chompedEmpty__I__C__Z(n, t)
  };
  indentLessOrEqual__I__Z(n) {
    const m = this.countSpaces__I__I__I(0, 2147483647);
    return ((m <= n) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(m, $m_Lorg_yaml_lexer_YamlToken$().Indent$1))
  };
  reservedDirective__p2__Z() {
    if (this.nameOrParameter$1__p2__Z()) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.separateInLine__p2__Z() && this.nameOrParameter$1__p2__Z()))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  uriChar__p2__Z() {
    const jsx$2 = $m_sjsr_RuntimeString$();
    const this$1 = this.input$1;
    let jsx$1;
    if ((jsx$2.indexOf__T__I__I("#;/?:@&=+$,_.!~*'()[]", this$1.state$1.current$1) !== (-1))) {
      jsx$1 = true
    } else {
      const jsx$3 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const this$2 = this.input$1;
      jsx$1 = jsx$3.isWordChar__I__Z(this$2.state$1.current$1)
    };
    if (jsx$1) {
      const this$3 = this.input$1;
      this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1);
      return true
    } else {
      const this$4 = this.input$1;
      let jsx$5;
      if ((this$4.state$1.current$1 === 37)) {
        const c = this.input$1.lookAhead__I__I(1);
        jsx$5 = ((((c >= 48) && (c <= 57)) || ((c >= 65) && (c <= 70))) || ((c >= 97) && (c <= 102)))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const c$1 = this.input$1.lookAhead__I__I(2);
        jsx$4 = ((((c$1 >= 48) && (c$1 <= 57)) || ((c$1 >= 65) && (c$1 <= 70))) || ((c$1 >= 97) && (c$1 <= 102)))
      } else {
        jsx$4 = false
      };
      if (jsx$4) {
        this.input$1.consume__I__V(3);
        return true
      } else {
        return false
      }
    }
  };
  flowMapEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    return ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginPair$1) && (((this.indicator__I__Z(63) && this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) && this.flowMapExplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) || this.flowMapImplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndPair$1))
  };
  plainFirst__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    const this$1 = this.input$1;
    const chr = this$1.state$1.current$1;
    const result = (($m_Lorg_yaml_lexer_YamlCharRules$().isNsChar__I__Z(chr) && (!$m_Lorg_yaml_lexer_YamlCharRules$().isIndicator__I__Z(chr))) || ((((chr === 45) || (chr === 58)) || (chr === 63)) && this.isPlainSafe__p2__I__Lorg_yaml_lexer_YamlContext__Z(this.input$1.lookAhead__I__I(1), ctx)));
    if (result) {
      const this$2 = this.input$1;
      this$2.state$1.consume__jl_CharSequence__I__V(this$2.data$1, this$2.endOffset$1)
    };
    return result
  };
  blockSequence__I__Z(n) {
    const this$1 = this.input$1;
    if ((this$1.state$1.column$1 === 0)) {
      const m = this.detectSequenceStart__p2__I__I(n);
      let jsx$1;
      if (((m > 0) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1))) {
        const f = (function($this, n$1, m$1) {
          return (function() {
            const b1 = $this.indent__I__Z(((n$1 + m$1) | 0));
            return (b1 && $this.blockSeqEntry__p2__I__Z(((n$1 + m$1) | 0)))
          })
        })(this, n, m);
        let s = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s = this.saveState__T3();
            const this$2 = this.input$1;
            if ((this$2.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s);
        jsx$1 = result
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndSequence$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  flowPair__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    return (((this.indicator__I__Z(63) && this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) && this.flowMapExplicitEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) || this.flowPairEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c))
  };
  chompedLast__C__Z(t) {
    const this$1 = this.input$1;
    if (((this$1.state$1.current$1 === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1) || ((t !== 45) && this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineFeed$1)))) {
      return true
    } else {
      return (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1) && this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1))
    }
  };
  flowLinePrefix__p2__Z() {
    if ((this.isDirectivesEnd__p2__Z() || this.isDocumentEnd__p2__Z())) {
      return false
    };
    const spaces = this.countSpaces__I__I__I(0, 2147483647);
    const whiteSpaces = this.countWhiteSpaces__I__I(spaces);
    this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(spaces, $m_Lorg_yaml_lexer_YamlToken$().Indent$1);
    return this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(whiteSpaces, $m_Lorg_yaml_lexer_YamlToken$().WhiteSpace$1)
  };
  plainMultiline__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    if (this.plainOneLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx)) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        let jsx$1;
        if (this$1.state$1.nonEof__Z()) {
          const b1 = this.flowFolded__p2__I__Z(n);
          if (b1) {
            const b2 = this.plainChar__p2__Lorg_yaml_lexer_YamlContext__Z(ctx);
            if (b2) {
              const b3 = this.plainInLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx);
              if (b3) {
                this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1)
              };
              jsx$1 = b3
            } else {
              jsx$1 = false
            }
          } else {
            jsx$1 = false
          }
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      return true
    } else {
      return false
    }
  };
  compactSequence__p2__I__Z(n) {
    let jsx$1;
    if ((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginSequence$1) && this.blockSeqEntry__p2__I__Z(n))) {
      let s = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && (this.indent__I__Z(n) && this.blockSeqEntry__p2__I__Z(n)))) {
          s = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s);
      jsx$1 = true
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndSequence$1)
    } else {
      return false
    }
  };
  chompingIndicator$1__p2__C() {
    const this$1 = this.input$1;
    const x1 = this$1.state$1.current$1;
    switch (x1) {
      case 43: {
        this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
        return 43;
        break
      }
      case 45: {
        this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
        return 45;
        break
      }
      default: {
        return 32
      }
    }
  };
  breakComment__Z() {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)) {
      return true
    } else {
      return this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)
    }
  };
  spaceBreakComment__Z() {
    return (this.breakComment__Z() || this.lineComment__Z())
  };
  directive__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if ((((this$1.state$1.current$1 === 37) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginDirective$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
      const s = this.saveState__T3();
      const result = this.yamlDirective__p2__Z();
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      let jsx$2;
      if (result) {
        jsx$2 = true
      } else {
        const s$1 = this.saveState__T3();
        const result$1 = this.tagDirective__p2__Z();
        if ((!result$1)) {
          this.restoreState__T3__V(s$1)
        };
        jsx$2 = result$1
      };
      if (jsx$2) {
        jsx$1 = true
      } else {
        const s$2 = this.saveState__T3();
        const result$2 = this.reservedDirective__p2__Z();
        if ((!result$2)) {
          this.restoreState__T3__V(s$2)
        };
        jsx$1 = result$2
      }
    } else {
      jsx$1 = false
    };
    if ((jsx$1 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndDirective$1))) {
      return this.multilineComment__Z()
    } else {
      return false
    }
  };
  mapExplicitEntry__I__Z(n) {
    const b = this.indicator__I__Z(63);
    if ((b && this.blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockOut$()))) {
      const s = this.saveState__T3();
      const result = (this.mapExplicitValue__I__Z(n) || this.emptyNode__p2__Z());
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  plainScalar__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1);
    const x = $m_Lorg_yaml_lexer_FlowKey$();
    let jsx$1;
    if ((x === ctx)) {
      jsx$1 = true
    } else {
      const x$3 = $m_Lorg_yaml_lexer_BlockKey$();
      jsx$1 = (x$3 === ctx)
    };
    if (jsx$1) {
      this.plainOneLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx)
    } else {
      this.plainMultiline__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)
    };
    const result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndScalar$1);
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  documentPrefix__p2__Z() {
    const this$1 = this.input$1;
    if (this$1.state$1.nonEof__Z()) {
      const this$2 = this.input$1;
      let jsx$2;
      if (((this$2.state$1.current$1 === 65279) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Bom$1))) {
        if (this.breakComment__Z()) {
          /*<skip>*/
        } else {
          this.commentText__Z()
        };
        jsx$2 = true
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        let s = this.saveState__T3();
        while (true) {
          const this$3 = this.input$1;
          if ((this$3.state$1.nonEof__Z() && this.lineComment__Z())) {
            s = this.saveState__T3()
          } else {
            break
          }
        };
        this.restoreState__T3__V(s);
        jsx$1 = true
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return true
      } else {
        const f = (function(this$2$1) {
          return (function() {
            return this$2$1.lineComment__Z()
          })
        })(this);
        let s$1 = this.saveState__T3();
        const result = (!(!f()));
        if (result) {
          while (true) {
            s$1 = this.saveState__T3();
            const this$4 = this.input$1;
            if ((this$4.state$1.nonEof__Z() && (!(!f())))) {
              /*<skip>*/
            } else {
              break
            }
          }
        };
        this.restoreState__T3__V(s$1);
        return result
      }
    } else {
      return false
    }
  };
  implicitYamlKey__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    return (((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginNode$1) && this.flowYamlNode__I__Lorg_yaml_lexer_YamlContext__Z(0, ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndNode$1)) && (this.separateInLine__p2__Z(), true))
  };
  blockHeader__I__T2(n) {
    let t = this.chompingIndicator$1__p2__C();
    const this$1 = this.input$1;
    const c = this$1.state$1.current$1;
    let m = (((!((c >= 48) && (c <= 57))) || (c === 48)) ? (-1) : (this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1), (((-48) + c) | 0)));
    if ((t === 32)) {
      t = this.chompingIndicator$1__p2__C()
    };
    if ((!this.spaceBreakComment__Z())) {
      this.error__Z();
      this.breakComment__Z()
    };
    if ((m === (-1))) {
      const s = this.saveState__T3();
      let s$1 = this.saveState__T3();
      while (true) {
        const this$3 = this.input$1;
        if ((this$3.state$1.nonEof__Z() && this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      const n1 = this.countSpaces__I__I__I(0, 2147483647);
      const that = ((n1 - n) | 0);
      m = ((that < 1) ? 1 : that);
      this.restoreState__T3__V(s)
    };
    return new $c_s_Tuple2$mcIC$sp().init___I__C(m, t)
  };
  explicitDocument__p2__Z() {
    if (this.isDirectivesEnd__p2__Z()) {
      const s = this.saveState__T3();
      this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(3, $m_Lorg_yaml_lexer_YamlToken$().DirectivesEnd$1);
      const s$1 = this.saveState__T3();
      const result = this.blockNode__I__Lorg_yaml_lexer_YamlContext__Z((-1), $m_Lorg_yaml_lexer_BlockIn$());
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      let result$2;
      if (result) {
        result$2 = true
      } else {
        const s$2 = this.saveState__T3();
        const result$1 = (this.emptyNode__p2__Z() && this.multilineComment__Z());
        if ((!result$1)) {
          this.restoreState__T3__V(s$2)
        };
        result$2 = result$1
      };
      if ((!result$2)) {
        this.restoreState__T3__V(s)
      };
      return result$2
    } else {
      return false
    }
  };
  flowNode__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    let jsx$1;
    if (this.aliasNode__p2__Z()) {
      jsx$1 = true
    } else {
      const s = this.saveState__T3();
      const result = this.flowContent__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      jsx$1 = result
    };
    if (jsx$1) {
      return true
    } else if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) {
      const s$1 = this.saveState__T3();
      const result$1 = (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c) && this.flowContent__I__Lorg_yaml_lexer_YamlContext__Z(n, c));
      if ((!result$1)) {
        this.restoreState__T3__V(s$1)
      };
      if (result$1) {
        return true
      } else {
        return this.emptyScalar__Z()
      }
    } else {
      return false
    }
  };
  lineComment__Z() {
    const s = this.saveState__T3();
    const result = (this.separateInLine__p2__Z() && (this.breakComment__Z() || this.commentText__Z()));
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  flowMapping__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const this$1 = this.input$1;
    if ((this$1.state$1.current$1 === 123)) {
      const s = this.saveState__T3();
      let jsx$1;
      if ((((this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginMapping$1) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c), true)) && (this.flowMapEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, this.inFlow__p2__Lorg_yaml_lexer_YamlContext__Lorg_yaml_lexer_YamlContext(c)), true))) {
        const this$2 = this.input$1;
        jsx$1 = (this$2.state$1.current$1 === 125)
      } else {
        jsx$1 = false
      };
      let result;
      if (((jsx$1 && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndMapping$1))) {
        this.separateInLine__p2__Z();
        result = true
      } else {
        result = false
      };
      if ((!result)) {
        this.restoreState__T3__V(s)
      };
      return result
    } else {
      return false
    }
  };
  trailComments__I__Z(n) {
    const s = this.saveState__T3();
    let result;
    if ((this.indentLess__I__Z(n) && this.commentText__Z())) {
      let s$1 = this.saveState__T3();
      while (true) {
        const this$1 = this.input$1;
        if ((this$1.state$1.nonEof__Z() && this.lineComment__Z())) {
          s$1 = this.saveState__T3()
        } else {
          break
        }
      };
      this.restoreState__T3__V(s$1);
      result = true
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  blockSeqEntry__p2__I__Z(n) {
    return (this.indicator__I__Z(45) && this.blockIndented__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, $m_Lorg_yaml_lexer_BlockIn$()))
  };
  isDocumentEnd__p2__Z() {
    const this$1 = this.input$1;
    if (((this$1.state$1.current$1 === 46) && (this.input$1.lookAhead__I__I(1) === 46))) {
      return (this.input$1.lookAhead__I__I(2) === 46)
    } else {
      return false
    }
  };
  lineContainsMapIndicator__Z() {
    const i = new $c_sr_IntRef().init___I(0);
    let chr = 0;
    let charStack = $m_sci_Nil$();
    while (true) {
      const n = i.elem$1;
      chr = this.input$1.lookAhead__I__I(n);
      const this$2 = charStack;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
        if ((chr === (charStack.head__O() | 0))) {
          let jsx$1;
          if ((chr === 39)) {
            const n$1 = ((1 + i.elem$1) | 0);
            jsx$1 = (this.input$1.lookAhead__I__I(n$1) === 39)
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            i.elem$1 = ((1 + i.elem$1) | 0)
          } else {
            let jsx$2;
            if ((chr !== 34)) {
              jsx$2 = true
            } else {
              const n$2 = (((-1) + i.elem$1) | 0);
              jsx$2 = (this.input$1.lookAhead__I__I(n$2) !== 92)
            };
            if (jsx$2) {
              charStack = charStack.tail__O()
            }
          }
        }
      } else if (((chr === 34) || (chr === 39))) {
        const x$5 = chr;
        const this$3 = charStack;
        charStack = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3)
      } else if ((chr === 123)) {
        const this$4 = charStack;
        charStack = new $c_sci_$colon$colon().init___O__sci_List(125, this$4)
      } else if ((chr === 91)) {
        const this$5 = charStack;
        charStack = new $c_sci_$colon$colon().init___O__sci_List(93, this$5)
      } else {
        const this$6 = $m_Lorg_yaml_lexer_YamlCharRules$();
        const c1 = chr;
        const f = (function($this, i$1) {
          return (function() {
            const n$3 = ((1 + i$1.elem$1) | 0);
            return $this.input$1.lookAhead__I__I(n$3)
          })
        })(this, i);
        let jsx$3;
        if ((c1 === 58)) {
          if (this$6.isWhite__I__Z((f() | 0))) {
            jsx$3 = true
          } else {
            const c = (f() | 0);
            jsx$3 = this$6.isBreakOrEof__I__Z(c)
          }
        } else {
          jsx$3 = false
        };
        if (jsx$3) {
          return true
        }
      };
      i.elem$1 = ((1 + i.elem$1) | 0);
      const this$7 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const c$1 = chr;
      if ((!this$7.isBreakOrEof__I__Z(c$1))) {
        /*<skip>*/
      } else {
        break
      }
    };
    return false
  };
  blockScalar__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    let result;
    if (this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)) {
      if (this.nodeProperties__p2__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)) {
        this.separate__I__Lorg_yaml_lexer_YamlContext__Z(((1 + n) | 0), ctx)
      };
      result = (this.literalScalar__I__Z(n) || this.foldedScalar__I__Z(n))
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  flowContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    return (this.flowJsonContent__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) || this.flowYamlContent__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx))
  };
  tagPrefix__p2__Z() {
    const s = this.saveState__T3();
    let jsx$1;
    if (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginTag$1)) {
      let jsx$2;
      if (this.indicator__I__Z(33)) {
        let s$1 = this.saveState__T3();
        while (true) {
          const this$1 = this.input$1;
          if ((this$1.state$1.nonEof__Z() && this.uriChar__p2__Z())) {
            s$1 = this.saveState__T3()
          } else {
            break
          }
        };
        this.restoreState__T3__V(s$1);
        jsx$2 = true
      } else {
        jsx$2 = false
      };
      if (jsx$2) {
        jsx$1 = true
      } else if (this.tagChar__p2__Z()) {
        let s$2 = this.saveState__T3();
        while (true) {
          const this$2 = this.input$1;
          if ((this$2.state$1.nonEof__Z() && this.uriChar__p2__Z())) {
            s$2 = this.saveState__T3()
          } else {
            break
          }
        };
        this.restoreState__T3__V(s$2);
        jsx$1 = true
      } else {
        jsx$1 = false
      }
    } else {
      jsx$1 = false
    };
    let result;
    if ((jsx$1 && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1))) {
      result = this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndTag$1)
    } else {
      result = false
    };
    if ((!result)) {
      this.restoreState__T3__V(s)
    };
    return result
  };
  flowSequenceEntries__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    _flowSequenceEntries: while (true) {
      const this$1 = this.input$1;
      if ((this$1.state$1.current$1 !== 93)) {
        if (this.flowSequenceEntry__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx)) {
          this.separateFlow__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
          const this$2 = this.input$1;
          if (this.isInvalid$1__p2__I__Z(this$2.state$1.current$1)) {
            const this$3 = this.input$1;
            while (true) {
              const v1 = this$3.state$1.current$1;
              if (this.isInvalid$1__p2__I__Z(v1)) {
                this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1)
              } else {
                break
              }
            };
            this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Error$1)
          };
          const this$4 = this.input$1;
          const c = this$4.state$1.current$1;
          if (((c === 93) || (c === $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1))) {
            return true
          } else {
            this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1);
            this.separateFlow__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx);
            continue _flowSequenceEntries
          }
        } else {
          return false
        }
      } else {
        return false
      }
    }
  };
  anchorName__p2__Z() {
    const this$1 = this.input$1;
    while (true) {
      const v1 = this$1.state$1.current$1;
      if (this.isNsAnchorChar__p2__I__Z(v1)) {
        this$1.state$1.consume__jl_CharSequence__I__V(this$1.data$1, this$1.endOffset$1)
      } else {
        break
      }
    };
    return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
  };
  processHexa$1__p2__I__Z(chars) {
    return (this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1) && this.consumeAndEmit__I__Lorg_mulesoft_lexer_Token__Z(chars, (this.allHexa$1__p2__I__Z(chars) ? $m_Lorg_yaml_lexer_YamlToken$().MetaText$1 : $m_Lorg_yaml_lexer_YamlToken$().Error$1)))
  };
  init___Lorg_mulesoft_lexer_LexerInput(input) {
    this.input$2 = input;
    $c_Lorg_mulesoft_lexer_BaseLexer.prototype.init___Lorg_mulesoft_lexer_LexerInput.call(this, input);
    return this
  };
  trimmed__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, ctx) {
    const s = this.saveState__T3();
    let result$1;
    if (this.lineBreak__p2__Lorg_yaml_lexer_YamlToken__Z($m_Lorg_yaml_lexer_YamlToken$().LineBreak$1)) {
      const f = (function($this, n$1, ctx$1) {
        return (function() {
          return $this.emptyLine__I__Lorg_yaml_lexer_YamlContext__Z(n$1, ctx$1)
        })
      })(this, n, ctx);
      let s$1 = this.saveState__T3();
      const result = (!(!f()));
      if (result) {
        while (true) {
          s$1 = this.saveState__T3();
          const this$1 = this.input$1;
          if ((this$1.state$1.nonEof__Z() && (!(!f())))) {
            /*<skip>*/
          } else {
            break
          }
        }
      };
      this.restoreState__T3__V(s$1);
      result$1 = result
    } else {
      result$1 = false
    };
    if ((!result$1)) {
      this.restoreState__T3__V(s)
    };
    return result$1
  };
  tagChar__p2__Z() {
    const this$1 = this.input$1;
    let jsx$1;
    if ((this$1.state$1.current$1 !== 124)) {
      const jsx$2 = $m_Lorg_yaml_lexer_YamlCharRules$();
      const this$2 = this.input$1;
      jsx$1 = (!jsx$2.isFlowIndicator__I__Z(this$2.state$1.current$1))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.uriChar__p2__Z()
    } else {
      return false
    }
  };
  flowMapJsonKeyEntry__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c) {
    const s = this.saveState__T3();
    let result$1;
    if (this.flowJsonNode__I__Lorg_yaml_lexer_YamlContext__Z(n, c)) {
      const s$1 = this.saveState__T3();
      this.separate__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      const result = this.flowMapAdjacentValue__p2__I__Lorg_yaml_lexer_YamlContext__Z(n, c);
      if ((!result)) {
        this.restoreState__T3__V(s$1)
      };
      if (result) {
        result$1 = true
      } else {
        result$1 = this.emptyNode__p2__Z()
      }
    } else {
      result$1 = false
    };
    if ((!result$1)) {
      this.restoreState__T3__V(s)
    };
    return result$1
  };
  bc$1__p2__I__Lorg_yaml_lexer_YamlContext__Z(n$41, ctx$10) {
    if (this.multilineComment__Z()) {
      const x$2 = $m_Lorg_yaml_lexer_BlockOut$();
      if (this.blockSequence__I__Z((((ctx$10 !== null) && (ctx$10 === x$2)) ? (((-1) + n$41) | 0) : n$41))) {
        return true
      } else {
        return this.blockMapping__I__Z(n$41)
      }
    } else {
      return false
    }
  };
  plainOneLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) {
    return ((this.plainFirst__p2__Lorg_yaml_lexer_YamlContext__Z(ctx) && this.plainInLine__p2__Lorg_yaml_lexer_YamlContext__Z(ctx)) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Text$1))
  };
  tagDirective__p2__Z() {
    return (this.consume__T__Z("TAG") && (this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1), (((this.separateInLine__p2__Z() && this.tagHandle__p2__Z()) && this.separateInLine__p2__Z()) && this.tagPrefix__p2__Z())))
  };
  yamlDirective__p2__Z() {
    if (this.consume__T__Z("YAML")) {
      this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1);
      let jsx$1;
      if ((!this.separateInLine__p2__Z())) {
        jsx$1 = true
      } else {
        const this$1 = this.input$1;
        const c = this$1.state$1.current$1;
        jsx$1 = (!((c >= 48) && (c <= 57)))
      };
      if ((!jsx$1)) {
        const this$3 = this.input$1;
        while (true) {
          const v1 = this$3.state$1.current$1;
          if (((v1 >= 48) && (v1 <= 57))) {
            this$3.state$1.consume__jl_CharSequence__I__V(this$3.data$1, this$3.endOffset$1)
          } else {
            break
          }
        };
        const this$5 = this.input$1;
        let jsx$2;
        if ((this$5.state$1.current$1 !== 46)) {
          jsx$2 = true
        } else {
          const c$1 = this.input$1.lookAhead__I__I(1);
          jsx$2 = (!((c$1 >= 48) && (c$1 <= 57)))
        };
        if ((!jsx$2)) {
          const this$7 = this.input$1;
          this$7.state$1.consume__jl_CharSequence__I__V(this$7.data$1, this$7.endOffset$1);
          const this$8 = this.input$1;
          while (true) {
            const v1$1 = this$8.state$1.current$1;
            if (((v1$1 >= 48) && (v1$1 <= 57))) {
              this$8.state$1.consume__jl_CharSequence__I__V(this$8.data$1, this$8.endOffset$1)
            } else {
              break
            }
          };
          return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().MetaText$1)
        } else {
          return false
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  anchorProperty__p2__Z() {
    const this$1 = this.input$1;
    if ((((((this$1.state$1.current$1 === 38) && this.isNsAnchorChar__p2__I__Z(this.input$1.lookAhead__I__I(1))) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginAnchor$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1)) && this.anchorName__p2__Z())) {
      return this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().EndAnchor$1)
    } else {
      return false
    }
  };
  foldedScalar__I__Z(n) {
    const this$1 = this.input$1;
    if ((((this$1.state$1.current$1 === 62) && this.emit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().BeginScalar$1)) && this.consumeAndEmit__Lorg_mulesoft_lexer_Token__Z($m_Lorg_yaml_lexer_YamlToken$().Indicator$1))) {
      const x1 = this.blockHeader__I__T2(n);
      if ((x1 === null)) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const m = x1.$$und1$mcI$sp__I();
      const t = x1.$$und2$mcC$sp__C();
      return this.foldedContent__p2__I__C__Z(((n + m) | 0), t)
    } else {
      return false
    }
  };
  allHexa$1__p2__I__Z(chars) {
    let i = 0;
    while (true) {
      const v1 = i;
      const c = this.input$1.lookAhead__I__I(v1);
      if (((((c >= 48) && (c <= 57)) || ((c >= 65) && (c <= 70))) || ((c >= 97) && (c <= 102)))) {
        i = ((1 + i) | 0)
      } else {
        break
      }
    };
    const i$1 = i;
    return (i$1 >= chars)
  };
}
const $d_Lorg_yaml_lexer_YamlLexer = new $TypeData().initClass({
  Lorg_yaml_lexer_YamlLexer: 0
}, false, "org.yaml.lexer.YamlLexer", {
  Lorg_yaml_lexer_YamlLexer: 1,
  Lorg_mulesoft_lexer_BaseLexer: 1,
  O: 1,
  Lorg_mulesoft_lexer_Lexer: 1
});
$c_Lorg_yaml_lexer_YamlLexer.prototype.$classData = $d_Lorg_yaml_lexer_YamlLexer;
class $c_Lorg_yaml_model_DoubleQuoteMark$ extends $c_O {
  constructor() {
    super();
    this.encodeChar$1 = 0
  };
  init___() {
    this.encodeChar$1 = 34;
    return this
  };
  encodeChar__C() {
    return this.encodeChar$1
  };
  markText__T__T(text) {
    return $f_Lorg_yaml_model_QuotedMark__markText__T__T(this, text)
  };
  plain__Z() {
    return false
  };
}
const $d_Lorg_yaml_model_DoubleQuoteMark$ = new $TypeData().initClass({
  Lorg_yaml_model_DoubleQuoteMark$: 0
}, false, "org.yaml.model.DoubleQuoteMark$", {
  Lorg_yaml_model_DoubleQuoteMark$: 1,
  O: 1,
  Lorg_yaml_model_QuotedMark: 1,
  Lorg_yaml_model_ScalarMark: 1
});
$c_Lorg_yaml_model_DoubleQuoteMark$.prototype.$classData = $d_Lorg_yaml_model_DoubleQuoteMark$;
let $n_Lorg_yaml_model_DoubleQuoteMark$ = (void 0);
const $m_Lorg_yaml_model_DoubleQuoteMark$ = (function() {
  if ((!$n_Lorg_yaml_model_DoubleQuoteMark$)) {
    $n_Lorg_yaml_model_DoubleQuoteMark$ = new $c_Lorg_yaml_model_DoubleQuoteMark$().init___()
  };
  return $n_Lorg_yaml_model_DoubleQuoteMark$
});
class $c_Lorg_yaml_model_SingleQuoteMark$ extends $c_O {
  constructor() {
    super();
    this.encodeChar$1 = 0
  };
  init___() {
    this.encodeChar$1 = 39;
    return this
  };
  encodeChar__C() {
    return this.encodeChar$1
  };
  markText__T__T(text) {
    return $f_Lorg_yaml_model_QuotedMark__markText__T__T(this, text)
  };
  plain__Z() {
    return false
  };
}
const $d_Lorg_yaml_model_SingleQuoteMark$ = new $TypeData().initClass({
  Lorg_yaml_model_SingleQuoteMark$: 0
}, false, "org.yaml.model.SingleQuoteMark$", {
  Lorg_yaml_model_SingleQuoteMark$: 1,
  O: 1,
  Lorg_yaml_model_QuotedMark: 1,
  Lorg_yaml_model_ScalarMark: 1
});
$c_Lorg_yaml_model_SingleQuoteMark$.prototype.$classData = $d_Lorg_yaml_model_SingleQuoteMark$;
let $n_Lorg_yaml_model_SingleQuoteMark$ = (void 0);
const $m_Lorg_yaml_model_SingleQuoteMark$ = (function() {
  if ((!$n_Lorg_yaml_model_SingleQuoteMark$)) {
    $n_Lorg_yaml_model_SingleQuoteMark$ = new $c_Lorg_yaml_model_SingleQuoteMark$().init___()
  };
  return $n_Lorg_yaml_model_SingleQuoteMark$
});
class $c_Lorg_yaml_model_YAnchor extends $c_Lorg_yaml_model_YTokens {
  constructor() {
    super();
    this.name$2 = null
  };
  toString__T() {
    return ("&" + this.name$2)
  };
  init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(name, range, ts) {
    this.name$2 = name;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, ts);
    return this
  };
}
const $is_Lorg_yaml_model_YAnchor = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YAnchor)))
});
const $isArrayOf_Lorg_yaml_model_YAnchor = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YAnchor)))
});
const $d_Lorg_yaml_model_YAnchor = new $TypeData().initClass({
  Lorg_yaml_model_YAnchor: 0
}, false, "org.yaml.model.YAnchor", {
  Lorg_yaml_model_YAnchor: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YAnchor.prototype.$classData = $d_Lorg_yaml_model_YAnchor;
class $c_Lorg_yaml_model_YDocument$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_yaml_model_YDocument$WithComment(headComment) {
    return new $c_Lorg_yaml_model_YDocument$WithComment().init___T(((headComment === null) ? "" : headComment))
  };
  apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(mainNode) {
    const this$1 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    return this$1.org$yaml$model$YDocument$WithComment$$createDoc__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(mainNode)
  };
}
const $d_Lorg_yaml_model_YDocument$ = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$: 0
}, false, "org.yaml.model.YDocument$", {
  Lorg_yaml_model_YDocument$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument$.prototype.$classData = $d_Lorg_yaml_model_YDocument$;
let $n_Lorg_yaml_model_YDocument$ = (void 0);
const $m_Lorg_yaml_model_YDocument$ = (function() {
  if ((!$n_Lorg_yaml_model_YDocument$)) {
    $n_Lorg_yaml_model_YDocument$ = new $c_Lorg_yaml_model_YDocument$().init___()
  };
  return $n_Lorg_yaml_model_YDocument$
});
class $c_Lorg_yaml_model_YDocument$EntryBuilder extends $c_Lorg_yaml_model_YDocument$BaseBuilder {
  init___() {
    $c_Lorg_yaml_model_YDocument$BaseBuilder.prototype.init___.call(this);
    return this
  };
  updateDynamic__T__Lorg_yaml_model_YNode__V(name, value) {
    this.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name), value)
  };
  addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(k, v) {
    const jsx$3 = this.builder$1;
    const jsx$2 = $m_Lorg_yaml_model_YMapEntry$();
    const jsx$1 = $m_s_Predef$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([k, v]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_Lorg_yaml_model_YPart.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(jsx$2.apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(jsx$1.wrapRefArray__AO__scm_WrappedArray(array)))
  };
}
const $is_Lorg_yaml_model_YDocument$EntryBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDocument$EntryBuilder)))
});
const $isArrayOf_Lorg_yaml_model_YDocument$EntryBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDocument$EntryBuilder)))
});
const $d_Lorg_yaml_model_YDocument$EntryBuilder = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$EntryBuilder: 0
}, false, "org.yaml.model.YDocument$EntryBuilder", {
  Lorg_yaml_model_YDocument$EntryBuilder: 1,
  Lorg_yaml_model_YDocument$BaseBuilder: 1,
  O: 1,
  s_Dynamic: 1
});
$c_Lorg_yaml_model_YDocument$EntryBuilder.prototype.$classData = $d_Lorg_yaml_model_YDocument$EntryBuilder;
class $c_Lorg_yaml_model_YFail$ extends $c_O {
  init___() {
    return this
  };
  apply__Lorg_yaml_model_YNodeLike__F0__Lorg_yaml_model_YFail(node, err) {
    return new $c_Lorg_yaml_model_YFail().init___Lorg_yaml_model_YError(new $c_Lorg_yaml_model_YError().init___Lorg_yaml_model_YNodeLike__F0(node, err))
  };
}
const $d_Lorg_yaml_model_YFail$ = new $TypeData().initClass({
  Lorg_yaml_model_YFail$: 0
}, false, "org.yaml.model.YFail$", {
  Lorg_yaml_model_YFail$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YFail$.prototype.$classData = $d_Lorg_yaml_model_YFail$;
let $n_Lorg_yaml_model_YFail$ = (void 0);
const $m_Lorg_yaml_model_YFail$ = (function() {
  if ((!$n_Lorg_yaml_model_YFail$)) {
    $n_Lorg_yaml_model_YFail$ = new $c_Lorg_yaml_model_YFail$().init___()
  };
  return $n_Lorg_yaml_model_YFail$
});
class $c_Lorg_yaml_model_YIgnorable extends $c_Lorg_yaml_model_YTokens {
}
class $c_Lorg_yaml_model_YTag$ extends $c_O {
  init___() {
    return this
  };
  apply__T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq__Lorg_yaml_model_YTag(tag, range, ts) {
    return new $c_Lorg_yaml_model_YTag().init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(tag, $m_Lorg_yaml_model_YType$().apply__T__Lorg_yaml_model_YType(tag), range, ts)
  };
}
const $d_Lorg_yaml_model_YTag$ = new $TypeData().initClass({
  Lorg_yaml_model_YTag$: 0
}, false, "org.yaml.model.YTag$", {
  Lorg_yaml_model_YTag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YTag$.prototype.$classData = $d_Lorg_yaml_model_YTag$;
let $n_Lorg_yaml_model_YTag$ = (void 0);
const $m_Lorg_yaml_model_YTag$ = (function() {
  if ((!$n_Lorg_yaml_model_YTag$)) {
    $n_Lorg_yaml_model_YTag$ = new $c_Lorg_yaml_model_YTag$().init___()
  };
  return $n_Lorg_yaml_model_YTag$
});
class $c_Lorg_yaml_model_YValue extends $c_Lorg_yaml_model_YValueLike {
  constructor() {
    super();
    this.children$2 = null;
    this.range$2 = null
  };
  children__sc_IndexedSeq() {
    return this.children$2
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$2 = x$1
  };
  init___sc_IndexedSeq(children) {
    this.children$2 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$2
  };
}
const $is_Lorg_yaml_model_YValue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YValue)))
});
const $isArrayOf_Lorg_yaml_model_YValue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YValue)))
});
const $d_Lorg_yaml_model_YValue = new $TypeData().initClass({
  Lorg_yaml_model_YValue: 0
}, false, "org.yaml.model.YValue", {
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YValue.prototype.$classData = $d_Lorg_yaml_model_YValue;
const $isArrayOf_jl_Boolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Boolean)))
});
const $d_jl_Boolean = new $TypeData().initClass({
  jl_Boolean: 0
}, false, "java.lang.Boolean", {
  jl_Boolean: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "boolean")
}));
class $c_jl_Character extends $c_O {
  constructor() {
    super();
    this.value$1 = 0
  };
  equals__O__Z(that) {
    if ($is_jl_Character(that)) {
      const jsx$1 = this.value$1;
      const this$1 = that;
      return (jsx$1 === this$1.value$1)
    } else {
      return false
    }
  };
  compareTo__O__I(o) {
    const that = o;
    const x = this.value$1;
    const y = that.value$1;
    return ((x - y) | 0)
  };
  toString__T() {
    const c = this.value$1;
    return $g.String.fromCharCode(c)
  };
  init___C(value) {
    this.value$1 = value;
    return this
  };
  hashCode__I() {
    return this.value$1
  };
}
const $is_jl_Character = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Character)))
});
const $isArrayOf_jl_Character = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Character)))
});
const $d_jl_Character = new $TypeData().initClass({
  jl_Character: 0
}, false, "java.lang.Character", {
  jl_Character: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_jl_Character.prototype.$classData = $d_jl_Character;
class $c_jl_Character$ extends $c_O {
  constructor() {
    super();
    this.java$lang$Character$$charTypesFirst256$1 = null;
    this.charTypeIndices$1 = null;
    this.charTypes$1 = null;
    this.isMirroredIndices$1 = null;
    this.bitmap$0$1 = 0
  };
  toLowerCase__C__C(c) {
    const thiz = $g.String.fromCharCode(c);
    const x = thiz.toLowerCase();
    return (65535 & (x.charCodeAt(0) | 0))
  };
  init___() {
    return this
  };
  toChars__I__AC(codePoint) {
    if ((!((codePoint >= 0) && (codePoint <= 1114111)))) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    if (((codePoint >= 65536) && (codePoint <= 1114111))) {
      const dst = $newArrayObject($d_C.getArrayOf(), [2]);
      const cpPrime = (((-65536) + codePoint) | 0);
      const high = (55296 | (1023 & (cpPrime >> 10)));
      const low = (56320 | (1023 & cpPrime));
      dst.u[0] = (65535 & high);
      dst.u[1] = (65535 & low);
      return dst
    } else {
      return $m_s_Array$().apply__C__sc_Seq__AC((65535 & codePoint), new $c_sjs_js_WrappedArray().init___sjs_js_Array([]))
    }
  };
  isLetter__I__Z(cp) {
    const tpe = this.getType__I__I(cp);
    return (((((tpe === 1) || (tpe === 2)) || (tpe === 3)) || (tpe === 4)) || (tpe === 5))
  };
  getType__I__I(codePoint) {
    return ((codePoint < 0) ? 0 : ((codePoint < 256) ? this.java$lang$Character$$charTypesFirst256__AB().u[codePoint] : this.getTypeGE256__p1__I__B(codePoint)))
  };
  charTypeIndices__p1__AI() {
    return (((2 & this.bitmap$0$1) === 0) ? this.charTypeIndices$lzycompute__p1__AI() : this.charTypeIndices$1)
  };
  charTypeIndices$lzycompute__p1__AI() {
    if (((2 & this.bitmap$0$1) === 0)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([257, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 3, 2, 1, 1, 1, 2, 1, 3, 2, 4, 1, 2, 1, 3, 3, 2, 1, 2, 1, 1, 1, 1, 1, 2, 1, 1, 2, 1, 1, 2, 1, 3, 1, 1, 1, 2, 2, 1, 1, 3, 4, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 7, 2, 1, 2, 2, 1, 1, 4, 1, 1, 1, 1, 1, 1, 1, 1, 69, 1, 27, 18, 4, 12, 14, 5, 7, 1, 1, 1, 17, 112, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 3, 1, 5, 2, 1, 1, 3, 1, 1, 1, 2, 1, 17, 1, 9, 35, 1, 2, 3, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 1, 1, 1, 1, 1, 2, 2, 51, 48, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9, 38, 2, 1, 6, 1, 39, 1, 1, 1, 4, 1, 1, 45, 1, 1, 1, 2, 1, 2, 1, 1, 8, 27, 5, 3, 2, 11, 5, 1, 3, 2, 1, 2, 2, 11, 1, 2, 2, 32, 1, 10, 21, 10, 4, 2, 1, 99, 1, 1, 7, 1, 1, 6, 2, 2, 1, 4, 2, 10, 3, 2, 1, 14, 1, 1, 1, 1, 30, 27, 2, 89, 11, 1, 14, 10, 33, 9, 2, 1, 3, 1, 5, 22, 4, 1, 9, 1, 3, 1, 5, 2, 15, 1, 25, 3, 2, 1, 65, 1, 1, 11, 55, 27, 1, 3, 1, 54, 1, 1, 1, 1, 3, 8, 4, 1, 2, 1, 7, 10, 2, 2, 10, 1, 1, 6, 1, 7, 1, 1, 2, 1, 8, 2, 2, 2, 22, 1, 7, 1, 1, 3, 4, 2, 1, 1, 3, 4, 2, 2, 2, 2, 1, 1, 8, 1, 4, 2, 1, 3, 2, 2, 10, 2, 2, 6, 1, 1, 5, 2, 1, 1, 6, 4, 2, 2, 22, 1, 7, 1, 2, 1, 2, 1, 2, 2, 1, 1, 3, 2, 4, 2, 2, 3, 3, 1, 7, 4, 1, 1, 7, 10, 2, 3, 1, 11, 2, 1, 1, 9, 1, 3, 1, 22, 1, 7, 1, 2, 1, 5, 2, 1, 1, 3, 5, 1, 2, 1, 1, 2, 1, 2, 1, 15, 2, 2, 2, 10, 1, 1, 15, 1, 2, 1, 8, 2, 2, 2, 22, 1, 7, 1, 2, 1, 5, 2, 1, 1, 1, 1, 1, 4, 2, 2, 2, 2, 1, 8, 1, 1, 4, 2, 1, 3, 2, 2, 10, 1, 1, 6, 10, 1, 1, 1, 6, 3, 3, 1, 4, 3, 2, 1, 1, 1, 2, 3, 2, 3, 3, 3, 12, 4, 2, 1, 2, 3, 3, 1, 3, 1, 2, 1, 6, 1, 14, 10, 3, 6, 1, 1, 6, 3, 1, 8, 1, 3, 1, 23, 1, 10, 1, 5, 3, 1, 3, 4, 1, 3, 1, 4, 7, 2, 1, 2, 6, 2, 2, 2, 10, 8, 7, 1, 2, 2, 1, 8, 1, 3, 1, 23, 1, 10, 1, 5, 2, 1, 1, 1, 1, 5, 1, 1, 2, 1, 2, 2, 7, 2, 7, 1, 1, 2, 2, 2, 10, 1, 2, 15, 2, 1, 8, 1, 3, 1, 41, 2, 1, 3, 4, 1, 3, 1, 3, 1, 1, 8, 1, 8, 2, 2, 2, 10, 6, 3, 1, 6, 2, 2, 1, 18, 3, 24, 1, 9, 1, 1, 2, 7, 3, 1, 4, 3, 3, 1, 1, 1, 8, 18, 2, 1, 12, 48, 1, 2, 7, 4, 1, 6, 1, 8, 1, 10, 2, 37, 2, 1, 1, 2, 2, 1, 1, 2, 1, 6, 4, 1, 7, 1, 3, 1, 1, 1, 1, 2, 2, 1, 4, 1, 2, 6, 1, 2, 1, 2, 5, 1, 1, 1, 6, 2, 10, 2, 4, 32, 1, 3, 15, 1, 1, 3, 2, 6, 10, 10, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 8, 1, 36, 4, 14, 1, 5, 1, 2, 5, 11, 1, 36, 1, 8, 1, 6, 1, 2, 5, 4, 2, 37, 43, 2, 4, 1, 6, 1, 2, 2, 2, 1, 10, 6, 6, 2, 2, 4, 3, 1, 3, 2, 7, 3, 4, 13, 1, 2, 2, 6, 1, 1, 1, 10, 3, 1, 2, 38, 1, 1, 5, 1, 2, 43, 1, 1, 332, 1, 4, 2, 7, 1, 1, 1, 4, 2, 41, 1, 4, 2, 33, 1, 4, 2, 7, 1, 1, 1, 4, 2, 15, 1, 57, 1, 4, 2, 67, 2, 3, 9, 20, 3, 16, 10, 6, 85, 11, 1, 620, 2, 17, 1, 26, 1, 1, 3, 75, 3, 3, 15, 13, 1, 4, 3, 11, 18, 3, 2, 9, 18, 2, 12, 13, 1, 3, 1, 2, 12, 52, 2, 1, 7, 8, 1, 2, 11, 3, 1, 3, 1, 1, 1, 2, 10, 6, 10, 6, 6, 1, 4, 3, 1, 1, 10, 6, 35, 1, 52, 8, 41, 1, 1, 5, 70, 10, 29, 3, 3, 4, 2, 3, 4, 2, 1, 6, 3, 4, 1, 3, 2, 10, 30, 2, 5, 11, 44, 4, 17, 7, 2, 6, 10, 1, 3, 34, 23, 2, 3, 2, 2, 53, 1, 1, 1, 7, 1, 1, 1, 1, 2, 8, 6, 10, 2, 1, 10, 6, 10, 6, 7, 1, 6, 82, 4, 1, 47, 1, 1, 5, 1, 1, 5, 1, 2, 7, 4, 10, 7, 10, 9, 9, 3, 2, 1, 30, 1, 4, 2, 2, 1, 1, 2, 2, 10, 44, 1, 1, 2, 3, 1, 1, 3, 2, 8, 4, 36, 8, 8, 2, 2, 3, 5, 10, 3, 3, 10, 30, 6, 2, 64, 8, 8, 3, 1, 13, 1, 7, 4, 1, 4, 2, 1, 2, 9, 44, 63, 13, 1, 34, 37, 39, 21, 4, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 9, 8, 6, 2, 6, 2, 8, 8, 8, 8, 6, 2, 6, 2, 8, 1, 1, 1, 1, 1, 1, 1, 1, 8, 8, 14, 2, 8, 8, 8, 8, 8, 8, 5, 1, 2, 4, 1, 1, 1, 3, 3, 1, 2, 4, 1, 3, 4, 2, 2, 4, 1, 3, 8, 5, 3, 2, 3, 1, 2, 4, 1, 2, 1, 11, 5, 6, 2, 1, 1, 1, 2, 1, 1, 1, 8, 1, 1, 5, 1, 9, 1, 1, 4, 2, 3, 1, 1, 1, 11, 1, 1, 1, 10, 1, 5, 5, 6, 1, 1, 2, 6, 3, 1, 1, 1, 10, 3, 1, 1, 1, 13, 3, 27, 21, 13, 4, 1, 3, 12, 15, 2, 1, 4, 1, 2, 1, 3, 2, 3, 1, 1, 1, 2, 1, 5, 6, 1, 1, 1, 1, 1, 1, 4, 1, 1, 4, 1, 4, 1, 2, 2, 2, 5, 1, 4, 1, 1, 2, 1, 1, 16, 35, 1, 1, 4, 1, 6, 5, 5, 2, 4, 1, 2, 1, 2, 1, 7, 1, 31, 2, 2, 1, 1, 1, 31, 268, 8, 4, 20, 2, 7, 1, 1, 81, 1, 30, 25, 40, 6, 18, 12, 39, 25, 11, 21, 60, 78, 22, 183, 1, 9, 1, 54, 8, 111, 1, 144, 1, 103, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 30, 44, 5, 1, 1, 31, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 16, 256, 131, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 63, 1, 1, 1, 1, 32, 1, 1, 258, 48, 21, 2, 6, 3, 10, 166, 47, 1, 47, 1, 1, 1, 3, 2, 1, 1, 1, 1, 1, 1, 4, 1, 1, 2, 1, 6, 2, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 6, 1, 1, 1, 1, 3, 1, 1, 5, 4, 1, 2, 38, 1, 1, 5, 1, 2, 56, 7, 1, 1, 14, 1, 23, 9, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 7, 1, 32, 2, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 9, 1, 2, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 5, 1, 10, 2, 68, 26, 1, 89, 12, 214, 26, 12, 4, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 9, 4, 2, 1, 5, 2, 3, 1, 1, 1, 2, 1, 86, 2, 2, 2, 2, 1, 1, 90, 1, 3, 1, 5, 41, 3, 94, 1, 2, 4, 10, 27, 5, 36, 12, 16, 31, 1, 10, 30, 8, 1, 15, 32, 10, 39, 15, 63, 1, 256, 6582, 10, 64, 20941, 51, 21, 1, 1143, 3, 55, 9, 40, 6, 2, 268, 1, 3, 16, 10, 2, 20, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 10, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 7, 1, 70, 10, 2, 6, 8, 23, 9, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 8, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 12, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 77, 2, 1, 7, 1, 3, 1, 4, 1, 23, 2, 2, 1, 4, 4, 6, 2, 1, 1, 6, 52, 4, 8, 2, 50, 16, 1, 9, 2, 10, 6, 18, 6, 3, 1, 4, 10, 28, 8, 2, 23, 11, 2, 11, 1, 29, 3, 3, 1, 47, 1, 2, 4, 2, 1, 4, 13, 1, 1, 10, 4, 2, 32, 41, 6, 2, 2, 2, 2, 9, 3, 1, 8, 1, 1, 2, 10, 2, 4, 16, 1, 6, 3, 1, 1, 4, 48, 1, 1, 3, 2, 2, 5, 2, 1, 1, 1, 24, 2, 1, 2, 11, 1, 2, 2, 2, 1, 2, 1, 1, 10, 6, 2, 6, 2, 6, 9, 7, 1, 7, 145, 35, 2, 1, 2, 1, 2, 1, 1, 1, 2, 10, 6, 11172, 12, 23, 4, 49, 4, 2048, 6400, 366, 2, 106, 38, 7, 12, 5, 5, 1, 1, 10, 1, 13, 1, 5, 1, 1, 1, 2, 1, 2, 1, 108, 16, 17, 363, 1, 1, 16, 64, 2, 54, 40, 12, 1, 1, 2, 16, 7, 1, 1, 1, 6, 7, 9, 1, 2, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 4, 3, 3, 1, 4, 1, 1, 1, 1, 1, 1, 1, 3, 1, 1, 3, 1, 1, 1, 2, 4, 5, 1, 135, 2, 1, 1, 3, 1, 3, 1, 1, 1, 1, 1, 1, 2, 10, 2, 3, 2, 26, 1, 1, 1, 1, 1, 1, 26, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 10, 1, 45, 2, 31, 3, 6, 2, 6, 2, 6, 2, 3, 3, 2, 1, 1, 1, 2, 1, 1, 4, 2, 10, 3, 2, 2, 12, 1, 26, 1, 19, 1, 2, 1, 15, 2, 14, 34, 123, 5, 3, 4, 45, 3, 9, 53, 4, 17, 1, 5, 12, 52, 45, 1, 130, 29, 3, 49, 47, 31, 1, 4, 12, 17, 1, 8, 1, 53, 30, 1, 1, 36, 4, 8, 1, 5, 42, 40, 40, 78, 2, 10, 854, 6, 2, 1, 1, 44, 1, 2, 3, 1, 2, 23, 1, 1, 8, 160, 22, 6, 3, 1, 26, 5, 1, 64, 56, 6, 2, 64, 1, 3, 1, 2, 5, 4, 4, 1, 3, 1, 27, 4, 3, 4, 1, 8, 8, 9, 7, 29, 2, 1, 128, 54, 3, 7, 22, 2, 8, 19, 5, 8, 128, 73, 535, 31, 385, 1, 1, 1, 53, 15, 7, 4, 20, 10, 16, 2, 1, 45, 3, 4, 2, 2, 2, 1, 4, 14, 25, 7, 10, 6, 3, 36, 5, 1, 8, 1, 10, 4, 60, 2, 1, 48, 3, 9, 2, 4, 4, 7, 10, 1190, 43, 1, 1, 1, 2, 6, 1, 1, 8, 10, 2358, 879, 145, 99, 13, 4, 2956, 1071, 13265, 569, 1223, 69, 11, 1, 46, 16, 4, 13, 16480, 2, 8190, 246, 10, 39, 2, 60, 2, 3, 3, 6, 8, 8, 2, 7, 30, 4, 48, 34, 66, 3, 1, 186, 87, 9, 18, 142, 26, 26, 26, 7, 1, 18, 26, 26, 1, 1, 2, 2, 1, 2, 2, 2, 4, 1, 8, 4, 1, 1, 1, 7, 1, 11, 26, 26, 2, 1, 4, 2, 8, 1, 7, 1, 26, 2, 1, 4, 1, 5, 1, 1, 3, 7, 1, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 26, 28, 2, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 25, 1, 25, 1, 6, 1, 1, 2, 50, 5632, 4, 1, 27, 1, 2, 1, 1, 2, 1, 1, 10, 1, 4, 1, 1, 1, 1, 6, 1, 4, 1, 1, 1, 1, 1, 1, 3, 1, 2, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 1, 2, 4, 1, 7, 1, 4, 1, 4, 1, 1, 1, 10, 1, 17, 5, 3, 1, 5, 1, 17, 52, 2, 270, 44, 4, 100, 12, 15, 2, 14, 2, 15, 1, 15, 32, 11, 5, 31, 1, 60, 4, 43, 75, 29, 13, 43, 5, 9, 7, 2, 174, 33, 15, 6, 1, 70, 3, 20, 12, 37, 1, 5, 21, 17, 15, 63, 1, 1, 1, 182, 1, 4, 3, 62, 2, 4, 12, 24, 147, 70, 4, 11, 48, 70, 58, 116, 2188, 42711, 41, 4149, 11, 222, 16354, 542, 722403, 1, 30, 96, 128, 240, 65040, 65534, 2, 65534]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_I.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      this.charTypeIndices$1 = this.uncompressDeltas__p1__AI__AI(array);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.charTypeIndices$1
  };
  digit__C__I__I(c, radix) {
    return (((radix > 36) || (radix < 2)) ? (-1) : ((((c >= 48) && (c <= 57)) && ((((-48) + c) | 0) < radix)) ? (((-48) + c) | 0) : ((((c >= 65) && (c <= 90)) && ((((-65) + c) | 0) < (((-10) + radix) | 0))) ? (((-55) + c) | 0) : ((((c >= 97) && (c <= 122)) && ((((-97) + c) | 0) < (((-10) + radix) | 0))) ? (((-87) + c) | 0) : ((((c >= 65313) && (c <= 65338)) && ((((-65313) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : ((((c >= 65345) && (c <= 65370)) && ((((-65345) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : (-1)))))))
  };
  isWhitespace__I__Z(codePoint) {
    return ((codePoint < 256) ? (((((((codePoint === 9) || (codePoint === 10)) || (codePoint === 11)) || (codePoint === 12)) || (codePoint === 13)) || ((codePoint >= 28) && (codePoint <= 31))) || ((codePoint !== 160) && this.isSeparator$1__p1__I__Z(this.java$lang$Character$$charTypesFirst256__AB().u[codePoint]))) : (((codePoint !== 8199) && (codePoint !== 8239)) && this.isSeparator$1__p1__I__Z(this.getTypeGE256__p1__I__B(codePoint))))
  };
  charTypes$lzycompute__p1__AB() {
    if (((4 & this.bitmap$0$1) === 0)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 1, 2, 5, 1, 3, 2, 1, 3, 2, 1, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 3, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 2, 4, 27, 4, 27, 4, 27, 4, 27, 4, 27, 6, 1, 2, 1, 2, 4, 27, 1, 2, 0, 4, 2, 24, 0, 27, 1, 24, 1, 0, 1, 0, 1, 2, 1, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 25, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 28, 6, 7, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 4, 24, 0, 2, 0, 24, 20, 0, 26, 0, 6, 20, 6, 24, 6, 24, 6, 24, 6, 0, 5, 0, 5, 24, 0, 16, 0, 25, 24, 26, 24, 28, 6, 24, 0, 24, 5, 4, 5, 6, 9, 24, 5, 6, 5, 24, 5, 6, 16, 28, 6, 4, 6, 28, 6, 5, 9, 5, 28, 5, 24, 0, 16, 5, 6, 5, 6, 0, 5, 6, 5, 0, 9, 5, 6, 4, 28, 24, 4, 0, 5, 6, 4, 6, 4, 6, 4, 6, 0, 24, 0, 5, 6, 0, 24, 0, 5, 0, 5, 0, 6, 0, 6, 8, 5, 6, 8, 6, 5, 8, 6, 8, 6, 8, 5, 6, 5, 6, 24, 9, 24, 4, 5, 0, 5, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 0, 8, 0, 8, 6, 5, 0, 8, 0, 5, 0, 5, 6, 0, 9, 5, 26, 11, 28, 26, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 0, 8, 6, 0, 6, 0, 6, 0, 6, 0, 5, 0, 5, 0, 9, 6, 5, 6, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 0, 6, 8, 0, 8, 6, 0, 5, 0, 5, 6, 0, 9, 24, 26, 0, 6, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 8, 6, 0, 8, 0, 8, 6, 0, 6, 8, 0, 5, 0, 5, 6, 0, 9, 28, 5, 11, 0, 6, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 8, 6, 8, 0, 8, 0, 8, 6, 0, 5, 0, 8, 0, 9, 11, 28, 26, 28, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 6, 8, 0, 6, 0, 6, 0, 6, 0, 5, 0, 5, 6, 0, 9, 0, 11, 28, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 5, 8, 6, 8, 0, 6, 8, 0, 8, 6, 0, 8, 0, 5, 0, 5, 6, 0, 9, 0, 5, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 8, 6, 0, 8, 0, 8, 6, 5, 0, 8, 0, 5, 6, 0, 9, 11, 0, 28, 5, 0, 8, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 0, 8, 6, 0, 6, 0, 8, 0, 8, 24, 0, 5, 6, 5, 6, 0, 26, 5, 4, 6, 24, 9, 24, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 6, 5, 6, 0, 6, 5, 0, 5, 0, 4, 0, 6, 0, 9, 0, 5, 0, 5, 28, 24, 28, 24, 28, 6, 28, 9, 11, 28, 6, 28, 6, 28, 6, 21, 22, 21, 22, 8, 5, 0, 5, 0, 6, 8, 6, 24, 6, 5, 6, 0, 6, 0, 28, 6, 28, 0, 28, 24, 28, 24, 0, 5, 8, 6, 8, 6, 8, 6, 8, 6, 5, 9, 24, 5, 8, 6, 5, 6, 5, 8, 5, 8, 5, 6, 5, 6, 8, 6, 8, 6, 5, 8, 9, 8, 6, 28, 1, 0, 1, 0, 1, 0, 5, 24, 4, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 24, 11, 0, 5, 28, 0, 5, 0, 20, 5, 24, 5, 12, 5, 21, 22, 0, 5, 24, 10, 0, 5, 0, 5, 6, 0, 5, 6, 24, 0, 5, 6, 0, 5, 0, 5, 0, 6, 0, 5, 6, 8, 6, 8, 6, 8, 6, 24, 4, 24, 26, 5, 6, 0, 9, 0, 11, 0, 24, 20, 24, 6, 12, 0, 9, 0, 5, 4, 5, 0, 5, 6, 5, 0, 5, 0, 5, 0, 6, 8, 6, 8, 0, 8, 6, 8, 6, 0, 28, 0, 24, 9, 5, 0, 5, 0, 5, 0, 8, 5, 8, 0, 9, 11, 0, 28, 5, 6, 8, 0, 24, 5, 8, 6, 8, 6, 0, 6, 8, 6, 8, 6, 8, 6, 0, 6, 9, 0, 9, 0, 24, 4, 24, 0, 6, 8, 5, 6, 8, 6, 8, 6, 8, 6, 8, 5, 0, 9, 24, 28, 6, 28, 0, 6, 8, 5, 8, 6, 8, 6, 8, 6, 8, 5, 9, 5, 6, 8, 6, 8, 6, 8, 6, 8, 0, 24, 5, 8, 6, 8, 6, 0, 24, 9, 0, 5, 9, 5, 4, 24, 0, 24, 0, 6, 24, 6, 8, 6, 5, 6, 5, 8, 6, 5, 0, 2, 4, 2, 4, 2, 4, 6, 0, 6, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 0, 2, 1, 2, 1, 2, 0, 1, 0, 2, 0, 1, 0, 1, 0, 1, 0, 1, 2, 1, 2, 0, 2, 3, 2, 3, 2, 3, 2, 0, 2, 1, 3, 27, 2, 27, 2, 0, 2, 1, 3, 27, 2, 0, 2, 1, 0, 27, 2, 1, 27, 0, 2, 0, 2, 1, 3, 27, 0, 12, 16, 20, 24, 29, 30, 21, 29, 30, 21, 29, 24, 13, 14, 16, 12, 24, 29, 30, 24, 23, 24, 25, 21, 22, 24, 25, 24, 23, 24, 12, 16, 0, 16, 11, 4, 0, 11, 25, 21, 22, 4, 11, 25, 21, 22, 0, 4, 0, 26, 0, 6, 7, 6, 7, 6, 0, 28, 1, 28, 1, 28, 2, 1, 2, 1, 2, 28, 1, 28, 25, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 2, 1, 2, 5, 2, 28, 2, 1, 25, 1, 2, 28, 25, 28, 2, 28, 11, 10, 1, 2, 10, 11, 0, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 25, 28, 21, 22, 28, 25, 28, 25, 28, 25, 28, 0, 28, 0, 28, 0, 11, 28, 11, 28, 25, 28, 25, 28, 25, 28, 25, 28, 0, 28, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 11, 28, 25, 21, 22, 25, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 25, 28, 25, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 25, 21, 22, 21, 22, 25, 21, 22, 25, 28, 25, 28, 25, 0, 28, 0, 1, 0, 2, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 28, 1, 2, 1, 2, 6, 1, 2, 0, 24, 11, 24, 2, 0, 2, 0, 2, 0, 5, 0, 4, 24, 0, 6, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 6, 24, 29, 30, 29, 30, 24, 29, 30, 24, 29, 30, 24, 20, 24, 20, 24, 29, 30, 24, 29, 30, 21, 22, 21, 22, 21, 22, 21, 22, 24, 4, 24, 20, 0, 28, 0, 28, 0, 28, 0, 28, 0, 12, 24, 28, 4, 5, 10, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 28, 21, 22, 21, 22, 21, 22, 21, 22, 20, 21, 22, 28, 10, 6, 8, 20, 4, 28, 10, 4, 5, 24, 28, 0, 5, 0, 6, 27, 4, 5, 20, 5, 24, 4, 5, 0, 5, 0, 5, 0, 28, 11, 28, 5, 0, 28, 0, 5, 28, 0, 11, 28, 11, 28, 11, 28, 11, 28, 11, 28, 0, 28, 5, 0, 28, 5, 0, 5, 4, 5, 0, 28, 0, 5, 4, 24, 5, 4, 24, 5, 9, 5, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 5, 6, 7, 24, 6, 24, 4, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 6, 5, 10, 6, 24, 0, 27, 4, 27, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 4, 27, 1, 2, 1, 2, 0, 1, 2, 1, 2, 0, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 0, 4, 2, 5, 6, 5, 6, 5, 6, 5, 8, 6, 8, 28, 0, 11, 28, 26, 28, 0, 5, 24, 0, 8, 5, 8, 6, 0, 24, 9, 0, 6, 5, 24, 5, 0, 9, 5, 6, 24, 5, 6, 8, 0, 24, 5, 0, 6, 8, 5, 6, 8, 6, 8, 6, 8, 24, 0, 4, 9, 0, 24, 0, 5, 6, 8, 6, 8, 6, 0, 5, 6, 5, 6, 8, 0, 9, 0, 24, 5, 4, 5, 28, 5, 8, 0, 5, 6, 5, 6, 5, 6, 5, 6, 5, 6, 5, 0, 5, 4, 24, 5, 8, 6, 8, 24, 5, 4, 8, 6, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 8, 6, 8, 6, 8, 24, 8, 6, 0, 9, 0, 5, 0, 5, 0, 5, 0, 19, 18, 5, 0, 5, 0, 2, 0, 2, 0, 5, 6, 5, 25, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 27, 0, 5, 21, 22, 0, 5, 0, 5, 0, 5, 26, 28, 0, 6, 24, 21, 22, 24, 0, 6, 0, 24, 20, 23, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 24, 21, 22, 24, 23, 24, 0, 24, 20, 21, 22, 21, 22, 21, 22, 24, 25, 20, 25, 0, 24, 26, 24, 0, 5, 0, 5, 0, 16, 0, 24, 26, 24, 21, 22, 24, 25, 24, 20, 24, 9, 24, 25, 24, 1, 21, 24, 22, 27, 23, 27, 2, 21, 25, 22, 25, 21, 22, 24, 21, 22, 24, 5, 4, 5, 4, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 26, 25, 27, 28, 26, 0, 28, 25, 28, 0, 16, 28, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 24, 0, 11, 0, 28, 10, 11, 28, 11, 0, 28, 0, 28, 6, 0, 5, 0, 5, 0, 5, 0, 11, 0, 5, 10, 5, 10, 0, 5, 0, 24, 5, 0, 5, 24, 10, 0, 1, 2, 5, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 24, 11, 0, 5, 11, 0, 24, 5, 0, 24, 0, 5, 0, 5, 0, 5, 6, 0, 6, 0, 6, 5, 0, 5, 0, 5, 0, 6, 0, 6, 11, 0, 24, 0, 5, 11, 24, 0, 5, 0, 24, 5, 0, 11, 5, 0, 11, 0, 5, 0, 11, 0, 8, 6, 8, 5, 6, 24, 0, 11, 9, 0, 6, 8, 5, 8, 6, 8, 6, 24, 16, 24, 0, 5, 0, 9, 0, 6, 5, 6, 8, 6, 0, 9, 24, 0, 6, 8, 5, 8, 6, 8, 5, 24, 0, 9, 0, 5, 6, 8, 6, 8, 6, 8, 6, 0, 9, 0, 5, 0, 10, 0, 24, 0, 5, 0, 5, 0, 5, 0, 5, 8, 0, 6, 4, 0, 5, 0, 28, 0, 28, 0, 28, 8, 6, 28, 8, 16, 6, 28, 6, 28, 6, 28, 0, 28, 6, 28, 0, 28, 0, 11, 0, 1, 2, 1, 2, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 2, 0, 2, 0, 2, 0, 2, 1, 2, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2, 0, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 25, 2, 25, 2, 1, 2, 0, 9, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 5, 0, 25, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 11, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 28, 0, 5, 0, 5, 0, 5, 0, 5, 0, 16, 0, 16, 0, 6, 0, 18, 0, 18, 0]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_B.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      this.charTypes$1 = array;
      this.bitmap$0$1 = (((4 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.charTypes$1
  };
  getTypeGE256__p1__I__B(codePoint) {
    const idx = ((1 + $m_ju_Arrays$().binarySearch__AI__I__I(this.charTypeIndices__p1__AI(), codePoint)) | 0);
    return this.charTypes__p1__AB().u[((idx < 0) ? ((-idx) | 0) : idx)]
  };
  charTypes__p1__AB() {
    return (((4 & this.bitmap$0$1) === 0) ? this.charTypes$lzycompute__p1__AB() : this.charTypes$1)
  };
  java$lang$Character$$charTypesFirst256__AB() {
    return (((1 & this.bitmap$0$1) === 0) ? this.java$lang$Character$$charTypesFirst256$lzycompute__p1__AB() : this.java$lang$Character$$charTypesFirst256$1)
  };
  isUpperCase__I__Z(c) {
    return ((((c >= 8544) && (c <= 8559)) || ((c >= 9398) && (c <= 9423))) || (this.getType__I__I(c) === 1))
  };
  java$lang$Character$$charTypesFirst256$lzycompute__p1__AB() {
    if (((1 & this.bitmap$0$1) === 0)) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 24, 24, 24, 26, 24, 24, 24, 21, 22, 24, 25, 24, 20, 24, 24, 9, 9, 9, 9, 9, 9, 9, 9, 9, 9, 24, 24, 25, 25, 25, 24, 24, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 21, 24, 22, 27, 23, 27, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 21, 25, 22, 25, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 24, 26, 26, 26, 26, 28, 24, 27, 28, 5, 29, 25, 16, 28, 27, 28, 25, 11, 11, 27, 2, 24, 24, 27, 11, 5, 30, 11, 11, 11, 24, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 25, 1, 1, 1, 1, 1, 1, 1, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 25, 2, 2, 2, 2, 2, 2, 2, 2]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_B.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$5.hasNext__Z()) {
        const arg1 = this$5.next__O();
        array.u[elem$1] = (arg1 | 0);
        elem$1 = ((1 + elem$1) | 0)
      };
      this.java$lang$Character$$charTypesFirst256$1 = array;
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.java$lang$Character$$charTypesFirst256$1
  };
  toUpperCase__C__C(c) {
    const thiz = $g.String.fromCharCode(c);
    const x = thiz.toUpperCase();
    return (65535 & (x.charCodeAt(0) | 0))
  };
  uncompressDeltas__p1__AI__AI(deltas) {
    const end = deltas.u.length;
    const isEmpty$4 = (end <= 1);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
    if ((!isEmpty$4)) {
      let i = 1;
      while (true) {
        const v1 = i;
        deltas.u[v1] = ((deltas.u[v1] + deltas.u[(((-1) + v1) | 0)]) | 0);
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    return deltas
  };
  isSeparator$1__p1__I__Z(tpe) {
    return (((tpe === 12) || (tpe === 13)) || (tpe === 14))
  };
}
const $d_jl_Character$ = new $TypeData().initClass({
  jl_Character$: 0
}, false, "java.lang.Character$", {
  jl_Character$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Character$.prototype.$classData = $d_jl_Character$;
let $n_jl_Character$ = (void 0);
const $m_jl_Character$ = (function() {
  if ((!$n_jl_Character$)) {
    $n_jl_Character$ = new $c_jl_Character$().init___()
  };
  return $n_jl_Character$
});
class $c_jl_Double$ extends $c_O {
  constructor() {
    super();
    this.doubleStrPat$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  doubleStrPat__p1__sjs_js_RegExp() {
    return ((!this.bitmap$0$1) ? this.doubleStrPat$lzycompute__p1__sjs_js_RegExp() : this.doubleStrPat$1)
  };
  doubleStrPat$lzycompute__p1__sjs_js_RegExp() {
    if ((!this.bitmap$0$1)) {
      this.doubleStrPat$1 = new $g.RegExp("^[\\x00-\\x20]*[+-]?(NaN|Infinity|(\\d+\\.?\\d*|\\.\\d+)([eE][+-]?\\d+)?)[fFdD]?[\\x00-\\x20]*$");
      this.bitmap$0$1 = true
    };
    return this.doubleStrPat$1
  };
  compare__D__D__I(a, b) {
    if ((a !== a)) {
      return ((b !== b) ? 0 : 1)
    } else if ((b !== b)) {
      return (-1)
    } else if ((a === b)) {
      if ((a === 0.0)) {
        const ainf = (1.0 / a);
        return ((ainf === (1.0 / b)) ? 0 : ((ainf < 0) ? (-1) : 1))
      } else {
        return 0
      }
    } else {
      return ((a < b) ? (-1) : 1)
    }
  };
  parseDouble__T__D(s) {
    if ((!(!this.doubleStrPat__p1__sjs_js_RegExp().test(s)))) {
      return (+$g.parseFloat(s))
    } else {
      throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s])))
    }
  };
}
const $d_jl_Double$ = new $TypeData().initClass({
  jl_Double$: 0
}, false, "java.lang.Double$", {
  jl_Double$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Double$.prototype.$classData = $d_jl_Double$;
let $n_jl_Double$ = (void 0);
const $m_jl_Double$ = (function() {
  if ((!$n_jl_Double$)) {
    $n_jl_Double$ = new $c_jl_Double$().init___()
  };
  return $n_jl_Double$
});
class $c_jl_Enum extends $c_O {
  constructor() {
    super();
    this.$$undname$1 = null;
    this.$$undordinal$1 = 0
  };
  equals__O__Z(that) {
    return (this === that)
  };
  compareTo__O__I(o) {
    return this.compareTo__jl_Enum__I(o)
  };
  toString__T() {
    return this.$$undname$1
  };
  compareTo__jl_Enum__I(o) {
    const x = this.$$undordinal$1;
    const x$1 = o.$$undordinal$1;
    return ((x === x$1) ? 0 : ((x < x$1) ? (-1) : 1))
  };
  init___T__I(_name, _ordinal) {
    this.$$undname$1 = _name;
    this.$$undordinal$1 = _ordinal;
    return this
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
}
const $is_jl_Enum = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Enum)))
});
const $isArrayOf_jl_Enum = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Enum)))
});
class $c_jl_Error extends $c_jl_Throwable {
  init___jl_Throwable(e) {
    const s = ((e === null) ? null : e.toString__T());
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
}
const $is_jl_Error = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Error)))
});
const $isArrayOf_jl_Error = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Error)))
});
class $c_jl_Exception extends $c_jl_Throwable {
  init___jl_Throwable(e) {
    const s = ((e === null) ? null : e.toString__T());
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_Exception = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Exception)))
});
const $isArrayOf_jl_Exception = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Exception)))
});
const $d_jl_Exception = new $TypeData().initClass({
  jl_Exception: 0
}, false, "java.lang.Exception", {
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Exception.prototype.$classData = $d_jl_Exception;
class $c_jl_Integer$ extends $c_O {
  init___() {
    return this
  };
  fail$1__p1__T__sr_Nothing$(s$1) {
    throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$1])))
  };
  parseInt__T__I__I(s, radix) {
    let jsx$1;
    if ((s === null)) {
      jsx$1 = true
    } else {
      const this$2 = new $c_sci_StringOps().init___T(s);
      const $$this = this$2.repr$1;
      jsx$1 = (($$this.length | 0) === 0)
    };
    if (((jsx$1 || (radix < 2)) || (radix > 36))) {
      this.fail$1__p1__T__sr_Nothing$(s)
    } else {
      let i = ((((65535 & (s.charCodeAt(0) | 0)) === 45) || ((65535 & (s.charCodeAt(0) | 0)) === 43)) ? 1 : 0);
      const this$12 = new $c_sci_StringOps().init___T(s);
      const $$this$1 = this$12.repr$1;
      if ((($$this$1.length | 0) <= i)) {
        this.fail$1__p1__T__sr_Nothing$(s)
      } else {
        while (true) {
          const jsx$2 = i;
          const this$16 = new $c_sci_StringOps().init___T(s);
          const $$this$2 = this$16.repr$1;
          if ((jsx$2 < ($$this$2.length | 0))) {
            const jsx$3 = $m_jl_Character$();
            const index = i;
            if ((jsx$3.digit__C__I__I((65535 & (s.charCodeAt(index) | 0)), radix) < 0)) {
              this.fail$1__p1__T__sr_Nothing$(s)
            };
            i = ((1 + i) | 0)
          } else {
            break
          }
        };
        const res = (+$g.parseInt(s, radix));
        return (((res !== res) || ((res > 2147483647) || (res < (-2147483648)))) ? this.fail$1__p1__T__sr_Nothing$(s) : $doubleToInt(res))
      }
    }
  };
  bitCount__I__I(i) {
    const t1 = ((i - (1431655765 & (i >> 1))) | 0);
    const t2 = (((858993459 & t1) + (858993459 & (t1 >> 2))) | 0);
    return ($imul(16843009, (252645135 & ((t2 + (t2 >> 4)) | 0))) >> 24)
  };
  reverseBytes__I__I(i) {
    const byte3 = ((i >>> 24) | 0);
    const byte2 = (65280 & ((i >>> 8) | 0));
    const byte1 = (16711680 & (i << 8));
    const byte0 = (i << 24);
    return (((byte0 | byte1) | byte2) | byte3)
  };
}
const $d_jl_Integer$ = new $TypeData().initClass({
  jl_Integer$: 0
}, false, "java.lang.Integer$", {
  jl_Integer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Integer$.prototype.$classData = $d_jl_Integer$;
let $n_jl_Integer$ = (void 0);
const $m_jl_Integer$ = (function() {
  if ((!$n_jl_Integer$)) {
    $n_jl_Integer$ = new $c_jl_Integer$().init___()
  };
  return $n_jl_Integer$
});
class $c_jl_Long$ extends $c_O {
  constructor() {
    super();
    this.StringRadixInfos$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    return this
  };
  StringRadixInfos__p1__sjs_js_Array() {
    return ((!this.bitmap$0$1) ? this.StringRadixInfos$lzycompute__p1__sjs_js_Array() : this.StringRadixInfos$1)
  };
  parseLong__T__I__J(s, radix) {
    if ((s === "")) {
      this.parseLongError__p1__T__sr_Nothing$(s)
    };
    let start = 0;
    let neg = false;
    const x1 = (65535 & (s.charCodeAt(0) | 0));
    switch (x1) {
      case 43: {
        start = 1;
        break
      }
      case 45: {
        start = 1;
        neg = true;
        break
      }
    };
    const t = this.parseUnsignedLongInternal__T__I__I__J(s, radix, start);
    const lo = t.lo$2;
    const hi = t.hi$2;
    if (neg) {
      const lo$1 = ((-lo) | 0);
      const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
      if (((hi$1 === 0) ? (lo$1 !== 0) : (hi$1 > 0))) {
        this.parseLongError__p1__T__sr_Nothing$(s)
      };
      return new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1)
    } else {
      if ((hi < 0)) {
        this.parseLongError__p1__T__sr_Nothing$(s)
      };
      return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
    }
  };
  toOctalString__J__T(l) {
    const lo = l.lo$2;
    const lo$1 = l.hi$2;
    const lp = (1073741823 & lo);
    const mp = (1073741823 & ((((lo >>> 30) | 0) + (lo$1 << 2)) | 0));
    const hp = ((lo$1 >>> 28) | 0);
    if ((hp !== 0)) {
      const x = (+(hp >>> 0));
      const jsx$2 = x.toString(8);
      const x$1 = (+(mp >>> 0));
      const s = x$1.toString(8);
      const beginIndex = (s.length | 0);
      const jsx$1 = "0000000000".substring(beginIndex);
      const x$2 = (+(lp >>> 0));
      const s$1 = x$2.toString(8);
      const beginIndex$1 = (s$1.length | 0);
      return ((jsx$2 + (("" + jsx$1) + s)) + (("" + "0000000000".substring(beginIndex$1)) + s$1))
    } else if ((mp !== 0)) {
      const x$3 = (+(mp >>> 0));
      const jsx$3 = x$3.toString(8);
      const x$4 = (+(lp >>> 0));
      const s$2 = x$4.toString(8);
      const beginIndex$2 = (s$2.length | 0);
      return (jsx$3 + (("" + "0000000000".substring(beginIndex$2)) + s$2))
    } else {
      const x$5 = (+(lp >>> 0));
      return x$5.toString(8)
    }
  };
  parseLongError__p1__T__sr_Nothing$(s) {
    throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s])))
  };
  parseUnsignedLongInternal__T__I__I__J(s, radix, start) {
    const length = (s.length | 0);
    if ((((start >= length) || (radix < 2)) || (radix > 36))) {
      this.parseLongError__p1__T__sr_Nothing$(s)
    } else {
      const radixInfo = this.StringRadixInfos__p1__sjs_js_Array()[radix];
      const chunkLen = radixInfo.chunkLength$1;
      let firstChunkStart = start;
      while (true) {
        let jsx$1;
        if ((firstChunkStart < length)) {
          const index = firstChunkStart;
          jsx$1 = ((65535 & (s.charCodeAt(index) | 0)) === 48)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          firstChunkStart = ((1 + firstChunkStart) | 0)
        } else {
          break
        }
      };
      if ((((length - firstChunkStart) | 0) > $imul(3, chunkLen))) {
        this.parseLongError__p1__T__sr_Nothing$(s)
      };
      let i = firstChunkStart;
      while ((i < length)) {
        const jsx$2 = $m_jl_Character$();
        const index$1 = i;
        if ((jsx$2.digit__C__I__I((65535 & (s.charCodeAt(index$1) | 0)), radix) < 0)) {
          this.parseLongError__p1__T__sr_Nothing$(s)
        };
        i = ((1 + i) | 0)
      };
      const firstChunkLength = ((1 + (((((-1) + ((length - firstChunkStart) | 0)) | 0) % chunkLen) | 0)) | 0);
      const firstChunkEnd = ((firstChunkStart + firstChunkLength) | 0);
      const chunkStart = firstChunkStart;
      const chunk = s.substring(chunkStart, firstChunkEnd);
      const chunkValueDouble = (+$g.parseInt(chunk, radix));
      const x = $doubleToInt(chunkValueDouble);
      if ((firstChunkEnd === length)) {
        return new $c_sjsr_RuntimeLong().init___I__I(x, 0)
      } else {
        const t = radixInfo.radixPowLength$1;
        const lo = t.lo$2;
        const hi$1 = t.hi$2;
        const secondChunkEnd = ((firstChunkEnd + chunkLen) | 0);
        const a0 = (65535 & x);
        const a1 = ((x >>> 16) | 0);
        const b0 = (65535 & lo);
        const b1 = ((lo >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo$1 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$2 = (((((($imul(x, hi$1) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        const chunk$1 = s.substring(firstChunkEnd, secondChunkEnd);
        const chunkValueDouble$1 = (+$g.parseInt(chunk$1, radix));
        const x$1 = $doubleToInt(chunkValueDouble$1);
        const lo$2 = ((lo$1 + x$1) | 0);
        const hi$4 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + hi$2) | 0) : hi$2);
        if ((secondChunkEnd === length)) {
          return new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)
        } else {
          $m_s_Predef$().assert__Z__V((((secondChunkEnd + chunkLen) | 0) === length));
          const t$1 = radixInfo.overflowBarrier$1;
          const lo$3 = t$1.lo$2;
          const hi$5 = t$1.hi$2;
          const chunk$2 = s.substring(secondChunkEnd, length);
          const chunkValueDouble$2 = (+$g.parseInt(chunk$2, radix));
          const x$2 = $doubleToInt(chunkValueDouble$2);
          if (((hi$4 === hi$5) ? (((-2147483648) ^ lo$2) > ((-2147483648) ^ lo$3)) : (hi$4 > hi$5))) {
            this.parseLongError__p1__T__sr_Nothing$(s)
          };
          const a0$1 = (65535 & lo$2);
          const a1$1 = ((lo$2 >>> 16) | 0);
          const b0$1 = (65535 & lo);
          const b1$1 = ((lo >>> 16) | 0);
          const a0b0$1 = $imul(a0$1, b0$1);
          const a1b0$1 = $imul(a1$1, b0$1);
          const a0b1$1 = $imul(a0$1, b1$1);
          const lo$4 = ((a0b0$1 + (((a1b0$1 + a0b1$1) | 0) << 16)) | 0);
          const c1part$1 = ((((a0b0$1 >>> 16) | 0) + a0b1$1) | 0);
          const hi$7 = (((((((($imul(lo$2, hi$1) + $imul(hi$4, lo)) | 0) + $imul(a1$1, b1$1)) | 0) + ((c1part$1 >>> 16) | 0)) | 0) + (((((65535 & c1part$1) + a1b0$1) | 0) >>> 16) | 0)) | 0);
          const lo$5 = ((lo$4 + x$2) | 0);
          const hi$8 = ((((-2147483648) ^ lo$5) < ((-2147483648) ^ lo$4)) ? ((1 + hi$7) | 0) : hi$7);
          const hi$9 = ((-2147483648) ^ hi$8);
          if (((hi$9 === (-2147483648)) && (((-2147483648) ^ lo$5) < ((-2147483648) ^ x$2)))) {
            this.parseLongError__p1__T__sr_Nothing$(s)
          };
          return new $c_sjsr_RuntimeLong().init___I__I(lo$5, hi$8)
        }
      }
    }
  };
  StringRadixInfos$lzycompute__p1__sjs_js_Array() {
    if ((!this.bitmap$0$1)) {
      const r = [];
      let i = 0;
      while (true) {
        const arg1 = i;
        r.push(null);
        if ((i === 1)) {
          break
        };
        i = ((1 + i) | 0)
      };
      let i$1 = 2;
      while (true) {
        const arg1$1 = i$1;
        const barrier = ((2147483647 / arg1$1) | 0);
        let radixPowLength = arg1$1;
        let chunkLength = 1;
        let paddingZeros = "0";
        while ((radixPowLength <= barrier)) {
          radixPowLength = $imul(radixPowLength, arg1$1);
          chunkLength = ((1 + chunkLength) | 0);
          paddingZeros = (paddingZeros + "0")
        };
        const value = radixPowLength;
        const hi = (value >> 31);
        const this$8 = $m_sjsr_RuntimeLong$();
        const lo = this$8.divideUnsignedImpl__I__I__I__I__I((-1), (-1), value, hi);
        const hi$1 = this$8.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const elem = new $c_jl_Long$StringRadixInfo().init___I__J__T__J(chunkLength, new $c_sjsr_RuntimeLong().init___I__I(value, hi), paddingZeros, new $c_sjsr_RuntimeLong().init___I__I(lo, hi$1));
        r.push(elem);
        if ((i$1 === 36)) {
          break
        };
        i$1 = ((1 + i$1) | 0)
      };
      this.StringRadixInfos$1 = r;
      this.bitmap$0$1 = true
    };
    return this.StringRadixInfos$1
  };
  toHexString__J__T(l) {
    const lo = l.lo$2;
    const lo$1 = l.hi$2;
    if ((lo$1 !== 0)) {
      const x = (+(lo$1 >>> 0));
      const jsx$1 = x.toString(16);
      const x$1 = (+(lo >>> 0));
      const s = x$1.toString(16);
      const beginIndex = (s.length | 0);
      return (jsx$1 + (("" + "00000000".substring(beginIndex)) + s))
    } else {
      const x$2 = (+(lo >>> 0));
      return x$2.toString(16)
    }
  };
}
const $d_jl_Long$ = new $TypeData().initClass({
  jl_Long$: 0
}, false, "java.lang.Long$", {
  jl_Long$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Long$.prototype.$classData = $d_jl_Long$;
let $n_jl_Long$ = (void 0);
const $m_jl_Long$ = (function() {
  if ((!$n_jl_Long$)) {
    $n_jl_Long$ = new $c_jl_Long$().init___()
  };
  return $n_jl_Long$
});
class $c_ju_Date$ extends $c_O {
  constructor() {
    super();
    this.java$util$Date$$Days$1 = null;
    this.java$util$Date$$Months$1 = null
  };
  init___() {
    $n_ju_Date$ = this;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Sun", "Mon", "Tue", "Wed", "Thu", "Fri", "Sat"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.java$util$Date$$Days$1 = array;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"]);
    const len$1 = (xs$1.array$6.length | 0);
    const array$1 = $newArrayObject($d_T.getArrayOf(), [len$1]);
    let elem$1$1 = 0;
    elem$1$1 = 0;
    const this$8 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs$1, 0, (xs$1.array$6.length | 0));
    while (this$8.hasNext__Z()) {
      const arg1$1 = this$8.next__O();
      array$1.u[elem$1$1] = arg1$1;
      elem$1$1 = ((1 + elem$1$1) | 0)
    };
    this.java$util$Date$$Months$1 = array$1;
    return this
  };
  java$util$Date$$pad0__I__T(i) {
    const str = ("" + i);
    return (((str.length | 0) < 2) ? ("0" + str) : str)
  };
}
const $d_ju_Date$ = new $TypeData().initClass({
  ju_Date$: 0
}, false, "java.util.Date$", {
  ju_Date$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_Date$.prototype.$classData = $d_ju_Date$;
let $n_ju_Date$ = (void 0);
const $m_ju_Date$ = (function() {
  if ((!$n_ju_Date$)) {
    $n_ju_Date$ = new $c_ju_Date$().init___()
  };
  return $n_ju_Date$
});
class $c_ju_Formatter extends $c_O {
  constructor() {
    super();
    this.dest$1 = null;
    this.closed$1 = false
  };
  init___() {
    $c_ju_Formatter.prototype.init___jl_Appendable.call(this, new $c_jl_StringBuilder().init___());
    return this
  };
  pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(argStr, prefix, preventZero, flags$1, width$1, conversion$1) {
    const prePadLen = (((argStr.length | 0) + (prefix.length | 0)) | 0);
    let padStr;
    if ((width$1 <= prePadLen)) {
      padStr = (("" + prefix) + argStr)
    } else {
      const padRight = this.hasFlag$1__p1__T__T__Z("-", flags$1);
      const padZero = (this.hasFlag$1__p1__T__T__Z("0", flags$1) && (!(!(!preventZero))));
      const padLength = ((width$1 - prePadLen) | 0);
      const padChar = (padZero ? "0" : " ");
      const padding = this.strRepeat$1__p1__T__I__T(padChar, padLength);
      if ((padZero && padRight)) {
        throw new $c_ju_IllegalFormatFlagsException().init___T(flags$1)
      };
      padStr = (padRight ? ((("" + prefix) + argStr) + padding) : (padZero ? ((("" + prefix) + padding) + argStr) : ((("" + padding) + prefix) + argStr)))
    };
    const casedStr = ((conversion$1 <= 90) ? padStr.toUpperCase() : padStr);
    return this.dest$1.append__jl_CharSequence__jl_Appendable(casedStr)
  };
  toString__T() {
    return this.out__jl_Appendable().toString__T()
  };
  init___jl_Appendable(dest) {
    this.dest$1 = dest;
    this.closed$1 = false;
    return this
  };
  padCaptureSign$1__p1__T__T__T__I__C__jl_Appendable(argStr, prefix, flags$1, width$1, conversion$1) {
    const firstChar = (65535 & (argStr.charCodeAt(0) | 0));
    return (((firstChar === 43) || (firstChar === 45)) ? this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(argStr.substring(1), (("" + new $c_jl_Character().init___C(firstChar)) + prefix), false, flags$1, width$1, conversion$1) : this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(argStr, prefix, false, flags$1, width$1, conversion$1))
  };
  hasFlag$1__p1__T__T__Z(flag, flags$1) {
    return ((flags$1.indexOf(flag) | 0) >= 0)
  };
  out__jl_Appendable() {
    if (this.closed$1) {
      this.java$util$Formatter$$throwClosedException__sr_Nothing$()
    };
    return this.dest$1
  };
  format__T__AO__ju_Formatter(format_in, args) {
    if (this.closed$1) {
      this.java$util$Formatter$$throwClosedException__sr_Nothing$()
    };
    let fmt = format_in;
    let lastImplicitIndex = 0;
    let lastIndex = 0;
    while (true) {
      const thiz = fmt;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((!(thiz === ""))) {
        const x1 = fmt;
        matchEnd9: {
          const o12 = $m_ju_Formatter$().java$util$Formatter$$RegularChunk$1.unapply__T__s_Option(x1);
          if ((!o12.isEmpty__Z())) {
            const matchResult = o12.get__O();
            const thiz$2 = fmt;
            const value = matchResult[0];
            if ((value === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const thiz$1 = value;
            const beginIndex = (thiz$1.length | 0);
            fmt = thiz$2.substring(beginIndex);
            const jsx$1 = this.dest$1;
            const value$1 = matchResult[0];
            if ((value$1 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            jsx$1.append__jl_CharSequence__jl_Appendable(value$1);
            break matchEnd9
          };
          const o14 = $m_ju_Formatter$().java$util$Formatter$$DoublePercent$1.unapply__T__s_Option(x1);
          if ((!o14.isEmpty__Z())) {
            const thiz$3 = fmt;
            fmt = thiz$3.substring(2);
            this.dest$1.append__C__jl_Appendable(37);
            break matchEnd9
          };
          const o16 = $m_ju_Formatter$().java$util$Formatter$$EOLChunk$1.unapply__T__s_Option(x1);
          if ((!o16.isEmpty__Z())) {
            const thiz$4 = fmt;
            fmt = thiz$4.substring(2);
            this.dest$1.append__C__jl_Appendable(10);
            break matchEnd9
          };
          const o18 = $m_ju_Formatter$().java$util$Formatter$$FormattedChunk$1.unapply__T__s_Option(x1);
          if ((!o18.isEmpty__Z())) {
            const matchResult$2 = o18.get__O();
            const thiz$6 = fmt;
            const value$2 = matchResult$2[0];
            if ((value$2 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const thiz$5 = value$2;
            const beginIndex$1 = (thiz$5.length | 0);
            fmt = thiz$6.substring(beginIndex$1);
            const value$3 = matchResult$2[2];
            if ((value$3 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const flags = value$3;
            const value$4 = matchResult$2[1];
            const indexStr = ((value$4 === (void 0)) ? "" : value$4);
            if ((indexStr === null)) {
              throw new $c_jl_NullPointerException().init___()
            };
            let index;
            if ((indexStr !== "")) {
              const this$34 = $m_jl_Integer$();
              index = this$34.parseInt__T__I__I(indexStr, 10)
            } else if (this.hasFlag$1__p1__T__T__Z("<", flags)) {
              index = lastIndex
            } else {
              lastImplicitIndex = ((1 + lastImplicitIndex) | 0);
              index = lastImplicitIndex
            };
            lastIndex = index;
            if (((index <= 0) || (index > args.u.length))) {
              const value$5 = matchResult$2[5];
              if ((value$5 === (void 0))) {
                throw new $c_ju_NoSuchElementException().init___T("undefined.get")
              };
              throw new $c_ju_MissingFormatArgumentException().init___T(value$5)
            };
            const arg = args.u[(((-1) + index) | 0)];
            const value$6 = matchResult$2[3];
            const widthStr = ((value$6 === (void 0)) ? "" : value$6);
            if ((widthStr === null)) {
              throw new $c_jl_NullPointerException().init___()
            };
            const hasWidth = (widthStr !== "");
            let width;
            if (hasWidth) {
              const this$45 = $m_jl_Integer$();
              width = this$45.parseInt__T__I__I(widthStr, 10)
            } else {
              if (this.hasFlag$1__p1__T__T__Z("-", flags)) {
                throw new $c_ju_MissingFormatWidthException().init___T(format_in)
              };
              width = 0
            };
            const value$7 = matchResult$2[4];
            const precisionStr = ((value$7 === (void 0)) ? "" : value$7);
            if ((precisionStr === null)) {
              throw new $c_jl_NullPointerException().init___()
            };
            const hasPrecision = (precisionStr !== "");
            let precision;
            if (hasPrecision) {
              const this$52 = $m_jl_Integer$();
              precision = this$52.parseInt__T__I__I(precisionStr, 10)
            } else {
              precision = 0
            };
            const value$8 = matchResult$2[5];
            if ((value$8 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const thiz$7 = value$8;
            const conversion = (65535 & (thiz$7.charCodeAt(0) | 0));
            switch (conversion) {
              case 98:
              case 66: {
                let jsx$2;
                if ((arg === null)) {
                  jsx$2 = "false"
                } else if (((typeof arg) === "boolean")) {
                  const x3 = arg;
                  jsx$2 = $m_sjsr_RuntimeString$().valueOf__O__T(x3)
                } else {
                  jsx$2 = "true"
                };
                this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(jsx$2, "", false, flags, width, conversion);
                break
              }
              case 104:
              case 72: {
                let jsx$3;
                if ((arg === null)) {
                  jsx$3 = "null"
                } else {
                  const i = $objectHashCode(arg);
                  const x = (+(i >>> 0));
                  jsx$3 = x.toString(16)
                };
                this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(jsx$3, "", false, flags, width, conversion);
                break
              }
              case 115:
              case 83: {
                if ($is_ju_Formattable(arg)) {
                  const x2 = arg;
                  const flags$2 = (((this.hasFlag$1__p1__T__T__Z("-", flags) ? 1 : 0) | (this.hasFlag$1__p1__T__T__Z("#", flags) ? 4 : 0)) | ((conversion <= 90) ? 2 : 0));
                  x2.formatTo__ju_Formatter__I__I__I__V(this, flags$2, (hasWidth ? width : (-1)), (hasPrecision ? precision : (-1)))
                } else if ((!this.hasFlag$1__p1__T__T__Z("#", flags))) {
                  this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable($m_sjsr_RuntimeString$().valueOf__O__T(arg), "", false, flags, width, conversion)
                } else {
                  throw new $c_ju_FormatFlagsConversionMismatchException().init___T__C("#", 115)
                };
                break
              }
              case 99:
              case 67: {
                const c = (65535 & this.intArg$1__p1__O__I(arg));
                this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable($g.String.fromCharCode(c), "", false, flags, width, conversion);
                break
              }
              case 100: {
                const this$72 = this.numberArg$1__p1__O__D(arg);
                this.with$und$plus$1__p1__T__Z__T__I__C__jl_Appendable(("" + this$72), false, flags, width, conversion);
                break
              }
              case 111: {
                let str;
                if ($isInt(arg)) {
                  const x2$2 = (arg | 0);
                  const x$1 = (+(x2$2 >>> 0));
                  str = x$1.toString(8)
                } else {
                  if ((!$is_sjsr_RuntimeLong(arg))) {
                    throw new $c_s_MatchError().init___O(arg)
                  };
                  const t = $uJ(arg);
                  const lo = t.lo$2;
                  const hi = t.hi$2;
                  str = $m_jl_Long$().toOctalString__J__T(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
                };
                this.padCaptureSign$1__p1__T__T__T__I__C__jl_Appendable(str, (this.hasFlag$1__p1__T__T__Z("#", flags) ? "0" : ""), flags, width, conversion);
                break
              }
              case 120:
              case 88: {
                let str$2;
                if ($isInt(arg)) {
                  const x2$3 = (arg | 0);
                  const x$2 = (+(x2$3 >>> 0));
                  str$2 = x$2.toString(16)
                } else {
                  if ((!$is_sjsr_RuntimeLong(arg))) {
                    throw new $c_s_MatchError().init___O(arg)
                  };
                  const t$1 = $uJ(arg);
                  const lo$1 = t$1.lo$2;
                  const hi$1 = t$1.hi$2;
                  str$2 = $m_jl_Long$().toHexString__J__T(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
                };
                this.padCaptureSign$1__p1__T__T__T__I__C__jl_Appendable(str$2, (this.hasFlag$1__p1__T__T__Z("#", flags) ? "0x" : ""), flags, width, conversion);
                break
              }
              case 101:
              case 69: {
                this.sciNotation$1__p1__I__T__O__I__C__jl_Appendable((hasPrecision ? precision : 6), flags, arg, width, conversion);
                break
              }
              case 103:
              case 71: {
                const a = this.numberArg$1__p1__O__D(arg);
                const m = (+$g.Math.abs(a));
                const p = ((!hasPrecision) ? 6 : ((precision === 0) ? 1 : precision));
                if (((m >= 1.0E-4) && (m < (+$g.Math.pow(10.0, p))))) {
                  const a$1 = (+$g.Math.log10(m));
                  const sig0 = $doubleToInt((+$g.Math.ceil(a$1)));
                  const sig = (((+$g.Math.pow(10.0, sig0)) <= m) ? ((1 + sig0) | 0) : sig0);
                  const x$3 = this.numberArg$1__p1__O__D(arg);
                  const a$2 = ((p - sig) | 0);
                  const jsx$4 = x$3.toFixed(((a$2 > 0) ? a$2 : 0));
                  this.with$und$plus$1__p1__T__Z__T__I__C__jl_Appendable(jsx$4, false, flags, width, conversion)
                } else {
                  this.sciNotation$1__p1__I__T__O__I__C__jl_Appendable((((-1) + p) | 0), flags, arg, width, conversion)
                };
                break
              }
              case 102: {
                const x$4 = this.numberArg$1__p1__O__D(arg);
                const jsx$6 = x$4.toFixed((hasPrecision ? precision : 6));
                const x$5 = this.numberArg$1__p1__O__D(arg);
                let jsx$5;
                if ((x$5 !== x$5)) {
                  jsx$5 = true
                } else {
                  const x$6 = this.numberArg$1__p1__O__D(arg);
                  jsx$5 = ((x$6 === Infinity) || (x$6 === (-Infinity)))
                };
                this.with$und$plus$1__p1__T__Z__T__I__C__jl_Appendable(jsx$6, jsx$5, flags, width, conversion);
                break
              }
              default: {
                throw new $c_s_MatchError().init___O(new $c_jl_Character().init___C(conversion))
              }
            };
            break matchEnd9
          };
          throw new $c_s_MatchError().init___O(x1)
        }
      } else {
        break
      }
    };
    return this
  };
  strRepeat$1__p1__T__I__T(s, times) {
    let result = "";
    let i = times;
    while ((i > 0)) {
      result = (("" + result) + s);
      i = (((-1) + i) | 0)
    };
    return result
  };
  sciNotation$1__p1__I__T__O__I__C__jl_Appendable(precision, flags$1, arg$1, width$1, conversion$1) {
    const x = this.numberArg$1__p1__O__D(arg$1);
    const exp = x.toExponential(precision);
    const index = (((-3) + (exp.length | 0)) | 0);
    let jsx$2;
    if (((65535 & (exp.charCodeAt(index) | 0)) === 101)) {
      const endIndex = (((-1) + (exp.length | 0)) | 0);
      const jsx$3 = exp.substring(0, endIndex);
      const index$1 = (((-1) + (exp.length | 0)) | 0);
      const c = (65535 & (exp.charCodeAt(index$1) | 0));
      jsx$2 = ((jsx$3 + "0") + new $c_jl_Character().init___C(c))
    } else {
      jsx$2 = exp
    };
    const x$1 = this.numberArg$1__p1__O__D(arg$1);
    let jsx$1;
    if ((x$1 !== x$1)) {
      jsx$1 = true
    } else {
      const x$2 = this.numberArg$1__p1__O__D(arg$1);
      jsx$1 = ((x$2 === Infinity) || (x$2 === (-Infinity)))
    };
    return this.with$und$plus$1__p1__T__Z__T__I__C__jl_Appendable(jsx$2, jsx$1, flags$1, width$1, conversion$1)
  };
  intArg$1__p1__O__I(arg$1) {
    if ($isInt(arg$1)) {
      const x2 = (arg$1 | 0);
      return x2
    } else if ($is_jl_Character(arg$1)) {
      let x3;
      if ((arg$1 === null)) {
        x3 = 0
      } else {
        const this$2 = arg$1;
        x3 = this$2.value$1
      };
      return x3
    } else {
      throw new $c_s_MatchError().init___O(arg$1)
    }
  };
  java$util$Formatter$$throwClosedException__sr_Nothing$() {
    throw new $c_ju_FormatterClosedException().init___()
  };
  close__V() {
    if ((!this.closed$1)) {
      const x1 = this.dest$1;
      if ($is_Ljava_io_Closeable(x1)) {
        x1.close__V()
      }
    };
    this.closed$1 = true
  };
  with$und$plus$1__p1__T__Z__T__I__C__jl_Appendable(s, preventZero, flags$1, width$1, conversion$1) {
    return (((65535 & (s.charCodeAt(0) | 0)) !== 45) ? (this.hasFlag$1__p1__T__T__Z("+", flags$1) ? this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(s, "+", preventZero, flags$1, width$1, conversion$1) : (this.hasFlag$1__p1__T__T__Z(" ", flags$1) ? this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(s, " ", preventZero, flags$1, width$1, conversion$1) : this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(s, "", preventZero, flags$1, width$1, conversion$1))) : (this.hasFlag$1__p1__T__T__Z("(", flags$1) ? this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable((s.substring(1) + ")"), "(", preventZero, flags$1, width$1, conversion$1) : this.pad$1__p1__T__T__jl_Boolean__T__I__C__jl_Appendable(s.substring(1), "-", preventZero, flags$1, width$1, conversion$1)))
  };
  numberArg$1__p1__O__D(arg$1) {
    if ($is_jl_Number(arg$1)) {
      const x2 = arg$1;
      return $numberDoubleValue(x2)
    } else if ($is_jl_Character(arg$1)) {
      let x3;
      if ((arg$1 === null)) {
        x3 = 0
      } else {
        const this$2 = arg$1;
        x3 = this$2.value$1
      };
      return x3
    } else {
      throw new $c_s_MatchError().init___O(arg$1)
    }
  };
}
const $d_ju_Formatter = new $TypeData().initClass({
  ju_Formatter: 0
}, false, "java.util.Formatter", {
  ju_Formatter: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1
});
$c_ju_Formatter.prototype.$classData = $d_ju_Formatter;
class $c_ju_concurrent_TimeUnit$ extends $c_O {
  constructor() {
    super();
    this.NANOSECONDS$1 = null;
    this.MICROSECONDS$1 = null;
    this.MILLISECONDS$1 = null;
    this.SECONDS$1 = null;
    this.MINUTES$1 = null;
    this.HOURS$1 = null;
    this.DAYS$1 = null;
    this.$$undvalues$1 = null
  };
  init___() {
    $n_ju_concurrent_TimeUnit$ = this;
    this.NANOSECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$1().init___();
    this.MICROSECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$2().init___();
    this.MILLISECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$3().init___();
    this.SECONDS$1 = new $c_ju_concurrent_TimeUnit$$anon$4().init___();
    this.MINUTES$1 = new $c_ju_concurrent_TimeUnit$$anon$5().init___();
    this.HOURS$1 = new $c_ju_concurrent_TimeUnit$$anon$6().init___();
    this.DAYS$1 = new $c_ju_concurrent_TimeUnit$$anon$7().init___();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.NANOSECONDS$1, this.MICROSECONDS$1, this.MILLISECONDS$1, this.SECONDS$1, this.MINUTES$1, this.HOURS$1, this.DAYS$1]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_ju_concurrent_TimeUnit.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    this.$$undvalues$1 = array;
    return this
  };
  java$util$concurrent$TimeUnit$$x__J__J__J__J(a, b, max) {
    const ahi = a.hi$2;
    const bhi = max.hi$2;
    if (((ahi === bhi) ? (((-2147483648) ^ a.lo$2) > ((-2147483648) ^ max.lo$2)) : (ahi > bhi))) {
      return new $c_sjsr_RuntimeLong().init___I__I((-1), 2147483647)
    } else {
      const lo = max.lo$2;
      const hi = max.hi$2;
      const lo$1 = ((-lo) | 0);
      const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
      const ahi$1 = a.hi$2;
      if (((ahi$1 === hi$1) ? (((-2147483648) ^ a.lo$2) < ((-2147483648) ^ lo$1)) : (ahi$1 < hi$1))) {
        return new $c_sjsr_RuntimeLong().init___I__I(1, (-2147483648))
      } else {
        const alo = a.lo$2;
        const blo = b.lo$2;
        const a0 = (65535 & alo);
        const a1 = ((alo >>> 16) | 0);
        const b0 = (65535 & blo);
        const b1 = ((blo >>> 16) | 0);
        const a0b0 = $imul(a0, b0);
        const a1b0 = $imul(a1, b0);
        const a0b1 = $imul(a0, b1);
        const lo$2 = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
        const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
        const hi$2 = (((((((($imul(alo, b.hi$2) + $imul(a.hi$2, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
        return new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$2)
      }
    }
  };
}
const $d_ju_concurrent_TimeUnit$ = new $TypeData().initClass({
  ju_concurrent_TimeUnit$: 0
}, false, "java.util.concurrent.TimeUnit$", {
  ju_concurrent_TimeUnit$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$.prototype.$classData = $d_ju_concurrent_TimeUnit$;
let $n_ju_concurrent_TimeUnit$ = (void 0);
const $m_ju_concurrent_TimeUnit$ = (function() {
  if ((!$n_ju_concurrent_TimeUnit$)) {
    $n_ju_concurrent_TimeUnit$ = new $c_ju_concurrent_TimeUnit$().init___()
  };
  return $n_ju_concurrent_TimeUnit$
});
class $c_ju_concurrent_atomic_AtomicReference extends $c_O {
  constructor() {
    super();
    this.value$1 = null
  };
  compareAndSet__O__O__Z(expect, update) {
    if ((expect === this.value$1)) {
      this.value$1 = update;
      return true
    } else {
      return false
    }
  };
  init___O(value) {
    this.value$1 = value;
    return this
  };
}
class $c_ju_regex_Pattern extends $c_O {
  constructor() {
    super();
    this.jsRegExp$1 = null;
    this.$$undpattern$1 = null;
    this.$$undflags$1 = 0
  };
  init___sjs_js_RegExp__T__I(jsRegExp, _pattern, _flags) {
    this.jsRegExp$1 = jsRegExp;
    this.$$undpattern$1 = _pattern;
    this.$$undflags$1 = _flags;
    return this
  };
  toString__T() {
    return this.$$undpattern$1
  };
  split__jl_CharSequence__I__AT(input, limit) {
    const inputStr = $objectToString(input);
    if ((inputStr === "")) {
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([""]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_T.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$4.hasNext__Z()) {
        const arg1 = this$4.next__O();
        array.u[elem$1] = arg1;
        elem$1 = ((1 + elem$1) | 0)
      };
      return array
    } else {
      const lim = ((limit > 0) ? limit : 2147483647);
      const matcher = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this, inputStr, 0, (inputStr.length | 0));
      let elems$2 = null;
      elems$2 = [];
      let prevEnd = 0;
      let size = 0;
      while (((size < (((-1) + lim) | 0)) && matcher.find__Z())) {
        if ((matcher.end__I() !== 0)) {
          const beginIndex = prevEnd;
          const endIndex = matcher.start__I();
          const elem = inputStr.substring(beginIndex, endIndex);
          const unboxedElem = ((elem === null) ? null : elem);
          elems$2.push(unboxedElem);
          size = ((1 + size) | 0)
        };
        prevEnd = matcher.end__I()
      };
      const beginIndex$1 = prevEnd;
      const elem$2 = inputStr.substring(beginIndex$1);
      const unboxedElem$1 = ((elem$2 === null) ? null : elem$2);
      elems$2.push(unboxedElem$1);
      const result = $makeNativeArrayWrapper($d_T.getArrayOf(), elems$2);
      if ((limit !== 0)) {
        return result
      } else {
        let actualLength = result.u.length;
        while (((actualLength !== 0) && (result.u[(((-1) + actualLength) | 0)] === ""))) {
          actualLength = (((-1) + actualLength) | 0)
        };
        if ((actualLength === result.u.length)) {
          return result
        } else {
          const actualResult = $newArrayObject($d_T.getArrayOf(), [actualLength]);
          $systemArraycopy(result, 0, actualResult, 0, actualLength);
          return actualResult
        }
      }
    }
  };
  newJSRegExp__sjs_js_RegExp() {
    const r = new $g.RegExp(this.jsRegExp$1);
    if ((r !== this.jsRegExp$1)) {
      return r
    } else {
      const jsFlags = ((((!(!this.jsRegExp$1.global)) ? "g" : "") + ((!(!this.jsRegExp$1.ignoreCase)) ? "i" : "")) + ((!(!this.jsRegExp$1.multiline)) ? "m" : ""));
      return new $g.RegExp(this.jsRegExp$1.source, jsFlags)
    }
  };
}
const $d_ju_regex_Pattern = new $TypeData().initClass({
  ju_regex_Pattern: 0
}, false, "java.util.regex.Pattern", {
  ju_regex_Pattern: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_regex_Pattern.prototype.$classData = $d_ju_regex_Pattern;
class $c_ju_regex_Pattern$ extends $c_O {
  constructor() {
    super();
    this.java$util$regex$Pattern$$splitHackPat$1 = null;
    this.java$util$regex$Pattern$$flagHackPat$1 = null
  };
  init___() {
    $n_ju_regex_Pattern$ = this;
    this.java$util$regex$Pattern$$splitHackPat$1 = new $g.RegExp("^\\\\Q(.|\\n|\\r)\\\\E$");
    this.java$util$regex$Pattern$$flagHackPat$1 = new $g.RegExp("^\\(\\?([idmsuxU]*)(?:-([idmsuxU]*))?\\)");
    return this
  };
  matches__T__jl_CharSequence__Z(regex, input) {
    const this$1 = this.compile__T__I__ju_regex_Pattern(regex, 0);
    return new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, input, 0, $charSequenceLength(input)).matches__Z()
  };
  compile__T__I__ju_regex_Pattern(regex, flags) {
    let x1;
    if (((16 & flags) !== 0)) {
      x1 = new $c_T2().init___O__O(this.quote__T__T(regex), flags)
    } else {
      const m = this.java$util$regex$Pattern$$splitHackPat$1.exec(regex);
      let this$5;
      if ((m !== null)) {
        const value = m[1];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        this$5 = new $c_s_Some().init___O(new $c_T2().init___O__O(this.quote__T__T(value), flags))
      } else {
        this$5 = $m_s_None$()
      };
      let this$35;
      if (this$5.isEmpty__Z()) {
        const m$1 = this.java$util$regex$Pattern$$flagHackPat$1.exec(regex);
        if ((m$1 !== null)) {
          const value$1 = m$1[0];
          if ((value$1 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const thiz = value$1;
          const beginIndex = (thiz.length | 0);
          const newPat = regex.substring(beginIndex);
          const value$2 = m$1[1];
          let flags1;
          if ((value$2 === (void 0))) {
            flags1 = flags
          } else {
            const chars = value$2;
            const this$19 = new $c_sci_StringOps().init___T(chars);
            let start = 0;
            const $$this = this$19.repr$1;
            const end = ($$this.length | 0);
            let z = flags;
            let start$1 = start;
            let z$1 = z;
            let jsx$1;
            _foldl: while (true) {
              if ((start$1 !== end)) {
                const temp$start = ((1 + start$1) | 0);
                const arg1 = z$1;
                const arg2 = this$19.apply__I__O(start$1);
                const f = (arg1 | 0);
                let c;
                if ((arg2 === null)) {
                  c = 0
                } else {
                  const this$23 = arg2;
                  c = this$23.value$1
                };
                const temp$z = (f | this.java$util$regex$Pattern$$charToFlag__C__I(c));
                start$1 = temp$start;
                z$1 = temp$z;
                continue _foldl
              };
              jsx$1 = z$1;
              break
            };
            flags1 = (jsx$1 | 0)
          };
          const value$3 = m$1[2];
          let flags2;
          if ((value$3 === (void 0))) {
            flags2 = flags1
          } else {
            const chars$3 = value$3;
            const this$30 = new $c_sci_StringOps().init___T(chars$3);
            let start$2 = 0;
            const $$this$1 = this$30.repr$1;
            const end$1 = ($$this$1.length | 0);
            let z$2 = flags1;
            let start$3 = start$2;
            let z$3 = z$2;
            let jsx$2;
            _foldl$1: while (true) {
              if ((start$3 !== end$1)) {
                const temp$start$1 = ((1 + start$3) | 0);
                const arg1$1 = z$3;
                const arg2$1 = this$30.apply__I__O(start$3);
                const f$1 = (arg1$1 | 0);
                let c$1;
                if ((arg2$1 === null)) {
                  c$1 = 0
                } else {
                  const this$34 = arg2$1;
                  c$1 = this$34.value$1
                };
                const temp$z$1 = (f$1 & (~this.java$util$regex$Pattern$$charToFlag__C__I(c$1)));
                start$3 = temp$start$1;
                z$3 = temp$z$1;
                continue _foldl$1
              };
              jsx$2 = z$3;
              break
            };
            flags2 = (jsx$2 | 0)
          };
          this$35 = new $c_s_Some().init___O(new $c_T2().init___O__O(newPat, flags2))
        } else {
          this$35 = $m_s_None$()
        }
      } else {
        this$35 = this$5
      };
      x1 = (this$35.isEmpty__Z() ? new $c_T2().init___O__O(regex, flags) : this$35.get__O())
    };
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const jsPattern = x1.$$und1__O();
    const flags1$1 = x1.$$und2$mcI$sp__I();
    const jsFlags = (("g" + (((2 & flags1$1) !== 0) ? "i" : "")) + (((8 & flags1$1) !== 0) ? "m" : ""));
    const jsRegExp = new $g.RegExp(jsPattern, jsFlags);
    return new $c_ju_regex_Pattern().init___sjs_js_RegExp__T__I(jsRegExp, regex, flags1$1)
  };
  quote__T__T(s) {
    let result = "";
    let i = 0;
    while ((i < (s.length | 0))) {
      const index = i;
      const c = (65535 & (s.charCodeAt(index) | 0));
      const jsx$2 = result;
      let jsx$1;
      switch (c) {
        case 92:
        case 46:
        case 40:
        case 41:
        case 91:
        case 93:
        case 123:
        case 125:
        case 124:
        case 63:
        case 42:
        case 43:
        case 94:
        case 36: {
          jsx$1 = ("\\" + new $c_jl_Character().init___C(c));
          break
        }
        default: {
          jsx$1 = new $c_jl_Character().init___C(c)
        }
      };
      result = (("" + jsx$2) + jsx$1);
      i = ((1 + i) | 0)
    };
    return result
  };
  java$util$regex$Pattern$$charToFlag__C__I(c) {
    switch (c) {
      case 105: {
        return 2;
        break
      }
      case 100: {
        return 1;
        break
      }
      case 109: {
        return 8;
        break
      }
      case 115: {
        return 32;
        break
      }
      case 117: {
        return 64;
        break
      }
      case 120: {
        return 4;
        break
      }
      case 85: {
        return 256;
        break
      }
      default: {
        throw new $c_jl_IllegalArgumentException().init___T("bad in-pattern flag")
      }
    }
  };
}
const $d_ju_regex_Pattern$ = new $TypeData().initClass({
  ju_regex_Pattern$: 0
}, false, "java.util.regex.Pattern$", {
  ju_regex_Pattern$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_regex_Pattern$.prototype.$classData = $d_ju_regex_Pattern$;
let $n_ju_regex_Pattern$ = (void 0);
const $m_ju_regex_Pattern$ = (function() {
  if ((!$n_ju_regex_Pattern$)) {
    $n_ju_regex_Pattern$ = new $c_ju_regex_Pattern$().init___()
  };
  return $n_ju_regex_Pattern$
});
class $c_s_Console$ extends $c_s_DeprecatedConsole {
  constructor() {
    super();
    this.outVar$2 = null;
    this.errVar$2 = null;
    this.inVar$2 = null
  };
  init___() {
    $n_s_Console$ = this;
    this.outVar$2 = new $c_s_util_DynamicVariable().init___O($m_jl_System$().out$1);
    this.errVar$2 = new $c_s_util_DynamicVariable().init___O($m_jl_System$().err$1);
    this.inVar$2 = new $c_s_util_DynamicVariable().init___O(null);
    return this
  };
}
const $d_s_Console$ = new $TypeData().initClass({
  s_Console$: 0
}, false, "scala.Console$", {
  s_Console$: 1,
  s_DeprecatedConsole: 1,
  O: 1,
  s_io_AnsiColor: 1
});
$c_s_Console$.prototype.$classData = $d_s_Console$;
let $n_s_Console$ = (void 0);
const $m_s_Console$ = (function() {
  if ((!$n_s_Console$)) {
    $n_s_Console$ = new $c_s_Console$().init___()
  };
  return $n_s_Console$
});
class $c_s_Option$ extends $c_O {
  init___() {
    return this
  };
  apply__O__s_Option(x) {
    return ((x === null) ? $m_s_None$() : new $c_s_Some().init___O(x))
  };
}
const $d_s_Option$ = new $TypeData().initClass({
  s_Option$: 0
}, false, "scala.Option$", {
  s_Option$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Option$.prototype.$classData = $d_s_Option$;
let $n_s_Option$ = (void 0);
const $m_s_Option$ = (function() {
  if ((!$n_s_Option$)) {
    $n_s_Option$ = new $c_s_Option$().init___()
  };
  return $n_s_Option$
});
class $c_s_Predef$ extends $c_s_LowPriorityImplicits {
  constructor() {
    super();
    this.Map$2 = null;
    this.Set$2 = null;
    this.ClassManifest$2 = null;
    this.Manifest$2 = null;
    this.NoManifest$2 = null;
    this.StringCanBuildFrom$2 = null;
    this.singleton$und$less$colon$less$2 = null;
    this.scala$Predef$$singleton$und$eq$colon$eq$f = null
  };
  assert__Z__V(assertion) {
    if ((!assertion)) {
      throw new $c_jl_AssertionError().init___O("assertion failed")
    }
  };
  init___() {
    $n_s_Predef$ = this;
    $m_s_package$();
    $m_sci_List$();
    this.Map$2 = $m_sci_Map$();
    this.Set$2 = $m_sci_Set$();
    this.ClassManifest$2 = $m_s_reflect_package$().ClassManifest$1;
    this.Manifest$2 = $m_s_reflect_package$().Manifest$1;
    this.NoManifest$2 = $m_s_reflect_NoManifest$();
    this.StringCanBuildFrom$2 = new $c_s_Predef$$anon$3().init___();
    this.singleton$und$less$colon$less$2 = new $c_s_Predef$$anon$1().init___();
    this.scala$Predef$$singleton$und$eq$colon$eq$f = new $c_s_Predef$$anon$2().init___();
    return this
  };
  genericArrayOps__O__scm_ArrayOps(xs) {
    if ($isArrayOf_O(xs, 1)) {
      const x2 = xs;
      return new $c_scm_ArrayOps$ofRef().init___AO(x2)
    } else if ($isArrayOf_Z(xs, 1)) {
      const x3 = xs;
      return new $c_scm_ArrayOps$ofBoolean().init___AZ(x3)
    } else if ($isArrayOf_B(xs, 1)) {
      const x4 = xs;
      return new $c_scm_ArrayOps$ofByte().init___AB(x4)
    } else if ($isArrayOf_C(xs, 1)) {
      const x5 = xs;
      return new $c_scm_ArrayOps$ofChar().init___AC(x5)
    } else if ($isArrayOf_D(xs, 1)) {
      const x6 = xs;
      return new $c_scm_ArrayOps$ofDouble().init___AD(x6)
    } else if ($isArrayOf_F(xs, 1)) {
      const x7 = xs;
      return new $c_scm_ArrayOps$ofFloat().init___AF(x7)
    } else if ($isArrayOf_I(xs, 1)) {
      const x8 = xs;
      return new $c_scm_ArrayOps$ofInt().init___AI(x8)
    } else if ($isArrayOf_J(xs, 1)) {
      const x9 = xs;
      return new $c_scm_ArrayOps$ofLong().init___AJ(x9)
    } else if ($isArrayOf_S(xs, 1)) {
      const x10 = xs;
      return new $c_scm_ArrayOps$ofShort().init___AS(x10)
    } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
      const x11 = xs;
      return new $c_scm_ArrayOps$ofUnit().init___Asr_BoxedUnit(x11)
    } else if ((xs === null)) {
      return null
    } else {
      throw new $c_s_MatchError().init___O(xs)
    }
  };
  require__Z__V(requirement) {
    if ((!requirement)) {
      throw new $c_jl_IllegalArgumentException().init___T("requirement failed")
    }
  };
}
const $d_s_Predef$ = new $TypeData().initClass({
  s_Predef$: 0
}, false, "scala.Predef$", {
  s_Predef$: 1,
  s_LowPriorityImplicits: 1,
  O: 1,
  s_DeprecatedPredef: 1
});
$c_s_Predef$.prototype.$classData = $d_s_Predef$;
let $n_s_Predef$ = (void 0);
const $m_s_Predef$ = (function() {
  if ((!$n_s_Predef$)) {
    $n_s_Predef$ = new $c_s_Predef$().init___()
  };
  return $n_s_Predef$
});
class $c_s_StringContext$ extends $c_O {
  init___() {
    return this
  };
  treatEscapes0__p1__T__Z__T(str, strict) {
    const len = (str.length | 0);
    const x1 = $m_sjsr_RuntimeString$().indexOf__T__I__I(str, 92);
    switch (x1) {
      case (-1): {
        return str;
        break
      }
      default: {
        return this.replace$1__p1__I__T__Z__I__T(x1, str, strict, len)
      }
    }
  };
  loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T(i, next, str$1, strict$1, len$1, b$1) {
    _loop: while (true) {
      if ((next >= 0)) {
        if ((next > i)) {
          b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, next)
        };
        let idx = ((1 + next) | 0);
        if ((idx >= len$1)) {
          throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
        };
        const index = idx;
        const x1 = (65535 & (str$1.charCodeAt(index) | 0));
        let c;
        switch (x1) {
          case 98: {
            c = 8;
            break
          }
          case 116: {
            c = 9;
            break
          }
          case 110: {
            c = 10;
            break
          }
          case 102: {
            c = 12;
            break
          }
          case 114: {
            c = 13;
            break
          }
          case 34: {
            c = 34;
            break
          }
          case 39: {
            c = 39;
            break
          }
          case 92: {
            c = 92;
            break
          }
          default: {
            if (((x1 >= 48) && (x1 <= 55))) {
              if (strict$1) {
                throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
              };
              const index$1 = idx;
              const leadch = (65535 & (str$1.charCodeAt(index$1) | 0));
              let oct = (((-48) + leadch) | 0);
              idx = ((1 + idx) | 0);
              let jsx$2;
              if ((idx < len$1)) {
                const index$2 = idx;
                jsx$2 = ((65535 & (str$1.charCodeAt(index$2) | 0)) >= 48)
              } else {
                jsx$2 = false
              };
              let jsx$1;
              if (jsx$2) {
                const index$3 = idx;
                jsx$1 = ((65535 & (str$1.charCodeAt(index$3) | 0)) <= 55)
              } else {
                jsx$1 = false
              };
              if (jsx$1) {
                const jsx$3 = oct;
                const index$4 = idx;
                oct = (((-48) + (((jsx$3 << 3) + (65535 & (str$1.charCodeAt(index$4) | 0))) | 0)) | 0);
                idx = ((1 + idx) | 0);
                let jsx$5;
                if (((idx < len$1) && (leadch <= 51))) {
                  const index$5 = idx;
                  jsx$5 = ((65535 & (str$1.charCodeAt(index$5) | 0)) >= 48)
                } else {
                  jsx$5 = false
                };
                let jsx$4;
                if (jsx$5) {
                  const index$6 = idx;
                  jsx$4 = ((65535 & (str$1.charCodeAt(index$6) | 0)) <= 55)
                } else {
                  jsx$4 = false
                };
                if (jsx$4) {
                  const jsx$6 = oct;
                  const index$7 = idx;
                  oct = (((-48) + (((jsx$6 << 3) + (65535 & (str$1.charCodeAt(index$7) | 0))) | 0)) | 0);
                  idx = ((1 + idx) | 0)
                }
              };
              idx = (((-1) + idx) | 0);
              c = (65535 & oct)
            } else {
              throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
            }
          }
        };
        idx = ((1 + idx) | 0);
        b$1.append__C__jl_StringBuilder(c);
        const temp$i = idx;
        const temp$next = $m_sjsr_RuntimeString$().indexOf__T__I__I__I(str$1, 92, idx);
        i = temp$i;
        next = temp$next;
        continue _loop
      } else {
        if ((i < len$1)) {
          b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, len$1)
        };
        return b$1.content$1
      }
    }
  };
  replace$1__p1__I__T__Z__I__T(first, str$1, strict$1, len$1) {
    const b = new $c_jl_StringBuilder().init___();
    return this.loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T(0, first, str$1, strict$1, len$1, b)
  };
}
const $d_s_StringContext$ = new $TypeData().initClass({
  s_StringContext$: 0
}, false, "scala.StringContext$", {
  s_StringContext$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$.prototype.$classData = $d_s_StringContext$;
let $n_s_StringContext$ = (void 0);
const $m_s_StringContext$ = (function() {
  if ((!$n_s_StringContext$)) {
    $n_s_StringContext$ = new $c_s_StringContext$().init___()
  };
  return $n_s_StringContext$
});
class $c_s_concurrent_BatchingExecutor$Batch extends $c_O {
  constructor() {
    super();
    this.initial$1 = null;
    this.parentBlockContext$1 = null;
    this.$$outer$1 = null
  };
  init___s_concurrent_BatchingExecutor__sci_List($$outer, initial) {
    this.initial$1 = initial;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  processBatch$1__p1__sci_List__V(batch) {
    _processBatch: while (true) {
      const x1 = batch;
      const x$2 = $m_sci_Nil$();
      if ((!x$2.equals__O__Z(x1))) {
        if ($is_sci_$colon$colon(x1)) {
          const x2 = x1;
          const head = x2.head$5;
          const tail = x2.tl$5;
          this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V(tail);
          try {
            head.run__V()
          } catch (e) {
            const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
            if ((e$2 !== null)) {
              const remaining = this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O();
              this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.set__O__V($m_sci_Nil$());
              const r = new $c_s_concurrent_BatchingExecutor$Batch().init___s_concurrent_BatchingExecutor__sci_List(this.$$outer$1, remaining);
              r.run__V();
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
            } else {
              throw e
            }
          };
          batch = this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O();
          continue _processBatch
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      break
    }
  };
  run__V() {
    $m_s_Predef$().require__Z__V((this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.get__O() === null));
    const prevBlockContext = $m_s_concurrent_BlockContext$().current__s_concurrent_BlockContext();
    const this$1 = $m_s_concurrent_BlockContext$();
    const old = this$1.contextLocal$1.get__O();
    try {
      this$1.contextLocal$1.set__O__V(this);
      try {
        this.parentBlockContext$1 = prevBlockContext;
        this.processBatch$1__p1__sci_List__V(this.initial$1)
      } finally {
        this.$$outer$1.scala$concurrent$BatchingExecutor$$$undtasksLocal$1.remove__V();
        this.parentBlockContext$1 = null
      }
    } finally {
      this$1.contextLocal$1.set__O__V(old)
    }
  };
}
const $d_s_concurrent_BatchingExecutor$Batch = new $TypeData().initClass({
  s_concurrent_BatchingExecutor$Batch: 0
}, false, "scala.concurrent.BatchingExecutor$Batch", {
  s_concurrent_BatchingExecutor$Batch: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_BlockContext: 1
});
$c_s_concurrent_BatchingExecutor$Batch.prototype.$classData = $d_s_concurrent_BatchingExecutor$Batch;
class $c_s_concurrent_duration_Duration$ extends $c_O {
  constructor() {
    super();
    this.timeUnitLabels$1 = null;
    this.timeUnitName$1 = null;
    this.timeUnit$1 = null;
    this.Zero$1 = null;
    this.Undefined$1 = null;
    this.Inf$1 = null;
    this.MinusInf$1 = null
  };
  init___() {
    $n_s_concurrent_duration_Duration$ = this;
    $m_sci_List$();
    const self = $m_ju_concurrent_TimeUnit$().DAYS$1;
    const jsx$6 = new $c_T2().init___O__O(self, "d day");
    const self$1 = $m_ju_concurrent_TimeUnit$().HOURS$1;
    const jsx$5 = new $c_T2().init___O__O(self$1, "h hour");
    const self$2 = $m_ju_concurrent_TimeUnit$().MINUTES$1;
    const jsx$4 = new $c_T2().init___O__O(self$2, "min minute");
    const self$3 = $m_ju_concurrent_TimeUnit$().SECONDS$1;
    const jsx$3 = new $c_T2().init___O__O(self$3, "s sec second");
    const self$4 = $m_ju_concurrent_TimeUnit$().MILLISECONDS$1;
    const jsx$2 = new $c_T2().init___O__O(self$4, "ms milli millisecond");
    const self$5 = $m_ju_concurrent_TimeUnit$().MICROSECONDS$1;
    const jsx$1 = new $c_T2().init___O__O(self$5, "\u00b5s micro microsecond");
    const self$6 = $m_ju_concurrent_TimeUnit$().NANOSECONDS$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O(self$6, "ns nano nanosecond")]);
    const this$16 = $m_sci_List$();
    const cbf = this$16.ReusableCBFInstance$2;
    this.timeUnitLabels$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$17 = this.timeUnitLabels$1;
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let these = this$17;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      these = these.tail__O()
    };
    const this$20 = b.elems$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        const this$19 = $this.words__p1__T__sci_List(s);
        return $f_sc_LinearSeqOptimized__last__O(this$19)
      })
    })(this));
    const this$21 = new $c_sci_MapLike$$anon$2().init___sci_MapLike__F1(this$20, f);
    this.timeUnitName$1 = this$21;
    const this$27 = this.timeUnitLabels$1;
    const f$2 = (function(this$2$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const unit = x0$1.$$und1__O();
          const names = x0$1.$$und2__O();
          const this$25 = this$2$1.expandLabels__p1__T__sci_List(names);
          const f$1 = (function($this$1, unit$1) {
            return (function(x$5$2) {
              const x$5 = x$5$2;
              return new $c_T2().init___O__O(x$5, unit$1)
            })
          })(this$2$1, unit);
          const this$24 = $m_sci_List$();
          const bf = this$24.ReusableCBFInstance$2;
          if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
            if ((this$25 === $m_sci_Nil$())) {
              return $m_sci_Nil$()
            } else {
              const arg1$1 = this$25.head__O();
              const h = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$1), $m_sci_Nil$());
              let t = h;
              let rest = this$25.tail__O();
              while ((rest !== $m_sci_Nil$())) {
                const arg1$2 = rest.head__O();
                const nx = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$2), $m_sci_Nil$());
                t.tl$5 = nx;
                t = nx;
                rest = rest.tail__O()
              };
              return h
            }
          } else {
            const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$25, bf);
            let these$1 = this$25;
            while ((!these$1.isEmpty__Z())) {
              const arg1$3 = these$1.head__O();
              b$1.$$plus$eq__O__scm_Builder(f$1(arg1$3));
              these$1 = these$1.tail__O()
            };
            return b$1.result__O()
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this);
    const this$26 = $m_sci_List$();
    const bf$1 = this$26.ReusableCBFInstance$2;
    let jsx$7;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$27 === $m_sci_Nil$())) {
        jsx$7 = $m_sci_Nil$()
      } else {
        let rest$1 = this$27;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h$1 = new $c_sr_ObjectRef().init___O(null);
        const t$1 = new $c_sr_ObjectRef().init___O(null);
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          f$2(arg1$4).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, found$1, h$2, t$2) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$2.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$2.elem$1 = h$2.elem$1;
                found$1.elem$1 = true
              } else {
                const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$2.elem$1.tl$5 = nx$1;
                t$2.elem$1 = nx$1
              }
            })
          })(this$27, found, h$1, t$1)));
          rest$1 = rest$1.tail__O()
        };
        jsx$7 = ((!found.elem$1) ? $m_sci_Nil$() : h$1.elem$1)
      }
    } else {
      $m_sci_List$();
      const b$3 = new $c_scm_ListBuffer().init___();
      let these$2 = this$27;
      while ((!these$2.isEmpty__Z())) {
        const arg1$5 = these$2.head__O();
        const xs$1 = f$2(arg1$5).seq__sc_TraversableOnce();
        b$3.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$1);
        these$2 = these$2.tail__O()
      };
      jsx$7 = b$3.toList__sci_List()
    };
    this.timeUnit$1 = jsx$7.toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    this.Zero$1 = new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit($m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong(), $m_ju_concurrent_TimeUnit$().DAYS$1);
    this.Undefined$1 = new $c_s_concurrent_duration_Duration$$anon$1().init___();
    this.Inf$1 = new $c_s_concurrent_duration_Duration$$anon$2().init___();
    this.MinusInf$1 = new $c_s_concurrent_duration_Duration$$anon$3().init___();
    return this
  };
  apply__D__ju_concurrent_TimeUnit__s_concurrent_duration_Duration(length, unit) {
    const t = unit.toNanos__J__J(new $c_sjsr_RuntimeLong().init___I__I(1, 0));
    const lo = t.lo$2;
    const hi = t.hi$2;
    return this.fromNanos__D__s_concurrent_duration_Duration(($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) * length))
  };
  fromNanos__J__s_concurrent_duration_FiniteDuration(nanos) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-1857093632), 20116);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    if (((lo === 0) && (hi === 0))) {
      $m_s_concurrent_duration_Duration$();
      const this$2 = $m_sjsr_RuntimeLong$();
      const lo$1 = this$2.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-1857093632), 20116);
      const hi$1 = this$2.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      const unit = $m_ju_concurrent_TimeUnit$().DAYS$1;
      return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1), unit)
    } else {
      const this$4 = $m_sjsr_RuntimeLong$();
      const lo$2 = this$4.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 817405952, 838);
      const hi$2 = this$4.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      if (((lo$2 === 0) && (hi$2 === 0))) {
        $m_s_concurrent_duration_Duration$();
        const this$5 = $m_sjsr_RuntimeLong$();
        const lo$3 = this$5.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 817405952, 838);
        const hi$3 = this$5.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const unit$1 = $m_ju_concurrent_TimeUnit$().HOURS$1;
        return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$3), unit$1)
      } else {
        const this$7 = $m_sjsr_RuntimeLong$();
        const lo$4 = this$7.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-129542144), 13);
        const hi$4 = this$7.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        if (((lo$4 === 0) && (hi$4 === 0))) {
          $m_s_concurrent_duration_Duration$();
          const this$8 = $m_sjsr_RuntimeLong$();
          const lo$5 = this$8.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, (-129542144), 13);
          const hi$5 = this$8.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
          const unit$2 = $m_ju_concurrent_TimeUnit$().MINUTES$1;
          return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$5, hi$5), unit$2)
        } else {
          const this$10 = $m_sjsr_RuntimeLong$();
          const lo$6 = this$10.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000000, 0);
          const hi$6 = this$10.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
          if (((lo$6 === 0) && (hi$6 === 0))) {
            $m_s_concurrent_duration_Duration$();
            const this$11 = $m_sjsr_RuntimeLong$();
            const lo$7 = this$11.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000000, 0);
            const hi$7 = this$11.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
            const unit$3 = $m_ju_concurrent_TimeUnit$().SECONDS$1;
            return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$7, hi$7), unit$3)
          } else {
            const this$13 = $m_sjsr_RuntimeLong$();
            const lo$8 = this$13.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000, 0);
            const hi$8 = this$13.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
            if (((lo$8 === 0) && (hi$8 === 0))) {
              $m_s_concurrent_duration_Duration$();
              const this$14 = $m_sjsr_RuntimeLong$();
              const lo$9 = this$14.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000000, 0);
              const hi$9 = this$14.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
              const unit$4 = $m_ju_concurrent_TimeUnit$().MILLISECONDS$1;
              return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$9, hi$9), unit$4)
            } else {
              const this$16 = $m_sjsr_RuntimeLong$();
              const lo$10 = this$16.remainderImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000, 0);
              const hi$10 = this$16.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
              if (((lo$10 === 0) && (hi$10 === 0))) {
                $m_s_concurrent_duration_Duration$();
                const this$17 = $m_sjsr_RuntimeLong$();
                const lo$11 = this$17.divideImpl__I__I__I__I__I(nanos.lo$2, nanos.hi$2, 1000, 0);
                const hi$11 = this$17.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
                const unit$5 = $m_ju_concurrent_TimeUnit$().MICROSECONDS$1;
                return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo$11, hi$11), unit$5)
              } else {
                $m_s_concurrent_duration_Duration$();
                const unit$6 = $m_ju_concurrent_TimeUnit$().NANOSECONDS$1;
                return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(nanos, unit$6)
              }
            }
          }
        }
      }
    }
  };
  words__p1__T__sci_List(s) {
    const thiz = s.trim();
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "\\s+", 0);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const b = cbf.apply__scm_Builder();
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs));
    return b.result__O()
  };
  apply__T__s_concurrent_duration_Duration(s) {
    const this$2 = new $c_sci_StringOps().init___T(s);
    const b = new $c_scm_StringBuilder().init___();
    let i = 0;
    const $$this$1 = this$2.repr$1;
    const len = ($$this$1.length | 0);
    while ((i < len)) {
      const arg1 = this$2.apply__I__O(i);
      let x$1;
      if ((arg1 === null)) {
        x$1 = 0
      } else {
        const this$8 = arg1;
        x$1 = this$8.value$1
      };
      const this$11 = $m_jl_Character$();
      if ((this$11.isWhitespace__I__Z(x$1) !== true)) {
        let jsx$1;
        if ((arg1 === null)) {
          jsx$1 = 0
        } else {
          const this$13 = arg1;
          jsx$1 = this$13.value$1
        };
        b.$$plus$eq__C__scm_StringBuilder(jsx$1)
      };
      i = ((1 + i) | 0)
    };
    const this$14 = b.underlying$5;
    const s1 = this$14.content$1;
    if (((s1 === "Inf") || ((s1 === "PlusInf") || (s1 === "+Inf")))) {
      return this.Inf$1
    } else if (((s1 === "MinusInf") || (s1 === "-Inf"))) {
      return this.MinusInf$1
    } else {
      const this$16 = new $c_sci_StringOps().init___T(s1);
      const x = $f_sc_IndexedSeqOptimized__reverse__O(this$16);
      const this$18 = new $c_sci_StringOps().init___T(x);
      const $$this$2 = this$18.repr$1;
      const len$1 = ($$this$2.length | 0);
      let i$1 = 0;
      while (true) {
        let jsx$2;
        if ((i$1 < len$1)) {
          const arg1$1 = this$18.apply__I__O(i$1);
          let x$2;
          if ((arg1$1 === null)) {
            x$2 = 0
          } else {
            const this$22 = arg1$1;
            x$2 = this$22.value$1
          };
          const this$25 = $m_jl_Character$();
          jsx$2 = this$25.isLetter__I__Z(x$2)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          i$1 = ((1 + i$1) | 0)
        } else {
          break
        }
      };
      const n = i$1;
      const x$3 = $m_sci_StringOps$().slice$extension__T__I__I__T(this$18.repr$1, 0, n);
      const this$27 = new $c_sci_StringOps().init___T(x$3);
      const unitName = $f_sc_IndexedSeqOptimized__reverse__O(this$27);
      const x1$2 = this.timeUnit$1.get__O__s_Option(unitName);
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const unit = x2.value$2;
        const this$30 = new $c_sci_StringOps().init___T(s1);
        const n$1 = (unitName.length | 0);
        const valueStr = $f_sc_IndexedSeqOptimized__dropRight__I__O(this$30, n$1);
        const valueD = $m_jl_Double$().parseDouble__T__D(valueStr);
        if (((valueD >= (-9.007199254740992E15)) && (valueD <= 9.007199254740992E15))) {
          return $m_s_concurrent_duration_Duration$().apply__D__ju_concurrent_TimeUnit__s_concurrent_duration_Duration(valueD, unit)
        } else {
          $m_s_concurrent_duration_Duration$();
          const this$31 = $m_jl_Long$();
          const t = this$31.parseLong__T__I__J(valueStr, 10);
          const lo = t.lo$2;
          const hi = t.hi$2;
          return new $c_s_concurrent_duration_FiniteDuration().init___J__ju_concurrent_TimeUnit(new $c_sjsr_RuntimeLong().init___I__I(lo, hi), unit)
        }
      } else {
        throw new $c_jl_NumberFormatException().init___T(("format error " + s))
      }
    }
  };
  expandLabels__p1__T__sci_List(labels) {
    const x1 = this.words__p1__T__sci_List(labels);
    if ((!$is_sci_$colon$colon(x1))) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const x2 = x1;
    const hd = x2.head$5;
    const rest = x2.tl$5;
    const f = (function($this) {
      return (function(s$2) {
        const s = s$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([s, (s + "s")]);
        const this$2 = $m_sci_List$();
        const cbf = this$2.ReusableCBFInstance$2;
        return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
      })
    })(this);
    const this$3 = $m_sci_List$();
    const bf = this$3.ReusableCBFInstance$2;
    let this$8;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((rest === $m_sci_Nil$())) {
        this$8 = $m_sci_Nil$()
      } else {
        let rest$1 = rest;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h = new $c_sr_ObjectRef().init___O(null);
        const t = new $c_sr_ObjectRef().init___O(null);
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1 = rest$1.head__O();
          f(arg1).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, found$1, h$1, t$1) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1 = h$1.elem$1;
                found$1.elem$1 = true
              } else {
                const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1.tl$5 = nx;
                t$1.elem$1 = nx
              }
            })
          })(rest, found, h, t)));
          rest$1 = rest$1.tail__O()
        };
        this$8 = ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
      }
    } else {
      $m_sci_List$();
      const b = new $c_scm_ListBuffer().init___();
      let these = rest;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const xs$1 = f(arg1$1).seq__sc_TraversableOnce();
        b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$1);
        these = these.tail__O()
      };
      this$8 = b.toList__sci_List()
    };
    return new $c_sci_$colon$colon().init___O__sci_List(hd, this$8)
  };
  fromNanos__D__s_concurrent_duration_Duration(nanos) {
    if (((nanos === Infinity) || (nanos === (-Infinity)))) {
      return ((nanos > 0) ? this.Inf$1 : this.MinusInf$1)
    } else if ((nanos !== nanos)) {
      return this.Undefined$1
    } else if (((nanos > 9.223372036854776E18) || (nanos < (-9.223372036854776E18)))) {
      throw new $c_jl_IllegalArgumentException().init___T((("trying to construct too large duration with " + nanos) + "ns"))
    } else {
      const this$4 = $m_sjsr_RuntimeLong$();
      const value = (0.5 + nanos);
      const lo = this$4.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
      const hi = this$4.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      return this.fromNanos__J__s_concurrent_duration_FiniteDuration(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
    }
  };
}
const $d_s_concurrent_duration_Duration$ = new $TypeData().initClass({
  s_concurrent_duration_Duration$: 0
}, false, "scala.concurrent.duration.Duration$", {
  s_concurrent_duration_Duration$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_concurrent_duration_Duration$.prototype.$classData = $d_s_concurrent_duration_Duration$;
let $n_s_concurrent_duration_Duration$ = (void 0);
const $m_s_concurrent_duration_Duration$ = (function() {
  if ((!$n_s_concurrent_duration_Duration$)) {
    $n_s_concurrent_duration_Duration$ = new $c_s_concurrent_duration_Duration$().init___()
  };
  return $n_s_concurrent_duration_Duration$
});
class $c_s_concurrent_impl_CallbackRunnable extends $c_O {
  constructor() {
    super();
    this.executor$1 = null;
    this.onComplete$1 = null;
    this.value$1 = null
  };
  run__V() {
    $m_s_Predef$().require__Z__V((this.value$1 !== null));
    try {
      this.onComplete$1.apply__O__O(this.value$1)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        matchEnd8: {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const e$3 = o11.get__O();
            this.executor$1.reportFailure__jl_Throwable__V(e$3);
            break matchEnd8
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
  init___s_concurrent_ExecutionContext__F1(executor, onComplete) {
    this.executor$1 = executor;
    this.onComplete$1 = onComplete;
    this.value$1 = null;
    return this
  };
  executeWithValue__s_util_Try__V(v) {
    $m_s_Predef$().require__Z__V((this.value$1 === null));
    this.value$1 = v;
    try {
      this.executor$1.execute__jl_Runnable__V(this)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        matchEnd8: {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const t = o11.get__O();
            this.executor$1.reportFailure__jl_Throwable__V(t);
            break matchEnd8
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        throw e
      }
    }
  };
}
const $is_s_concurrent_impl_CallbackRunnable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_CallbackRunnable)))
});
const $isArrayOf_s_concurrent_impl_CallbackRunnable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_CallbackRunnable)))
});
const $d_s_concurrent_impl_CallbackRunnable = new $TypeData().initClass({
  s_concurrent_impl_CallbackRunnable: 0
}, false, "scala.concurrent.impl.CallbackRunnable", {
  s_concurrent_impl_CallbackRunnable: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_OnCompleteRunnable: 1
});
$c_s_concurrent_impl_CallbackRunnable.prototype.$classData = $d_s_concurrent_impl_CallbackRunnable;
const $f_s_concurrent_impl_Promise__transformWith__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $thiz.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, p$1) {
    return (function(v$2) {
      const v = v$2;
      try {
        const x1 = f$1.apply__O__O(v);
        if ((x1 === $this)) {
          return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise(p$1, v)
        } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          const x2 = x1;
          x2.link__p2__s_concurrent_impl_Promise$DefaultPromise__V(p$1.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise());
          return (void 0)
        } else {
          return $f_s_concurrent_Promise__tryCompleteWith__s_concurrent_Future__s_concurrent_Promise(p$1, x1)
        }
      } catch (e) {
        const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            const t = o11.get__O();
            return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(p$1, t)
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        } else {
          throw e
        }
      }
    })
  })($thiz, f, p)), executor);
  return p
});
const $f_s_concurrent_impl_Promise__toString__T = (function($thiz) {
  const x1 = $thiz.value__s_Option();
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const result = x2.value$2;
    return (("Future(" + result) + ")")
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      return "Future(<not completed>)"
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_s_concurrent_impl_Promise__transform__F1__s_concurrent_ExecutionContext__s_concurrent_Future = (function($thiz, f, executor) {
  const p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $thiz.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, p$1) {
    return (function(result$2) {
      const result = result$2;
      const result$1 = $f_s_concurrent_impl_Promise__liftedTree1$1__ps_concurrent_impl_Promise__F1__s_util_Try__s_util_Try($this, f$1, result);
      return $f_s_concurrent_Promise__complete__s_util_Try__s_concurrent_Promise(p$1, result$1)
    })
  })($thiz, f, p)), executor);
  return p
});
const $f_s_concurrent_impl_Promise__liftedTree1$1__ps_concurrent_impl_Promise__F1__s_util_Try__s_util_Try = (function($thiz, f$1, result$1) {
  try {
    return f$1.apply__O__O(result$1)
  } catch (e) {
    const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
      if ((!o11.isEmpty__Z())) {
        const t = o11.get__O();
        return new $c_s_util_Failure().init___jl_Throwable(t)
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
    } else {
      throw e
    }
  }
});
class $c_s_math_BigDecimal$ extends $c_O {
  constructor() {
    super();
    this.cache$1 = null;
    this.minCached$1 = 0;
    this.maxCached$1 = 0;
    this.defaultMathContext$1 = null;
    this.bitmap$0$1 = false
  };
  init___() {
    $n_s_math_BigDecimal$ = this;
    this.minCached$1 = (-512);
    this.maxCached$1 = 512;
    this.defaultMathContext$1 = $m_Ljava_math_MathContext$().DECIMAL128$1;
    return this
  };
  decimal__D__Ljava_math_MathContext__s_math_BigDecimal(d, mc) {
    return new $c_s_math_BigDecimal().init___Ljava_math_BigDecimal__Ljava_math_MathContext(new $c_Ljava_math_BigDecimal().init___T__Ljava_math_MathContext(("" + d), mc), mc)
  };
  exact__T__s_math_BigDecimal(s) {
    return this.exact__Ljava_math_BigDecimal__s_math_BigDecimal(new $c_Ljava_math_BigDecimal().init___T(s))
  };
  exact__Ljava_math_BigDecimal__s_math_BigDecimal(repr) {
    const jsx$1 = repr.precision__I();
    const this$1 = this.defaultMathContext$1;
    let mc;
    if ((jsx$1 <= this$1.precision$1)) {
      mc = this.defaultMathContext$1
    } else {
      mc = new $c_Ljava_math_MathContext().init___I__Ljava_math_RoundingMode(repr.precision__I(), $m_Ljava_math_RoundingMode$().HALF$undEVEN$1)
    };
    return new $c_s_math_BigDecimal().init___Ljava_math_BigDecimal__Ljava_math_MathContext(repr, mc)
  };
}
const $d_s_math_BigDecimal$ = new $TypeData().initClass({
  s_math_BigDecimal$: 0
}, false, "scala.math.BigDecimal$", {
  s_math_BigDecimal$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_BigDecimal$.prototype.$classData = $d_s_math_BigDecimal$;
let $n_s_math_BigDecimal$ = (void 0);
const $m_s_math_BigDecimal$ = (function() {
  if ((!$n_s_math_BigDecimal$)) {
    $n_s_math_BigDecimal$ = new $c_s_math_BigDecimal$().init___()
  };
  return $n_s_math_BigDecimal$
});
class $c_s_math_BigInt$ extends $c_O {
  constructor() {
    super();
    this.minCached$1 = 0;
    this.maxCached$1 = 0;
    this.cache$1 = null;
    this.scala$math$BigInt$$minusOne$1 = null
  };
  init___() {
    $n_s_math_BigInt$ = this;
    this.minCached$1 = (-1024);
    this.maxCached$1 = 1024;
    this.cache$1 = $newArrayObject($d_s_math_BigInt.getArrayOf(), [((1 + ((this.maxCached$1 - this.minCached$1) | 0)) | 0)]);
    this.scala$math$BigInt$$minusOne$1 = $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I((-1), (-1)));
    return this
  };
  apply__I__s_math_BigInt(i) {
    if (((this.minCached$1 <= i) && (i <= this.maxCached$1))) {
      const offset = ((i - this.minCached$1) | 0);
      let n = this.cache$1.u[offset];
      if ((n === null)) {
        const jsx$1 = $m_Ljava_math_BigInteger$();
        const hi = (i >> 31);
        n = new $c_s_math_BigInt().init___Ljava_math_BigInteger(jsx$1.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(i, hi)));
        this.cache$1.u[offset] = n
      };
      return n
    } else {
      const jsx$2 = $m_Ljava_math_BigInteger$();
      const hi$1 = (i >> 31);
      return new $c_s_math_BigInt().init___Ljava_math_BigInteger(jsx$2.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(i, hi$1)))
    }
  };
  apply__T__I__s_math_BigInt(x, radix) {
    return new $c_s_math_BigInt().init___Ljava_math_BigInteger(new $c_Ljava_math_BigInteger().init___T__I(x, radix))
  };
  apply__J__s_math_BigInt(l) {
    const value = this.minCached$1;
    const hi = (value >> 31);
    const bhi = l.hi$2;
    let jsx$1;
    if (((hi === bhi) ? (((-2147483648) ^ value) <= ((-2147483648) ^ l.lo$2)) : (hi < bhi))) {
      const value$1 = this.maxCached$1;
      const hi$1 = (value$1 >> 31);
      const ahi = l.hi$2;
      jsx$1 = ((ahi === hi$1) ? (((-2147483648) ^ l.lo$2) <= ((-2147483648) ^ value$1)) : (ahi < hi$1))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      return this.apply__I__s_math_BigInt(l.lo$2)
    } else {
      return new $c_s_math_BigInt().init___Ljava_math_BigInteger($m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(l))
    }
  };
}
const $d_s_math_BigInt$ = new $TypeData().initClass({
  s_math_BigInt$: 0
}, false, "scala.math.BigInt$", {
  s_math_BigInt$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_BigInt$.prototype.$classData = $d_s_math_BigInt$;
let $n_s_math_BigInt$ = (void 0);
const $m_s_math_BigInt$ = (function() {
  if ((!$n_s_math_BigInt$)) {
    $n_s_math_BigInt$ = new $c_s_math_BigInt$().init___()
  };
  return $n_s_math_BigInt$
});
class $c_s_math_Fractional$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Fractional$ = new $TypeData().initClass({
  s_math_Fractional$: 0
}, false, "scala.math.Fractional$", {
  s_math_Fractional$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Fractional$.prototype.$classData = $d_s_math_Fractional$;
let $n_s_math_Fractional$ = (void 0);
const $m_s_math_Fractional$ = (function() {
  if ((!$n_s_math_Fractional$)) {
    $n_s_math_Fractional$ = new $c_s_math_Fractional$().init___()
  };
  return $n_s_math_Fractional$
});
class $c_s_math_Integral$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Integral$ = new $TypeData().initClass({
  s_math_Integral$: 0
}, false, "scala.math.Integral$", {
  s_math_Integral$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Integral$.prototype.$classData = $d_s_math_Integral$;
let $n_s_math_Integral$ = (void 0);
const $m_s_math_Integral$ = (function() {
  if ((!$n_s_math_Integral$)) {
    $n_s_math_Integral$ = new $c_s_math_Integral$().init___()
  };
  return $n_s_math_Integral$
});
class $c_s_math_Numeric$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Numeric$ = new $TypeData().initClass({
  s_math_Numeric$: 0
}, false, "scala.math.Numeric$", {
  s_math_Numeric$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Numeric$.prototype.$classData = $d_s_math_Numeric$;
let $n_s_math_Numeric$ = (void 0);
const $m_s_math_Numeric$ = (function() {
  if ((!$n_s_math_Numeric$)) {
    $n_s_math_Numeric$ = new $c_s_math_Numeric$().init___()
  };
  return $n_s_math_Numeric$
});
class $c_s_math_ScalaNumber extends $c_jl_Number {
}
const $is_s_math_ScalaNumber = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_ScalaNumber)))
});
const $isArrayOf_s_math_ScalaNumber = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_ScalaNumber)))
});
class $c_s_reflect_ClassTag$ extends $c_O {
  init___() {
    return this
  };
  apply__jl_Class__s_reflect_ClassTag(runtimeClass1) {
    return ((runtimeClass1 === $d_B.getClassOf()) ? $m_s_reflect_ManifestFactory$ByteManifest$() : ((runtimeClass1 === $d_S.getClassOf()) ? $m_s_reflect_ManifestFactory$ShortManifest$() : ((runtimeClass1 === $d_C.getClassOf()) ? $m_s_reflect_ManifestFactory$CharManifest$() : ((runtimeClass1 === $d_I.getClassOf()) ? $m_s_reflect_ManifestFactory$IntManifest$() : ((runtimeClass1 === $d_J.getClassOf()) ? $m_s_reflect_ManifestFactory$LongManifest$() : ((runtimeClass1 === $d_F.getClassOf()) ? $m_s_reflect_ManifestFactory$FloatManifest$() : ((runtimeClass1 === $d_D.getClassOf()) ? $m_s_reflect_ManifestFactory$DoubleManifest$() : ((runtimeClass1 === $d_Z.getClassOf()) ? $m_s_reflect_ManifestFactory$BooleanManifest$() : ((runtimeClass1 === $d_V.getClassOf()) ? $m_s_reflect_ManifestFactory$UnitManifest$() : ((runtimeClass1 === $d_O.getClassOf()) ? $m_s_reflect_ManifestFactory$ObjectManifest$() : ((runtimeClass1 === $d_sr_Nothing$.getClassOf()) ? $m_s_reflect_ManifestFactory$NothingManifest$() : ((runtimeClass1 === $d_sr_Null$.getClassOf()) ? $m_s_reflect_ManifestFactory$NullManifest$() : new $c_s_reflect_ClassTag$GenericClassTag().init___jl_Class(runtimeClass1)))))))))))))
  };
}
const $d_s_reflect_ClassTag$ = new $TypeData().initClass({
  s_reflect_ClassTag$: 0
}, false, "scala.reflect.ClassTag$", {
  s_reflect_ClassTag$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_ClassTag$.prototype.$classData = $d_s_reflect_ClassTag$;
let $n_s_reflect_ClassTag$ = (void 0);
const $m_s_reflect_ClassTag$ = (function() {
  if ((!$n_s_reflect_ClassTag$)) {
    $n_s_reflect_ClassTag$ = new $c_s_reflect_ClassTag$().init___()
  };
  return $n_s_reflect_ClassTag$
});
class $c_s_util_Either$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_util_Either$ = new $TypeData().initClass({
  s_util_Either$: 0
}, false, "scala.util.Either$", {
  s_util_Either$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Either$.prototype.$classData = $d_s_util_Either$;
let $n_s_util_Either$ = (void 0);
const $m_s_util_Either$ = (function() {
  if ((!$n_s_util_Either$)) {
    $n_s_util_Either$ = new $c_s_util_Either$().init___()
  };
  return $n_s_util_Either$
});
class $c_s_util_Left$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "Left"
  };
}
const $d_s_util_Left$ = new $TypeData().initClass({
  s_util_Left$: 0
}, false, "scala.util.Left$", {
  s_util_Left$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left$.prototype.$classData = $d_s_util_Left$;
let $n_s_util_Left$ = (void 0);
const $m_s_util_Left$ = (function() {
  if ((!$n_s_util_Left$)) {
    $n_s_util_Left$ = new $c_s_util_Left$().init___()
  };
  return $n_s_util_Left$
});
class $c_s_util_Right$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "Right"
  };
}
const $d_s_util_Right$ = new $TypeData().initClass({
  s_util_Right$: 0
}, false, "scala.util.Right$", {
  s_util_Right$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right$.prototype.$classData = $d_s_util_Right$;
let $n_s_util_Right$ = (void 0);
const $m_s_util_Right$ = (function() {
  if ((!$n_s_util_Right$)) {
    $n_s_util_Right$ = new $c_s_util_Right$().init___()
  };
  return $n_s_util_Right$
});
class $c_s_util_control_NoStackTrace$ extends $c_O {
  constructor() {
    super();
    this.$$undnoSuppression$1 = false
  };
  init___() {
    this.$$undnoSuppression$1 = false;
    return this
  };
}
const $d_s_util_control_NoStackTrace$ = new $TypeData().initClass({
  s_util_control_NoStackTrace$: 0
}, false, "scala.util.control.NoStackTrace$", {
  s_util_control_NoStackTrace$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_control_NoStackTrace$.prototype.$classData = $d_s_util_control_NoStackTrace$;
let $n_s_util_control_NoStackTrace$ = (void 0);
const $m_s_util_control_NoStackTrace$ = (function() {
  if ((!$n_s_util_control_NoStackTrace$)) {
    $n_s_util_control_NoStackTrace$ = new $c_s_util_control_NoStackTrace$().init___()
  };
  return $n_s_util_control_NoStackTrace$
});
class $c_s_util_matching_Regex extends $c_O {
  constructor() {
    super();
    this.pattern$1 = null;
    this.scala$util$matching$Regex$$groupNames$f = null
  };
  init___T__sc_Seq(regex, groupNames) {
    const this$1 = $m_ju_regex_Pattern$();
    $c_s_util_matching_Regex.prototype.init___ju_regex_Pattern__sc_Seq.call(this, this$1.compile__T__I__ju_regex_Pattern(regex, 0), groupNames);
    return this
  };
  findFirstIn__jl_CharSequence__s_Option(source) {
    const this$1 = this.pattern$1;
    const m = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, source, 0, $charSequenceLength(source));
    return (m.find__Z() ? new $c_s_Some().init___O(m.group__T()) : $m_s_None$())
  };
  init___ju_regex_Pattern__sc_Seq(pattern, groupNames) {
    this.pattern$1 = pattern;
    this.scala$util$matching$Regex$$groupNames$f = groupNames;
    return this
  };
  toString__T() {
    return this.pattern$1.$$undpattern$1
  };
  unapplySeq__jl_CharSequence__s_Option(s) {
    if ((s === null)) {
      return $m_s_None$()
    } else {
      const this$1 = this.pattern$1;
      const m = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, s, 0, $charSequenceLength(s));
      if (m.matches__Z()) {
        const end = m.groupCount__I();
        const this$5 = new $c_sci_Range$Inclusive().init___I__I__I(1, end, 1);
        const this$6 = $m_sci_List$();
        const cbf = this$6.ReusableCBFInstance$2;
        const this$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$5, cbf);
        const f = (function($this, m$1) {
          return (function(x$1$2) {
            const x$1 = (x$1$2 | 0);
            return m$1.group__I__T(x$1)
          })
        })(this, m);
        const this$7 = $m_sci_List$();
        const bf = this$7.ReusableCBFInstance$2;
        let jsx$1;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$8 === $m_sci_Nil$())) {
            jsx$1 = $m_sci_Nil$()
          } else {
            const arg1 = this$8.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            let t = h;
            let rest = this$8.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              rest = rest.tail__O()
            };
            jsx$1 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$8, bf);
          let these = this$8;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            these = these.tail__O()
          };
          jsx$1 = b.result__O()
        };
        return new $c_s_Some().init___O(jsx$1)
      } else {
        return $m_s_None$()
      }
    }
  };
  findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(source) {
    return new $c_s_util_matching_Regex$MatchIterator().init___jl_CharSequence__s_util_matching_Regex__sc_Seq(source, this, this.scala$util$matching$Regex$$groupNames$f)
  };
  findFirstMatchIn__jl_CharSequence__s_Option(source) {
    const this$1 = this.pattern$1;
    const m = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, source, 0, $charSequenceLength(source));
    return (m.find__Z() ? new $c_s_Some().init___O(new $c_s_util_matching_Regex$Match().init___jl_CharSequence__ju_regex_Matcher__sc_Seq(source, m, this.scala$util$matching$Regex$$groupNames$f)) : $m_s_None$())
  };
  findAllMatchIn__jl_CharSequence__sc_Iterator(source) {
    const matchIterator = this.findAllIn__jl_CharSequence__s_util_matching_Regex$MatchIterator(source);
    return new $c_s_util_matching_Regex$$anon$4().init___s_util_matching_Regex__s_util_matching_Regex$MatchIterator(this, matchIterator)
  };
}
const $d_s_util_matching_Regex = new $TypeData().initClass({
  s_util_matching_Regex: 0
}, false, "scala.util.matching.Regex", {
  s_util_matching_Regex: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_matching_Regex.prototype.$classData = $d_s_util_matching_Regex;
class $c_sc_IndexedSeq$$anon$1 extends $c_scg_GenTraversableFactory$GenericCanBuildFrom {
  init___() {
    $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sc_IndexedSeq$());
    return this
  };
  apply__scm_Builder() {
    $m_sc_IndexedSeq$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sc_IndexedSeq$$anon$1 = new $TypeData().initClass({
  sc_IndexedSeq$$anon$1: 0
}, false, "scala.collection.IndexedSeq$$anon$1", {
  sc_IndexedSeq$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sc_IndexedSeq$$anon$1.prototype.$classData = $d_sc_IndexedSeq$$anon$1;
class $c_sc_Map$ extends $c_scg_MapFactory {
  init___() {
    return this
  };
  empty__sc_GenMap() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_sc_Map$ = new $TypeData().initClass({
  sc_Map$: 0
}, false, "scala.collection.Map$", {
  sc_Map$: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_sc_Map$.prototype.$classData = $d_sc_Map$;
let $n_sc_Map$ = (void 0);
const $m_sc_Map$ = (function() {
  if ((!$n_sc_Map$)) {
    $n_sc_Map$ = new $c_sc_Map$().init___()
  };
  return $n_sc_Map$
});
class $c_sc_TraversableOnce$$anon$2 extends $c_sr_AbstractFunction1 {
  apply__O__O(v1) {
    return this
  };
  init___sc_TraversableOnce($$outer) {
    return this
  };
}
const $d_sc_TraversableOnce$$anon$2 = new $TypeData().initClass({
  sc_TraversableOnce$$anon$2: 0
}, false, "scala.collection.TraversableOnce$$anon$2", {
  sc_TraversableOnce$$anon$2: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1
});
$c_sc_TraversableOnce$$anon$2.prototype.$classData = $d_sc_TraversableOnce$$anon$2;
class $c_scg_GenSeqFactory extends $c_scg_GenTraversableFactory {
}
class $c_scg_GenTraversableFactory$$anon$1 extends $c_scg_GenTraversableFactory$GenericCanBuildFrom {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  apply__scm_Builder() {
    return this.$$outer$2.newBuilder__scm_Builder()
  };
  init___scg_GenTraversableFactory($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $$outer);
    return this
  };
}
const $d_scg_GenTraversableFactory$$anon$1 = new $TypeData().initClass({
  scg_GenTraversableFactory$$anon$1: 0
}, false, "scala.collection.generic.GenTraversableFactory$$anon$1", {
  scg_GenTraversableFactory$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenTraversableFactory$$anon$1.prototype.$classData = $d_scg_GenTraversableFactory$$anon$1;
class $c_scg_ImmutableMapFactory extends $c_scg_MapFactory {
}
class $c_scg_MutableMapFactory extends $c_scg_MapFactory {
  newBuilder__scm_Builder() {
    return this.empty__sc_Map()
  };
}
class $c_sci_$colon$colon$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "::"
  };
}
const $d_sci_$colon$colon$ = new $TypeData().initClass({
  sci_$colon$colon$: 0
}, false, "scala.collection.immutable.$colon$colon$", {
  sci_$colon$colon$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_$colon$colon$.prototype.$classData = $d_sci_$colon$colon$;
let $n_sci_$colon$colon$ = (void 0);
const $m_sci_$colon$colon$ = (function() {
  if ((!$n_sci_$colon$colon$)) {
    $n_sci_$colon$colon$ = new $c_sci_$colon$colon$().init___()
  };
  return $n_sci_$colon$colon$
});
class $c_sci_Range$ extends $c_O {
  constructor() {
    super();
    this.MAX$undPRINT$1 = 0
  };
  init___() {
    this.MAX$undPRINT$1 = 512;
    return this
  };
  description__p1__I__I__I__Z__T(start, end, step, isInclusive) {
    return ((((start + (isInclusive ? " to " : " until ")) + end) + " by ") + step)
  };
  scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(start, end, step, isInclusive) {
    throw new $c_jl_IllegalArgumentException().init___T((this.description__p1__I__I__I__Z__T(start, end, step, isInclusive) + ": seqs cannot contain more than Int.MaxValue elements."))
  };
}
const $d_sci_Range$ = new $TypeData().initClass({
  sci_Range$: 0
}, false, "scala.collection.immutable.Range$", {
  sci_Range$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range$.prototype.$classData = $d_sci_Range$;
let $n_sci_Range$ = (void 0);
const $m_sci_Range$ = (function() {
  if ((!$n_sci_Range$)) {
    $n_sci_Range$ = new $c_sci_Range$().init___()
  };
  return $n_sci_Range$
});
class $c_sci_Stream$StreamCanBuildFrom extends $c_scg_GenTraversableFactory$GenericCanBuildFrom {
  init___() {
    $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sci_Stream$());
    return this
  };
}
const $d_sci_Stream$StreamCanBuildFrom = new $TypeData().initClass({
  sci_Stream$StreamCanBuildFrom: 0
}, false, "scala.collection.immutable.Stream$StreamCanBuildFrom", {
  sci_Stream$StreamCanBuildFrom: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sci_Stream$StreamCanBuildFrom.prototype.$classData = $d_sci_Stream$StreamCanBuildFrom;
class $c_scm_StringBuilder$ extends $c_O {
  init___() {
    return this
  };
}
const $d_scm_StringBuilder$ = new $TypeData().initClass({
  scm_StringBuilder$: 0
}, false, "scala.collection.mutable.StringBuilder$", {
  scm_StringBuilder$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder$.prototype.$classData = $d_scm_StringBuilder$;
let $n_scm_StringBuilder$ = (void 0);
const $m_scm_StringBuilder$ = (function() {
  if ((!$n_scm_StringBuilder$)) {
    $n_scm_StringBuilder$ = new $c_scm_StringBuilder$().init___()
  };
  return $n_scm_StringBuilder$
});
class $c_sjs_niocharset_UTF$und8$ extends $c_Ljava_nio_charset_Charset {
  constructor() {
    super();
    this.scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2 = null
  };
  init___() {
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["UTF8", "unicode-1-1-utf-8"]);
    const len = (xs.array$6.length | 0);
    const array = $newArrayObject($d_T.getArrayOf(), [len]);
    let elem$1 = 0;
    elem$1 = 0;
    const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      array.u[elem$1] = arg1;
      elem$1 = ((1 + elem$1) | 0)
    };
    $c_Ljava_nio_charset_Charset.prototype.init___T__AT.call(this, "UTF-8", array);
    $n_sjs_niocharset_UTF$und8$ = this;
    this.scala$scalajs$niocharset$UTF$und8$$lengthByLeading$2 = $m_s_Array$().apply__I__sc_Seq__AI((-1), new $c_sjs_js_WrappedArray().init___sjs_js_Array([(-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1), 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 4, 4, 4, 4, 4, 4, 4, 4, (-1), (-1), (-1), (-1), (-1), (-1), (-1), (-1)]));
    return this
  };
}
const $d_sjs_niocharset_UTF$und8$ = new $TypeData().initClass({
  sjs_niocharset_UTF$und8$: 0
}, false, "scala.scalajs.niocharset.UTF_8$", {
  sjs_niocharset_UTF$und8$: 1,
  Ljava_nio_charset_Charset: 1,
  O: 1,
  jl_Comparable: 1
});
$c_sjs_niocharset_UTF$und8$.prototype.$classData = $d_sjs_niocharset_UTF$und8$;
let $n_sjs_niocharset_UTF$und8$ = (void 0);
const $m_sjs_niocharset_UTF$und8$ = (function() {
  if ((!$n_sjs_niocharset_UTF$und8$)) {
    $n_sjs_niocharset_UTF$und8$ = new $c_sjs_niocharset_UTF$und8$().init___()
  };
  return $n_sjs_niocharset_UTF$und8$
});
class $c_sjsr_AnonFunction0 extends $c_sr_AbstractFunction0 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O() {
    return (0, this.f$2)()
  };
  init___sjs_js_Function0(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction0 = new $TypeData().initClass({
  sjsr_AnonFunction0: 0
}, false, "scala.scalajs.runtime.AnonFunction0", {
  sjsr_AnonFunction0: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1
});
$c_sjsr_AnonFunction0.prototype.$classData = $d_sjsr_AnonFunction0;
class $c_sjsr_AnonFunction1 extends $c_sr_AbstractFunction1 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O__O(arg1) {
    return (0, this.f$2)(arg1)
  };
  init___sjs_js_Function1(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction1 = new $TypeData().initClass({
  sjsr_AnonFunction1: 0
}, false, "scala.scalajs.runtime.AnonFunction1", {
  sjsr_AnonFunction1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1
});
$c_sjsr_AnonFunction1.prototype.$classData = $d_sjsr_AnonFunction1;
class $c_sjsr_AnonFunction2 extends $c_sr_AbstractFunction2 {
  constructor() {
    super();
    this.f$2 = null
  };
  init___sjs_js_Function2(f) {
    this.f$2 = f;
    return this
  };
  apply__O__O__O(arg1, arg2) {
    return (0, this.f$2)(arg1, arg2)
  };
}
const $d_sjsr_AnonFunction2 = new $TypeData().initClass({
  sjsr_AnonFunction2: 0
}, false, "scala.scalajs.runtime.AnonFunction2", {
  sjsr_AnonFunction2: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1
});
$c_sjsr_AnonFunction2.prototype.$classData = $d_sjsr_AnonFunction2;
class $c_sjsr_AnonFunction3 extends $c_sr_AbstractFunction3 {
  constructor() {
    super();
    this.f$2 = null
  };
  init___sjs_js_Function3(f) {
    this.f$2 = f;
    return this
  };
  apply__O__O__O__O(arg1, arg2, arg3) {
    return (0, this.f$2)(arg1, arg2, arg3)
  };
}
const $d_sjsr_AnonFunction3 = new $TypeData().initClass({
  sjsr_AnonFunction3: 0
}, false, "scala.scalajs.runtime.AnonFunction3", {
  sjsr_AnonFunction3: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1
});
$c_sjsr_AnonFunction3.prototype.$classData = $d_sjsr_AnonFunction3;
class $c_sjsr_AnonFunction4 extends $c_sr_AbstractFunction4 {
  constructor() {
    super();
    this.f$2 = null
  };
  apply__O__O__O__O__O(arg1, arg2, arg3, arg4) {
    return (0, this.f$2)(arg1, arg2, arg3, arg4)
  };
  init___sjs_js_Function4(f) {
    this.f$2 = f;
    return this
  };
}
const $d_sjsr_AnonFunction4 = new $TypeData().initClass({
  sjsr_AnonFunction4: 0
}, false, "scala.scalajs.runtime.AnonFunction4", {
  sjsr_AnonFunction4: 1,
  sr_AbstractFunction4: 1,
  O: 1,
  F4: 1
});
$c_sjsr_AnonFunction4.prototype.$classData = $d_sjsr_AnonFunction4;
class $c_sjsr_AnonFunction5 extends $c_sr_AbstractFunction5 {
  constructor() {
    super();
    this.f$2 = null
  };
  init___sjs_js_Function5(f) {
    this.f$2 = f;
    return this
  };
  apply__O__O__O__O__O__O(arg1, arg2, arg3, arg4, arg5) {
    return (0, this.f$2)(arg1, arg2, arg3, arg4, arg5)
  };
}
const $d_sjsr_AnonFunction5 = new $TypeData().initClass({
  sjsr_AnonFunction5: 0
}, false, "scala.scalajs.runtime.AnonFunction5", {
  sjsr_AnonFunction5: 1,
  sr_AbstractFunction5: 1,
  O: 1,
  F5: 1
});
$c_sjsr_AnonFunction5.prototype.$classData = $d_sjsr_AnonFunction5;
class $c_sjsr_RuntimeLong$ extends $c_O {
  constructor() {
    super();
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
    this.Zero$1 = null
  };
  init___() {
    $n_sjsr_RuntimeLong$ = this;
    this.Zero$1 = new $c_sjsr_RuntimeLong().init___I__I(0, 0);
    return this
  };
  Zero__sjsr_RuntimeLong() {
    return this.Zero$1
  };
  toUnsignedString__p1__I__I__T(lo, hi) {
    if ((((-2097152) & hi) === 0)) {
      const this$5 = ((4.294967296E9 * hi) + (+(lo >>> 0)));
      return ("" + this$5)
    } else {
      return this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(lo, hi, 1000000000, 0, 2)
    }
  };
  divideImpl__I__I__I__I__I(alo, ahi, blo, bhi) {
    if (((blo | bhi) === 0)) {
      throw new $c_jl_ArithmeticException().init___T("/ by zero")
    };
    if ((ahi === (alo >> 31))) {
      if ((bhi === (blo >> 31))) {
        if (((alo === (-2147483648)) && (blo === (-1)))) {
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
          return (-2147483648)
        } else {
          const lo = ((alo / blo) | 0);
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
          return lo
        }
      } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-1);
        return (-1)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else {
      const neg = (ahi < 0);
      let abs_$_lo$2;
      let abs_$_hi$2;
      if (neg) {
        const lo$1 = ((-alo) | 0);
        const hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi;
        abs_$_lo$2 = jsx$1_$_lo$2;
        abs_$_hi$2 = jsx$1_$_hi$2
      } else {
        const jsx$2_$_lo$2 = alo;
        const jsx$2_$_hi$2 = ahi;
        abs_$_lo$2 = jsx$2_$_lo$2;
        abs_$_hi$2 = jsx$2_$_hi$2
      };
      const neg$1 = (bhi < 0);
      let abs$1_$_lo$2;
      let abs$1_$_hi$2;
      if (neg$1) {
        const lo$2 = ((-blo) | 0);
        const hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
        const jsx$3_$_lo$2 = lo$2;
        const jsx$3_$_hi$2 = hi$1;
        abs$1_$_lo$2 = jsx$3_$_lo$2;
        abs$1_$_hi$2 = jsx$3_$_hi$2
      } else {
        const jsx$4_$_lo$2 = blo;
        const jsx$4_$_hi$2 = bhi;
        abs$1_$_lo$2 = jsx$4_$_lo$2;
        abs$1_$_hi$2 = jsx$4_$_hi$2
      };
      const absRLo = this.unsigned$und$div__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
      if ((neg === neg$1)) {
        return absRLo
      } else {
        const hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        return ((-absRLo) | 0)
      }
    }
  };
  scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) {
    if ((hi < 0)) {
      const x = ((lo !== 0) ? (~hi) : ((-hi) | 0));
      const x$1 = ((-lo) | 0);
      return (-((4.294967296E9 * (+(x >>> 0))) + (+(x$1 >>> 0))))
    } else {
      return ((4.294967296E9 * hi) + (+(lo >>> 0)))
    }
  };
  fromDouble__D__sjsr_RuntimeLong(value) {
    const lo = this.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
  };
  scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value) {
    if ((value < (-9.223372036854776E18))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-2147483648);
      return 0
    } else if ((value >= 9.223372036854776E18)) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 2147483647;
      return (-1)
    } else {
      const rawLo = ((value | 0) | 0);
      const x = (value / 4.294967296E9);
      const rawHi = ((x | 0) | 0);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (((value < 0) && (rawLo !== 0)) ? (((-1) + rawHi) | 0) : rawHi);
      return rawLo
    }
  };
  unsigned$und$div__p1__I__I__I__I__I(alo, ahi, blo, bhi) {
    if ((((-2097152) & ahi) === 0)) {
      if ((((-2097152) & bhi) === 0)) {
        const aDouble = ((4.294967296E9 * ahi) + (+(alo >>> 0)));
        const bDouble = ((4.294967296E9 * bhi) + (+(blo >>> 0)));
        const rDouble = (aDouble / bDouble);
        const x = (rDouble / 4.294967296E9);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((x | 0) | 0);
        return ((rDouble | 0) | 0)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
      const pow = ((31 - $clz32(blo)) | 0);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((ahi >>> pow) | 0);
      return (((alo >>> pow) | 0) | ((ahi << 1) << ((31 - pow) | 0)))
    } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
      const pow$2 = ((31 - $clz32(bhi)) | 0);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return ((ahi >>> pow$2) | 0)
    } else {
      return (this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 0) | 0)
    }
  };
  divideUnsignedImpl__I__I__I__I__I(alo, ahi, blo, bhi) {
    if (((blo | bhi) === 0)) {
      throw new $c_jl_ArithmeticException().init___T("/ by zero")
    };
    if ((ahi === 0)) {
      if ((bhi === 0)) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        const x = ((+(alo >>> 0)) / (+(blo >>> 0)));
        return ((x | 0) | 0)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else {
      return this.unsigned$und$div__p1__I__I__I__I__I(alo, ahi, blo, bhi)
    }
  };
  scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(lo, hi) {
    return ((hi === (lo >> 31)) ? ("" + lo) : ((hi < 0) ? ("-" + this.toUnsignedString__p1__I__I__T(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))) : this.toUnsignedString__p1__I__I__T(lo, hi)))
  };
  scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(alo, ahi, blo, bhi) {
    return ((ahi === bhi) ? ((alo === blo) ? 0 : ((((-2147483648) ^ alo) < ((-2147483648) ^ blo)) ? (-1) : 1)) : ((ahi < bhi) ? (-1) : 1))
  };
  unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, ask) {
    let shift = ((((bhi !== 0) ? $clz32(bhi) : ((32 + $clz32(blo)) | 0)) - ((ahi !== 0) ? $clz32(ahi) : ((32 + $clz32(alo)) | 0))) | 0);
    const n = shift;
    const lo = (((32 & n) === 0) ? (blo << n) : 0);
    const hi = (((32 & n) === 0) ? (((((blo >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (bhi << n)) : (blo << n));
    let bShiftLo = lo;
    let bShiftHi = hi;
    let remLo = alo;
    let remHi = ahi;
    let quotLo = 0;
    let quotHi = 0;
    while (((shift >= 0) && (((-2097152) & remHi) !== 0))) {
      const alo$1 = remLo;
      const ahi$1 = remHi;
      const blo$1 = bShiftLo;
      const bhi$1 = bShiftHi;
      if (((ahi$1 === bhi$1) ? (((-2147483648) ^ alo$1) >= ((-2147483648) ^ blo$1)) : (((-2147483648) ^ ahi$1) >= ((-2147483648) ^ bhi$1)))) {
        const lo$1 = remLo;
        const hi$1 = remHi;
        const lo$2 = bShiftLo;
        const hi$2 = bShiftHi;
        const lo$3 = ((lo$1 - lo$2) | 0);
        const hi$3 = ((((-2147483648) ^ lo$3) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
        remLo = lo$3;
        remHi = hi$3;
        if ((shift < 32)) {
          quotLo = (quotLo | (1 << shift))
        } else {
          quotHi = (quotHi | (1 << shift))
        }
      };
      shift = (((-1) + shift) | 0);
      const lo$4 = bShiftLo;
      const hi$4 = bShiftHi;
      const lo$5 = (((lo$4 >>> 1) | 0) | (hi$4 << 31));
      const hi$5 = ((hi$4 >>> 1) | 0);
      bShiftLo = lo$5;
      bShiftHi = hi$5
    };
    const alo$2 = remLo;
    const ahi$2 = remHi;
    if (((ahi$2 === bhi) ? (((-2147483648) ^ alo$2) >= ((-2147483648) ^ blo)) : (((-2147483648) ^ ahi$2) >= ((-2147483648) ^ bhi)))) {
      const lo$6 = remLo;
      const hi$6 = remHi;
      const remDouble = ((4.294967296E9 * hi$6) + (+(lo$6 >>> 0)));
      const bDouble = ((4.294967296E9 * bhi) + (+(blo >>> 0)));
      if ((ask !== 1)) {
        const x = (remDouble / bDouble);
        const lo$7 = ((x | 0) | 0);
        const x$1 = (x / 4.294967296E9);
        const hi$7 = ((x$1 | 0) | 0);
        const lo$8 = quotLo;
        const hi$8 = quotHi;
        const lo$9 = ((lo$8 + lo$7) | 0);
        const hi$9 = ((((-2147483648) ^ lo$9) < ((-2147483648) ^ lo$8)) ? ((1 + ((hi$8 + hi$7) | 0)) | 0) : ((hi$8 + hi$7) | 0));
        quotLo = lo$9;
        quotHi = hi$9
      };
      if ((ask !== 0)) {
        const rem_mod_bDouble = (remDouble % bDouble);
        remLo = ((rem_mod_bDouble | 0) | 0);
        const x$2 = (rem_mod_bDouble / 4.294967296E9);
        remHi = ((x$2 | 0) | 0)
      }
    };
    if ((ask === 0)) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = quotHi;
      const a = quotLo;
      return a
    } else if ((ask === 1)) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = remHi;
      const a$1 = remLo;
      return a$1
    } else {
      const lo$10 = quotLo;
      const hi$10 = quotHi;
      const quot = ((4.294967296E9 * hi$10) + (+(lo$10 >>> 0)));
      const this$25 = remLo;
      const remStr = ("" + this$25);
      const a$2 = ((("" + quot) + "000000000".substring((remStr.length | 0))) + remStr);
      return a$2
    }
  };
  remainderImpl__I__I__I__I__I(alo, ahi, blo, bhi) {
    if (((blo | bhi) === 0)) {
      throw new $c_jl_ArithmeticException().init___T("/ by zero")
    };
    if ((ahi === (alo >> 31))) {
      if ((bhi === (blo >> 31))) {
        if ((blo !== (-1))) {
          const lo = ((alo % blo) | 0);
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
          return lo
        } else {
          this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
          return 0
        }
      } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
        return alo
      }
    } else {
      const neg = (ahi < 0);
      let abs_$_lo$2;
      let abs_$_hi$2;
      if (neg) {
        const lo$1 = ((-alo) | 0);
        const hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi;
        abs_$_lo$2 = jsx$1_$_lo$2;
        abs_$_hi$2 = jsx$1_$_hi$2
      } else {
        const jsx$2_$_lo$2 = alo;
        const jsx$2_$_hi$2 = ahi;
        abs_$_lo$2 = jsx$2_$_lo$2;
        abs_$_hi$2 = jsx$2_$_hi$2
      };
      const neg$1 = (bhi < 0);
      let abs$1_$_lo$2;
      let abs$1_$_hi$2;
      if (neg$1) {
        const lo$2 = ((-blo) | 0);
        const hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
        const jsx$3_$_lo$2 = lo$2;
        const jsx$3_$_hi$2 = hi$1;
        abs$1_$_lo$2 = jsx$3_$_lo$2;
        abs$1_$_hi$2 = jsx$3_$_hi$2
      } else {
        const jsx$4_$_lo$2 = blo;
        const jsx$4_$_hi$2 = bhi;
        abs$1_$_lo$2 = jsx$4_$_lo$2;
        abs$1_$_hi$2 = jsx$4_$_hi$2
      };
      const absRLo = this.unsigned$und$percent__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
      if (neg) {
        const hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
        return ((-absRLo) | 0)
      } else {
        return absRLo
      }
    }
  };
  unsigned$und$percent__p1__I__I__I__I__I(alo, ahi, blo, bhi) {
    if ((((-2097152) & ahi) === 0)) {
      if ((((-2097152) & bhi) === 0)) {
        const aDouble = ((4.294967296E9 * ahi) + (+(alo >>> 0)));
        const bDouble = ((4.294967296E9 * bhi) + (+(blo >>> 0)));
        const rDouble = (aDouble % bDouble);
        const x = (rDouble / 4.294967296E9);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((x | 0) | 0);
        return ((rDouble | 0) | 0)
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
        return alo
      }
    } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return (alo & (((-1) + blo) | 0))
    } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (ahi & (((-1) + bhi) | 0));
      return alo
    } else {
      return (this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 1) | 0)
    }
  };
}
const $d_sjsr_RuntimeLong$ = new $TypeData().initClass({
  sjsr_RuntimeLong$: 0
}, false, "scala.scalajs.runtime.RuntimeLong$", {
  sjsr_RuntimeLong$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sjsr_RuntimeLong$.prototype.$classData = $d_sjsr_RuntimeLong$;
let $n_sjsr_RuntimeLong$ = (void 0);
const $m_sjsr_RuntimeLong$ = (function() {
  if ((!$n_sjsr_RuntimeLong$)) {
    $n_sjsr_RuntimeLong$ = new $c_sjsr_RuntimeLong$().init___()
  };
  return $n_sjsr_RuntimeLong$
});
class $c_sr_AbstractPartialFunction extends $c_O {
  apply__O__O(x) {
    return this.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().empty$undpf$1)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(x) {
    return (!(!this.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().empty$undpf$1)))
  };
}
const $d_sr_Nothing$ = new $TypeData().initClass({
  sr_Nothing$: 0
}, false, "scala.runtime.Nothing$", {
  sr_Nothing$: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
class $c_Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_AnyShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_client_model_domain_AnyShape(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_client_model_domain_AnyShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$: 0
}, false, "amf.client.convert.AnyShapeConverter$AnyShapeMatcher$", {
  Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$;
class $c_Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_BaseUnitConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_core_model_document_BaseUnit()
  };
  asClient__Lamf_core_model_document_BaseUnit__Lamf_client_model_document_BaseUnit(from) {
    const this$1 = this.$$outer$1.platform__Lamf_core_remote_Platform();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_document_BaseUnit__Lamf_client_model_document_BaseUnit(from)
  };
}
const $d_Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$: 0
}, false, "amf.client.convert.BaseUnitConverter$BaseUnitMatcher$", {
  Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$.prototype.$classData = $d_Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$;
class $c_Lamf_client_convert_CallbackConverter$CallbackMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_domain_webapi_models_Callback__Lamf_client_model_domain_Callback(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Callback__Lamf_client_model_domain_Callback(from)
  };
  init___Lamf_client_convert_CallbackConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_CallbackConverter$CallbackMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CallbackConverter$CallbackMatcher$: 0
}, false, "amf.client.convert.CallbackConverter$CallbackMatcher$", {
  Lamf_client_convert_CallbackConverter$CallbackMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_CallbackConverter$CallbackMatcher$.prototype.$classData = $d_Lamf_client_convert_CallbackConverter$CallbackMatcher$;
class $c_Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_ClassTermMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__Lamf_client_model_domain_ClassTerm(from)
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__Lamf_client_model_domain_ClassTerm(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$: 0
}, false, "amf.client.convert.ClassTermMappingConverter$ClassTermMappingConverter$", {
  Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$.prototype.$classData = $d_Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$;
class $c_Lamf_client_convert_CoreBaseConverter$AnyMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$AnyMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$AnyMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$AnyMatcher$", {
  Lamf_client_convert_CoreBaseConverter$AnyMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$AnyMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$AnyMatcher$;
class $c_Lamf_client_convert_CoreBaseConverter$BooleanMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$BooleanMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$BooleanMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$BooleanMatcher$", {
  Lamf_client_convert_CoreBaseConverter$BooleanMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$BooleanMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$BooleanMatcher$;
class $c_Lamf_client_convert_CoreBaseConverter$ContentMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$ContentMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$ContentMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$ContentMatcher$", {
  Lamf_client_convert_CoreBaseConverter$ContentMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$ContentMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$ContentMatcher$;
class $c_Lamf_client_convert_CoreBaseConverter$DoubleMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$DoubleMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$DoubleMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$DoubleMatcher$", {
  Lamf_client_convert_CoreBaseConverter$DoubleMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$DoubleMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$DoubleMatcher$;
class $c_Lamf_client_convert_CoreBaseConverter$IntMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$IntMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$IntMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$IntMatcher$", {
  Lamf_client_convert_CoreBaseConverter$IntMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$IntMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$IntMatcher$;
class $c_Lamf_client_convert_CoreBaseConverter$StringMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$StringMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$StringMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$StringMatcher$", {
  Lamf_client_convert_CoreBaseConverter$StringMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$StringMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$StringMatcher$;
class $c_Lamf_client_convert_CoreBaseConverter$UnitMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CoreBaseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    return from
  };
  asClient__O__O(from) {
    return from
  };
}
const $d_Lamf_client_convert_CoreBaseConverter$UnitMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CoreBaseConverter$UnitMatcher$: 0
}, false, "amf.client.convert.CoreBaseConverter$UnitMatcher$", {
  Lamf_client_convert_CoreBaseConverter$UnitMatcher$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter$IdentityMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1
});
$c_Lamf_client_convert_CoreBaseConverter$UnitMatcher$.prototype.$classData = $d_Lamf_client_convert_CoreBaseConverter$UnitMatcher$;
class $c_Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_CreativeWorkConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_client_model_domain_CreativeWork(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_client_model_domain_CreativeWork(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$: 0
}, false, "amf.client.convert.CreativeWorkConverter$CreativeWorkMatcher$", {
  Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$.prototype.$classData = $d_Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$;
class $c_Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(from$1)
  };
  init___Lamf_client_convert_CustomDomainPropertyConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$: 0
}, false, "amf.client.convert.CustomDomainPropertyConverter$CustomDomainPropertyMatcher$", {
  Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$.prototype.$classData = $d_Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$;
class $c_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_ArrayNode().init___Lamf_core_model_domain_ArrayNode(from$1)
  };
  init___Lamf_client_convert_DataNodeConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$: 0
}, false, "amf.client.convert.DataNodeConverter$ArrayNodeMatcher$", {
  Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$.prototype.$classData = $d_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$;
class $c_Lamf_client_convert_DataNodeConverter$DataNodeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from) {
    if ($is_Lamf_core_model_domain_ObjectNode(from)) {
      const x2 = from;
      this.$$outer$1.ObjectNodeMatcher__Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$();
      return new $c_Lamf_client_model_domain_ObjectNode().init___Lamf_core_model_domain_ObjectNode(x2)
    } else if ($is_Lamf_core_model_domain_ScalarNode(from)) {
      const x3 = from;
      this.$$outer$1.ScalarNodeMatcher__Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$();
      return new $c_Lamf_client_model_domain_ScalarNode().init___Lamf_core_model_domain_ScalarNode(x3)
    } else if ($is_Lamf_core_model_domain_ArrayNode(from)) {
      const x4 = from;
      this.$$outer$1.ArrayNodeMatcher__Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$();
      return new $c_Lamf_client_model_domain_ArrayNode().init___Lamf_core_model_domain_ArrayNode(x4)
    } else {
      return null
    }
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_core_model_domain_DataNode()
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
  };
  init___Lamf_client_convert_DataNodeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_DataNodeConverter$DataNodeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DataNodeConverter$DataNodeMatcher$: 0
}, false, "amf.client.convert.DataNodeConverter$DataNodeMatcher$", {
  Lamf_client_convert_DataNodeConverter$DataNodeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DataNodeConverter$DataNodeMatcher$.prototype.$classData = $d_Lamf_client_convert_DataNodeConverter$DataNodeMatcher$;
class $c_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_ObjectNode().init___Lamf_core_model_domain_ObjectNode(from$1)
  };
  init___Lamf_client_convert_DataNodeConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$: 0
}, false, "amf.client.convert.DataNodeConverter$ObjectNodeMatcher$", {
  Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$.prototype.$classData = $d_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$;
class $c_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_ScalarNode().init___Lamf_core_model_domain_ScalarNode(from$1)
  };
  init___Lamf_client_convert_DataNodeConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$: 0
}, false, "amf.client.convert.DataNodeConverter$ScalarNodeMatcher$", {
  Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$.prototype.$classData = $d_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$;
class $c_Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm__Lamf_client_model_domain_DatatypePropertyTerm(from)
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm__Lamf_client_model_domain_DatatypePropertyTerm(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  init___Lamf_client_convert_DatatypePropertyMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$: 0
}, false, "amf.client.convert.DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$", {
  Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$.prototype.$classData = $d_Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$;
class $c_Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_DeclarationsConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration()
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_client_model_domain_AbstractDeclaration(from)
  };
  asClient__Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_client_model_domain_AbstractDeclaration(from) {
    const this$1 = this.$$outer$1.platform__Lamf_core_remote_Platform();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$: 0
}, false, "amf.client.convert.DeclarationsConverter$AbstractDeclarationMatcher$", {
  Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$.prototype.$classData = $d_Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$;
class $c_Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_DeclarationsConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration()
  };
  asClient__Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_client_model_domain_ParametrizedDeclaration(from) {
    const this$1 = this.$$outer$1.platform__Lamf_core_remote_Platform();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_client_model_domain_ParametrizedDeclaration(from)
  };
}
const $d_Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$: 0
}, false, "amf.client.convert.DeclarationsConverter$ParameterizedDeclarationMatcher$", {
  Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$.prototype.$classData = $d_Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$;
class $c_Lamf_client_convert_DialectConverter$DialectConverter$ extends $c_O {
  init___Lamf_client_convert_DialectConverter($$outer) {
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_document_Dialect().init___Lamf_plugins_document_vocabularies_model_document_Dialect(from$1)
  };
}
const $d_Lamf_client_convert_DialectConverter$DialectConverter$ = new $TypeData().initClass({
  Lamf_client_convert_DialectConverter$DialectConverter$: 0
}, false, "amf.client.convert.DialectConverter$DialectConverter$", {
  Lamf_client_convert_DialectConverter$DialectConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DialectConverter$DialectConverter$.prototype.$classData = $d_Lamf_client_convert_DialectConverter$DialectConverter$;
class $c_Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_DialectDomainElementConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_client_model_domain_DialectDomainElement(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_client_model_domain_DialectDomainElement(from)
  };
}
const $d_Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$ = new $TypeData().initClass({
  Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$: 0
}, false, "amf.client.convert.DialectDomainElementConverter$DialectDomainElementConvertej$", {
  Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$.prototype.$classData = $d_Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$;
class $c_Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_DocumentMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping__Lamf_client_model_domain_DocumentMapping(from)
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping__Lamf_client_model_domain_DocumentMapping(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$: 0
}, false, "amf.client.convert.DocumentMappingConverter$DocumentMappingConverter$", {
  Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$.prototype.$classData = $d_Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$;
class $c_Lamf_client_convert_DomainElementConverter$DomainElementMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_core_model_domain_DomainElement()
  };
  init___Lamf_client_convert_DomainElementConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(from)
  };
  asClient__Lamf_core_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(from) {
    const this$1 = this.$$outer$1.platform__Lamf_core_remote_Platform();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_DomainElementConverter$DomainElementMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DomainElementConverter$DomainElementMatcher$: 0
}, false, "amf.client.convert.DomainElementConverter$DomainElementMatcher$", {
  Lamf_client_convert_DomainElementConverter$DomainElementMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DomainElementConverter$DomainElementMatcher$.prototype.$classData = $d_Lamf_client_convert_DomainElementConverter$DomainElementMatcher$;
class $c_Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_DomainExtensionConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_DomainExtension().init___Lamf_core_model_domain_extensions_DomainExtension(from$1)
  };
}
const $d_Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$: 0
}, false, "amf.client.convert.DomainExtensionConverter$DomainExtensionMatcher$", {
  Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$.prototype.$classData = $d_Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$;
class $c_Lamf_client_convert_EncodingConverter$EncodingMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_EncodingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Encoding__Lamf_client_model_domain_Encoding(from)
  };
  asClient__Lamf_plugins_domain_webapi_models_Encoding__Lamf_client_model_domain_Encoding(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_EncodingConverter$EncodingMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_EncodingConverter$EncodingMatcher$: 0
}, false, "amf.client.convert.EncodingConverter$EncodingMatcher$", {
  Lamf_client_convert_EncodingConverter$EncodingMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_EncodingConverter$EncodingMatcher$.prototype.$classData = $d_Lamf_client_convert_EncodingConverter$EncodingMatcher$;
class $c_Lamf_client_convert_EndPointConverter$EndPointMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_client_model_domain_EndPoint(from)
  };
  init___Lamf_client_convert_EndPointConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_client_model_domain_EndPoint(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_EndPointConverter$EndPointMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_EndPointConverter$EndPointMatcher$: 0
}, false, "amf.client.convert.EndPointConverter$EndPointMatcher$", {
  Lamf_client_convert_EndPointConverter$EndPointMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_EndPointConverter$EndPointMatcher$.prototype.$classData = $d_Lamf_client_convert_EndPointConverter$EndPointMatcher$;
class $c_Lamf_client_convert_ExampleConverter$ExampleMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_ExampleConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_Example__Lamf_client_model_domain_Example(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_Example__Lamf_client_model_domain_Example(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ExampleConverter$ExampleMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ExampleConverter$ExampleMatcher$: 0
}, false, "amf.client.convert.ExampleConverter$ExampleMatcher$", {
  Lamf_client_convert_ExampleConverter$ExampleMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ExampleConverter$ExampleMatcher$.prototype.$classData = $d_Lamf_client_convert_ExampleConverter$ExampleMatcher$;
class $c_Lamf_client_convert_ExternalConverter$ExternalConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_External__Lamf_client_model_domain_External(from)
  };
  init___Lamf_client_convert_ExternalConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_External__Lamf_client_model_domain_External(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ExternalConverter$ExternalConverter$ = new $TypeData().initClass({
  Lamf_client_convert_ExternalConverter$ExternalConverter$: 0
}, false, "amf.client.convert.ExternalConverter$ExternalConverter$", {
  Lamf_client_convert_ExternalConverter$ExternalConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ExternalConverter$ExternalConverter$.prototype.$classData = $d_Lamf_client_convert_ExternalConverter$ExternalConverter$;
class $c_Lamf_client_convert_FileShapeConverter$FileShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_FileShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_FileShape__Lamf_client_model_domain_FileShape(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_FileShape__Lamf_client_model_domain_FileShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_FileShapeConverter$FileShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_FileShapeConverter$FileShapeMatcher$: 0
}, false, "amf.client.convert.FileShapeConverter$FileShapeMatcher$", {
  Lamf_client_convert_FileShapeConverter$FileShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_FileShapeConverter$FileShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_FileShapeConverter$FileShapeMatcher$;
class $c_Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_Graph().init___Lamf_core_model_domain_Graph(from$1)
  };
  init___Lamf_client_convert_GraphDomainConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$ = new $TypeData().initClass({
  Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$: 0
}, false, "amf.client.convert.GraphDomainConverter$GraphDomainConverter$", {
  Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$.prototype.$classData = $d_Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$;
class $c_Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asClient__Lamf_plugins_domain_webapi_models_IriTemplateMapping__Lamf_client_model_domain_IriTemplateMapping(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_IriTemplateMapping__Lamf_client_model_domain_IriTemplateMapping(from)
  };
  init___Lamf_client_convert_IriTemplateMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$: 0
}, false, "amf.client.convert.IriTemplateMappingConverter$IriTemplateMappingConverter$", {
  Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$.prototype.$classData = $d_Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$;
class $c_Lamf_client_convert_LicenseConverter$LicenseMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_LicenseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_domain_webapi_models_License__Lamf_client_model_domain_License(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_License__Lamf_client_model_domain_License(from)
  };
}
const $d_Lamf_client_convert_LicenseConverter$LicenseMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_LicenseConverter$LicenseMatcher$: 0
}, false, "amf.client.convert.LicenseConverter$LicenseMatcher$", {
  Lamf_client_convert_LicenseConverter$LicenseMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_LicenseConverter$LicenseMatcher$.prototype.$classData = $d_Lamf_client_convert_LicenseConverter$LicenseMatcher$;
class $c_Lamf_client_convert_NilShapeConverter$NilShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_NilShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_domain_shapes_models_NilShape__Lamf_client_model_domain_NilShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_NilShape__Lamf_client_model_domain_NilShape(from)
  };
}
const $d_Lamf_client_convert_NilShapeConverter$NilShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_NilShapeConverter$NilShapeMatcher$: 0
}, false, "amf.client.convert.NilShapeConverter$NilShapeMatcher$", {
  Lamf_client_convert_NilShapeConverter$NilShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_NilShapeConverter$NilShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_NilShapeConverter$NilShapeMatcher$;
class $c_Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_client_model_domain_NodeMapping(from)
  };
  init___Lamf_client_convert_NodeMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_client_model_domain_NodeMapping(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$: 0
}, false, "amf.client.convert.NodeMappingConverter$NodeMappingConverter$", {
  Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$.prototype.$classData = $d_Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$;
class $c_Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asClient__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_client_model_domain_NodeShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_NodeShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_client_model_domain_NodeShape(from)
  };
}
const $d_Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$: 0
}, false, "amf.client.convert.NodeShapeConverter$NodeShapeMatcher$", {
  Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$;
class $c_Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_ObjectPropertyMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm__Lamf_client_model_domain_ObjectPropertyTerm(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm__Lamf_client_model_domain_ObjectPropertyTerm(from)
  };
}
const $d_Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$: 0
}, false, "amf.client.convert.ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$", {
  Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$.prototype.$classData = $d_Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$;
class $c_Lamf_client_convert_OperationConverter$OperationMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Operation__Lamf_client_model_domain_Operation(from)
  };
  init___Lamf_client_convert_OperationConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_domain_webapi_models_Operation__Lamf_client_model_domain_Operation(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_OperationConverter$OperationMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_OperationConverter$OperationMatcher$: 0
}, false, "amf.client.convert.OperationConverter$OperationMatcher$", {
  Lamf_client_convert_OperationConverter$OperationMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_OperationConverter$OperationMatcher$.prototype.$classData = $d_Lamf_client_convert_OperationConverter$OperationMatcher$;
class $c_Lamf_client_convert_OrganizationConverter$OrganizationMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_OrganizationConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Organization__Lamf_client_model_domain_Organization(from)
  };
  asClient__Lamf_plugins_domain_webapi_models_Organization__Lamf_client_model_domain_Organization(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_OrganizationConverter$OrganizationMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_OrganizationConverter$OrganizationMatcher$: 0
}, false, "amf.client.convert.OrganizationConverter$OrganizationMatcher$", {
  Lamf_client_convert_OrganizationConverter$OrganizationMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_OrganizationConverter$OrganizationMatcher$.prototype.$classData = $d_Lamf_client_convert_OrganizationConverter$OrganizationMatcher$;
class $c_Lamf_client_convert_ParameterConverter$ParameterMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  init___Lamf_client_convert_ParameterConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ParameterConverter$ParameterMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ParameterConverter$ParameterMatcher$: 0
}, false, "amf.client.convert.ParameterConverter$ParameterMatcher$", {
  Lamf_client_convert_ParameterConverter$ParameterMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ParameterConverter$ParameterMatcher$.prototype.$classData = $d_Lamf_client_convert_ParameterConverter$ParameterMatcher$;
class $c_Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_client_model_domain_ParametrizedSecurityScheme(from)
  };
  asClient__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_client_model_domain_ParametrizedSecurityScheme(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  init___Lamf_client_convert_ParametrizedSecuritySchemeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$: 0
}, false, "amf.client.convert.ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$", {
  Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$.prototype.$classData = $d_Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$;
class $c_Lamf_client_convert_PayloadConverter$PayloadMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_PayloadConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_PayloadConverter$PayloadMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_PayloadConverter$PayloadMatcher$: 0
}, false, "amf.client.convert.PayloadConverter$PayloadMatcher$", {
  Lamf_client_convert_PayloadConverter$PayloadMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_PayloadConverter$PayloadMatcher$.prototype.$classData = $d_Lamf_client_convert_PayloadConverter$PayloadMatcher$;
class $c_Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_PropertyDependenciesConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_client_model_domain_PropertyDependencies(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_client_model_domain_PropertyDependencies(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$: 0
}, false, "amf.client.convert.PropertyDependenciesConverter$PropertyDependenciesMatcher$", {
  Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$.prototype.$classData = $d_Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$;
class $c_Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_client_model_domain_PropertyMapping(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_client_model_domain_PropertyMapping(from)
  };
  init___Lamf_client_convert_PropertyMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$: 0
}, false, "amf.client.convert.PropertyMappingConverter$PropertyMappingConverter$", {
  Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$.prototype.$classData = $d_Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$;
class $c_Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asClient__Lamf_core_model_domain_extensions_PropertyShape__Lamf_client_model_domain_PropertyShape(from) {
    const this$1 = this.$$outer$1.platform__Lamf_core_remote_Platform();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_domain_extensions_PropertyShape__Lamf_client_model_domain_PropertyShape(from)
  };
  init___Lamf_client_convert_PropertyShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$: 0
}, false, "amf.client.convert.PropertyShapeConverter$PropertyShapeMatcher$", {
  Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$;
class $c_Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_PublicNodeMappingConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping__Lamf_client_model_domain_PublicNodeMapping(from)
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping__Lamf_client_model_domain_PublicNodeMapping(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$ = new $TypeData().initClass({
  Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$: 0
}, false, "amf.client.convert.PublicNodeMappingConverter$PublicNodeMappingConverter$", {
  Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$.prototype.$classData = $d_Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$;
class $c_Lamf_client_convert_RequestConverter$RequestMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Request__Lamf_client_model_domain_Request(from)
  };
  init___Lamf_client_convert_RequestConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_domain_webapi_models_Request__Lamf_client_model_domain_Request(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_RequestConverter$RequestMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_RequestConverter$RequestMatcher$: 0
}, false, "amf.client.convert.RequestConverter$RequestMatcher$", {
  Lamf_client_convert_RequestConverter$RequestMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_RequestConverter$RequestMatcher$.prototype.$classData = $d_Lamf_client_convert_RequestConverter$RequestMatcher$;
class $c_Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_internal_resource_ResourceLoaderAdapter().init___Lamf_client_resource_ResourceLoader(from$1)
  };
  asClient__Lamf_internal_resource_ResourceLoader__Lamf_client_resource_ResourceLoader(from) {
    if ($is_Lamf_internal_resource_ResourceLoaderAdapter(from)) {
      const x2 = from;
      const adaptee = x2.adaptee$1;
      return adaptee
    } else {
      throw new $c_s_MatchError().init___O(from)
    }
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_internal_resource_ResourceLoader__Lamf_client_resource_ResourceLoader(from)
  };
  init___Lamf_client_convert_ResourceLoaderConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$: 0
}, false, "amf.client.convert.ResourceLoaderConverter$ResourceLoaderMatcher$", {
  Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$.prototype.$classData = $d_Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$;
class $c_Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_ResourceTypeConverter($$outer) {
    return this
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_ResourceType().init___Lamf_plugins_domain_webapi_models_templates_ResourceType(from$1)
  };
}
const $d_Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$: 0
}, false, "amf.client.convert.ResourceTypeConverter$ResourceTypeMatcher$", {
  Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$.prototype.$classData = $d_Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$;
class $c_Lamf_client_convert_ResponseConverter$ResponseMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_ResponseConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Response__Lamf_client_model_domain_Response(from)
  };
  asClient__Lamf_plugins_domain_webapi_models_Response__Lamf_client_model_domain_Response(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ResponseConverter$ResponseMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ResponseConverter$ResponseMatcher$: 0
}, false, "amf.client.convert.ResponseConverter$ResponseMatcher$", {
  Lamf_client_convert_ResponseConverter$ResponseMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ResponseConverter$ResponseMatcher$.prototype.$classData = $d_Lamf_client_convert_ResponseConverter$ResponseMatcher$;
class $c_Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_ScalarShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_client_model_domain_ScalarShape(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_client_model_domain_ScalarShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$: 0
}, false, "amf.client.convert.ScalarShapeConverter$ScalarShapeMatcher$", {
  Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$;
class $c_Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_client_model_domain_SchemaShape(from)
  };
  asClient__Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_client_model_domain_SchemaShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  init___Lamf_client_convert_SchemaShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$: 0
}, false, "amf.client.convert.SchemaShapeConverter$SchemaShapeMatcher$", {
  Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$;
class $c_Lamf_client_convert_ScopeConverter$ScopeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_domain_webapi_models_security_Scope__Lamf_client_model_domain_Scope(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_security_Scope__Lamf_client_model_domain_Scope(from)
  };
  init___Lamf_client_convert_ScopeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_ScopeConverter$ScopeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ScopeConverter$ScopeMatcher$: 0
}, false, "amf.client.convert.ScopeConverter$ScopeMatcher$", {
  Lamf_client_convert_ScopeConverter$ScopeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ScopeConverter$ScopeMatcher$.prototype.$classData = $d_Lamf_client_convert_ScopeConverter$ScopeMatcher$;
class $c_Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asClient__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_client_model_domain_SecurityScheme(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_SecuritySchemeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_client_model_domain_SecurityScheme(from)
  };
}
const $d_Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$: 0
}, false, "amf.client.convert.SecuritySchemeConverter$SecuritySchemeMatcher$", {
  Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$.prototype.$classData = $d_Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$;
class $c_Lamf_client_convert_ServerConverter$ServerMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  init___Lamf_client_convert_ServerConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from)
  };
  asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ServerConverter$ServerMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ServerConverter$ServerMatcher$: 0
}, false, "amf.client.convert.ServerConverter$ServerMatcher$", {
  Lamf_client_convert_ServerConverter$ServerMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ServerConverter$ServerMatcher$.prototype.$classData = $d_Lamf_client_convert_ServerConverter$ServerMatcher$;
class $c_Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(from$1)
  };
  init___Lamf_client_convert_SettingsConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$: 0
}, false, "amf.client.convert.SettingsConverter$ApiKeySettingsMatcher$", {
  Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$.prototype.$classData = $d_Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$;
class $c_Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_HttpSettings().init___Lamf_plugins_domain_webapi_models_security_HttpSettings(from$1)
  };
  init___Lamf_client_convert_SettingsConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$: 0
}, false, "amf.client.convert.SettingsConverter$HttpSettingsMatcher$", {
  Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$.prototype.$classData = $d_Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$;
class $c_Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(from$1)
  };
  init___Lamf_client_convert_SettingsConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$: 0
}, false, "amf.client.convert.SettingsConverter$OAuth1SettingsMatcher$", {
  Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$.prototype.$classData = $d_Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$;
class $c_Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(from$1)
  };
  init___Lamf_client_convert_SettingsConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$: 0
}, false, "amf.client.convert.SettingsConverter$OAuth2SettingsMatcher$", {
  Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$.prototype.$classData = $d_Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$;
class $c_Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_OpenIdConnectSettings().init___Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(from$1)
  };
  init___Lamf_client_convert_SettingsConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$: 0
}, false, "amf.client.convert.SettingsConverter$OpenIdConnectSettingsMatcher$", {
  Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$.prototype.$classData = $d_Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$;
class $c_Lamf_client_convert_SettingsConverter$SettingsMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_plugins_domain_webapi_models_security_Settings()
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_client_model_domain_Settings(from)
  };
  init___Lamf_client_convert_SettingsConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_client_model_domain_Settings(from) {
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(from)) {
      const x2 = from;
      this.$$outer$1.OAuth1SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$();
      return new $c_Lamf_client_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(x2)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(from)) {
      const x3 = from;
      this.$$outer$1.OAuth2SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$();
      return new $c_Lamf_client_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(x3)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(from)) {
      const x4 = from;
      this.$$outer$1.ApiKeySettingsMatcher__Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$();
      return new $c_Lamf_client_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(x4)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_HttpSettings(from)) {
      const x5 = from;
      this.$$outer$1.HttpSettingsMatcher__Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$();
      return new $c_Lamf_client_model_domain_HttpSettings().init___Lamf_plugins_domain_webapi_models_security_HttpSettings(x5)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(from)) {
      const x6 = from;
      this.$$outer$1.OpenIdConnectSettingsMatcher__Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$();
      return new $c_Lamf_client_model_domain_OpenIdConnectSettings().init___Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(x6)
    } else if ((from !== null)) {
      return new $c_Lamf_client_model_domain_Settings().init___Lamf_plugins_domain_webapi_models_security_Settings(from)
    } else {
      throw new $c_s_MatchError().init___O(from)
    }
  };
}
const $d_Lamf_client_convert_SettingsConverter$SettingsMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_SettingsConverter$SettingsMatcher$: 0
}, false, "amf.client.convert.SettingsConverter$SettingsMatcher$", {
  Lamf_client_convert_SettingsConverter$SettingsMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_SettingsConverter$SettingsMatcher$.prototype.$classData = $d_Lamf_client_convert_SettingsConverter$SettingsMatcher$;
class $c_Lamf_client_convert_ShapeConverter$ShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal__Lamf_core_model_domain_Shape()
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  init___Lamf_client_convert_ShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from) {
    const this$1 = this.$$outer$1.platform__Lamf_core_remote_Platform();
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_ShapeConverter$ShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_ShapeConverter$ShapeMatcher$: 0
}, false, "amf.client.convert.ShapeConverter$ShapeMatcher$", {
  Lamf_client_convert_ShapeConverter$ShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_ShapeConverter$ShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_ShapeConverter$ShapeMatcher$;
class $c_Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_domain_webapi_models_TemplatedLink__Lamf_client_model_domain_TemplatedLink(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  init___Lamf_client_convert_TemplatedLinkConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_webapi_models_TemplatedLink__Lamf_client_model_domain_TemplatedLink(from)
  };
}
const $d_Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$ = new $TypeData().initClass({
  Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$: 0
}, false, "amf.client.convert.TemplatedLinkConverter$TemplatedLinkConverter$", {
  Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$.prototype.$classData = $d_Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$;
class $c_Lamf_client_convert_TraitConverter$TraitMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_Trait().init___Lamf_plugins_domain_webapi_models_templates_Trait(from$1)
  };
  init___Lamf_client_convert_TraitConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_TraitConverter$TraitMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_TraitConverter$TraitMatcher$: 0
}, false, "amf.client.convert.TraitConverter$TraitMatcher$", {
  Lamf_client_convert_TraitConverter$TraitMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_TraitConverter$TraitMatcher$.prototype.$classData = $d_Lamf_client_convert_TraitConverter$TraitMatcher$;
class $c_Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$3
  };
  asClient__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_client_model_domain_TupleShape(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_client_model_domain_TupleShape(from)
  };
  init___Lamf_client_convert_TupleShapeConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $d_Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$: 0
}, false, "amf.client.convert.TupleShapeConverter$TupleShapeMatcher$", {
  Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$.prototype.$classData = $d_Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$;
class $c_Lamf_client_convert_VariableValueConverter$VariableValueMatcher$ extends $c_O {
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    const from$1 = from;
    return new $c_Lamf_client_model_domain_VariableValue().init___Lamf_core_model_domain_templates_VariableValue(from$1)
  };
  init___Lamf_client_convert_VariableValueConverter($$outer) {
    return this
  };
}
const $d_Lamf_client_convert_VariableValueConverter$VariableValueMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_VariableValueConverter$VariableValueMatcher$: 0
}, false, "amf.client.convert.VariableValueConverter$VariableValueMatcher$", {
  Lamf_client_convert_VariableValueConverter$VariableValueMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_VariableValueConverter$VariableValueMatcher$.prototype.$classData = $d_Lamf_client_convert_VariableValueConverter$VariableValueMatcher$;
class $c_Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_client_convert_VocabularyReferenceConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_document_vocabularies_model_domain_VocabularyReference__Lamf_client_model_domain_VocabularyReference(from)
  };
  asClient__Lamf_plugins_document_vocabularies_model_domain_VocabularyReference__Lamf_client_model_domain_VocabularyReference(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
}
const $d_Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$ = new $TypeData().initClass({
  Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$: 0
}, false, "amf.client.convert.VocabularyReferenceConverter$VocabularyReferenceConverter$", {
  Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$.prototype.$classData = $d_Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$;
class $c_Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  asInternal__O__O(from) {
    const from$1 = from;
    return from$1.$$undinternal$1
  };
  asClient__Lamf_plugins_domain_shapes_models_XMLSerializer__Lamf_client_model_domain_XMLSerializer(from) {
    const this$1 = this.$$outer$1.platform$1;
    return $f_Lamf_core_remote_Platform__wrap__Lamf_core_model_domain_AmfObject__Lamf_client_model_AmfObjectWrapper(this$1, from)
  };
  init___Lamf_client_convert_XMLSerializerConverter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  asClient__O__O(from) {
    return this.asClient__Lamf_plugins_domain_shapes_models_XMLSerializer__Lamf_client_model_domain_XMLSerializer(from)
  };
}
const $d_Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$ = new $TypeData().initClass({
  Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$: 0
}, false, "amf.client.convert.XMLSerializerConverter$XMLSerializerMatcher$", {
  Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$: 1,
  O: 1,
  Lamf_client_convert_BidirectionalMatcher: 1,
  Lamf_client_convert_ClientInternalMatcher: 1,
  Lamf_client_convert_InternalClientMatcher: 1
});
$c_Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$.prototype.$classData = $d_Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$;
class $c_Lamf_client_model_domain_PropertyTerm extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withDisplayName__T__Lamf_client_model_domain_PropertyTerm(displayName) {
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  subPropertyOf__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$displayName__O() {
    return this.displayName__Lamf_client_model_StrField()
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$meth$withRange__T__O(range) {
    return this.withRange__T__Lamf_client_model_domain_PropertyTerm(range)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Description$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$range__O() {
    return this.range__Lamf_client_model_StrField()
  };
  init___Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_client_model_domain_PropertyTerm(displayName)
  };
  withRange__T__Lamf_client_model_domain_PropertyTerm(range) {
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Range$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, range);
    return this
  };
  $$js$exported$meth$withSubClasOf__sc_Seq__O(superProperties) {
    return this.withSubClasOf__sc_Seq__Lamf_client_model_domain_PropertyTerm(superProperties)
  };
  withName__T__Lamf_client_model_domain_PropertyTerm(name) {
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  range__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Range$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_PropertyTerm(description)
  };
  withSubClasOf__sc_Seq__Lamf_client_model_domain_PropertyTerm(superProperties) {
    this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm().withSubClassOf__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(superProperties);
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal__Lamf_core_model_domain_DomainElement().id__T()
  };
  $$js$exported$prop$subPropertyOf__O() {
    return this.subPropertyOf__sjs_js_Array()
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  withDescription__T__Lamf_client_model_domain_PropertyTerm(description) {
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  displayName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().DisplayName$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_PropertyTerm(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withSubClasOf"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSubClasOf__sc_Seq__O(prep0)
  };
  "withRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRange__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "subPropertyOf"() {
    return this.$$js$exported$prop$subPropertyOf__O()
  };
  get "range"() {
    return this.$$js$exported$prop$range__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
class $c_Lamf_client_model_domain_Settings extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal__Lamf_plugins_domain_webapi_models_security_Settings()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withAdditionalProperties__Lamf_client_model_domain_DataNode__O(properties) {
    return this.withAdditionalProperties__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Settings(properties)
  };
  additionalProperties__Lamf_client_model_domain_DataNode() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_webapi_models_security_Settings();
    const from = this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return m.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
  };
  $$js$exported$prop$additionalProperties__O() {
    return this.additionalProperties__Lamf_client_model_domain_DataNode()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  withAdditionalProperties__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Settings(properties) {
    const this$2 = this.$$undinternal__Lamf_plugins_domain_webapi_models_security_Settings();
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    const additionalProperties = properties.$$undinternal__Lamf_core_model_domain_DataNode();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, additionalProperties);
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal__Lamf_core_model_domain_DomainElement().id__T()
  };
  $$undinternal__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.$$undinternal$1
  };
  init___Lamf_plugins_domain_webapi_models_security_Settings(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withAdditionalProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAdditionalProperties__Lamf_client_model_domain_DataNode__O(prep0)
  };
  get "additionalProperties"() {
    return this.$$js$exported$prop$additionalProperties__O()
  };
}
const $is_Lamf_client_model_domain_Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Settings)))
});
const $isArrayOf_Lamf_client_model_domain_Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Settings)))
});
const $d_Lamf_client_model_domain_Settings = new $TypeData().initClass({
  Lamf_client_model_domain_Settings: 0
}, false, "amf.client.model.domain.Settings", {
  Lamf_client_model_domain_Settings: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_client_model_domain_Settings.prototype.$classData = $d_Lamf_client_model_domain_Settings;
class $c_Lamf_core_annotations_Aliases$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_annotations_Aliases(annotatedValue, objects) {
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(annotatedValue, ",", 0);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const x$1 = arg1;
      const x1$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(x$1, "->", 0);
      let elem;
      matchEnd4$2$1: {
        const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1$1);
        if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(2) === 0)))) {
          const alias = o7.get__O().apply__I__O(0);
          const urls = o7.get__O().apply__I__O(1);
          const x1$2 = $m_sjsr_RuntimeString$().split__T__T__I__AT(urls, "::", 0);
          const o7$2 = $m_s_Array$().unapplySeq__O__s_Option(x1$2);
          if (((!o7$2.isEmpty__Z()) && ((o7$2.get__O() !== null) && (o7$2.get__O().lengthCompare__I__I(2) === 0)))) {
            const fullUrl = o7$2.get__O().apply__I__O(0);
            const relativeUrl = o7$2.get__O().apply__I__O(1);
            const y = new $c_T2().init___O__O(fullUrl, relativeUrl);
            elem = new $c_T2().init___O__O(alias, y);
            break matchEnd4$2$1
          };
          throw new $c_s_MatchError().init___O(x1$2)
        };
        throw new $c_s_MatchError().init___O(x1$1)
      };
      const unboxedElem = ((elem === null) ? null : elem);
      elems$2.push(unboxedElem);
      i = ((1 + i) | 0)
    };
    const xs$1 = $makeNativeArrayWrapper($d_T2.getArrayOf(), elems$2);
    const this$15 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$15);
    const b = cbf.apply__scm_Builder();
    const x1$3 = xs$1.u.length;
    switch (x1$3) {
      case (-1): {
        break
      }
      default: {
        b.sizeHint__I__V(x1$3)
      }
    };
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs$1));
    return new $c_Lamf_core_annotations_Aliases().init___sci_Set(b.result__O())
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_core_annotations_Aliases(annotatedValue, objects)
  };
}
const $d_Lamf_core_annotations_Aliases$ = new $TypeData().initClass({
  Lamf_core_annotations_Aliases$: 0
}, false, "amf.core.annotations.Aliases$", {
  Lamf_core_annotations_Aliases$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_Aliases$.prototype.$classData = $d_Lamf_core_annotations_Aliases$;
let $n_Lamf_core_annotations_Aliases$ = (void 0);
const $m_Lamf_core_annotations_Aliases$ = (function() {
  if ((!$n_Lamf_core_annotations_Aliases$)) {
    $n_Lamf_core_annotations_Aliases$ = new $c_Lamf_core_annotations_Aliases$().init___()
  };
  return $n_Lamf_core_annotations_Aliases$
});
class $c_Lamf_core_annotations_BasePathLexicalInformation$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_core_annotations_BasePathLexicalInformation(annotatedValue, objects)
  };
  unparse__T__sci_Map__Lamf_core_annotations_BasePathLexicalInformation(annotatedValue, objects) {
    const range = $m_Lamf_core_parser_Range$().apply__T__Lamf_core_parser_Range(annotatedValue);
    return new $c_Lamf_core_annotations_BasePathLexicalInformation().init___Lamf_core_parser_Range(range)
  };
}
const $d_Lamf_core_annotations_BasePathLexicalInformation$ = new $TypeData().initClass({
  Lamf_core_annotations_BasePathLexicalInformation$: 0
}, false, "amf.core.annotations.BasePathLexicalInformation$", {
  Lamf_core_annotations_BasePathLexicalInformation$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_BasePathLexicalInformation$.prototype.$classData = $d_Lamf_core_annotations_BasePathLexicalInformation$;
let $n_Lamf_core_annotations_BasePathLexicalInformation$ = (void 0);
const $m_Lamf_core_annotations_BasePathLexicalInformation$ = (function() {
  if ((!$n_Lamf_core_annotations_BasePathLexicalInformation$)) {
    $n_Lamf_core_annotations_BasePathLexicalInformation$ = new $c_Lamf_core_annotations_BasePathLexicalInformation$().init___()
  };
  return $n_Lamf_core_annotations_BasePathLexicalInformation$
});
class $c_Lamf_core_annotations_DataNodePropertiesAnnotations$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_annotations_DataNodePropertiesAnnotations(annotatedValue, objects) {
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(annotatedValue, "#", 0);
    let elems$2 = null;
    elems$2 = [];
    const x1 = xs.u.length;
    switch (x1) {
      case (-1): {
        break
      }
    };
    let i = 0;
    const len = xs.u.length;
    while ((i < len)) {
      const index = i;
      const arg1 = xs.u[index];
      const x$1 = arg1;
      const x1$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(x$1, "->", 0);
      let elem;
      matchEnd4$1: {
        const o7 = $m_s_Array$().unapplySeq__O__s_Option(x1$1);
        if (((!o7.isEmpty__Z()) && ((o7.get__O() !== null) && (o7.get__O().lengthCompare__I__I(2) === 0)))) {
          const key = o7.get__O().apply__I__O(0);
          const range = o7.get__O().apply__I__O(1);
          const y = $m_Lamf_core_annotations_LexicalInformation$().apply__T__Lamf_core_annotations_LexicalInformation(range);
          elem = new $c_T2().init___O__O(key, y);
          break matchEnd4$1
        };
        throw new $c_s_MatchError().init___O(x1$1)
      };
      const unboxedElem = ((elem === null) ? null : elem);
      elems$2.push(unboxedElem);
      i = ((1 + i) | 0)
    };
    const tuples = $makeNativeArrayWrapper($d_T2.getArrayOf(), elems$2);
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i$1 = 0;
    const len$1 = tuples.u.length;
    while ((i$1 < len$1)) {
      const index$1 = i$1;
      const arg1$1 = tuples.u[index$1];
      b.$$plus$eq__T2__scm_MapBuilder(arg1$1);
      i$1 = ((1 + i$1) | 0)
    };
    return new $c_Lamf_core_annotations_DataNodePropertiesAnnotations().init___sci_Map(b.elems$1)
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_core_annotations_DataNodePropertiesAnnotations(annotatedValue, objects)
  };
}
const $d_Lamf_core_annotations_DataNodePropertiesAnnotations$ = new $TypeData().initClass({
  Lamf_core_annotations_DataNodePropertiesAnnotations$: 0
}, false, "amf.core.annotations.DataNodePropertiesAnnotations$", {
  Lamf_core_annotations_DataNodePropertiesAnnotations$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DataNodePropertiesAnnotations$.prototype.$classData = $d_Lamf_core_annotations_DataNodePropertiesAnnotations$;
let $n_Lamf_core_annotations_DataNodePropertiesAnnotations$ = (void 0);
const $m_Lamf_core_annotations_DataNodePropertiesAnnotations$ = (function() {
  if ((!$n_Lamf_core_annotations_DataNodePropertiesAnnotations$)) {
    $n_Lamf_core_annotations_DataNodePropertiesAnnotations$ = new $c_Lamf_core_annotations_DataNodePropertiesAnnotations$().init___()
  };
  return $n_Lamf_core_annotations_DataNodePropertiesAnnotations$
});
class $c_Lamf_core_annotations_DefaultNode$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_DefaultNode().init___()
  };
}
const $d_Lamf_core_annotations_DefaultNode$ = new $TypeData().initClass({
  Lamf_core_annotations_DefaultNode$: 0
}, false, "amf.core.annotations.DefaultNode$", {
  Lamf_core_annotations_DefaultNode$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DefaultNode$.prototype.$classData = $d_Lamf_core_annotations_DefaultNode$;
let $n_Lamf_core_annotations_DefaultNode$ = (void 0);
const $m_Lamf_core_annotations_DefaultNode$ = (function() {
  if ((!$n_Lamf_core_annotations_DefaultNode$)) {
    $n_Lamf_core_annotations_DefaultNode$ = new $c_Lamf_core_annotations_DefaultNode$().init___()
  };
  return $n_Lamf_core_annotations_DefaultNode$
});
class $c_Lamf_core_annotations_HostLexicalInformation$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_annotations_HostLexicalInformation(annotatedValue, objects) {
    const range = $m_Lamf_core_parser_Range$().apply__T__Lamf_core_parser_Range(annotatedValue);
    return new $c_Lamf_core_annotations_HostLexicalInformation().init___Lamf_core_parser_Range(range)
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_core_annotations_HostLexicalInformation(annotatedValue, objects)
  };
}
const $d_Lamf_core_annotations_HostLexicalInformation$ = new $TypeData().initClass({
  Lamf_core_annotations_HostLexicalInformation$: 0
}, false, "amf.core.annotations.HostLexicalInformation$", {
  Lamf_core_annotations_HostLexicalInformation$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_HostLexicalInformation$.prototype.$classData = $d_Lamf_core_annotations_HostLexicalInformation$;
let $n_Lamf_core_annotations_HostLexicalInformation$ = (void 0);
const $m_Lamf_core_annotations_HostLexicalInformation$ = (function() {
  if ((!$n_Lamf_core_annotations_HostLexicalInformation$)) {
    $n_Lamf_core_annotations_HostLexicalInformation$ = new $c_Lamf_core_annotations_HostLexicalInformation$().init___()
  };
  return $n_Lamf_core_annotations_HostLexicalInformation$
});
class $c_Lamf_core_annotations_LexicalInformation$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return $m_Lamf_core_annotations_LexicalInformation$().apply__T__Lamf_core_annotations_LexicalInformation(annotatedValue)
  };
  apply__T__Lamf_core_annotations_LexicalInformation(range) {
    return new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__T__Lamf_core_parser_Range(range))
  };
}
const $d_Lamf_core_annotations_LexicalInformation$ = new $TypeData().initClass({
  Lamf_core_annotations_LexicalInformation$: 0
}, false, "amf.core.annotations.LexicalInformation$", {
  Lamf_core_annotations_LexicalInformation$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_LexicalInformation$.prototype.$classData = $d_Lamf_core_annotations_LexicalInformation$;
let $n_Lamf_core_annotations_LexicalInformation$ = (void 0);
const $m_Lamf_core_annotations_LexicalInformation$ = (function() {
  if ((!$n_Lamf_core_annotations_LexicalInformation$)) {
    $n_Lamf_core_annotations_LexicalInformation$ = new $c_Lamf_core_annotations_LexicalInformation$().init___()
  };
  return $n_Lamf_core_annotations_LexicalInformation$
});
class $c_Lamf_core_annotations_ResolvedLinkAnnotation$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_ResolvedLinkAnnotation().init___T(annotatedValue)
  };
}
const $d_Lamf_core_annotations_ResolvedLinkAnnotation$ = new $TypeData().initClass({
  Lamf_core_annotations_ResolvedLinkAnnotation$: 0
}, false, "amf.core.annotations.ResolvedLinkAnnotation$", {
  Lamf_core_annotations_ResolvedLinkAnnotation$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ResolvedLinkAnnotation$.prototype.$classData = $d_Lamf_core_annotations_ResolvedLinkAnnotation$;
let $n_Lamf_core_annotations_ResolvedLinkAnnotation$ = (void 0);
const $m_Lamf_core_annotations_ResolvedLinkAnnotation$ = (function() {
  if ((!$n_Lamf_core_annotations_ResolvedLinkAnnotation$)) {
    $n_Lamf_core_annotations_ResolvedLinkAnnotation$ = new $c_Lamf_core_annotations_ResolvedLinkAnnotation$().init___()
  };
  return $n_Lamf_core_annotations_ResolvedLinkAnnotation$
});
class $c_Lamf_core_annotations_SingleValueArray$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_SingleValueArray().init___()
  };
}
const $d_Lamf_core_annotations_SingleValueArray$ = new $TypeData().initClass({
  Lamf_core_annotations_SingleValueArray$: 0
}, false, "amf.core.annotations.SingleValueArray$", {
  Lamf_core_annotations_SingleValueArray$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SingleValueArray$.prototype.$classData = $d_Lamf_core_annotations_SingleValueArray$;
let $n_Lamf_core_annotations_SingleValueArray$ = (void 0);
const $m_Lamf_core_annotations_SingleValueArray$ = (function() {
  if ((!$n_Lamf_core_annotations_SingleValueArray$)) {
    $n_Lamf_core_annotations_SingleValueArray$ = new $c_Lamf_core_annotations_SingleValueArray$().init___()
  };
  return $n_Lamf_core_annotations_SingleValueArray$
});
class $c_Lamf_core_annotations_SourceVendor$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    const o7 = $m_Lamf_core_remote_Vendor$().unapply__T__s_Option(annotatedValue);
    if ((!o7.isEmpty__Z())) {
      const vendor = o7.get__O();
      return new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor(vendor)
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_RuntimeException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Illegal vendor: '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([annotatedValue]))))
  };
  apply__T__Lamf_core_annotations_SourceVendor(vendor) {
    return (($m_Lamf_core_remote_Raml$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml$()) : ((($m_Lamf_core_remote_Raml08$().name$1 === vendor) || (vendor === "RAML 0.8")) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml08$()) : ((($m_Lamf_core_remote_Raml10$().name$1 === vendor) || (vendor === "RAML 1.0")) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml10$()) : (($m_Lamf_core_remote_Oas3$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Oas3$()) : (($m_Lamf_core_remote_Oas$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Oas$()) : (($m_Lamf_core_remote_Amf$().name$1 === vendor) ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Amf$()) : ((vendor === "OAS 3.0.0") ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Oas3$()) : ((vendor === "OAS 2.0") ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Oas$()) : ((vendor === "AMF Graph") ? new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Amf$()) : new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Unknown$()))))))))))
  };
}
const $d_Lamf_core_annotations_SourceVendor$ = new $TypeData().initClass({
  Lamf_core_annotations_SourceVendor$: 0
}, false, "amf.core.annotations.SourceVendor$", {
  Lamf_core_annotations_SourceVendor$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceVendor$.prototype.$classData = $d_Lamf_core_annotations_SourceVendor$;
let $n_Lamf_core_annotations_SourceVendor$ = (void 0);
const $m_Lamf_core_annotations_SourceVendor$ = (function() {
  if ((!$n_Lamf_core_annotations_SourceVendor$)) {
    $n_Lamf_core_annotations_SourceVendor$ = new $c_Lamf_core_annotations_SourceVendor$().init___()
  };
  return $n_Lamf_core_annotations_SourceVendor$
});
class $c_Lamf_core_annotations_SynthesizedField$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_core_annotations_SynthesizedField().init___()
  };
}
const $d_Lamf_core_annotations_SynthesizedField$ = new $TypeData().initClass({
  Lamf_core_annotations_SynthesizedField$: 0
}, false, "amf.core.annotations.SynthesizedField$", {
  Lamf_core_annotations_SynthesizedField$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SynthesizedField$.prototype.$classData = $d_Lamf_core_annotations_SynthesizedField$;
let $n_Lamf_core_annotations_SynthesizedField$ = (void 0);
const $m_Lamf_core_annotations_SynthesizedField$ = (function() {
  if ((!$n_Lamf_core_annotations_SynthesizedField$)) {
    $n_Lamf_core_annotations_SynthesizedField$ = new $c_Lamf_core_annotations_SynthesizedField$().init___()
  };
  return $n_Lamf_core_annotations_SynthesizedField$
});
const $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "encodes"), true))
});
const $f_Lamf_core_metamodel_document_FragmentModel__modelInstance__Lamf_core_model_domain_AmfObject = (function($thiz) {
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Fragment is abstract instances cannot be created directly"))
});
const $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DomainElementModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "declares"), true))
});
class $c_Lamf_core_metamodel_domain_ExternalSourceElementModel$ extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.type$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_domain_ExternalSourceElementModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Raw$1, this.ReferenceId$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    this.fields$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "ExternalSource")]);
    const this$6 = $m_sci_List$();
    const cbf$1 = this$6.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
}
const $d_Lamf_core_metamodel_domain_ExternalSourceElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_ExternalSourceElementModel$: 0
}, false, "amf.core.metamodel.domain.ExternalSourceElementModel$", {
  Lamf_core_metamodel_domain_ExternalSourceElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_domain_ExternalSourceElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_ExternalSourceElementModel$;
let $n_Lamf_core_metamodel_domain_ExternalSourceElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_ExternalSourceElementModel$)) {
    $n_Lamf_core_metamodel_domain_ExternalSourceElementModel$ = new $c_Lamf_core_metamodel_domain_ExternalSourceElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_ExternalSourceElementModel$
});
class $c_Lamf_core_metamodel_domain_LinkableElementModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.fields$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_LinkableElementModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Linkable")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.TargetId$1, this.Label$1, this.SupportsRecursion$1]);
    const this$6 = $m_sci_List$();
    const cbf$1 = this$6.ReusableCBFInstance$2;
    this.fields$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_LinkableElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_LinkableElementModel$: 0
}, false, "amf.core.metamodel.domain.LinkableElementModel$", {
  Lamf_core_metamodel_domain_LinkableElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1
});
$c_Lamf_core_metamodel_domain_LinkableElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_LinkableElementModel$;
let $n_Lamf_core_metamodel_domain_LinkableElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_LinkableElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_LinkableElementModel$)) {
    $n_Lamf_core_metamodel_domain_LinkableElementModel$ = new $c_Lamf_core_metamodel_domain_LinkableElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_LinkableElementModel$
});
const $f_Lamf_core_model_BoolField__value__Z = (function($thiz) {
  const x1 = $thiz.option$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = (!(!x2.value$2));
    return v
  } else {
    return false
  }
});
const $is_Lamf_core_model_BoolField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_BoolField)))
});
const $isArrayOf_Lamf_core_model_BoolField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_BoolField)))
});
const $is_Lamf_core_model_DoubleField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_DoubleField)))
});
const $isArrayOf_Lamf_core_model_DoubleField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_DoubleField)))
});
const $f_Lamf_core_model_IntField__value__I = (function($thiz) {
  const x1 = $thiz.option$1;
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = (x2.value$2 | 0);
    return v
  } else {
    return 0
  }
});
const $is_Lamf_core_model_IntField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_IntField)))
});
const $isArrayOf_Lamf_core_model_IntField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_IntField)))
});
const $f_Lamf_core_model_domain_ExternalSourceElement__isLinkToSource__pLamf_core_model_domain_ExternalSourceElement__Z = (function($thiz) {
  return $thiz.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1).isDefined__Z()
});
const $f_Lamf_core_model_domain_ExternalSourceElement__valueForField__Lamf_core_metamodel_Field__s_Option = (function($thiz, f) {
  const x = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1;
  if ((((x === null) ? (f === null) : x.equals__O__Z(f)) && $f_Lamf_core_model_domain_ExternalSourceElement__isLinkToSource__pLamf_core_model_domain_ExternalSourceElement__Z($thiz))) {
    return $m_s_None$()
  } else {
    const this$1 = $thiz.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(f);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      return new $c_s_Some().init___O(x$1.value$1)
    }
  }
});
const $is_Lamf_core_model_domain_ExternalSourceElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ExternalSourceElement)))
});
const $isArrayOf_Lamf_core_model_domain_ExternalSourceElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ExternalSourceElement)))
});
class $c_Lamf_core_model_domain_templates_ParametrizedDeclaration extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  componentId__T() {
    const this$1 = this.name__Lamf_core_model_StrField().option$1;
    const str = (this$1.isEmpty__Z() ? "default-parametrized" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Name$1)
  };
  variables__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Variables$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  target__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_templates_ParametrizedDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_ParametrizedDeclaration)))
});
const $isArrayOf_Lamf_core_model_domain_templates_ParametrizedDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_ParametrizedDeclaration)))
});
class $c_Lamf_core_remote_browser_JsBrowserPlatform extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.testingCommandLine$1 = false;
    this.wrappersRegistry$1 = null;
    this.wrappersRegistryFn$1 = null
  };
  init___() {
    $f_Lamf_core_remote_Platform__$$init$__V(this);
    this.fs$1 = $m_Lamf_core_remote_UnsupportedFileSystem$();
    return this
  };
  fs__Lorg_mulesoft_common_io_FileSystem() {
    return this.fs$1
  };
  testingCommandLine$und$eq__Z__V(x$1) {
    this.testingCommandLine$1 = x$1
  };
  loaders__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_internal_resource_ResourceLoaderAdapter().init___Lamf_client_resource_ResourceLoader(new $c_Lamf_core_remote_browser_JsBrowserHttpResourceLoader().init___())]))
  };
  wrappersRegistry__scm_HashMap() {
    return this.wrappersRegistry$1
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistry$1 = x$1
  };
  wrappersRegistryFn__scm_HashMap() {
    return this.wrappersRegistryFn$1
  };
  resolvePath__T__T(path) {
    return path
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistryFn$1 = x$1
  };
}
const $d_Lamf_core_remote_browser_JsBrowserPlatform = new $TypeData().initClass({
  Lamf_core_remote_browser_JsBrowserPlatform: 0
}, false, "amf.core.remote.browser.JsBrowserPlatform", {
  Lamf_core_remote_browser_JsBrowserPlatform: 1,
  O: 1,
  Lamf_core_remote_JsPlatform: 1,
  Lamf_core_remote_Platform: 1,
  Lamf_core_remote_FileMediaType: 1
});
$c_Lamf_core_remote_browser_JsBrowserPlatform.prototype.$classData = $d_Lamf_core_remote_browser_JsBrowserPlatform;
class $c_Lamf_core_remote_server_JsServerPlatform extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.testingCommandLine$1 = false;
    this.wrappersRegistry$1 = null;
    this.wrappersRegistryFn$1 = null
  };
  init___() {
    $f_Lamf_core_remote_Platform__$$init$__V(this);
    this.fs$1 = $m_Lorg_mulesoft_common_io_Fs$();
    return this
  };
  fs__Lorg_mulesoft_common_io_FileSystem() {
    return this.fs$1
  };
  withTrailingSlash__p1__T__T(path) {
    return (((!(((path.length | 0) >= 0) && (path.substring(0, ("/".length | 0)) === "/"))) ? "/" : "") + path)
  };
  testingCommandLine$und$eq__Z__V(x$1) {
    this.testingCommandLine$1 = x$1
  };
  loaders__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_internal_resource_ResourceLoaderAdapter().init___Lamf_client_resource_ResourceLoader(new $c_Lamf_core_remote_server_JsServerFileResourceLoader().init___()), new $c_Lamf_internal_resource_ResourceLoaderAdapter().init___Lamf_client_resource_ResourceLoader(new $c_Lamf_core_remote_server_JsServerHttpResourceLoader().init___())]))
  };
  wrappersRegistry__scm_HashMap() {
    return this.wrappersRegistry$1
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistry$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistry$1 = x$1
  };
  wrappersRegistryFn__scm_HashMap() {
    return this.wrappersRegistryFn$1
  };
  resolvePath__T__T(uri) {
    const o8 = $m_Lamf_core_remote_File$().unapply__T__s_Option(uri);
    if ((!o8.isEmpty__Z())) {
      const path = o8.get__O();
      if ((((path.length | 0) >= 0) && (path.substring(0, ("/".length | 0)) === "/"))) {
        return (("" + $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1) + $f_Lamf_core_remote_JsPlatform__normalizeURL__T__T(this, path))
      } else {
        const jsx$1 = $m_Lamf_core_remote_File$().FILE$undPROTOCOL$1;
        const url = this.withTrailingSlash__p1__T__T(path);
        const thiz = $f_Lamf_core_remote_JsPlatform__normalizeURL__T__T(this, url);
        return (("" + jsx$1) + thiz.substring(1))
      }
    };
    const o10 = $m_Lamf_core_remote_HttpParts$().unapply__T__s_Option(uri);
    if ((!o10.isEmpty__Z())) {
      const protocol = o10.get__O().$$und1$1;
      const host = o10.get__O().$$und2$1;
      const path$2 = o10.get__O().$$und3$1;
      const url$1 = this.withTrailingSlash__p1__T__T(path$2);
      return ((("" + protocol) + host) + $f_Lamf_core_remote_JsPlatform__normalizeURL__T__T(this, url$1))
    };
    return uri
  };
  amf$core$remote$Platform$$undsetter$und$wrappersRegistryFn$und$eq__scm_HashMap__V(x$1) {
    this.wrappersRegistryFn$1 = x$1
  };
}
const $d_Lamf_core_remote_server_JsServerPlatform = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerPlatform: 0
}, false, "amf.core.remote.server.JsServerPlatform", {
  Lamf_core_remote_server_JsServerPlatform: 1,
  O: 1,
  Lamf_core_remote_JsPlatform: 1,
  Lamf_core_remote_Platform: 1,
  Lamf_core_remote_FileMediaType: 1
});
$c_Lamf_core_remote_server_JsServerPlatform.prototype.$classData = $d_Lamf_core_remote_server_JsServerPlatform;
class $c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1 extends $c_O {
  constructor() {
    super();
    this.parserCount$1 = 0;
    this.currentFile$1 = null
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    return $f_Lamf_core_parser_ErrorHandler__handle__Lorg_yaml_model_YError__O__O(this, error, defaultValue)
  };
  init___Lamf_core_resolution_pipelines_ResolutionPipeline__Lamf_core_model_document_BaseUnit($$outer, model$1) {
    const x1 = model$1.parserRun__s_Option();
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const run = (x2.value$2 | 0);
      jsx$1 = run
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        model$1.parserRun$und$eq__s_Option__V(new $c_s_Some().init___O($m_Lamf_core_AMFCompilerRunCount$().nextRun__I()));
        jsx$1 = (model$1.parserRun__s_Option().get__O() | 0)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    this.parserCount$1 = jsx$1;
    this.currentFile$1 = model$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    return this
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    const parserRun = this.parserCount$1;
    this$1.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, message, lexical, parserRun)
  };
  currentFile__T() {
    return this.currentFile$1
  };
  parserCount__I() {
    return this.parserCount$1
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    $f_Lamf_core_parser_ErrorHandler__handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(this, node, e)
  };
}
const $d_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1 = new $TypeData().initClass({
  Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1: 0
}, false, "amf.core.resolution.pipelines.ResolutionPipeline$$anon$1", {
  Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1
});
$c_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1.prototype.$classData = $d_Lamf_core_resolution_pipelines_ResolutionPipeline$$anon$1;
class $c_Lamf_internal_environment_Environment$ extends $c_O {
  constructor() {
    super();
    this.platform$1 = null
  };
  init___() {
    $n_Lamf_internal_environment_Environment$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  apply__Lamf_internal_environment_Environment() {
    return new $c_Lamf_internal_environment_Environment().init___sc_Seq(this.platform$1.loaders__sc_Seq())
  };
}
const $d_Lamf_internal_environment_Environment$ = new $TypeData().initClass({
  Lamf_internal_environment_Environment$: 0
}, false, "amf.internal.environment.Environment$", {
  Lamf_internal_environment_Environment$: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_internal_environment_Environment$.prototype.$classData = $d_Lamf_internal_environment_Environment$;
let $n_Lamf_internal_environment_Environment$ = (void 0);
const $m_Lamf_internal_environment_Environment$ = (function() {
  if ((!$n_Lamf_internal_environment_Environment$)) {
    $n_Lamf_internal_environment_Environment$ = new $c_Lamf_internal_environment_Environment$().init___()
  };
  return $n_Lamf_internal_environment_Environment$
});
class $c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_plugins_document_vocabularies_annotations_AliasesLocation(annotatedValue, objects)
  };
  unparse__T__sci_Map__Lamf_plugins_document_vocabularies_annotations_AliasesLocation(annotationValue, objects) {
    const this$1 = $m_jl_Integer$();
    return new $c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation().init___I(this$1.parseInt__T__I__I(annotationValue, 10))
  };
}
const $d_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_AliasesLocation$: 0
}, false, "amf.plugins.document.vocabularies.annotations.AliasesLocation$", {
  Lamf_plugins_document_vocabularies_annotations_AliasesLocation$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$;
let $n_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$)) {
    $n_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$ = new $c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$
});
class $c_Lamf_plugins_document_vocabularies_annotations_CustomId$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_vocabularies_annotations_CustomId().init___()
  };
}
const $d_Lamf_plugins_document_vocabularies_annotations_CustomId$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_CustomId$: 0
}, false, "amf.plugins.document.vocabularies.annotations.CustomId$", {
  Lamf_plugins_document_vocabularies_annotations_CustomId$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_CustomId$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_CustomId$;
let $n_Lamf_plugins_document_vocabularies_annotations_CustomId$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_annotations_CustomId$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_annotations_CustomId$)) {
    $n_Lamf_plugins_document_vocabularies_annotations_CustomId$ = new $c_Lamf_plugins_document_vocabularies_annotations_CustomId$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_annotations_CustomId$
});
class $c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef().init___()
  };
}
const $d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$: 0
}, false, "amf.plugins.document.vocabularies.annotations.JsonPointerRef$", {
  Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$;
let $n_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$)) {
    $n_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$ = new $c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$
});
class $c_Lamf_plugins_document_vocabularies_annotations_RefInclude$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_vocabularies_annotations_RefInclude().init___()
  };
}
const $d_Lamf_plugins_document_vocabularies_annotations_RefInclude$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_RefInclude$: 0
}, false, "amf.plugins.document.vocabularies.annotations.RefInclude$", {
  Lamf_plugins_document_vocabularies_annotations_RefInclude$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_RefInclude$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_RefInclude$;
let $n_Lamf_plugins_document_vocabularies_annotations_RefInclude$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_annotations_RefInclude$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_annotations_RefInclude$)) {
    $n_Lamf_plugins_document_vocabularies_annotations_RefInclude$ = new $c_Lamf_plugins_document_vocabularies_annotations_RefInclude$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_annotations_RefInclude$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm extends $c_O {
  constructor() {
    super();
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  withSubClassOf__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(superProperties) {
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$1, new $c_Lamf_core_parser_Annotations().init___())
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(superProperties.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2), new $c_Lamf_core_parser_Annotations().init___());
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, value)
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  adopted__T__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(parent) {
    if ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z()) {
      $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
    };
    return this
  };
  componentId__T() {
    return ""
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_PropertyTerm)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_PropertyTerm)))
});
class $c_Lamf_plugins_document_webapi_JsonSchemaPlugin extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.vendors$2 = null;
    this.ID$2 = null;
    this.allowRecursiveReferences$2 = false;
    this.platform$2 = null
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["JSON Schema"]));
    this.ID$2 = "JSON Schema";
    this.allowRecursiveReferences$2 = true;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    const this$1 = new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline().init___();
    return $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit.call(this$1, unit)
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    return this.firstAnyShape__p2__Lamf_core_model_document_BaseUnit__s_Option(unit).isDefined__Z()
  };
  modelEntities__sc_Seq() {
    return $m_sci_Nil$()
  };
  parseFragment__Lamf_core_model_document_Fragment__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(inputFragment, pointer, ctx) {
    let encoded;
    matchEnd5: {
      if ($is_Lamf_core_model_document_ExternalFragment(inputFragment)) {
        const x2 = inputFragment;
        const this$1 = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).parsed$1;
        if (this$1.isEmpty__Z()) {
          const jsx$1 = $m_Lorg_yaml_parser_YamlParser$();
          const this$2 = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
          const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
          const this$4 = this$3.option$1;
          encoded = jsx$1.apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser((this$4.isEmpty__Z() ? null : this$4.get__O()), ctx).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include").parse__Z__sc_IndexedSeq(true).head__O().node$3;
          break matchEnd5
        } else {
          encoded = this$1.get__O();
          break matchEnd5
        }
      };
      if ($is_Lamf_core_model_document_RecursiveUnit(inputFragment)) {
        const x3 = inputFragment;
        if (x3.raw$1.isDefined__Z()) {
          encoded = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(x3.raw$1.get__O(), ctx).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include").parse__Z__sc_IndexedSeq(true).head__O().node$3;
          break matchEnd5
        }
      };
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
      const node = inputFragment.id__T();
      const property = $m_s_None$();
      const lexical = $m_s_None$();
      const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      const this$5 = $m_Lamf_core_services_RuntimeValidator$();
      const parserRun = ctx.parserCount$1;
      this$5.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, "Cannot parse JSON Schema from unit with missing syntax information", lexical, parserRun);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = $m_s_package$().IndexedSeq$1.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      encoded = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs)
    };
    const parsed = new $c_Lamf_core_parser_ParsedDocument().init___s_Option__Lorg_yaml_model_YDocument($m_s_None$(), $m_Lorg_yaml_model_YDocument$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(encoded));
    const location = (("" + inputFragment.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)) + (pointer.isDefined__Z() ? new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["#", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([pointer.get__O()])) : ""));
    const jsx$3 = inputFragment.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(ref$2) {
        const ref = ref$2;
        return new $c_Lamf_core_parser_ParsedReference().init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(ref, new $c_Lamf_core_parser_Reference().init___T__sc_Seq(ref.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1), $m_sci_Nil$()), $m_s_None$())
      })
    })(this));
    const this$11 = $m_sc_Seq$();
    const references = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2);
    const referenceKind = $m_Lamf_core_parser_SchemaReference$();
    const vendor = $m_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$().ID$3;
    const this$12 = inputFragment.raw__s_Option();
    const raw = (this$12.isEmpty__Z() ? "" : this$12.get__O());
    const doc = new $c_Lamf_core_Root().init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(parsed, location, "application/json", references, referenceKind, vendor, raw);
    const this$14 = this.parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(doc, ctx, this.platform$2);
    if (this$14.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$14.get__O();
      const parsed$1 = arg1;
      if ($is_Lamf_core_model_document_EncodesModel(parsed$1)) {
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(parsed$1.encodes__Lamf_core_model_domain_DomainElement())) {
          return new $c_s_Some().init___O(parsed$1.encodes__Lamf_core_model_domain_DomainElement())
        }
      };
      return $m_s_None$()
    }
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/schema+json"]))
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return $m_Lamf_core_parser_SimpleReferenceHandler$()
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sci_Nil$()
  };
  findRootNode__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_JsonSchemaWebApiContext__s_Option__s_Option(ast, ctx, path) {
    if (path.isDefined__Z()) {
      ctx.localJSONSchemaContext$2 = new $c_s_Some().init___O(ast);
      const res = ctx.findLocalJSONPath__T__s_Option(path.get__O());
      ctx.localJSONSchemaContext$2 = $m_s_None$();
      if (res.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = res.get__O();
        const x$1 = arg1;
        return new $c_s_Some().init___O(x$1.$$und2__O())
      }
    } else {
      return new $c_s_Some().init___O(ast)
    }
  };
  firstAnyShape__p2__Lamf_core_model_document_BaseUnit__s_Option(unit) {
    if ($is_Lamf_core_model_document_DeclaresModel(unit)) {
      const this$1 = unit.declares__sc_Seq();
      const pf = new $c_Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1().init___Lamf_plugins_document_webapi_JsonSchemaPlugin(this);
      return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf)
    } else {
      return $m_s_None$()
    }
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    const this$1 = this.firstAnyShape__p2__Lamf_core_model_document_BaseUnit__s_Option(unit);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const as = arg1;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering(as, $m_Lamf_core_emitter_SpecOrdering$Lexical$()).emitDocument__Lorg_yaml_model_YDocument())
    }
  };
  canParse__Lamf_core_Root__Z(document) {
    return false
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, parentContext, platform) {
    const thiz = document.location$1;
    const parts = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
    const thiz$1 = document.location$1;
    let shapeId;
    if (((thiz$1.indexOf("#") | 0) !== (-1))) {
      shapeId = document.location$1
    } else {
      shapeId = (document.location$1 + "#/")
    };
    const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(parts);
    const url = $f_sc_IndexedSeqOptimized__head__O(this$6);
    let xs;
    if ((parts.u.length === 0)) {
      if ((parts.u.length === 0)) {
        throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
      };
      const until = parts.u.length;
      const x = ((until > 0) ? until : 0);
      const y = parts.u.length;
      const hi = ((x < y) ? x : y);
      const x$1 = (((-1) + hi) | 0);
      const size = ((x$1 > 0) ? x$1 : 0);
      const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(parts).getComponentType__jl_Class(), size);
      if ((size > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(parts, 1, result, 0, size)
      };
      xs = result
    } else {
      const until$1 = parts.u.length;
      const x$2 = ((until$1 > 0) ? until$1 : 0);
      const y$1 = parts.u.length;
      const hi$1 = ((x$2 < y$1) ? x$2 : y$1);
      const x$3 = (((-1) + hi$1) | 0);
      const size$1 = ((x$3 > 0) ? x$3 : 0);
      const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(parts).getComponentType__jl_Class(), size$1);
      if ((size$1 > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(parts, 1, result$1, 0, size$1)
      };
      xs = result$1
    };
    const this$29 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const hashFragment = $f_sc_TraversableLike__headOption__s_Option(this$29);
    const cleanNested = new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I(url, document.references$1, new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), parentContext.parserCount$1);
    cleanNested.globalSpace$1 = parentContext.globalSpace$1;
    const inheritedDeclarations = ($is_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext(parentContext) ? new $c_s_Some().init___O(parentContext.declarations$2) : $m_s_None$());
    const jsonSchemaContext = new $c_Lamf_plugins_document_webapi_JsonSchemaWebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(url, document.references$1, cleanNested, inheritedDeclarations);
    const documentRoot = document.parsed$1.document$1.node$3;
    const this$31 = this.findRootNode__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_JsonSchemaWebApiContext__s_Option__s_Option(documentRoot, jsonSchemaContext, hashFragment);
    let rootAst;
    if (this$31.isEmpty__Z()) {
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find fragment ", " in JSON schema ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url, document.location$1]));
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(jsonSchemaContext, shapeId, message, documentRoot);
      rootAst = documentRoot
    } else {
      rootAst = this$31.get__O()
    };
    jsonSchemaContext.localJSONSchemaContext$2 = new $c_s_Some().init___O(documentRoot);
    const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser($m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("schema")), rootAst), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, shapeId$1) {
      return (function(shape$2) {
        const shape = shape$2;
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape, shapeId$1)
      })
    })(this, shapeId)), $m_Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion$(), jsonSchemaContext).parse__s_Option();
    let parsed;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const shape$3 = x2.value$2;
      parsed = shape$3
    } else {
      const x$4 = $m_s_None$();
      if ((!(x$4 === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse JSON Schema at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([document.location$1]));
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(jsonSchemaContext, shapeId, message$1, rootAst);
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$36 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const this$37 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$36, shapeId);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
      const this$38 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$37, field, "application/json");
      const text = document.raw$1;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
      parsed = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$38, field$1, text)
    };
    jsonSchemaContext.localJSONSchemaContext$2 = $m_s_None$();
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const this$42 = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    const value = document.location$1;
    const this$43 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$42, value);
    const location = document.location$1;
    const field$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$44 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$43, field$2, location);
    const field$3 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    const unit = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$44, field$3, parsed);
    const raw = document.raw$1;
    $f_Lamf_core_model_document_BaseUnit__withRaw__T__Lamf_core_model_document_BaseUnit(unit, raw);
    return new $c_s_Some().init___O(unit)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
}
class $c_Lamf_plugins_document_webapi_annotations_DeclaredElement$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___()
  };
}
const $d_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_DeclaredElement$: 0
}, false, "amf.plugins.document.webapi.annotations.DeclaredElement$", {
  Lamf_plugins_document_webapi_annotations_DeclaredElement$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_DeclaredElement$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_DeclaredElement$;
let $n_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_DeclaredElement$)) {
    $n_Lamf_plugins_document_webapi_annotations_DeclaredElement$ = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_DeclaredElement$
});
class $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    const x1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(annotatedValue, ",", 0);
    const o8 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o8.isEmpty__Z()) && ((o8.get__O() !== null) && (o8.get__O().lengthCompare__I__I(2) === 0)))) {
      const baseId = o8.get__O().apply__I__O(0);
      const baseLocation = o8.get__O().apply__I__O(1);
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(baseId, "->", 0);
      const this$4 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const jsx$2 = $f_sc_IndexedSeqOptimized__last__O(this$4);
      const jsx$1 = $m_s_Option$();
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(baseLocation, "->", 0);
      const this$7 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      return new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option(jsx$2, jsx$1.apply__O__s_Option($f_sc_IndexedSeqOptimized__last__O(this$7)))
    };
    const o10 = $m_s_Array$().unapplySeq__O__s_Option(x1);
    if (((!o10.isEmpty__Z()) && ((o10.get__O() !== null) && (o10.get__O().lengthCompare__I__I(1) === 0)))) {
      const baseId$2 = o10.get__O().apply__I__O(0);
      const xs$2 = $m_sjsr_RuntimeString$().split__T__T__I__AT(baseId$2, "->", 0);
      const this$10 = new $c_scm_ArrayOps$ofRef().init___AO(xs$2);
      return new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance().init___T__s_Option($f_sc_IndexedSeqOptimized__last__O(this$10), $m_s_None$())
    };
    throw new $c_s_MatchError().init___O(x1)
  };
}
const $d_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_ExtensionProvenance$: 0
}, false, "amf.plugins.document.webapi.annotations.ExtensionProvenance$", {
  Lamf_plugins_document_webapi_annotations_ExtensionProvenance$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$;
let $n_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$)) {
    $n_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$ = new $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$
});
class $c_Lamf_plugins_document_webapi_annotations_FormBodyParameter$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_FormBodyParameter().init___()
  };
}
const $d_Lamf_plugins_document_webapi_annotations_FormBodyParameter$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_FormBodyParameter$: 0
}, false, "amf.plugins.document.webapi.annotations.FormBodyParameter$", {
  Lamf_plugins_document_webapi_annotations_FormBodyParameter$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_FormBodyParameter$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_FormBodyParameter$;
let $n_Lamf_plugins_document_webapi_annotations_FormBodyParameter$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_FormBodyParameter$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_FormBodyParameter$)) {
    $n_Lamf_plugins_document_webapi_annotations_FormBodyParameter$ = new $c_Lamf_plugins_document_webapi_annotations_FormBodyParameter$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_FormBodyParameter$
});
class $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_LocalLinkPath$: 0
}, false, "amf.plugins.document.webapi.annotations.LocalLinkPath$", {
  Lamf_plugins_document_webapi_annotations_LocalLinkPath$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_LocalLinkPath$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath$;
let $n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$)) {
    $n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$ = new $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_LocalLinkPath$
});
class $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$: 0
}, false, "amf.plugins.document.webapi.annotations.ParsedJSONSchema$", {
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$;
let $n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = (void 0);
const $m_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$)) {
    $n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$ = new $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$().init___()
  };
  return $n_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$
});
class $c_Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext extends $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext {
  constructor() {
    super();
    this.oasFactory$4 = null
  };
  localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(reference) {
    return this.oasFactory$4.tagToReferenceEmitter__F3().apply__O__O__O__O(reference, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(reference), $m_sci_Nil$())
  };
  init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter) {
    $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext.prototype.init___Lamf_plugins_document_webapi_contexts_RefEmitter.call(this, refEmitter);
    this.oasFactory$4 = new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory().init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(refEmitter));
    return this
  };
}
const $d_Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext: 0
}, false, "amf.plugins.document.webapi.contexts.XRaml10SpecEmitterContext", {
  Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterContext: 1,
  O: 1
});
$c_Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser {
  constructor() {
    super();
    this.options$2 = null
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.parse__Lamf_core_model_domain_Shape.call(this);
    const shape = this.shape__Lamf_plugins_domain_shapes_models_AnyShape();
    const map = this.map__Lorg_yaml_model_YMap();
    const options = this.options__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions();
    const ctx = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser__parseExamples__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext__V(this, shape, map, options, ctx);
    return this.shape__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  options__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions() {
    return this.options$2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser($$outer) {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    this.options$2 = $m_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$();
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter {
  constructor() {
    super();
    this.DocumentationItemFragmentEmitter$module$3 = null;
    this.DataTypeFragmentEmitter$module$3 = null;
    this.AnnotationFragmentEmitter$module$3 = null;
    this.ResourceTypeFragmentEmitter$module$3 = null;
    this.TraitFragmentEmitter$module$3 = null;
    this.SecuritySchemeFragmentEmitter$module$3 = null;
    this.NamedExampleFragmentEmitter$module$3 = null;
    this.OasHeaderEmitter$module$3 = null;
    this.fragment$3 = null;
    this.spec$3 = null
  };
  emitFragment__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Oas$(), this.fragment$3.annotations__Lamf_core_parser_Annotations());
    const x1 = this.fragment$3;
    let typeEmitter;
    if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x1)) {
      const x2 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering(this, x2, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x1)) {
      const x3 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering(this, x3, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x1)) {
      const x4 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering(this, x4, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x1)) {
      const x5 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering(this, x5, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x1)) {
      const x6 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering(this, x6, ordering)
    } else if ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x1)) {
      const x7 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering(this, x7, ordering)
    } else {
      if ((!$is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x1))) {
        throw new $c_jl_UnsupportedOperationException().init___T("Unsupported fragment type")
      };
      const x8 = x1;
      typeEmitter = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering(this, x8, ordering)
    };
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering(this, this.fragment$3, ordering);
    const this$1 = this.fragment$3.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("usage").asOasExtension__T(), f, $m_s_None$()))
    };
    const this$5 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$5.comment$1;
    const this$7 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$7)) {
      b.comment__T__V(this$5.comment$1)
    };
    const jsx$7 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([typeEmitter.header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter()]));
    const jsx$4 = typeEmitter.emitters__sc_Seq();
    const this$9 = $m_sc_Seq$();
    const jsx$3 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$9.ReusableCBFInstance$2);
    const jsx$2 = usage.toList__sci_List();
    const this$11 = $m_sc_Seq$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2);
    const this$12 = $m_sc_Seq$();
    jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(references, this$12.ReusableCBFInstance$2), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  versionEntry__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar("2.0");
    const tt = $m_Lorg_yaml_model_YType$().Str$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    b.updateDynamic__T__Lorg_yaml_model_YNode__V("swagger", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(fragment, spec) {
    this.fragment$3 = fragment;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, fragment, spec);
    return this
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$3
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser extends $c_O {
  constructor() {
    super();
    this.UsageParser$module$1 = null;
    this.AnnotationTypesParser$module$1 = null;
    this.LinkedAnnotationTypeParser$module$1 = null;
    this.UserDocumentationParser$module$1 = null;
    this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parseParameterDeclarations__Lorg_yaml_model_YMap__T__V(map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("parameters");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$1) {
        return (function(e$2) {
          const e = e$2;
          const typeName = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
          const this$4 = e.value$1;
          const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
          const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
          let oasParameter;
          if ($is_s_util_Right(x1)) {
            const x2 = x1;
            const m = x2.value$2;
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            const tt = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            oasParameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser().init___Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(m, t, a, cs), parentPath$1, new $c_s_Some().init___O(typeName), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter()
          } else {
            $m_Lorg_yaml_model_YNode$();
            const map$1 = $m_Lorg_yaml_model_YMap$().empty$1;
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a$1 = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs$1 = null;
            const parameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser().init___Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t$1, a$1, cs$1), parentPath$1, new $c_s_Some().init___O(typeName), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter();
            const this$15 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
            const node = parameter.parameter$1.id$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$15, node, "Map needed to parse a parameter declaration", e);
            oasParameter = parameter
          };
          const this$16 = oasParameter.parameter$1;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          const parameter$2 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$16, annotation);
          let jsx$1;
          if ($m_s_Option$().apply__O__s_Option(oasParameter.payload$1).isDefined__Z()) {
            const jsx$2 = $m_s_Option$();
            const this$17 = oasParameter.payload$1;
            jsx$1 = jsx$2.apply__O__s_Option(this$17.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1)).isDefined__Z()
          } else {
            jsx$1 = false
          };
          if (jsx$1) {
            const this$18 = oasParameter.payload$1;
            const schema = this$18.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter$2, field, schema)
          };
          const this$19 = parameter$2.fields$1;
          const f = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          if (this$19.fs$1.contains__O__Z(f)) {
            parameter$2.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1).annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___())
          };
          $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2.registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(parameter$2, oasParameter.payload$1)
        })
      })(this, parentPath)))
    }
  };
  parseSecuritySchemeDeclarations__p1__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("securityDefinitions");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const jsx$1 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2;
          const this$4 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$1$1, entry$1) {
            return (function(scheme$2) {
              const scheme = scheme$2;
              const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
              const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1.value__Lorg_yaml_model_YValue()));
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme, field, value, annotations);
              return scheme.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$1$1)
            })
          })($this, parent$1, entry)), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation))
        })
      })(this, parent)))
    };
    const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("securitySchemes").asOasExtension__T();
    const this$8 = this$7.key__T__s_Option(keyword);
    if ((!this$8.isEmpty__Z())) {
      const arg1$1 = this$8.get__O();
      const e$3 = arg1$1;
      e$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, parent$1$2) {
        return (function(entry$2$1) {
          const entry$3 = entry$2$1;
          const jsx$2 = $this$2.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2;
          const this$9 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, parent$1$3, entry$4) {
            return (function(scheme$2$1) {
              const scheme$1 = scheme$2$1;
              const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
              const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(entry$4.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this$3.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.key$1.value__Lorg_yaml_model_YValue()));
              const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.key$1);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme$1, field$1, value$1, annotations$1);
              return scheme$1.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$1$3)
            })
          })($this$2, parent$1$2, entry$3)), $this$2.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
          const annotation$1 = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$9, annotation$1))
        })
      })(this, parent)))
    }
  };
  parseTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, typesPrefix) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("definitions");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, typesPrefix$1) {
        return (function(e$2) {
          const e = e$2;
          const typeName = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
          const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, typesPrefix$1$1, typeName$1, e$1) {
            return (function(shape$2) {
              const shape = shape$2;
              const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(typeName$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e$1.key$1.value__Lorg_yaml_model_YValue()));
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e$1.key$1);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field, value, annotations);
              shape.adopted__T__Lamf_core_model_domain_AmfObject(typesPrefix$1$1)
            })
          })($this, typesPrefix$1, typeName, e)), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__s_Option();
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const shape$3 = x2.value$2;
            const jsx$1 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2;
            const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
            return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape$3, annotation))
          } else {
            const x = $m_s_None$();
            if ((x === x1)) {
              const this$7 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
              const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
              const node = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1).adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(typesPrefix$1).id$1;
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([typeName]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node, message, e);
              return (void 0)
            } else {
              throw new $c_s_MatchError().init___O(x1)
            }
          }
        })
      })(this, typesPrefix)))
    }
  };
  AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$lzycompute$1__p1__V()
    };
    return this.AnnotationTypesParser$module$1
  };
  parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option(key);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$2) {
        return (function(e$2) {
          const e = e$2;
          return $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$2$1) {
            return (function(name$2) {
              const name = name$2;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$7 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
              const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name);
              const this$9 = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$8, parentPath$2$1);
              const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
              return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$9, annotation)
            })
          })($this, parentPath$2)), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_webapi_models_Response())
        })
      })(this, parentPath)))
    }
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lamf_core_utils_package$Strings().init___T("resourceTypes").asOasExtension__T(), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry)
      })
    })(this)), map, parent, this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__V();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lamf_core_utils_package$Strings().init___T("traits").asOasExtension__T(), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(entry$3$2) {
        const entry$3 = entry$3$2;
        return $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(entry$3)
      })
    })(this)), map, parent, this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__V();
    this.parseSecuritySchemeDeclarations__p1__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseParameterDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V("responses", map, parent);
    const this$3 = this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$3)
  };
  AnnotationTypesParser$lzycompute$1__p1__V() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser(this)
    }
  };
  init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx) {
    this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f = ctx;
    return this
  };
  parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, customProperties) {
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("annotationTypes").asOasExtension__T();
    const this$4 = this$3.key__T__s_Option(keyword);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const e = arg1;
      const jsx$3 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).entries$3;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, customProperties$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const typeName = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
          const customProperty$3 = $this.AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, customProperties$1$1, typeName$1) {
            return (function(customProperty$2) {
              const customProperty = customProperty$2;
              const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(customProperty, field, typeName$1).adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(customProperties$1$1)
            })
          })($this, customProperties$1, typeName)));
          const jsx$2 = $this.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(customProperty$3, annotation))
        })
      })(this, customProperties));
      const this$5 = $m_sc_IndexedSeq$();
      jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBF$6)
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser extends $c_O {
  constructor() {
    super();
    this.UsageParser$module$1 = null;
    this.UserDocumentationsParser$module$1 = null;
    this.AnnotationTypesParser$module$1 = null;
    this.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$lzycompute$1__p1__V()
    };
    return this.AnnotationTypesParser$module$1
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f = ctx;
    return this
  };
  AnnotationTypesParser$lzycompute$1__p1__V() {
    if ((this.AnnotationTypesParser$module$1 === null)) {
      this.AnnotationTypesParser$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser(this)
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$ extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(ast, adopt) {
    const this$1 = ast.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, ast, ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).text$3, ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f), adopt).parse__Lamf_core_model_domain_extensions_CustomDomainProperty()
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const domainProp = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        adopt.apply__O__O(domainProp);
        const this$5 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
        const node = domainProp.id$1;
        const ast$1 = ast.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$5, node, "Invalid value type for annotation types parser, expected map or scalar reference", ast$1);
        return domainProp
      } else {
        const key = ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).text$3;
        const scalar = ast.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f);
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const domainProp$2 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        adopt.apply__O__O(domainProp$2);
        const x1$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f.declarations$2.findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(scalar.text$3, $m_Lamf_core_parser_SearchScope$All$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const a = x2.value$2;
          const label = scalar.text$3;
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
          const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(a, label, annotations$2);
          copied.id$1 = null;
          const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
          adopt.apply__O__O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, key));
          return copied
        } else {
          const x1$3 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(ast, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, domainProp$2$1) {
            return (function(shape$2) {
              const shape = shape$2;
              return shape.adopted__T__Lamf_core_model_domain_AmfObject(domainProp$2$1.id$1)
            })
          })(this, domainProp$2)), true, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__s_Option();
          if ($is_s_Some(x1$3)) {
            const x2$2 = x1$3;
            const schema = x2$2.value$2;
            const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(domainProp$2, field$1, schema)
          } else {
            const this$10 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
            const node$1 = domainProp$2.id$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node$1, "Could not find declared annotation link in references", scalar);
            return domainProp$2
          }
        }
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$AnnotationTypesParser$", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$;
class $c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$: 0
}, false, "amf.plugins.domain.shapes.annotations.InheritanceProvenance$", {
  Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$;
let $n_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$ = (void 0);
const $m_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$)) {
    $n_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$ = new $c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance$
});
class $c_Lamf_plugins_domain_shapes_annotations_InheritedShapes$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_plugins_domain_shapes_annotations_InheritedShapes(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_shapes_annotations_InheritedShapes().init___sc_Seq($m_s_Predef$().wrapRefArray__AO__scm_WrappedArray($m_sjsr_RuntimeString$().split__T__T__I__AT(annotatedValue, ",", 0)))
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_plugins_domain_shapes_annotations_InheritedShapes(annotatedValue, objects)
  };
}
const $d_Lamf_plugins_domain_shapes_annotations_InheritedShapes$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_InheritedShapes$: 0
}, false, "amf.plugins.domain.shapes.annotations.InheritedShapes$", {
  Lamf_plugins_domain_shapes_annotations_InheritedShapes$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_InheritedShapes$.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_InheritedShapes$;
let $n_Lamf_plugins_domain_shapes_annotations_InheritedShapes$ = (void 0);
const $m_Lamf_plugins_domain_shapes_annotations_InheritedShapes$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_annotations_InheritedShapes$)) {
    $n_Lamf_plugins_domain_shapes_annotations_InheritedShapes$ = new $c_Lamf_plugins_domain_shapes_annotations_InheritedShapes$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_annotations_InheritedShapes$
});
class $c_Lamf_plugins_domain_shapes_annotations_NilUnion$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_shapes_annotations_NilUnion().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_domain_shapes_annotations_NilUnion$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_NilUnion$: 0
}, false, "amf.plugins.domain.shapes.annotations.NilUnion$", {
  Lamf_plugins_domain_shapes_annotations_NilUnion$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_NilUnion$.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_NilUnion$;
let $n_Lamf_plugins_domain_shapes_annotations_NilUnion$ = (void 0);
const $m_Lamf_plugins_domain_shapes_annotations_NilUnion$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_annotations_NilUnion$)) {
    $n_Lamf_plugins_domain_shapes_annotations_NilUnion$ = new $c_Lamf_plugins_domain_shapes_annotations_NilUnion$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_annotations_NilUnion$
});
class $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$: 0
}, false, "amf.plugins.domain.shapes.annotations.ParsedFromTypeExpression$", {
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$;
let $n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = (void 0);
const $m_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$)) {
    $n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$ = new $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression$
});
class $c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError extends $c_jl_Exception {
  init___T(message) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, null);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError)))
});
const $d_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError: 0
}, false, "amf.plugins.domain.shapes.resolution.stages.shape_normalization.InheritanceIncompatibleShapeError", {
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError.prototype.$classData = $d_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError;
class $c_Lamf_plugins_domain_webapi_annotations_InvalidBinding$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_webapi_annotations_InvalidBinding().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_domain_webapi_annotations_InvalidBinding$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_InvalidBinding$: 0
}, false, "amf.plugins.domain.webapi.annotations.InvalidBinding$", {
  Lamf_plugins_domain_webapi_annotations_InvalidBinding$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_InvalidBinding$.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_InvalidBinding$;
let $n_Lamf_plugins_domain_webapi_annotations_InvalidBinding$ = (void 0);
const $m_Lamf_plugins_domain_webapi_annotations_InvalidBinding$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_annotations_InvalidBinding$)) {
    $n_Lamf_plugins_domain_webapi_annotations_InvalidBinding$ = new $c_Lamf_plugins_domain_webapi_annotations_InvalidBinding$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_annotations_InvalidBinding$
});
class $c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension().init___T(annotatedValue)
  };
}
const $d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$: 0
}, false, "amf.plugins.domain.webapi.annotations.OrphanOasExtension$", {
  Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$;
let $n_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$ = (void 0);
const $m_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$)) {
    $n_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$ = new $c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension$
});
class $c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo(annotatedValue, objects)
  };
  unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__T__Lamf_core_parser_Range(annotatedValue))
  };
}
const $d_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$: 0
}, false, "amf.plugins.domain.webapi.annotations.ParameterBindingInBodyLexicalInfo$", {
  Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$;
let $n_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$ = (void 0);
const $m_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$)) {
    $n_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$ = new $c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo$
});
class $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_ParentEndPoint(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint().init___Lamf_plugins_domain_webapi_models_EndPoint(objects.apply__O__O(annotatedValue))
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_ParentEndPoint(annotatedValue, objects)
  };
}
const $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint$: 0
}, false, "amf.plugins.domain.webapi.annotations.ParentEndPoint$", {
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$;
let $n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = (void 0);
const $m_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$)) {
    $n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$ = new $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_annotations_ParentEndPoint$
});
class $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$ extends $c_O {
  init___() {
    return this
  };
  unparse__T__sci_Map__Lamf_core_model_domain_Annotation(annotatedValue, objects) {
    return this.unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo(annotatedValue, objects)
  };
  unparse__T__sci_Map__Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo(annotatedValue, objects) {
    return new $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__T__Lamf_core_parser_Range(annotatedValue))
  };
}
const $d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$: 0
}, false, "amf.plugins.domain.webapi.annotations.TypePropertyLexicalInfo$", {
  Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$: 1,
  O: 1,
  Lamf_core_model_domain_AnnotationGraphLoader: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$;
let $n_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$ = (void 0);
const $m_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$)) {
    $n_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$ = new $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo$
});
class $c_Lamf_plugins_domain_webapi_models_security_Settings extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/settings/default"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  cloneSettings__T__Lamf_plugins_domain_webapi_models_security_Settings(parent) {
    let cloned;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(this)) {
      const annotations = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(this)) {
      const annotations$1 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(this)) {
      const annotations$2 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$2)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_HttpSettings(this)) {
      const annotations$3 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_HttpSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3)
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(this)) {
      const annotations$4 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4)
    } else {
      const annotations$5 = this.annotations__Lamf_core_parser_Annotations();
      cloned = new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$5)
    };
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(cloned, parent);
    const this$14 = this.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x2 = x1$2;
            const jsx$2 = x2.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneScope__Lamf_plugins_domain_webapi_models_security_Scope()
                } else {
                  return x0$2
                }
              })
            })($this));
            const this$13 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$13.ReusableCBFInstance$2), x2.annotations$1)
          } else {
            clonedValue = x1$2
          };
          const annotations$6 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$6)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$14.fs$1.foreach__F1__V(fn);
    return cloned
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_Settings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_Settings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_Settings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_Settings: 0
}, false, "amf.plugins.domain.webapi.models.security.Settings", {
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_Settings;
class $c_Ljava_io_FilterOutputStream extends $c_Ljava_io_OutputStream {
  constructor() {
    super();
    this.out$2 = null
  };
  init___Ljava_io_OutputStream(out) {
    this.out$2 = out;
    return this
  };
}
class $c_Ljava_io_IOException extends $c_jl_Exception {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Ljava_io_IOException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_io_IOException)))
});
const $isArrayOf_Ljava_io_IOException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_io_IOException)))
});
const $d_Ljava_io_IOException = new $TypeData().initClass({
  Ljava_io_IOException: 0
}, false, "java.io.IOException", {
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_io_IOException.prototype.$classData = $d_Ljava_io_IOException;
class $c_Ljava_math_BigDecimal extends $c_jl_Number {
  constructor() {
    super();
    this.$$undtoStringImage$2 = null;
    this.$$undhashCode$2 = 0;
    this.$$undintVal$2 = null;
    this.java$math$BigDecimal$$$undbitLength$2 = 0;
    this.java$math$BigDecimal$$$undsmallValue$2 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.java$math$BigDecimal$$$undscale$2 = 0;
    this.$$undprecision$2 = 0
  };
  longValue__J() {
    return (((this.java$math$BigDecimal$$$undscale$2 <= (-64)) || (this.java$math$BigDecimal$$$undscale$2 > this.approxPrecision__p2__I())) ? $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong() : this.toBigInteger__Ljava_math_BigInteger().longValue__J())
  };
  init___() {
    this.$$undtoStringImage$2 = null;
    this.$$undhashCode$2 = 0;
    this.java$math$BigDecimal$$$undbitLength$2 = 0;
    this.java$math$BigDecimal$$$undsmallValue$2 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.java$math$BigDecimal$$$undscale$2 = 0;
    this.$$undprecision$2 = 0;
    return this
  };
  valueExact__p2__I__J(bitLengthOfType) {
    const value = this.java$math$BigDecimal$$$undscale$2;
    const hi = (value >> 31);
    const lo = ((-value) | 0);
    const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
    const value$1 = this.approxPrecision__p2__I();
    const hi$2 = (value$1 >> 31);
    const lo$1 = ((lo + value$1) | 0);
    const hi$3 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + ((hi$1 + hi$2) | 0)) | 0) : ((hi$1 + hi$2) | 0));
    if (((hi$3 === 0) ? (((-2147483648) ^ lo$1) > (-2147483629)) : (hi$3 > 0))) {
      throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
    };
    const bigInteger = this.toBigIntegerExact__Ljava_math_BigInteger();
    if (($m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(bigInteger) < bitLengthOfType)) {
      return bigInteger.longValue__J()
    } else {
      throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
    }
  };
  equals__O__Z(x) {
    if ($is_Ljava_math_BigDecimal(x)) {
      const x2 = x;
      if ((x2.java$math$BigDecimal$$$undscale$2 === this.java$math$BigDecimal$$$undscale$2)) {
        if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
          const t = x2.java$math$BigDecimal$$$undsmallValue$2;
          const lo = t.lo$2;
          const hi = t.hi$2;
          const b = this.java$math$BigDecimal$$$undsmallValue$2;
          return ((lo === b.lo$2) && (hi === b.hi$2))
        } else {
          return $m_sr_BoxesRunTime$().equalsNumNum__jl_Number__jl_Number__Z(this.$$undintVal$2, x2.$$undintVal$2)
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  intValueExact__I() {
    const t = this.valueExact__p2__I__J(32);
    const lo = t.lo$2;
    return lo
  };
  isZero__p2__Z() {
    if ((this.java$math$BigDecimal$$$undbitLength$2 === 0)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const lo = t.lo$2;
      const hi = t.hi$2;
      return (!((lo === (-1)) && (hi === (-1))))
    } else {
      return false
    }
  };
  stripTrailingZeros__Ljava_math_BigDecimal() {
    if (this.isZero__p2__Z()) {
      return this
    } else {
      const lastPow = (((-1) + $m_Ljava_math_Multiplication$().BigTenPows$1.u.length) | 0);
      let i = 1;
      let strippedBI = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      let scale_$_lo$2 = value;
      let scale_$_hi$2 = hi;
      let x1_$_$$und1$f;
      let x1_$_$$und2$f;
      _loop: while (true) {
        if ((!strippedBI.testBit__I__Z(0))) {
          const qr = strippedBI.divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem($m_Ljava_math_Multiplication$().BigTenPows$1.u[i]);
          const this$1 = qr.rem$1;
          if ((this$1.sign$2 === 0)) {
            const temp$i = ((i < lastPow) ? ((1 + i) | 0) : i);
            const temp$strippedBI = qr.quot$1;
            const this$2_$_lo$2 = scale_$_lo$2;
            const this$2_$_hi$2 = scale_$_hi$2;
            const value$1 = i;
            const hi$1 = (value$1 >> 31);
            const alo = this$2_$_lo$2;
            const ahi = this$2_$_hi$2;
            const lo = ((alo - value$1) | 0);
            const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - hi$1) | 0)) | 0) : ((ahi - hi$1) | 0));
            i = temp$i;
            strippedBI = temp$strippedBI;
            const jsx$1_$_lo$2 = lo;
            const jsx$1_$_hi$2 = hi$2;
            scale_$_lo$2 = jsx$1_$_lo$2;
            scale_$_hi$2 = jsx$1_$_hi$2;
            continue _loop
          };
          if ((i !== 1)) {
            i = 1;
            continue _loop
          };
          const _1 = strippedBI;
          const _2_$_lo$2 = scale_$_lo$2;
          const _2_$_hi$2 = scale_$_hi$2;
          const jsx$2_$_$$und1$f = _1;
          const jsx$2_$_$$und2$f = new $c_sjsr_RuntimeLong().init___I__I(_2_$_lo$2, _2_$_hi$2);
          x1_$_$$und1$f = jsx$2_$_$$und1$f;
          x1_$_$$und2$f = jsx$2_$_$$und2$f;
          break
        } else {
          const _1$1 = strippedBI;
          const _2$1_$_lo$2 = scale_$_lo$2;
          const _2$1_$_hi$2 = scale_$_hi$2;
          const jsx$3_$_$$und1$f = _1$1;
          const jsx$3_$_$$und2$f = new $c_sjsr_RuntimeLong().init___I__I(_2$1_$_lo$2, _2$1_$_hi$2);
          x1_$_$$und1$f = jsx$3_$_$$und1$f;
          x1_$_$$und2$f = jsx$3_$_$$und2$f;
          break
        }
      };
      const strippedBI$1 = x1_$_$$und1$f;
      const t = $uJ(x1_$_$$und2$f);
      const lo$1 = t.lo$2;
      const hi$3 = t.hi$2;
      const t$1 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$3));
      const lo$2 = t$1.lo$2;
      const hi$4 = t$1.hi$2;
      return new $c_Ljava_math_BigDecimal().init___Ljava_math_BigInteger__I(strippedBI$1, $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)))
    }
  };
  inplaceRound__p2__Ljava_math_MathContext__V(mc) {
    const mcPrecision = mc.precision$1;
    const discardedPrecision = ((this.precision__I() - mcPrecision) | 0);
    const mcPrecGood = ((this.approxPrecision__p2__I() < mcPrecision) || (mcPrecision === 0));
    if ((!(mcPrecGood || (discardedPrecision <= 0)))) {
      if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
        this.smallRound__p2__Ljava_math_MathContext__I__V(mc, discardedPrecision)
      } else {
        const jsx$1 = $m_Ljava_math_Multiplication$();
        const hi = (discardedPrecision >> 31);
        const sizeOfFraction = jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(discardedPrecision, hi));
        const integerAndFraction = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger().divideAndRemainder__Ljava_math_BigInteger__ALjava_math_BigInteger(sizeOfFraction);
        const value = this.java$math$BigDecimal$$$undscale$2;
        const hi$1 = (value >> 31);
        const hi$2 = (discardedPrecision >> 31);
        const lo = ((value - discardedPrecision) | 0);
        const hi$3 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
        const this$2 = integerAndFraction.u[1];
        let newScale_$_lo$2;
        let newScale_$_hi$2;
        if ((this$2.sign$2 !== 0)) {
          const absBi = integerAndFraction.u[1].abs__Ljava_math_BigInteger();
          const compRem = absBi.shiftLeftOneBit__Ljava_math_BigInteger().compareTo__Ljava_math_BigInteger__I(sizeOfFraction);
          const parityBit = (integerAndFraction.u[0].testBit__I__Z(0) ? 1 : 0);
          const this$3 = integerAndFraction.u[1];
          const frac = $imul(this$3.sign$2, ((5 + compRem) | 0));
          const carry = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$roundingBehavior__I__I__Ljava_math_RoundingMode__I(parityBit, frac, mc.roundingMode$1);
          if ((carry !== 0)) {
            const jsx$2 = $m_Ljava_math_BigInteger$();
            const hi$4 = (carry >> 31);
            const bi = jsx$2.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(carry, hi$4));
            const this$4 = integerAndFraction.u[0];
            integerAndFraction.u[0] = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$4, bi)
          };
          const tempBD = new $c_Ljava_math_BigDecimal().init___Ljava_math_BigInteger(integerAndFraction.u[0]);
          if ((tempBD.precision__I() > mcPrecision)) {
            integerAndFraction.u[0] = integerAndFraction.u[0].divide__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().TEN$1);
            const lo$1 = (((-1) + lo) | 0);
            const hi$5 = ((lo$1 !== (-1)) ? hi$3 : (((-1) + hi$3) | 0));
            const jsx$3_$_lo$2 = lo$1;
            const jsx$3_$_hi$2 = hi$5;
            newScale_$_lo$2 = jsx$3_$_lo$2;
            newScale_$_hi$2 = jsx$3_$_hi$2
          } else {
            const jsx$4_$_lo$2 = lo;
            const jsx$4_$_hi$2 = hi$3;
            newScale_$_lo$2 = jsx$4_$_lo$2;
            newScale_$_hi$2 = jsx$4_$_hi$2
          }
        } else {
          const jsx$5_$_lo$2 = lo;
          const jsx$5_$_hi$2 = hi$3;
          newScale_$_lo$2 = jsx$5_$_lo$2;
          newScale_$_hi$2 = jsx$5_$_hi$2
        };
        this.java$math$BigDecimal$$$undscale$2 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(newScale_$_lo$2, newScale_$_hi$2));
        this.$$undprecision$2 = mcPrecision;
        this.setUnscaledValue__p2__Ljava_math_BigInteger__V(integerAndFraction.u[0])
      }
    }
  };
  init___Ljava_math_BigInteger__I(unscaledVal, scale) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    if ((unscaledVal === null)) {
      throw new $c_jl_NullPointerException().init___T("unscaledVal == null")
    };
    this.java$math$BigDecimal$$$undscale$2 = scale;
    this.setUnscaledValue__p2__Ljava_math_BigInteger__V(unscaledVal);
    return this
  };
  toString__T() {
    if ((this.$$undtoStringImage$2 !== null)) {
      return this.$$undtoStringImage$2
    } else if ((this.java$math$BigDecimal$$$undbitLength$2 < 32)) {
      this.$$undtoStringImage$2 = $m_Ljava_math_Conversion$().toDecimalScaledString__J__I__T(this.java$math$BigDecimal$$$undsmallValue$2, this.java$math$BigDecimal$$$undscale$2);
      return this.$$undtoStringImage$2
    } else {
      const this$1 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const intString = $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1);
      if ((this.java$math$BigDecimal$$$undscale$2 === 0)) {
        return intString
      } else {
        const this$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
        let begin;
        if ((this$2.sign$2 < 0)) {
          begin = 2
        } else {
          begin = 1
        };
        const end = (intString.length | 0);
        const value = this.java$math$BigDecimal$$$undscale$2;
        const hi = (value >> 31);
        const lo = ((-value) | 0);
        const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
        const hi$2 = (end >> 31);
        const lo$1 = ((lo + end) | 0);
        const hi$3 = ((((-2147483648) ^ lo$1) < ((-2147483648) ^ lo)) ? ((1 + ((hi$1 + hi$2) | 0)) | 0) : ((hi$1 + hi$2) | 0));
        const hi$4 = (begin >> 31);
        const lo$2 = ((lo$1 - begin) | 0);
        const hi$5 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$3 - hi$4) | 0)) | 0) : ((hi$3 - hi$4) | 0));
        let result;
        if (((this.java$math$BigDecimal$$$undscale$2 > 0) && ((hi$5 === (-1)) ? (((-2147483648) ^ lo$2) >= 2147483642) : (hi$5 > (-1))))) {
          if ((hi$5 >= 0)) {
            $m_Ljava_math_BigDecimal$();
            const pos = ((end - this.java$math$BigDecimal$$$undscale$2) | 0);
            $m_Ljava_math_BigDecimal$();
            result = ((intString.substring(0, pos) + ".") + intString.substring(pos))
          } else {
            $m_Ljava_math_BigDecimal$();
            $m_Ljava_math_BigDecimal$();
            const pos$1 = (((-1) + begin) | 0);
            $m_Ljava_math_BigDecimal$();
            const s = ((intString.substring(0, pos$1) + "0.") + intString.substring(pos$1));
            const pos$2 = ((1 + begin) | 0);
            const xs = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$CharZeros$1;
            const b = new $c_scm_StringBuilder().init___();
            let elem$1 = false;
            elem$1 = true;
            b.append__T__scm_StringBuilder("");
            let i = 0;
            const len = xs.u.length;
            while ((i < len)) {
              const idx = i;
              const c = xs.u[idx];
              const arg1 = new $c_jl_Character().init___C(c);
              if (elem$1) {
                b.append__O__scm_StringBuilder(arg1);
                elem$1 = false
              } else {
                b.append__T__scm_StringBuilder("");
                b.append__O__scm_StringBuilder(arg1)
              };
              i = ((1 + i) | 0)
            };
            b.append__T__scm_StringBuilder("");
            const this$29 = b.underlying$5;
            const s2 = this$29.content$1;
            const s2Len = (((-1) - lo$2) | 0);
            $m_Ljava_math_BigDecimal$();
            const s2$1 = s2.substring(0, s2Len);
            result = ((("" + s.substring(0, pos$2)) + s2$1) + s.substring(pos$2))
          }
        } else {
          const r0 = ((((end - begin) | 0) >= 1) ? ($m_Ljava_math_BigDecimal$(), $m_Ljava_math_BigDecimal$(), ((intString.substring(0, begin) + ".") + intString.substring(begin))) : intString);
          const r1 = (r0 + "E");
          const r2 = (((hi$5 === 0) ? (lo$2 !== 0) : (hi$5 > 0)) ? (r1 + "+") : r1);
          result = (r2 + $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(lo$2, hi$5))
        };
        this.$$undtoStringImage$2 = result;
        return this.$$undtoStringImage$2
      }
    }
  };
  signum__I() {
    if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const hi = t.hi$2;
      if ((hi < 0)) {
        return (-1)
      } else {
        const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
        const lo$1 = t$1.lo$2;
        const hi$1 = t$1.hi$2;
        if (((hi$1 === 0) ? (lo$1 !== 0) : (hi$1 > 0))) {
          return 1
        } else {
          return 0
        }
      }
    } else {
      const this$1 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      return this$1.sign$2
    }
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_math_BigDecimal__I(x$1)
  };
  init___I__I(smallValue, scale) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    const hi = (smallValue >> 31);
    this.java$math$BigDecimal$$$undsmallValue$2 = new $c_sjsr_RuntimeLong().init___I__I(smallValue, hi);
    this.java$math$BigDecimal$$$undscale$2 = scale;
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$bitLength__I__I(smallValue);
    return this
  };
  toBigInteger__Ljava_math_BigInteger() {
    if (((this.java$math$BigDecimal$$$undscale$2 === 0) || this.isZero__p2__Z())) {
      return this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger()
    } else if ((this.java$math$BigDecimal$$$undscale$2 < 0)) {
      const jsx$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$1 = $m_Ljava_math_Multiplication$();
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      const lo = ((-value) | 0);
      const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
      return jsx$2.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$1)))
    } else {
      const jsx$4 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$3 = $m_Ljava_math_Multiplication$();
      const value$1 = this.java$math$BigDecimal$$$undscale$2;
      const hi$2 = (value$1 >> 31);
      return jsx$4.divide__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$3.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$1, hi$2)))
    }
  };
  init___T__Ljava_math_MathContext(sVal, mc) {
    $c_Ljava_math_BigDecimal.prototype.init___AC__I__I.call(this, $m_sjsr_RuntimeString$().toCharArray__T__AC(sVal), 0, (sVal.length | 0));
    this.inplaceRound__p2__Ljava_math_MathContext__V(mc);
    return this
  };
  scaleByPowerOfTen__I__Ljava_math_BigDecimal(n) {
    const value = this.java$math$BigDecimal$$$undscale$2;
    const hi = (value >> 31);
    const hi$1 = (n >> 31);
    const lo = ((value - n) | 0);
    const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const lo$1 = t.lo$2;
      const hi$3 = t.hi$2;
      if (((lo$1 === 0) && (hi$3 === 0))) {
        return $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$zeroScaledBy__J__Ljava_math_BigDecimal(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2))
      } else {
        return $m_Ljava_math_BigDecimal$().valueOf__J__I__Ljava_math_BigDecimal(this.java$math$BigDecimal$$$undsmallValue$2, $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2)))
      }
    } else {
      return new $c_Ljava_math_BigDecimal().init___Ljava_math_BigInteger__I(this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger(), $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2)))
    }
  };
  precision__I() {
    if ((this.$$undprecision$2 === 0)) {
      let jsx$1;
      if ((this.java$math$BigDecimal$$$undbitLength$2 === 0)) {
        jsx$1 = 1
      } else if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
        jsx$1 = this.decimalDigitsInLong__p2__J__I(this.java$math$BigDecimal$$$undsmallValue$2)
      } else {
        const decimalDigits = ((1 + $doubleToInt((0.3010299956639812 * (((-1) + this.java$math$BigDecimal$$$undbitLength$2) | 0)))) | 0);
        const jsx$3 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
        const jsx$2 = $m_Ljava_math_Multiplication$();
        const hi = (decimalDigits >> 31);
        const this$1 = jsx$3.divide__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$2.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(decimalDigits, hi)));
        if ((this$1.sign$2 !== 0)) {
          jsx$1 = ((1 + decimalDigits) | 0)
        } else {
          jsx$1 = decimalDigits
        }
      };
      this.$$undprecision$2 = jsx$1
    };
    return this.$$undprecision$2
  };
  toBigIntegerExact__Ljava_math_BigInteger() {
    if (((this.java$math$BigDecimal$$$undscale$2 === 0) || this.isZero__p2__Z())) {
      return this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger()
    } else if ((this.java$math$BigDecimal$$$undscale$2 < 0)) {
      const jsx$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$1 = $m_Ljava_math_Multiplication$();
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      const lo = ((-value) | 0);
      const hi$1 = ((value !== 0) ? (~hi) : ((-hi) | 0));
      return jsx$2.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo, hi$1)))
    } else {
      if (((this.java$math$BigDecimal$$$undscale$2 > this.approxPrecision__p2__I()) || (this.java$math$BigDecimal$$$undscale$2 > this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger().getLowestSetBit__I()))) {
        throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
      };
      const jsx$4 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
      const jsx$3 = $m_Ljava_math_Multiplication$();
      const value$1 = this.java$math$BigDecimal$$$undscale$2;
      const hi$2 = (value$1 >> 31);
      const integerAndFraction = jsx$4.divideAndRemainder__Ljava_math_BigInteger__ALjava_math_BigInteger(jsx$3.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$1, hi$2)));
      const this$3 = integerAndFraction.u[1];
      if ((this$3.sign$2 !== 0)) {
        throw new $c_jl_ArithmeticException().init___T("Rounding necessary")
      };
      return integerAndFraction.u[0]
    }
  };
  shortValueExact__S() {
    const t = this.valueExact__p2__I__J(16);
    const lo = t.lo$2;
    return ((lo << 16) >> 16)
  };
  setUnscaledValue__p2__Ljava_math_BigInteger__V(unscaledVal) {
    this.$$undintVal$2 = unscaledVal;
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(unscaledVal);
    if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      this.java$math$BigDecimal$$$undsmallValue$2 = unscaledVal.longValue__J()
    }
  };
  byteValueExact__B() {
    const t = this.valueExact__p2__I__J(8);
    const lo = t.lo$2;
    return ((lo << 24) >> 24)
  };
  smallRound__p2__Ljava_math_MathContext__I__V(mc, discardedPrecision) {
    const t = $m_Ljava_math_BigDecimal$().LongTenPows$1.u[discardedPrecision];
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.java$math$BigDecimal$$$undscale$2;
    const hi$1 = (value >> 31);
    const hi$2 = (discardedPrecision >> 31);
    const lo$1 = ((value - discardedPrecision) | 0);
    const hi$3 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
    const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
    const lo$2 = t$1.lo$2;
    const hi$4 = t$1.hi$2;
    const this$2 = $m_sjsr_RuntimeLong$();
    const lo$3 = this$2.divideImpl__I__I__I__I__I(lo$2, hi$4, lo, hi);
    const hi$5 = this$2.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const this$3 = $m_sjsr_RuntimeLong$();
    const lo$4 = this$3.remainderImpl__I__I__I__I__I(lo$2, hi$4, lo, hi);
    const hi$6 = this$3.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    let x1_$_$$und1$f;
    let x1_$_$$und2$f;
    let x1_$_$$und1$mcJ$sp$f;
    let x1_$_$$und2$mcJ$sp$f;
    if ((!((lo$4 === 0) && (hi$6 === 0)))) {
      const jsx$3 = $m_Ljava_math_BigDecimal$();
      let this$7_$_lo$2;
      let this$7_$_hi$2;
      if ((hi$6 < 0)) {
        const lo$5 = ((-lo$4) | 0);
        const hi$7 = ((lo$4 !== 0) ? (~hi$6) : ((-hi$6) | 0));
        const jsx$1_$_lo$2 = lo$5;
        const jsx$1_$_hi$2 = hi$7;
        this$7_$_lo$2 = jsx$1_$_lo$2;
        this$7_$_hi$2 = jsx$1_$_hi$2
      } else {
        const jsx$2_$_lo$2 = lo$4;
        const jsx$2_$_hi$2 = hi$6;
        this$7_$_lo$2 = jsx$2_$_lo$2;
        this$7_$_hi$2 = jsx$2_$_hi$2
      };
      const lo$6 = (this$7_$_lo$2 << 1);
      const hi$8 = (((this$7_$_lo$2 >>> 31) | 0) | (this$7_$_hi$2 << 1));
      const compRem = jsx$3.java$math$BigDecimal$$longCompareTo__J__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$6, hi$8), new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const frac = $imul(((hi$6 < 0) ? (-1) : (((hi$6 === 0) && (lo$4 === 0)) ? 0 : 1)), ((5 + compRem) | 0));
      const value$1 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$roundingBehavior__I__I__Ljava_math_RoundingMode__I((1 & lo$3), frac, mc.roundingMode$1);
      const hi$9 = (value$1 >> 31);
      const lo$7 = ((lo$3 + value$1) | 0);
      const hi$10 = ((((-2147483648) ^ lo$7) < ((-2147483648) ^ lo$3)) ? ((1 + ((hi$5 + hi$9) | 0)) | 0) : ((hi$5 + hi$9) | 0));
      let this$13_$_lo$2;
      let this$13_$_hi$2;
      if ((hi$10 < 0)) {
        const lo$8 = ((-lo$7) | 0);
        const hi$11 = ((lo$7 !== 0) ? (~hi$10) : ((-hi$10) | 0));
        const jsx$4_$_lo$2 = lo$8;
        const jsx$4_$_hi$2 = hi$11;
        this$13_$_lo$2 = jsx$4_$_lo$2;
        this$13_$_hi$2 = jsx$4_$_hi$2
      } else {
        const jsx$5_$_lo$2 = lo$7;
        const jsx$5_$_hi$2 = hi$10;
        this$13_$_lo$2 = jsx$5_$_lo$2;
        this$13_$_hi$2 = jsx$5_$_hi$2
      };
      const a = $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this$13_$_lo$2, this$13_$_hi$2);
      if (((+$g.Math.log10(a)) >= mc.precision$1)) {
        const lo$9 = (((-1) + lo$1) | 0);
        const hi$12 = ((lo$9 !== (-1)) ? hi$3 : (((-1) + hi$3) | 0));
        const this$17 = $m_sjsr_RuntimeLong$();
        const lo$10 = this$17.divideImpl__I__I__I__I__I(lo$7, hi$10, 10, 0);
        const hi$13 = this$17.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        const jsx$6_$_$$und1$f = null;
        const jsx$6_$_$$und2$f = null;
        const jsx$6_$_$$und1$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$9, hi$12);
        const jsx$6_$_$$und2$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$10, hi$13);
        x1_$_$$und1$f = jsx$6_$_$$und1$f;
        x1_$_$$und2$f = jsx$6_$_$$und2$f;
        x1_$_$$und1$mcJ$sp$f = jsx$6_$_$$und1$mcJ$sp$f;
        x1_$_$$und2$mcJ$sp$f = jsx$6_$_$$und2$mcJ$sp$f
      } else {
        const jsx$7_$_$$und1$f = null;
        const jsx$7_$_$$und2$f = null;
        const jsx$7_$_$$und1$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$3);
        const jsx$7_$_$$und2$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$7, hi$10);
        x1_$_$$und1$f = jsx$7_$_$$und1$f;
        x1_$_$$und2$f = jsx$7_$_$$und2$f;
        x1_$_$$und1$mcJ$sp$f = jsx$7_$_$$und1$mcJ$sp$f;
        x1_$_$$und2$mcJ$sp$f = jsx$7_$_$$und2$mcJ$sp$f
      }
    } else {
      const jsx$8_$_$$und1$f = null;
      const jsx$8_$_$$und2$f = null;
      const jsx$8_$_$$und1$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$3);
      const jsx$8_$_$$und2$mcJ$sp$f = new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$5);
      x1_$_$$und1$f = jsx$8_$_$$und1$f;
      x1_$_$$und2$f = jsx$8_$_$$und2$f;
      x1_$_$$und1$mcJ$sp$f = jsx$8_$_$$und1$mcJ$sp$f;
      x1_$_$$und2$mcJ$sp$f = jsx$8_$_$$und2$mcJ$sp$f
    };
    const t$2 = x1_$_$$und1$mcJ$sp$f;
    const lo$11 = t$2.lo$2;
    const hi$14 = t$2.hi$2;
    const t$3 = x1_$_$$und2$mcJ$sp$f;
    const lo$12 = t$3.lo$2;
    const hi$15 = t$3.hi$2;
    this.java$math$BigDecimal$$$undscale$2 = $m_Ljava_math_BigDecimal$().java$math$BigDecimal$$safeLongToInt__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$11, hi$14));
    this.$$undprecision$2 = mc.precision$1;
    this.java$math$BigDecimal$$$undsmallValue$2 = new $c_sjsr_RuntimeLong().init___I__I(lo$12, hi$15);
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().bitLength__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo$12, hi$15));
    this.$$undintVal$2 = null
  };
  approxPrecision__p2__I() {
    return ((this.$$undprecision$2 > 0) ? this.$$undprecision$2 : ((1 + $doubleToInt((0.3010299956639812 * (((-1) + this.java$math$BigDecimal$$$undbitLength$2) | 0)))) | 0))
  };
  doubleValue__D() {
    const sign = this.signum__I();
    const value = this.java$math$BigDecimal$$$undbitLength$2;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const value$1 = (this.java$math$BigDecimal$$$undscale$2 / 0.3010299956639812);
    const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value$1);
    const hi$1 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const lo$1 = ((value - lo) | 0);
    const hi$2 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    if ((((hi$2 === (-1)) ? (((-2147483648) ^ lo$1) < 2147482574) : (hi$2 < (-1))) || (sign === 0))) {
      return (0.0 * sign)
    } else if (((hi$2 === 0) ? (((-2147483648) ^ lo$1) > (-2147482623)) : (hi$2 > 0))) {
      return (Infinity * sign)
    } else {
      const mantissa0 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger().abs__Ljava_math_BigInteger();
      let exponent = 1076;
      let mantissa;
      if ((this.java$math$BigDecimal$$$undscale$2 <= 0)) {
        const jsx$1 = $m_Ljava_math_Multiplication$();
        const value$2 = ((-this.java$math$BigDecimal$$$undscale$2) | 0);
        const hi$3 = (value$2 >> 31);
        mantissa = mantissa0.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$2, hi$3)))
      } else {
        const jsx$2 = $m_Ljava_math_Multiplication$();
        const value$3 = this.java$math$BigDecimal$$$undscale$2;
        const hi$4 = (value$3 >> 31);
        const powerOfTen = jsx$2.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$3, hi$4));
        const k = ((100 - lo$1) | 0);
        let m;
        if ((k > 0)) {
          exponent = ((exponent - k) | 0);
          m = mantissa0.shiftLeft__I__Ljava_math_BigInteger(k)
        } else {
          m = mantissa0
        };
        const qr = m.divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem(powerOfTen);
        const compRem = qr.rem$1.shiftLeftOneBit__Ljava_math_BigInteger().compareTo__Ljava_math_BigInteger__I(powerOfTen);
        exponent = (((-2) + exponent) | 0);
        const this$3 = qr.quot$1.shiftLeft__I__Ljava_math_BigInteger(2);
        const jsx$3 = $m_Ljava_math_BigInteger$();
        const value$4 = ((1 + (($imul(compRem, ((3 + compRem) | 0)) / 2) | 0)) | 0);
        const hi$5 = (value$4 >> 31);
        const bi = jsx$3.valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(value$4, hi$5));
        mantissa = $m_Ljava_math_Elementary$().add__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this$3, bi)
      };
      const lowestSetBit = mantissa.getLowestSetBit__I();
      const discardedSize = (((-54) + $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(mantissa)) | 0);
      let bits_$_lo$2 = 0;
      let bits_$_hi$2 = 0;
      let tempBits_$_lo$2 = 0;
      let tempBits_$_hi$2 = 0;
      if ((discardedSize > 0)) {
        const t = mantissa.shiftRight__I__Ljava_math_BigInteger(discardedSize).longValue__J();
        const lo$2 = t.lo$2;
        const hi$6 = t.hi$2;
        const jsx$4_$_lo$2 = lo$2;
        const jsx$4_$_hi$2 = hi$6;
        bits_$_lo$2 = jsx$4_$_lo$2;
        bits_$_hi$2 = jsx$4_$_hi$2;
        tempBits_$_lo$2 = bits_$_lo$2;
        tempBits_$_hi$2 = bits_$_hi$2;
        const b_$_lo$2 = bits_$_lo$2;
        const b_$_hi$2 = bits_$_hi$2;
        const lo$3 = (1 & b_$_lo$2);
        let jsx$5;
        if (((lo$3 === 1) && (lowestSetBit < discardedSize))) {
          jsx$5 = true
        } else {
          const b$1_$_lo$2 = bits_$_lo$2;
          const b$1_$_hi$2 = bits_$_hi$2;
          const lo$4 = (3 & b$1_$_lo$2);
          jsx$5 = (lo$4 === 3)
        };
        if (jsx$5) {
          const b$2_$_lo$2 = bits_$_lo$2;
          const b$2_$_hi$2 = bits_$_hi$2;
          const bhi = b$2_$_hi$2;
          const lo$5 = ((2 + b$2_$_lo$2) | 0);
          const hi$7 = ((((-2147483648) ^ lo$5) < (-2147483646)) ? ((1 + bhi) | 0) : bhi);
          const jsx$6_$_lo$2 = lo$5;
          const jsx$6_$_hi$2 = hi$7;
          bits_$_lo$2 = jsx$6_$_lo$2;
          bits_$_hi$2 = jsx$6_$_hi$2
        }
      } else {
        const t$1 = mantissa.longValue__J();
        const lo$6 = t$1.lo$2;
        const hi$8 = t$1.hi$2;
        const n = ((-discardedSize) | 0);
        const lo$7 = (((32 & n) === 0) ? (lo$6 << n) : 0);
        const hi$9 = (((32 & n) === 0) ? (((((lo$6 >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (hi$8 << n)) : (lo$6 << n));
        const jsx$7_$_lo$2 = lo$7;
        const jsx$7_$_hi$2 = hi$9;
        bits_$_lo$2 = jsx$7_$_lo$2;
        bits_$_hi$2 = jsx$7_$_hi$2;
        tempBits_$_lo$2 = bits_$_lo$2;
        tempBits_$_hi$2 = bits_$_hi$2;
        const b$3_$_lo$2 = bits_$_lo$2;
        const b$3_$_hi$2 = bits_$_hi$2;
        const lo$8 = (3 & b$3_$_lo$2);
        if ((lo$8 === 3)) {
          const b$4_$_lo$2 = bits_$_lo$2;
          const b$4_$_hi$2 = bits_$_hi$2;
          const bhi$1 = b$4_$_hi$2;
          const lo$9 = ((2 + b$4_$_lo$2) | 0);
          const hi$10 = ((((-2147483648) ^ lo$9) < (-2147483646)) ? ((1 + bhi$1) | 0) : bhi$1);
          const jsx$8_$_lo$2 = lo$9;
          const jsx$8_$_hi$2 = hi$10;
          bits_$_lo$2 = jsx$8_$_lo$2;
          bits_$_hi$2 = jsx$8_$_hi$2
        }
      };
      const b$5_$_lo$2 = bits_$_lo$2;
      const b$5_$_hi$2 = bits_$_hi$2;
      const hi$11 = (4194304 & b$5_$_hi$2);
      if ((hi$11 === 0)) {
        const this$6_$_lo$2 = bits_$_lo$2;
        const this$6_$_hi$2 = bits_$_hi$2;
        const lo$10 = (((this$6_$_lo$2 >>> 1) | 0) | (this$6_$_hi$2 << 31));
        const hi$12 = (this$6_$_hi$2 >> 1);
        const jsx$9_$_lo$2 = lo$10;
        const jsx$9_$_hi$2 = hi$12;
        bits_$_lo$2 = jsx$9_$_lo$2;
        bits_$_hi$2 = jsx$9_$_hi$2;
        exponent = ((exponent + discardedSize) | 0)
      } else {
        const this$7_$_lo$2 = bits_$_lo$2;
        const this$7_$_hi$2 = bits_$_hi$2;
        const lo$11 = (((this$7_$_lo$2 >>> 2) | 0) | (this$7_$_hi$2 << 30));
        const hi$13 = (this$7_$_hi$2 >> 2);
        const jsx$10_$_lo$2 = lo$11;
        const jsx$10_$_hi$2 = hi$13;
        bits_$_lo$2 = jsx$10_$_lo$2;
        bits_$_hi$2 = jsx$10_$_hi$2;
        exponent = ((exponent + ((1 + discardedSize) | 0)) | 0)
      };
      if ((exponent > 2046)) {
        return (Infinity * sign)
      } else if ((exponent < (-53))) {
        return (0.0 * sign)
      } else {
        if ((exponent <= 0)) {
          const this$8_$_lo$2 = tempBits_$_lo$2;
          const this$8_$_hi$2 = tempBits_$_hi$2;
          const lo$12 = (((this$8_$_lo$2 >>> 1) | 0) | (this$8_$_hi$2 << 31));
          const hi$14 = (this$8_$_hi$2 >> 1);
          const jsx$11_$_lo$2 = lo$12;
          const jsx$11_$_hi$2 = hi$14;
          bits_$_lo$2 = jsx$11_$_lo$2;
          bits_$_hi$2 = jsx$11_$_hi$2;
          const this$9_$_lo$2 = bits_$_lo$2;
          const this$9_$_hi$2 = bits_$_hi$2;
          const n$1 = ((63 + exponent) | 0);
          const lo$13 = (((32 & n$1) === 0) ? ((((-1) >>> n$1) | 0) | ((-2) << ((31 - n$1) | 0))) : (((-1) >>> n$1) | 0));
          const hi$15 = (((32 & n$1) === 0) ? (((-1) >>> n$1) | 0) : 0);
          const lo$14 = (this$9_$_lo$2 & lo$13);
          const hi$16 = (this$9_$_hi$2 & hi$15);
          const jsx$12_$_lo$2 = lo$14;
          const jsx$12_$_hi$2 = hi$16;
          tempBits_$_lo$2 = jsx$12_$_lo$2;
          tempBits_$_hi$2 = jsx$12_$_hi$2;
          const this$10_$_lo$2 = bits_$_lo$2;
          const this$10_$_hi$2 = bits_$_hi$2;
          const n$2 = ((-exponent) | 0);
          const lo$15 = (((32 & n$2) === 0) ? (((this$10_$_lo$2 >>> n$2) | 0) | ((this$10_$_hi$2 << 1) << ((31 - n$2) | 0))) : (this$10_$_hi$2 >> n$2));
          const hi$17 = (((32 & n$2) === 0) ? (this$10_$_hi$2 >> n$2) : (this$10_$_hi$2 >> 31));
          const jsx$13_$_lo$2 = lo$15;
          const jsx$13_$_hi$2 = hi$17;
          bits_$_lo$2 = jsx$13_$_lo$2;
          bits_$_hi$2 = jsx$13_$_hi$2;
          const b$6_$_lo$2 = bits_$_lo$2;
          const b$6_$_hi$2 = bits_$_hi$2;
          const lo$16 = (3 & b$6_$_lo$2);
          let jsx$14;
          if ((lo$16 === 3)) {
            jsx$14 = true
          } else {
            const b$7_$_lo$2 = bits_$_lo$2;
            const b$7_$_hi$2 = bits_$_hi$2;
            const lo$17 = (1 & b$7_$_lo$2);
            let jsx$15;
            if ((lo$17 === 1)) {
              const this$11_$_lo$2 = tempBits_$_lo$2;
              const this$11_$_hi$2 = tempBits_$_hi$2;
              jsx$15 = (!((this$11_$_lo$2 === 0) && (this$11_$_hi$2 === 0)))
            } else {
              jsx$15 = false
            };
            if (jsx$15) {
              jsx$14 = (lowestSetBit < discardedSize)
            } else {
              jsx$14 = false
            }
          };
          if (jsx$14) {
            const b$8_$_lo$2 = bits_$_lo$2;
            const b$8_$_hi$2 = bits_$_hi$2;
            const bhi$2 = b$8_$_hi$2;
            const lo$18 = ((1 + b$8_$_lo$2) | 0);
            const hi$18 = ((lo$18 === 0) ? ((1 + bhi$2) | 0) : bhi$2);
            const jsx$16_$_lo$2 = lo$18;
            const jsx$16_$_hi$2 = hi$18;
            bits_$_lo$2 = jsx$16_$_lo$2;
            bits_$_hi$2 = jsx$16_$_hi$2
          };
          exponent = 0;
          const this$13_$_lo$2 = bits_$_lo$2;
          const this$13_$_hi$2 = bits_$_hi$2;
          const lo$19 = (((this$13_$_lo$2 >>> 1) | 0) | (this$13_$_hi$2 << 31));
          const hi$19 = (this$13_$_hi$2 >> 1);
          const jsx$17_$_lo$2 = lo$19;
          const jsx$17_$_hi$2 = hi$19;
          bits_$_lo$2 = jsx$17_$_lo$2;
          bits_$_hi$2 = jsx$17_$_hi$2
        };
        const hi$20 = (sign >> 31);
        const hi$21 = ((-2147483648) & hi$20);
        const value$5 = exponent;
        const hi$23 = (value$5 << 20);
        const hi$24 = (hi$21 | hi$23);
        const b$9_$_lo$2 = bits_$_lo$2;
        const b$9_$_hi$2 = bits_$_hi$2;
        const lo$20 = b$9_$_lo$2;
        const hi$25 = (1048575 & b$9_$_hi$2);
        const hi$26 = (hi$24 | hi$25);
        return $m_sjsr_Bits$().longBitsToDouble__J__D(new $c_sjsr_RuntimeLong().init___I__I(lo$20, hi$26))
      }
    }
  };
  init___J__I(smallValue, scale) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    this.java$math$BigDecimal$$$undsmallValue$2 = smallValue;
    this.java$math$BigDecimal$$$undscale$2 = scale;
    this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().bitLength__J__I(smallValue);
    return this
  };
  hashCode__I() {
    if ((this.$$undhashCode$2 !== 0)) {
      return this.$$undhashCode$2
    } else if ((this.java$math$BigDecimal$$$undbitLength$2 < 64)) {
      const t = this.java$math$BigDecimal$$$undsmallValue$2;
      const lo = t.lo$2;
      this.$$undhashCode$2 = lo;
      const jsx$1 = this.$$undhashCode$2;
      const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
      const hi$1 = t$1.hi$2;
      this.$$undhashCode$2 = (($imul(33, jsx$1) + hi$1) | 0);
      this.$$undhashCode$2 = (($imul(17, this.$$undhashCode$2) + this.java$math$BigDecimal$$$undscale$2) | 0);
      return this.$$undhashCode$2
    } else {
      this.$$undhashCode$2 = (($imul(17, this.$$undintVal$2.hashCode__I()) + this.java$math$BigDecimal$$$undscale$2) | 0);
      return this.$$undhashCode$2
    }
  };
  init___T(sVal) {
    $c_Ljava_math_BigDecimal.prototype.init___AC__I__I.call(this, $m_sjsr_RuntimeString$().toCharArray__T__AC(sVal), 0, (sVal.length | 0));
    return this
  };
  intValue__I() {
    return (((this.java$math$BigDecimal$$$undscale$2 <= (-32)) || (this.java$math$BigDecimal$$$undscale$2 > this.approxPrecision__p2__I())) ? 0 : this.toBigInteger__Ljava_math_BigInteger().intValue__I())
  };
  init___Ljava_math_BigInteger(bi) {
    $c_Ljava_math_BigDecimal.prototype.init___Ljava_math_BigInteger__I.call(this, bi, 0);
    return this
  };
  floatValue__F() {
    const value = this.java$math$BigDecimal$$$undbitLength$2;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const value$1 = (this.java$math$BigDecimal$$$undscale$2 / 0.3010299956639812);
    const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value$1);
    const hi$1 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const lo$1 = ((value - lo) | 0);
    const hi$2 = ((((-2147483648) ^ lo$1) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    const floatResult0 = $fround(this.signum__I());
    const floatResult = ((((hi$2 === (-1)) ? (((-2147483648) ^ lo$1) < 2147483499) : (hi$2 < (-1))) || (floatResult0 === 0.0)) ? $fround((0.0 * floatResult0)) : (((hi$2 === 0) ? (((-2147483648) ^ lo$1) > (-2147483519)) : (hi$2 > 0)) ? $fround((Infinity * floatResult0)) : $fround(this.doubleValue__D())));
    return floatResult
  };
  init___AC__I__I($in, offset, len) {
    $c_Ljava_math_BigDecimal.prototype.init___.call(this);
    const last = (((-1) + ((offset + len) | 0)) | 0);
    if (($in === null)) {
      throw new $c_jl_NullPointerException().init___T("in == null")
    };
    if (((((last >= $in.u.length) || (offset < 0)) || (len <= 0)) || (last < 0))) {
      throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Bad offset/length: offset=", " len=", " in.length=", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([offset, len, $in.u.length])))
    };
    let index = offset;
    if (((offset <= last) && ($in.u[offset] === 43))) {
      index = ((1 + index) | 0);
      let jsx$1;
      if ((index < last)) {
        $m_Ljava_math_BigDecimal$();
        const c = $in.u[index];
        const array = [new $c_jl_Character().init___C(43), new $c_jl_Character().init___C(45)];
        const elem = new $c_jl_Character().init___C(c);
        let i = 0;
        while (true) {
          let jsx$2;
          if ((i < (array.length | 0))) {
            const index$1 = i;
            const arg1 = array[index$1];
            jsx$2 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1, elem) === false)
          } else {
            jsx$2 = false
          };
          if (jsx$2) {
            i = ((1 + i) | 0)
          } else {
            break
          }
        };
        jsx$1 = (i !== (array.length | 0))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        throw new $c_jl_NumberFormatException().init___T(("For input string: " + $in.toString__T()))
      }
    } else {
      const isMinus = ((index <= last) && ($in.u[index] === 45));
      let nextIsSign;
      if ((((1 + index) | 0) < last)) {
        $m_Ljava_math_BigDecimal$();
        const c$1 = $in.u[((1 + index) | 0)];
        const array$1 = [new $c_jl_Character().init___C(43), new $c_jl_Character().init___C(45)];
        const elem$1 = new $c_jl_Character().init___C(c$1);
        let i$1 = 0;
        while (true) {
          let jsx$3;
          if ((i$1 < (array$1.length | 0))) {
            const index$2 = i$1;
            const arg1$1 = array$1[index$2];
            jsx$3 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$1, elem$1) === false)
          } else {
            jsx$3 = false
          };
          if (jsx$3) {
            i$1 = ((1 + i$1) | 0)
          } else {
            break
          }
        };
        nextIsSign = (i$1 !== (array$1.length | 0))
      } else {
        nextIsSign = false
      };
      if ((isMinus && nextIsSign)) {
        throw new $c_jl_NumberFormatException().init___T(("For input string: " + $in.toString__T()))
      }
    };
    const begin = index;
    let counter = 0;
    let wasNonZero = false;
    while (true) {
      let jsx$4;
      if ((index <= last)) {
        $m_Ljava_math_BigDecimal$();
        const c$2 = $in.u[index];
        const array$2 = [new $c_jl_Character().init___C(46), new $c_jl_Character().init___C(101), new $c_jl_Character().init___C(69)];
        const elem$2 = new $c_jl_Character().init___C(c$2);
        let i$2 = 0;
        while (true) {
          let jsx$5;
          if ((i$2 < (array$2.length | 0))) {
            const index$3 = i$2;
            const arg1$2 = array$2[index$3];
            jsx$5 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$2, elem$2) === false)
          } else {
            jsx$5 = false
          };
          if (jsx$5) {
            i$2 = ((1 + i$2) | 0)
          } else {
            break
          }
        };
        jsx$4 = (!(i$2 !== (array$2.length | 0)))
      } else {
        jsx$4 = false
      };
      if (jsx$4) {
        if ((!wasNonZero)) {
          if (($in.u[index] === 48)) {
            counter = ((1 + counter) | 0)
          } else {
            wasNonZero = true
          }
        };
        index = ((1 + index) | 0)
      } else {
        break
      }
    };
    const this$25 = new $c_s_Predef$ArrayCharSequence().init___AC($in);
    const end = index;
    const u = new $c_sr_ArrayCharSequence().init___AC__I__I(this$25.$$und$undarrayOfChars$1, begin, end).toString__T();
    const b = ((index - begin) | 0);
    let x1_$_$$und1$f;
    let x1_$_$$und2$f;
    if (((index <= last) && ($in.u[index] === 46))) {
      index = ((1 + index) | 0);
      const begin$2 = index;
      while (true) {
        let jsx$6;
        if ((index <= last)) {
          $m_Ljava_math_BigDecimal$();
          const c$3 = $in.u[index];
          const array$3 = [new $c_jl_Character().init___C(101), new $c_jl_Character().init___C(69)];
          const elem$3 = new $c_jl_Character().init___C(c$3);
          let i$3 = 0;
          while (true) {
            let jsx$7;
            if ((i$3 < (array$3.length | 0))) {
              const index$4 = i$3;
              const arg1$3 = array$3[index$4];
              jsx$7 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$3, elem$3) === false)
            } else {
              jsx$7 = false
            };
            if (jsx$7) {
              i$3 = ((1 + i$3) | 0)
            } else {
              break
            }
          };
          jsx$6 = (!(i$3 !== (array$3.length | 0)))
        } else {
          jsx$6 = false
        };
        if (jsx$6) {
          if ((!wasNonZero)) {
            if (($in.u[index] === 48)) {
              counter = ((1 + counter) | 0)
            } else {
              wasNonZero = true
            }
          };
          index = ((1 + index) | 0)
        } else {
          break
        }
      };
      this.java$math$BigDecimal$$$undscale$2 = ((index - begin$2) | 0);
      const this$34 = new $c_s_Predef$ArrayCharSequence().init___AC($in);
      const end$1 = ((begin$2 + this.java$math$BigDecimal$$$undscale$2) | 0);
      const _1 = (("" + u) + new $c_sr_ArrayCharSequence().init___AC__I__I(this$34.$$und$undarrayOfChars$1, begin$2, end$1).toString__T());
      const _2 = ((b + this.java$math$BigDecimal$$$undscale$2) | 0);
      const jsx$8_$_$$und1$f = _1;
      const jsx$8_$_$$und2$f = _2;
      x1_$_$$und1$f = jsx$8_$_$$und1$f;
      x1_$_$$und2$f = jsx$8_$_$$und2$f
    } else {
      this.java$math$BigDecimal$$$undscale$2 = 0;
      const jsx$9_$_$$und1$f = u;
      const jsx$9_$_$$und2$f = b;
      x1_$_$$und1$f = jsx$9_$_$$und1$f;
      x1_$_$$und2$f = jsx$9_$_$$und2$f
    };
    const unscaled = x1_$_$$und1$f;
    const bufLength = (x1_$_$$und2$f | 0);
    let jsx$10;
    if ((index <= last)) {
      $m_Ljava_math_BigDecimal$();
      const c$4 = $in.u[index];
      const array$4 = [new $c_jl_Character().init___C(101), new $c_jl_Character().init___C(69)];
      const elem$4 = new $c_jl_Character().init___C(c$4);
      let i$4 = 0;
      while (true) {
        let jsx$11;
        if ((i$4 < (array$4.length | 0))) {
          const index$5 = i$4;
          const arg1$4 = array$4[index$5];
          jsx$11 = ($m_sr_BoxesRunTime$().equals__O__O__Z(arg1$4, elem$4) === false)
        } else {
          jsx$11 = false
        };
        if (jsx$11) {
          i$4 = ((1 + i$4) | 0)
        } else {
          break
        }
      };
      jsx$10 = (i$4 !== (array$4.length | 0))
    } else {
      jsx$10 = false
    };
    if (jsx$10) {
      index = ((1 + index) | 0);
      const indexIsPlus = ((index <= last) && ($in.u[index] === 43));
      const nextIsNotMinus = ((((1 + index) | 0) <= last) && ($in.u[((1 + index) | 0)] !== 45));
      const begin$3 = ((indexIsPlus && nextIsNotMinus) ? ((1 + index) | 0) : index);
      const this$42 = $m_sjsr_RuntimeString$();
      const count = ((((1 + last) | 0) - begin$3) | 0);
      const scaleString = this$42.newString__AC__I__I__T($in, begin$3, count);
      const value = this.java$math$BigDecimal$$$undscale$2;
      const hi = (value >> 31);
      const this$43 = $m_jl_Integer$();
      const value$1 = this$43.parseInt__T__I__I(scaleString, 10);
      const hi$1 = (value$1 >> 31);
      const lo = ((value - value$1) | 0);
      const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
      this.java$math$BigDecimal$$$undscale$2 = lo;
      const value$2 = this.java$math$BigDecimal$$$undscale$2;
      const hi$3 = (value$2 >> 31);
      if ((!((lo === value$2) && (hi$2 === hi$3)))) {
        throw new $c_jl_NumberFormatException().init___T("Scale out of range")
      }
    };
    if ((bufLength < 19)) {
      const this$45 = $m_jl_Long$();
      this.java$math$BigDecimal$$$undsmallValue$2 = this$45.parseLong__T__I__J(unscaled, 10);
      this.java$math$BigDecimal$$$undbitLength$2 = $m_Ljava_math_BigDecimal$().bitLength__J__I(this.java$math$BigDecimal$$$undsmallValue$2)
    } else {
      this.setUnscaledValue__p2__Ljava_math_BigInteger__V(new $c_Ljava_math_BigInteger().init___T(unscaled))
    };
    return this
  };
  decimalDigitsInLong__p2__J__I(value) {
    if (((value.lo$2 === 0) && (value.hi$2 === (-2147483648)))) {
      return 19
    } else {
      const jsx$3 = $m_ju_Arrays$();
      const jsx$2 = $m_Ljava_math_BigDecimal$().LongTenPows$1;
      const ahi = value.hi$2;
      let jsx$1;
      if ((ahi < 0)) {
        const lo = value.lo$2;
        const hi = value.hi$2;
        const lo$1 = ((-lo) | 0);
        const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
        const x_$_lo$2 = lo$1;
        const x_$_hi$2 = hi$1;
        jsx$1 = new $c_sjsr_RuntimeLong().init___I__I(x_$_lo$2, x_$_hi$2)
      } else {
        jsx$1 = value
      };
      const index = jsx$3.binarySearch__AJ__J__I(jsx$2, jsx$1);
      return ((index < 0) ? (((-1) - index) | 0) : ((1 + index) | 0))
    }
  };
  java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger() {
    if ((this.$$undintVal$2 === null)) {
      this.$$undintVal$2 = $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(this.java$math$BigDecimal$$$undsmallValue$2)
    };
    return this.$$undintVal$2
  };
  compareTo__Ljava_math_BigDecimal__I(bi) {
    const thisSign = this.signum__I();
    const valueSign = bi.signum__I();
    if ((thisSign === valueSign)) {
      if ((((this.java$math$BigDecimal$$$undscale$2 === bi.java$math$BigDecimal$$$undscale$2) && (this.java$math$BigDecimal$$$undbitLength$2 < 64)) && (bi.java$math$BigDecimal$$$undbitLength$2 < 64))) {
        const t = this.java$math$BigDecimal$$$undsmallValue$2;
        const lo = t.lo$2;
        const hi = t.hi$2;
        const b = bi.java$math$BigDecimal$$$undsmallValue$2;
        const bhi = b.hi$2;
        if (((hi === bhi) ? (((-2147483648) ^ lo) < ((-2147483648) ^ b.lo$2)) : (hi < bhi))) {
          return (-1)
        } else {
          const t$1 = this.java$math$BigDecimal$$$undsmallValue$2;
          const lo$1 = t$1.lo$2;
          const hi$1 = t$1.hi$2;
          const b$1 = bi.java$math$BigDecimal$$$undsmallValue$2;
          const bhi$1 = b$1.hi$2;
          if (((hi$1 === bhi$1) ? (((-2147483648) ^ lo$1) > ((-2147483648) ^ b$1.lo$2)) : (hi$1 > bhi$1))) {
            return 1
          } else {
            return 0
          }
        }
      } else {
        const value = this.java$math$BigDecimal$$$undscale$2;
        const hi$2 = (value >> 31);
        const value$1 = bi.java$math$BigDecimal$$$undscale$2;
        const hi$3 = (value$1 >> 31);
        const lo$2 = ((value - value$1) | 0);
        const hi$4 = ((((-2147483648) ^ lo$2) > ((-2147483648) ^ value)) ? (((-1) + ((hi$2 - hi$3) | 0)) | 0) : ((hi$2 - hi$3) | 0));
        const diffPrecision = ((this.approxPrecision__p2__I() - bi.approxPrecision__p2__I()) | 0);
        const hi$5 = (diffPrecision >> 31);
        const lo$3 = ((1 + lo$2) | 0);
        const hi$6 = ((lo$3 === 0) ? ((1 + hi$4) | 0) : hi$4);
        if (((hi$5 === hi$6) ? (((-2147483648) ^ diffPrecision) > ((-2147483648) ^ lo$3)) : (hi$5 > hi$6))) {
          return thisSign
        } else {
          const hi$7 = (diffPrecision >> 31);
          const lo$4 = (((-1) + lo$2) | 0);
          const hi$8 = ((lo$4 !== (-1)) ? hi$4 : (((-1) + hi$4) | 0));
          if (((hi$7 === hi$8) ? (((-2147483648) ^ diffPrecision) < ((-2147483648) ^ lo$4)) : (hi$7 < hi$8))) {
            return ((-thisSign) | 0)
          } else {
            const t$2 = this.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
            const v = bi.java$math$BigDecimal$$getUnscaledValue__Ljava_math_BigInteger();
            let x1_$_$$und1$f;
            let x1_$_$$und2$f;
            if ((hi$4 < 0)) {
              const jsx$1 = $m_Ljava_math_Multiplication$();
              const lo$5 = ((-lo$2) | 0);
              const hi$9 = ((lo$2 !== 0) ? (~hi$4) : ((-hi$4) | 0));
              const _1 = t$2.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(jsx$1.powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo$5, hi$9)));
              const jsx$2_$_$$und1$f = _1;
              const jsx$2_$_$$und2$f = v;
              x1_$_$$und1$f = jsx$2_$_$$und1$f;
              x1_$_$$und2$f = jsx$2_$_$$und2$f
            } else if (((hi$4 === 0) ? (lo$2 !== 0) : (hi$4 > 0))) {
              const _2 = v.multiply__Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_Multiplication$().powerOf10__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)));
              const jsx$3_$_$$und1$f = t$2;
              const jsx$3_$_$$und2$f = _2;
              x1_$_$$und1$f = jsx$3_$_$$und1$f;
              x1_$_$$und2$f = jsx$3_$_$$und2$f
            } else {
              const jsx$4_$_$$und1$f = t$2;
              const jsx$4_$_$$und2$f = v;
              x1_$_$$und1$f = jsx$4_$_$$und1$f;
              x1_$_$$und2$f = jsx$4_$_$$und2$f
            };
            const thisUnscaled = x1_$_$$und1$f;
            const valUnscaled = x1_$_$$und2$f;
            return thisUnscaled.compareTo__Ljava_math_BigInteger__I(valUnscaled)
          }
        }
      }
    } else {
      return ((thisSign < valueSign) ? (-1) : 1)
    }
  };
}
const $is_Ljava_math_BigDecimal = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_math_BigDecimal)))
});
const $isArrayOf_Ljava_math_BigDecimal = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_math_BigDecimal)))
});
const $d_Ljava_math_BigDecimal = new $TypeData().initClass({
  Ljava_math_BigDecimal: 0
}, false, "java.math.BigDecimal", {
  Ljava_math_BigDecimal: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_Ljava_math_BigDecimal.prototype.$classData = $d_Ljava_math_BigDecimal;
class $c_Ljava_math_BigInteger extends $c_jl_Number {
  constructor() {
    super();
    this.digits$2 = null;
    this.numberLength$2 = 0;
    this.sign$2 = 0;
    this.java$math$BigInteger$$firstNonzeroDigit$2 = 0;
    this.$$undhashCode$2 = 0
  };
  pow__I__Ljava_math_BigInteger(exp) {
    if ((exp < 0)) {
      throw new $c_jl_ArithmeticException().init___T("Negative exponent")
    } else if ((exp === 0)) {
      return $m_Ljava_math_BigInteger$().ONE$1
    } else if ((((exp === 1) || this.equals__O__Z($m_Ljava_math_BigInteger$().ONE$1)) || this.equals__O__Z($m_Ljava_math_BigInteger$().ZERO$1))) {
      return this
    } else if ((!this.testBit__I__Z(0))) {
      let x = 1;
      while ((!this.testBit__I__Z(x))) {
        x = ((1 + x) | 0)
      };
      return $m_Ljava_math_BigInteger$().getPowerOfTwo__I__Ljava_math_BigInteger($imul(x, exp)).multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(this.shiftRight__I__Ljava_math_BigInteger(x).pow__I__Ljava_math_BigInteger(exp))
    } else {
      return $m_Ljava_math_Multiplication$().pow__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, exp)
    }
  };
  longValue__J() {
    let value$3_$_lo$2;
    let value$3_$_hi$2;
    if ((this.numberLength$2 > 1)) {
      const value = this.digits$2.u[1];
      const value$1 = this.digits$2.u[0];
      const jsx$1_$_lo$2 = value$1;
      const jsx$1_$_hi$2 = value;
      value$3_$_lo$2 = jsx$1_$_lo$2;
      value$3_$_hi$2 = jsx$1_$_hi$2
    } else {
      const value$2 = this.digits$2.u[0];
      const jsx$2_$_lo$2 = value$2;
      const jsx$2_$_hi$2 = 0;
      value$3_$_lo$2 = jsx$2_$_lo$2;
      value$3_$_hi$2 = jsx$2_$_hi$2
    };
    const value$4 = this.sign$2;
    const hi$3 = (value$4 >> 31);
    const blo = value$3_$_lo$2;
    const a0 = (65535 & value$4);
    const a1 = ((value$4 >>> 16) | 0);
    const b0 = (65535 & blo);
    const b1 = ((blo >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi$4 = (((((((($imul(value$4, value$3_$_hi$2) + $imul(hi$3, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi$4)
  };
  init___() {
    this.java$math$BigInteger$$firstNonzeroDigit$2 = (-2);
    this.$$undhashCode$2 = 0;
    return this
  };
  divide__Ljava_math_BigInteger__Ljava_math_BigInteger(divisor) {
    if ((divisor.sign$2 === 0)) {
      throw new $c_jl_ArithmeticException().init___T("BigInteger divide by zero")
    };
    const divisorSign = divisor.sign$2;
    if (divisor.isOne__Z()) {
      return ((divisor.sign$2 > 0) ? this : this.negate__Ljava_math_BigInteger())
    } else {
      const thisSign = this.sign$2;
      const thisLen = this.numberLength$2;
      const divisorLen = divisor.numberLength$2;
      if ((((thisLen + divisorLen) | 0) === 2)) {
        const value = this.digits$2.u[0];
        const value$1 = divisor.digits$2.u[0];
        const this$1 = $m_sjsr_RuntimeLong$();
        const lo = this$1.divideImpl__I__I__I__I__I(value, 0, value$1, 0);
        const hi$2 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
        let bi_$_lo$2 = lo;
        let bi_$_hi$2 = hi$2;
        if ((thisSign !== divisorSign)) {
          const this$2_$_lo$2 = bi_$_lo$2;
          const this$2_$_hi$2 = bi_$_hi$2;
          const lo$1 = this$2_$_lo$2;
          const hi$3 = this$2_$_hi$2;
          const lo$2 = ((-lo$1) | 0);
          const hi$4 = ((lo$1 !== 0) ? (~hi$3) : ((-hi$3) | 0));
          const jsx$1_$_lo$2 = lo$2;
          const jsx$1_$_hi$2 = hi$4;
          bi_$_lo$2 = jsx$1_$_lo$2;
          bi_$_hi$2 = jsx$1_$_hi$2
        };
        return $m_Ljava_math_BigInteger$().valueOf__J__Ljava_math_BigInteger(new $c_sjsr_RuntimeLong().init___I__I(bi_$_lo$2, bi_$_hi$2))
      } else {
        const cmp = ((thisLen !== divisorLen) ? ((thisLen > divisorLen) ? 1 : (-1)) : $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(this.digits$2, divisor.digits$2, thisLen));
        if ((cmp === 0)) {
          return ((thisSign === divisorSign) ? $m_Ljava_math_BigInteger$().ONE$1 : $m_Ljava_math_BigInteger$().MINUS$undONE$1)
        } else if ((cmp === (-1))) {
          return $m_Ljava_math_BigInteger$().ZERO$1
        } else {
          const resLength = ((1 + ((thisLen - divisorLen) | 0)) | 0);
          const resDigits = $newArrayObject($d_I.getArrayOf(), [resLength]);
          const resSign = ((thisSign === divisorSign) ? 1 : (-1));
          if ((divisorLen === 1)) {
            $m_Ljava_math_Division$().divideArrayByInt__AI__AI__I__I__I(resDigits, this.digits$2, thisLen, divisor.digits$2.u[0])
          } else {
            $m_Ljava_math_Division$().divide__AI__I__AI__I__AI__I__AI(resDigits, resLength, this.digits$2, thisLen, divisor.digits$2, divisorLen)
          };
          const result = new $c_Ljava_math_BigInteger().init___I__I__AI(resSign, resLength, resDigits);
          result.cutOffLeadingZeroes__V();
          return result
        }
      }
    }
  };
  equals__O__Z(x) {
    if ($is_Ljava_math_BigInteger(x)) {
      const x2 = x;
      return (((this.sign$2 === x2.sign$2) && (this.numberLength$2 === x2.numberLength$2)) && this.equalsArrays__AI__Z(x2.digits$2))
    } else {
      return false
    }
  };
  toString__T() {
    return $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this)
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_math_BigInteger__I(x$1)
  };
  init___I__I(sign, value) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    this.sign$2 = sign;
    this.numberLength$2 = 1;
    this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(value, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]));
    return this
  };
  getFirstNonzeroDigit__I() {
    if ((this.java$math$BigInteger$$firstNonzeroDigit$2 === (-2))) {
      let jsx$1;
      if ((this.sign$2 === 0)) {
        jsx$1 = (-1)
      } else {
        let i = 0;
        while ((this.digits$2.u[i] === 0)) {
          i = ((1 + i) | 0)
        };
        jsx$1 = i
      };
      this.java$math$BigInteger$$firstNonzeroDigit$2 = jsx$1
    };
    return this.java$math$BigInteger$$firstNonzeroDigit$2
  };
  equalsArrays__AI__Z(b) {
    const end = this.numberLength$2;
    const this$4 = new $c_sci_Range().init___I__I__I(0, end, 1);
    const this$5 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this$4, 0, this$4.length__I());
    let res = true;
    while ((res && this$5.hasNext__Z())) {
      const arg1 = this$5.next__O();
      const i = (arg1 | 0);
      res = (this.digits$2.u[i] === b.u[i])
    };
    return res
  };
  abs__Ljava_math_BigInteger() {
    return ((this.sign$2 < 0) ? new $c_Ljava_math_BigInteger().init___I__I__AI(1, this.numberLength$2, this.digits$2) : this)
  };
  setFromString__p2__T__I__V(s, radix) {
    if ((((s === "") || (s === "+")) || (s === "-"))) {
      throw new $c_jl_NumberFormatException().init___T("Zero length BigInteger")
    };
    const stringLength0 = (s.length | 0);
    let x1_$_$$und1$1;
    let x1_$_$$und2$1;
    let x1_$_$$und3$1;
    if (((65535 & (s.charCodeAt(0) | 0)) === 45)) {
      const _3 = (((-1) + stringLength0) | 0);
      const jsx$1_$_$$und1$1 = (-1);
      const jsx$1_$_$$und2$1 = 1;
      const jsx$1_$_$$und3$1 = _3;
      x1_$_$$und1$1 = jsx$1_$_$$und1$1;
      x1_$_$$und2$1 = jsx$1_$_$$und2$1;
      x1_$_$$und3$1 = jsx$1_$_$$und3$1
    } else if (((65535 & (s.charCodeAt(0) | 0)) === 43)) {
      const _3$1 = (((-1) + stringLength0) | 0);
      const jsx$2_$_$$und1$1 = 1;
      const jsx$2_$_$$und2$1 = 1;
      const jsx$2_$_$$und3$1 = _3$1;
      x1_$_$$und1$1 = jsx$2_$_$$und1$1;
      x1_$_$$und2$1 = jsx$2_$_$$und2$1;
      x1_$_$$und3$1 = jsx$2_$_$$und3$1
    } else {
      const jsx$3_$_$$und1$1 = 1;
      const jsx$3_$_$$und2$1 = 0;
      const jsx$3_$_$$und3$1 = stringLength0;
      x1_$_$$und1$1 = jsx$3_$_$$und1$1;
      x1_$_$$und2$1 = jsx$3_$_$$und2$1;
      x1_$_$$und3$1 = jsx$3_$_$$und3$1
    };
    const _sign = (x1_$_$$und1$1 | 0);
    const startChar = (x1_$_$$und2$1 | 0);
    const stringLength = (x1_$_$$und3$1 | 0);
    const isEmpty$4 = (startChar >= stringLength0);
    const scala$collection$immutable$Range$$lastElement$4 = (((-1) + stringLength0) | 0);
    if ((!isEmpty$4)) {
      let i = startChar;
      while (true) {
        const v1 = i;
        const c = (65535 & (s.charCodeAt(v1) | 0));
        if (((c === 43) || (c === 45))) {
          throw new $c_jl_NumberFormatException().init___T("Illegal embedded sign character")
        };
        if ((i === scala$collection$immutable$Range$$lastElement$4)) {
          break
        };
        i = ((1 + i) | 0)
      }
    };
    const charsPerInt = $m_Ljava_math_Conversion$().DigitFitInInt$1.u[radix];
    let bigRadixDigitsLength = ((stringLength / charsPerInt) | 0);
    const topChars = ((stringLength % charsPerInt) | 0);
    if ((topChars !== 0)) {
      bigRadixDigitsLength = ((1 + bigRadixDigitsLength) | 0)
    };
    const _digits = $newArrayObject($d_I.getArrayOf(), [bigRadixDigitsLength]);
    const bigRadix = $m_Ljava_math_Conversion$().BigRadices$1.u[(((-2) + radix) | 0)];
    let digitIndex = 0;
    let substrEnd = ((startChar + ((topChars === 0) ? charsPerInt : topChars)) | 0);
    let newDigit = 0;
    let substrStart = startChar;
    while ((substrStart < stringLength0)) {
      const jsx$4 = $m_jl_Integer$();
      const beginIndex = substrStart;
      const endIndex = substrEnd;
      const bigRadixDigit = jsx$4.parseInt__T__I__I(s.substring(beginIndex, endIndex), radix);
      const this$13 = $m_Ljava_math_Multiplication$();
      const aSize = digitIndex;
      newDigit = this$13.multiplyByInt__p1__AI__AI__I__I__I(_digits, _digits, aSize, bigRadix);
      newDigit = ((newDigit + $m_Ljava_math_Elementary$().inplaceAdd__AI__I__I__I(_digits, digitIndex, bigRadixDigit)) | 0);
      _digits.u[digitIndex] = newDigit;
      digitIndex = ((1 + digitIndex) | 0);
      substrStart = substrEnd;
      substrEnd = ((substrStart + charsPerInt) | 0)
    };
    this.sign$2 = _sign;
    this.numberLength$2 = digitIndex;
    this.digits$2 = _digits;
    this.cutOffLeadingZeroes__V()
  };
  divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem(divisor) {
    const divisorSign = divisor.sign$2;
    if ((divisorSign === 0)) {
      throw new $c_jl_ArithmeticException().init___T("BigInteger divide by zero")
    };
    const divisorLen = divisor.numberLength$2;
    const divisorDigits = divisor.digits$2;
    if ((divisorLen === 1)) {
      return $m_Ljava_math_Division$().divideAndRemainderByInteger__Ljava_math_BigInteger__I__I__Ljava_math_BigInteger$QuotAndRem(this, divisorDigits.u[0], divisorSign)
    } else {
      const thisDigits = this.digits$2;
      const thisLen = this.numberLength$2;
      const cmp = ((thisLen !== divisorLen) ? ((thisLen > divisorLen) ? 1 : (-1)) : $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(thisDigits, divisorDigits, thisLen));
      if ((cmp < 0)) {
        return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger($m_Ljava_math_BigInteger$().ZERO$1, this)
      } else {
        const thisSign = this.sign$2;
        const quotientLength = ((1 + ((thisLen - divisorLen) | 0)) | 0);
        const quotientSign = ((thisSign === divisorSign) ? 1 : (-1));
        const quotientDigits = $newArrayObject($d_I.getArrayOf(), [quotientLength]);
        const remainderDigits = $m_Ljava_math_Division$().divide__AI__I__AI__I__AI__I__AI(quotientDigits, quotientLength, thisDigits, thisLen, divisorDigits, divisorLen);
        const result0 = new $c_Ljava_math_BigInteger().init___I__I__AI(quotientSign, quotientLength, quotientDigits);
        const result1 = new $c_Ljava_math_BigInteger().init___I__I__AI(thisSign, divisorLen, remainderDigits);
        result0.cutOffLeadingZeroes__V();
        result1.cutOffLeadingZeroes__V();
        return new $c_Ljava_math_BigInteger$QuotAndRem().init___Ljava_math_BigInteger__Ljava_math_BigInteger(result0, result1)
      }
    }
  };
  cutOffLeadingZeroes__V() {
    _loop: while (true) {
      if ((this.numberLength$2 > 0)) {
        this.numberLength$2 = (((-1) + this.numberLength$2) | 0);
        if ((this.digits$2.u[this.numberLength$2] === 0)) {
          continue _loop
        }
      };
      break
    };
    if ((this.digits$2.u[this.numberLength$2] === 0)) {
      this.sign$2 = 0
    };
    this.numberLength$2 = ((1 + this.numberLength$2) | 0)
  };
  testBit__I__Z(n) {
    const intCount = (n >> 5);
    if ((n === 0)) {
      return ((1 & this.digits$2.u[0]) !== 0)
    } else if ((n < 0)) {
      throw new $c_jl_ArithmeticException().init___T("Negative bit address")
    } else if ((intCount >= this.numberLength$2)) {
      return (this.sign$2 < 0)
    } else if ((!((this.sign$2 < 0) && (intCount < this.getFirstNonzeroDigit__I())))) {
      let digit = this.digits$2.u[intCount];
      if ((this.sign$2 < 0)) {
        digit = ((this.getFirstNonzeroDigit__I() === intCount) ? ((-digit) | 0) : (~digit))
      };
      const i = (1 << (31 & n));
      return ((digit & i) !== 0)
    } else {
      return false
    }
  };
  getLowestSetBit__I() {
    if ((this.sign$2 === 0)) {
      return (-1)
    } else {
      const i = this.getFirstNonzeroDigit__I();
      const i$1 = this.digits$2.u[i];
      return (((i << 5) + ((i$1 === 0) ? 32 : ((31 - $clz32((i$1 & ((-i$1) | 0)))) | 0))) | 0)
    }
  };
  negate__Ljava_math_BigInteger() {
    return ((this.sign$2 === 0) ? this : new $c_Ljava_math_BigInteger().init___I__I__AI(((-this.sign$2) | 0), this.numberLength$2, this.digits$2))
  };
  init___I__I__AI(sign, numberLength, digits) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    this.sign$2 = sign;
    this.numberLength$2 = numberLength;
    this.digits$2 = digits;
    return this
  };
  shiftLeftOneBit__Ljava_math_BigInteger() {
    return ((this.sign$2 === 0) ? this : $m_Ljava_math_BitLevel$().shiftLeftOneBit__Ljava_math_BigInteger__Ljava_math_BigInteger(this))
  };
  doubleValue__D() {
    return $m_jl_Double$().parseDouble__T__D($m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this))
  };
  init___T__I(s, radix) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    $m_Ljava_math_BigInteger$();
    if ((s === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if (((radix < 2) || (radix > 36))) {
      throw new $c_jl_NumberFormatException().init___T("Radix out of range")
    };
    if ((s === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if ((s === "")) {
      throw new $c_jl_NumberFormatException().init___T("Zero length BigInteger")
    };
    this.setFromString__p2__T__I__V(s, radix);
    return this
  };
  hashCode__I() {
    if ((this.$$undhashCode$2 !== 0)) {
      return this.$$undhashCode$2
    } else {
      const end = this.numberLength$2;
      const isEmpty$4 = (end <= 0);
      const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
      if ((!isEmpty$4)) {
        let i = 0;
        while (true) {
          const v1 = i;
          this.$$undhashCode$2 = (($imul(33, this.$$undhashCode$2) + this.digits$2.u[v1]) | 0);
          if ((i === scala$collection$immutable$Range$$lastElement$4)) {
            break
          };
          i = ((1 + i) | 0)
        }
      };
      this.$$undhashCode$2 = $imul(this.$$undhashCode$2, this.sign$2);
      return this.$$undhashCode$2
    }
  };
  divideAndRemainder__Ljava_math_BigInteger__ALjava_math_BigInteger(divisor) {
    return this.divideAndRemainderImpl__Ljava_math_BigInteger__Ljava_math_BigInteger$QuotAndRem(divisor).toArray__ALjava_math_BigInteger()
  };
  init___T(s) {
    $c_Ljava_math_BigInteger.prototype.init___T__I.call(this, s, 10);
    return this
  };
  shiftLeft__I__Ljava_math_BigInteger(n) {
    return (((n === 0) || (this.sign$2 === 0)) ? this : ((n > 0) ? $m_Ljava_math_BitLevel$().shiftLeft__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, n) : $m_Ljava_math_BitLevel$().shiftRight__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, ((-n) | 0))))
  };
  isOne__Z() {
    return ((this.numberLength$2 === 1) && (this.digits$2.u[0] === 1))
  };
  intValue__I() {
    return $imul(this.sign$2, this.digits$2.u[0])
  };
  multiply__Ljava_math_BigInteger__Ljava_math_BigInteger(bi) {
    if (((bi.sign$2 === 0) || (this.sign$2 === 0))) {
      return $m_Ljava_math_BigInteger$().ZERO$1
    } else {
      const this$1 = $m_Ljava_math_Multiplication$();
      return this$1.karatsuba__Ljava_math_BigInteger__Ljava_math_BigInteger__Ljava_math_BigInteger(this, bi)
    }
  };
  init___I__J(sign, lVal) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    this.sign$2 = sign;
    const lo = lVal.hi$2;
    if ((lo === 0)) {
      this.numberLength$2 = 1;
      this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(lVal.lo$2, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]))
    } else {
      this.numberLength$2 = 2;
      this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(lVal.lo$2, new $c_sjs_js_WrappedArray().init___sjs_js_Array([lo]))
    };
    return this
  };
  shiftRight__I__Ljava_math_BigInteger(n) {
    return (((n === 0) || (this.sign$2 === 0)) ? this : ((n > 0) ? $m_Ljava_math_BitLevel$().shiftRight__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, n) : $m_Ljava_math_BitLevel$().shiftLeft__Ljava_math_BigInteger__I__Ljava_math_BigInteger(this, ((-n) | 0))))
  };
  init___I__AI(signum, digits) {
    $c_Ljava_math_BigInteger.prototype.init___.call(this);
    if ((digits.u.length === 0)) {
      this.sign$2 = 0;
      this.numberLength$2 = 1;
      this.digits$2 = $m_s_Array$().apply__I__sc_Seq__AI(0, new $c_sjs_js_WrappedArray().init___sjs_js_Array([]))
    } else {
      this.sign$2 = signum;
      this.numberLength$2 = digits.u.length;
      this.digits$2 = digits;
      this.cutOffLeadingZeroes__V()
    };
    return this
  };
  compareTo__Ljava_math_BigInteger__I(bi) {
    return ((this.sign$2 > bi.sign$2) ? 1 : ((this.sign$2 < bi.sign$2) ? (-1) : ((this.numberLength$2 > bi.numberLength$2) ? this.sign$2 : ((this.numberLength$2 < bi.numberLength$2) ? ((-bi.sign$2) | 0) : $imul(this.sign$2, $m_Ljava_math_Elementary$().compareArrays__AI__AI__I__I(this.digits$2, bi.digits$2, this.numberLength$2))))))
  };
}
const $is_Ljava_math_BigInteger = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_math_BigInteger)))
});
const $isArrayOf_Ljava_math_BigInteger = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_math_BigInteger)))
});
const $d_Ljava_math_BigInteger = new $TypeData().initClass({
  Ljava_math_BigInteger: 0
}, false, "java.math.BigInteger", {
  Ljava_math_BigInteger: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_Ljava_math_BigInteger.prototype.$classData = $d_Ljava_math_BigInteger;
class $c_Ljava_math_RoundingMode extends $c_jl_Enum {
  init___T__I(name, ordinal) {
    $c_jl_Enum.prototype.init___T__I.call(this, name, ordinal);
    return this
  };
}
const $d_Ljava_math_RoundingMode = new $TypeData().initClass({
  Ljava_math_RoundingMode: 0
}, false, "java.math.RoundingMode", {
  Ljava_math_RoundingMode: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_math_RoundingMode.prototype.$classData = $d_Ljava_math_RoundingMode;
class $c_Ljava_net_URI extends $c_O {
  constructor() {
    super();
    this.origStr$1 = null;
    this.java$net$URI$$$undfld$f = null;
    this.java$net$URI$$$undisAbsolute$1 = false;
    this.java$net$URI$$$undisOpaque$1 = false;
    this.java$net$URI$$$undscheme$1 = null;
    this.java$net$URI$$$undschemeSpecificPart$1 = null;
    this.java$net$URI$$$undauthority$1 = null;
    this.java$net$URI$$$unduserInfo$1 = null;
    this.java$net$URI$$$undhost$1 = null;
    this.java$net$URI$$$undport$1 = 0;
    this.java$net$URI$$$undpath$1 = null;
    this.java$net$URI$$$undquery$1 = null;
    this.java$net$URI$$$undfragment$1 = null
  };
  equals__O__Z(that) {
    if ($is_Ljava_net_URI(that)) {
      const x2 = that;
      const f = (function($this) {
        return (function(x$2, y$2) {
          const x = x$2;
          const y = y$2;
          const this$1 = $m_Ljava_net_URI$();
          return this$1.loop$2__p1__I__T__T__I(0, x, y)
        })
      })(this);
      let jsx$1;
      if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undscheme$1, x2.java$net$URI$$$undscheme$1))) {
        const value = this.java$net$URI$$$undscheme$1;
        if ((value === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1 = value;
          const value$1 = x2.java$net$URI$$$undscheme$1;
          if ((value$1 === (void 0))) {
            jsx$1 = 1
          } else {
            const x$1 = value$1;
            jsx$1 = $m_sjsr_RuntimeString$().compareToIgnoreCase__T__T__I(s1, x$1)
          }
        }
      } else if ((this.java$net$URI$$$undisOpaque$1 !== x2.java$net$URI$$$undisOpaque$1)) {
        jsx$1 = (this.java$net$URI$$$undisOpaque$1 ? 1 : (-1))
      } else if (this.java$net$URI$$$undisOpaque$1) {
        const arg1 = this.java$net$URI$$$undschemeSpecificPart$1;
        const arg2 = x2.java$net$URI$$$undschemeSpecificPart$1;
        const ssp = (f(arg1, arg2) | 0);
        if ((ssp !== 0)) {
          jsx$1 = ssp
        } else {
          const x$3 = this.java$net$URI$$$undfragment$1;
          const y$1 = x2.java$net$URI$$$undfragment$1;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$3, y$1)) {
            jsx$1 = 0
          } else if ((x$3 === (void 0))) {
            jsx$1 = (-1)
          } else {
            const s1$1 = x$3;
            if ((y$1 === (void 0))) {
              jsx$1 = 1
            } else {
              const s2 = y$1;
              jsx$1 = (f(s1$1, s2) | 0)
            }
          }
        }
      } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undauthority$1, x2.java$net$URI$$$undauthority$1))) {
        const value$2 = this.java$net$URI$$$undhost$1;
        let jsx$2;
        if ((value$2 !== (void 0))) {
          const value$3 = x2.java$net$URI$$$undhost$1;
          jsx$2 = (value$3 !== (void 0))
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          const x$4 = this.java$net$URI$$$unduserInfo$1;
          const y$3 = x2.java$net$URI$$$unduserInfo$1;
          let ui;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$4, y$3)) {
            ui = 0
          } else if ((x$4 === (void 0))) {
            ui = (-1)
          } else {
            const s1$2 = x$4;
            if ((y$3 === (void 0))) {
              ui = 1
            } else {
              const s2$1 = y$3;
              ui = (f(s1$2, s2$1) | 0)
            }
          };
          if ((ui !== 0)) {
            jsx$1 = ui
          } else {
            const jsx$3 = $m_sjsr_RuntimeString$();
            const value$4 = this.java$net$URI$$$undhost$1;
            if ((value$4 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const value$5 = x2.java$net$URI$$$undhost$1;
            if ((value$5 === (void 0))) {
              throw new $c_ju_NoSuchElementException().init___T("undefined.get")
            };
            const hst = jsx$3.compareToIgnoreCase__T__T__I(value$4, value$5);
            jsx$1 = ((hst !== 0) ? hst : ((this.java$net$URI$$$undport$1 === x2.java$net$URI$$$undport$1) ? 0 : ((this.java$net$URI$$$undport$1 === (-1)) ? (-1) : ((x2.java$net$URI$$$undport$1 === (-1)) ? 1 : ((this.java$net$URI$$$undport$1 - x2.java$net$URI$$$undport$1) | 0)))))
          }
        } else {
          const x$5 = this.java$net$URI$$$undauthority$1;
          const y$4 = x2.java$net$URI$$$undauthority$1;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$5, y$4)) {
            jsx$1 = 0
          } else if ((x$5 === (void 0))) {
            jsx$1 = (-1)
          } else {
            const s1$3 = x$5;
            if ((y$4 === (void 0))) {
              jsx$1 = 1
            } else {
              const s2$2 = y$4;
              jsx$1 = (f(s1$3, s2$2) | 0)
            }
          }
        }
      } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undpath$1, x2.java$net$URI$$$undpath$1))) {
        const x$6 = this.java$net$URI$$$undpath$1;
        const y$5 = x2.java$net$URI$$$undpath$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$6, y$5)) {
          jsx$1 = 0
        } else if ((x$6 === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1$4 = x$6;
          if ((y$5 === (void 0))) {
            jsx$1 = 1
          } else {
            const s2$3 = y$5;
            jsx$1 = (f(s1$4, s2$3) | 0)
          }
        }
      } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undquery$1, x2.java$net$URI$$$undquery$1))) {
        const x$7 = this.java$net$URI$$$undquery$1;
        const y$6 = x2.java$net$URI$$$undquery$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$7, y$6)) {
          jsx$1 = 0
        } else if ((x$7 === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1$5 = x$7;
          if ((y$6 === (void 0))) {
            jsx$1 = 1
          } else {
            const s2$4 = y$6;
            jsx$1 = (f(s1$5, s2$4) | 0)
          }
        }
      } else {
        const x$8 = this.java$net$URI$$$undfragment$1;
        const y$7 = x2.java$net$URI$$$undfragment$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$8, y$7)) {
          jsx$1 = 0
        } else if ((x$8 === (void 0))) {
          jsx$1 = (-1)
        } else {
          const s1$6 = x$8;
          if ((y$7 === (void 0))) {
            jsx$1 = 1
          } else {
            const s2$5 = y$7;
            jsx$1 = (f(s1$6, s2$5) | 0)
          }
        }
      };
      return (jsx$1 === 0)
    } else {
      return false
    }
  };
  getQuery__T() {
    const value = this.java$net$URI$$$undquery$1;
    let value$2;
    if ((value === (void 0))) {
      value$2 = (void 0)
    } else {
      const str = value;
      const value$1 = $m_Ljava_net_URI$().java$net$URI$$decodeComponent__T__T(str);
      value$2 = value$1
    };
    return ((value$2 === (void 0)) ? null : value$2)
  };
  toString__T() {
    return this.origStr$1
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_net_URI__I(x$1)
  };
  getScheme__T() {
    const value = this.java$net$URI$$$undscheme$1;
    return ((value === (void 0)) ? null : value)
  };
  getRawAuthority__T() {
    const value = this.java$net$URI$$$undauthority$1;
    return ((value === (void 0)) ? null : value)
  };
  getFragment__T() {
    const value = this.java$net$URI$$$undfragment$1;
    let value$2;
    if ((value === (void 0))) {
      value$2 = (void 0)
    } else {
      const str = value;
      const value$1 = $m_Ljava_net_URI$().java$net$URI$$decodeComponent__T__T(str);
      value$2 = value$1
    };
    return ((value$2 === (void 0)) ? null : value$2)
  };
  okToDropFrom$1__p1__sci_List__Z(resRev) {
    let jsx$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(resRev)) {
      const x = resRev.head__O();
      jsx$1 = (!((x !== null) && $objectEquals(x, "..")))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const x$3 = resRev.head__O();
      return (!((x$3 !== null) && $objectEquals(x$3, "")))
    } else {
      return false
    }
  };
  init___T__T__T__T__T(scheme, authority, path, query, fragment) {
    $c_Ljava_net_URI.prototype.init___T.call(this, $m_Ljava_net_URI$().java$net$URI$$uriStr__T__T__T__T__T__T(scheme, authority, path, query, fragment));
    return this
  };
  compareTo__Ljava_net_URI__I(that) {
    const f = (function($this) {
      return (function(x$3$2, x$4$2) {
        const x$3 = x$3$2;
        const x$4 = x$4$2;
        return ((x$3 === x$4) ? 0 : ((!(!(x$3 < x$4))) ? (-1) : 1))
      })
    })(this);
    if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undscheme$1, that.java$net$URI$$$undscheme$1))) {
      const value = this.java$net$URI$$$undscheme$1;
      if ((value === (void 0))) {
        return (-1)
      } else {
        const s1 = value;
        const value$1 = that.java$net$URI$$$undscheme$1;
        if ((value$1 === (void 0))) {
          return 1
        } else {
          const x$1 = value$1;
          return $m_sjsr_RuntimeString$().compareToIgnoreCase__T__T__I(s1, x$1)
        }
      }
    } else if ((this.java$net$URI$$$undisOpaque$1 !== that.java$net$URI$$$undisOpaque$1)) {
      return (this.java$net$URI$$$undisOpaque$1 ? 1 : (-1))
    } else if (this.java$net$URI$$$undisOpaque$1) {
      const arg1 = this.java$net$URI$$$undschemeSpecificPart$1;
      const arg2 = that.java$net$URI$$$undschemeSpecificPart$1;
      const ssp = (f(arg1, arg2) | 0);
      if ((ssp !== 0)) {
        return ssp
      } else {
        const x = this.java$net$URI$$$undfragment$1;
        const y = that.java$net$URI$$$undfragment$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x, y)) {
          return 0
        } else if ((x === (void 0))) {
          return (-1)
        } else {
          const s1$1 = x;
          if ((y === (void 0))) {
            return 1
          } else {
            const s2 = y;
            return (f(s1$1, s2) | 0)
          }
        }
      }
    } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undauthority$1, that.java$net$URI$$$undauthority$1))) {
      const value$2 = this.java$net$URI$$$undhost$1;
      let jsx$1;
      if ((value$2 !== (void 0))) {
        const value$3 = that.java$net$URI$$$undhost$1;
        jsx$1 = (value$3 !== (void 0))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$2 = this.java$net$URI$$$unduserInfo$1;
        const y$1 = that.java$net$URI$$$unduserInfo$1;
        let ui;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$2, y$1)) {
          ui = 0
        } else if ((x$2 === (void 0))) {
          ui = (-1)
        } else {
          const s1$2 = x$2;
          if ((y$1 === (void 0))) {
            ui = 1
          } else {
            const s2$1 = y$1;
            ui = (f(s1$2, s2$1) | 0)
          }
        };
        if ((ui !== 0)) {
          return ui
        } else {
          const jsx$2 = $m_sjsr_RuntimeString$();
          const value$4 = this.java$net$URI$$$undhost$1;
          if ((value$4 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const value$5 = that.java$net$URI$$$undhost$1;
          if ((value$5 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          const hst = jsx$2.compareToIgnoreCase__T__T__I(value$4, value$5);
          return ((hst !== 0) ? hst : ((this.java$net$URI$$$undport$1 === that.java$net$URI$$$undport$1) ? 0 : ((this.java$net$URI$$$undport$1 === (-1)) ? (-1) : ((that.java$net$URI$$$undport$1 === (-1)) ? 1 : ((this.java$net$URI$$$undport$1 - that.java$net$URI$$$undport$1) | 0)))))
        }
      } else {
        const x$5 = this.java$net$URI$$$undauthority$1;
        const y$2 = that.java$net$URI$$$undauthority$1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$5, y$2)) {
          return 0
        } else if ((x$5 === (void 0))) {
          return (-1)
        } else {
          const s1$3 = x$5;
          if ((y$2 === (void 0))) {
            return 1
          } else {
            const s2$2 = y$2;
            return (f(s1$3, s2$2) | 0)
          }
        }
      }
    } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undpath$1, that.java$net$URI$$$undpath$1))) {
      const x$6 = this.java$net$URI$$$undpath$1;
      const y$3 = that.java$net$URI$$$undpath$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$6, y$3)) {
        return 0
      } else if ((x$6 === (void 0))) {
        return (-1)
      } else {
        const s1$4 = x$6;
        if ((y$3 === (void 0))) {
          return 1
        } else {
          const s2$3 = y$3;
          return (f(s1$4, s2$3) | 0)
        }
      }
    } else if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(this.java$net$URI$$$undquery$1, that.java$net$URI$$$undquery$1))) {
      const x$7 = this.java$net$URI$$$undquery$1;
      const y$4 = that.java$net$URI$$$undquery$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$7, y$4)) {
        return 0
      } else if ((x$7 === (void 0))) {
        return (-1)
      } else {
        const s1$5 = x$7;
        if ((y$4 === (void 0))) {
          return 1
        } else {
          const s2$4 = y$4;
          return (f(s1$5, s2$4) | 0)
        }
      }
    } else {
      const x$8 = this.java$net$URI$$$undfragment$1;
      const y$5 = that.java$net$URI$$$undfragment$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$8, y$5)) {
        return 0
      } else if ((x$8 === (void 0))) {
        return (-1)
      } else {
        const s1$6 = x$8;
        if ((y$5 === (void 0))) {
          return 1
        } else {
          const s2$5 = y$5;
          return (f(s1$6, s2$5) | 0)
        }
      }
    }
  };
  loop$1__p1__sci_List__sci_List__sci_List($in, resRev) {
    _loop: while (true) {
      let rc24 = false;
      let x2 = null;
      const x1 = $in;
      if ($is_sci_$colon$colon(x1)) {
        rc24 = true;
        x2 = x1;
        const p3 = x2.head$5;
        const p4 = x2.tl$5;
        let jsx$1;
        if ((p3 === ".")) {
          const x$2 = $m_sci_Nil$();
          jsx$1 = x$2.equals__O__Z(p4)
        } else {
          jsx$1 = false
        };
        if (jsx$1) {
          const temp$$in = $m_sci_Nil$();
          const this$1 = resRev;
          const temp$resRev = new $c_sci_$colon$colon().init___O__sci_List("", this$1);
          $in = temp$$in;
          resRev = temp$resRev;
          continue _loop
        }
      };
      if (rc24) {
        const p6 = x2.head$5;
        const p7 = x2.tl$5;
        let jsx$2;
        if ((p6 === "..")) {
          const x$4 = $m_sci_Nil$();
          if (x$4.equals__O__Z(p7)) {
            jsx$2 = this.okToDropFrom$1__p1__sci_List__Z(resRev)
          } else {
            jsx$2 = false
          }
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          const temp$$in$2 = $m_sci_Nil$();
          const this$2 = resRev.tail__O();
          const temp$resRev$2 = new $c_sci_$colon$colon().init___O__sci_List("", this$2);
          $in = temp$$in$2;
          resRev = temp$resRev$2;
          continue _loop
        }
      };
      if (rc24) {
        const p9 = x2.head$5;
        const xs = x2.tl$5;
        if ((p9 === ".")) {
          $in = xs;
          continue _loop
        }
      };
      if (rc24) {
        const p11 = x2.head$5;
        const xs$2 = x2.tl$5;
        if (((p11 === "") && $f_sc_TraversableOnce__nonEmpty__Z(xs$2))) {
          $in = xs$2;
          continue _loop
        }
      };
      if (rc24) {
        const p13 = x2.head$5;
        const xs$3 = x2.tl$5;
        if (((p13 === "..") && this.okToDropFrom$1__p1__sci_List__Z(resRev))) {
          const temp$resRev$3 = resRev.tail__O();
          $in = xs$3;
          resRev = temp$resRev$3;
          continue _loop
        }
      };
      if (rc24) {
        const x$7 = x2.head$5;
        const xs$4 = x2.tl$5;
        const this$3 = resRev;
        const temp$resRev$4 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$3);
        $in = xs$4;
        resRev = temp$resRev$4;
        continue _loop
      };
      const x$8 = $m_sci_Nil$();
      if (x$8.equals__O__Z(x1)) {
        return resRev.reverse__sci_List()
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    let acc = 53722356;
    acc = $m_s_util_hashing_MurmurHash3$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.java$net$URI$$$undscheme$1));
    acc = $m_s_util_hashing_MurmurHash3$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I($m_Ljava_net_URI$().java$net$URI$$normalizeEscapes__T__T(this.java$net$URI$$$undschemeSpecificPart$1)));
    const jsx$4 = $m_s_util_hashing_MurmurHash3$();
    const jsx$3 = acc;
    const jsx$2 = $m_sr_Statics$();
    const value = this.java$net$URI$$$undfragment$1;
    let jsx$1;
    if ((value === (void 0))) {
      jsx$1 = (void 0)
    } else {
      const str = value;
      const value$1 = $m_Ljava_net_URI$().java$net$URI$$normalizeEscapes__T__T(str);
      jsx$1 = value$1
    };
    acc = jsx$4.mixLast__I__I__I(jsx$3, jsx$2.anyHash__O__I(jsx$1));
    return $m_s_util_hashing_MurmurHash3$().finalizeHash__I__I__I(acc, 3)
  };
  init___T(origStr) {
    this.origStr$1 = origStr;
    const this$1 = $m_s_Option$().apply__O__s_Option($m_Ljava_net_URI$().java$net$URI$$uriRe$1.exec(origStr));
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      throw new $c_Ljava_net_URISyntaxException().init___T__T(this.origStr$1, "Malformed URI")
    } else {
      jsx$1 = this$1.get__O()
    };
    this.java$net$URI$$$undfld$f = jsx$1;
    const value = this.java$net$URI$$$undfld$f[1];
    this.java$net$URI$$$undisAbsolute$1 = (value !== (void 0));
    const value$1 = this.java$net$URI$$$undfld$f[10];
    this.java$net$URI$$$undisOpaque$1 = (value$1 !== (void 0));
    this.java$net$URI$$$undscheme$1 = this.java$net$URI$$$undfld$f[1];
    const value$2 = ((!this.java$net$URI$$$undisAbsolute$1) ? this.java$net$URI$$$undfld$f[11] : (this.java$net$URI$$$undisOpaque$1 ? this.java$net$URI$$$undfld$f[10] : this.java$net$URI$$$undfld$f[2]));
    if ((value$2 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    this.java$net$URI$$$undschemeSpecificPart$1 = value$2;
    const value$3 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[3] : this.java$net$URI$$$undfld$f[12]);
    let jsx$2;
    if ((value$3 === (void 0))) {
      jsx$2 = true
    } else {
      const x$1 = value$3;
      jsx$2 = (x$1 !== "")
    };
    this.java$net$URI$$$undauthority$1 = (jsx$2 ? value$3 : (void 0));
    this.java$net$URI$$$unduserInfo$1 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[4] : this.java$net$URI$$$undfld$f[13]);
    this.java$net$URI$$$undhost$1 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[5] : this.java$net$URI$$$undfld$f[14]);
    const value$4 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[6] : this.java$net$URI$$$undfld$f[15]);
    let jsx$3;
    if ((value$4 === (void 0))) {
      jsx$3 = (-1)
    } else {
      const x$2 = value$4;
      const this$25 = new $c_sci_StringOps().init___T(x$2);
      const this$27 = $m_jl_Integer$();
      const $$this = this$25.repr$1;
      jsx$3 = this$27.parseInt__T__I__I($$this, 10)
    };
    this.java$net$URI$$$undport$1 = jsx$3;
    const value$5 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[3] : this.java$net$URI$$$undfld$f[12]);
    const useNetPath = (value$5 !== (void 0));
    let jsx$4;
    if (useNetPath) {
      const value$6 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[7] : this.java$net$URI$$$undfld$f[16]);
      jsx$4 = ((value$6 === (void 0)) ? "" : value$6)
    } else if (this.java$net$URI$$$undisAbsolute$1) {
      jsx$4 = this.java$net$URI$$$undfld$f[8]
    } else {
      const value$7 = this.java$net$URI$$$undfld$f[17];
      jsx$4 = ((value$7 === (void 0)) ? this.java$net$URI$$$undfld$f[18] : value$7)
    };
    this.java$net$URI$$$undpath$1 = jsx$4;
    this.java$net$URI$$$undquery$1 = (this.java$net$URI$$$undisAbsolute$1 ? this.java$net$URI$$$undfld$f[9] : this.java$net$URI$$$undfld$f[19]);
    this.java$net$URI$$$undfragment$1 = this.java$net$URI$$$undfld$f[20];
    this.java$net$URI$$$undfld$f = null;
    return this
  };
  normalize__Ljava_net_URI() {
    let jsx$1;
    if (this.java$net$URI$$$undisOpaque$1) {
      jsx$1 = true
    } else {
      const value = this.java$net$URI$$$undpath$1;
      jsx$1 = (value === (void 0))
    };
    if (jsx$1) {
      return this
    } else {
      const value$1 = this.java$net$URI$$$undpath$1;
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      const origPath = value$1;
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(origPath, "/", (-1));
      const this$9 = $m_sci_List$();
      const cbf = this$9.ReusableCBFInstance$2;
      const b = cbf.apply__scm_Builder();
      const x1 = xs.u.length;
      switch (x1) {
        case (-1): {
          break
        }
        default: {
          b.sizeHint__I__V(x1)
        }
      };
      b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_scm_WrappedArray$ofRef().init___AO(xs));
      const segments0 = b.result__O();
      let isAbsPath;
      if ($f_sc_TraversableOnce__nonEmpty__Z(segments0)) {
        const x = segments0.head__O();
        isAbsPath = ((x !== null) && $objectEquals(x, ""))
      } else {
        isAbsPath = false
      };
      const segments1 = (isAbsPath ? segments0.tail__O() : segments0);
      const segments2 = this.loop$1__p1__sci_List__sci_List__sci_List(segments1, $m_sci_Nil$());
      let segments3;
      if (isAbsPath) {
        segments3 = new $c_sci_$colon$colon().init___O__sci_List("", segments2)
      } else {
        let jsx$2;
        if ($f_sc_TraversableOnce__nonEmpty__Z(segments2)) {
          const x$1 = segments2.head__O();
          const this$15 = new $c_sci_StringOps().init___T(x$1);
          const elem = new $c_jl_Character().init___C(58);
          jsx$2 = $f_sc_SeqLike__contains__O__Z(this$15, elem)
        } else {
          jsx$2 = false
        };
        if (jsx$2) {
          segments3 = new $c_sci_$colon$colon().init___O__sci_List(".", segments2)
        } else {
          segments3 = segments2
        }
      };
      const newPath = $f_sc_TraversableOnce__mkString__T__T__T__T(segments3, "", "/", "");
      return ((newPath === origPath) ? this : new $c_Ljava_net_URI().init___T__T__T__T__T(this.getScheme__T(), this.getRawAuthority__T(), newPath, this.getQuery__T(), this.getFragment__T()))
    }
  };
}
const $is_Ljava_net_URI = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_net_URI)))
});
const $isArrayOf_Ljava_net_URI = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_net_URI)))
});
const $d_Ljava_net_URI = new $TypeData().initClass({
  Ljava_net_URI: 0
}, false, "java.net.URI", {
  Ljava_net_URI: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_Ljava_net_URI.prototype.$classData = $d_Ljava_net_URI;
class $c_Ljava_net_URISyntaxException extends $c_jl_Exception {
  constructor() {
    super();
    this.input$3 = null;
    this.reason$3 = null;
    this.index$3 = 0
  };
  init___T__T(input, reason) {
    $c_Ljava_net_URISyntaxException.prototype.init___T__T__I.call(this, input, reason, (-1));
    return this
  };
  init___T__T__I(input, reason, index) {
    this.input$3 = input;
    this.reason$3 = reason;
    this.index$3 = index;
    const s = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " in ", " at ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([reason, input, index]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Ljava_net_URISyntaxException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_net_URISyntaxException)))
});
const $isArrayOf_Ljava_net_URISyntaxException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_net_URISyntaxException)))
});
const $d_Ljava_net_URISyntaxException = new $TypeData().initClass({
  Ljava_net_URISyntaxException: 0
}, false, "java.net.URISyntaxException", {
  Ljava_net_URISyntaxException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_net_URISyntaxException.prototype.$classData = $d_Ljava_net_URISyntaxException;
class $c_Ljava_nio_HeapByteBuffer extends $c_Ljava_nio_ByteBuffer {
  constructor() {
    super();
    this.$$undreadOnly$3 = false
  };
  put__AB__I__I__Ljava_nio_ByteBuffer(src, offset, length) {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    if ((((offset < 0) || (length < 0)) || (offset > ((src.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    $systemArraycopy(src, offset, this.$$undarray$2, ((this.$$undarrayOffset$2 + p) | 0), length);
    return this
  };
  get__AB__I__I__Ljava_nio_ByteBuffer(dst, offset, length) {
    if ((((offset < 0) || (length < 0)) || (offset > ((dst.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    $systemArraycopy(this.$$undarray$2, ((this.$$undarrayOffset$2 + p) | 0), dst, offset, length);
    return this
  };
  init___I__AB__I__I__I__Z(_capacity, _array0, _arrayOffset0, _initialPosition, _initialLimit, _readOnly) {
    this.$$undreadOnly$3 = _readOnly;
    $c_Ljava_nio_ByteBuffer.prototype.init___I__AB__I.call(this, _capacity, _array0, _arrayOffset0);
    this.position__I__Ljava_nio_Buffer(_initialPosition);
    this.limit__I__Ljava_nio_Buffer(_initialLimit);
    return this
  };
  compact__Ljava_nio_ByteBuffer() {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const len = ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0);
    $systemArraycopy(this.$$undarray$2, ((this.$$undarrayOffset$2 + this.java$nio$Buffer$$$undposition$1) | 0), this.$$undarray$2, this.$$undarrayOffset$2, len);
    this.$$undmark$1 = (-1);
    this.limit__I__Ljava_nio_Buffer(this.$$undcapacity$1);
    this.position__I__Ljava_nio_Buffer(len);
    return this
  };
  get__B() {
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    return ((this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)] | 0) | 0)
  };
  put__B__Ljava_nio_ByteBuffer(b) {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    const elem = (b | 0);
    this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)] = (elem | 0);
    return this
  };
}
const $d_Ljava_nio_HeapByteBuffer = new $TypeData().initClass({
  Ljava_nio_HeapByteBuffer: 0
}, false, "java.nio.HeapByteBuffer", {
  Ljava_nio_HeapByteBuffer: 1,
  Ljava_nio_ByteBuffer: 1,
  Ljava_nio_Buffer: 1,
  O: 1,
  jl_Comparable: 1
});
$c_Ljava_nio_HeapByteBuffer.prototype.$classData = $d_Ljava_nio_HeapByteBuffer;
class $c_Ljava_nio_charset_CoderMalfunctionError extends $c_jl_Error {
  init___jl_Exception(cause) {
    $c_jl_Error.prototype.init___jl_Throwable.call(this, cause);
    return this
  };
}
const $d_Ljava_nio_charset_CoderMalfunctionError = new $TypeData().initClass({
  Ljava_nio_charset_CoderMalfunctionError: 0
}, false, "java.nio.charset.CoderMalfunctionError", {
  Ljava_nio_charset_CoderMalfunctionError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_CoderMalfunctionError.prototype.$classData = $d_Ljava_nio_charset_CoderMalfunctionError;
class $c_Lorg_yaml_model_YMap extends $c_Lorg_yaml_model_YValue {
  constructor() {
    super();
    this.entries$3 = null;
    this.map$3 = null
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YMap(obj)) {
      const x2 = obj;
      const x = this.map$3;
      const x$2 = x2.map$3;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
      const x3 = obj;
      const this$1 = x3.to__Lorg_yaml_convert_YRead__s_util_Either($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_util_Right(this$1)) {
        const x2$1 = this$1;
        const b = x2$1.value$2;
        const x$1 = b;
        const x$3 = this.map$3;
        const x$2$1 = x$1.map$3;
        return ((x$3 === null) ? (x$2$1 === null) : $f_sc_GenMapLike__equals__O__Z(x$3, x$2$1))
      } else if ($is_s_util_Left(this$1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } else {
      return false
    }
  };
  init___sc_IndexedSeq(c) {
    $c_Lorg_yaml_model_YValue.prototype.init___sc_IndexedSeq.call(this, c);
    const jsx$3 = $m_s_Predef$();
    const jsx$2 = this.children$2;
    const jsx$1 = new $c_Lorg_yaml_model_YMap$$anonfun$1().init___Lorg_yaml_model_YMap(this);
    const this$1 = $m_sc_IndexedSeq$();
    this.entries$3 = jsx$3.wrapRefArray__AO__scm_WrappedArray(jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6).toArray__s_reflect_ClassTag__O(new $c_s_reflect_ClassTag$GenericClassTag().init___jl_Class($d_Lorg_yaml_model_YMapEntry.getClassOf())));
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    this.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(e$2) {
        const e = e$2;
        return b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(e.key$1, e.value$1))
      })
    })(this, b)));
    this.map$3 = b.elems$1;
    return this
  };
  toString__T() {
    return this.entries$3.mkString__T__T__T__T("{", ", ", "}")
  };
  hashCode__I() {
    const this$1 = this.map$3;
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.unorderedHash__sc_TraversableOnce__I__I(this$1, this$2.mapSeed$2)
  };
}
const $is_Lorg_yaml_model_YMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YMap)))
});
const $isArrayOf_Lorg_yaml_model_YMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YMap)))
});
const $d_Lorg_yaml_model_YMap = new $TypeData().initClass({
  Lorg_yaml_model_YMap: 0
}, false, "org.yaml.model.YMap", {
  Lorg_yaml_model_YMap: 1,
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YMap.prototype.$classData = $d_Lorg_yaml_model_YMap;
class $c_Lorg_yaml_model_YNode extends $c_Lorg_yaml_model_YNodeLike {
  constructor() {
    super();
    this.children$3 = null;
    this.range$3 = null
  };
  children__sc_IndexedSeq() {
    return this.children$3
  };
  equals__O__Z(obj) {
    if ((!$is_Lorg_yaml_model_YFail(obj))) {
      if ($is_Lorg_yaml_model_YNode(obj)) {
        const x3 = obj;
        const x = this.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = x3.tag__Lorg_yaml_model_YTag().tagType$2;
        if ((x === x$2)) {
          return this.value__Lorg_yaml_model_YValue().$$eq$eq__Lorg_yaml_model_YValueLike__Z(x3.value__Lorg_yaml_model_YValue())
        } else {
          return false
        }
      } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
        const x4 = obj;
        return this.$$eq$eq__Lorg_yaml_model_YValueLike__Z(x4.thisNode__Lorg_yaml_model_YNode())
      } else {
        return false
      }
    } else {
      return false
    }
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$3 = x$1
  };
  init___sc_IndexedSeq(children) {
    this.children$3 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  toString__T() {
    return this.value__Lorg_yaml_model_YValue().toString__T()
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  anchor__s_Option() {
    return $m_s_None$()
  };
  hashCode__I() {
    const this$1 = this.tag__Lorg_yaml_model_YTag().tagType$2;
    return (($imul(31, $systemIdentityHashCode(this$1)) + this.value__Lorg_yaml_model_YValue().hashCode__I()) | 0)
  };
  thisNode__Lorg_yaml_model_YNode() {
    return this
  };
}
const $is_Lorg_yaml_model_YNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode)))
});
const $isArrayOf_Lorg_yaml_model_YNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode)))
});
const $d_Lorg_yaml_model_YNode = new $TypeData().initClass({
  Lorg_yaml_model_YNode: 0
}, false, "org.yaml.model.YNode", {
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode.prototype.$classData = $d_Lorg_yaml_model_YNode;
class $c_Lorg_yaml_model_YObj extends $c_Lorg_yaml_model_YNodeLike {
}
class $c_Lorg_yaml_model_YScalar extends $c_Lorg_yaml_model_YValue {
  constructor() {
    super();
    this.value$3 = null;
    this.text$3 = null;
    this.mark$3 = null
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YScalar(obj)) {
      const x2 = obj;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(x2.value$3, this.value$3)
    } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
      const x3 = obj;
      const this$1 = x3.to__Lorg_yaml_convert_YRead__s_util_Either($m_Lorg_yaml_convert_YRead$YScalarYRead$());
      if ($is_s_util_Right(this$1)) {
        const x2$1 = this$1;
        const b = x2$1.value$2;
        const s = b;
        const v1 = s.value$3;
        return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$3, v1)
      } else if ($is_s_util_Left(this$1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } else {
      return false
    }
  };
  toString__T() {
    return this.mark$3.markText__T__T(this.text$3)
  };
  init___O__T__Lorg_yaml_model_ScalarMark__sc_IndexedSeq(value, text, mark, c) {
    this.value$3 = value;
    this.text$3 = text;
    this.mark$3 = mark;
    $c_Lorg_yaml_model_YValue.prototype.init___sc_IndexedSeq.call(this, c);
    return this
  };
  hashCode__I() {
    return $objectHashCode(this.value$3)
  };
}
const $is_Lorg_yaml_model_YScalar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YScalar)))
});
const $isArrayOf_Lorg_yaml_model_YScalar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YScalar)))
});
const $d_Lorg_yaml_model_YScalar = new $TypeData().initClass({
  Lorg_yaml_model_YScalar: 0
}, false, "org.yaml.model.YScalar", {
  Lorg_yaml_model_YScalar: 1,
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YScalar.prototype.$classData = $d_Lorg_yaml_model_YScalar;
class $c_Lorg_yaml_model_YSequence extends $c_Lorg_yaml_model_YValue {
  constructor() {
    super();
    this.nodes$3 = null
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YSequence(obj)) {
      const x2 = obj;
      return this.nodes$3.equals__O__Z(x2.nodes$3)
    } else if ($is_Lorg_yaml_model_YNodeLike(obj)) {
      const x3 = obj;
      const this$1 = x3.to__Lorg_yaml_convert_YRead__s_util_Either($m_Lorg_yaml_convert_YRead$YSeqYRead$());
      if ($is_s_util_Right(this$1)) {
        const x2$1 = this$1;
        const b = x2$1.value$2;
        const x$1 = b;
        const x = this.nodes$3;
        const x$2 = x$1.nodes$3;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else if ($is_s_util_Left(this$1)) {
        return false
      } else {
        throw new $c_s_MatchError().init___O(this$1)
      }
    } else {
      return false
    }
  };
  init___sc_IndexedSeq(c) {
    $c_Lorg_yaml_model_YValue.prototype.init___sc_IndexedSeq.call(this, c);
    const jsx$3 = $m_s_Predef$();
    const jsx$2 = this.children$2;
    const jsx$1 = new $c_Lorg_yaml_model_YSequence$$anonfun$1().init___Lorg_yaml_model_YSequence(this);
    const this$1 = $m_sc_IndexedSeq$();
    this.nodes$3 = jsx$3.wrapRefArray__AO__scm_WrappedArray(jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6).toArray__s_reflect_ClassTag__O(new $c_s_reflect_ClassTag$GenericClassTag().init___jl_Class($d_Lorg_yaml_model_YNode.getClassOf())));
    return this
  };
  toString__T() {
    return this.nodes$3.mkString__T__T__T__T("[", ", ", "]")
  };
  hashCode__I() {
    return this.nodes$3.hashCode__I()
  };
}
const $is_Lorg_yaml_model_YSequence = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YSequence)))
});
const $isArrayOf_Lorg_yaml_model_YSequence = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YSequence)))
});
const $d_Lorg_yaml_model_YSequence = new $TypeData().initClass({
  Lorg_yaml_model_YSequence: 0
}, false, "org.yaml.model.YSequence", {
  Lorg_yaml_model_YSequence: 1,
  Lorg_yaml_model_YValue: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YSequence.prototype.$classData = $d_Lorg_yaml_model_YSequence;
class $c_Lscopt_ParseException extends $c_jl_Exception {
  init___T__I(s, errorOffset) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Lscopt_ParseException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lscopt_ParseException)))
});
const $isArrayOf_Lscopt_ParseException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lscopt_ParseException)))
});
const $d_Lscopt_ParseException = new $TypeData().initClass({
  Lscopt_ParseException: 0
}, false, "scopt.ParseException", {
  Lscopt_ParseException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_ParseException.prototype.$classData = $d_Lscopt_ParseException;
const $is_T = (function(obj) {
  return ((typeof obj) === "string")
});
const $isArrayOf_T = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T)))
});
const $d_T = new $TypeData().initClass({
  T: 0
}, false, "java.lang.String", {
  T: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_CharSequence: 1,
  jl_Comparable: 1
}, (void 0), (void 0), $is_T);
class $c_jl_AssertionError extends $c_jl_Error {
  init___O(o) {
    const s = $objectToString(o);
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_AssertionError = new $TypeData().initClass({
  jl_AssertionError: 0
}, false, "java.lang.AssertionError", {
  jl_AssertionError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_AssertionError.prototype.$classData = $d_jl_AssertionError;
const $isArrayOf_jl_Byte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Byte)))
});
const $d_jl_Byte = new $TypeData().initClass({
  jl_Byte: 0
}, false, "java.lang.Byte", {
  jl_Byte: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isByte(x)
}));
class $c_jl_CloneNotSupportedException extends $c_jl_Exception {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_jl_CloneNotSupportedException = new $TypeData().initClass({
  jl_CloneNotSupportedException: 0
}, false, "java.lang.CloneNotSupportedException", {
  jl_CloneNotSupportedException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_CloneNotSupportedException.prototype.$classData = $d_jl_CloneNotSupportedException;
const $isArrayOf_jl_Double = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Double)))
});
const $d_jl_Double = new $TypeData().initClass({
  jl_Double: 0
}, false, "java.lang.Double", {
  jl_Double: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "number")
}));
const $isArrayOf_jl_Float = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Float)))
});
const $d_jl_Float = new $TypeData().initClass({
  jl_Float: 0
}, false, "java.lang.Float", {
  jl_Float: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isFloat(x)
}));
const $isArrayOf_jl_Integer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Integer)))
});
const $d_jl_Integer = new $TypeData().initClass({
  jl_Integer: 0
}, false, "java.lang.Integer", {
  jl_Integer: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isInt(x)
}));
const $is_jl_InterruptedException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_InterruptedException)))
});
const $isArrayOf_jl_InterruptedException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_InterruptedException)))
});
class $c_jl_JSConsoleBasedPrintStream$DummyOutputStream extends $c_Ljava_io_OutputStream {
  init___() {
    return this
  };
}
const $d_jl_JSConsoleBasedPrintStream$DummyOutputStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream$DummyOutputStream", {
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1
});
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream$DummyOutputStream;
const $is_jl_LinkageError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_LinkageError)))
});
const $isArrayOf_jl_LinkageError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_LinkageError)))
});
const $isArrayOf_jl_Long = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Long)))
});
const $d_jl_Long = new $TypeData().initClass({
  jl_Long: 0
}, false, "java.lang.Long", {
  jl_Long: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $is_sjsr_RuntimeLong(x)
}));
class $c_jl_RuntimeException extends $c_jl_Exception {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
  init___T__jl_Throwable(s, e) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
}
const $d_jl_RuntimeException = new $TypeData().initClass({
  jl_RuntimeException: 0
}, false, "java.lang.RuntimeException", {
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_RuntimeException.prototype.$classData = $d_jl_RuntimeException;
const $isArrayOf_jl_Short = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Short)))
});
const $d_jl_Short = new $TypeData().initClass({
  jl_Short: 0
}, false, "java.lang.Short", {
  jl_Short: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isShort(x)
}));
class $c_jl_StringBuffer extends $c_O {
  constructor() {
    super();
    this.content$1 = null
  };
  init___() {
    $c_jl_StringBuffer.prototype.init___T.call(this, "");
    return this
  };
  insert__I__T__jl_StringBuffer(index, str) {
    const thiz = this.content$1;
    const thisLength = (thiz.length | 0);
    if (((index < 0) || (index > thisLength))) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___I(index)
    } else if ((index === thisLength)) {
      this.append__T__jl_StringBuffer(str)
    } else {
      const thiz$1 = this.content$1;
      const jsx$2 = thiz$1.substring(0, index);
      const this$4 = $m_s_Option$().apply__O__s_Option(str);
      const jsx$1 = (this$4.isEmpty__Z() ? "null" : this$4.get__O());
      const thiz$2 = this.content$1;
      this.content$1 = ((("" + jsx$2) + jsx$1) + thiz$2.substring(index))
    };
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    const thiz = this.content$1;
    return thiz.substring(start, end)
  };
  toString__T() {
    return this.content$1
  };
  init___jl_CharSequence(csq) {
    $c_jl_StringBuffer.prototype.init___T.call(this, $objectToString(csq));
    return this
  };
  append__jl_CharSequence__jl_Appendable(csq) {
    return this.append__O__jl_StringBuffer(csq)
  };
  append__O__jl_StringBuffer(obj) {
    return ((obj === null) ? this.append__T__jl_StringBuffer(null) : this.append__T__jl_StringBuffer($objectToString(obj)))
  };
  length__I() {
    const thiz = this.content$1;
    return (thiz.length | 0)
  };
  append__T__jl_StringBuffer(s) {
    this.content$1 = (("" + this.content$1) + ((s === null) ? "null" : s));
    return this
  };
  init___T(content) {
    this.content$1 = content;
    return this
  };
  append__C__jl_Appendable(c) {
    return this.append__C__jl_StringBuffer(c)
  };
  append__C__jl_StringBuffer(c) {
    return this.append__T__jl_StringBuffer($g.String.fromCharCode(c))
  };
  charAt__I__C(index) {
    const thiz = this.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
}
const $d_jl_StringBuffer = new $TypeData().initClass({
  jl_StringBuffer: 0
}, false, "java.lang.StringBuffer", {
  jl_StringBuffer: 1,
  O: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringBuffer.prototype.$classData = $d_jl_StringBuffer;
class $c_jl_StringBuilder extends $c_O {
  constructor() {
    super();
    this.content$1 = null
  };
  setLength__I__V(newLength) {
    if ((newLength < 0)) {
      throw new $c_jl_StringIndexOutOfBoundsException().init___T(("String index out of range: " + newLength))
    };
    const thiz = this.content$1;
    const len = (thiz.length | 0);
    if ((len !== newLength)) {
      if ((len < newLength)) {
        let index = len;
        while ((index < newLength)) {
          this.append__T__jl_StringBuilder("\u0000");
          index = ((1 + index) | 0)
        }
      } else {
        const thiz$1 = this.content$1;
        this.content$1 = thiz$1.substring(0, newLength)
      }
    }
  };
  init___() {
    $c_jl_StringBuilder.prototype.init___T.call(this, "");
    return this
  };
  append__T__jl_StringBuilder(s) {
    this.content$1 = (("" + this.content$1) + ((s === null) ? "null" : s));
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    const thiz = this.content$1;
    return thiz.substring(start, end)
  };
  toString__T() {
    return this.content$1
  };
  append__jl_CharSequence__jl_Appendable(csq) {
    return this.append__O__jl_StringBuilder(csq)
  };
  append__O__jl_StringBuilder(obj) {
    return ((obj === null) ? this.append__T__jl_StringBuilder(null) : this.append__T__jl_StringBuilder($objectToString(obj)))
  };
  init___I(initialCapacity) {
    $c_jl_StringBuilder.prototype.init___T.call(this, "");
    return this
  };
  append__jl_CharSequence__I__I__jl_StringBuilder(csq, start, end) {
    return ((csq === null) ? this.append__jl_CharSequence__I__I__jl_StringBuilder("null", start, end) : this.append__T__jl_StringBuilder($objectToString($charSequenceSubSequence(csq, start, end))))
  };
  length__I() {
    const thiz = this.content$1;
    return (thiz.length | 0)
  };
  append__C__jl_StringBuilder(c) {
    return this.append__T__jl_StringBuilder($g.String.fromCharCode(c))
  };
  init___T(content) {
    this.content$1 = content;
    return this
  };
  append__C__jl_Appendable(c) {
    return this.append__C__jl_StringBuilder(c)
  };
  charAt__I__C(index) {
    const thiz = this.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
}
const $d_jl_StringBuilder = new $TypeData().initClass({
  jl_StringBuilder: 0
}, false, "java.lang.StringBuilder", {
  jl_StringBuilder: 1,
  O: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringBuilder.prototype.$classData = $d_jl_StringBuilder;
const $is_jl_ThreadDeath = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ThreadDeath)))
});
const $isArrayOf_jl_ThreadDeath = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ThreadDeath)))
});
const $is_jl_VirtualMachineError = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_VirtualMachineError)))
});
const $isArrayOf_jl_VirtualMachineError = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_VirtualMachineError)))
});
class $c_ju_concurrent_ExecutionException extends $c_jl_Exception {
  init___T__jl_Throwable(message, cause) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
    return this
  };
}
const $d_ju_concurrent_ExecutionException = new $TypeData().initClass({
  ju_concurrent_ExecutionException: 0
}, false, "java.util.concurrent.ExecutionException", {
  ju_concurrent_ExecutionException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_ExecutionException.prototype.$classData = $d_ju_concurrent_ExecutionException;
class $c_ju_concurrent_TimeUnit extends $c_jl_Enum {
}
const $is_ju_concurrent_TimeUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.ju_concurrent_TimeUnit)))
});
const $isArrayOf_ju_concurrent_TimeUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.ju_concurrent_TimeUnit)))
});
const $d_ju_concurrent_TimeUnit = new $TypeData().initClass({
  ju_concurrent_TimeUnit: 0
}, false, "java.util.concurrent.TimeUnit", {
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit.prototype.$classData = $d_ju_concurrent_TimeUnit;
class $c_ju_concurrent_atomic_AtomicInteger extends $c_jl_Number {
  constructor() {
    super();
    this.java$util$concurrent$atomic$AtomicInteger$$value$f = 0
  };
  init___() {
    $c_ju_concurrent_atomic_AtomicInteger.prototype.init___I.call(this, 0);
    return this
  };
  toString__T() {
    const this$1 = this.java$util$concurrent$atomic$AtomicInteger$$value$f;
    return ("" + this$1)
  };
  init___I(value) {
    this.java$util$concurrent$atomic$AtomicInteger$$value$f = value;
    return this
  };
  doubleValue__D() {
    return this.java$util$concurrent$atomic$AtomicInteger$$value$f
  };
  intValue__I() {
    return this.java$util$concurrent$atomic$AtomicInteger$$value$f
  };
}
const $d_ju_concurrent_atomic_AtomicInteger = new $TypeData().initClass({
  ju_concurrent_atomic_AtomicInteger: 0
}, false, "java.util.concurrent.atomic.AtomicInteger", {
  ju_concurrent_atomic_AtomicInteger: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Serializable: 1
});
$c_ju_concurrent_atomic_AtomicInteger.prototype.$classData = $d_ju_concurrent_atomic_AtomicInteger;
class $c_s_Array$ extends $c_s_FallbackArrayBuilding {
  init___() {
    return this
  };
  unapplySeq__O__s_Option(x) {
    if ((x === null)) {
      return $m_s_None$()
    } else {
      const this$1 = $m_s_Predef$().genericArrayOps__O__scm_ArrayOps(x);
      const this$2 = $m_s_Predef$();
      const cbf = new $c_s_LowPriorityImplicits$$anon$4().init___s_LowPriorityImplicits(this$2);
      return new $c_s_Some().init___O($f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf))
    }
  };
  slowcopy__p2__O__I__O__I__I__V(src, srcPos, dest, destPos, length) {
    let i = srcPos;
    let j = destPos;
    const srcUntil = ((srcPos + length) | 0);
    while ((i < srcUntil)) {
      $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(dest, j, $m_sr_ScalaRunTime$().array$undapply__O__I__O(src, i));
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    }
  };
  apply__C__sc_Seq__AC(x, xs) {
    const array = $newArrayObject($d_C.getArrayOf(), [((1 + xs.length__I()) | 0)]);
    array.u[0] = x;
    let elem$1 = 0;
    elem$1 = 1;
    const this$2 = xs.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      let x$2;
      if ((arg1 === null)) {
        x$2 = 0
      } else {
        const this$4 = arg1;
        x$2 = this$4.value$1
      };
      array.u[elem$1] = x$2;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
  apply__I__sc_Seq__AI(x, xs) {
    const array = $newArrayObject($d_I.getArrayOf(), [((1 + xs.length__I()) | 0)]);
    array.u[0] = x;
    let elem$1 = 0;
    elem$1 = 1;
    const this$2 = xs.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      const x$2 = (arg1 | 0);
      array.u[elem$1] = x$2;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
  copy__O__I__O__I__I__V(src, srcPos, dest, destPos, length) {
    const srcClass = $objectGetClass(src);
    if ((srcClass.isArray__Z() && $objectGetClass(dest).isAssignableFrom__jl_Class__Z(srcClass))) {
      $systemArraycopy(src, srcPos, dest, destPos, length)
    } else {
      this.slowcopy__p2__O__I__O__I__I__V(src, srcPos, dest, destPos, length)
    }
  };
  apply__B__sc_Seq__AB(x, xs) {
    const array = $newArrayObject($d_B.getArrayOf(), [((1 + xs.length__I()) | 0)]);
    array.u[0] = x;
    let elem$1 = 0;
    elem$1 = 1;
    const this$2 = xs.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      const x$2 = (arg1 | 0);
      array.u[elem$1] = x$2;
      elem$1 = ((1 + elem$1) | 0)
    };
    return array
  };
}
const $d_s_Array$ = new $TypeData().initClass({
  s_Array$: 0
}, false, "scala.Array$", {
  s_Array$: 1,
  s_FallbackArrayBuilding: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Array$.prototype.$classData = $d_s_Array$;
let $n_s_Array$ = (void 0);
const $m_s_Array$ = (function() {
  if ((!$n_s_Array$)) {
    $n_s_Array$ = new $c_s_Array$().init___()
  };
  return $n_s_Array$
});
class $c_s_Predef$$eq$colon$eq extends $c_O {
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!v1))
  };
}
class $c_s_Predef$$less$colon$less extends $c_O {
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!v1))
  };
}
class $c_s_concurrent_Future$InternalCallbackExecutor$ extends $c_O {
  constructor() {
    super();
    this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1 = null
  };
  init___() {
    $n_s_concurrent_Future$InternalCallbackExecutor$ = this;
    this.scala$concurrent$BatchingExecutor$$$undtasksLocal$1 = new $c_jl_ThreadLocal().init___();
    return this
  };
  reportFailure__jl_Throwable__V(t) {
    throw new $c_jl_IllegalStateException().init___T__jl_Throwable("problem in scala.concurrent internal callback", t)
  };
  execute__jl_Runnable__V(runnable) {
    $f_s_concurrent_BatchingExecutor__execute__jl_Runnable__V(this, runnable)
  };
}
const $d_s_concurrent_Future$InternalCallbackExecutor$ = new $TypeData().initClass({
  s_concurrent_Future$InternalCallbackExecutor$: 0
}, false, "scala.concurrent.Future$InternalCallbackExecutor$", {
  s_concurrent_Future$InternalCallbackExecutor$: 1,
  O: 1,
  s_concurrent_ExecutionContext: 1,
  s_concurrent_BatchingExecutor: 1,
  ju_concurrent_Executor: 1
});
$c_s_concurrent_Future$InternalCallbackExecutor$.prototype.$classData = $d_s_concurrent_Future$InternalCallbackExecutor$;
let $n_s_concurrent_Future$InternalCallbackExecutor$ = (void 0);
const $m_s_concurrent_Future$InternalCallbackExecutor$ = (function() {
  if ((!$n_s_concurrent_Future$InternalCallbackExecutor$)) {
    $n_s_concurrent_Future$InternalCallbackExecutor$ = new $c_s_concurrent_Future$InternalCallbackExecutor$().init___()
  };
  return $n_s_concurrent_Future$InternalCallbackExecutor$
});
const $f_s_concurrent_impl_Promise$KeptPromise$Kept__onComplete__F1__s_concurrent_ExecutionContext__V = (function($thiz, func, executor) {
  new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func).executeWithValue__s_util_Try__V($thiz.result__s_util_Try())
});
class $c_s_math_Equiv$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Equiv$ = new $TypeData().initClass({
  s_math_Equiv$: 0
}, false, "scala.math.Equiv$", {
  s_math_Equiv$: 1,
  O: 1,
  s_math_LowPriorityEquiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Equiv$.prototype.$classData = $d_s_math_Equiv$;
let $n_s_math_Equiv$ = (void 0);
const $m_s_math_Equiv$ = (function() {
  if ((!$n_s_math_Equiv$)) {
    $n_s_math_Equiv$ = new $c_s_math_Equiv$().init___()
  };
  return $n_s_math_Equiv$
});
class $c_s_math_Ordering$ extends $c_O {
  init___() {
    return this
  };
}
const $d_s_math_Ordering$ = new $TypeData().initClass({
  s_math_Ordering$: 0
}, false, "scala.math.Ordering$", {
  s_math_Ordering$: 1,
  O: 1,
  s_math_LowPriorityOrderingImplicits: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$.prototype.$classData = $d_s_math_Ordering$;
let $n_s_math_Ordering$ = (void 0);
const $m_s_math_Ordering$ = (function() {
  if ((!$n_s_math_Ordering$)) {
    $n_s_math_Ordering$ = new $c_s_math_Ordering$().init___()
  };
  return $n_s_math_Ordering$
});
class $c_s_reflect_NoManifest$ extends $c_O {
  init___() {
    return this
  };
  toString__T() {
    return "<?>"
  };
}
const $d_s_reflect_NoManifest$ = new $TypeData().initClass({
  s_reflect_NoManifest$: 0
}, false, "scala.reflect.NoManifest$", {
  s_reflect_NoManifest$: 1,
  O: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_NoManifest$.prototype.$classData = $d_s_reflect_NoManifest$;
let $n_s_reflect_NoManifest$ = (void 0);
const $m_s_reflect_NoManifest$ = (function() {
  if ((!$n_s_reflect_NoManifest$)) {
    $n_s_reflect_NoManifest$ = new $c_s_reflect_NoManifest$().init___()
  };
  return $n_s_reflect_NoManifest$
});
class $c_s_util_matching_Regex$$anon$4 extends $c_O {
  constructor() {
    super();
    this.matchIterator$1$1 = null
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  seq__sc_TraversableOnce() {
    return this
  };
  next__O() {
    return this.next__s_util_matching_Regex$Match()
  };
  toIterator__sc_Iterator() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  init___s_util_matching_Regex__s_util_matching_Regex$MatchIterator($$outer, matchIterator$1) {
    this.matchIterator$1$1 = matchIterator$1;
    return this
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    return $f_sc_Iterator__$$plus$plus__F0__sc_Iterator(this, that)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  hasNext__Z() {
    return this.matchIterator$1$1.hasNext__Z()
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toTraversable__sc_Traversable() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return false
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while (this.hasNext__Z()) {
      const arg1 = this.next__s_util_matching_Regex$Match();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  next__s_util_matching_Regex$Match() {
    this.matchIterator$1$1.next__T();
    return new $c_s_util_matching_Regex$Match().init___jl_CharSequence__ju_regex_Matcher__sc_Seq(this.matchIterator$1$1.source$2, this.matchIterator$1$1.matcher$2, this.matchIterator$1$1.groupNames$2).force__s_util_matching_Regex$Match()
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
const $d_s_util_matching_Regex$$anon$4 = new $TypeData().initClass({
  s_util_matching_Regex$$anon$4: 0
}, false, "scala.util.matching.Regex$$anon$4", {
  s_util_matching_Regex$$anon$4: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_s_util_matching_Regex$$anon$4.prototype.$classData = $d_s_util_matching_Regex$$anon$4;
class $c_sc_AbstractIterator extends $c_O {
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  toIterator__sc_Iterator() {
    return this
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    return $f_sc_Iterator__$$plus$plus__F0__sc_Iterator(this, that)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this.toStream__sci_Stream()
  };
  toSeq__sc_Seq() {
    return this.toStream__sci_Stream()
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  isTraversableAgain__Z() {
    return false
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while (this.hasNext__Z()) {
      const arg1 = this.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
class $c_sc_Iterator$ConcatIterator extends $c_O {
  constructor() {
    super();
    this.current$1 = null;
    this.tail$1 = null;
    this.last$1 = null;
    this.currentHasNextChecked$1 = false
  };
  advance__p1__Z() {
    _advance: while (true) {
      if ((this.tail$1 === null)) {
        this.current$1 = null;
        this.last$1 = null;
        return false
      } else {
        this.current$1 = this.tail$1.headIterator__sc_Iterator();
        this.tail$1 = this.tail$1.tail$1;
        this.merge__p1__V();
        if (this.currentHasNextChecked$1) {
          return true
        } else if (this.current$1.hasNext__Z()) {
          this.currentHasNextChecked$1 = true;
          return true
        } else {
          continue _advance
        }
      }
    }
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.currentHasNextChecked$1 = false;
      return this.current$1.next__O()
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  toIterator__sc_Iterator() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_Iterator__isEmpty__Z(this)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  take__I__sc_Iterator(n) {
    return $f_sc_Iterator__take__I__sc_Iterator(this, n)
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    return $f_sc_Iterator__sliceIterator__I__I__sc_Iterator(this, from, until)
  };
  foreach__F1__V(f) {
    $f_sc_Iterator__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  $$plus$plus__F0__sc_Iterator(that) {
    const c = new $c_sc_Iterator$ConcatIteratorCell().init___F0__sc_Iterator$ConcatIteratorCell(that, null);
    if ((this.tail$1 === null)) {
      this.tail$1 = c;
      this.last$1 = c
    } else {
      this.last$1.tail$1 = c;
      this.last$1 = c
    };
    if ((this.current$1 === null)) {
      this.current$1 = $m_sc_Iterator$().empty$1
    };
    return this
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  hasNext__Z() {
    if (this.currentHasNextChecked$1) {
      return true
    } else if ((this.current$1 !== null)) {
      if (this.current$1.hasNext__Z()) {
        this.currentHasNextChecked$1 = true;
        return true
      } else {
        return this.advance__p1__Z()
      }
    } else {
      return false
    }
  };
  toStream__sci_Stream() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  toTraversable__sc_Traversable() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_Iterator__toStream__sci_Stream(this)
  };
  init___sc_Iterator(current) {
    this.current$1 = current;
    this.tail$1 = null;
    this.last$1 = null;
    this.currentHasNextChecked$1 = false;
    return this
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableOnce__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_Iterator__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return false
  };
  drop__I__sc_Iterator(n) {
    return $f_sc_Iterator__drop__I__sc_Iterator(this, n)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    while (this.hasNext__Z()) {
      const arg1 = this.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  merge__p1__V() {
    _merge: while (true) {
      if ($is_sc_Iterator$ConcatIterator(this.current$1)) {
        const c = this.current$1;
        this.current$1 = c.current$1;
        this.currentHasNextChecked$1 = c.currentHasNextChecked$1;
        if ((c.tail$1 !== null)) {
          c.last$1.tail$1 = this.tail$1;
          this.tail$1 = c.tail$1
        };
        continue _merge
      };
      break
    }
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
}
const $is_sc_Iterator$ConcatIterator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Iterator$ConcatIterator)))
});
const $isArrayOf_sc_Iterator$ConcatIterator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Iterator$ConcatIterator)))
});
const $d_sc_Iterator$ConcatIterator = new $TypeData().initClass({
  sc_Iterator$ConcatIterator: 0
}, false, "scala.collection.Iterator$ConcatIterator", {
  sc_Iterator$ConcatIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$ConcatIterator.prototype.$classData = $d_sc_Iterator$ConcatIterator;
class $c_sc_TraversableView$NoBuilder extends $c_O {
  init___() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this
  };
  result__O() {
    this.result__sr_Nothing$()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  result__sr_Nothing$() {
    throw new $c_jl_UnsupportedOperationException().init___T("TraversableView.Builder.result")
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_sc_TraversableView$NoBuilder = new $TypeData().initClass({
  sc_TraversableView$NoBuilder: 0
}, false, "scala.collection.TraversableView$NoBuilder", {
  sc_TraversableView$NoBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sc_TraversableView$NoBuilder.prototype.$classData = $d_sc_TraversableView$NoBuilder;
class $c_scg_SetFactory extends $c_scg_GenSetFactory {
}
class $c_sci_Map$ extends $c_scg_ImmutableMapFactory {
  init___() {
    return this
  };
  empty__sc_GenMap() {
    return $m_sci_Map$EmptyMap$()
  };
}
const $d_sci_Map$ = new $TypeData().initClass({
  sci_Map$: 0
}, false, "scala.collection.immutable.Map$", {
  sci_Map$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_sci_Map$.prototype.$classData = $d_sci_Map$;
let $n_sci_Map$ = (void 0);
const $m_sci_Map$ = (function() {
  if ((!$n_sci_Map$)) {
    $n_sci_Map$ = new $c_sci_Map$().init___()
  };
  return $n_sci_Map$
});
class $c_scm_DefaultEntry extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.next$1 = null
  };
  chainString__T() {
    const jsx$3 = this.key$1;
    const jsx$2 = this.value$1;
    let jsx$1;
    if ((this.next$1 !== null)) {
      const this$1 = this.next$1;
      jsx$1 = (" -> " + this$1.chainString__T())
    } else {
      jsx$1 = ""
    };
    return ((((("(kv: " + jsx$3) + ", ") + jsx$2) + ")") + jsx$1)
  };
  init___O__O(key, value) {
    this.key$1 = key;
    this.value$1 = value;
    return this
  };
  toString__T() {
    return this.chainString__T()
  };
}
const $is_scm_DefaultEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_DefaultEntry)))
});
const $isArrayOf_scm_DefaultEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_DefaultEntry)))
});
const $d_scm_DefaultEntry = new $TypeData().initClass({
  scm_DefaultEntry: 0
}, false, "scala.collection.mutable.DefaultEntry", {
  scm_DefaultEntry: 1,
  O: 1,
  scm_HashEntry: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_DefaultEntry.prototype.$classData = $d_scm_DefaultEntry;
class $c_scm_GrowingBuilder extends $c_O {
  constructor() {
    super();
    this.empty$1 = null;
    this.elems$1 = null
  };
  $$plus$eq__O__scm_GrowingBuilder(x) {
    this.elems$1.$$plus$eq__O__scg_Growable(x);
    return this
  };
  init___scg_Growable(empty) {
    this.empty$1 = empty;
    this.elems$1 = empty;
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_GrowingBuilder(elem)
  };
  result__O() {
    return this.elems$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_GrowingBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_GrowingBuilder = new $TypeData().initClass({
  scm_GrowingBuilder: 0
}, false, "scala.collection.mutable.GrowingBuilder", {
  scm_GrowingBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_GrowingBuilder.prototype.$classData = $d_scm_GrowingBuilder;
class $c_scm_Map$ extends $c_scg_MutableMapFactory {
  init___() {
    return this
  };
  empty__sc_Map() {
    return new $c_scm_HashMap().init___()
  };
  empty__sc_GenMap() {
    return new $c_scm_HashMap().init___()
  };
}
const $d_scm_Map$ = new $TypeData().initClass({
  scm_Map$: 0
}, false, "scala.collection.mutable.Map$", {
  scm_Map$: 1,
  scg_MutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_scm_Map$.prototype.$classData = $d_scm_Map$;
let $n_scm_Map$ = (void 0);
const $m_scm_Map$ = (function() {
  if ((!$n_scm_Map$)) {
    $n_scm_Map$ = new $c_scm_Map$().init___()
  };
  return $n_scm_Map$
});
class $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext extends $c_O {
  constructor() {
    super();
    this.resolvedUnitPromise$1 = null
  };
  init___() {
    this.resolvedUnitPromise$1 = $g.Promise.resolve((void 0));
    return this
  };
  scala$scalajs$concurrent$QueueExecutionContext$PromisesExecutionContext$$$anonfun$execute$2__sr_BoxedUnit__jl_Runnable__sjs_js_$bar(x$1, runnable$2) {
    try {
      runnable$2.run__V()
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
      } else {
        throw e
      }
    }
  };
  reportFailure__jl_Throwable__V(t) {
    t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
  };
  execute__jl_Runnable__V(runnable) {
    this.resolvedUnitPromise$1.then((function(arg$outer, runnable$2) {
      return (function(arg1$2) {
        const arg1 = arg1$2;
        return arg$outer.scala$scalajs$concurrent$QueueExecutionContext$PromisesExecutionContext$$$anonfun$execute$2__sr_BoxedUnit__jl_Runnable__sjs_js_$bar(arg1, runnable$2)
      })
    })(this, runnable))
  };
}
const $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$PromisesExecutionContext", {
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext;
class $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext extends $c_O {
  init___() {
    return this
  };
  reportFailure__jl_Throwable__V(t) {
    t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
  };
  execute__jl_Runnable__V(runnable) {
    $g.setTimeout((function($this, runnable$1) {
      return (function() {
        try {
          runnable$1.run__V()
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
          } else {
            throw e
          }
        }
      })
    })(this, runnable), 0)
  };
}
const $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$TimeoutsExecutionContext", {
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext;
class $c_sjs_concurrent_RunNowExecutionContext$ extends $c_O {
  init___() {
    return this
  };
  reportFailure__jl_Throwable__V(t) {
    t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
  };
  execute__jl_Runnable__V(runnable) {
    try {
      runnable.run__V()
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
      } else {
        throw e
      }
    }
  };
}
const $d_sjs_concurrent_RunNowExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_RunNowExecutionContext$: 0
}, false, "scala.scalajs.concurrent.RunNowExecutionContext$", {
  sjs_concurrent_RunNowExecutionContext$: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.$classData = $d_sjs_concurrent_RunNowExecutionContext$;
let $n_sjs_concurrent_RunNowExecutionContext$ = (void 0);
const $m_sjs_concurrent_RunNowExecutionContext$ = (function() {
  if ((!$n_sjs_concurrent_RunNowExecutionContext$)) {
    $n_sjs_concurrent_RunNowExecutionContext$ = new $c_sjs_concurrent_RunNowExecutionContext$().init___()
  };
  return $n_sjs_concurrent_RunNowExecutionContext$
});
class $c_sjsr_RuntimeLong extends $c_jl_Number {
  constructor() {
    super();
    this.lo$2 = 0;
    this.hi$2 = 0
  };
  longValue__J() {
    return $uJ(this)
  };
  $$bar__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 | b.lo$2), (this.hi$2 | b.hi$2))
  };
  $$greater$eq__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) >= ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
  };
  byteValue__B() {
    return ((this.lo$2 << 24) >> 24)
  };
  equals__O__Z(that) {
    if ($is_sjsr_RuntimeLong(that)) {
      const x2 = that;
      return ((this.lo$2 === x2.lo$2) && (this.hi$2 === x2.hi$2))
    } else {
      return false
    }
  };
  $$less__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) < ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
  };
  $$times__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const alo = this.lo$2;
    const blo = b.lo$2;
    const a0 = (65535 & alo);
    const a1 = ((alo >>> 16) | 0);
    const b0 = (65535 & blo);
    const b1 = ((blo >>> 16) | 0);
    const a0b0 = $imul(a0, b0);
    const a1b0 = $imul(a1, b0);
    const a0b1 = $imul(a0, b1);
    const lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
    const c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
    const hi = (((((((($imul(alo, b.hi$2) + $imul(this.hi$2, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  init___I__I__I(l, m, h) {
    $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, (l | (m << 22)), ((m >> 10) | (h << 12)));
    return this
  };
  $$percent__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.remainderImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
  };
  toString__T() {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(this.lo$2, this.hi$2)
  };
  init___I__I(lo, hi) {
    this.lo$2 = lo;
    this.hi$2 = hi;
    return this
  };
  compareTo__O__I(x$1) {
    const that = x$1;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
  };
  $$less$eq__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) <= ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
  };
  $$amp__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 & b.lo$2), (this.hi$2 & b.hi$2))
  };
  $$greater$greater$greater__I__sjsr_RuntimeLong(n) {
    return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : ((this.hi$2 >>> n) | 0)), (((32 & n) === 0) ? ((this.hi$2 >>> n) | 0) : 0))
  };
  $$greater__sjsr_RuntimeLong__Z(b) {
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) > ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
  };
  $$less$less__I__sjsr_RuntimeLong(n) {
    return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (this.lo$2 << n) : 0), (((32 & n) === 0) ? (((((this.lo$2 >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (this.hi$2 << n)) : (this.lo$2 << n)))
  };
  init___I(value) {
    $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, value, (value >> 31));
    return this
  };
  toInt__I() {
    return this.lo$2
  };
  notEquals__sjsr_RuntimeLong__Z(b) {
    return (!((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2)))
  };
  unary$und$minus__sjsr_RuntimeLong() {
    const lo = this.lo$2;
    const hi = this.hi$2;
    return new $c_sjsr_RuntimeLong().init___I__I(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))
  };
  $$plus__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const alo = this.lo$2;
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    const lo = ((alo + b.lo$2) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) < ((-2147483648) ^ alo)) ? ((1 + ((ahi + bhi) | 0)) | 0) : ((ahi + bhi) | 0)))
  };
  shortValue__S() {
    return ((this.lo$2 << 16) >> 16)
  };
  $$greater$greater__I__sjsr_RuntimeLong(n) {
    return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : (this.hi$2 >> n)), (((32 & n) === 0) ? (this.hi$2 >> n) : (this.hi$2 >> 31)))
  };
  toDouble__D() {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
  };
  $$div__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
  };
  doubleValue__D() {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
  };
  hashCode__I() {
    return (this.lo$2 ^ this.hi$2)
  };
  intValue__I() {
    return this.lo$2
  };
  unary$und$tilde__sjsr_RuntimeLong() {
    return new $c_sjsr_RuntimeLong().init___I__I((~this.lo$2), (~this.hi$2))
  };
  compareTo__jl_Long__I(that) {
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
  };
  floatValue__F() {
    return $fround($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2))
  };
  $$minus__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    const alo = this.lo$2;
    const ahi = this.hi$2;
    const bhi = b.hi$2;
    const lo = ((alo - b.lo$2) | 0);
    return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - bhi) | 0)) | 0) : ((ahi - bhi) | 0)))
  };
  $$up__sjsr_RuntimeLong__sjsr_RuntimeLong(b) {
    return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 ^ b.lo$2), (this.hi$2 ^ b.hi$2))
  };
  equals__sjsr_RuntimeLong__Z(b) {
    return ((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2))
  };
}
const $is_sjsr_RuntimeLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjsr_RuntimeLong)))
});
const $isArrayOf_sjsr_RuntimeLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjsr_RuntimeLong)))
});
const $d_sjsr_RuntimeLong = new $TypeData().initClass({
  sjsr_RuntimeLong: 0
}, false, "scala.scalajs.runtime.RuntimeLong", {
  sjsr_RuntimeLong: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_sjsr_RuntimeLong.prototype.$classData = $d_sjsr_RuntimeLong;
class $c_Lamf_client_environment_Environment extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null
  };
  init___() {
    $c_Lamf_client_environment_Environment.prototype.init___Lamf_internal_environment_Environment.call(this, ($m_Lamf_internal_environment_Environment$(), new $c_Lamf_internal_environment_Environment().init___sc_Seq($m_sci_Nil$())));
    return this
  };
  productPrefix__T() {
    return "Environment"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withLoaders__sjs_js_Array__O(loaders) {
    return this.withLoaders__sjs_js_Array__Lamf_client_environment_Environment(loaders)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_environment_Environment(x$1)) {
      const Environment$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Environment$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_internal_environment_Environment(_internal) {
    this.$$undinternal$1 = _internal;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$loaders__O() {
    return this.loaders__sjs_js_Array()
  };
  loaders__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.loaders$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher__Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$add__Lamf_client_resource_ClientResourceLoader__O(loader) {
    return this.add__Lamf_client_resource_ClientResourceLoader__Lamf_client_environment_Environment(loader)
  };
  add__Lamf_client_resource_ClientResourceLoader__Lamf_client_environment_Environment(loader) {
    const internal = loader;
    return new $c_Lamf_client_environment_Environment().init___Lamf_internal_environment_Environment(this.$$undinternal$1.add__Lamf_internal_resource_ResourceLoader__Lamf_internal_environment_Environment(($m_Lamf_client_convert_CoreClientConverters$(), $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher__Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$(), new $c_Lamf_internal_resource_ResourceLoaderAdapter().init___Lamf_client_resource_ResourceLoader(internal))))
  };
  $$js$exported$meth$addClientLoader__Lamf_client_resource_ClientResourceLoader__O(loader) {
    return this.addClientLoader__Lamf_client_resource_ClientResourceLoader__Lamf_client_environment_Environment(loader)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withLoaders__sjs_js_Array__Lamf_client_environment_Environment(loaders) {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const m = $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher__Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$();
    const loaders$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, loaders, m).asInternal__sc_Seq();
    return new $c_Lamf_client_environment_Environment().init___Lamf_internal_environment_Environment(new $c_Lamf_internal_environment_Environment().init___sc_Seq(loaders$1))
  };
  addClientLoader__Lamf_client_resource_ClientResourceLoader__Lamf_client_environment_Environment(loader) {
    const l = new $c_Lamf_client_environment_Environment$$anon$1().init___Lamf_client_environment_Environment__Lamf_client_resource_ClientResourceLoader(this, loader);
    return new $c_Lamf_client_environment_Environment().init___Lamf_internal_environment_Environment(this.$$undinternal$1.add__Lamf_internal_resource_ResourceLoader__Lamf_internal_environment_Environment(($m_Lamf_client_convert_CoreClientConverters$(), $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher__Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$(), new $c_Lamf_internal_resource_ResourceLoaderAdapter().init___Lamf_client_resource_ResourceLoader(l))))
  };
  "withLoaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLoaders__sjs_js_Array__O(prep0)
  };
  "add"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$add__Lamf_client_resource_ClientResourceLoader__O(prep0)
  };
  "addClientLoader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$addClientLoader__Lamf_client_resource_ClientResourceLoader__O(prep0)
  };
  get "loaders"() {
    return this.$$js$exported$prop$loaders__O()
  };
}
const $is_Lamf_client_environment_Environment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_environment_Environment)))
});
const $isArrayOf_Lamf_client_environment_Environment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_environment_Environment)))
});
const $d_Lamf_client_environment_Environment = new $TypeData().initClass({
  Lamf_client_environment_Environment: 0
}, false, "amf.client.environment.Environment", {
  Lamf_client_environment_Environment: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_environment_Environment.prototype.$classData = $d_Lamf_client_environment_Environment;
class $c_Lamf_client_model_Annotations extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null
  };
  productPrefix__T() {
    return "Annotations"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$$undinternal__O() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_Annotations(x$1)) {
      const Annotations$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Annotations$1.$$undinternal$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  lexical__Lamf_core_parser_Range() {
    const this$1 = this.$$undinternal$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.range__Lamf_core_parser_Range())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Range$NONE$() : this$2.get__O())
  };
  custom__sjs_js_Array() {
    const this$4 = $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const pf = new $c_Lamf_client_model_Annotations$$anonfun$custom$2().init___Lamf_client_model_Annotations(this);
    const jsx$3 = this$1.amf$core$parser$Annotations$$annotations$1;
    const this$2 = $m_sc_Seq$();
    const jsx$2 = jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$2.ReusableCBFInstance$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.extension$1
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const from = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    const m = $m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher__Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$4, from, m).asClient__O()
  };
  $$js$exported$meth$custom__O() {
    return this.custom__sjs_js_Array()
  };
  init___Lamf_core_parser_Annotations(_internal) {
    this.$$undinternal$1 = _internal;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$lexical__O() {
    return this.lexical__Lamf_core_parser_Range()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "custom"() {
    return this.$$js$exported$meth$custom__O()
  };
  "lexical"() {
    return this.$$js$exported$meth$lexical__O()
  };
  get "_internal"() {
    return this.$$js$exported$prop$$undinternal__O()
  };
}
const $is_Lamf_client_model_Annotations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_Annotations)))
});
const $isArrayOf_Lamf_client_model_Annotations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_Annotations)))
});
const $d_Lamf_client_model_Annotations = new $TypeData().initClass({
  Lamf_client_model_Annotations: 0
}, false, "amf.client.model.Annotations", {
  Lamf_client_model_Annotations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_Annotations.prototype.$classData = $d_Lamf_client_model_Annotations;
class $c_Lamf_client_model_document_DialectFragment extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DialectFragment.prototype.init___Lamf_plugins_document_vocabularies_model_document_DialectFragment.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  withEncodes__Lamf_client_model_domain_NodeMapping__Lamf_client_model_document_DialectFragment(nodeMapping) {
    const this$1 = this.$$undinternal$1;
    const nodeMapping$1 = nodeMapping.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, nodeMapping$1);
    return this
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$encodes__O() {
    return this.encodes__Lamf_client_model_domain_NodeMapping()
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(encoded) {
    return $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel(this, encoded)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  withExternals__sjs_js_Array__Lamf_client_model_document_DialectFragment(externals) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    const externals$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, externals, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, externals$1);
    return this
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_NodeMapping__O(nodeMapping) {
    return this.withEncodes__Lamf_client_model_domain_NodeMapping__Lamf_client_model_document_DialectFragment(nodeMapping)
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectFragment(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  encodes__Lamf_client_model_domain_NodeMapping() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().NodeMappingConverter__Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$();
    return m.asClient__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_client_model_domain_NodeMapping(from)
  };
  $$js$exported$meth$withExternals__sjs_js_Array__O(externals) {
    return this.withExternals__sjs_js_Array__Lamf_client_model_document_DialectFragment(externals)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  $$js$exported$prop$externals__O() {
    return this.externals__sjs_js_Array()
  };
  externals__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withEncodes"(arg$1) {
    if ($is_Lamf_client_model_domain_NodeMapping(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_NodeMapping__O(prep0)
    } else if ($is_Lamf_client_model_domain_DomainElement(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(prep0)
    } else {
      throw "No matching overload"
    }
  };
  "withExternals"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExternals__sjs_js_Array__O(prep0)
  };
  get "externals"() {
    return this.$$js$exported$prop$externals__O()
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
}
const $d_Lamf_client_model_document_DialectFragment = new $TypeData().initClass({
  Lamf_client_model_document_DialectFragment: 0
}, false, "amf.client.model.document.DialectFragment", {
  Lamf_client_model_document_DialectFragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1
});
$c_Lamf_client_model_document_DialectFragment.prototype.$classData = $d_Lamf_client_model_document_DialectFragment;
class $c_Lamf_client_model_document_DialectInstanceFragment extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DialectInstanceFragment.prototype.init___Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  withEncodes__Lamf_client_model_domain_DialectDomainElement__Lamf_client_model_document_DialectInstanceFragment(encoded) {
    const this$1 = this.$$undinternal$1;
    const encoded$1 = encoded.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, encoded$1);
    return this
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DialectDomainElement__O(encoded) {
    return this.withEncodes__Lamf_client_model_domain_DialectDomainElement__Lamf_client_model_document_DialectInstanceFragment(encoded)
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  encodes__Lamf_client_model_domain_DialectDomainElement() {
    const this$1 = this.$$undinternal$1;
    return new $c_Lamf_client_model_domain_DialectDomainElement().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1))
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$encodes__O() {
    return this.encodes__Lamf_client_model_domain_DialectDomainElement()
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(encoded) {
    return $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel(this, encoded)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withEncodes"(arg$1) {
    if ($is_Lamf_client_model_domain_DialectDomainElement(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DialectDomainElement__O(prep0)
    } else if ($is_Lamf_client_model_domain_DomainElement(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(prep0)
    } else {
      throw "No matching overload"
    }
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
}
const $d_Lamf_client_model_document_DialectInstanceFragment = new $TypeData().initClass({
  Lamf_client_model_document_DialectInstanceFragment: 0
}, false, "amf.client.model.document.DialectInstanceFragment", {
  Lamf_client_model_document_DialectInstanceFragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1
});
$c_Lamf_client_model_document_DialectInstanceFragment.prototype.$classData = $d_Lamf_client_model_document_DialectInstanceFragment;
class $c_Lamf_client_model_document_DialectInstanceLibrary extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DialectInstanceLibrary.prototype.init___Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
}
const $d_Lamf_client_model_document_DialectInstanceLibrary = new $TypeData().initClass({
  Lamf_client_model_document_DialectInstanceLibrary: 0
}, false, "amf.client.model.document.DialectInstanceLibrary", {
  Lamf_client_model_document_DialectInstanceLibrary: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_DeclaresModel: 1
});
$c_Lamf_client_model_document_DialectInstanceLibrary.prototype.$classData = $d_Lamf_client_model_document_DialectInstanceLibrary;
class $c_Lamf_client_model_document_DialectLibrary extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DialectLibrary.prototype.init___Lamf_plugins_document_vocabularies_model_document_DialectLibrary.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_DialectLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectLibrary(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
}
const $d_Lamf_client_model_document_DialectLibrary = new $TypeData().initClass({
  Lamf_client_model_document_DialectLibrary: 0
}, false, "amf.client.model.document.DialectLibrary", {
  Lamf_client_model_document_DialectLibrary: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_DeclaresModel: 1
});
$c_Lamf_client_model_document_DialectLibrary.prototype.$classData = $d_Lamf_client_model_document_DialectLibrary;
class $c_Lamf_client_model_document_Fragment extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal__Lamf_core_model_document_BaseUnit();
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal__Lamf_core_model_document_Fragment()
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal__Lamf_core_model_document_Fragment()
  };
  $$js$exported$prop$encodes__O() {
    return $f_Lamf_client_model_document_EncodesModel__encodes__Lamf_client_model_domain_DomainElement(this)
  };
  init___Lamf_core_model_document_Fragment(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(encoded) {
    return $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel(this, encoded)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal__Lamf_core_model_document_BaseUnit().id__T()
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withEncodes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
}
const $d_Lamf_client_model_document_Fragment = new $TypeData().initClass({
  Lamf_client_model_document_Fragment: 0
}, false, "amf.client.model.document.Fragment", {
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1
});
$c_Lamf_client_model_document_Fragment.prototype.$classData = $d_Lamf_client_model_document_Fragment;
class $c_Lamf_client_model_document_Vocabulary extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withBase__T__Lamf_client_model_document_Vocabulary(base) {
    this.$$undinternal$1.withBase__T__Lamf_plugins_document_vocabularies_model_document_Vocabulary(base);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_document_Vocabulary(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_Vocabulary.prototype.init___Lamf_plugins_document_vocabularies_model_document_Vocabulary.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_Vocabulary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$meth$withImports__sjs_js_Array__O(vocabularies) {
    return this.withImports__sjs_js_Array__Lamf_client_model_document_Vocabulary(vocabularies)
  };
  withName__T__Lamf_client_model_document_Vocabulary(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$datatypePropertyTerms__O() {
    return this.datatypePropertyTerms__sjs_js_Array()
  };
  datatypePropertyTerms__sjs_js_Array() {
    const this$3 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const jsx$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1);
    const jsx$1 = new $c_Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1().init___Lamf_client_model_document_Vocabulary(this);
    const this$2 = $m_sc_Seq$();
    const from = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DatatypePropertyMappingConverter__Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$3, from, m).asClient__O()
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withBase__T__O(base) {
    return this.withBase__T__Lamf_client_model_document_Vocabulary(base)
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$prop$base__O() {
    return this.base__Lamf_client_model_StrField()
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  classTerms__sjs_js_Array() {
    const this$3 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const jsx$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1);
    const jsx$1 = new $c_Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1().init___Lamf_client_model_document_Vocabulary(this);
    const this$2 = $m_sc_Seq$();
    const from = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ClassTermMappingConverter__Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$3, from, m).asClient__O()
  };
  $$js$exported$meth$classTerms__O() {
    return this.classTerms__sjs_js_Array()
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  imports__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter__Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  withExternals__sjs_js_Array__Lamf_client_model_document_Vocabulary(externals) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    const externals$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, externals, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, externals$1);
    return this
  };
  withImports__sjs_js_Array__Lamf_client_model_document_Vocabulary(vocabularies) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter__Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$();
    const vocabularies$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, vocabularies, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, vocabularies$1);
    return this
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  base__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Base$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$imports__O() {
    return this.imports__sjs_js_Array()
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  $$js$exported$meth$objectPropertyTerms__O() {
    return this.objectPropertyTerms__sjs_js_Array()
  };
  $$js$exported$meth$withExternals__sjs_js_Array__O(externals) {
    return this.withExternals__sjs_js_Array__Lamf_client_model_document_Vocabulary(externals)
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_document_Vocabulary(name)
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  $$js$exported$prop$externals__O() {
    return this.externals__sjs_js_Array()
  };
  externals__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  objectPropertyTerms__sjs_js_Array() {
    const this$3 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const jsx$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1);
    const jsx$1 = new $c_Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1().init___Lamf_client_model_document_Vocabulary(this);
    const this$2 = $m_sc_Seq$();
    const from = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ObjectPropertyMappingConverter__Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$3, from, m).asClient__O()
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
  "classTerms"() {
    return this.$$js$exported$meth$classTerms__O()
  };
  "datatypePropertyTerms"() {
    return this.$$js$exported$meth$datatypePropertyTerms__O()
  };
  "objectPropertyTerms"() {
    return this.$$js$exported$meth$objectPropertyTerms__O()
  };
  "withImports"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withImports__sjs_js_Array__O(prep0)
  };
  "withExternals"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExternals__sjs_js_Array__O(prep0)
  };
  "withBase"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBase__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "externals"() {
    return this.$$js$exported$prop$externals__O()
  };
  get "imports"() {
    return this.$$js$exported$prop$imports__O()
  };
  get "base"() {
    return this.$$js$exported$prop$base__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $d_Lamf_client_model_document_Vocabulary = new $TypeData().initClass({
  Lamf_client_model_document_Vocabulary: 0
}, false, "amf.client.model.document.Vocabulary", {
  Lamf_client_model_document_Vocabulary: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_DeclaresModel: 1
});
$c_Lamf_client_model_document_Vocabulary.prototype.$classData = $d_Lamf_client_model_document_Vocabulary;
class $c_Lamf_client_model_domain_AbstractDeclaration extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withDataNode__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_AbstractDeclaration(dataNode) {
    const this$1 = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration();
    const dataNode$1 = dataNode.$$undinternal__Lamf_core_model_domain_DataNode();
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().DataNode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, dataNode$1);
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration().name__Lamf_core_model_StrField();
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__sjs_js_UndefOr()
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  dataNode__Lamf_client_model_domain_DataNode() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration().dataNode__Lamf_core_model_domain_DataNode();
    const m = $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return m.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
  };
  $$js$exported$prop$dataNode__O() {
    return this.dataNode__Lamf_client_model_domain_DataNode()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  variables__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration().variables__sc_Seq();
    const m = $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration()
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration().description__Lamf_core_model_StrField();
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  linkTarget__sjs_js_UndefOr() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("AbstractDeclaration is abstract"))
  };
  $$js$exported$meth$withDataNode__Lamf_client_model_domain_DataNode__O(dataNode) {
    return this.withDataNode__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_AbstractDeclaration(dataNode)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_AbstractDeclaration()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  withName__T__Lamf_client_model_domain_AbstractDeclaration(name) {
    const this$1 = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_AbstractDeclaration()
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  withVariables__sjs_js_Array__Lamf_client_model_domain_AbstractDeclaration(variables) {
    const this$2 = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration();
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const variables$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, variables, m).asInternal__sc_Seq();
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Variables$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, variables$1);
    return this
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_AbstractDeclaration(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal__Lamf_core_model_domain_DomainElement().id__T()
  };
  $$js$exported$prop$variables__O() {
    return this.variables__sjs_js_Array()
  };
  $$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  init___Lamf_core_model_domain_templates_AbstractDeclaration(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  withDescription__T__Lamf_client_model_domain_AbstractDeclaration(description) {
    const this$1 = this.$$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_AbstractDeclaration(name)
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal__Lamf_core_model_domain_DomainElement();
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$meth$withVariables__sjs_js_Array__O(variables) {
    return this.withVariables__sjs_js_Array__Lamf_client_model_domain_AbstractDeclaration(variables)
  };
  linkCopy__Lamf_client_model_domain_AbstractDeclaration() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("AbstractDeclaration is abstract"))
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withVariables"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariables__sjs_js_Array__O(prep0)
  };
  "withDataNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDataNode__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "variables"() {
    return this.$$js$exported$prop$variables__O()
  };
  get "dataNode"() {
    return this.$$js$exported$prop$dataNode__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_AbstractDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_AbstractDeclaration)))
});
const $isArrayOf_Lamf_client_model_domain_AbstractDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_AbstractDeclaration)))
});
const $d_Lamf_client_model_domain_AbstractDeclaration = new $TypeData().initClass({
  Lamf_client_model_domain_AbstractDeclaration: 0
}, false, "amf.client.model.domain.AbstractDeclaration", {
  Lamf_client_model_domain_AbstractDeclaration: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1
});
$c_Lamf_client_model_domain_AbstractDeclaration.prototype.$classData = $d_Lamf_client_model_domain_AbstractDeclaration;
class $c_Lamf_client_model_domain_Graph extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null
  };
  $$js$exported$meth$properties__O() {
    return this.properties__sjs_js_Array()
  };
  scalarByProperty__T__sjs_js_Array(id) {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.scalarByProperty__T__sc_Seq(id);
    const m = $m_Lamf_client_convert_CoreClientConverters$().AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  productPrefix__T() {
    return "Graph"
  };
  getObjectByPropertyId__T__sjs_js_Array(id) {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.getObjectByPropertyId__T__sc_Seq(id);
    const m = $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$types__O() {
    return this.types__sjs_js_Array()
  };
  types__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.types__sc_Seq();
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$remove__T__O(uri) {
    return this.remove__T__Lamf_client_model_domain_Graph(uri)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Graph(x$1)) {
      const Graph$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Graph$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  properties__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.properties__sc_Seq();
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_Graph(_internal) {
    this.$$undinternal$1 = _internal;
    return this
  };
  $$js$exported$meth$scalarByProperty__T__O(id) {
    return this.scalarByProperty__T__sjs_js_Array(id)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$getObjectByPropertyId__T__O(id) {
    return this.getObjectByPropertyId__T__sjs_js_Array(id)
  };
  remove__T__Lamf_client_model_domain_Graph(uri) {
    this.$$undinternal$1.removeField__T__Lamf_core_model_domain_Graph(uri);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "remove"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$remove__T__O(prep0)
  };
  "getObjectByPropertyId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$getObjectByPropertyId__T__O(prep0)
  };
  "scalarByProperty"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$scalarByProperty__T__O(prep0)
  };
  "properties"() {
    return this.$$js$exported$meth$properties__O()
  };
  "types"() {
    return this.$$js$exported$meth$types__O()
  };
}
const $is_Lamf_client_model_domain_Graph = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Graph)))
});
const $isArrayOf_Lamf_client_model_domain_Graph = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Graph)))
});
const $d_Lamf_client_model_domain_Graph = new $TypeData().initClass({
  Lamf_client_model_domain_Graph: 0
}, false, "amf.client.model.domain.Graph", {
  Lamf_client_model_domain_Graph: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Graph.prototype.$classData = $d_Lamf_client_model_domain_Graph;
const $f_Lamf_client_model_domain_Shape__name__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_domain_Shape__withName__T__Lamf_client_model_domain_Shape = (function($thiz, name) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__not__Lamf_client_model_domain_Shape = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
});
const $f_Lamf_client_model_domain_Shape__withDisplayName__T__Lamf_client_model_domain_Shape = (function($thiz, name) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__defaultValue__Lamf_client_model_domain_DataNode = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
  return m.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
});
const $f_Lamf_client_model_domain_Shape__withInherits__sjs_js_Array__Lamf_client_model_domain_Shape = (function($thiz, inherits) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  const inherits$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, inherits, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, inherits$1);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__or__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_Shape__description__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1);
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_domain_Shape__inherits__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_Shape__withAnd__sjs_js_Array__Lamf_client_model_domain_Shape = (function($thiz, subShapes) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, subShapes, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().And$1;
  const values = this$2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__withXone__sjs_js_Array__Lamf_client_model_domain_Shape = (function($thiz, subShapes) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, subShapes, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1;
  const values = this$2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__withDefaultStr__T__Lamf_client_model_domain_Shape = (function($thiz, value) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__withNode__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Shape = (function($thiz, shape) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  $m_Lamf_client_convert_CoreClientConverters$();
  $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  const shape$1 = shape.$$undinternal__Lamf_core_model_domain_Shape();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Not$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, shape$1);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__values__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_Shape__withDescription__T__Lamf_client_model_domain_Shape = (function($thiz, description) {
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__defaultValueStr__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1);
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_domain_Shape__xone__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_Shape__displayName__Lamf_client_model_StrField = (function($thiz) {
  $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1);
  $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
  return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
});
const $f_Lamf_client_model_domain_Shape__withOr__sjs_js_Array__Lamf_client_model_domain_Shape = (function($thiz, subShapes) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, subShapes, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Or$1;
  const values = this$2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
  $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__withDefaultValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Shape = (function($thiz, $default) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  $m_Lamf_client_convert_CoreClientConverters$();
  $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
  const $default$1 = $default.$$undinternal__Lamf_core_model_domain_DataNode();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, $default$1);
  return $thiz
});
const $f_Lamf_client_model_domain_Shape__and__sjs_js_Array = (function($thiz) {
  const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
  const this$1 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
  const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
  return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
});
const $f_Lamf_client_model_domain_Shape__withValues__sjs_js_Array__Lamf_client_model_domain_Shape = (function($thiz, values) {
  const this$2 = $thiz.$$undinternal__Lamf_core_model_domain_Shape();
  const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
  const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
  const values$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, values, m).asInternal__sc_Seq();
  const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values$1);
  return $thiz
});
const $is_Lamf_client_model_domain_Shape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Shape)))
});
const $isArrayOf_Lamf_client_model_domain_Shape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Shape)))
});
class $c_Lamf_client_remote_Content extends $c_O {
  constructor() {
    super();
    this.stream$1 = null;
    this.url$1 = null;
    this.mime$1 = null
  };
  init___T__T(stream, url) {
    $c_Lamf_client_remote_Content.prototype.init___Lamf_core_lexer_CharStream__T__s_Option.call(this, new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(url, stream), url, $m_s_None$());
    return this
  };
  productPrefix__T() {
    return "Content"
  };
  productArity__I() {
    return 3
  };
  $$js$exported$prop$url__O() {
    return this.url$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_remote_Content(x$1)) {
      const Content$1 = x$1;
      const x = this.stream$1;
      const x$2 = Content$1.stream$1;
      if (((x === x$2) && (this.url$1 === Content$1.url$1))) {
        const x$3 = this.mime$1;
        const x$4 = Content$1.mime$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.stream$1;
        break
      }
      case 1: {
        return this.url$1;
        break
      }
      case 2: {
        return this.mime$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__T__T(stream, url, mime) {
    $c_Lamf_client_remote_Content.prototype.init___Lamf_core_lexer_CharStream__T__s_Option.call(this, new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(url, stream), url, new $c_s_Some().init___O(mime));
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__T__s_Option(stream, url, mime) {
    $c_Lamf_client_remote_Content.prototype.init___Lamf_core_lexer_CharStream__T__s_Option.call(this, new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(url, stream), url, mime);
    return this
  };
  init___Lamf_core_lexer_CharStream__T__s_Option(stream, url, mime) {
    this.stream$1 = stream;
    this.url$1 = url;
    this.mime$1 = mime;
    return this
  };
  $$js$exported$prop$mime__O() {
    return this.mime$1
  };
  $$js$exported$prop$stream__O() {
    return this.stream$1
  };
  get "mime"() {
    return this.$$js$exported$prop$mime__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
  get "stream"() {
    return this.$$js$exported$prop$stream__O()
  };
}
const $is_Lamf_client_remote_Content = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_remote_Content)))
});
const $isArrayOf_Lamf_client_remote_Content = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_remote_Content)))
});
const $d_Lamf_client_remote_Content = new $TypeData().initClass({
  Lamf_client_remote_Content: 0
}, false, "amf.client.remote.Content", {
  Lamf_client_remote_Content: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_remote_Content.prototype.$classData = $d_Lamf_client_remote_Content;
class $c_Lamf_core_Root extends $c_O {
  constructor() {
    super();
    this.parsed$1 = null;
    this.location$1 = null;
    this.mediatype$1 = null;
    this.references$1 = null;
    this.referenceKind$1 = null;
    this.vendor$1 = null;
    this.raw$1 = null
  };
  productPrefix__T() {
    return "Root"
  };
  productArity__I() {
    return 7
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_Root(x$1)) {
      const Root$1 = x$1;
      const x = this.parsed$1;
      const x$2 = Root$1.parsed$1;
      let jsx$2;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.location$1 === Root$1.location$1)) && (this.mediatype$1 === Root$1.mediatype$1))) {
        const x$3 = this.references$1;
        const x$4 = Root$1.references$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.referenceKind$1;
        const x$6 = Root$1.referenceKind$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.vendor$1 === Root$1.vendor$1))) {
        return (this.raw$1 === Root$1.raw$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parsed$1;
        break
      }
      case 1: {
        return this.location$1;
        break
      }
      case 2: {
        return this.mediatype$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      case 4: {
        return this.referenceKind$1;
        break
      }
      case 5: {
        return this.vendor$1;
        break
      }
      case 6: {
        return this.raw$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_ParsedDocument__T__T__sc_Seq__Lamf_core_parser_ReferenceKind__T__T(parsed, location, mediatype, references, referenceKind, vendor, raw) {
    this.parsed$1 = parsed;
    this.location$1 = location;
    this.mediatype$1 = mediatype;
    this.references$1 = references;
    this.referenceKind$1 = referenceKind;
    this.vendor$1 = vendor;
    this.raw$1 = raw;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_Root = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_Root)))
});
const $isArrayOf_Lamf_core_Root = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_Root)))
});
const $d_Lamf_core_Root = new $TypeData().initClass({
  Lamf_core_Root: 0
}, false, "amf.core.Root", {
  Lamf_core_Root: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_Root.prototype.$classData = $d_Lamf_core_Root;
class $c_Lamf_core_annotations_DomainExtensionAnnotation$ extends $c_sr_AbstractFunction1 {
  init___() {
    return this
  };
  apply__O__O(v1) {
    const extension = v1;
    return new $c_Lamf_core_annotations_DomainExtensionAnnotation().init___Lamf_core_model_domain_extensions_DomainExtension(extension)
  };
  toString__T() {
    return "DomainExtensionAnnotation"
  };
}
const $d_Lamf_core_annotations_DomainExtensionAnnotation$ = new $TypeData().initClass({
  Lamf_core_annotations_DomainExtensionAnnotation$: 0
}, false, "amf.core.annotations.DomainExtensionAnnotation$", {
  Lamf_core_annotations_DomainExtensionAnnotation$: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DomainExtensionAnnotation$.prototype.$classData = $d_Lamf_core_annotations_DomainExtensionAnnotation$;
let $n_Lamf_core_annotations_DomainExtensionAnnotation$ = (void 0);
const $m_Lamf_core_annotations_DomainExtensionAnnotation$ = (function() {
  if ((!$n_Lamf_core_annotations_DomainExtensionAnnotation$)) {
    $n_Lamf_core_annotations_DomainExtensionAnnotation$ = new $c_Lamf_core_annotations_DomainExtensionAnnotation$().init___()
  };
  return $n_Lamf_core_annotations_DomainExtensionAnnotation$
});
class $c_Lamf_core_benchmark_Execution extends $c_O {
  constructor() {
    super();
    this.startTime$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.endTime$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.logs$1 = null
  };
  productPrefix__T() {
    return "Execution"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_benchmark_Execution(x$1)) {
      const Execution$1 = x$1;
      const t = this.startTime$1;
      const lo = t.lo$2;
      const hi = t.hi$2;
      const b = Execution$1.startTime$1;
      let jsx$1;
      if (((lo === b.lo$2) && (hi === b.hi$2))) {
        const t$1 = this.endTime$1;
        const lo$1 = t$1.lo$2;
        const hi$1 = t$1.hi$2;
        const b$1 = Execution$1.endTime$1;
        jsx$1 = ((lo$1 === b$1.lo$2) && (hi$1 === b$1.hi$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x = this.logs$1;
        const x$2 = Execution$1.logs$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___J__J__sc_Seq(startTime, endTime, logs) {
    this.startTime$1 = startTime;
    this.endTime$1 = endTime;
    this.logs$1 = logs;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.startTime$1;
        break
      }
      case 1: {
        return this.endTime$1;
        break
      }
      case 2: {
        return this.logs$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  log__T__J__Lamf_core_benchmark_Execution(stage, time) {
    const jsx$2 = this.logs$1;
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_benchmark_Log().init___T__J(stage, time)]));
    const this$1 = $m_sc_Seq$();
    const x$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const t = this.startTime$1;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return new $c_Lamf_core_benchmark_Execution().init___J__J__sc_Seq(new $c_sjsr_RuntimeLong().init___I__I(lo, hi), time, x$1)
  };
  finish__Lamf_core_benchmark_Execution() {
    const t = new $c_ju_Date().init___().getTime__J();
    const lo = t.lo$2;
    const hi = t.hi$2;
    const t$1 = this.startTime$1;
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    const x$6 = this.logs$1;
    return new $c_Lamf_core_benchmark_Execution().init___J__J__sc_Seq(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1), new $c_sjsr_RuntimeLong().init___I__I(lo, hi), x$6)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().longHash__J__I(this.startTime$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().longHash__J__I(this.endTime$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.logs$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_benchmark_Execution = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_benchmark_Execution)))
});
const $isArrayOf_Lamf_core_benchmark_Execution = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_benchmark_Execution)))
});
const $d_Lamf_core_benchmark_Execution = new $TypeData().initClass({
  Lamf_core_benchmark_Execution: 0
}, false, "amf.core.benchmark.Execution", {
  Lamf_core_benchmark_Execution: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_benchmark_Execution.prototype.$classData = $d_Lamf_core_benchmark_Execution;
class $c_Lamf_core_benchmark_Log extends $c_O {
  constructor() {
    super();
    this.stage$1 = null;
    this.time$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong()
  };
  productPrefix__T() {
    return "Log"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_benchmark_Log(x$1)) {
      const Log$1 = x$1;
      if ((this.stage$1 === Log$1.stage$1)) {
        const t = this.time$1;
        const lo = t.lo$2;
        const hi = t.hi$2;
        const b = Log$1.time$1;
        return ((lo === b.lo$2) && (hi === b.hi$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.stage$1;
        break
      }
      case 1: {
        return this.time$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__J(stage, time) {
    this.stage$1 = stage;
    this.time$1 = time;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.stage$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().longHash__J__I(this.time$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_benchmark_Log = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_benchmark_Log)))
});
const $isArrayOf_Lamf_core_benchmark_Log = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_benchmark_Log)))
});
const $d_Lamf_core_benchmark_Log = new $TypeData().initClass({
  Lamf_core_benchmark_Log: 0
}, false, "amf.core.benchmark.Log", {
  Lamf_core_benchmark_Log: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_benchmark_Log.prototype.$classData = $d_Lamf_core_benchmark_Log;
class $c_Lamf_core_client_ParserConfig extends $c_O {
  constructor() {
    super();
    this.mode$1 = null;
    this.input$1 = null;
    this.inputFormat$1 = null;
    this.inputMediaType$1 = null;
    this.output$1 = null;
    this.outputFormat$1 = null;
    this.outputMediaType$1 = null;
    this.withSourceMaps$1 = false;
    this.validate$1 = false;
    this.validationProfile$1 = null;
    this.customProfile$1 = null;
    this.dialects$1 = null;
    this.stdout$1 = null;
    this.stderr$1 = null;
    this.proc$1 = null
  };
  productPrefix__T() {
    return "ParserConfig"
  };
  productArity__I() {
    return 15
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_client_ParserConfig(x$1)) {
      const ParserConfig$1 = x$1;
      const x = this.mode$1;
      const x$2 = ParserConfig$1.mode$1;
      let jsx$10;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.input$1;
        const x$4 = ParserConfig$1.input$1;
        jsx$10 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$5 = this.inputFormat$1;
        const x$6 = ParserConfig$1.inputFormat$1;
        jsx$9 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if (jsx$9) {
        const x$7 = this.inputMediaType$1;
        const x$8 = ParserConfig$1.inputMediaType$1;
        jsx$8 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$9 = this.output$1;
        const x$10 = ParserConfig$1.output$1;
        jsx$7 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$11 = this.outputFormat$1;
        const x$12 = ParserConfig$1.outputFormat$1;
        jsx$6 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$13 = this.outputMediaType$1;
        const x$14 = ParserConfig$1.outputMediaType$1;
        jsx$5 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if ((((jsx$5 && (this.withSourceMaps$1 === ParserConfig$1.withSourceMaps$1)) && (this.validate$1 === ParserConfig$1.validate$1)) && (this.validationProfile$1 === ParserConfig$1.validationProfile$1))) {
        const x$15 = this.customProfile$1;
        const x$16 = ParserConfig$1.customProfile$1;
        jsx$4 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$17 = this.dialects$1;
        const x$18 = ParserConfig$1.dialects$1;
        jsx$3 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$19 = this.stdout$1;
        const x$20 = ParserConfig$1.stdout$1;
        jsx$2 = (x$19 === x$20)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$21 = this.stderr$1;
        const x$22 = ParserConfig$1.stderr$1;
        jsx$1 = (x$21 === x$22)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$23 = this.proc$1;
        const x$24 = ParserConfig$1.proc$1;
        return (x$23 === x$24)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.mode$1;
        break
      }
      case 1: {
        return this.input$1;
        break
      }
      case 2: {
        return this.inputFormat$1;
        break
      }
      case 3: {
        return this.inputMediaType$1;
        break
      }
      case 4: {
        return this.output$1;
        break
      }
      case 5: {
        return this.outputFormat$1;
        break
      }
      case 6: {
        return this.outputMediaType$1;
        break
      }
      case 7: {
        return this.withSourceMaps$1;
        break
      }
      case 8: {
        return this.validate$1;
        break
      }
      case 9: {
        return this.validationProfile$1;
        break
      }
      case 10: {
        return this.customProfile$1;
        break
      }
      case 11: {
        return this.dialects$1;
        break
      }
      case 12: {
        return this.stdout$1;
        break
      }
      case 13: {
        return this.stderr$1;
        break
      }
      case 14: {
        return this.proc$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__Z__Z__T__s_Option__sc_Seq__Lamf_core_client_ProcWriter__Lamf_core_client_ProcWriter__Lamf_core_client_Proc(mode, input, inputFormat, inputMediaType, output, outputFormat, outputMediaType, withSourceMaps, validate, validationProfile, customProfile, dialects, stdout, stderr, proc) {
    this.mode$1 = mode;
    this.input$1 = input;
    this.inputFormat$1 = inputFormat;
    this.inputMediaType$1 = inputMediaType;
    this.output$1 = output;
    this.outputFormat$1 = outputFormat;
    this.outputMediaType$1 = outputMediaType;
    this.withSourceMaps$1 = withSourceMaps;
    this.validate$1 = validate;
    this.validationProfile$1 = validationProfile;
    this.customProfile$1 = customProfile;
    this.dialects$1 = dialects;
    this.stdout$1 = stdout;
    this.stderr$1 = stderr;
    this.proc$1 = proc;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.mode$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.input$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.inputFormat$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.inputMediaType$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.output$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.outputFormat$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.outputMediaType$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.withSourceMaps$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.validate$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.validationProfile$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.customProfile$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.dialects$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.stdout$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.stderr$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.proc$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 15)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_client_ParserConfig = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_client_ParserConfig)))
});
const $isArrayOf_Lamf_core_client_ParserConfig = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_client_ParserConfig)))
});
const $d_Lamf_core_client_ParserConfig = new $TypeData().initClass({
  Lamf_core_client_ParserConfig: 0
}, false, "amf.core.client.ParserConfig", {
  Lamf_core_client_ParserConfig: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_client_ParserConfig.prototype.$classData = $d_Lamf_core_client_ParserConfig;
class $c_Lamf_core_exception_CyclicReferenceException extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.history$4 = null
  };
  init___sci_List(history) {
    this.history$4 = history;
    const s = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cyclic found following references ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_sc_TraversableOnce__mkString__T__T__T__T(history, "", " -> ", "")]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Lamf_core_exception_CyclicReferenceException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_exception_CyclicReferenceException)))
});
const $isArrayOf_Lamf_core_exception_CyclicReferenceException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_exception_CyclicReferenceException)))
});
const $d_Lamf_core_exception_CyclicReferenceException = new $TypeData().initClass({
  Lamf_core_exception_CyclicReferenceException: 0
}, false, "amf.core.exception.CyclicReferenceException", {
  Lamf_core_exception_CyclicReferenceException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_exception_CyclicReferenceException.prototype.$classData = $d_Lamf_core_exception_CyclicReferenceException;
class $c_Lamf_core_metamodel_Field extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.value$1 = null;
    this.jsonldField$1 = false
  };
  productPrefix__T() {
    return "Field"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Field(x$1)) {
      const Field$1 = x$1;
      const x = this.type$1;
      const x$2 = Field$1.type$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.value$1;
        const x$4 = Field$1.value$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.jsonldField$1 === Field$1.jsonldField$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.type$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      case 2: {
        return this.jsonldField$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.value$1.iri__T()
  };
  init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(type, value, jsonldField) {
    this.type$1 = type;
    this.value$1 = value;
    this.jsonldField$1 = jsonldField;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.type$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.value$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.jsonldField$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_metamodel_Field = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Field)))
});
const $isArrayOf_Lamf_core_metamodel_Field = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Field)))
});
const $d_Lamf_core_metamodel_Field = new $TypeData().initClass({
  Lamf_core_metamodel_Field: 0
}, false, "amf.core.metamodel.Field", {
  Lamf_core_metamodel_Field: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Field.prototype.$classData = $d_Lamf_core_metamodel_Field;
class $c_Lamf_core_metamodel_document_BaseUnitModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.fields$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_BaseUnitModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Unit")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.References$1, this.Usage$1, this.DescribedBy$1]);
    const this$6 = $m_sci_List$();
    const cbf$1 = this$6.ReusableCBFInstance$2;
    this.fields$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("BaseUnit is an abstract class"))
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_BaseUnitModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_BaseUnitModel$: 0
}, false, "amf.core.metamodel.document.BaseUnitModel$", {
  Lamf_core_metamodel_document_BaseUnitModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_BaseUnitModel$.prototype.$classData = $d_Lamf_core_metamodel_document_BaseUnitModel$;
let $n_Lamf_core_metamodel_document_BaseUnitModel$ = (void 0);
const $m_Lamf_core_metamodel_document_BaseUnitModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_BaseUnitModel$)) {
    $n_Lamf_core_metamodel_document_BaseUnitModel$ = new $c_Lamf_core_metamodel_document_BaseUnitModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_BaseUnitModel$
});
class $c_Lamf_core_metamodel_domain_DataNodeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.type$1 = null;
    this.dynamic$1 = false;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_DataNodeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Node");
    const this$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$5);
    this.dynamic$1 = true;
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DataNode is an abstract class and it cannot be instantiated directly"))
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_DataNodeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_DataNodeModel$: 0
}, false, "amf.core.metamodel.domain.DataNodeModel$", {
  Lamf_core_metamodel_domain_DataNodeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_DataNodeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_DataNodeModel$;
let $n_Lamf_core_metamodel_domain_DataNodeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_DataNodeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_DataNodeModel$)) {
    $n_Lamf_core_metamodel_domain_DataNodeModel$ = new $c_Lamf_core_metamodel_domain_DataNodeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_DataNodeModel$
});
class $c_Lamf_core_metamodel_domain_DomainElementModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Extends$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.Extends$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__Extends__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.Extends$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_DomainElementModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DomainElement")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return (((1 & this.bitmap$0$1) === 0) ? this.Extends$lzycompute__p1__Lamf_core_metamodel_Field() : this.Extends$1)
  };
  CustomDomainProperties__Lamf_core_metamodel_Field() {
    return (((2 & this.bitmap$0$1) === 0) ? this.CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomDomainProperties$1)
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Extends__Lamf_core_metamodel_Field()]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DomainElement is an abstract class"))
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
  CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.CustomDomainProperties$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__CustomDomainProperties__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomDomainProperties$1
  };
}
const $d_Lamf_core_metamodel_domain_DomainElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_DomainElementModel$: 0
}, false, "amf.core.metamodel.domain.DomainElementModel$", {
  Lamf_core_metamodel_domain_DomainElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_DomainElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_DomainElementModel$;
let $n_Lamf_core_metamodel_domain_DomainElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_DomainElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_DomainElementModel$)) {
    $n_Lamf_core_metamodel_domain_DomainElementModel$ = new $c_Lamf_core_metamodel_domain_DomainElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_DomainElementModel$
});
class $c_Lamf_core_metamodel_domain_ExternalDomainElementModel$ extends $c_O {
  constructor() {
    super();
    this.Raw$1 = null;
    this.MediaType$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Raw$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "raw"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "mediaType"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ExternalDomainElement");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Raw$1, this.MediaType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_ExternalDomainElementModel$: 0
}, false, "amf.core.metamodel.domain.ExternalDomainElementModel$", {
  Lamf_core_metamodel_domain_ExternalDomainElementModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_ExternalDomainElementModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_ExternalDomainElementModel$;
let $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_ExternalDomainElementModel$)) {
    $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$ = new $c_Lamf_core_metamodel_domain_ExternalDomainElementModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_ExternalDomainElementModel$
});
const $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__fields__sci_List = (function($thiz) {
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Name$1, $thiz.DefinedBy$1, $thiz.Extension$1, $thiz.Element$1]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
  const this$3 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
});
const $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
  const jsx$2 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "definedBy"), true);
  const jsx$3 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.Extension$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "extension"), true);
  const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.Element$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "element"), true);
  $thiz.key$1 = $thiz.Name$1;
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
  const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "DomainExtension");
  const this$11 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
  $thiz.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$11)
});
class $c_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ extends $c_O {
  constructor() {
    super();
    this.DefinedBy$1 = null;
    this.Extension$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "definedBy"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Extension$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "extension"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ShapeExtension");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.DefinedBy$1, this.Extension$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_ShapeExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$: 0
}, false, "amf.core.metamodel.domain.extensions.ShapeExtensionModel$", {
  Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$;
let $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$ = new $c_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$
});
const $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List = (function($thiz) {
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Name__Lamf_core_metamodel_Field(), $thiz.Description__Lamf_core_metamodel_Field(), $thiz.DataNode__Lamf_core_metamodel_Field(), $thiz.Variables__Lamf_core_metamodel_Field()]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
  const this$3 = $m_sci_List$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
  const this$4 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
});
const $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true));
  const jsx$2 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "dataNode"), true));
  const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "variable"), true));
  const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "description"), true));
  $thiz.amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V($thiz.Name__Lamf_core_metamodel_Field())
});
const $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List = (function($thiz) {
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Name__Lamf_core_metamodel_Field(), $thiz.Target__Lamf_core_metamodel_Field(), $thiz.Variables__Lamf_core_metamodel_Field()]);
  const this$2 = $m_sci_List$();
  const cbf = this$2.ReusableCBFInstance$2;
  const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
  const this$3 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
});
const $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true));
  const jsx$2 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "target"), true));
  const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_templates_VariableValueModel$());
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "variable"), true));
  $thiz.amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V($thiz.Name__Lamf_core_metamodel_Field())
});
class $c_Lamf_core_metamodel_domain_templates_VariableValueModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Value$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_templates_VariableValueModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Value$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "value"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "VariableValue");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Value$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_templates_VariableValue().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_templates_VariableValueModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_templates_VariableValueModel$: 0
}, false, "amf.core.metamodel.domain.templates.VariableValueModel$", {
  Lamf_core_metamodel_domain_templates_VariableValueModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_domain_templates_VariableValueModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_templates_VariableValueModel$;
let $n_Lamf_core_metamodel_domain_templates_VariableValueModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_templates_VariableValueModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_templates_VariableValueModel$)) {
    $n_Lamf_core_metamodel_domain_templates_VariableValueModel$ = new $c_Lamf_core_metamodel_domain_templates_VariableValueModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_templates_VariableValueModel$
});
const $is_Lamf_core_model_document_Fragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_Fragment)))
});
const $isArrayOf_Lamf_core_model_document_Fragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_Fragment)))
});
class $c_Lamf_core_model_domain_DataNode extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $f_Lamf_core_model_domain_DynamicDomainElement__dynamicTypes__sc_Seq(this)
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_DataNodeModel$()
  };
  componentId__T() {
    const this$1 = this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "data-node" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  forceAdopted__T__Lamf_core_model_domain_DataNode(parent) {
    const this$1 = this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1).option$1;
    let this$5;
    if (this$1.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(x$1);
      const this$4 = this$3.platform$1;
      const url = this$3.str$1;
      this$5 = new $c_s_Some().init___O($f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
    };
    const adoptedId = ((parent + "/") + (this$5.isEmpty__Z() ? null : this$5.get__O()));
    const x1 = $m_s_Option$().apply__O__s_Option(this.id$1);
    let newId;
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const oldId = x2.value$2;
        if ((oldId !== null)) {
          if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(oldId, "/included")) {
            newId = (adoptedId + "/included");
            break matchEnd5
          }
        }
      };
      newId = adoptedId
    };
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, newId)
  };
  init___Lamf_core_parser_Annotations(annotations) {
    this.fields$1 = new $c_Lamf_core_parser_Fields().init___();
    return this
  };
  adopted__T__Lamf_core_model_domain_DataNode(parent) {
    return ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z() ? $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent) : this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_DataNode(parent)
  };
}
const $is_Lamf_core_model_domain_DataNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_DataNode)))
});
const $isArrayOf_Lamf_core_model_domain_DataNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_DataNode)))
});
class $c_Lamf_core_model_domain_Graph extends $c_O {
  constructor() {
    super();
    this.e$1 = null
  };
  productPrefix__T() {
    return "Graph"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_Graph(x$1)) {
      const Graph$1 = x$1;
      const x = this.e$1;
      const x$2 = Graph$1.e$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.e$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  types__sc_Seq() {
    const jsx$4 = this.e$1.dynamicTypes__sc_Seq();
    const this$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.iri__T()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let jsx$3;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        jsx$3 = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$3 = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$3 = b.result__O()
    };
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const this$5 = this.e$1.meta__Lamf_core_metamodel_Obj().type__sci_List();
    const f$1 = (function(this$2$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.iri__T()
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf$1 = this$4.ReusableCBFInstance$2;
    let jsx$1;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        jsx$1 = $m_sci_Nil$()
      } else {
        const arg1$3 = this$5.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = this$5.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$4 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        jsx$1 = h$1
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf$1);
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        these$1 = these$1.tail__O()
      };
      jsx$1 = b$1.result__O()
    };
    const this$6 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2).distinct__O()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_DomainElement(e) {
    this.e$1 = e;
    return this
  };
  properties__sc_Seq() {
    const this$1 = this.e$1.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.field$1.value$1.iri__T()
      })
    })(this));
    const this$5 = $m_sc_Iterable$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toSeq__sc_Seq()
  };
  scalarByProperty__T__sc_Seq(propertyId) {
    const this$1 = this.e$1.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const x1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyId$1) {
      return (function(f$2) {
        const f$1 = f$2;
        return (f$1.field$1.value$1.iri__T() === $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(propertyId$1).iri__T())
      })
    })(this, propertyId)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const fieldEntry = x2.value$2;
      const x1$2 = fieldEntry.value$1.value$1;
      if ($is_Lamf_core_model_domain_AmfScalar(x1$2)) {
        const x2$2 = x1$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$2.value$1]);
        const this$6 = $m_sci_List$();
        const cbf = this$6.ReusableCBFInstance$2;
        return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
      };
      if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
        const x3 = x1$2;
        if (x3.values$1.nonEmpty__Z()) {
          return x3.values$1.toList__sci_List()
        }
      };
      return $m_sci_Nil$()
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_sci_Nil$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  getObjectByPropertyId__T__sc_Seq(propertyId) {
    const this$1 = this.e$1.fields__Lamf_core_parser_Fields();
    const this$4 = this$1.fs$1;
    const this$2 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$2);
    const this$3 = $m_sci_Iterable$();
    const bf = this$3.ReusableCBFInstance$2;
    const x1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyId$1) {
      return (function(f$2) {
        const f$1 = f$2;
        return (f$1.field$1.value$1.iri__T() === $m_Lamf_core_vocabulary_Namespace$().uri__T__Lamf_core_vocabulary_ValueType(propertyId$1).iri__T())
      })
    })(this, propertyId)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const fieldEntry = x2.value$2;
      const x1$2 = fieldEntry.value$1.value$1;
      if ($is_Lamf_core_model_domain_DomainElement(x1$2)) {
        const x2$2 = x1$2;
        $m_sci_List$();
        const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2$2]);
        const this$6 = $m_sci_List$();
        const cbf = this$6.ReusableCBFInstance$2;
        return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
      };
      if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
        const x3 = x1$2;
        if ((x3.values$1.nonEmpty__Z() && $is_Lamf_core_model_domain_DomainElement(x3.values$1.head__O()))) {
          const jsx$2 = x3.values$1;
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
            return (function(x$4$2) {
              const x$4 = x$4$2;
              return x$4
            })
          })(this));
          const this$7 = $m_sc_Seq$();
          return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2).toList__sci_List()
        }
      };
      return $m_sci_Nil$()
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_sci_Nil$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  removeField__T__Lamf_core_model_domain_Graph(uri) {
    this.e$1.fields__Lamf_core_parser_Fields().remove__T__Lamf_core_parser_Fields(uri);
    return this
  };
}
const $is_Lamf_core_model_domain_Graph = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Graph)))
});
const $isArrayOf_Lamf_core_model_domain_Graph = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Graph)))
});
const $d_Lamf_core_model_domain_Graph = new $TypeData().initClass({
  Lamf_core_model_domain_Graph: 0
}, false, "amf.core.model.domain.Graph", {
  Lamf_core_model_domain_Graph: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_Graph.prototype.$classData = $d_Lamf_core_model_domain_Graph;
class $c_Lamf_core_model_domain_templates_Variable extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "Variable"
  };
  productArity__I() {
    return 2
  };
  $$js$exported$prop$name__O() {
    return this.name$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_templates_Variable(x$1)) {
      const Variable$1 = x$1;
      if ((this.name$1 === Variable$1.name$1)) {
        const x = this.value$1;
        const x$2 = Variable$1.value$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$value__O() {
    return this.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_model_domain_DataNode(name, value) {
    this.name$1 = name;
    this.value$1 = value;
    return this
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_core_model_domain_templates_Variable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_Variable)))
});
const $isArrayOf_Lamf_core_model_domain_templates_Variable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_Variable)))
});
const $d_Lamf_core_model_domain_templates_Variable = new $TypeData().initClass({
  Lamf_core_model_domain_templates_Variable: 0
}, false, "amf.core.model.domain.templates.Variable", {
  Lamf_core_model_domain_templates_Variable: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_templates_Variable.prototype.$classData = $d_Lamf_core_model_domain_templates_Variable;
class $c_Lamf_core_parser_DeclarationPromise extends $c_O {
  constructor() {
    super();
    this.amf$core$parser$DeclarationPromise$$success$1 = null;
    this.amf$core$parser$DeclarationPromise$$failure$1 = null;
    this.resolved$1 = false
  };
  productPrefix__T() {
    return "DeclarationPromise"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_DeclarationPromise(x$1)) {
      const DeclarationPromise$1 = x$1;
      const x = this.amf$core$parser$DeclarationPromise$$success$1;
      const x$2 = DeclarationPromise$1.amf$core$parser$DeclarationPromise$$success$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.amf$core$parser$DeclarationPromise$$failure$1;
        const x$4 = DeclarationPromise$1.amf$core$parser$DeclarationPromise$$failure$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.resolved$1 === DeclarationPromise$1.resolved$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$core$parser$DeclarationPromise$$success$1;
        break
      }
      case 1: {
        return this.amf$core$parser$DeclarationPromise$$failure$1;
        break
      }
      case 2: {
        return this.resolved$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___F1__F0__Z(success, failure, resolved) {
    this.amf$core$parser$DeclarationPromise$$success$1 = success;
    this.amf$core$parser$DeclarationPromise$$failure$1 = failure;
    this.resolved$1 = resolved;
    return this
  };
  resolve__Lamf_core_model_domain_Linkable__V(element) {
    this.resolved$1 = true;
    this.amf$core$parser$DeclarationPromise$$success$1.apply__O__O(element)
  };
  fail__V() {
    this.resolved$1 = true;
    this.amf$core$parser$DeclarationPromise$$failure$1.apply__O()
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.amf$core$parser$DeclarationPromise$$success$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.amf$core$parser$DeclarationPromise$$failure$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.resolved$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_DeclarationPromise = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_DeclarationPromise)))
});
const $isArrayOf_Lamf_core_parser_DeclarationPromise = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_DeclarationPromise)))
});
const $d_Lamf_core_parser_DeclarationPromise = new $TypeData().initClass({
  Lamf_core_parser_DeclarationPromise: 0
}, false, "amf.core.parser.DeclarationPromise", {
  Lamf_core_parser_DeclarationPromise: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_DeclarationPromise.prototype.$classData = $d_Lamf_core_parser_DeclarationPromise;
class $c_Lamf_core_parser_FieldEntry extends $c_O {
  constructor() {
    super();
    this.field$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "FieldEntry"
  };
  init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, value) {
    this.field$1 = field;
    this.value$1 = value;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_FieldEntry(x$1)) {
      const FieldEntry$1 = x$1;
      const x = this.field$1;
      const x$2 = FieldEntry$1.field$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.value$1;
        const x$4 = FieldEntry$1.value$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.field$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  negated__Lamf_core_parser_FieldEntry() {
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((!this.value$1.value$1.toBool__Z()), this.value$1.value$1.annotations__Lamf_core_parser_Annotations());
    const annotations = this.value$1.annotations$1;
    const x$12 = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
    const x$13 = this.field$1;
    return new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(x$13, x$12)
  };
  arrayValues__sc_Seq() {
    const jsx$2 = this.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        return x$11
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_FieldEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_FieldEntry)))
});
const $isArrayOf_Lamf_core_parser_FieldEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_FieldEntry)))
});
const $d_Lamf_core_parser_FieldEntry = new $TypeData().initClass({
  Lamf_core_parser_FieldEntry: 0
}, false, "amf.core.parser.FieldEntry", {
  Lamf_core_parser_FieldEntry: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_FieldEntry.prototype.$classData = $d_Lamf_core_parser_FieldEntry;
class $c_Lamf_core_parser_FieldEntry$ extends $c_sr_AbstractFunction2 {
  init___() {
    return this
  };
  toString__T() {
    return "FieldEntry"
  };
  apply__O__O__O(v1, v2) {
    const field = v1;
    const value = v2;
    return new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, value)
  };
}
const $d_Lamf_core_parser_FieldEntry$ = new $TypeData().initClass({
  Lamf_core_parser_FieldEntry$: 0
}, false, "amf.core.parser.FieldEntry$", {
  Lamf_core_parser_FieldEntry$: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_FieldEntry$.prototype.$classData = $d_Lamf_core_parser_FieldEntry$;
let $n_Lamf_core_parser_FieldEntry$ = (void 0);
const $m_Lamf_core_parser_FieldEntry$ = (function() {
  if ((!$n_Lamf_core_parser_FieldEntry$)) {
    $n_Lamf_core_parser_FieldEntry$ = new $c_Lamf_core_parser_FieldEntry$().init___()
  };
  return $n_Lamf_core_parser_FieldEntry$
});
class $c_Lamf_core_parser_ParsedDocument extends $c_O {
  constructor() {
    super();
    this.comment$1 = null;
    this.document$1 = null
  };
  productPrefix__T() {
    return "ParsedDocument"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ParsedDocument(x$1)) {
      const ParsedDocument$1 = x$1;
      const x = this.comment$1;
      const x$2 = ParsedDocument$1.comment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.document$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ParsedDocument$1.document$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.comment$1;
        break
      }
      case 1: {
        return this.document$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___s_Option__Lorg_yaml_model_YDocument(comment, document) {
    this.comment$1 = comment;
    this.document$1 = document;
    return this
  };
}
const $is_Lamf_core_parser_ParsedDocument = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ParsedDocument)))
});
const $isArrayOf_Lamf_core_parser_ParsedDocument = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ParsedDocument)))
});
const $d_Lamf_core_parser_ParsedDocument = new $TypeData().initClass({
  Lamf_core_parser_ParsedDocument: 0
}, false, "amf.core.parser.ParsedDocument", {
  Lamf_core_parser_ParsedDocument: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ParsedDocument.prototype.$classData = $d_Lamf_core_parser_ParsedDocument;
class $c_Lamf_core_parser_ParsedReference extends $c_O {
  constructor() {
    super();
    this.unit$1 = null;
    this.origin$1 = null;
    this.ast$1 = null
  };
  productPrefix__T() {
    return "ParsedReference"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ParsedReference(x$1)) {
      const ParsedReference$1 = x$1;
      const x = this.unit$1;
      const x$2 = ParsedReference$1.unit$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.origin$1;
        const x$4 = ParsedReference$1.origin$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ast$1;
        const x$6 = ParsedReference$1.ast$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.unit$1;
        break
      }
      case 1: {
        return this.origin$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_parser_Reference__s_Option(unit, origin, ast) {
    this.unit$1 = unit;
    this.origin$1 = origin;
    this.ast$1 = ast;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_ParsedReference = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ParsedReference)))
});
const $isArrayOf_Lamf_core_parser_ParsedReference = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ParsedReference)))
});
const $d_Lamf_core_parser_ParsedReference = new $TypeData().initClass({
  Lamf_core_parser_ParsedReference: 0
}, false, "amf.core.parser.ParsedReference", {
  Lamf_core_parser_ParsedReference: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ParsedReference.prototype.$classData = $d_Lamf_core_parser_ParsedReference;
class $c_Lamf_core_parser_Range extends $c_O {
  constructor() {
    super();
    this.start$1 = null;
    this.end$1 = null
  };
  productPrefix__T() {
    return "Range"
  };
  productArity__I() {
    return 2
  };
  $$js$exported$prop$end__O() {
    return this.end$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_Range(x$1)) {
      const Range$1 = x$1;
      const x = this.start$1;
      const x$2 = Range$1.start$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.end$1;
        const x$4 = Range$1.end$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return this.toString__T()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.start$1;
        break
      }
      case 1: {
        return this.end$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["[", "-", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.start$1, this.end$1]))
  };
  $$js$exported$prop$start__O() {
    return this.start$1
  };
  init___Lamf_core_parser_Position__Lamf_core_parser_Position(start, end) {
    this.start$1 = start;
    this.end$1 = end;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$extent__Lamf_core_parser_Range__O(other) {
    return this.extent__Lamf_core_parser_Range__Lamf_core_parser_Range(other)
  };
  extent__Lamf_core_parser_Range__Lamf_core_parser_Range(other) {
    return new $c_Lamf_core_parser_Range().init___Lamf_core_parser_Position__Lamf_core_parser_Position(this.start$1.min__Lamf_core_parser_Position__Lamf_core_parser_Position(other.start$1), this.end$1.max__Lamf_core_parser_Position__Lamf_core_parser_Position(other.end$1))
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  "extent"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$extent__Lamf_core_parser_Range__O(prep0)
  };
  get "end"() {
    return this.$$js$exported$prop$end__O()
  };
  get "start"() {
    return this.$$js$exported$prop$start__O()
  };
}
const $is_Lamf_core_parser_Range = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Range)))
});
const $isArrayOf_Lamf_core_parser_Range = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Range)))
});
const $d_Lamf_core_parser_Range = new $TypeData().initClass({
  Lamf_core_parser_Range: 0
}, false, "amf.core.parser.Range", {
  Lamf_core_parser_Range: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Range.prototype.$classData = $d_Lamf_core_parser_Range;
class $c_Lamf_core_parser_RefContainer extends $c_O {
  constructor() {
    super();
    this.linkType$1 = null;
    this.node$1 = null
  };
  productPrefix__T() {
    return "RefContainer"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_RefContainer(x$1)) {
      const RefContainer$1 = x$1;
      const x = this.linkType$1;
      const x$2 = RefContainer$1.linkType$1;
      if ((x === x$2)) {
        return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RefContainer$1.node$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.linkType$1;
        break
      }
      case 1: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(linkType, node) {
    this.linkType$1 = linkType;
    this.node$1 = node;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_RefContainer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_RefContainer)))
});
const $isArrayOf_Lamf_core_parser_RefContainer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_RefContainer)))
});
const $d_Lamf_core_parser_RefContainer = new $TypeData().initClass({
  Lamf_core_parser_RefContainer: 0
}, false, "amf.core.parser.RefContainer", {
  Lamf_core_parser_RefContainer: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_RefContainer.prototype.$classData = $d_Lamf_core_parser_RefContainer;
class $c_Lamf_core_parser_Reference extends $c_O {
  constructor() {
    super();
    this.url$1 = null;
    this.refs$1 = null
  };
  init___T__sc_Seq(url, refs) {
    this.url$1 = url;
    this.refs$1 = refs;
    return this
  };
  productPrefix__T() {
    return "Reference"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_Reference(x$1)) {
      const Reference$1 = x$1;
      if ((this.url$1 === Reference$1.url$1)) {
        const x = this.refs$1;
        const x$2 = Reference$1.refs$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.url$1;
        break
      }
      case 1: {
        return this.refs$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  resolve__Lamf_core_remote_Context__s_Option__T__Lamf_core_remote_Cache__Lamf_core_parser_ParserContext__Lamf_internal_environment_Environment__s_concurrent_Future(base, mediaType, vendor, cache, ctx, env) {
    const jsx$2 = this.refs$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.linkType$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const kinds = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const kind = ((kinds.distinct__O().size__I() > 1) ? $m_Lamf_core_parser_UnspecifiedReference$() : kinds.distinct__O().head__O());
    return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(this.url$1, mediaType, vendor, base, kind, cache, new $c_s_Some().init___O(ctx), env)
  };
  $$plus__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__Lamf_core_parser_Reference(kind, ast) {
    const jsx$2 = this.refs$1;
    const jsx$1 = new $c_Lamf_core_parser_RefContainer().init___Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode(kind, ast);
    const this$1 = $m_sc_Seq$();
    const x$3 = jsx$2.$$colon$plus__O__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const x$4 = this.url$1;
    return new $c_Lamf_core_parser_Reference().init___T__sc_Seq(x$4, x$3)
  };
  isRemote__Z() {
    const thiz = this.url$1;
    return (!(((thiz.length | 0) >= 0) && (thiz.substring(0, ("#".length | 0)) === "#")))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  isInferred__Z() {
    return this.refs$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const x = x$2.linkType$1;
        const x$3 = $m_Lamf_core_parser_InferredLinkReference$();
        return ((x !== null) && (x === x$3))
      })
    })(this)))
  };
}
const $is_Lamf_core_parser_Reference = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Reference)))
});
const $isArrayOf_Lamf_core_parser_Reference = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Reference)))
});
const $d_Lamf_core_parser_Reference = new $TypeData().initClass({
  Lamf_core_parser_Reference: 0
}, false, "amf.core.parser.Reference", {
  Lamf_core_parser_Reference: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Reference.prototype.$classData = $d_Lamf_core_parser_Reference;
class $c_Lamf_core_parser_ReferenceCollector extends $c_O {
  constructor() {
    super();
    this.refs$1 = null
  };
  init___() {
    this.refs$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  productPrefix__T() {
    return "ReferenceCollector"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_parser_ReferenceCollector(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  toReferences__sc_Seq() {
    return this.refs$1.values__sc_Iterable().toSeq__sc_Seq()
  };
  $$plus$eq__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__V(key, kind, node) {
    const x1 = this.refs$1.get__O__s_Option(key);
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const reference = x2.value$2;
        if ((reference !== null)) {
          this.refs$1.update__O__O__V(key, reference.$$plus__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__Lamf_core_parser_Reference(kind, node));
          break matchEnd6
        }
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        const jsx$1 = this.refs$1;
        const y = $m_Lamf_core_parser_Reference$().apply__T__Lamf_core_parser_ReferenceKind__Lorg_yaml_model_YNode__Lamf_core_parser_Reference(key, kind, node);
        jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(key, y));
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_ReferenceCollector = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ReferenceCollector)))
});
const $isArrayOf_Lamf_core_parser_ReferenceCollector = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ReferenceCollector)))
});
const $d_Lamf_core_parser_ReferenceCollector = new $TypeData().initClass({
  Lamf_core_parser_ReferenceCollector: 0
}, false, "amf.core.parser.ReferenceCollector", {
  Lamf_core_parser_ReferenceCollector: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ReferenceCollector.prototype.$classData = $d_Lamf_core_parser_ReferenceCollector;
class $c_Lamf_core_parser_ValueNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "ValueNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ValueNode(x$1)) {
      const ValueNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ValueNode$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $float__Lamf_core_model_domain_AmfScalar() {
    const content = (+this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$DoubleYRead$(), this.iv$1));
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(content, this.annotations__p1__Lamf_core_parser_Annotations())
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  string__Lamf_core_model_domain_AmfScalar() {
    const content = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.iv$1);
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(content, this.annotations__p1__Lamf_core_parser_Annotations())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  annotations__p1__Lamf_core_parser_Annotations() {
    return $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue())
  };
  text__Lamf_core_model_domain_AmfScalar() {
    const content = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.iv$1).text$3;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(content, this.annotations__p1__Lamf_core_parser_Annotations())
  };
  integer__Lamf_core_model_domain_AmfScalar() {
    const content = (this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$IntYRead$(), this.iv$1) | 0);
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(content, this.annotations__p1__Lamf_core_parser_Annotations())
  };
  $boolean__Lamf_core_model_domain_AmfScalar() {
    const content = (!(!this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.iv$1)));
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(content, this.annotations__p1__Lamf_core_parser_Annotations())
  };
}
const $is_Lamf_core_parser_ValueNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ValueNode)))
});
const $isArrayOf_Lamf_core_parser_ValueNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ValueNode)))
});
const $d_Lamf_core_parser_ValueNode = new $TypeData().initClass({
  Lamf_core_parser_ValueNode: 0
}, false, "amf.core.parser.ValueNode", {
  Lamf_core_parser_ValueNode: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ValueNode.prototype.$classData = $d_Lamf_core_parser_ValueNode;
class $c_Lamf_core_utils_InflectorBase$Container extends $c_O {
  constructor() {
    super();
    this.rule$1 = null;
    this.replacement$1 = null
  };
  init___T__T(rule, replacement) {
    this.rule$1 = rule;
    this.replacement$1 = replacement;
    return this
  };
  productPrefix__T() {
    return "Container"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_utils_InflectorBase$Container(x$1)) {
      const Container$1 = x$1;
      return ((this.rule$1 === Container$1.rule$1) && (this.replacement$1 === Container$1.replacement$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rule$1;
        break
      }
      case 1: {
        return this.replacement$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_utils_InflectorBase$Container = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_utils_InflectorBase$Container)))
});
const $isArrayOf_Lamf_core_utils_InflectorBase$Container = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_utils_InflectorBase$Container)))
});
const $d_Lamf_core_utils_InflectorBase$Container = new $TypeData().initClass({
  Lamf_core_utils_InflectorBase$Container: 0
}, false, "amf.core.utils.InflectorBase$Container", {
  Lamf_core_utils_InflectorBase$Container: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_utils_InflectorBase$Container.prototype.$classData = $d_Lamf_core_utils_InflectorBase$Container;
class $c_Lamf_core_utils_package$QName extends $c_O {
  constructor() {
    super();
    this.qualification$1 = null;
    this.name$1 = null;
    this.isQualified$1 = false;
    this.isEmpty$1 = false
  };
  init___T__T(qualification, name) {
    this.qualification$1 = qualification;
    this.name$1 = name;
    const this$2 = new $c_sci_StringOps().init___T(qualification);
    this.isQualified$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$2);
    if ((qualification === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    let jsx$1;
    if ((qualification === "")) {
      if ((name === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      jsx$1 = (name === "")
    } else {
      jsx$1 = false
    };
    this.isEmpty$1 = jsx$1;
    return this
  };
  productPrefix__T() {
    return "QName"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_utils_package$QName(x$1)) {
      const QName$1 = x$1;
      return ((this.qualification$1 === QName$1.qualification$1) && (this.name$1 === QName$1.name$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.qualification$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_utils_package$QName = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_utils_package$QName)))
});
const $isArrayOf_Lamf_core_utils_package$QName = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_utils_package$QName)))
});
const $d_Lamf_core_utils_package$QName = new $TypeData().initClass({
  Lamf_core_utils_package$QName: 0
}, false, "amf.core.utils.package$QName", {
  Lamf_core_utils_package$QName: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_utils_package$QName.prototype.$classData = $d_Lamf_core_utils_package$QName;
class $c_Lamf_core_validation_AMFValidationReport extends $c_O {
  constructor() {
    super();
    this.conforms$1 = false;
    this.model$1 = null;
    this.profile$1 = null;
    this.results$1 = null
  };
  init___Z__T__T__sc_Seq(conforms, model, profile, results) {
    this.conforms$1 = conforms;
    this.model$1 = model;
    this.profile$1 = profile;
    this.results$1 = results;
    return this
  };
  productPrefix__T() {
    return "AMFValidationReport"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_AMFValidationReport(x$1)) {
      const AMFValidationReport$1 = x$1;
      if ((((this.conforms$1 === AMFValidationReport$1.conforms$1) && (this.model$1 === AMFValidationReport$1.model$1)) && (this.profile$1 === AMFValidationReport$1.profile$1))) {
        const x = this.results$1;
        const x$2 = AMFValidationReport$1.results$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.conforms$1;
        break
      }
      case 1: {
        return this.model$1;
        break
      }
      case 2: {
        return this.profile$1;
        break
      }
      case 3: {
        return this.results$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    const elem = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Model: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.model$1]));
    const str = new $c_sr_ObjectRef().init___O(elem);
    str.elem$1 = (("" + str.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Profile: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.profile$1])));
    str.elem$1 = (("" + str.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Conforms? ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.conforms$1])));
    str.elem$1 = (("" + str.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Number of results: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.results$1.length__I()])));
    const jsx$1 = this.results$1;
    const this$2 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    jsx$1.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$2, evidence$1)).groupBy__F1__sci_Map(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.level$1
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, str$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const level = x0$1.$$und1__O();
          const results = x0$1.$$und2__O();
          str$1.elem$1 = (("" + str$1.elem$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\nLevel: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([level])));
          results.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, str$1$1) {
            return (function(result$2) {
              const result = result$2;
              str$1$1.elem$1 = (("" + str$1$1.elem$1) + result)
            })
          })(this$2$1, str$1)))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, str)));
    return str.elem$1
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.conforms$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.model$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.profile$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.results$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_AMFValidationReport = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_AMFValidationReport)))
});
const $isArrayOf_Lamf_core_validation_AMFValidationReport = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_AMFValidationReport)))
});
const $d_Lamf_core_validation_AMFValidationReport = new $TypeData().initClass({
  Lamf_core_validation_AMFValidationReport: 0
}, false, "amf.core.validation.AMFValidationReport", {
  Lamf_core_validation_AMFValidationReport: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_AMFValidationReport.prototype.$classData = $d_Lamf_core_validation_AMFValidationReport;
class $c_Lamf_core_validation_ValidationCandidate extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.payload$1 = null
  };
  productPrefix__T() {
    return "ValidationCandidate"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment(shape, payload) {
    this.shape$1 = shape;
    this.payload$1 = payload;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_ValidationCandidate(x$1)) {
      const ValidationCandidate$1 = x$1;
      const x = this.shape$1;
      const x$2 = ValidationCandidate$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.payload$1;
        const x$4 = ValidationCandidate$1.payload$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.payload$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_ValidationCandidate = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_ValidationCandidate)))
});
const $isArrayOf_Lamf_core_validation_ValidationCandidate = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_ValidationCandidate)))
});
const $d_Lamf_core_validation_ValidationCandidate = new $TypeData().initClass({
  Lamf_core_validation_ValidationCandidate: 0
}, false, "amf.core.validation.ValidationCandidate", {
  Lamf_core_validation_ValidationCandidate: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_ValidationCandidate.prototype.$classData = $d_Lamf_core_validation_ValidationCandidate;
class $c_Lamf_core_validation_ValidationShapeSet extends $c_O {
  constructor() {
    super();
    this.candidates$1 = null;
    this.defaultSeverity$1 = null
  };
  productPrefix__T() {
    return "ValidationShapeSet"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_ValidationShapeSet(x$1)) {
      const ValidationShapeSet$1 = x$1;
      const x = this.candidates$1;
      const x$2 = ValidationShapeSet$1.candidates$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.defaultSeverity$1 === ValidationShapeSet$1.defaultSeverity$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___sc_Seq__T(candidates, defaultSeverity) {
    this.candidates$1 = candidates;
    this.defaultSeverity$1 = defaultSeverity;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.candidates$1;
        break
      }
      case 1: {
        return this.defaultSeverity$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_ValidationShapeSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_ValidationShapeSet)))
});
const $isArrayOf_Lamf_core_validation_ValidationShapeSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_ValidationShapeSet)))
});
const $d_Lamf_core_validation_ValidationShapeSet = new $TypeData().initClass({
  Lamf_core_validation_ValidationShapeSet: 0
}, false, "amf.core.validation.ValidationShapeSet", {
  Lamf_core_validation_ValidationShapeSet: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_ValidationShapeSet.prototype.$classData = $d_Lamf_core_validation_ValidationShapeSet;
class $c_Lamf_core_validation_core_FunctionConstraint extends $c_O {
  constructor() {
    super();
    this.message$1 = null;
    this.code$1 = null;
    this.libraries$1 = null;
    this.functionName$1 = null
  };
  productPrefix__T() {
    return "FunctionConstraint"
  };
  validatorId__T__T(validationId) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Validator"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]))
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_FunctionConstraint(x$1)) {
      const FunctionConstraint$1 = x$1;
      const x = this.message$1;
      const x$2 = FunctionConstraint$1.message$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.code$1;
        const x$4 = FunctionConstraint$1.code$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.libraries$1;
        const x$6 = FunctionConstraint$1.libraries$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.functionName$1;
        const x$8 = FunctionConstraint$1.functionName$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.message$1;
        break
      }
      case 1: {
        return this.code$1;
        break
      }
      case 2: {
        return this.libraries$1;
        break
      }
      case 3: {
        return this.functionName$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  validatorPath__T__T(validationId) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Path"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]))
  };
  computeFunctionName__T__T(validationId) {
    const x1 = this.functionName$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const fnName = x2.value$2;
      return fnName
    } else {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(validationId, "/", 0);
      const this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const thiz = $f_sc_IndexedSeqOptimized__last__O(this$3);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const localName = $f_sc_IndexedSeqOptimized__last__O(this$6);
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "FnName"]));
      const thiz$1 = localName.split("-").join("_");
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([thiz$1.split(".").join("_")]))
    }
  };
  init___s_Option__s_Option__sc_Seq__s_Option(message, code, libraries, functionName) {
    this.message$1 = message;
    this.code$1 = code;
    this.libraries$1 = libraries;
    this.functionName$1 = functionName;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  constraintId__T__T(validationId) {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Constraint"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_FunctionConstraint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_FunctionConstraint)))
});
const $isArrayOf_Lamf_core_validation_core_FunctionConstraint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_FunctionConstraint)))
});
const $d_Lamf_core_validation_core_FunctionConstraint = new $TypeData().initClass({
  Lamf_core_validation_core_FunctionConstraint: 0
}, false, "amf.core.validation.core.FunctionConstraint", {
  Lamf_core_validation_core_FunctionConstraint: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_FunctionConstraint.prototype.$classData = $d_Lamf_core_validation_core_FunctionConstraint;
class $c_Lamf_core_validation_core_NodeConstraint extends $c_O {
  constructor() {
    super();
    this.constraint$1 = null;
    this.value$1 = null
  };
  init___T__T(constraint, value) {
    this.constraint$1 = constraint;
    this.value$1 = value;
    return this
  };
  productPrefix__T() {
    return "NodeConstraint"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_NodeConstraint(x$1)) {
      const NodeConstraint$1 = x$1;
      return ((this.constraint$1 === NodeConstraint$1.constraint$1) && (this.value$1 === NodeConstraint$1.value$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.constraint$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_NodeConstraint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_NodeConstraint)))
});
const $isArrayOf_Lamf_core_validation_core_NodeConstraint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_NodeConstraint)))
});
const $d_Lamf_core_validation_core_NodeConstraint = new $TypeData().initClass({
  Lamf_core_validation_core_NodeConstraint: 0
}, false, "amf.core.validation.core.NodeConstraint", {
  Lamf_core_validation_core_NodeConstraint: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_NodeConstraint.prototype.$classData = $d_Lamf_core_validation_core_NodeConstraint;
class $c_Lamf_core_validation_core_PropertyConstraint extends $c_O {
  constructor() {
    super();
    this.ramlPropertyId$1 = null;
    this.name$1 = null;
    this.message$1 = null;
    this.pattern$1 = null;
    this.maxCount$1 = null;
    this.minCount$1 = null;
    this.minLength$1 = null;
    this.maxLength$1 = null;
    this.minExclusive$1 = null;
    this.maxExclusive$1 = null;
    this.minInclusive$1 = null;
    this.maxInclusive$1 = null;
    this.node$1 = null;
    this.datatype$1 = null;
    this.class$1 = null;
    this.in$1 = null;
    this.custom$1 = null
  };
  productPrefix__T() {
    return "PropertyConstraint"
  };
  init___T__T__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__s_Option__sc_Seq__sc_Seq__s_Option(ramlPropertyId, name, message, pattern, maxCount, minCount, minLength, maxLength, minExclusive, maxExclusive, minInclusive, maxInclusive, node, datatype, $class, $in, custom) {
    this.ramlPropertyId$1 = ramlPropertyId;
    this.name$1 = name;
    this.message$1 = message;
    this.pattern$1 = pattern;
    this.maxCount$1 = maxCount;
    this.minCount$1 = minCount;
    this.minLength$1 = minLength;
    this.maxLength$1 = maxLength;
    this.minExclusive$1 = minExclusive;
    this.maxExclusive$1 = maxExclusive;
    this.minInclusive$1 = minInclusive;
    this.maxInclusive$1 = maxInclusive;
    this.node$1 = node;
    this.datatype$1 = datatype;
    this.class$1 = $class;
    this.in$1 = $in;
    this.custom$1 = custom;
    return this
  };
  productArity__I() {
    return 17
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_PropertyConstraint(x$1)) {
      const PropertyConstraint$1 = x$1;
      let jsx$14;
      if (((this.ramlPropertyId$1 === PropertyConstraint$1.ramlPropertyId$1) && (this.name$1 === PropertyConstraint$1.name$1))) {
        const x = this.message$1;
        const x$2 = PropertyConstraint$1.message$1;
        jsx$14 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$14 = false
      };
      let jsx$13;
      if (jsx$14) {
        const x$3 = this.pattern$1;
        const x$4 = PropertyConstraint$1.pattern$1;
        jsx$13 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$13 = false
      };
      let jsx$12;
      if (jsx$13) {
        const x$5 = this.maxCount$1;
        const x$6 = PropertyConstraint$1.maxCount$1;
        jsx$12 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$12 = false
      };
      let jsx$11;
      if (jsx$12) {
        const x$7 = this.minCount$1;
        const x$8 = PropertyConstraint$1.minCount$1;
        jsx$11 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$11 = false
      };
      let jsx$10;
      if (jsx$11) {
        const x$9 = this.minLength$1;
        const x$10 = PropertyConstraint$1.minLength$1;
        jsx$10 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$11 = this.maxLength$1;
        const x$12 = PropertyConstraint$1.maxLength$1;
        jsx$9 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if (jsx$9) {
        const x$13 = this.minExclusive$1;
        const x$14 = PropertyConstraint$1.minExclusive$1;
        jsx$8 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$15 = this.maxExclusive$1;
        const x$16 = PropertyConstraint$1.maxExclusive$1;
        jsx$7 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$17 = this.minInclusive$1;
        const x$18 = PropertyConstraint$1.minInclusive$1;
        jsx$6 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$19 = this.maxInclusive$1;
        const x$20 = PropertyConstraint$1.maxInclusive$1;
        jsx$5 = ((x$19 === null) ? (x$20 === null) : x$19.equals__O__Z(x$20))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$21 = this.node$1;
        const x$22 = PropertyConstraint$1.node$1;
        jsx$4 = ((x$21 === null) ? (x$22 === null) : x$21.equals__O__Z(x$22))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$23 = this.datatype$1;
        const x$24 = PropertyConstraint$1.datatype$1;
        jsx$3 = ((x$23 === null) ? (x$24 === null) : x$23.equals__O__Z(x$24))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$25 = this.class$1;
        const x$26 = PropertyConstraint$1.class$1;
        jsx$2 = ((x$25 === null) ? (x$26 === null) : x$25.equals__O__Z(x$26))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$27 = this.in$1;
        const x$28 = PropertyConstraint$1.in$1;
        jsx$1 = ((x$27 === null) ? (x$28 === null) : x$27.equals__O__Z(x$28))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$29 = this.custom$1;
        const x$30 = PropertyConstraint$1.custom$1;
        return ((x$29 === null) ? (x$30 === null) : x$29.equals__O__Z(x$30))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ramlPropertyId$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      case 2: {
        return this.message$1;
        break
      }
      case 3: {
        return this.pattern$1;
        break
      }
      case 4: {
        return this.maxCount$1;
        break
      }
      case 5: {
        return this.minCount$1;
        break
      }
      case 6: {
        return this.minLength$1;
        break
      }
      case 7: {
        return this.maxLength$1;
        break
      }
      case 8: {
        return this.minExclusive$1;
        break
      }
      case 9: {
        return this.maxExclusive$1;
        break
      }
      case 10: {
        return this.minInclusive$1;
        break
      }
      case 11: {
        return this.maxInclusive$1;
        break
      }
      case 12: {
        return this.node$1;
        break
      }
      case 13: {
        return this.datatype$1;
        break
      }
      case 14: {
        return this.class$1;
        break
      }
      case 15: {
        return this.in$1;
        break
      }
      case 16: {
        return this.custom$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_PropertyConstraint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_PropertyConstraint)))
});
const $isArrayOf_Lamf_core_validation_core_PropertyConstraint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_PropertyConstraint)))
});
const $d_Lamf_core_validation_core_PropertyConstraint = new $TypeData().initClass({
  Lamf_core_validation_core_PropertyConstraint: 0
}, false, "amf.core.validation.core.PropertyConstraint", {
  Lamf_core_validation_core_PropertyConstraint: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_PropertyConstraint.prototype.$classData = $d_Lamf_core_validation_core_PropertyConstraint;
class $c_Lamf_core_validation_core_ValidationProfile extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.baseProfileName$1 = null;
    this.violationLevel$1 = null;
    this.infoLevel$1 = null;
    this.warningLevel$1 = null;
    this.disabled$1 = null;
    this.validations$1 = null;
    this.prefixes$1 = null
  };
  productPrefix__T() {
    return "ValidationProfile"
  };
  productArity__I() {
    return 8
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_ValidationProfile(x$1)) {
      const ValidationProfile$1 = x$1;
      let jsx$6;
      if ((this.name$1 === ValidationProfile$1.name$1)) {
        const x = this.baseProfileName$1;
        const x$2 = ValidationProfile$1.baseProfileName$1;
        jsx$6 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$3 = this.violationLevel$1;
        const x$4 = ValidationProfile$1.violationLevel$1;
        jsx$5 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$5 = this.infoLevel$1;
        const x$6 = ValidationProfile$1.infoLevel$1;
        jsx$4 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$7 = this.warningLevel$1;
        const x$8 = ValidationProfile$1.warningLevel$1;
        jsx$3 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$9 = this.disabled$1;
        const x$10 = ValidationProfile$1.disabled$1;
        jsx$2 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$11 = this.validations$1;
        const x$12 = ValidationProfile$1.validations$1;
        jsx$1 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$13 = this.prefixes$1;
        const x$14 = ValidationProfile$1.prefixes$1;
        return ((x$13 === null) ? (x$14 === null) : $f_sc_GenMapLike__equals__O__Z(x$13, x$14))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.baseProfileName$1;
        break
      }
      case 2: {
        return this.violationLevel$1;
        break
      }
      case 3: {
        return this.infoLevel$1;
        break
      }
      case 4: {
        return this.warningLevel$1;
        break
      }
      case 5: {
        return this.disabled$1;
        break
      }
      case 6: {
        return this.validations$1;
        break
      }
      case 7: {
        return this.prefixes$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(name, baseProfileName, violationLevel, infoLevel, warningLevel, disabled, validations, prefixes) {
    this.name$1 = name;
    this.baseProfileName$1 = baseProfileName;
    this.violationLevel$1 = violationLevel;
    this.infoLevel$1 = infoLevel;
    this.warningLevel$1 = warningLevel;
    this.disabled$1 = disabled;
    this.validations$1 = validations;
    this.prefixes$1 = prefixes;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_validation_core_ValidationProfile = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationProfile)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationProfile = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationProfile)))
});
const $d_Lamf_core_validation_core_ValidationProfile = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationProfile: 0
}, false, "amf.core.validation.core.ValidationProfile", {
  Lamf_core_validation_core_ValidationProfile: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_ValidationProfile.prototype.$classData = $d_Lamf_core_validation_core_ValidationProfile;
class $c_Lamf_core_validation_core_ValidationSpecification extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.message$1 = null;
    this.ramlMessage$1 = null;
    this.oasMessage$1 = null;
    this.targetInstance$1 = null;
    this.targetClass$1 = null;
    this.targetObject$1 = null;
    this.unionConstraints$1 = null;
    this.andConstraints$1 = null;
    this.xoneConstraints$1 = null;
    this.notConstraint$1 = null;
    this.propertyConstraints$1 = null;
    this.nodeConstraints$1 = null;
    this.closed$1 = null;
    this.functionConstraint$1 = null;
    this.custom$1 = null
  };
  productPrefix__T() {
    return "ValidationSpecification"
  };
  productArity__I() {
    return 16
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_core_ValidationSpecification(x$1)) {
      const ValidationSpecification$1 = x$1;
      let jsx$13;
      if (((this.name$1 === ValidationSpecification$1.name$1) && (this.message$1 === ValidationSpecification$1.message$1))) {
        const x = this.ramlMessage$1;
        const x$2 = ValidationSpecification$1.ramlMessage$1;
        jsx$13 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$13 = false
      };
      let jsx$12;
      if (jsx$13) {
        const x$3 = this.oasMessage$1;
        const x$4 = ValidationSpecification$1.oasMessage$1;
        jsx$12 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$12 = false
      };
      let jsx$11;
      if (jsx$12) {
        const x$5 = this.targetInstance$1;
        const x$6 = ValidationSpecification$1.targetInstance$1;
        jsx$11 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$11 = false
      };
      let jsx$10;
      if (jsx$11) {
        const x$7 = this.targetClass$1;
        const x$8 = ValidationSpecification$1.targetClass$1;
        jsx$10 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$10 = false
      };
      let jsx$9;
      if (jsx$10) {
        const x$9 = this.targetObject$1;
        const x$10 = ValidationSpecification$1.targetObject$1;
        jsx$9 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$9 = false
      };
      let jsx$8;
      if (jsx$9) {
        const x$11 = this.unionConstraints$1;
        const x$12 = ValidationSpecification$1.unionConstraints$1;
        jsx$8 = ((x$11 === null) ? (x$12 === null) : x$11.equals__O__Z(x$12))
      } else {
        jsx$8 = false
      };
      let jsx$7;
      if (jsx$8) {
        const x$13 = this.andConstraints$1;
        const x$14 = ValidationSpecification$1.andConstraints$1;
        jsx$7 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$15 = this.xoneConstraints$1;
        const x$16 = ValidationSpecification$1.xoneConstraints$1;
        jsx$6 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$17 = this.notConstraint$1;
        const x$18 = ValidationSpecification$1.notConstraint$1;
        jsx$5 = ((x$17 === null) ? (x$18 === null) : x$17.equals__O__Z(x$18))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$19 = this.propertyConstraints$1;
        const x$20 = ValidationSpecification$1.propertyConstraints$1;
        jsx$4 = ((x$19 === null) ? (x$20 === null) : x$19.equals__O__Z(x$20))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$21 = this.nodeConstraints$1;
        const x$22 = ValidationSpecification$1.nodeConstraints$1;
        jsx$3 = ((x$21 === null) ? (x$22 === null) : x$21.equals__O__Z(x$22))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$23 = this.closed$1;
        const x$24 = ValidationSpecification$1.closed$1;
        jsx$2 = ((x$23 === null) ? (x$24 === null) : x$23.equals__O__Z(x$24))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$25 = this.functionConstraint$1;
        const x$26 = ValidationSpecification$1.functionConstraint$1;
        jsx$1 = ((x$25 === null) ? (x$26 === null) : x$25.equals__O__Z(x$26))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$27 = this.custom$1;
        const x$28 = ValidationSpecification$1.custom$1;
        return ((x$27 === null) ? (x$28 === null) : x$27.equals__O__Z(x$28))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.message$1;
        break
      }
      case 2: {
        return this.ramlMessage$1;
        break
      }
      case 3: {
        return this.oasMessage$1;
        break
      }
      case 4: {
        return this.targetInstance$1;
        break
      }
      case 5: {
        return this.targetClass$1;
        break
      }
      case 6: {
        return this.targetObject$1;
        break
      }
      case 7: {
        return this.unionConstraints$1;
        break
      }
      case 8: {
        return this.andConstraints$1;
        break
      }
      case 9: {
        return this.xoneConstraints$1;
        break
      }
      case 10: {
        return this.notConstraint$1;
        break
      }
      case 11: {
        return this.propertyConstraints$1;
        break
      }
      case 12: {
        return this.nodeConstraints$1;
        break
      }
      case 13: {
        return this.closed$1;
        break
      }
      case 14: {
        return this.functionConstraint$1;
        break
      }
      case 15: {
        return this.custom$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_validation_core_ValidationSpecification(other) {
    const jsx$2 = this.targetInstance$1;
    const jsx$1 = other.targetInstance$1;
    const this$1 = $m_sc_Seq$();
    const x$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).distinct__O();
    const jsx$4 = this.targetClass$1;
    const jsx$3 = other.targetClass$1;
    const this$2 = $m_sc_Seq$();
    const x$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).distinct__O();
    const jsx$6 = this.targetObject$1;
    const jsx$5 = other.targetObject$1;
    const this$3 = $m_sc_Seq$();
    const x$3 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$3.ReusableCBFInstance$2).distinct__O();
    const x$4 = this.name$1;
    const x$5 = this.message$1;
    const x$6 = this.ramlMessage$1;
    const x$7 = this.oasMessage$1;
    const x$8 = this.unionConstraints$1;
    const x$9 = this.andConstraints$1;
    const x$10 = this.xoneConstraints$1;
    const x$11 = this.notConstraint$1;
    const x$12 = this.propertyConstraints$1;
    const x$13 = this.nodeConstraints$1;
    const x$14 = this.closed$1;
    const x$15 = this.functionConstraint$1;
    const x$16 = this.custom$1;
    return new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$4, x$5, x$6, x$7, x$1, x$2, x$3, x$8, x$9, x$10, x$11, x$12, x$13, x$14, x$15, x$16)
  };
  isParserSide__Z() {
    if (this.targetInstance$1.nonEmpty__Z()) {
      const x = this.targetInstance$1.head__O();
      const x$2 = $m_Lamf_core_validation_core_ValidationSpecification$().PARSER$undSIDE$undVALIDATION$1;
      return ((x === null) ? (x$2 === null) : $objectEquals(x, x$2))
    } else {
      return false
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    const thiz = this.name$1;
    let jsx$2;
    if ((((thiz.length | 0) >= 0) && (thiz.substring(0, ("http://".length | 0)) === "http://"))) {
      jsx$2 = true
    } else {
      const thiz$1 = this.name$1;
      jsx$2 = (((thiz$1.length | 0) >= 0) && (thiz$1.substring(0, ("https://".length | 0)) === "https://"))
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = true
    } else {
      const thiz$2 = this.name$1;
      jsx$1 = (((thiz$2.length | 0) >= 0) && (thiz$2.substring(0, ("file:".length | 0)) === "file:"))
    };
    if (jsx$1) {
      return this.name$1
    } else {
      const x1 = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(this.name$1).iri__T();
      if ((((((x1.length | 0) >= 0) && (x1.substring(0, ("http://".length | 0)) === "http://")) || (((x1.length | 0) >= 0) && (x1.substring(0, ("https://".length | 0)) === "https://"))) || (((x1.length | 0) >= 0) && (x1.substring(0, ("file:".length | 0)) === "file:")))) {
        return x1
      } else {
        const this$31 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        return new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, x1).iri__T()
      }
    }
  };
  init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(name, message, ramlMessage, oasMessage, targetInstance, targetClass, targetObject, unionConstraints, andConstraints, xoneConstraints, notConstraint, propertyConstraints, nodeConstraints, closed, functionConstraint, custom) {
    this.name$1 = name;
    this.message$1 = message;
    this.ramlMessage$1 = ramlMessage;
    this.oasMessage$1 = oasMessage;
    this.targetInstance$1 = targetInstance;
    this.targetClass$1 = targetClass;
    this.targetObject$1 = targetObject;
    this.unionConstraints$1 = unionConstraints;
    this.andConstraints$1 = andConstraints;
    this.xoneConstraints$1 = xoneConstraints;
    this.notConstraint$1 = notConstraint;
    this.propertyConstraints$1 = propertyConstraints;
    this.nodeConstraints$1 = nodeConstraints;
    this.closed$1 = closed;
    this.functionConstraint$1 = functionConstraint;
    this.custom$1 = custom;
    return this
  };
}
const $is_Lamf_core_validation_core_ValidationSpecification = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_core_ValidationSpecification)))
});
const $isArrayOf_Lamf_core_validation_core_ValidationSpecification = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_core_ValidationSpecification)))
});
const $d_Lamf_core_validation_core_ValidationSpecification = new $TypeData().initClass({
  Lamf_core_validation_core_ValidationSpecification: 0
}, false, "amf.core.validation.core.ValidationSpecification", {
  Lamf_core_validation_core_ValidationSpecification: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_core_ValidationSpecification.prototype.$classData = $d_Lamf_core_validation_core_ValidationSpecification;
class $c_Lamf_core_vocabulary_Namespace extends $c_O {
  constructor() {
    super();
    this.base$1 = null
  };
  productPrefix__T() {
    return "Namespace"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_vocabulary_Namespace(x$1)) {
      const Namespace$1 = x$1;
      return (this.base$1 === Namespace$1.base$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.base$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(base) {
    this.base$1 = base;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_vocabulary_Namespace = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_vocabulary_Namespace)))
});
const $isArrayOf_Lamf_core_vocabulary_Namespace = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_vocabulary_Namespace)))
});
const $d_Lamf_core_vocabulary_Namespace = new $TypeData().initClass({
  Lamf_core_vocabulary_Namespace: 0
}, false, "amf.core.vocabulary.Namespace", {
  Lamf_core_vocabulary_Namespace: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_Namespace.prototype.$classData = $d_Lamf_core_vocabulary_Namespace;
class $c_Lamf_core_vocabulary_ValueType extends $c_O {
  constructor() {
    super();
    this.ns$1 = null;
    this.name$1 = null
  };
  productPrefix__T() {
    return "ValueType"
  };
  init___Lamf_core_vocabulary_Namespace__T(ns, name) {
    this.ns$1 = ns;
    this.name$1 = name;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_vocabulary_ValueType(x$1)) {
      const ValueType$1 = x$1;
      const x = this.ns$1;
      const x$2 = ValueType$1.ns$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.name$1 === ValueType$1.name$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ns$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  iri__T() {
    return (("" + this.ns$1.base$1) + this.name$1)
  };
}
const $is_Lamf_core_vocabulary_ValueType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_vocabulary_ValueType)))
});
const $isArrayOf_Lamf_core_vocabulary_ValueType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_vocabulary_ValueType)))
});
const $d_Lamf_core_vocabulary_ValueType = new $TypeData().initClass({
  Lamf_core_vocabulary_ValueType: 0
}, false, "amf.core.vocabulary.ValueType", {
  Lamf_core_vocabulary_ValueType: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_vocabulary_ValueType.prototype.$classData = $d_Lamf_core_vocabulary_ValueType;
class $c_Lamf_internal_environment_Environment extends $c_O {
  constructor() {
    super();
    this.loaders$1 = null
  };
  productPrefix__T() {
    return "Environment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_internal_environment_Environment(x$1)) {
      const Environment$1 = x$1;
      const x = this.loaders$1;
      const x$2 = Environment$1.loaders$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.loaders$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  add__Lamf_internal_resource_ResourceLoader__Lamf_internal_environment_Environment(loader) {
    const jsx$1 = this.loaders$1;
    const this$1 = $m_sc_Seq$();
    return new $c_Lamf_internal_environment_Environment().init___sc_Seq(jsx$1.$$plus$colon__O__scg_CanBuildFrom__O(loader, this$1.ReusableCBFInstance$2))
  };
  init___sc_Seq(loaders) {
    this.loaders$1 = loaders;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_internal_environment_Environment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_internal_environment_Environment)))
});
const $isArrayOf_Lamf_internal_environment_Environment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_internal_environment_Environment)))
});
const $d_Lamf_internal_environment_Environment = new $TypeData().initClass({
  Lamf_internal_environment_Environment: 0
}, false, "amf.internal.environment.Environment", {
  Lamf_internal_environment_Environment: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_internal_environment_Environment.prototype.$classData = $d_Lamf_internal_environment_Environment;
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter extends $c_O {
  constructor() {
    super();
    this.options$1 = null
  };
  createDynamicTypeNode__p1__Lamf_core_model_domain_DynamicDomainElement__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(obj, b, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = obj.dynamicType__sci_List();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const t = arg1;
      this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$1, ctx.emitIri__T__T(t.iri__T()), $m_Lorg_yaml_model_YType$().Str$1);
      these = these.tail__O()
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emit$2__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Lamf_plugins_document_graph_parser_EmissionContext__V(b, element$4, ctx$13) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(element$4, b$1, ctx$13);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productPrefix__T() {
    return "Emitter"
  };
  init___Lamf_core_emitter_RenderOptions(options) {
    this.options$1 = options;
    return this
  };
  productArity__I() {
    return 1
  };
  createCustomExtensions__p1__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(element, b, ctx) {
    const customProperties = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = element.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field());
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x0$3 = arg1;
      if ((x0$3 !== null)) {
        const v = x0$3.value$1;
        const x1$2 = v.value$1;
        if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
          const x2 = x1$2;
          const values = x2.values$1;
          values.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3, ctx$5, customProperties$1) {
            return (function(x0$4$2) {
              const x0$4 = x0$4$2;
              if ($is_Lamf_core_model_domain_extensions_DomainExtension(x0$4)) {
                const x2$1 = x0$4;
                const uri = x2$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1).id$1;
                customProperties$1.$$plus$eq__O__scm_ListBuffer(uri);
                $this.createCustomExtension__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_model_domain_extensions_DomainExtension__s_Option__Lamf_plugins_document_graph_parser_EmissionContext__V(b$3, uri, x2$1, $m_s_None$(), ctx$5)
              } else {
                throw new $c_s_MatchError().init___O(x0$4)
              }
            })
          })(this, b, ctx, customProperties)))
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$3)
      }
    };
    const count = new $c_sr_IntRef().init___I(1);
    const this$7 = element.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, element$1, b$1, ctx$1, customProperties$2, count$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ((x0$5 !== null)) {
          const f = x0$5.$$und1__O();
          const v$1 = x0$5.$$und2__O();
          const this$3 = v$1.value$1.annotations__Lamf_core_parser_Annotations();
          const pf = new $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1().init___Lamf_plugins_document_graph_parser_GraphEmitter$Emitter(this$2$1);
          const jsx$1 = this$3.amf$core$parser$Annotations$$annotations$1;
          const this$4 = $m_sc_Seq$();
          jsx$1.collect__s_PartialFunction__scg_CanBuildFrom__O(pf, this$4.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, element$2, b$3$1, ctx$5$1, customProperties$1$1, count$1$1, f$1) {
            return (function(e$2) {
              const e = e$2;
              const extension = e.extension$1;
              const jsx$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/scalar-valued/", "/", ""]));
              const jsx$3 = element$2.id__T();
              const jsx$2 = count$1$1.elem$1;
              const this$5 = extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
              const this$6 = this$5.option$1;
              const uri$1 = jsx$4.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, (this$6.isEmpty__Z() ? null : this$6.get__O())]));
              customProperties$1$1.$$plus$eq__O__scm_ListBuffer(uri$1);
              $m_Lamf_core_model_domain_DataNodeOps$().adoptTree__T__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_DataNode(uri$1, extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1));
              $this$1.createCustomExtension__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_model_domain_extensions_DomainExtension__s_Option__Lamf_plugins_document_graph_parser_EmissionContext__V(b$3$1, uri$1, extension, new $c_s_Some().init___O(f$1), ctx$5$1);
              count$1$1.elem$1 = ((1 + count$1$1.elem$1) | 0)
            })
          })(this$2$1, element$1, b$1, ctx$1, customProperties$2, count$1, f)))
        } else {
          throw new $c_s_MatchError().init___O(x0$5)
        }
      })
    })(this, element, b, ctx, customProperties, count));
    this$7.fs$1.foreach__F1__V(fn);
    if (customProperties.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = ctx.emitIri__T__T($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field().value$1.iri__T());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$5 = v$2.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$10 = customProperties.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$10;
      while ((!these.isEmpty__Z())) {
        const arg1$1 = these.head__O();
        const x$15 = arg1$1;
        this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$2, x$15, true);
        these = these.tail__O()
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$15 = v$2.builder$1;
      const array = [key];
      if ((this$15.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$15.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize);
      const len$1 = this$15.size0$6;
      const src = this$15.array$6;
      const dest = this$15.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$15.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x$1 = (array.length | 0);
      const x$2 = ((x$1 < len$2) ? x$1 : len$2);
      const that = xs.u.length;
      const end = ((x$2 < that) ? x$2 : that);
      while ((i < end)) {
        const jsx$6 = j;
        const index = i;
        xs.u[jsx$6] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$15.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
    }
  };
  safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b, content, inArray) {
    if (inArray) {
      this.emit$5__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, content)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$5__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$1, content);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter(x$1)) {
      const Emitter$1 = x$1;
      const x = this.options$1;
      const x$2 = Emitter$1.options$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  emit$4__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, content$2) {
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, content$2, $m_Lorg_yaml_model_YType$().Str$1);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  emit$5__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, content$3) {
    const jsx$2 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, content$3, $m_Lorg_yaml_model_YType$().Str$1);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(element, b, ctx) {
    const id = element.id__T();
    this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b, id, ctx);
    const sources = $m_Lamf_core_model_document_SourceMap$().apply__T__Lamf_core_model_domain_AmfElement__Lamf_core_model_document_SourceMap(id, element);
    const this$1 = $m_Lamf_plugins_document_graph_parser_GraphEmitter$();
    const obj = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj(this$1, element);
    if (obj.dynamic__Z()) {
      this.traverseDynamicMetaModel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(id, element, sources, obj, b, ctx)
    } else {
      this.traverseStaticMetamodel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(id, element, sources, obj, b, ctx)
    };
    this.createCustomExtensions__p1__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(element, b, ctx);
    const sourceMapId = ($m_sjsr_RuntimeString$().endsWith__T__T__Z(id, "/") ? (id + "source-map") : (id + "/source-map"));
    this.createSourcesNode__p1__T__Lamf_core_model_document_SourceMap__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(sourceMapId, sources, b, ctx)
  };
  createTypeNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_metamodel_Obj__s_Option__Lamf_plugins_document_graph_parser_EmissionContext__V(b, obj, maybeElement, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = obj.type__sci_List();
    const f = (function($this) {
      return (function(x$29$2) {
        const x$29 = x$29$2;
        return x$29.iri__T()
      })
    })(this);
    const this$3 = $m_sci_List$();
    const bf = this$3.ReusableCBFInstance$2;
    let jsx$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$4 === $m_sci_Nil$())) {
        jsx$2 = $m_sci_Nil$()
      } else {
        const arg1 = this$4.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$4.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        jsx$2 = h
      }
    } else {
      const b$2 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
      let these = this$4;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b$2.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      jsx$2 = b$2.result__O()
    };
    let jsx$1;
    if ($is_s_Some(maybeElement)) {
      const x2 = maybeElement;
      const element = x2.value$2;
      jsx$1 = element.dynamicTypes__sc_Seq()
    } else {
      jsx$1 = $m_sci_Nil$()
    };
    const this$5 = $m_sci_List$();
    const allTypes = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    const this$6 = $f_sc_SeqLike__distinct__O(allTypes);
    let these$1 = this$6;
    while ((!these$1.isEmpty__Z())) {
      const arg1$3 = these$1.head__O();
      const t$1 = arg1$3;
      this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$1, ctx.emitIri__T__T(t$1), $m_Lorg_yaml_model_YType$().Str$1);
      these$1 = these$1.tail__O()
    };
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$2 = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$2, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b, element, inArray, ctx) {
    if (inArray) {
      this.emit$2__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Lamf_plugins_document_graph_parser_EmissionContext__V(b, element, ctx)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$2__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Lamf_plugins_document_graph_parser_EmissionContext__V(b$1, element, ctx);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  emit$6__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b, content$4, dataType$1, ctx$14) {
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@value");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, content$4, $m_Lorg_yaml_model_YType$().Str$1);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$1, ctx$14.emitIri__T__T(dataType$1), $m_Lorg_yaml_model_YType$().Str$1);
    const this$15 = v$1.builder$1;
    const array$1 = [key$1];
    if ((this$15.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$15.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize$1);
    const len$4 = this$15.size0$6;
    const src$1 = this$15.array$6;
    const dest$1 = this$15.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$15.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$2 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$2] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$15.size0$6 = newSize$1;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b, content, inArray) {
    if (inArray) {
      this.emit$4__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, content)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$4__p1__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$1, content);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b, content, dataType, inArray, ctx) {
    if (inArray) {
      this.emit$6__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b, content, dataType, ctx)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$6__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b$1, content, dataType, ctx);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b, elementWithLink, inArray, ctx) {
    if (inArray) {
      this.emit$3__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_graph_parser_EmissionContext__V(b, elementWithLink, ctx)
    } else {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emit$3__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_graph_parser_EmissionContext__V(b$1, elementWithLink, ctx);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
    }
  };
  traverseDynamicMetaModel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(id, element, sources, obj, b, ctx) {
    const schema = element;
    this.createDynamicTypeNode__p1__Lamf_core_model_domain_DynamicDomainElement__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(schema, b, ctx);
    const jsx$2 = schema.dynamicFields__sci_List();
    const jsx$1 = ($is_Lamf_core_metamodel_domain_ShapeModel(obj) ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field(), $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field()])) : $m_sci_Nil$());
    const this$1 = $m_sci_List$();
    const modelFields = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    matchEnd4$2: {
      if ($is_Lamf_core_model_domain_ObjectNode(element)) {
        const x2 = element;
        const this$2 = this.options$1;
        if (this$2.customEmitter$1.isDefined__Z()) {
          const url = ($m_Lamf_core_vocabulary_Namespace$().AmfValidation$1.base$1 + "/properties");
          $m_Lorg_yaml_model_YNode$();
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(url);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const t = $m_Lamf_core_metamodel_Type$Int$();
          const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x2.properties$2.size__I(), new $c_Lamf_core_parser_Annotations().init___());
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const v$1 = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations);
          const f = (function($this) {
            return (function(x$8$2) {
              return (void 0)
            })
          })(this);
          const this$7 = this.options$1;
          const this$8 = this$7.customEmitter$1;
          const scalarEmitter = (this$8.isEmpty__Z() ? $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$() : this$8.get__O());
          const x = $m_Lamf_core_metamodel_Type$Iri$();
          if (x.equals__O__Z(t)) {
            this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v, v$1.value$1.toString__T(), false);
            f(v$1)
          } else {
            const x$3 = $m_Lamf_core_metamodel_Type$EncodedIri$();
            if (x$3.equals__O__Z(t)) {
              this.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v, v$1.value$1.toString__T(), false);
              f(v$1)
            } else {
              const x$5 = $m_Lamf_core_metamodel_Type$Str$();
              if (x$5.equals__O__Z(t)) {
                const x1$2 = v$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                if ($is_s_Some(x1$2)) {
                  const x2$2 = x1$2;
                  const annotation = x2$2.value$2;
                  this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v, v$1.value$1.toString__T(), annotation.datatype$1, false, ctx)
                } else {
                  const x$7 = $m_s_None$();
                  if ((x$7 === x1$2)) {
                    scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v, v$1.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1, false)
                  } else {
                    throw new $c_s_MatchError().init___O(x1$2)
                  }
                };
                f(v$1)
              } else {
                const x$9 = $m_Lamf_core_metamodel_Type$Bool$();
                if (x$9.equals__O__Z(t)) {
                  scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v, v$1.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Bool$1, false);
                  f(v$1)
                } else {
                  const x$11 = $m_Lamf_core_metamodel_Type$Int$();
                  if (x$11.equals__O__Z(t)) {
                    scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v, v$1.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Int$1, false);
                    f(v$1)
                  } else {
                    const x$13 = $m_Lamf_core_metamodel_Type$Double$();
                    if (x$13.equals__O__Z(t)) {
                      scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v, v$1.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
                      f(v$1)
                    } else {
                      const x$15 = $m_Lamf_core_metamodel_Type$Float$();
                      if (x$15.equals__O__Z(t)) {
                        scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v, v$1.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
                        f(v$1)
                      } else {
                        const x$17 = $m_Lamf_core_metamodel_Type$Date$();
                        if (x$17.equals__O__Z(t)) {
                          const dateTime = v$1.value$1.value$1;
                          if ((dateTime.timeOfDay$1.isDefined__Z() || dateTime.zoneOffset$1.isDefined__Z())) {
                            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Serialisation of timestamps not supported yet"))
                          } else {
                            const arg$macro$1 = dateTime.year$1;
                            const arg$macro$2 = dateTime.month$1;
                            const arg$macro$3 = dateTime.day$1;
                            const this$9 = new $c_sci_StringOps().init___T("%04d-%02d-%02d");
                            const array = [arg$macro$1, arg$macro$2, arg$macro$3];
                            const jsx$5 = $m_sjsr_RuntimeString$();
                            const $$this = this$9.repr$1;
                            $m_sc_Seq$();
                            $m_sjs_js_WrappedArray$();
                            const array$1 = [];
                            const x1 = (array.length | 0);
                            switch (x1) {
                              case (-1): {
                                break
                              }
                            };
                            let i = 0;
                            const len = (array.length | 0);
                            while ((i < len)) {
                              const index = i;
                              const arg1 = array[index];
                              const elem = $f_sci_StringLike__unwrapArg__psci_StringLike__O__O(this$9, arg1);
                              array$1.push(elem);
                              i = ((1 + i) | 0)
                            };
                            $m_s_reflect_ManifestFactory$ObjectManifest$();
                            const len$1 = (array$1.length | 0);
                            const result = $newArrayObject($d_O.getArrayOf(), [len$1]);
                            const len$2 = result.u.length;
                            let i$1 = 0;
                            let j = 0;
                            const x$1 = (array$1.length | 0);
                            const x$2 = ((x$1 < len$2) ? x$1 : len$2);
                            const that = result.u.length;
                            const end = ((x$2 < that) ? x$2 : that);
                            while ((i$1 < end)) {
                              const jsx$4 = j;
                              const index$1 = i$1;
                              result.u[jsx$4] = array$1[index$1];
                              i$1 = ((1 + i$1) | 0);
                              j = ((1 + j) | 0)
                            };
                            const jsx$3 = jsx$5.format__T__AO__T($$this, result);
                            const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                            this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v, jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "date").iri__T(), false, ctx);
                            f(v$1)
                          }
                        } else {
                          throw new $c_s_MatchError().init___O(t)
                        }
                      }
                    }
                  }
                }
              }
            }
          };
          const this$25 = v.builder$1;
          const array$2 = [key];
          if ((this$25.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$2.length | 0);
          const newSize = ((this$25.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$25, newSize);
          const len$4 = this$25.size0$6;
          const src = this$25.array$6;
          const dest = this$25.array$6;
          $systemArraycopy(src, 0, dest, len$3, len$4);
          const xs = this$25.array$6;
          const len$5 = xs.u.length;
          let i$2 = 0;
          let j$1 = 0;
          const x$4 = (array$2.length | 0);
          const x$6 = ((x$4 < len$5) ? x$4 : len$5);
          const that$1 = xs.u.length;
          const end$1 = ((x$6 < that$1) ? x$6 : that$1);
          while ((i$2 < end$1)) {
            const jsx$6 = j$1;
            const index$2 = i$2;
            xs.u[jsx$6] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$25.size0$6 = newSize;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          break matchEnd4$2
        }
      }
    };
    let these = modelFields;
    while ((!these.isEmpty__Z())) {
      const arg1$1 = these.head__O();
      const f$1 = arg1$1;
      const this$36 = schema.valueForField__Lamf_core_metamodel_Field__s_Option(f$1);
      if ((!this$36.isEmpty__Z())) {
        const arg1$2 = this$36.get__O();
        const amfValue = arg1$2;
        const url$1 = ctx.emitIri__T__T(f$1.value$1.iri__T());
        matchEnd4: {
          if ((schema !== null)) {
            if ((!$is_Lamf_core_model_domain_ExternalSourceElement(schema))) {
              $m_Lorg_yaml_model_YNode$();
              const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(url$1);
              const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const t$1 = f$1.type$1;
              const value$1 = amfValue.value$1;
              const annotations$1 = amfValue.value$1.annotations__Lamf_core_parser_Annotations();
              const v$3 = new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value$1, annotations$1);
              const f$2 = (function($this$1) {
                return (function(x$10$2) {
                  return (void 0)
                })
              })(this);
              const this$39 = this.options$1;
              const this$40 = this$39.customEmitter$1;
              const scalarEmitter$1 = (this$40.isEmpty__Z() ? $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$() : this$40.get__O());
              matchEnd15$1: {
                if (($is_Lamf_core_model_domain_DomainElement(t$1) && $is_Lamf_core_model_domain_Linkable(t$1))) {
                  const this$41 = t$1;
                  if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$41).isDefined__Z()) {
                    this.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$2, t$1, false, ctx);
                    f$2(v$3);
                    break matchEnd15$1
                  }
                };
                if ($is_Lamf_core_metamodel_Obj(t$1)) {
                  this.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$2, v$3.value$1, false, ctx);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$12 = $m_Lamf_core_metamodel_Type$Iri$();
                if (x$12.equals__O__Z(t$1)) {
                  this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v$2, v$3.value$1.toString__T(), false);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$3$1 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                if (x$3$1.equals__O__Z(t$1)) {
                  this.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v$2, v$3.value$1.toString__T(), false);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$5$1 = $m_Lamf_core_metamodel_Type$Str$();
                if (x$5$1.equals__O__Z(t$1)) {
                  const x1$2$1 = v$3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                  if ($is_s_Some(x1$2$1)) {
                    const x2$2$1 = x1$2$1;
                    const annotation$1 = x2$2$1.value$2;
                    this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$2, v$3.value$1.toString__T(), annotation$1.datatype$1, false, ctx)
                  } else {
                    const x$7$1 = $m_s_None$();
                    if ((x$7$1 === x1$2$1)) {
                      scalarEmitter$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, v$3.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1, false)
                    } else {
                      throw new $c_s_MatchError().init___O(x1$2$1)
                    }
                  };
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$9$1 = $m_Lamf_core_metamodel_Type$Bool$();
                if (x$9$1.equals__O__Z(t$1)) {
                  scalarEmitter$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, v$3.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Bool$1, false);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$11$1 = $m_Lamf_core_metamodel_Type$Int$();
                if (x$11$1.equals__O__Z(t$1)) {
                  scalarEmitter$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, v$3.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Int$1, false);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$13$1 = $m_Lamf_core_metamodel_Type$Double$();
                if (x$13$1.equals__O__Z(t$1)) {
                  scalarEmitter$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, v$3.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$15$1 = $m_Lamf_core_metamodel_Type$Float$();
                if (x$15$1.equals__O__Z(t$1)) {
                  scalarEmitter$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$2, v$3.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
                  f$2(v$3);
                  break matchEnd15$1
                };
                const x$17$1 = $m_Lamf_core_metamodel_Type$Date$();
                if (x$17$1.equals__O__Z(t$1)) {
                  const dateTime$1 = v$3.value$1.value$1;
                  if ((dateTime$1.timeOfDay$1.isDefined__Z() || dateTime$1.zoneOffset$1.isDefined__Z())) {
                    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Serialisation of timestamps not supported yet"))
                  } else {
                    const arg$macro$1$1 = dateTime$1.year$1;
                    const arg$macro$2$1 = dateTime$1.month$1;
                    const arg$macro$3$1 = dateTime$1.day$1;
                    const this$42 = new $c_sci_StringOps().init___T("%04d-%02d-%02d");
                    const array$3 = [arg$macro$1$1, arg$macro$2$1, arg$macro$3$1];
                    const jsx$9 = $m_sjsr_RuntimeString$();
                    const $$this$1 = this$42.repr$1;
                    $m_sc_Seq$();
                    $m_sjs_js_WrappedArray$();
                    const array$4 = [];
                    const x1$1 = (array$3.length | 0);
                    switch (x1$1) {
                      case (-1): {
                        break
                      }
                    };
                    let i$3 = 0;
                    const len$6 = (array$3.length | 0);
                    while ((i$3 < len$6)) {
                      const index$3 = i$3;
                      const arg1$3 = array$3[index$3];
                      const elem$1 = $f_sci_StringLike__unwrapArg__psci_StringLike__O__O(this$42, arg1$3);
                      array$4.push(elem$1);
                      i$3 = ((1 + i$3) | 0)
                    };
                    $m_s_reflect_ManifestFactory$ObjectManifest$();
                    const len$7 = (array$4.length | 0);
                    const result$1 = $newArrayObject($d_O.getArrayOf(), [len$7]);
                    const len$8 = result$1.u.length;
                    let i$4 = 0;
                    let j$2 = 0;
                    const x$14 = (array$4.length | 0);
                    const x$16 = ((x$14 < len$8) ? x$14 : len$8);
                    const that$2 = result$1.u.length;
                    const end$2 = ((x$16 < that$2) ? x$16 : that$2);
                    while ((i$4 < end$2)) {
                      const jsx$8 = j$2;
                      const index$4 = i$4;
                      result$1.u[jsx$8] = array$4[index$4];
                      i$4 = ((1 + i$4) | 0);
                      j$2 = ((1 + j$2) | 0)
                    };
                    const jsx$7 = jsx$9.format__T__AO__T($$this$1, result$1);
                    const this$56 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                    this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$2, jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$56, "date").iri__T(), false, ctx);
                    f$2(v$3);
                    break matchEnd15$1
                  }
                };
                if ($is_Lamf_core_metamodel_Type$SortedArray(t$1)) {
                  const x12 = t$1;
                  const seq = v$3.value$1.values$1;
                  const element$1 = x12.element$1;
                  const v$4 = new $c_s_Some().init___O(v$3);
                  const jsx$13 = v$2.builder$1;
                  const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                  const jsx$12 = b$1.builder$1;
                  const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                  const id$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/list"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id]));
                  this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b$2, id$1, ctx);
                  $m_Lorg_yaml_model_YNode$();
                  const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
                  $m_Lorg_yaml_model_YNode$();
                  const this$61 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
                  const str = ctx.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$61, "Seq").iri__T());
                  const value$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
                  b$2.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$2, value$2);
                  const this$64 = $m_sc_Seq$();
                  seq.zipWithIndex__scg_CanBuildFrom__O(this$64.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, element$3, ctx$11, b$3) {
                    return (function(x0$6$2) {
                      const x0$6 = x0$6$2;
                      if ((x0$6 !== null)) {
                        const e = x0$6.$$und1__O();
                        const i$5 = x0$6.$$und2$mcI$sp__I();
                        $m_Lorg_yaml_model_YNode$();
                        const this$65 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
                        const id$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([((1 + i$5) | 0)]));
                        const str$1 = ctx$11.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$65, id$2).iri__T());
                        const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
                        const v$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                        const jsx$10 = v$5.builder$1;
                        const b$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                        if ($is_Lamf_core_metamodel_Obj(element$3)) {
                          matchEnd5: {
                            if (($is_Lamf_core_model_domain_DomainElement(e) && $is_Lamf_core_model_domain_Linkable(e))) {
                              const x2$1 = e;
                              const this$69 = x2$1;
                              if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$69).isDefined__Z()) {
                                $this$2.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, x2$1, true, ctx$11);
                                break matchEnd5
                              }
                            };
                            if ($is_Lamf_core_model_domain_AmfObject(e)) {
                              const x3 = e;
                              $this$2.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, x3, true, ctx$11);
                              break matchEnd5
                            };
                            throw new $c_s_MatchError().init___O(e)
                          }
                        } else {
                          const x$2$1 = $m_Lamf_core_metamodel_Type$Str$();
                          if (x$2$1.equals__O__Z(element$3)) {
                            const x$41 = $objectToString(e.value$1);
                            const x$43 = $m_Lorg_yaml_model_YType$().Str$1;
                            const this$71 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
                            $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$71, b$4, x$41, x$43, true)
                          } else {
                            const x$4$1 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                            if (x$4$1.equals__O__Z(element$3)) {
                              $this$2.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$4, e.toString__T(), true)
                            } else {
                              const x$6$1 = $m_Lamf_core_metamodel_Type$Iri$();
                              if (x$6$1.equals__O__Z(element$3)) {
                                $this$2.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$4, e.toString__T(), true)
                              } else {
                                const x$8$1 = $m_Lamf_core_metamodel_Type$Any$();
                                if ((x$8$1 === element$3)) {
                                  const scalarElement = e;
                                  const x1$3 = scalarElement.value$1;
                                  if (((typeof x1$3) === "boolean")) {
                                    const x2$2$2 = (!(!x1$3));
                                    const this$73 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, ("" + x2$2$2), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$73, "boolean").iri__T(), true, ctx$11)
                                  } else if ($is_T(x1$3)) {
                                    const x3$2 = x1$3;
                                    const this$75 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, x3$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$75, "string").iri__T(), true, ctx$11)
                                  } else if ($isInt(x1$3)) {
                                    const x4 = (x1$3 | 0);
                                    const this$78 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, ("" + x4), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$78, "integer").iri__T(), true, ctx$11)
                                  } else if ($isFloat(x1$3)) {
                                    const x5 = (+x1$3);
                                    const this$81 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, ("" + x5), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$81, "float").iri__T(), true, ctx$11)
                                  } else if (((typeof x1$3) === "number")) {
                                    const x6 = (+x1$3);
                                    const this$84 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$4, ("" + x6), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$84, "double").iri__T(), true, ctx$11)
                                  } else {
                                    const x$45 = $objectToString(x1$3);
                                    const x$47 = $m_Lorg_yaml_model_YType$().Str$1;
                                    const this$87 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
                                    $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$87, b$4, x$45, x$47, true)
                                  }
                                } else {
                                  throw new $c_s_MatchError().init___O(element$3)
                                }
                              }
                            }
                          }
                        };
                        $m_Lorg_yaml_model_YNode$();
                        $m_Lorg_yaml_model_YSequence$();
                        const c = b$4.builder$1;
                        const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
                        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
                        $m_Lorg_yaml_model_YNode$();
                        const t$2 = tt.org$yaml$model$YType$$tag$und$1;
                        $m_Lorg_yaml_model_YNode$();
                        const a = $m_s_None$();
                        $m_Lorg_yaml_model_YNode$();
                        const cs = null;
                        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$2, a, cs);
                        jsx$10.$$plus$eq__O__scm_ArrayBuffer(node);
                        const this$92 = v$5.builder$1;
                        const array$5 = [key$3];
                        if ((this$92.size0$6 < 0)) {
                          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                        };
                        const len$9 = (array$5.length | 0);
                        const newSize$1 = ((this$92.size0$6 + len$9) | 0);
                        $f_scm_ResizableArray__ensureSize__I__V(this$92, newSize$1);
                        const len$10 = this$92.size0$6;
                        const src$1 = this$92.array$6;
                        const dest$1 = this$92.array$6;
                        $systemArraycopy(src$1, 0, dest$1, len$9, len$10);
                        const xs$1 = this$92.array$6;
                        const len$11 = xs$1.u.length;
                        let i$6 = 0;
                        let j$3 = 0;
                        const x$19 = (array$5.length | 0);
                        const x$20 = ((x$19 < len$11) ? x$19 : len$11);
                        const that$3 = xs$1.u.length;
                        const end$3 = ((x$20 < that$3) ? x$20 : that$3);
                        while ((i$6 < end$3)) {
                          const jsx$11 = j$3;
                          const index$5 = i$6;
                          xs$1.u[jsx$11] = array$5[index$5];
                          i$6 = ((1 + i$6) | 0);
                          j$3 = ((1 + j$3) | 0)
                        };
                        this$92.size0$6 = newSize$1;
                        b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$5.builder$1))
                      } else {
                        throw new $c_s_MatchError().init___O(x0$6)
                      }
                    })
                  })(this, element$1, ctx, b$2)));
                  const arg1$4 = v$4.value$2;
                  f$2(arg1$4);
                  $m_Lorg_yaml_model_YNode$();
                  $m_Lorg_yaml_model_YMap$();
                  const c$1 = b$2.builder$1;
                  const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
                  const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
                  $m_Lorg_yaml_model_YNode$();
                  const t$3 = tt$1.org$yaml$model$YType$$tag$und$1;
                  $m_Lorg_yaml_model_YNode$();
                  const a$1 = $m_s_None$();
                  $m_Lorg_yaml_model_YNode$();
                  const cs$1 = null;
                  jsx$12.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$3, a$1, cs$1));
                  $m_Lorg_yaml_model_YNode$();
                  $m_Lorg_yaml_model_YSequence$();
                  const c$2 = b$1.builder$1;
                  const value$5 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
                  const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
                  $m_Lorg_yaml_model_YNode$();
                  const t$4 = tt$2.org$yaml$model$YType$$tag$und$1;
                  $m_Lorg_yaml_model_YNode$();
                  const a$2 = $m_s_None$();
                  $m_Lorg_yaml_model_YNode$();
                  const cs$2 = null;
                  const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$4, a$2, cs$2);
                  jsx$13.$$plus$eq__O__scm_ArrayBuffer(node$1);
                  break matchEnd15$1
                };
                if ($is_Lamf_core_metamodel_Type$Array(t$1)) {
                  const x13 = t$1;
                  const jsx$14 = v$2.builder$1;
                  const b$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                  const seq$1 = v$3.value$1;
                  f$2(v$3);
                  const x1$4 = x13.element$1;
                  if ($is_Lamf_core_metamodel_Obj(x1$4)) {
                    seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, ctx$8, b$6) {
                      return (function(x0$7$2) {
                        const x0$7 = x0$7$2;
                        matchEnd4$1: {
                          if (($is_Lamf_core_model_domain_DomainElement(x0$7) && $is_Lamf_core_model_domain_Linkable(x0$7))) {
                            const x2$3 = x0$7;
                            const this$112 = x2$3;
                            if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$112).isDefined__Z()) {
                              $this$3.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$6, x2$3, true, ctx$8);
                              break matchEnd4$1
                            }
                          };
                          $this$3.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$6, x0$7, true, ctx$8)
                        }
                      })
                    })(this, ctx, b$5)))
                  } else {
                    const x$21 = $m_Lamf_core_metamodel_Type$Str$();
                    if (x$21.equals__O__Z(x1$4)) {
                      seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, ctx$8$1, scalarEmitter$1$1, b$7) {
                        return (function(e$2) {
                          const e$1 = e$2;
                          const x1$5 = e$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                          if ($is_s_Some(x1$5)) {
                            const x2$4 = x1$5;
                            const annotation$2 = x2$4.value$2;
                            this$2$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$7, e$1.value$1.toString__T(), annotation$2.datatype$1, true, ctx$8$1)
                          } else {
                            const x$22 = $m_s_None$();
                            if ((x$22 === x1$5)) {
                              const x$49 = e$1.toString__T();
                              const x$51 = $m_Lorg_yaml_model_YType$().Str$1;
                              scalarEmitter$1$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$7, x$49, x$51, true)
                            } else {
                              throw new $c_s_MatchError().init___O(x1$5)
                            }
                          }
                        })
                      })(this, ctx, scalarEmitter$1, b$5)))
                    } else {
                      const x$3$2 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                      if (x$3$2.equals__O__Z(x1$4)) {
                        seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, b$8) {
                          return (function(e$3$2) {
                            const e$3 = e$3$2;
                            this$3$1.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$8, e$3.toString__T(), true)
                          })
                        })(this, b$5)))
                      } else {
                        const x$5$2 = $m_Lamf_core_metamodel_Type$Iri$();
                        if (x$5$2.equals__O__Z(x1$4)) {
                          seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, b$9) {
                            return (function(e$4$2) {
                              const e$4 = e$4$2;
                              this$4$1.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$9, e$4.toString__T(), true)
                            })
                          })(this, b$5)))
                        } else {
                          const x$7$2 = $m_Lamf_core_metamodel_Type$Int$();
                          if (x$7$2.equals__O__Z(x1$4)) {
                            seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, scalarEmitter$1$2, b$10) {
                              return (function(e$5$2) {
                                const e$5 = e$5$2;
                                scalarEmitter$1$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$10, $objectToString(e$5.value$1), $m_Lorg_yaml_model_YType$().Int$1, true)
                              })
                            })(this, scalarEmitter$1, b$5)))
                          } else {
                            const x$9$2 = $m_Lamf_core_metamodel_Type$Float$();
                            if (x$9$2.equals__O__Z(x1$4)) {
                              seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, scalarEmitter$1$3, b$11) {
                                return (function(e$6$2) {
                                  const e$6 = e$6$2;
                                  scalarEmitter$1$3.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$11, $objectToString(e$6.value$1), $m_Lorg_yaml_model_YType$().Float$1, true)
                                })
                              })(this, scalarEmitter$1, b$5)))
                            } else {
                              const x$11$2 = $m_Lamf_core_metamodel_Type$Bool$();
                              if (x$11$2.equals__O__Z(x1$4)) {
                                seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, scalarEmitter$1$4, b$12) {
                                  return (function(e$7$2) {
                                    const e$7 = e$7$2;
                                    scalarEmitter$1$4.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$12, $objectToString(e$7.value$1), $m_Lorg_yaml_model_YType$().Bool$1, true)
                                  })
                                })(this, scalarEmitter$1, b$5)))
                              } else {
                                const x$13$2 = $m_Lamf_core_metamodel_Type$Any$();
                                if ((x$13$2 === x1$4)) {
                                  seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, ctx$8$2, scalarEmitter$1$5, b$13) {
                                    return (function(scalarElement$2) {
                                      const scalarElement$1 = scalarElement$2;
                                      const x1$6 = scalarElement$1.value$1;
                                      if (((typeof x1$6) === "boolean")) {
                                        const x2$5 = (!(!x1$6));
                                        const this$114 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                        this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$13, ("" + x2$5), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$114, "boolean").iri__T(), true, ctx$8$2)
                                      } else if ($is_T(x1$6)) {
                                        const x3$1 = x1$6;
                                        const this$116 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                        this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$13, x3$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$116, "string").iri__T(), true, ctx$8$2)
                                      } else if ($isInt(x1$6)) {
                                        const x4$1 = (x1$6 | 0);
                                        const this$119 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                        this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$13, ("" + x4$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$119, "integer").iri__T(), true, ctx$8$2)
                                      } else if ($isFloat(x1$6)) {
                                        const x5$1 = (+x1$6);
                                        const this$122 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                        this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$13, ("" + x5$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$122, "float").iri__T(), true, ctx$8$2)
                                      } else if (((typeof x1$6) === "number")) {
                                        const x6$1 = (+x1$6);
                                        const this$125 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                        this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$13, ("" + x6$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$125, "double").iri__T(), true, ctx$8$2)
                                      } else {
                                        const x$53 = $objectToString(x1$6);
                                        const x$55 = $m_Lorg_yaml_model_YType$().Str$1;
                                        scalarEmitter$1$5.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$13, x$53, x$55, true)
                                      }
                                    })
                                  })(this, ctx, scalarEmitter$1, b$5)))
                                } else {
                                  seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1, b$14) {
                                    return (function(e$8$2) {
                                      const e$8 = e$8$2;
                                      this$9$1.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$14, e$8.toString__T(), true)
                                    })
                                  })(this, b$5)))
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  };
                  $m_Lorg_yaml_model_YNode$();
                  $m_Lorg_yaml_model_YSequence$();
                  const c$3 = b$5.builder$1;
                  const value$6 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
                  const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
                  $m_Lorg_yaml_model_YNode$();
                  const t$5 = tt$3.org$yaml$model$YType$$tag$und$1;
                  $m_Lorg_yaml_model_YNode$();
                  const a$3 = $m_s_None$();
                  $m_Lorg_yaml_model_YNode$();
                  const cs$3 = null;
                  const node$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$5, a$3, cs$3);
                  jsx$14.$$plus$eq__O__scm_ArrayBuffer(node$2);
                  break matchEnd15$1
                };
                throw new $c_s_MatchError().init___O(t$1)
              };
              const this$131 = v$2.builder$1;
              const array$6 = [key$1];
              if ((this$131.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len$12 = (array$6.length | 0);
              const newSize$2 = ((this$131.size0$6 + len$12) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$131, newSize$2);
              const len$13 = this$131.size0$6;
              const src$2 = this$131.array$6;
              const dest$2 = this$131.array$6;
              $systemArraycopy(src$2, 0, dest$2, len$12, len$13);
              const xs$2 = this$131.array$6;
              const len$14 = xs$2.u.length;
              let i$7 = 0;
              let j$4 = 0;
              const x$23 = (array$6.length | 0);
              const x$24 = ((x$23 < len$14) ? x$23 : len$14);
              const that$4 = xs$2.u.length;
              const end$4 = ((x$24 < that$4) ? x$24 : that$4);
              while ((i$7 < end$4)) {
                const jsx$15 = j$4;
                const index$6 = i$7;
                xs$2.u[jsx$15] = array$6[index$6];
                i$7 = ((1 + i$7) | 0);
                j$4 = ((1 + j$4) | 0)
              };
              this$131.size0$6 = newSize$2;
              b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
              break matchEnd4
            }
          };
          $m_Lorg_yaml_model_YNode$();
          const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(url$1);
          const v$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const t$6 = f$1.type$1;
          const f$3 = (function($this$4, sources$1, url$1$1) {
            return (function(value$2$1) {
              const value$7 = value$2$1;
              sources$1.property__T__Lamf_core_parser_Value__V(url$1$1, value$7)
            })
          })(this, sources, url$1);
          const this$143 = this.options$1;
          const this$144 = this$143.customEmitter$1;
          const scalarEmitter$2 = (this$144.isEmpty__Z() ? $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$() : this$144.get__O());
          matchEnd15$2: {
            if (($is_Lamf_core_model_domain_DomainElement(t$6) && $is_Lamf_core_model_domain_Linkable(t$6))) {
              const this$145 = t$6;
              if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$145).isDefined__Z()) {
                this.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$6, t$6, false, ctx);
                f$3(amfValue);
                break matchEnd15$2
              }
            };
            if ($is_Lamf_core_metamodel_Obj(t$6)) {
              this.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$6, amfValue.value$1, false, ctx);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$25 = $m_Lamf_core_metamodel_Type$Iri$();
            if (x$25.equals__O__Z(t$6)) {
              this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v$6, amfValue.value$1.toString__T(), false);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$3$3 = $m_Lamf_core_metamodel_Type$EncodedIri$();
            if (x$3$3.equals__O__Z(t$6)) {
              this.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v$6, amfValue.value$1.toString__T(), false);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$5$3 = $m_Lamf_core_metamodel_Type$Str$();
            if (x$5$3.equals__O__Z(t$6)) {
              const x1$2$2 = amfValue.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
              if ($is_s_Some(x1$2$2)) {
                const x2$2$3 = x1$2$2;
                const annotation$3 = x2$2$3.value$2;
                this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$6, amfValue.value$1.toString__T(), annotation$3.datatype$1, false, ctx)
              } else {
                const x$7$3 = $m_s_None$();
                if ((x$7$3 === x1$2$2)) {
                  scalarEmitter$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$6, amfValue.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1, false)
                } else {
                  throw new $c_s_MatchError().init___O(x1$2$2)
                }
              };
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$9$3 = $m_Lamf_core_metamodel_Type$Bool$();
            if (x$9$3.equals__O__Z(t$6)) {
              scalarEmitter$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$6, amfValue.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Bool$1, false);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$11$3 = $m_Lamf_core_metamodel_Type$Int$();
            if (x$11$3.equals__O__Z(t$6)) {
              scalarEmitter$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$6, amfValue.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Int$1, false);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$13$3 = $m_Lamf_core_metamodel_Type$Double$();
            if (x$13$3.equals__O__Z(t$6)) {
              scalarEmitter$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$6, amfValue.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$15$2 = $m_Lamf_core_metamodel_Type$Float$();
            if (x$15$2.equals__O__Z(t$6)) {
              scalarEmitter$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$6, amfValue.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
              f$3(amfValue);
              break matchEnd15$2
            };
            const x$17$2 = $m_Lamf_core_metamodel_Type$Date$();
            if (x$17$2.equals__O__Z(t$6)) {
              const dateTime$2 = amfValue.value$1.value$1;
              if ((dateTime$2.timeOfDay$1.isDefined__Z() || dateTime$2.zoneOffset$1.isDefined__Z())) {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Serialisation of timestamps not supported yet"))
              } else {
                const arg$macro$1$2 = dateTime$2.year$1;
                const arg$macro$2$2 = dateTime$2.month$1;
                const arg$macro$3$2 = dateTime$2.day$1;
                const this$146 = new $c_sci_StringOps().init___T("%04d-%02d-%02d");
                const array$7 = [arg$macro$1$2, arg$macro$2$2, arg$macro$3$2];
                const jsx$18 = $m_sjsr_RuntimeString$();
                const $$this$2 = this$146.repr$1;
                $m_sc_Seq$();
                $m_sjs_js_WrappedArray$();
                const array$8 = [];
                const x1$7 = (array$7.length | 0);
                switch (x1$7) {
                  case (-1): {
                    break
                  }
                };
                let i$8 = 0;
                const len$15 = (array$7.length | 0);
                while ((i$8 < len$15)) {
                  const index$7 = i$8;
                  const arg1$5 = array$7[index$7];
                  const elem$2 = $f_sci_StringLike__unwrapArg__psci_StringLike__O__O(this$146, arg1$5);
                  array$8.push(elem$2);
                  i$8 = ((1 + i$8) | 0)
                };
                $m_s_reflect_ManifestFactory$ObjectManifest$();
                const len$16 = (array$8.length | 0);
                const result$2 = $newArrayObject($d_O.getArrayOf(), [len$16]);
                const len$17 = result$2.u.length;
                let i$9 = 0;
                let j$5 = 0;
                const x$26 = (array$8.length | 0);
                const x$27 = ((x$26 < len$17) ? x$26 : len$17);
                const that$5 = result$2.u.length;
                const end$5 = ((x$27 < that$5) ? x$27 : that$5);
                while ((i$9 < end$5)) {
                  const jsx$17 = j$5;
                  const index$8 = i$9;
                  result$2.u[jsx$17] = array$8[index$8];
                  i$9 = ((1 + i$9) | 0);
                  j$5 = ((1 + j$5) | 0)
                };
                const jsx$16 = jsx$18.format__T__AO__T($$this$2, result$2);
                const this$160 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$6, jsx$16, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$160, "date").iri__T(), false, ctx);
                f$3(amfValue);
                break matchEnd15$2
              }
            };
            if ($is_Lamf_core_metamodel_Type$SortedArray(t$6)) {
              const x12$1 = t$6;
              const seq$2 = amfValue.value$1.values$1;
              const element$2 = x12$1.element$1;
              const v$7 = new $c_s_Some().init___O(amfValue);
              const jsx$22 = v$6.builder$1;
              const b$15 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const jsx$21 = b$15.builder$1;
              const b$16 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
              const id$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/list"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id]));
              this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b$16, id$3, ctx);
              $m_Lorg_yaml_model_YNode$();
              const key$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
              $m_Lorg_yaml_model_YNode$();
              const this$165 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
              const str$2 = ctx.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$165, "Seq").iri__T());
              const value$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
              b$16.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$5, value$8);
              const this$168 = $m_sc_Seq$();
              seq$2.zipWithIndex__scg_CanBuildFrom__O(this$168.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, element$3$1, ctx$11$1, b$17) {
                return (function(x0$6$2$1) {
                  const x0$6$1 = x0$6$2$1;
                  if ((x0$6$1 !== null)) {
                    const e$9 = x0$6$1.$$und1__O();
                    const i$10 = x0$6$1.$$und2$mcI$sp__I();
                    $m_Lorg_yaml_model_YNode$();
                    const this$169 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
                    const id$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([((1 + i$10) | 0)]));
                    const str$3 = ctx$11$1.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$169, id$4).iri__T());
                    const key$6 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
                    const v$8 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                    const jsx$19 = v$8.builder$1;
                    const b$18 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                    if ($is_Lamf_core_metamodel_Obj(element$3$1)) {
                      matchEnd5$1: {
                        if (($is_Lamf_core_model_domain_DomainElement(e$9) && $is_Lamf_core_model_domain_Linkable(e$9))) {
                          const x2$6 = e$9;
                          const this$173 = x2$6;
                          if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$173).isDefined__Z()) {
                            $this$5.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, x2$6, true, ctx$11$1);
                            break matchEnd5$1
                          }
                        };
                        if ($is_Lamf_core_model_domain_AmfObject(e$9)) {
                          const x3$3 = e$9;
                          $this$5.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, x3$3, true, ctx$11$1);
                          break matchEnd5$1
                        };
                        throw new $c_s_MatchError().init___O(e$9)
                      }
                    } else {
                      const x$2$2 = $m_Lamf_core_metamodel_Type$Str$();
                      if (x$2$2.equals__O__Z(element$3$1)) {
                        const x$41$1 = $objectToString(e$9.value$1);
                        const x$43$1 = $m_Lorg_yaml_model_YType$().Str$1;
                        const this$175 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
                        $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$175, b$18, x$41$1, x$43$1, true)
                      } else {
                        const x$4$2 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                        if (x$4$2.equals__O__Z(element$3$1)) {
                          $this$5.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$18, e$9.toString__T(), true)
                        } else {
                          const x$6$2 = $m_Lamf_core_metamodel_Type$Iri$();
                          if (x$6$2.equals__O__Z(element$3$1)) {
                            $this$5.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$18, e$9.toString__T(), true)
                          } else {
                            const x$8$3 = $m_Lamf_core_metamodel_Type$Any$();
                            if ((x$8$3 === element$3$1)) {
                              const scalarElement$3 = e$9;
                              const x1$3$1 = scalarElement$3.value$1;
                              if (((typeof x1$3$1) === "boolean")) {
                                const x2$2$4 = (!(!x1$3$1));
                                const this$177 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                $this$5.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, ("" + x2$2$4), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$177, "boolean").iri__T(), true, ctx$11$1)
                              } else if ($is_T(x1$3$1)) {
                                const x3$2$1 = x1$3$1;
                                const this$179 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                $this$5.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, x3$2$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$179, "string").iri__T(), true, ctx$11$1)
                              } else if ($isInt(x1$3$1)) {
                                const x4$2 = (x1$3$1 | 0);
                                const this$182 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                $this$5.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, ("" + x4$2), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$182, "integer").iri__T(), true, ctx$11$1)
                              } else if ($isFloat(x1$3$1)) {
                                const x5$2 = (+x1$3$1);
                                const this$185 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                $this$5.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, ("" + x5$2), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$185, "float").iri__T(), true, ctx$11$1)
                              } else if (((typeof x1$3$1) === "number")) {
                                const x6$2 = (+x1$3$1);
                                const this$188 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                $this$5.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$18, ("" + x6$2), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$188, "double").iri__T(), true, ctx$11$1)
                              } else {
                                const x$45$1 = $objectToString(x1$3$1);
                                const x$47$1 = $m_Lorg_yaml_model_YType$().Str$1;
                                const this$191 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
                                $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$191, b$18, x$45$1, x$47$1, true)
                              }
                            } else {
                              throw new $c_s_MatchError().init___O(element$3$1)
                            }
                          }
                        }
                      }
                    };
                    $m_Lorg_yaml_model_YNode$();
                    $m_Lorg_yaml_model_YSequence$();
                    const c$4 = b$18.builder$1;
                    const value$9 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$4);
                    const tt$4 = $m_Lorg_yaml_model_YType$().Seq$1;
                    $m_Lorg_yaml_model_YNode$();
                    const t$7 = tt$4.org$yaml$model$YType$$tag$und$1;
                    $m_Lorg_yaml_model_YNode$();
                    const a$4 = $m_s_None$();
                    $m_Lorg_yaml_model_YNode$();
                    const cs$4 = null;
                    const node$3 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$9, t$7, a$4, cs$4);
                    jsx$19.$$plus$eq__O__scm_ArrayBuffer(node$3);
                    const this$196 = v$8.builder$1;
                    const array$9 = [key$6];
                    if ((this$196.size0$6 < 0)) {
                      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                    };
                    const len$18 = (array$9.length | 0);
                    const newSize$3 = ((this$196.size0$6 + len$18) | 0);
                    $f_scm_ResizableArray__ensureSize__I__V(this$196, newSize$3);
                    const len$19 = this$196.size0$6;
                    const src$3 = this$196.array$6;
                    const dest$3 = this$196.array$6;
                    $systemArraycopy(src$3, 0, dest$3, len$18, len$19);
                    const xs$3 = this$196.array$6;
                    const len$20 = xs$3.u.length;
                    let i$11 = 0;
                    let j$6 = 0;
                    const x$29 = (array$9.length | 0);
                    const x$30 = ((x$29 < len$20) ? x$29 : len$20);
                    const that$6 = xs$3.u.length;
                    const end$6 = ((x$30 < that$6) ? x$30 : that$6);
                    while ((i$11 < end$6)) {
                      const jsx$20 = j$6;
                      const index$9 = i$11;
                      xs$3.u[jsx$20] = array$9[index$9];
                      i$11 = ((1 + i$11) | 0);
                      j$6 = ((1 + j$6) | 0)
                    };
                    this$196.size0$6 = newSize$3;
                    b$17.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$8.builder$1))
                  } else {
                    throw new $c_s_MatchError().init___O(x0$6$1)
                  }
                })
              })(this, element$2, ctx, b$16)));
              const arg1$6 = v$7.value$2;
              f$3(arg1$6);
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YMap$();
              const c$5 = b$16.builder$1;
              const value$10 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$5);
              const tt$5 = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t$8 = tt$5.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$5 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$5 = null;
              jsx$21.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$10, t$8, a$5, cs$5));
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YSequence$();
              const c$6 = b$15.builder$1;
              const value$11 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$6);
              const tt$6 = $m_Lorg_yaml_model_YType$().Seq$1;
              $m_Lorg_yaml_model_YNode$();
              const t$9 = tt$6.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$6 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$6 = null;
              const node$4 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$11, t$9, a$6, cs$6);
              jsx$22.$$plus$eq__O__scm_ArrayBuffer(node$4);
              break matchEnd15$2
            };
            if ($is_Lamf_core_metamodel_Type$Array(t$6)) {
              const x13$1 = t$6;
              const jsx$23 = v$6.builder$1;
              const b$19 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              const seq$3 = amfValue.value$1;
              f$3(amfValue);
              const x1$8 = x13$1.element$1;
              if ($is_Lamf_core_metamodel_Obj(x1$8)) {
                seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, ctx$8$3, b$20) {
                  return (function(x0$7$2$1) {
                    const x0$7$1 = x0$7$2$1;
                    matchEnd4$3: {
                      if (($is_Lamf_core_model_domain_DomainElement(x0$7$1) && $is_Lamf_core_model_domain_Linkable(x0$7$1))) {
                        const x2$7 = x0$7$1;
                        const this$216 = x2$7;
                        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$216).isDefined__Z()) {
                          $this$6.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$20, x2$7, true, ctx$8$3);
                          break matchEnd4$3
                        }
                      };
                      $this$6.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$20, x0$7$1, true, ctx$8$3)
                    }
                  })
                })(this, ctx, b$19)))
              } else {
                const x$31 = $m_Lamf_core_metamodel_Type$Str$();
                if (x$31.equals__O__Z(x1$8)) {
                  seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, ctx$8$4, scalarEmitter$1$6, b$21) {
                    return (function(e$2$1) {
                      const e$10 = e$2$1;
                      const x1$9 = e$10.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                      if ($is_s_Some(x1$9)) {
                        const x2$8 = x1$9;
                        const annotation$4 = x2$8.value$2;
                        this$2$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$21, e$10.value$1.toString__T(), annotation$4.datatype$1, true, ctx$8$4)
                      } else {
                        const x$32 = $m_s_None$();
                        if ((x$32 === x1$9)) {
                          const x$49$1 = e$10.toString__T();
                          const x$51$1 = $m_Lorg_yaml_model_YType$().Str$1;
                          scalarEmitter$1$6.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$21, x$49$1, x$51$1, true)
                        } else {
                          throw new $c_s_MatchError().init___O(x1$9)
                        }
                      }
                    })
                  })(this, ctx, scalarEmitter$2, b$19)))
                } else {
                  const x$3$4 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                  if (x$3$4.equals__O__Z(x1$8)) {
                    seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2, b$22) {
                      return (function(e$3$2$1) {
                        const e$3$1 = e$3$2$1;
                        this$3$2.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$22, e$3$1.toString__T(), true)
                      })
                    })(this, b$19)))
                  } else {
                    const x$5$4 = $m_Lamf_core_metamodel_Type$Iri$();
                    if (x$5$4.equals__O__Z(x1$8)) {
                      seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$2, b$23) {
                        return (function(e$4$2$1) {
                          const e$4$1 = e$4$2$1;
                          this$4$2.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$23, e$4$1.toString__T(), true)
                        })
                      })(this, b$19)))
                    } else {
                      const x$7$4 = $m_Lamf_core_metamodel_Type$Int$();
                      if (x$7$4.equals__O__Z(x1$8)) {
                        seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$2, scalarEmitter$1$7, b$24) {
                          return (function(e$5$2$1) {
                            const e$5$1 = e$5$2$1;
                            scalarEmitter$1$7.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$24, $objectToString(e$5$1.value$1), $m_Lorg_yaml_model_YType$().Int$1, true)
                          })
                        })(this, scalarEmitter$2, b$19)))
                      } else {
                        const x$9$4 = $m_Lamf_core_metamodel_Type$Float$();
                        if (x$9$4.equals__O__Z(x1$8)) {
                          seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$2, scalarEmitter$1$8, b$25) {
                            return (function(e$6$2$1) {
                              const e$6$1 = e$6$2$1;
                              scalarEmitter$1$8.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$25, $objectToString(e$6$1.value$1), $m_Lorg_yaml_model_YType$().Float$1, true)
                            })
                          })(this, scalarEmitter$2, b$19)))
                        } else {
                          const x$11$4 = $m_Lamf_core_metamodel_Type$Bool$();
                          if (x$11$4.equals__O__Z(x1$8)) {
                            seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$2, scalarEmitter$1$9, b$26) {
                              return (function(e$7$2$1) {
                                const e$7$1 = e$7$2$1;
                                scalarEmitter$1$9.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$26, $objectToString(e$7$1.value$1), $m_Lorg_yaml_model_YType$().Bool$1, true)
                              })
                            })(this, scalarEmitter$2, b$19)))
                          } else {
                            const x$13$4 = $m_Lamf_core_metamodel_Type$Any$();
                            if ((x$13$4 === x1$8)) {
                              seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$2, ctx$8$5, scalarEmitter$1$10, b$27) {
                                return (function(scalarElement$2$1) {
                                  const scalarElement$4 = scalarElement$2$1;
                                  const x1$10 = scalarElement$4.value$1;
                                  if (((typeof x1$10) === "boolean")) {
                                    const x2$9 = (!(!x1$10));
                                    const this$218 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    this$8$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$27, ("" + x2$9), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$218, "boolean").iri__T(), true, ctx$8$5)
                                  } else if ($is_T(x1$10)) {
                                    const x3$4 = x1$10;
                                    const this$220 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    this$8$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$27, x3$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$220, "string").iri__T(), true, ctx$8$5)
                                  } else if ($isInt(x1$10)) {
                                    const x4$3 = (x1$10 | 0);
                                    const this$223 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    this$8$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$27, ("" + x4$3), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$223, "integer").iri__T(), true, ctx$8$5)
                                  } else if ($isFloat(x1$10)) {
                                    const x5$3 = (+x1$10);
                                    const this$226 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    this$8$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$27, ("" + x5$3), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$226, "float").iri__T(), true, ctx$8$5)
                                  } else if (((typeof x1$10) === "number")) {
                                    const x6$3 = (+x1$10);
                                    const this$229 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                    this$8$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$27, ("" + x6$3), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$229, "double").iri__T(), true, ctx$8$5)
                                  } else {
                                    const x$53$1 = $objectToString(x1$10);
                                    const x$55$1 = $m_Lorg_yaml_model_YType$().Str$1;
                                    scalarEmitter$1$10.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$27, x$53$1, x$55$1, true)
                                  }
                                })
                              })(this, ctx, scalarEmitter$2, b$19)))
                            } else {
                              seq$3.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$2, b$28) {
                                return (function(e$8$2$1) {
                                  const e$8$1 = e$8$2$1;
                                  this$9$2.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$28, e$8$1.toString__T(), true)
                                })
                              })(this, b$19)))
                            }
                          }
                        }
                      }
                    }
                  }
                }
              };
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YSequence$();
              const c$7 = b$19.builder$1;
              const value$12 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$7);
              const tt$7 = $m_Lorg_yaml_model_YType$().Seq$1;
              $m_Lorg_yaml_model_YNode$();
              const t$10 = tt$7.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a$7 = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs$7 = null;
              const node$5 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$12, t$10, a$7, cs$7);
              jsx$23.$$plus$eq__O__scm_ArrayBuffer(node$5);
              break matchEnd15$2
            };
            throw new $c_s_MatchError().init___O(t$6)
          };
          const this$235 = v$6.builder$1;
          const array$10 = [key$4];
          if ((this$235.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$21 = (array$10.length | 0);
          const newSize$4 = ((this$235.size0$6 + len$21) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$235, newSize$4);
          const len$22 = this$235.size0$6;
          const src$4 = this$235.array$6;
          const dest$4 = this$235.array$6;
          $systemArraycopy(src$4, 0, dest$4, len$21, len$22);
          const xs$4 = this$235.array$6;
          const len$23 = xs$4.u.length;
          let i$12 = 0;
          let j$7 = 0;
          const x$33 = (array$10.length | 0);
          const x$34 = ((x$33 < len$23) ? x$33 : len$23);
          const that$7 = xs$4.u.length;
          const end$7 = ((x$34 < that$7) ? x$34 : that$7);
          while ((i$12 < end$7)) {
            const jsx$24 = j$7;
            const index$10 = i$12;
            xs$4.u[jsx$24] = array$10[index$10];
            i$12 = ((1 + i$12) | 0);
            j$7 = ((1 + j$7) | 0)
          };
          this$235.size0$6 = newSize$4;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$6.builder$1))
        }
      };
      these = these.tail__O()
    }
  };
  createAnnotationNodes__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_model_document_SourceMap__Lamf_plugins_document_graph_parser_EmissionContext__V(b, sources, ctx) {
    const this$1 = sources.annotations$1;
    const this$2 = this$1.elems$5;
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    while (this$3.hasNext__Z()) {
      const arg1 = this$3.next__O();
      const x0$8 = arg1;
      if ((x0$8 !== null)) {
        const a = x0$8.$$und1__O();
        const values = x0$8.$$und2__O();
        const this$4 = ctx.options$1;
        if (this$4.rawSourceMaps$1) {
          $m_Lorg_yaml_model_YNode$();
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(a);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$2 = v.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          const this$7 = values.elems$5;
          const this$8 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$7);
          while (this$8.hasNext__Z()) {
            const arg1$1 = this$8.next__O();
            const x0$9 = arg1$1;
            if ((x0$9 !== null)) {
              const iri = x0$9.$$und1__O();
              const v$1 = x0$9.$$und2__O();
              $m_Lorg_yaml_model_YNode$();
              const str = ctx.emitId__T__T(ctx.emitIri__T__T(iri));
              const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
              const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
              this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v$2, v$1, $m_Lorg_yaml_model_YType$().Str$1);
              const this$10 = v$2.builder$1;
              const array = [key$1];
              if ((this$10.size0$6 < 0)) {
                throw new $c_jl_IndexOutOfBoundsException().init___T("0")
              };
              const len = (array.length | 0);
              const newSize = ((this$10.size0$6 + len) | 0);
              $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
              const len$1 = this$10.size0$6;
              const src = this$10.array$6;
              const dest = this$10.array$6;
              $systemArraycopy(src, 0, dest, len, len$1);
              const xs = this$10.array$6;
              const len$2 = xs.u.length;
              let i = 0;
              let j = 0;
              const x = (array.length | 0);
              const x$1 = ((x < len$2) ? x : len$2);
              const that = xs.u.length;
              const end = ((x$1 < that) ? x$1 : that);
              while ((i < end)) {
                const jsx$1 = j;
                const index = i;
                xs.u[jsx$1] = array[index];
                i = ((1 + i) | 0);
                j = ((1 + j) | 0)
              };
              this$10.size0$6 = newSize;
              b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
            } else {
              throw new $c_s_MatchError().init___O(x0$9)
            }
          };
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$1.builder$1;
          const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a$1, cs));
          const this$25 = v.builder$1;
          const array$1 = [key];
          if ((this$25.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$25.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$25, newSize$1);
          const len$4 = this$25.size0$6;
          const src$1 = this$25.array$6;
          const dest$1 = this$25.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$25.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$3 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$3] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$25.size0$6 = newSize$1;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
        } else {
          $m_Lorg_yaml_model_YNode$();
          const ns = $m_Lamf_core_vocabulary_Namespace$().SourceMaps$1;
          const str$1 = ctx.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(ns, a).iri__T());
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
          const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const jsx$4 = v$3.builder$1;
          const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const this$39 = values.elems$5;
          const this$40 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$39);
          while (this$40.hasNext__Z()) {
            const arg1$2 = this$40.next__O();
            const x$37 = arg1$2;
            this.createAnnotationValueNode__p1__Lorg_yaml_model_YDocument$PartBuilder__T2__Lamf_plugins_document_graph_parser_EmissionContext__V(b$2, x$37, ctx)
          };
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YSequence$();
          const c$1 = b$2.builder$1;
          const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
          const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$2 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$2, cs$1);
          jsx$4.$$plus$eq__O__scm_ArrayBuffer(node);
          const this$45 = v$3.builder$1;
          const array$2 = [key$2];
          if ((this$45.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$6 = (array$2.length | 0);
          const newSize$2 = ((this$45.size0$6 + len$6) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$45, newSize$2);
          const len$7 = this$45.size0$6;
          const src$2 = this$45.array$6;
          const dest$2 = this$45.array$6;
          $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
          const xs$2 = this$45.array$6;
          const len$8 = xs$2.u.length;
          let i$2 = 0;
          let j$2 = 0;
          const x$4 = (array$2.length | 0);
          const x$5 = ((x$4 < len$8) ? x$4 : len$8);
          const that$2 = xs$2.u.length;
          const end$2 = ((x$5 < that$2) ? x$5 : that$2);
          while ((i$2 < end$2)) {
            const jsx$5 = j$2;
            const index$2 = i$2;
            xs$2.u[jsx$5] = array$2[index$2];
            i$2 = ((1 + i$2) | 0);
            j$2 = ((1 + j$2) | 0)
          };
          this$45.size0$6 = newSize$2;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1))
        }
      } else {
        throw new $c_s_MatchError().init___O(x0$8)
      }
    }
  };
  root__Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YDocument(unit) {
    const ctx = $m_Lamf_plugins_document_graph_parser_EmissionContext$().apply__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__Lamf_plugins_document_graph_parser_EmissionContext(unit, this.options$1);
    const this$1 = ctx.options$1;
    if (this$1.compactUris$1) {
      const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
      const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const x = this$3.comment$1;
      const this$5 = new $c_sci_StringOps().init___T(x);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
        b.comment__T__V(this$3.comment$1)
      };
      const jsx$2 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = b$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(unit, b$2, ctx);
      ctx.emitContext__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(node);
      return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
    } else {
      const this$17 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
      const b$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const x$1 = this$17.comment$1;
      const this$19 = new $c_sci_StringOps().init___T(x$1);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$19)) {
        b$3.comment__T__V(this$17.comment$1)
      };
      const jsx$4 = b$3.builder$1;
      const b$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = b$4.builder$1;
      const b$5 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(unit, b$5, ctx);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$2 = b$5.builder$1;
      const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$2);
      const tt$2 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$2 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$2 = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c$3 = b$4.builder$1;
      const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
      const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$3 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$3 = null;
      const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$3, a$3, cs$3);
      jsx$4.$$plus$eq__O__scm_ArrayBuffer(node$1);
      return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b$3.builder$1)
    }
  };
  createSourcesNode__p1__T__Lamf_core_model_document_SourceMap__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(id, sources, b, ctx) {
    const this$1 = this.options$1;
    let jsx$1;
    if (this$1.sources$1) {
      const this$2 = sources.annotations$1;
      jsx$1 = $f_sc_TraversableOnce__nonEmpty__Z(this$2)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$3 = this.options$1;
      if (this$3.rawSourceMaps$1) {
        $m_Lorg_yaml_model_YNode$();
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("smaps");
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$2 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        this.createAnnotationNodes__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_model_document_SourceMap__Lamf_plugins_document_graph_parser_EmissionContext__V(b$1, sources, ctx);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        const this$10 = v.builder$1;
        const array = [key];
        if ((this$10.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$10.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
        const len$1 = this$10.size0$6;
        const src = this$10.array$6;
        const dest = this$10.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$10.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$3 = j;
          const index = i;
          xs.u[jsx$3] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$10.size0$6 = newSize;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const str = ctx.emitIri__T__T($m_Lamf_core_metamodel_domain_DomainElementModel$().Sources$1.value$1.iri__T());
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$5 = v$1.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$4 = b$2.builder$1;
        const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b$3, id, ctx);
        this.createTypeNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_metamodel_Obj__s_Option__Lamf_plugins_document_graph_parser_EmissionContext__V(b$3, $m_Lamf_core_metamodel_document_SourceMapModel$(), $m_s_None$(), ctx);
        this.createAnnotationNodes__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_model_document_SourceMap__Lamf_plugins_document_graph_parser_EmissionContext__V(b$3, sources, ctx);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$1 = b$3.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$2 = b$2.builder$1;
        const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
        const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$2 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$2 = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2);
        jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
        const this$32 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$32.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$32.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$1);
        const len$4 = this$32.size0$6;
        const src$1 = this$32.array$6;
        const dest$1 = this$32.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$32.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$6 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$6] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$32.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, content, tag) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(content);
    $m_Lorg_yaml_model_YNode$();
    const t = tag.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  createCustomExtension__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_core_model_domain_extensions_DomainExtension__s_Option__Lamf_plugins_document_graph_parser_EmissionContext__V(b, uri, extension, field, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(uri);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const str = ctx.emitIri__T__T($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1.value$1.iri__T());
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$8 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
    const this$4 = extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
    const this$5 = this$4.option$1;
    const content = (this$5.isEmpty__Z() ? null : this$5.get__O());
    const tag = $m_Lorg_yaml_model_YType$().Str$1;
    $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$8, v$1, content, tag, false);
    const this$9 = v$1.builder$1;
    const array = [key$1];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    if ((!field.isEmpty__Z())) {
      const arg1 = field.get__O();
      const f = arg1;
      $m_Lorg_yaml_model_YNode$();
      const str$1 = ctx.emitIri__T__T($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1.value$1.iri__T());
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$23 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
      const content$1 = f.value$1.iri__T();
      const tag$1 = $m_Lorg_yaml_model_YType$().Str$1;
      $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$23, v$2, content$1, tag$1, false);
      const this$24 = v$2.builder$1;
      const array$1 = [key$2];
      if ((this$24.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$24.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$24, newSize$1);
      const len$4 = this$24.size0$6;
      const src$1 = this$24.array$6;
      const dest$1 = this$24.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$24.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$2 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$2] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$24.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
    };
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1), b$1, ctx);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$39 = v.builder$1;
    const array$2 = [key];
    if ((this$39.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$39.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$39, newSize$2);
    const len$7 = this$39.size0$6;
    const src$2 = this$39.array$6;
    const dest$2 = this$39.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$39.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$4 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$4] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$39.size0$6 = newSize$2;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b, id, ctx) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@id");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.raw__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, ctx.emitId__T__T(id), $m_Lorg_yaml_model_YType$().Str$1);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  traverseStaticMetamodel__T__Lamf_core_model_domain_AmfObject__Lamf_core_model_document_SourceMap__Lamf_core_metamodel_Obj__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(id, element, sources, obj, b, ctx) {
    this.createTypeNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_core_metamodel_Obj__s_Option__Lamf_plugins_document_graph_parser_EmissionContext__V(b, obj, new $c_s_Some().init___O(element), ctx);
    const this$2 = obj.fields__sci_List();
    const f$1 = (function($this, element$1) {
      return (function(f$2) {
        const f = f$2;
        return element$1.fields__Lamf_core_parser_Fields().entryJsonld__Lamf_core_metamodel_Field__s_Option(f)
      })
    })(this, element);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let this$3;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        this$3 = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        this$3 = h
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$2));
        these = these.tail__O()
      };
      this$3 = b$1.result__O()
    };
    let these$1 = this$3;
    while ((!these$1.isEmpty__Z())) {
      const arg1$3 = these$1.head__O();
      const x0$2 = arg1$3;
      matchEnd6: {
        if ($is_s_Some(x0$2)) {
          const x2 = x0$2;
          const p3 = x2.value$2;
          if ((p3 !== null)) {
            const f$3 = p3.field$1;
            const v = p3.value$1;
            const url = ctx.emitIri__T__T(f$3.value$1.iri__T());
            $m_Lorg_yaml_model_YNode$();
            const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(url);
            const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const t$1 = f$3.type$1;
            const f$4 = (function($this$1, sources$2, url$2) {
              return (function(value$2) {
                const value = value$2;
                sources$2.property__T__Lamf_core_parser_Value__V(url$2, value)
              })
            })(this, sources, url);
            const this$5 = this.options$1;
            const this$6 = this$5.customEmitter$1;
            const scalarEmitter = (this$6.isEmpty__Z() ? $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$() : this$6.get__O());
            matchEnd15: {
              if (($is_Lamf_core_model_domain_DomainElement(t$1) && $is_Lamf_core_model_domain_Linkable(t$1))) {
                const this$7 = t$1;
                if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$7).isDefined__Z()) {
                  this.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$1, t$1, false, ctx);
                  f$4(v);
                  break matchEnd15
                }
              };
              if ($is_Lamf_core_metamodel_Obj(t$1)) {
                this.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$1, v.value$1, false, ctx);
                f$4(v);
                break matchEnd15
              };
              const x = $m_Lamf_core_metamodel_Type$Iri$();
              if (x.equals__O__Z(t$1)) {
                this.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v$1, v.value$1.toString__T(), false);
                f$4(v);
                break matchEnd15
              };
              const x$3 = $m_Lamf_core_metamodel_Type$EncodedIri$();
              if (x$3.equals__O__Z(t$1)) {
                this.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(v$1, v.value$1.toString__T(), false);
                f$4(v);
                break matchEnd15
              };
              const x$5 = $m_Lamf_core_metamodel_Type$Str$();
              if (x$5.equals__O__Z(t$1)) {
                const x1$2 = v.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                if ($is_s_Some(x1$2)) {
                  const x2$2 = x1$2;
                  const annotation = x2$2.value$2;
                  this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$1, v.value$1.toString__T(), annotation.datatype$1, false, ctx)
                } else {
                  const x$7 = $m_s_None$();
                  if ((x$7 === x1$2)) {
                    scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Str$1, false)
                  } else {
                    throw new $c_s_MatchError().init___O(x1$2)
                  }
                };
                f$4(v);
                break matchEnd15
              };
              const x$9 = $m_Lamf_core_metamodel_Type$Bool$();
              if (x$9.equals__O__Z(t$1)) {
                scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Bool$1, false);
                f$4(v);
                break matchEnd15
              };
              const x$11 = $m_Lamf_core_metamodel_Type$Int$();
              if (x$11.equals__O__Z(t$1)) {
                scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Int$1, false);
                f$4(v);
                break matchEnd15
              };
              const x$13 = $m_Lamf_core_metamodel_Type$Double$();
              if (x$13.equals__O__Z(t$1)) {
                scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
                f$4(v);
                break matchEnd15
              };
              const x$15 = $m_Lamf_core_metamodel_Type$Float$();
              if (x$15.equals__O__Z(t$1)) {
                scalarEmitter.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(v$1, v.value$1.toString__T(), $m_Lorg_yaml_model_YType$().Float$1, false);
                f$4(v);
                break matchEnd15
              };
              const x$17 = $m_Lamf_core_metamodel_Type$Date$();
              if (x$17.equals__O__Z(t$1)) {
                const dateTime = v.value$1.value$1;
                if ((dateTime.timeOfDay$1.isDefined__Z() || dateTime.zoneOffset$1.isDefined__Z())) {
                  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Serialisation of timestamps not supported yet"))
                } else {
                  const arg$macro$1 = dateTime.year$1;
                  const arg$macro$2 = dateTime.month$1;
                  const arg$macro$3 = dateTime.day$1;
                  const this$8 = new $c_sci_StringOps().init___T("%04d-%02d-%02d");
                  const array = [arg$macro$1, arg$macro$2, arg$macro$3];
                  const jsx$3 = $m_sjsr_RuntimeString$();
                  const $$this = this$8.repr$1;
                  $m_sc_Seq$();
                  $m_sjs_js_WrappedArray$();
                  const array$1 = [];
                  const x1 = (array.length | 0);
                  switch (x1) {
                    case (-1): {
                      break
                    }
                  };
                  let i = 0;
                  const len = (array.length | 0);
                  while ((i < len)) {
                    const index = i;
                    const arg1$4 = array[index];
                    const elem = $f_sci_StringLike__unwrapArg__psci_StringLike__O__O(this$8, arg1$4);
                    array$1.push(elem);
                    i = ((1 + i) | 0)
                  };
                  $m_s_reflect_ManifestFactory$ObjectManifest$();
                  const len$1 = (array$1.length | 0);
                  const result = $newArrayObject($d_O.getArrayOf(), [len$1]);
                  const len$2 = result.u.length;
                  let i$1 = 0;
                  let j = 0;
                  const x$1 = (array$1.length | 0);
                  const x$2 = ((x$1 < len$2) ? x$1 : len$2);
                  const that = result.u.length;
                  const end = ((x$2 < that) ? x$2 : that);
                  while ((i$1 < end)) {
                    const jsx$2 = j;
                    const index$1 = i$1;
                    result.u[jsx$2] = array$1[index$1];
                    i$1 = ((1 + i$1) | 0);
                    j = ((1 + j) | 0)
                  };
                  const jsx$1 = jsx$3.format__T__AO__T($$this, result);
                  const this$22 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  this.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(v$1, jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$22, "date").iri__T(), false, ctx);
                  f$4(v);
                  break matchEnd15
                }
              };
              if ($is_Lamf_core_metamodel_Type$SortedArray(t$1)) {
                const x12 = t$1;
                const seq = v.value$1.values$1;
                const element$2 = x12.element$1;
                const v$2 = new $c_s_Some().init___O(v);
                const jsx$7 = v$1.builder$1;
                const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const jsx$6 = b$2.builder$1;
                const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
                const id$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/list"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([id]));
                this.createIdNode__p1__Lorg_yaml_model_YDocument$EntryBuilder__T__Lamf_plugins_document_graph_parser_EmissionContext__V(b$3, id$1, ctx);
                $m_Lorg_yaml_model_YNode$();
                const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("@type");
                $m_Lorg_yaml_model_YNode$();
                const this$27 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
                const str = ctx.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "Seq").iri__T());
                const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
                b$3.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1);
                const this$30 = $m_sc_Seq$();
                seq.zipWithIndex__scg_CanBuildFrom__O(this$30.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, element$3, ctx$11, b$4) {
                  return (function(x0$6$2) {
                    const x0$6 = x0$6$2;
                    if ((x0$6 !== null)) {
                      const e = x0$6.$$und1__O();
                      const i$2 = x0$6.$$und2$mcI$sp__I();
                      $m_Lorg_yaml_model_YNode$();
                      const this$31 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
                      const id$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["_", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([((1 + i$2) | 0)]));
                      const str$1 = ctx$11.emitIri__T__T(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, id$2).iri__T());
                      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
                      const v$3 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                      const jsx$4 = v$3.builder$1;
                      const b$5 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                      if ($is_Lamf_core_metamodel_Obj(element$3)) {
                        matchEnd5: {
                          if (($is_Lamf_core_model_domain_DomainElement(e) && $is_Lamf_core_model_domain_Linkable(e))) {
                            const x2$1 = e;
                            const this$35 = x2$1;
                            if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$35).isDefined__Z()) {
                              $this$2.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, x2$1, true, ctx$11);
                              break matchEnd5
                            }
                          };
                          if ($is_Lamf_core_model_domain_AmfObject(e)) {
                            const x3 = e;
                            $this$2.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, x3, true, ctx$11);
                            break matchEnd5
                          };
                          throw new $c_s_MatchError().init___O(e)
                        }
                      } else {
                        const x$2$1 = $m_Lamf_core_metamodel_Type$Str$();
                        if (x$2$1.equals__O__Z(element$3)) {
                          const x$41 = $objectToString(e.value$1);
                          const x$43 = $m_Lorg_yaml_model_YType$().Str$1;
                          const this$37 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
                          $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$37, b$5, x$41, x$43, true)
                        } else {
                          const x$4$1 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                          if (x$4$1.equals__O__Z(element$3)) {
                            $this$2.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$5, e.toString__T(), true)
                          } else {
                            const x$6 = $m_Lamf_core_metamodel_Type$Iri$();
                            if (x$6.equals__O__Z(element$3)) {
                              $this$2.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$5, e.toString__T(), true)
                            } else {
                              const x$8 = $m_Lamf_core_metamodel_Type$Any$();
                              if ((x$8 === element$3)) {
                                const scalarElement = e;
                                const x1$3 = scalarElement.value$1;
                                if (((typeof x1$3) === "boolean")) {
                                  const x2$2$1 = (!(!x1$3));
                                  const this$39 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                  $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, ("" + x2$2$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$39, "boolean").iri__T(), true, ctx$11)
                                } else if ($is_T(x1$3)) {
                                  const x3$2 = x1$3;
                                  const this$41 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                  $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, x3$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$41, "string").iri__T(), true, ctx$11)
                                } else if ($isInt(x1$3)) {
                                  const x4 = (x1$3 | 0);
                                  const this$44 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                  $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, ("" + x4), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$44, "integer").iri__T(), true, ctx$11)
                                } else if ($isFloat(x1$3)) {
                                  const x5 = (+x1$3);
                                  const this$47 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                  $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, ("" + x5), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$47, "float").iri__T(), true, ctx$11)
                                } else if (((typeof x1$3) === "number")) {
                                  const x6 = (+x1$3);
                                  const this$50 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                  $this$2.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$5, ("" + x6), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$50, "double").iri__T(), true, ctx$11)
                                } else {
                                  const x$45 = $objectToString(x1$3);
                                  const x$47 = $m_Lorg_yaml_model_YType$().Str$1;
                                  const this$53 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
                                  $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$53, b$5, x$45, x$47, true)
                                }
                              } else {
                                throw new $c_s_MatchError().init___O(element$3)
                              }
                            }
                          }
                        }
                      };
                      $m_Lorg_yaml_model_YNode$();
                      $m_Lorg_yaml_model_YSequence$();
                      const c = b$5.builder$1;
                      const value$3 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
                      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
                      $m_Lorg_yaml_model_YNode$();
                      const t$2 = tt.org$yaml$model$YType$$tag$und$1;
                      $m_Lorg_yaml_model_YNode$();
                      const a = $m_s_None$();
                      $m_Lorg_yaml_model_YNode$();
                      const cs = null;
                      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$2, a, cs);
                      jsx$4.$$plus$eq__O__scm_ArrayBuffer(node);
                      const this$58 = v$3.builder$1;
                      const array$2 = [key$2];
                      if ((this$58.size0$6 < 0)) {
                        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
                      };
                      const len$3 = (array$2.length | 0);
                      const newSize = ((this$58.size0$6 + len$3) | 0);
                      $f_scm_ResizableArray__ensureSize__I__V(this$58, newSize);
                      const len$4 = this$58.size0$6;
                      const src = this$58.array$6;
                      const dest = this$58.array$6;
                      $systemArraycopy(src, 0, dest, len$3, len$4);
                      const xs = this$58.array$6;
                      const len$5 = xs.u.length;
                      let i$3 = 0;
                      let j$1 = 0;
                      const x$12 = (array$2.length | 0);
                      const x$14 = ((x$12 < len$5) ? x$12 : len$5);
                      const that$1 = xs.u.length;
                      const end$1 = ((x$14 < that$1) ? x$14 : that$1);
                      while ((i$3 < end$1)) {
                        const jsx$5 = j$1;
                        const index$2 = i$3;
                        xs.u[jsx$5] = array$2[index$2];
                        i$3 = ((1 + i$3) | 0);
                        j$1 = ((1 + j$1) | 0)
                      };
                      this$58.size0$6 = newSize;
                      b$4.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$3.builder$1))
                    } else {
                      throw new $c_s_MatchError().init___O(x0$6)
                    }
                  })
                })(this, element$2, ctx, b$3)));
                const arg1$5 = v$2.value$2;
                f$4(arg1$5);
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YMap$();
                const c$1 = b$3.builder$1;
                const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
                const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
                $m_Lorg_yaml_model_YNode$();
                const t$3 = tt$1.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$1 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$1 = null;
                jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$3, a$1, cs$1));
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YSequence$();
                const c$2 = b$2.builder$1;
                const value$5 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
                const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
                $m_Lorg_yaml_model_YNode$();
                const t$4 = tt$2.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$2 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$2 = null;
                const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$5, t$4, a$2, cs$2);
                jsx$7.$$plus$eq__O__scm_ArrayBuffer(node$1);
                break matchEnd15
              };
              if ($is_Lamf_core_metamodel_Type$Array(t$1)) {
                const x13 = t$1;
                const jsx$8 = v$1.builder$1;
                const b$6 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
                const seq$1 = v.value$1;
                f$4(v);
                const x1$1 = x13.element$1;
                if ($is_Lamf_core_metamodel_Obj(x1$1)) {
                  seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, ctx$8, b$7) {
                    return (function(x0$7$2) {
                      const x0$7 = x0$7$2;
                      matchEnd4: {
                        if (($is_Lamf_core_model_domain_DomainElement(x0$7) && $is_Lamf_core_model_domain_Linkable(x0$7))) {
                          const x2$3 = x0$7;
                          const this$78 = x2$3;
                          if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$78).isDefined__Z()) {
                            $this$3.link__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$7, x2$3, true, ctx$8);
                            break matchEnd4
                          }
                        };
                        $this$3.obj__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_AmfObject__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$7, x0$7, true, ctx$8)
                      }
                    })
                  })(this, ctx, b$6)))
                } else {
                  const x$16 = $m_Lamf_core_metamodel_Type$Str$();
                  if (x$16.equals__O__Z(x1$1)) {
                    seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, ctx$8$1, scalarEmitter$1, b$8) {
                      return (function(e$2) {
                        const e$1 = e$2;
                        const x1$4 = e$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ScalarType.getClassOf());
                        if ($is_s_Some(x1$4)) {
                          const x2$4 = x1$4;
                          const annotation$1 = x2$4.value$2;
                          this$2$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$8, e$1.value$1.toString__T(), annotation$1.datatype$1, true, ctx$8$1)
                        } else {
                          const x$18 = $m_s_None$();
                          if ((x$18 === x1$4)) {
                            const x$49 = e$1.toString__T();
                            const x$51 = $m_Lorg_yaml_model_YType$().Str$1;
                            scalarEmitter$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$8, x$49, x$51, true)
                          } else {
                            throw new $c_s_MatchError().init___O(x1$4)
                          }
                        }
                      })
                    })(this, ctx, scalarEmitter, b$6)))
                  } else {
                    const x$3$1 = $m_Lamf_core_metamodel_Type$EncodedIri$();
                    if (x$3$1.equals__O__Z(x1$1)) {
                      seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, b$9) {
                        return (function(e$3$2) {
                          const e$3 = e$3$2;
                          this$3$1.safeIri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$9, e$3.toString__T(), true)
                        })
                      })(this, b$6)))
                    } else {
                      const x$5$1 = $m_Lamf_core_metamodel_Type$Iri$();
                      if (x$5$1.equals__O__Z(x1$1)) {
                        seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, b$10) {
                          return (function(e$4$2) {
                            const e$4 = e$4$2;
                            this$4$1.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$10, e$4.toString__T(), true)
                          })
                        })(this, b$6)))
                      } else {
                        const x$7$1 = $m_Lamf_core_metamodel_Type$Int$();
                        if (x$7$1.equals__O__Z(x1$1)) {
                          seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, scalarEmitter$1$1, b$11) {
                            return (function(e$5$2) {
                              const e$5 = e$5$2;
                              scalarEmitter$1$1.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$11, $objectToString(e$5.value$1), $m_Lorg_yaml_model_YType$().Int$1, true)
                            })
                          })(this, scalarEmitter, b$6)))
                        } else {
                          const x$9$1 = $m_Lamf_core_metamodel_Type$Float$();
                          if (x$9$1.equals__O__Z(x1$1)) {
                            seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, scalarEmitter$1$2, b$12) {
                              return (function(e$6$2) {
                                const e$6 = e$6$2;
                                scalarEmitter$1$2.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$12, $objectToString(e$6.value$1), $m_Lorg_yaml_model_YType$().Float$1, true)
                              })
                            })(this, scalarEmitter, b$6)))
                          } else {
                            const x$11$1 = $m_Lamf_core_metamodel_Type$Bool$();
                            if (x$11$1.equals__O__Z(x1$1)) {
                              seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, scalarEmitter$1$3, b$13) {
                                return (function(e$7$2) {
                                  const e$7 = e$7$2;
                                  scalarEmitter$1$3.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$13, $objectToString(e$7.value$1), $m_Lorg_yaml_model_YType$().Bool$1, true)
                                })
                              })(this, scalarEmitter, b$6)))
                            } else {
                              const x$13$1 = $m_Lamf_core_metamodel_Type$Any$();
                              if ((x$13$1 === x1$1)) {
                                seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, ctx$8$2, scalarEmitter$1$4, b$14) {
                                  return (function(scalarElement$2) {
                                    const scalarElement$1 = scalarElement$2;
                                    const x1$5 = scalarElement$1.value$1;
                                    if (((typeof x1$5) === "boolean")) {
                                      const x2$5 = (!(!x1$5));
                                      const this$80 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                      this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$14, ("" + x2$5), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$80, "boolean").iri__T(), true, ctx$8$2)
                                    } else if ($is_T(x1$5)) {
                                      const x3$1 = x1$5;
                                      const this$82 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                      this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$14, x3$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$82, "string").iri__T(), true, ctx$8$2)
                                    } else if ($isInt(x1$5)) {
                                      const x4$1 = (x1$5 | 0);
                                      const this$85 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                      this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$14, ("" + x4$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$85, "integer").iri__T(), true, ctx$8$2)
                                    } else if ($isFloat(x1$5)) {
                                      const x5$1 = (+x1$5);
                                      const this$88 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                      this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$14, ("" + x5$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$88, "float").iri__T(), true, ctx$8$2)
                                    } else if (((typeof x1$5) === "number")) {
                                      const x6$1 = (+x1$5);
                                      const this$91 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                                      this$8$1.typedScalar__p1__Lorg_yaml_model_YDocument$PartBuilder__T__T__Z__Lamf_plugins_document_graph_parser_EmissionContext__V(b$14, ("" + x6$1), new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$91, "double").iri__T(), true, ctx$8$2)
                                    } else {
                                      const x$53 = $objectToString(x1$5);
                                      const x$55 = $m_Lorg_yaml_model_YType$().Str$1;
                                      scalarEmitter$1$4.scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(b$14, x$53, x$55, true)
                                    }
                                  })
                                })(this, ctx, scalarEmitter, b$6)))
                              } else {
                                seq$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1, b$15) {
                                  return (function(e$8$2) {
                                    const e$8 = e$8$2;
                                    this$9$1.iri__p1__Lorg_yaml_model_YDocument$PartBuilder__T__Z__V(b$15, e$8.toString__T(), true)
                                  })
                                })(this, b$6)))
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                };
                $m_Lorg_yaml_model_YNode$();
                $m_Lorg_yaml_model_YSequence$();
                const c$3 = b$6.builder$1;
                const value$6 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$3);
                const tt$3 = $m_Lorg_yaml_model_YType$().Seq$1;
                $m_Lorg_yaml_model_YNode$();
                const t$5 = tt$3.org$yaml$model$YType$$tag$und$1;
                $m_Lorg_yaml_model_YNode$();
                const a$3 = $m_s_None$();
                $m_Lorg_yaml_model_YNode$();
                const cs$3 = null;
                const node$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$6, t$5, a$3, cs$3);
                jsx$8.$$plus$eq__O__scm_ArrayBuffer(node$2);
                break matchEnd15
              };
              throw new $c_s_MatchError().init___O(t$1)
            };
            const this$97 = v$1.builder$1;
            const array$3 = [key];
            if ((this$97.size0$6 < 0)) {
              throw new $c_jl_IndexOutOfBoundsException().init___T("0")
            };
            const len$6 = (array$3.length | 0);
            const newSize$1 = ((this$97.size0$6 + len$6) | 0);
            $f_scm_ResizableArray__ensureSize__I__V(this$97, newSize$1);
            const len$7 = this$97.size0$6;
            const src$1 = this$97.array$6;
            const dest$1 = this$97.array$6;
            $systemArraycopy(src$1, 0, dest$1, len$6, len$7);
            const xs$1 = this$97.array$6;
            const len$8 = xs$1.u.length;
            let i$4 = 0;
            let j$2 = 0;
            const x$19 = (array$3.length | 0);
            const x$20 = ((x$19 < len$8) ? x$19 : len$8);
            const that$2 = xs$1.u.length;
            const end$2 = ((x$20 < that$2) ? x$20 : that$2);
            while ((i$4 < end$2)) {
              const jsx$9 = j$2;
              const index$3 = i$4;
              xs$1.u[jsx$9] = array$3[index$3];
              i$4 = ((1 + i$4) | 0);
              j$2 = ((1 + j$2) | 0)
            };
            this$97.size0$6 = newSize$1;
            b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
            break matchEnd6
          }
        };
        const x$21 = $m_s_None$();
        if ((x$21 === x0$2)) {
          break matchEnd6
        };
        throw new $c_s_MatchError().init___O(x0$2)
      };
      these$1 = these$1.tail__O()
    }
  };
  emit$3__p1__Lorg_yaml_model_YDocument$PartBuilder__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_graph_parser_EmissionContext__V(b, elementWithLink$1, ctx$12) {
    const this$1 = elementWithLink$1;
    const savedLinkTarget = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    const this$2 = elementWithLink$1;
    const this$3 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const target = arg1;
      const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().TargetId$1;
      const value = target.id__T();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(elementWithLink$1, field, value);
      elementWithLink$1.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_LinkableElementModel$().Target$1)
    };
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.traverse__Lamf_core_model_domain_AmfObject__Lorg_yaml_model_YDocument$EntryBuilder__Lamf_plugins_document_graph_parser_EmissionContext__V(elementWithLink$1, b$1, ctx$12);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    if ((!savedLinkTarget.isEmpty__Z())) {
      const arg1$1 = savedLinkTarget.get__O();
      const target$3 = arg1$1;
      elementWithLink$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_LinkableElementModel$().Target$1, target$3, (elementWithLink$1.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()))
    }
  };
  createAnnotationValueNode__p1__Lorg_yaml_model_YDocument$PartBuilder__T2__Lamf_plugins_document_graph_parser_EmissionContext__V(b, tuple, ctx) {
    if ((tuple !== null)) {
      const iri = tuple.$$und1__O();
      const v = tuple.$$und2__O();
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const str = ctx.emitIri__T__T($m_Lamf_core_metamodel_document_SourceMapModel$().Element$1.value$1.iri__T());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$5 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
      const tag = $m_Lorg_yaml_model_YType$().Str$1;
      $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$5, v$1, iri, tag, false);
      const this$6 = v$1.builder$1;
      const array = [key];
      if ((this$6.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$6.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
      const len$1 = this$6.size0$6;
      const src = this$6.array$6;
      const dest = this$6.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$6.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$1 = j;
        const index = i;
        xs.u[jsx$1] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$6.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
      $m_Lorg_yaml_model_YNode$();
      const str$1 = ctx.emitIri__T__T($m_Lamf_core_metamodel_document_SourceMapModel$().Value$1.value$1.iri__T());
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$20 = $m_Lamf_plugins_document_graph_parser_DefaultScalarEmitter$();
      const tag$1 = $m_Lorg_yaml_model_YType$().Str$1;
      $f_Lamf_plugins_document_graph_parser_ScalarEmitter__scalar__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__Z__V(this$20, v$2, v, tag$1, false);
      const this$21 = v$2.builder$1;
      const array$1 = [key$1];
      if ((this$21.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$21.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize$1);
      const len$4 = this$21.size0$6;
      const src$1 = this$21.array$6;
      const dest$1 = this$21.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$21.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$2 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$2] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$21.size0$6 = newSize$1;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(tuple)
    }
  };
}
const $is_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_graph_parser_GraphEmitter$Emitter)))
});
const $isArrayOf_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_graph_parser_GraphEmitter$Emitter)))
});
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$Emitter", {
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter;
class $c_Lamf_plugins_document_graph_parser_GraphParser$Parser extends $c_O {
  constructor() {
    super();
    this.nodes$1 = null;
    this.unresolvedReferences$1 = null;
    this.unresolvedExtReferencesMap$1 = null;
    this.referencesMap$1 = null;
    this.dynamicGraphParser$1 = null;
    this.$$outer$1 = null
  };
  parse__Lorg_yaml_model_YDocument__T__Lamf_core_model_document_BaseUnit(document, location) {
    const node = document.node$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node);
    const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const this$3 = $m_sc_IndexedSeq$();
    const bf = this$3.ReusableCBF$6;
    const maybeMaps = jsx$1.toOption__Lorg_yaml_convert_YRead__s_Option(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf));
    let maybeMap;
    if (maybeMaps.isEmpty__Z()) {
      maybeMap = $m_s_None$()
    } else {
      const arg1 = maybeMaps.get__O();
      const s = arg1;
      maybeMap = s.headOption__s_Option()
    };
    let maybeMaybeObject;
    if (maybeMap.isEmpty__Z()) {
      maybeMaybeObject = $m_s_None$()
    } else {
      const arg1$1 = maybeMap.get__O();
      const map = arg1$1;
      maybeMaybeObject = this.parse__p1__Lorg_yaml_model_YMap__s_Option(map)
    };
    if ($is_s_Some(maybeMaybeObject)) {
      const x2 = maybeMaybeObject;
      const unit = x2.value$2;
      if ($is_Lamf_core_model_document_BaseUnit(unit)) {
        const x3 = unit;
        const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x3, field, location)
      }
    };
    const this$4 = this.$$outer$1.ctx$1;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unable to parse ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([document]));
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$4, location, message, document);
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  productPrefix__T() {
    return "Parser"
  };
  applyScalarDomainProperties__p1__Lamf_core_model_domain_DomainElement__sc_Seq__V(instance, scalars) {
    scalars.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, instance$1) {
      return (function(e$2) {
        const e = e$2;
        const this$1 = instance$1.fields__Lamf_core_parser_Fields().fieldsMeta__sci_List();
        let this$3;
        inlinereturn$2: {
          let these = this$1;
          while ((!these.isEmpty__Z())) {
            const arg1 = these.head__O();
            const f = arg1;
            const this$2 = e.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1);
            const other = f.value$1.iri__T();
            if ($f_Lamf_core_model_ValueField__is__O__Z(this$2, other)) {
              this$3 = new $c_s_Some().init___O(these.head__O());
              break inlinereturn$2
            };
            these = these.tail__O()
          };
          this$3 = $m_s_None$()
        };
        if ((!this$3.isEmpty__Z())) {
          const arg1$1 = this$3.get__O();
          const f$3 = arg1$1;
          const this$4 = instance$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option(f$3);
          if ((!this$4.isEmpty__Z())) {
            const arg1$2 = this$4.get__O();
            const x0$3 = arg1$2;
            if ((x0$3 !== null)) {
              const value = x0$3.value$1;
              value.value$1.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_DomainExtensionAnnotation().init___Lamf_core_model_domain_extensions_DomainExtension(e))
            } else {
              throw new $c_s_MatchError().init___O(x0$3)
            }
          }
        }
      })
    })(this, instance)))
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_graph_parser_GraphParser$Parser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Parser$1 = x$1;
      const x = this.nodes$1;
      const x$2 = Parser$1.nodes$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nodes$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  retrieveType__p1__T__Lorg_yaml_model_YMap__s_Option(id, map) {
    const this$1 = this.$$outer$1;
    const ctx = this.$$outer$1.ctx$1;
    const stringTypes = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__ts__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__T__sc_Seq(this$1, map, ctx, id);
    const x1 = stringTypes.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$findType__T__s_Option(x$1).isDefined__Z()
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t = x2.value$2;
      return this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$findType__T__s_Option(t)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$2 = this.$$outer$1.ctx$1;
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing JSON-LD node, unknown @types ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([stringTypes]));
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$2, id, message, map);
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  checkLinkables__p1__Lamf_core_model_domain_AmfObject__V(instance) {
    if (($is_Lamf_core_model_domain_DomainElement(instance) && $is_Lamf_core_model_domain_Linkable(instance))) {
      const x2 = instance;
      const jsx$1 = this.referencesMap$1;
      const self = x2.id__T();
      jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, x2));
      const this$3 = this.unresolvedReferences$1;
      const key = x2.id__T();
      const x1 = this$3.get__O__s_Option(key);
      let jsx$2;
      if ($is_s_Some(x1)) {
        const x2$1 = x1;
        const v = x2$1.value$2;
        jsx$2 = v
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        jsx$2 = $m_sci_Nil$()
      };
      jsx$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, x2$2) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_core_model_domain_Linkable(x0$2)) {
            const this$4 = x0$2;
            return $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$4, x2$2)
          } else if ($is_Lamf_core_model_domain_LinkNode(x0$2)) {
            const x3 = x0$2;
            return x3.withLinkedDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_LinkNode(x2$2)
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Only linkable elements can be linked"))
          }
        })
      })(this, x2)));
      this.unresolvedReferences$1.update__O__O__V(x2.id__T(), $m_sci_Nil$())
    } else if ($is_Lamf_core_model_domain_ExternalSourceElement(instance)) {
      const x3$1 = instance;
      const jsx$3 = this.unresolvedExtReferencesMap$1;
      const this$5 = x3$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().ReferenceId$1);
      const this$6 = this$5.option$1;
      const self$1 = (this$6.isEmpty__Z() ? null : this$6.get__O());
      jsx$3.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self$1, x3$1))
    }
  };
  setLinkTarget__p1__Lamf_core_model_domain_DomainElement__T__O(instance, targetId) {
    const x1 = this.referencesMap$1.get__O__s_Option(targetId);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const target = x2.value$2;
      const this$1 = instance;
      return $f_Lamf_core_model_domain_Linkable__withLinkTarget__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_DomainElement(this$1, target)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$2 = this.unresolvedReferences$1;
        const x1$1 = this$2.get__O__s_Option(targetId);
        let unresolved;
        if ($is_s_Some(x1$1)) {
          const x2$1 = x1$1;
          const v = x2$1.value$2;
          unresolved = v
        } else {
          const x$1 = $m_s_None$();
          if ((!(x$1 === x1$1))) {
            throw new $c_s_MatchError().init___O(x1$1)
          };
          unresolved = $m_sci_Nil$()
        };
        const jsx$2 = this.unresolvedReferences$1;
        const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([instance]));
        const this$4 = $m_sc_Seq$();
        const y = unresolved.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
        return jsx$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(targetId, y))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parseCustomProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, instance) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field().value$1.iri__T());
    let this$5;
    if (this$2.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$6 = arg1;
      const jsx$2 = x$6.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$7$2) {
          const x$7 = x$7$2;
          const this$3 = $this.$$outer$1;
          const t = $m_Lamf_core_metamodel_Type$Iri$();
          return $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$3, t, x$7).as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.ctx$1).text$3
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      this$5 = new $c_s_Some().init___O(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2))
    };
    const properties = (this$5.isEmpty__Z() ? $m_sci_Nil$() : this$5.get__O());
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, map$1) {
      return (function(uri$2) {
        const uri = uri$2;
        const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option(uri);
        let xo;
        if (this$7.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1$1 = this$7.get__O();
          const entry = arg1$1;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const extension = new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const obj = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$3$1.$$outer$1.ctx$1);
          const this$11 = this$3$1.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$parseScalarProperty__Lorg_yaml_model_YMap__Lamf_core_metamodel_Field__s_Option(obj, $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
          if ((!this$11.isEmpty__Z())) {
            const arg1$2 = this$11.get__O();
            const name = arg1$2;
            const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1;
            new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(extension, field, name))
          };
          const this$12 = this$3$1.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$parseScalarProperty__Lorg_yaml_model_YMap__Lamf_core_metamodel_Field__s_Option(obj, $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1);
          if ((!this$12.isEmpty__Z())) {
            const arg1$3 = this$12.get__O();
            const element = arg1$3;
            const field$1 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1;
            new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(extension, field$1, element))
          };
          const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
          const definition = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
          definition.id$1 = uri;
          const field$2 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(extension, field$2, definition);
          const this$16 = this$3$1.dynamicGraphParser$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option(obj);
          if ((!this$16.isEmpty__Z())) {
            const arg1$4 = this$16.get__O();
            const pn = arg1$4;
            const value = pn.id$1;
            $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(extension, value);
            const field$3 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(extension, field$3, pn)
          };
          const this$17 = this$3$1.$$outer$1;
          const id = extension.id$1;
          const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this$17, id, map$1);
          const jsx$4 = extension.annotations$1;
          const this$18 = this$3$1.$$outer$1;
          const nodes = this$3$1.nodes$1;
          const key = extension.id$1;
          jsx$4.$$plus$plus$eq__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$18, nodes, sources, key));
          xo = new $c_s_Some().init___O(extension)
        };
        return xo.toList__sci_List()
      })
    })(this, map));
    const this$20 = $m_sc_Seq$();
    const extensions = properties.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$20.ReusableCBFInstance$2);
    if (extensions.nonEmpty__Z()) {
      const x1 = extensions.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          return x$8.isScalarExtension__Z()
        })
      })(this)));
      if ((x1 !== null)) {
        const scalars = x1.$$und1__O();
        const objects = x1.$$und2__O();
        const field$4 = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(instance, field$4, objects);
        this.applyScalarDomainProperties__p1__Lamf_core_model_domain_DomainElement__sc_Seq__V(instance, scalars)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parse__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$1 = this.$$outer$1;
    const ctx = this.$$outer$1.ctx$1;
    const this$2 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this$1, map, ctx);
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const value = arg1;
      const this$3 = this.retrieveType__p1__T__Lorg_yaml_model_YMap__s_Option(value, map);
      if (this$3.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const value2 = arg1$1;
        this$4 = new $c_s_Some().init___O(new $c_T2().init___O__O(value, value2))
      }
    };
    if (this$4.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$2 = this$4.get__O();
      const x0$1 = arg1$2;
      let jsx$1;
      if ((x0$1 !== null)) {
        const id = x0$1.$$und1__O();
        const model = x0$1.$$und2__O();
        const this$5 = this.$$outer$1;
        const sources = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveSources__T__Lorg_yaml_model_YMap__Lamf_core_model_document_SourceMap(this$5, id, map);
        const jsx$2 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$buildType__Lamf_core_metamodel_Obj__F1(model);
        const this$6 = this.$$outer$1;
        const nodes = this.nodes$1;
        const instance = jsx$2.apply__O__O($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$6, nodes, sources, id));
        instance.withId__T__Lamf_core_model_domain_AmfObject(id);
        this.checkLinkables__p1__Lamf_core_model_domain_AmfObject__V(instance);
        let modelFields;
        if ($is_Lamf_core_metamodel_domain_ShapeModel(model)) {
          const x2 = model;
          const jsx$4 = x2.fields__sci_List();
          const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field(), $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field()]));
          const this$7 = $m_sci_List$();
          modelFields = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2)
        } else {
          modelFields = model.fields__sci_List()
        };
        let these = modelFields;
        while ((!these.isEmpty__Z())) {
          const arg1$3 = these.head__O();
          const f = arg1$3;
          const k = f.value$1.iri__T();
          const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(k);
          if ($is_s_Some(x1)) {
            const x2$1 = x1;
            const entry = x2$1.value$2;
            const this$9 = this.$$outer$1;
            const t = f.type$1;
            const node = entry.value$1;
            this.traverse__p1__Lamf_core_model_domain_AmfObject__Lamf_core_metamodel_Field__Lorg_yaml_model_YNode__Lamf_core_model_document_SourceMap__T__O(instance, f, $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$9, t, node), sources, k)
          };
          these = these.tail__O()
        };
        matchEnd5: {
          if (($is_Lamf_core_model_domain_DomainElement(instance) && $is_Lamf_core_model_domain_Linkable(instance))) {
            const x2$2 = instance;
            this.parseLinkableProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, x2$2);
            break matchEnd5
          };
          if ($is_Lamf_core_model_domain_ExternalDomainElement(instance)) {
            const x3 = instance;
            if (this.unresolvedExtReferencesMap$1.get__O__s_Option(x3.id$1).isDefined__Z()) {
              const this$10 = this.unresolvedExtReferencesMap$1.get__O__s_Option(x3.id$1);
              if ((!this$10.isEmpty__Z())) {
                const arg1$4 = this$10.get__O();
                const element = arg1$4;
                const this$11 = x3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1).option$1;
                if ((!this$11.isEmpty__Z())) {
                  const arg1$5 = this$11.get__O();
                  const x$3 = arg1$5;
                  const field = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(element, field, x$3)
                }
              };
              this.unresolvedExtReferencesMap$1.remove__O__s_Option(x3.id$1);
              break matchEnd5
            }
          }
        };
        if ($is_Lamf_core_model_domain_DomainElement(instance)) {
          const x2$3 = instance;
          this.parseCustomProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, x2$3)
        };
        this.nodes$1 = this.nodes$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(id, instance));
        jsx$1 = instance
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      return new $c_s_Some().init___O(jsx$1)
    }
  };
  parseList__p1__T__Lamf_core_metamodel_Type__Lorg_yaml_model_YMap__sc_Seq(id, listElement, node) {
    const buffer = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    node.entries$3.sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.$$outer$1.ctx$1)
      })
    })(this)), $m_s_math_Ordering$String$()).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, buffer$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const thiz = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2.$$outer$1.ctx$1);
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
        const prefix = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "_").iri__T();
        if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
          return buffer$1.$$plus$eq__O__scm_ListBuffer(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this$2.$$outer$1.ctx$1).head__O())
        } else {
          return (void 0)
        }
      })
    })(this, buffer)));
    $m_scm_ListBuffer$();
    $m_scm_ListBuffer$();
    const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
    const this$11 = buffer.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$11;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const n = arg1;
      let this$16;
      if ($is_Lamf_core_metamodel_Obj(listElement)) {
        const xo = this.parse__p1__Lorg_yaml_model_YMap__s_Option(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
        this$16 = xo.toList__sci_List()
      } else {
        try {
          const jsx$1 = this.$$outer$1;
          const this$13 = this.$$outer$1;
          const xo$1 = new $c_s_Some().init___O(jsx$1.amf$plugins$document$graph$parser$GraphParser$$str__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$13, listElement, n)));
          this$16 = xo$1.toList__sci_List()
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ($is_jl_Exception(e$2)) {
            const xo$2 = $m_s_None$();
            this$16 = xo$2.toList__sci_List()
          } else {
            throw e
          }
        }
      };
      $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, this$16);
      these = these.tail__O()
    };
    return b.elems$1
  };
  traverse__p1__Lamf_core_model_domain_AmfObject__Lamf_core_metamodel_Field__Lorg_yaml_model_YNode__Lamf_core_model_document_SourceMap__T__O(instance, f, node, sources, key) {
    const x1 = f.type$1;
    const x = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    if ((x === x1)) {
      const x1$2 = this.dynamicGraphParser$1.parseDynamicType__Lorg_yaml_model_YMap__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const parsed = x2.value$2;
        const this$1 = this.$$outer$1;
        const nodes = this.nodes$1;
        const annotations = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$1, nodes, sources, key);
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, parsed, annotations)
      } else {
        return (void 0)
      }
    } else if ($is_Lamf_core_metamodel_Obj(x1)) {
      const this$2 = this.parse__p1__Lorg_yaml_model_YMap__s_Option(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
      if ((!this$2.isEmpty__Z())) {
        const arg1 = this$2.get__O();
        const n = arg1;
        const this$3 = this.$$outer$1;
        const nodes$1 = this.nodes$1;
        const annotations$1 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$3, nodes$1, sources, key);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, n, annotations$1)
      };
      return instance
    } else {
      const x$3 = $m_Lamf_core_metamodel_Type$Str$();
      let jsx$1;
      if (x$3.equals__O__Z(x1)) {
        jsx$1 = true
      } else {
        const x$5 = $m_Lamf_core_metamodel_Type$RegExp$();
        if (x$5.equals__O__Z(x1)) {
          jsx$1 = true
        } else {
          const x$7 = $m_Lamf_core_metamodel_Type$Iri$();
          jsx$1 = x$7.equals__O__Z(x1)
        }
      };
      if (jsx$1) {
        const value = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$str__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node);
        const this$4 = this.$$outer$1;
        const nodes$2 = this.nodes$1;
        const annotations$2 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$4, nodes$2, sources, key);
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value, annotations$2)
      } else {
        const x$9 = $m_Lamf_core_metamodel_Type$Bool$();
        if (x$9.equals__O__Z(x1)) {
          const value$1 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$bool__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node);
          const this$5 = this.$$outer$1;
          const nodes$3 = this.nodes$1;
          const annotations$3 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$5, nodes$3, sources, key);
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$1, annotations$3)
        } else {
          const x$11 = $m_Lamf_core_metamodel_Type$Int$();
          if (x$11.equals__O__Z(x1)) {
            const value$2 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$int__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node);
            const this$6 = this.$$outer$1;
            const nodes$4 = this.nodes$1;
            const annotations$4 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$6, nodes$4, sources, key);
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$2, annotations$4)
          } else {
            const x$13 = $m_Lamf_core_metamodel_Type$Float$();
            if (x$13.equals__O__Z(x1)) {
              const value$3 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$float__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node);
              const this$7 = this.$$outer$1;
              const nodes$5 = this.nodes$1;
              const annotations$5 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$7, nodes$5, sources, key);
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$3, annotations$5)
            } else {
              const x$15 = $m_Lamf_core_metamodel_Type$Double$();
              if (x$15.equals__O__Z(x1)) {
                const value$4 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$double__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node);
                const this$8 = this.$$outer$1;
                const nodes$6 = this.nodes$1;
                const annotations$6 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$8, nodes$6, sources, key);
                return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$4, annotations$6)
              } else {
                const x$17 = $m_Lamf_core_metamodel_Type$Date$();
                if (x$17.equals__O__Z(x1)) {
                  const value$5 = this.$$outer$1.amf$plugins$document$graph$parser$GraphParser$$date__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar(node);
                  const this$9 = this.$$outer$1;
                  const nodes$7 = this.nodes$1;
                  const annotations$7 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$9, nodes$7, sources, key);
                  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, value$5, annotations$7)
                } else if ($is_Lamf_core_metamodel_Type$SortedArray(x1)) {
                  const x12 = x1;
                  const values = this.parseList__p1__T__Lamf_core_metamodel_Type__Lorg_yaml_model_YMap__sc_Seq(instance.id__T(), x12.element$1, node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$1));
                  const this$10 = this.$$outer$1;
                  const nodes$8 = this.nodes$1;
                  const annotations$8 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$10, nodes$8, sources, key);
                  return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, values, annotations$8)
                } else if ($is_Lamf_core_metamodel_Type$Array(x1)) {
                  const x13 = x1;
                  const items = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$1);
                  const x1$3 = x13.element$1;
                  let values$1;
                  if ($is_Lamf_core_metamodel_Obj(x1$3)) {
                    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
                      return (function(n$3$2) {
                        const n$3 = n$3$2;
                        const xo = this$2$1.parse__p1__Lorg_yaml_model_YMap__s_Option(n$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this$2$1.$$outer$1.ctx$1));
                        return xo.toList__sci_List()
                      })
                    })(this));
                    const this$12 = $m_sc_Seq$();
                    values$1 = items.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$12.ReusableCBFInstance$2)
                  } else {
                    const x$19 = $m_Lamf_core_metamodel_Type$Str$();
                    let jsx$3;
                    if (x$19.equals__O__Z(x1$3)) {
                      jsx$3 = true
                    } else {
                      const x$21 = $m_Lamf_core_metamodel_Type$Iri$();
                      jsx$3 = x$21.equals__O__Z(x1$3)
                    };
                    if ((!jsx$3)) {
                      throw new $c_s_MatchError().init___O(x1$3)
                    };
                    const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, x13$1) {
                      return (function(n$4$2) {
                        const n$4 = n$4$2;
                        const jsx$5 = this$3$1.$$outer$1;
                        const this$13 = this$3$1.$$outer$1;
                        const t = x13$1.element$1;
                        return jsx$5.amf$plugins$document$graph$parser$GraphParser$$str__Lorg_yaml_model_YNode__Lamf_core_model_domain_AmfScalar($f_Lamf_plugins_document_graph_parser_GraphParserHelpers__value__Lamf_core_metamodel_Type__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode(this$13, t, n$4))
                      })
                    })(this, x13));
                    const this$14 = $m_sc_Seq$();
                    values$1 = items.map__F1__scg_CanBuildFrom__O(jsx$4, this$14.ReusableCBFInstance$2)
                  };
                  const x1$4 = x13.element$1;
                  if ($is_Lamf_core_metamodel_document_BaseUnitModel(x1$4)) {
                    const this$15 = this.$$outer$1;
                    const nodes$9 = this.nodes$1;
                    const annotations$9 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$15, nodes$9, sources, key);
                    return $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, values$1, annotations$9)
                  } else {
                    const this$16 = this.$$outer$1;
                    const nodes$10 = this.nodes$1;
                    const annotations$10 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__annotations__sci_Map__Lamf_core_model_document_SourceMap__T__Lamf_core_parser_Annotations(this$16, nodes$10, sources, key);
                    return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(instance, f, values$1, annotations$10)
                  }
                } else {
                  throw new $c_s_MatchError().init___O(x1)
                }
              }
            }
          }
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_graph_parser_GraphParser__sci_Map($$outer, nodes) {
    this.nodes$1 = nodes;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.unresolvedReferences$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.unresolvedExtReferencesMap$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.referencesMap$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.dynamicGraphParser$1 = new $c_Lamf_plugins_document_graph_parser_DynamicGraphParser().init___sci_Map__scm_Map__scm_Map__Lamf_core_parser_ParserContext(this.nodes$1, this.referencesMap$1, this.unresolvedReferences$1, $$outer.ctx$1);
    return this
  };
  parseLinkableProperties__p1__Lorg_yaml_model_YMap__Lamf_core_model_domain_DomainElement__V(map, instance) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_LinkableElementModel$().TargetId$1.value$1.iri__T());
    let this$6;
    if (this$2.isEmpty__Z()) {
      this$6 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$5 = this.$$outer$1;
      const jsx$1 = entry.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$4 = $m_sc_IndexedSeq$();
      const bf = this$4.ReusableCBF$6;
      const map$1 = jsx$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.$$outer$1.ctx$1).head__O();
      const ctx = this.$$outer$1.ctx$1;
      this$6 = $f_Lamf_plugins_document_graph_parser_GraphParserHelpers__retrieveId__Lorg_yaml_model_YMap__Lamf_core_parser_ParserContext__s_Option(this$5, map$1, ctx)
    };
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const targetId = arg1$1;
      this.setLinkTarget__p1__Lamf_core_model_domain_DomainElement__T__O(instance, targetId)
    };
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option($m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1.value$1.iri__T());
    let this$17;
    if (this$8.isEmpty__Z()) {
      this$17 = $m_s_None$()
    } else {
      const arg1$2 = this$8.get__O();
      const entry$3 = arg1$2;
      const node = entry$3.value$1;
      const this$10 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$SeqNodeYRead$());
      let this$12;
      if (this$10.isEmpty__Z()) {
        this$12 = $m_s_None$()
      } else {
        const arg1$3 = this$10.get__O();
        const nodes = arg1$3;
        const node$1 = nodes.head__O();
        this$12 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$())
      };
      let this$14;
      if (this$12.isEmpty__Z()) {
        this$14 = $m_s_None$()
      } else {
        const arg1$4 = this$12.get__O();
        const map$2 = arg1$4;
        this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("@value")
      };
      if (this$14.isEmpty__Z()) {
        this$17 = $m_s_None$()
      } else {
        const arg1$5 = this$14.get__O();
        const x$4 = arg1$5;
        const node$2 = x$4.value$1;
        const this$16 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$2).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        if (this$16.isEmpty__Z()) {
          this$17 = $m_s_None$()
        } else {
          const arg1$6 = this$16.get__O();
          const x$5 = arg1$6;
          this$17 = new $c_s_Some().init___O(x$5.text$3)
        }
      }
    };
    if ((!this$17.isEmpty__Z())) {
      const arg1$7 = this$17.get__O();
      const s = arg1$7;
      const this$18 = instance;
      const field = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Label$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$18, field, s)
    }
  };
}
const $is_Lamf_plugins_document_graph_parser_GraphParser$Parser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_graph_parser_GraphParser$Parser)))
});
const $isArrayOf_Lamf_plugins_document_graph_parser_GraphParser$Parser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_graph_parser_GraphParser$Parser)))
});
const $d_Lamf_plugins_document_graph_parser_GraphParser$Parser = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphParser$Parser: 0
}, false, "amf.plugins.document.graph.parser.GraphParser$Parser", {
  Lamf_plugins_document_graph_parser_GraphParser$Parser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_graph_parser_GraphParser$Parser.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphParser$Parser;
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Properties$1 = null;
    this.SubClassOf$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "displayName"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Properties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "properties"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
    this.SubClassOf$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "subClassOf"), true);
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Owl$1;
    const x$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Class");
    const this$13 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$13);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$4 = this.DisplayName$1;
    const x$3 = this.Description$1;
    const x$2 = this.Properties$1;
    const x$1 = this.SubClassOf$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    return new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_ClassTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.ClassTermModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$ extends $c_O {
  constructor() {
    super();
    this.DocumentName$1 = null;
    this.EncodedNode$1 = null;
    this.DeclaredNodes$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DocumentName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.EncodedNode$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "encodedNode"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DeclaredNodes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "declaredNode"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "DocumentMapping");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$6 = this.DocumentName$1;
    const x$5 = this.EncodedNode$1;
    const x$4 = this.DeclaredNodes$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$2);
    return new $c_sci_$colon$colon().init___O__sci_List(x$6, this$3)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.DocumentMappingModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$ extends $c_O {
  constructor() {
    super();
    this.Root$1 = null;
    this.Fragments$1 = null;
    this.Library$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Root$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "rootDocument"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Fragments$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "fragments"), true);
    const jsx$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Library$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "library"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$11 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "DocumentsModel");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$11, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$10 = this.Root$1;
    const x$9 = this.Fragments$1;
    const x$8 = this.Library$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$8, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$9, this$2);
    return new $c_sci_$colon$colon().init___O__sci_List(x$10, this$3)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.DocumentsModelModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$ extends $c_O {
  constructor() {
    super();
    this.Alias$1 = null;
    this.Base$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Alias$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "alias"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Base$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "base"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Owl$1;
    const x$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Ontology");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "ExternalVocabulary");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$10 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$9);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$10);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$2 = this.Alias$1;
    const x$1 = this.Base$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_External().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.ExternalModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.NodePropertyMapping$1 = null;
    this.LiteralRange$1 = null;
    this.ObjectRange$1 = null;
    this.MapKeyProperty$1 = null;
    this.MapValueProperty$1 = null;
    this.Sorted$1 = null;
    this.MinCount$1 = null;
    this.Pattern$1 = null;
    this.Minimum$1 = null;
    this.Maximum$1 = null;
    this.AllowMultiple$1 = null;
    this.Enum$1 = null;
    this.TypeDiscriminator$1 = null;
    this.TypeDiscriminatorName$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.NodePropertyMapping$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "path"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.LiteralRange$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "datatype"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$SortedArray().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.ObjectRange$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "node"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.MapKeyProperty$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "mapProperty"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.MapValueProperty$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "mapValueProperty"), true);
    const jsx$7 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Sorted$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "sorted"), true);
    const jsx$8 = $m_Lamf_core_metamodel_Type$Int$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MinCount$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "minCount"), true);
    const jsx$9 = $m_Lamf_core_metamodel_Type$Str$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Pattern$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "pattern"), true);
    const jsx$10 = $m_Lamf_core_metamodel_Type$Double$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Minimum$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "minInclusive"), true);
    const jsx$11 = $m_Lamf_core_metamodel_Type$Double$();
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Maximum$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "maxInclusive"), true);
    const jsx$12 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.AllowMultiple$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "allowMultiple"), true);
    const jsx$13 = new $c_Lamf_core_metamodel_Type$SortedArray().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Any$());
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Enum$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$13, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "in"), true);
    const jsx$14 = $m_Lamf_core_metamodel_Type$Str$();
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.TypeDiscriminator$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$14, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "typeDiscriminatorMap"), true);
    const jsx$15 = $m_Lamf_core_metamodel_Type$Str$();
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.TypeDiscriminatorName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$15, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "typeDiscriminatorName"), true);
    const this$31 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$17 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, "NodePropertyMapping");
    const this$33 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const x$16 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$33, "PropertyShape");
    const this$35 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$36 = new $c_sci_$colon$colon().init___O__sci_List(x$16, this$35);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$17, this$36);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$15 = this.NodePropertyMapping$1;
    const x$14 = this.Name$1;
    const x$13 = this.LiteralRange$1;
    const x$12 = this.ObjectRange$1;
    const x$11 = this.MapKeyProperty$1;
    const x$10 = this.MapValueProperty$1;
    const x$9 = this.MinCount$1;
    const x$8 = this.Pattern$1;
    const x$7 = this.Minimum$1;
    const x$6 = this.Maximum$1;
    const x$5 = this.AllowMultiple$1;
    const x$4 = this.Sorted$1;
    const x$3 = this.Enum$1;
    const x$2 = this.TypeDiscriminator$1;
    const x$1 = this.TypeDiscriminatorName$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4);
    const this$6 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$5);
    const this$7 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$6);
    const this$8 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$7);
    const this$9 = new $c_sci_$colon$colon().init___O__sci_List(x$8, this$8);
    const this$10 = new $c_sci_$colon$colon().init___O__sci_List(x$9, this$9);
    const this$11 = new $c_sci_$colon$colon().init___O__sci_List(x$10, this$10);
    const this$12 = new $c_sci_$colon$colon().init___O__sci_List(x$11, this$11);
    const this$13 = new $c_sci_$colon$colon().init___O__sci_List(x$12, this$12);
    const this$14 = new $c_sci_$colon$colon().init___O__sci_List(x$13, this$13);
    const this$15 = new $c_sci_$colon$colon().init___O__sci_List(x$14, this$14);
    return new $c_sci_$colon$colon().init___O__sci_List(x$15, this$15)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.PropertyMappingModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Range$1 = null;
    this.SubPropertyOf$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "displayName"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
    this.Range$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "range"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
    this.SubPropertyOf$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "subPropertyOf"), true);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$4 = this.DisplayName$1;
    const x$3 = this.Description$1;
    const x$2 = this.Range$1;
    const x$1 = this.SubPropertyOf$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    return new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4)
  };
}
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.MappedNode$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.MappedNode$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "mappedNode"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "PublicNodeMapping");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$2 = this.Name$1;
    const x$1 = this.MappedNode$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.PublicNodeMappingModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$ extends $c_O {
  constructor() {
    super();
    this.Alias$1 = null;
    this.Reference$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Alias$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "alias"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Reference$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Reference"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "VocabularyReference");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$2 = this.Alias$1;
    const x$1 = this.Reference$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.VocabularyReferenceModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$
});
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.map$1 = null;
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "DialectsReferencesParser"
  };
  productArity__I() {
    return 3
  };
  parseExternals__p1__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations__T__V(result, id) {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("external");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$3) {
        return (function(e$2) {
          const e = e$2;
          const alias = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          $m_Lorg_yaml_model_YNode$();
          const node = e.value$1;
          const base = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const external = new $c_Lamf_plugins_document_vocabularies_model_domain_External().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1;
          const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(external, field, alias);
          const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1;
          result$3.$$plus$eq__Lamf_plugins_document_vocabularies_model_domain_External__V($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field$1, base))
        })
      })(this, result)))
    }
  };
  parseLibraries__p1__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations__T__V(dialect, result, id) {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("uses");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, dialect$1, result$2, id$2) {
        return (function(e$2) {
          const e = e$2;
          const alias = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          const url = $this.library__p1__Lorg_yaml_model_YMapEntry__T(e);
          const this$4 = $this.target__p1__T__s_Option(url);
          if ((!this$4.isEmpty__Z())) {
            const arg1$1 = this$4.get__O();
            const x0$5 = arg1$1;
            if ($is_Lamf_core_model_document_DeclaresModel(x0$5)) {
              const y = new $c_T2().init___O__O(x0$5.id__T(), url);
              $this.collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(dialect$1, new $c_T2().init___O__O(alias, y));
              result$2.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, x0$5)
            } else {
              const this$7 = $this.ctx$1;
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected vocabulary module but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$5]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, id$2, message, e)
            }
          }
        })
      })(this, dialect, result, id)))
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser(x$1)) {
      const DialectsReferencesParser$1 = x$1;
      const x = this.dialect$1;
      const x$2 = DialectsReferencesParser$1.dialect$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DialectsReferencesParser$1.map$1))) {
        const x$3 = this.references$1;
        const x$4 = DialectsReferencesParser$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  target__p1__T__s_Option(url) {
    const this$2 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(r$2) {
        const r = r$2;
        const this$1 = r.origin$1.url$1;
        return (this$1 === url$1)
      })
    })(this, url)));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$9 = arg1;
      return new $c_s_Some().init___O(x$9.unit$1)
    }
  };
  parse__T__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations(location) {
    const result = new $c_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations().init___scm_Map__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext($m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), this.ctx$1);
    this.parseLibraries__p1__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations__T__V(this.dialect$1, result, location);
    this.parseExternals__p1__Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations__T__V(result, location);
    this.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        matchEnd7: {
          if ((x0$4 !== null)) {
            const f = x0$4.unit$1;
            const origin = x0$4.origin$1;
            const p2 = x0$4.ast$1;
            if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(f)) {
              const x3 = f;
              if ((origin !== null)) {
                const x = $m_s_None$();
                if ((x === p2)) {
                  result$1.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(origin.url$1, x3);
                  break matchEnd7
                }
              }
            }
          }
        }
      })
    })(this, result)));
    return result
  };
  collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(aliasCollectorUnit, alias) {
    const x1 = aliasCollectorUnit.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const aliases = x2.value$2;
      aliasCollectorUnit.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$10$2) {
          const x$10 = x$10$2;
          return $is_Lamf_core_annotations_Aliases(x$10)
        })
      })(this)));
      const aliases$1 = aliases.aliases$1.$$plus__O__sc_Set(alias);
      const annotation = new $c_Lamf_core_annotations_Aliases().init___sci_Set(aliases$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(aliasCollectorUnit, annotation)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const array = [alias];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          jsx$1 = $m_sci_Set$EmptySet$()
        } else {
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_SetBuilder(arg1);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.elems$1
        };
        const annotation$1 = new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$1);
        return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(aliasCollectorUnit, annotation$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(dialect, map, references, ctx) {
    this.dialect$1 = dialect;
    this.map$1 = map;
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  library__p1__Lorg_yaml_model_YMapEntry__T(e) {
    const this$1 = e.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Include$1;
    if ((x === x1)) {
      return e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3
    } else {
      $m_Lorg_yaml_model_YNode$();
      const node = e.value$1;
      return node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser)))
});
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsReferencesParser", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsReferencesParser;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ReferenceDeclarations"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations(x$1)) {
      const ReferenceDeclarations$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferenceDeclarations$1.references$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, unit) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(alias, unit));
    if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(unit)) {
      const x2 = unit;
      const library = this.ctx$1.declarations$2.getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(alias);
      x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, library$1) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(x0$2)) {
            const x2$1 = x0$2;
            library$1.registerTerm__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__V(x2$1)
          } else if ($is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x0$2)) {
            const x3 = x0$2;
            library$1.registerTerm__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__V(x3)
          } else {
            throw new $c_s_MatchError().init___O(x0$2)
          }
        })
      })(this, library)))
    } else if ($is_Lamf_core_model_document_DeclaresModel(unit)) {
      const library$2 = this.ctx$1.declarations$2.getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(alias);
      unit.declares__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, library$2$1) {
        return (function(x0$3$2) {
          const x0$3 = x0$3$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$3)) {
            const x2$2 = x0$3;
            return library$2$1.registerNodeMapping__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations(x2$2)
          } else {
            return library$2$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(x0$3)
          }
        })
      })(this, library$2)))
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(unit)) {
      const x4 = unit;
      const jsx$2 = this.ctx$1.declarations$2;
      const jsx$1 = this.ctx$1.declarations$2.fragments$1;
      const y = x4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1);
      jsx$2.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, y))
    } else {
      throw new $c_s_MatchError().init___O(unit)
    }
  };
  init___scm_Map__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(references, ctx) {
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  baseUnitReferences__sc_Seq() {
    return this.references$1.values__sc_Iterable().toSet__sci_Set().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$8$2) {
        return $is_Lamf_core_model_document_BaseUnit(x$8$2)
      })
    })(this))).toSeq__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$plus$eq__Lamf_plugins_document_vocabularies_model_domain_External__V(external) {
    const jsx$1 = this.references$1;
    const this$1 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
    const this$2 = this$1.option$1;
    const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
    jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, external));
    const jsx$3 = this.ctx$1.declarations$2;
    const jsx$2 = this.ctx$1.declarations$2.externals$2;
    const this$5 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
    const this$6 = this$5.option$1;
    const self$1 = (this$6.isEmpty__Z() ? null : this$6.get__O());
    jsx$3.externals$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, external))
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.ReferenceDeclarations", {
  Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_ReferenceDeclarations;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser extends $c_O {
  constructor() {
    super();
    this.dialectInstance$1 = null;
    this.map$1 = null;
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "DialectInstanceReferencesParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser(x$1)) {
      const DialectInstanceReferencesParser$1 = x$1;
      const x = this.dialectInstance$1;
      const x$2 = DialectInstanceReferencesParser$1.dialectInstance$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DialectInstanceReferencesParser$1.map$1))) {
        const x$3 = this.references$1;
        const x$4 = DialectInstanceReferencesParser$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialectInstance$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseLibraries__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations__T__V(dialectInstance, result, id) {
    const parsedLibraries = $m_scm_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("uses");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.key$1).find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      let this$5;
      if (this$4.isEmpty__Z()) {
        this$5 = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const x$5 = arg1$1;
        this$5 = new $c_s_Some().init___O(x$5.range__Lamf_core_parser_Range().start$1.line$1)
      };
      const annotation = new $c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation().init___I(((this$5.isEmpty__Z() ? 0 : this$5.get__O()) | 0));
      dialectInstance.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(annotation);
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, dialectInstance$1, result$2, id$1, parsedLibraries$1) {
        return (function(e$2) {
          const e = e$2;
          const alias = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$3$1.ctx$1).text$3;
          const url = this$3$1.library__p1__Lorg_yaml_model_YMapEntry__T(e);
          const this$6 = this$3$1.target__p1__T__s_Option(url);
          if ((!this$6.isEmpty__Z())) {
            const arg1$2 = this$6.get__O();
            const x0$4 = arg1$2;
            if ($is_Lamf_core_model_document_DeclaresModel(x0$4)) {
              parsedLibraries$1.$$plus$eq__O__scm_HashSet(url);
              const y = new $c_T2().init___O__O(x0$4.id__T(), url);
              this$3$1.collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(dialectInstance$1, new $c_T2().init___O__O(alias, y));
              result$2.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, x0$4)
            } else {
              const this$9 = this$3$1.ctx$1;
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected vocabulary module but found: '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$4]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, id$1, message, e)
            }
          }
        })
      })(this, dialectInstance, result, id, parsedLibraries)))
    };
    this.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, result$1, parsedLibraries$2) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        matchEnd6: {
          if ((x0$5 !== null)) {
            const lib = x0$5.unit$1;
            if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary(lib)) {
              const x4 = lib;
              const elem = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
              if ((!$f_scm_FlatHashTable__containsElem__O__Z(parsedLibraries$2, elem))) {
                result$1.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(x4.id$1, x4);
                break matchEnd6
              }
            }
          }
        }
      })
    })(this, result, parsedLibraries)))
  };
  parse__T__Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations(location) {
    const result = new $c_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations().init___scm_Map__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext($m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), this.ctx$1);
    this.parseLibraries__p1__Lamf_core_model_document_BaseUnit__Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations__T__V(this.dialectInstance$1, result, location);
    this.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        matchEnd7: {
          if ((x0$3 !== null)) {
            const f = x0$3.unit$1;
            const origin = x0$3.origin$1;
            const p2 = x0$3.ast$1;
            if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(f)) {
              const x3 = f;
              if ((origin !== null)) {
                const x = $m_s_None$();
                if ((x === p2)) {
                  result$1.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(origin.url$1, x3);
                  break matchEnd7
                }
              }
            }
          }
        }
      })
    })(this, result)));
    return result
  };
  target__p1__T__s_Option(url) {
    const this$2 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(r$2) {
        const r = r$2;
        const this$1 = r.origin$1.url$1;
        return (this$1 === url$1)
      })
    })(this, url)));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$4 = arg1;
      return new $c_s_Some().init___O(x$4.unit$1)
    }
  };
  collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(aliasCollectorUnit, alias) {
    const x1 = aliasCollectorUnit.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const aliases = x2.value$2;
      aliasCollectorUnit.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          return $is_Lamf_core_annotations_Aliases(x$6)
        })
      })(this)));
      const aliases$1 = aliases.aliases$1.$$plus__O__sc_Set(alias);
      const annotation = new $c_Lamf_core_annotations_Aliases().init___sci_Set(aliases$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(aliasCollectorUnit, annotation)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const array = [alias];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          jsx$1 = $m_sci_Set$EmptySet$()
        } else {
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_SetBuilder(arg1);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.elems$1
        };
        const annotation$1 = new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$1);
        return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(aliasCollectorUnit, annotation$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_model_document_BaseUnit__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(dialectInstance, map, references, ctx) {
    this.dialectInstance$1 = dialectInstance;
    this.map$1 = map;
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  library__p1__Lorg_yaml_model_YMapEntry__T(e) {
    const this$1 = e.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Include$1;
    if ((x === x1)) {
      return e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
      let jsx$1;
      if ((x$3 === x1)) {
        const map = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$include").isDefined__Z()
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const map$1 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("$include").get__O().value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1)
      } else {
        $m_Lorg_yaml_model_YNode$();
        const node = e.value$1;
        return node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)
      }
    }
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser)))
});
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceReferencesParser", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceReferencesParser;
class $c_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ReferenceDeclarations"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations(x$1)) {
      const ReferenceDeclarations$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferenceDeclarations$1.references$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, unit) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(alias, unit));
    if ($is_Lamf_core_model_document_DeclaresModel(unit)) {
      const library = this.ctx$1.declarations$2.getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(alias);
      unit.declares__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, alias$1, library$1) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$2)) {
            const x2 = x0$2;
            const localName = x2.localRefName__T();
            library$1.registerDialectDomainElement__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations(localName, x2);
            const this$3 = $this.ctx$1.futureDeclarations$1;
            const name = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ".", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([alias$1, localName]));
            $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$3, name, x2);
            return (void 0)
          } else {
            return library$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_core_parser_Declarations(x0$2)
          }
        })
      })(this, alias, library)))
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(unit)) {
      const x3 = unit;
      const jsx$2 = this.ctx$1.declarations$2;
      const jsx$1 = this.ctx$1.declarations$2.fragments$1;
      const y = x3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1);
      jsx$2.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, y))
    } else {
      throw new $c_s_MatchError().init___O(unit)
    }
  };
  init___scm_Map__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(references, ctx) {
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  baseUnitReferences__sc_Seq() {
    return this.references$1.values__sc_Iterable().toSet__sci_Set().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        return $is_Lamf_core_model_document_BaseUnit(x$3$2)
      })
    })(this))).toSeq__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.ReferenceDeclarations", {
  Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_ReferenceDeclarations;
class $c_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ReferenceDeclarations"
  };
  init___scm_Map__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext(references, ctx) {
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations(x$1)) {
      const ReferenceDeclarations$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferenceDeclarations$1.references$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, unit) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(alias, unit));
    const library = this.ctx$1.declarations$2.getOrCreateLibrary__T__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations(alias);
    if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(unit)) {
      const x2 = unit;
      this.ctx$1.registerVocabulary__T__Lamf_plugins_document_vocabularies_model_document_Vocabulary__V(alias, x2);
      x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, library$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(x0$1)) {
            const x2$1 = x0$1;
            library$1.registerTerm__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__V(x2$1)
          } else if ($is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x0$1)) {
            const x3 = x0$1;
            library$1.registerTerm__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__V(x3)
          } else {
            throw new $c_s_MatchError().init___O(x0$1)
          }
        })
      })(this, library)))
    } else {
      throw new $c_s_MatchError().init___O(unit)
    }
  };
  baseUnitReferences__sc_Seq() {
    return this.references$1.values__sc_Iterable().toSet__sci_Set().filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        return $is_Lamf_core_model_document_BaseUnit(x$4$2)
      })
    })(this))).toSeq__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$plus$eq__Lamf_plugins_document_vocabularies_model_domain_External__V(external) {
    const jsx$1 = this.references$1;
    const this$1 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
    const this$2 = this$1.option$1;
    const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
    jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, external));
    const jsx$3 = this.ctx$1.declarations$2;
    const jsx$2 = this.ctx$1.declarations$2.externals$2;
    const this$5 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
    const this$6 = this$5.option$1;
    const self$1 = (this$6.isEmpty__Z() ? null : this$6.get__O());
    jsx$3.externals$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, external))
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations)))
});
const $d_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations: 0
}, false, "amf.plugins.document.vocabularies.parser.vocabularies.ReferenceDeclarations", {
  Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations;
class $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "VocabulariesReferencesParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser(x$1)) {
      const VocabulariesReferencesParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(VocabulariesReferencesParser$1.map$1)) {
        const x = this.references$1;
        const x$2 = VocabulariesReferencesParser$1.references$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  parseExternals__p1__Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations__T__V(result, id) {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("external");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$2) {
        return (function(e$2) {
          const e = e$2;
          const alias = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          const base = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const external = new $c_Lamf_plugins_document_vocabularies_model_domain_External().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1;
          const this$7 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(external, field, alias);
          const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1;
          result$2.$$plus$eq__Lamf_plugins_document_vocabularies_model_domain_External__V($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field$1, base))
        })
      })(this, result)))
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseLibraries__p1__Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations__T__V(result, id) {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("uses");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1, id$2) {
        return (function(e$2) {
          const e = e$2;
          const alias = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          const url = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          const this$4 = $this.target__p1__T__s_Option(url);
          if ((!this$4.isEmpty__Z())) {
            const arg1$1 = this$4.get__O();
            const x0$2 = arg1$1;
            if ($is_Lamf_core_model_document_DeclaresModel(x0$2)) {
              const y = new $c_T2().init___O__O(x0$2.id__T(), url);
              result$1.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, $this.collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(x0$2, new $c_T2().init___O__O(alias, y)))
            } else {
              const this$7 = $this.ctx$1;
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected vocabulary module but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$2]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, id$2, message, e)
            }
          }
        })
      })(this, result, id)))
    }
  };
  init___Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext(map, references, ctx) {
    this.map$1 = map;
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  parse__T__Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations(location) {
    const result = new $c_Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations().init___scm_Map__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext($m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), this.ctx$1);
    this.parseLibraries__p1__Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations__T__V(result, location);
    this.parseExternals__p1__Lamf_plugins_document_vocabularies_parser_vocabularies_ReferenceDeclarations__T__V(result, location);
    return result
  };
  target__p1__T__s_Option(url) {
    const this$2 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(r$2) {
        const r = r$2;
        const this$1 = r.origin$1.url$1;
        return (this$1 === url$1)
      })
    })(this, url)));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$5 = arg1;
      return new $c_s_Some().init___O(x$5.unit$1)
    }
  };
  collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(module, alias) {
    const x1 = module.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const aliases = x2.value$2;
      module.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          return $is_Lamf_core_annotations_Aliases(x$6)
        })
      })(this)));
      const aliases$1 = aliases.aliases$1.$$plus__O__sc_Set(alias);
      const annotation = new $c_Lamf_core_annotations_Aliases().init___sci_Set(aliases$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const array = [alias];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          jsx$1 = $m_sci_Set$EmptySet$()
        } else {
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_SetBuilder(arg1);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.elems$1
        };
        const annotation$1 = new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$1);
        return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser)))
});
const $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser: 0
}, false, "amf.plugins.document.vocabularies.parser.vocabularies.VocabulariesReferencesParser", {
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesReferencesParser;
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$(), $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$(), $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$()]))
});
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_webapi_WebAPIDomainPlugin$(), $m_Lamf_plugins_domain_shapes_DataShapesDomainPlugin$(), $m_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$()]))
});
const $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map = (function($thiz) {
  const y = $m_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema$();
  const jsx$4 = new $c_T2().init___O__O("parsed-json-schema", y);
  const y$1 = $m_Lamf_plugins_document_webapi_annotations_DeclaredElement$();
  const jsx$3 = new $c_T2().init___O__O("declared-element", y$1);
  const y$2 = $m_Lamf_plugins_document_webapi_annotations_LocalLinkPath$();
  const jsx$2 = new $c_T2().init___O__O("local-link-path", y$2);
  const y$3 = $m_Lamf_plugins_document_webapi_annotations_ExtensionProvenance$();
  const jsx$1 = new $c_T2().init___O__O("extension-provenance", y$3);
  const y$4 = $m_Lamf_plugins_document_webapi_annotations_FormBodyParameter$();
  const array = [jsx$4, jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("form-body-parameter", y$4)];
  const this$12 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  let i = 0;
  const len = (array.length | 0);
  while ((i < len)) {
    const index = i;
    const arg1 = array[index];
    this$12.$$plus$eq__T2__scm_MapBuilder(arg1);
    i = ((1 + i) | 0)
  };
  return this$12.elems$1
});
class $c_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin extends $c_Lamf_plugins_document_webapi_JsonSchemaPlugin {
  constructor() {
    super();
    this.priority$3 = 0;
    this.ID$3 = null;
    this.vendors$3 = null;
    this.allowRecursiveReferences$3 = false
  };
  init___() {
    $c_Lamf_plugins_document_webapi_JsonSchemaPlugin.prototype.init___.call(this);
    this.priority$3 = $m_Lamf_core_plugins_AMFDocumentPluginSettings$PluginPriorities$().low$1;
    this.ID$3 = "JSON + Refs";
    this.vendors$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ID$3]));
    this.allowRecursiveReferences$3 = true;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    return unit
  };
  modelEntities__sc_Seq() {
    return $m_sci_Nil$()
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/json"]))
  };
  priority__I() {
    return this.priority$3
  };
  vendors__sc_Seq() {
    return this.vendors$3
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_JsonRefsReferenceHandler().init___()
  };
  ID__T() {
    return this.ID$3
  };
  dependencies__sc_Seq() {
    return $m_sci_Nil$()
  };
  canParse__Lamf_core_Root__Z(document) {
    const jsx$1 = $m_Lamf_core_utils_package$MediaTypeMatcher$();
    const content = document.raw$1;
    return jsx$1.isJson$extension__T__Z(content)
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, ctx, platform) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = (document.location$1 + "#/");
    const this$5 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value);
    const text = document.raw$1;
    const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
    const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, text);
    const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, "application/json");
    result.parsed$1 = new $c_s_Some().init___O(document.parsed$1.document$1.node$3);
    const jsx$2 = document.references$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.unit$1
      })
    })(this));
    const this$7 = $m_sc_Seq$();
    const references = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const this$11 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    const location = document.location$1;
    const field$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$12 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$2, location);
    const value$1 = document.location$1;
    const this$13 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$12, value$1);
    const field$3 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    const this$14 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$13, field$3, result);
    const location$1 = document.location$1;
    const field$4 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const fragment = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$14, field$4, location$1);
    if (references.nonEmpty__Z()) {
      const field$5 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(fragment, field$5, references)
    };
    return new $c_s_Some().init___O(fragment)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  serializableAnnotations__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$3
  };
}
class $c_Lamf_plugins_document_webapi_JsonSchemaPlugin$ extends $c_Lamf_plugins_document_webapi_JsonSchemaPlugin {
  init___() {
    $c_Lamf_plugins_document_webapi_JsonSchemaPlugin.prototype.init___.call(this);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_JsonSchemaPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_JsonSchemaPlugin$: 0
}, false, "amf.plugins.document.webapi.JsonSchemaPlugin$", {
  Lamf_plugins_document_webapi_JsonSchemaPlugin$: 1,
  Lamf_plugins_document_webapi_JsonSchemaPlugin: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_JsonSchemaPlugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_JsonSchemaPlugin$;
let $n_Lamf_plugins_document_webapi_JsonSchemaPlugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_JsonSchemaPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_JsonSchemaPlugin$)) {
    $n_Lamf_plugins_document_webapi_JsonSchemaPlugin$ = new $c_Lamf_plugins_document_webapi_JsonSchemaPlugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_JsonSchemaPlugin$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader extends $c_O {
  constructor() {
    super();
    this.text$1 = null
  };
  productPrefix__T() {
    return "RamlHeader"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_RamlHeader(x$1)) {
      const RamlHeader$1 = x$1;
      return (this.text$1 === RamlHeader$1.text$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(text) {
    this.text$1 = text;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  asRegExp__s_util_matching_Regex() {
    const x = (("\\s*" + $m_sjsr_RuntimeString$().replaceAll__T__T__T__T(this.text$1, " ", "\\\\s*")) + "\\s*");
    const this$2 = new $c_sci_StringOps().init___T(x);
    const groupNames = $m_sci_Nil$();
    const $$this = this$2.repr$1;
    return new $c_s_util_matching_Regex().init___T__sc_Seq($$this, groupNames)
  };
}
const $is_Lamf_plugins_document_webapi_parser_RamlHeader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_RamlHeader)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_RamlHeader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_RamlHeader)))
});
const $d_Lamf_plugins_document_webapi_parser_RamlHeader = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader", {
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader;
class $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables extends $c_O {
  constructor() {
    super();
    this.variables$1 = null
  };
  init___() {
    this.variables$1 = $m_scm_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  productPrefix__T() {
    return "AbstractVariables"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseVariables__T__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(s) {
    const this$1 = $m_Lamf_core_resolution_VariableReplacer$().VariableRegex$1.findAllMatchIn__jl_CharSequence__sc_Iterator(s);
    while (this$1.hasNext__Z()) {
      const arg1 = this$1.next__O();
      const m = arg1;
      const this$2 = this.variables$1;
      const elem = $f_s_util_matching_Regex$MatchData__group__I__T(m, 1);
      this$2.$$plus$eq__O__scm_HashSet(elem)
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.AbstractVariables", {
  Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables;
class $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "AnnotationParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser(x$1)) {
      const AnnotationParser$1 = x$1;
      const x = this.element$1;
      const x$2 = AnnotationParser$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationParser$1.map$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const extensions = $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(this.element$1.id__T(), this.map$1, this.ctx$1);
    const jsx$1 = $m_s_Option$();
    const this$1 = this.element$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field()));
    const oldExtensions = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    if (extensions.nonEmpty__Z()) {
      const this$4 = this.element$1;
      const this$3 = $m_sc_Seq$();
      const extensions$1 = oldExtensions.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(extensions, this$3.ReusableCBFInstance$2);
      const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$4, field, extensions$1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseOrphanNode__T__O(orphanNodeName) {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(orphanNodeName);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const orphanMapEntry = x2.value$2;
      const this$2 = orphanMapEntry.value$1;
      const x = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$2 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x$2)) {
        const extensions = $m_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser$().parseExtensions__T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext__sc_Seq(this.element$1.id__T(), orphanMapEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), this.ctx$1);
        extensions.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, orphanNodeName$1) {
          return (function(extension$2) {
            const extension = extension$2;
            const this$3 = $m_s_Option$().apply__O__s_Option(extension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1));
            if ((!this$3.isEmpty__Z())) {
              const arg1 = this$3.get__O();
              const x$1 = arg1;
              x$1.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension().init___T(orphanNodeName$1))
            }
          })
        })(this, orphanNodeName)));
        const jsx$1 = $m_s_Option$();
        const this$4 = this.element$1;
        const this$5 = jsx$1.apply__O__s_Option(this$4.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field()));
        const oldExtensions = (this$5.isEmpty__Z() ? $m_sci_Nil$() : this$5.get__O());
        if (extensions.nonEmpty__Z()) {
          const this$7 = this.element$1;
          const this$6 = $m_sc_Seq$();
          const extensions$1 = oldExtensions.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(extensions, this$6.ReusableCBFInstance$2);
          const field = $m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field();
          return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$7, field, extensions$1)
        } else {
          return (void 0)
        }
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(element, map, ctx) {
    this.element$1 = element;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.AnnotationParser", {
  Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.parameters$1 = null;
    this.parent$1 = null;
    this.idCounter$1 = null;
    this.ctx$1 = null
  };
  parseObject__Lorg_yaml_model_YMap__Lamf_core_model_domain_DataNode(value) {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value);
    const this$3 = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.idCounter$1.genId__T__T("object");
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
    const this$4 = this.parent$1;
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const parent = arg1;
      node.adopted__T__Lamf_core_model_domain_DataNode(parent)
    };
    const jsx$2 = value.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, node$1) {
      return (function(ast$2) {
        const ast = ast$2;
        const key = ast.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3;
        this$2$1.parameters$1.parseVariables__T__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(key);
        const value$1 = ast.value$1;
        const propertyAnnotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
        const propertyNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(value$1, this$2$1.parameters$1, new $c_s_Some().init___O(node$1.id$1), this$2$1.idCounter$1, this$2$1.ctx$1).parse__Lamf_core_model_domain_DataNode().forceAdopted__T__Lamf_core_model_domain_DataNode(node$1.id$1);
        const this$6 = new $c_Lamf_core_utils_package$Strings().init___T(key);
        const this$7 = this$6.platform$1;
        const url = this$6.str$1;
        node$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode($f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$7, url), propertyNode, propertyAnnotations);
        const this$8 = node$1.lexicalPropertiesAnnotation__s_Option();
        if (this$8.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$1 = this$8.get__O();
          const a = arg1$1;
          return new $c_s_Some().init___O(node$1.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(a))
        }
      })
    })(this, node));
    const this$9 = $m_sc_IndexedSeq$();
    jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$9.ReusableCBF$6);
    return node
  };
  productPrefix__T() {
    return "DataNodeParser"
  };
  productArity__I() {
    return 4
  };
  normalizeUrl__T__T(url) {
    if (((url.indexOf("://") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const protocol = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const path = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const remaining = $m_sjsr_RuntimeString$().split__T__T__I__AT(path, "/", 0);
      const elem = new $c_scm_ListBuffer().init___();
      let elem$1 = null;
      elem$1 = elem;
      let i = 0;
      const len = remaining.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = remaining.u[index];
        const x0$1 = arg1;
        if ((x0$1 !== ".")) {
          if ((x0$1 === "..")) {
            const this$15 = elem$1;
            elem$1 = $f_sc_IterableLike__dropRight__I__O(this$15, 1)
          } else {
            elem$1.$$plus$eq__O__scm_ListBuffer(x0$1)
          }
        };
        i = ((1 + i) | 0)
      };
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "://", ""]));
      const this$16 = elem$1;
      const this$17 = this$16.scala$collection$mutable$ListBuffer$$start$6;
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([protocol, $f_sc_TraversableOnce__mkString__T__T__T__T(this$17, "", "/", "")]))
    } else {
      return url
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser(x$1)) {
      const DataNodeParser$1 = x$1;
      let jsx$2;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataNodeParser$1.node$1)) {
        const x = this.parameters$1;
        const x$2 = DataNodeParser$1.parameters$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.parent$1;
        const x$4 = DataNodeParser$1.parent$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.idCounter$1;
        const x$6 = DataNodeParser$1.idCounter$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(ast, dataType) {
    let finalDataType;
    if ((dataType === "dateTimeOnly")) {
      const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
      finalDataType = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "dateTimeOnly").iri__T())
    } else if ((dataType === "rfc2616")) {
      const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
      finalDataType = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "rfc2616").iri__T())
    } else {
      const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
      finalDataType = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, dataType).iri__T())
    };
    $m_Lamf_core_model_domain_ScalarNode$();
    const value = ast.text$3;
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const this$9 = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, finalDataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.idCounter$1.genId__T__T("scalar");
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field, name);
    const this$10 = this.parent$1;
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const parent = arg1;
      node.adopted__T__Lamf_core_model_domain_DataNode(parent)
    };
    const this$11 = this.parameters$1;
    this$11.parseVariables__T__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables(ast.text$3);
    return node
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.parameters$1;
        break
      }
      case 2: {
        return this.parent$1;
        break
      }
      case 3: {
        return this.idCounter$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_DataNode() {
    const x1 = this.node$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Str$1;
    if ((x === x1)) {
      const thiz = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("^\\d{2}:\\d{2}:\\d{2}$", thiz)) {
        return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "time")
      } else {
        const thiz$1 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        if ((thiz$1 === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("^\\d{2}:\\d{2}$", thiz$1)) {
          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode($m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar((this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3 + ":00")), "time")
        } else {
          const thiz$2 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
          if ((thiz$2 === null)) {
            throw new $c_jl_NullPointerException().init___()
          };
          if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("^\\d{4}-\\d{1,2}-\\d{1,2}?$", thiz$2)) {
            return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "date")
          } else {
            return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "string")
          }
        }
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Int$1;
      if ((x$3 === x1)) {
        return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "integer")
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Float$1;
        if ((x$5 === x1)) {
          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "double")
        } else {
          const x$7 = $m_Lorg_yaml_model_YType$().Bool$1;
          if ((x$7 === x1)) {
            return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "boolean")
          } else {
            const x$9 = $m_Lorg_yaml_model_YType$().Null$1;
            if ((x$9 === x1)) {
              return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "nil")
            } else {
              const x$11 = $m_Lorg_yaml_model_YType$().Seq$1;
              if ((x$11 === x1)) {
                return this.parseArray__sc_Seq__Lorg_yaml_model_YPart__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1), this.node$1)
              } else {
                const x$13 = $m_Lorg_yaml_model_YType$().Map$1;
                if ((x$13 === x1)) {
                  return this.parseObject__Lorg_yaml_model_YMap__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1))
                } else {
                  const x$15 = $m_Lorg_yaml_model_YType$().Timestamp$1;
                  if ((x$15 === x1)) {
                    const thiz$3 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
                    if ((thiz$3 === null)) {
                      throw new $c_jl_NullPointerException().init___()
                    };
                    if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("(\\d{4})-(\\d{2})-(\\d{2})(T|t)(\\d{2})\\:(\\d{2})\\:(\\d{2})(([+-](\\d{2})\\:(\\d{2}))|(\\.\\d+)?Z|(\\.\\d+)?z)", thiz$3)) {
                      return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "dateTime")
                    } else {
                      const thiz$4 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
                      let jsx$1;
                      if (((thiz$4.indexOf(":") | 0) > (-1))) {
                        const thiz$5 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
                        jsx$1 = ((thiz$5.indexOf("T") | 0) > (-1))
                      } else {
                        jsx$1 = false
                      };
                      if (jsx$1) {
                        return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "dateTimeOnly")
                      } else {
                        const thiz$6 = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
                        if (((thiz$6.indexOf(":") | 0) > (-1))) {
                          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "dateTime")
                        } else {
                          return this.parseScalar__Lorg_yaml_model_YScalar__T__Lamf_core_model_domain_DataNode(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1), "date")
                        }
                      }
                    }
                  } else {
                    const this$11 = this.node$1;
                    const x$17 = this$11.tag__Lorg_yaml_model_YTag().tagType$2;
                    const x$18 = $m_Lorg_yaml_model_YType$().Include$1;
                    if ((x$17 === x$18)) {
                      return this.parseInclusion__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(this.node$1)
                    } else {
                      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse data node from AST structure ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(node, parameters, parent, idCounter, ctx) {
    this.node$1 = node;
    this.parameters$1 = parameters;
    this.parent$1 = parent;
    this.idCounter$1 = idCounter;
    this.ctx$1 = ctx;
    return this
  };
  parseArray__sc_Seq__Lorg_yaml_model_YPart__Lamf_core_model_domain_DataNode(seq, ast) {
    $m_Lamf_core_model_domain_ArrayNode$();
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const this$3 = new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.idCounter$1.genId__T__T("array");
    const field = $m_Lamf_core_metamodel_domain_DataNodeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
    const this$4 = this.parent$1;
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const parent = arg1;
      node.adopted__T__Lamf_core_model_domain_DataNode(parent)
    };
    seq.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, node$1) {
      return (function(v$2) {
        const v = v$2;
        const element = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(v, this$2$1.parameters$1, new $c_s_Some().init___O(node$1.id$1), this$2$1.idCounter$1, this$2$1.ctx$1).parse__Lamf_core_model_domain_DataNode().forceAdopted__T__Lamf_core_model_domain_DataNode(node$1.id$1);
        return node$1.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(element)
      })
    })(this, node)));
    return node
  };
  parseIncludedAST__T__Lamf_core_model_domain_DataNode(raw) {
    const qual$1 = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(raw, this.ctx$1).withIncludeTag__T__Lorg_yaml_parser_YamlParser("!include");
    const x1 = qual$1.parse__Z__sc_IndexedSeq(true).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return $is_Lorg_yaml_model_YNode(x$1)
      })
    })(this)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const node = x2.value$2;
      if ($is_Lorg_yaml_model_YNode(node)) {
        const x3 = node;
        return new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(x3, this.parameters$1, this.parent$1, this.idCounter$1, this.ctx$1).parse__Lamf_core_model_domain_DataNode()
      }
    };
    $m_Lamf_core_model_domain_ScalarNode$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const dataType = new $c_s_Some().init___O(new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T());
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$7 = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(raw, dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$6 = this.parent$1;
    const value = ((this$6.isEmpty__Z() ? "" : this$6.get__O()) + "/included");
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value)
  };
  parseInclusion__Lorg_yaml_model_YNode__Lamf_core_model_domain_DataNode(node) {
    const x1 = node.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      let rc5 = false;
      let x2$2 = null;
      const x1$2 = this.ctx$1.refs$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, x2$1) {
        return (function(ref$2) {
          const ref = ref$2;
          return (ref.origin$1.url$1 === x2$1.text$3)
        })
      })(this, x2)));
      if ($is_s_Some(x1$2)) {
        rc5 = true;
        x2$2 = x1$2;
        const ref$3 = x2$2.value$2;
        if ($is_Lamf_core_model_document_ExternalFragment(ref$3.unit$1)) {
          const this$1 = ref$3.unit$1;
          const this$2 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
          const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
          const this$4 = this$3.option$1;
          const includedText = (this$4.isEmpty__Z() ? null : this$4.get__O());
          return this.parseIncludedAST__T__Lamf_core_model_domain_DataNode(includedText)
        }
      };
      if (rc5) {
        const ref$4 = x2$2.value$2;
        if ($is_Lamf_core_model_document_EncodesModel(ref$4.unit$1)) {
          return this.parseLink__T__Lamf_core_model_domain_LinkNode(x2.text$3).withLinkedDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_LinkNode(ref$4.unit$1.encodes__Lamf_core_model_domain_DomainElement())
        }
      };
      const x1$3 = this.ctx$1.declarations$2.fragments$1.get__O__s_Option(x2.text$3);
      if ($is_s_Some(x1$3)) {
        const x2$3 = x1$3;
        const domainElement = x2$3.value$2;
        return this.parseLink__T__Lamf_core_model_domain_LinkNode(x2.text$3).withLinkedDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_LinkNode(domainElement)
      } else {
        return this.parseLink__T__Lamf_core_model_domain_LinkNode(x2.text$3)
      }
    } else {
      return this.parseLink__T__Lamf_core_model_domain_LinkNode(node.value__Lorg_yaml_model_YValue().toString__T())
    }
  };
  baseUrl__T__T(url) {
    if (((url.indexOf("://") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const protocol = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "://", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const path = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const xs$2 = $m_sjsr_RuntimeString$().split__T__T__I__AT(path, "/", 0);
      const until = (((-1) + xs$2.u.length) | 0);
      const x = ((until > 0) ? until : 0);
      const y = xs$2.u.length;
      const hi = ((x < y) ? x : y);
      const size = ((hi > 0) ? hi : 0);
      const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$2).getComponentType__jl_Class(), size);
      if ((size > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(xs$2, 0, result, 0, size)
      };
      const remaining = result;
      const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "://", ""]));
      const b = new $c_scm_StringBuilder().init___();
      let elem$1 = false;
      elem$1 = true;
      b.append__T__scm_StringBuilder("");
      let i = 0;
      const len = remaining.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = remaining.u[index];
        if (elem$1) {
          b.append__O__scm_StringBuilder(arg1);
          elem$1 = false
        } else {
          b.append__T__scm_StringBuilder("/");
          b.append__O__scm_StringBuilder(arg1)
        };
        i = ((1 + i) | 0)
      };
      b.append__T__scm_StringBuilder("");
      const this$27 = b.underlying$5;
      return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([protocol, this$27.content$1]))
    } else {
      const xs$3 = $m_sjsr_RuntimeString$().split__T__T__I__AT(url, "/", 0);
      const until$1 = (((-1) + xs$3.u.length) | 0);
      const x$1 = ((until$1 > 0) ? until$1 : 0);
      const y$1 = xs$3.u.length;
      const hi$1 = ((x$1 < y$1) ? x$1 : y$1);
      const size$1 = ((hi$1 > 0) ? hi$1 : 0);
      const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$3).getComponentType__jl_Class(), size$1);
      if ((size$1 > 0)) {
        $m_s_Array$().copy__O__I__O__I__I__V(xs$3, 0, result$1, 0, size$1)
      };
      const xs$4 = result$1;
      const b$1 = new $c_scm_StringBuilder().init___();
      let elem$1$1 = false;
      elem$1$1 = true;
      b$1.append__T__scm_StringBuilder("");
      let i$1 = 0;
      const len$1 = xs$4.u.length;
      while ((i$1 < len$1)) {
        const index$1 = i$1;
        const arg1$1 = xs$4.u[index$1];
        if (elem$1$1) {
          b$1.append__O__scm_StringBuilder(arg1$1);
          elem$1$1 = false
        } else {
          b$1.append__T__scm_StringBuilder("/");
          b$1.append__O__scm_StringBuilder(arg1$1)
        };
        i$1 = ((1 + i$1) | 0)
      };
      b$1.append__T__scm_StringBuilder("");
      const this$45 = b$1.underlying$5;
      return this$45.content$1
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseLink__T__Lamf_core_model_domain_LinkNode(linkText) {
    if (((linkText.indexOf(":") | 0) !== (-1))) {
      $m_Lamf_core_model_domain_LinkNode$();
      const this$8 = new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkText, linkText, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
      const this$7 = this.parent$1;
      const value = ((this$7.isEmpty__Z() ? "" : this$7.get__O()) + "/included");
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value)
    } else {
      const this$9 = this.parent$1;
      const thiz = (this$9.isEmpty__Z() ? "#" : this$9.get__O());
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
      const this$12 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const localUrl = $f_sc_IndexedSeqOptimized__head__O(this$12);
      const leftLink = ($m_sjsr_RuntimeString$().endsWith__T__T__Z(localUrl, "/") ? localUrl : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.baseUrl__T__T(localUrl)])));
      let rightLink;
      if ((((linkText.length | 0) >= 0) && (linkText.substring(0, ("/".length | 0)) === "/"))) {
        const this$19 = new $c_sci_StringOps().init___T(linkText);
        const $$this = this$19.repr$1;
        const until = ($$this.length | 0);
        rightLink = $m_sci_StringOps$().slice$extension__T__I__I__T(this$19.repr$1, 1, until)
      } else {
        rightLink = linkText
      };
      const finalLink = this.normalizeUrl__T__T((("" + leftLink) + rightLink));
      $m_Lamf_core_model_domain_LinkNode$();
      const this$26 = new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(linkText, finalLink, new $c_Lamf_core_parser_Fields().init___(), new $c_Lamf_core_parser_Annotations().init___());
      const this$25 = this.parent$1;
      const value$1 = ((this$25.isEmpty__Z() ? "" : this$25.get__O()) + "/included");
      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$26, value$1)
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.DataNodeParser", {
  Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.parent$1 = null;
    this.entry$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ExtensionParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser(x$1)) {
      const ExtensionParser$1 = x$1;
      if (((this.annotation$1 === ExtensionParser$1.annotation$1) && (this.parent$1 === ExtensionParser$1.parent$1))) {
        const x = this.entry$1;
        const x$2 = ExtensionParser$1.entry$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      case 2: {
        return this.entry$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(annotation, parent, entry, ctx) {
    this.annotation$1 = annotation;
    this.parent$1 = parent;
    this.entry$1 = entry;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_core_model_domain_extensions_DomainExtension() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const domainExtension = new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const x$3 = this.entry$1.value$1;
    const x$4 = new $c_s_Some().init___O(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parent$1, this.annotation$1])));
    const x$5 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
    const x$6 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
    const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(x$3, x$5, x$4, x$6, this.ctx$1).parse__Lamf_core_model_domain_DataNode();
    const this$6 = this.ctx$1.declarations$2.annotations$1;
    const key = this.annotation$1;
    const x1 = this$6.get__O__s_Option(key);
    let customDomainProperty;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      customDomainProperty = v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const this$9 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const name = this.annotation$1;
      const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
      customDomainProperty = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field, name)
    };
    const parent = this.parent$1;
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(domainExtension, parent);
    const field$1 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1;
    const this$10 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(domainExtension, field$1, dataNode);
    const field$2 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1;
    const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field$2, customDomainProperty);
    const name$1 = this.annotation$1;
    const field$3 = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$3, name$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.ExtensionParser", {
  Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_ExtensionParser;
class $c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.jsonSchemaRefEntry$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "JsonSchemaEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter(x$1)) {
      const JsonSchemaEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = JsonSchemaEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = JsonSchemaEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitDocument__Lorg_yaml_model_YDocument() {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.emitters$1, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering(shape, ordering) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.jsonSchemaRefEntry$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter(this);
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEntry$(), this.jsonSchemaRefEntry$1]));
    const jsx$1 = this.sortedTypeEntries__p1__sc_Seq();
    const this$1 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  sortedTypeEntries__p1__sc_Seq() {
    return this.ordering$1.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.shape$1])), $m_Lamf_core_emitter_SpecOrdering$Lexical$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), new $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitters$1)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.JsonSchemaEmitter", {
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ShapeExtensionParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser(x$1)) {
      const ShapeExtensionParser$1 = x$1;
      const x = this.shape$1;
      const x$2 = ShapeExtensionParser$1.shape$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ShapeExtensionParser$1.map$1))) {
        const x$3 = this.ctx$1;
        const x$4 = ShapeExtensionParser$1.ctx$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(shape, map, ctx) {
    this.shape$1 = shape;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.ctx$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const shapeExtensionDefinitions = this.shape$1.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(x$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    shapeExtensionDefinitions.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).distinct__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(shapeExtensionDefinition$2) {
        const shapeExtensionDefinition = shapeExtensionDefinition$2;
        const x1 = this$2$1.ctx$1.vendor__Lamf_core_remote_Vendor();
        let extensionKey;
        if ($is_Lamf_core_remote_Raml(x1)) {
          const this$4 = shapeExtensionDefinition.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$5 = this$4.option$1;
          extensionKey = (this$5.isEmpty__Z() ? null : this$5.get__O())
        } else if ($is_Lamf_core_remote_Oas(x1)) {
          const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["facet-", ""]));
          const this$6 = shapeExtensionDefinition.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$7 = this$6.option$1;
          const str = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$7.isEmpty__Z() ? null : this$7.get__O())]));
          extensionKey = new $c_Lamf_core_utils_package$Strings().init___T(str).asOasExtension__T()
        } else {
          const this$9 = this$2$1.ctx$1;
          const node = this$2$1.shape$1.id$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse shape extension for vendor ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$2$1.ctx$1.vendor__Lamf_core_remote_Vendor()]));
          const ast = this$2$1.map$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node, message, ast);
          const this$10 = shapeExtensionDefinition.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$11 = this$10.option$1;
          extensionKey = (this$11.isEmpty__Z() ? null : this$11.get__O())
        };
        const map = this$2$1.map$1;
        const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$14 = this$13.key__T__s_Option(extensionKey);
        if ((!this$14.isEmpty__Z())) {
          const arg1 = this$14.get__O();
          const entry = arg1;
          const x$2 = entry.value$1;
          const x$3 = new $c_s_Some().init___O((("" + this$2$1.shape$1.id$1) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/extension/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([extensionKey]))));
          const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
          const x$5 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
          const x$6 = this$2$1.ctx$1;
          const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(x$2, x$4, x$3, x$5, x$6).parse__Lamf_core_model_domain_DataNode();
          const this$17 = $m_Lamf_core_model_domain_extensions_ShapeExtension$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_ShapeExtension(entry);
          const field = $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1;
          const this$18 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$17, field, shapeExtensionDefinition);
          const field$1 = $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().Extension$1;
          const extension = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$18, field$1, dataNode);
          const this$19 = this$2$1.shape$1;
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field();
          $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$19, field$2, extension)
        }
      })
    })(this)))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.ShapeExtensionParser", {
  Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser extends $c_O {
  constructor() {
    super();
    this.declaration$1 = null;
    this.parent$1 = null;
    this.key$1 = null;
    this.entryValue$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser(x$1)) {
      const AbstractDeclarationParser$1 = x$1;
      const x = this.declaration$1;
      const x$2 = AbstractDeclarationParser$1.declaration$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.parent$1 === AbstractDeclarationParser$1.parent$1)) && (this.key$1 === AbstractDeclarationParser$1.key$1))) {
        return this.entryValue$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AbstractDeclarationParser$1.entryValue$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$1;
        break
      }
      case 1: {
        return this.parent$1;
        break
      }
      case 2: {
        return this.key$1;
        break
      }
      case 3: {
        return this.entryValue$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(declaration, parent, key, entryValue, ctx) {
    this.declaration$1 = declaration;
    this.parent$1 = parent;
    this.key$1 = key;
    this.entryValue$1 = entryValue;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseReferenced__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_AbstractDeclaration(declared, parsedUrl, ast) {
    let d;
    if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(declared)) {
      d = this.ctx$1.declarations$2.findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(ast, parsedUrl, $m_Lamf_core_parser_SearchScope$Fragments$())
    } else {
      if ((!$is_Lamf_plugins_domain_webapi_models_templates_ResourceType(declared))) {
        throw new $c_s_MatchError().init___O(declared)
      };
      d = this.ctx$1.declarations$2.findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(ast, parsedUrl, $m_Lamf_core_parser_SearchScope$Fragments$())
    };
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast);
    const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(d, parsedUrl, annotations);
    copied.withId__T__Lamf_core_model_domain_AmfObject(d.id$1);
    const name = this.key$1;
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name)
  };
  parse__Lamf_core_model_domain_templates_AbstractDeclaration() {
    const this$1 = this.entryValue$1;
    const x = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x$2)) {
      const this$2 = this.ctx$1;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingWarningSpecification$1.id__T();
      const node = this.parent$1;
      const ast = this.entryValue$1;
      const property = $m_s_None$();
      $f_Lamf_core_parser_ErrorHandler__warning__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$2, id, node, property, "Generating abstract declaration (resource type / trait)  with null value", ast)
    };
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entryValue$1);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const link = x2.value$2;
      const this$3 = this.parseReferenced__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_AbstractDeclaration(this.declaration$1, link, this.entryValue$1);
      const parent = this.parent$1;
      return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$3, parent)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const value = x3.value$2;
      const variables = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const thiz = this.parent$1;
      let parentUri;
      if (((thiz.indexOf("#") | 0) !== (-1))) {
        parentUri = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parent$1, this.key$1]))
      } else {
        parentUri = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "#/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parent$1, this.key$1]))
      };
      const x1$2 = value.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
      let filteredNode;
      if ((x$3 === x1$2)) {
        const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$9 = this$8.key__T__s_Option("usage");
        if ((!this$9.isEmpty__Z())) {
          const arg1 = this$9.get__O();
          const usage = arg1;
          const this$10 = this.declaration$1;
          const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Description$1;
          const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(usage.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(usage));
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$10, field, value$1)
        };
        const fields = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return (x$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2$1.ctx$1).text$3 !== "usage")
          })
        })(this)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const map$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(fields);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        filteredNode = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t, a, cs)
      } else {
        filteredNode = value
      };
      const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(filteredNode, variables, new $c_s_Some().init___O(parentUri), new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___(), this.ctx$1).parse__Lamf_core_model_domain_DataNode();
      const this$18 = this.declaration$1;
      const name = this.key$1;
      const field$1 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
      const this$19 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$18, field$1, name);
      const parent$1 = this.parent$1;
      const this$20 = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$19, parent$1);
      const field$2 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().DataNode$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$20, field$2, dataNode);
      const this$21 = variables.variables$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$21)) {
        const this$22 = variables.variables$1;
        const arg1$1 = $f_scm_SetLike__toSeq__sc_Seq(this$22);
        const this$23 = this.declaration$1;
        const field$3 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Variables$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$23, field$3, arg1$1)
      };
      return this.declaration$1
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.producer$1 = null;
    this.map$1 = null;
    this.customProperties$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationsParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser(x$1)) {
      const AbstractDeclarationsParser$1 = x$1;
      let jsx$1;
      if ((this.key$1 === AbstractDeclarationsParser$1.key$1)) {
        const x = this.producer$1;
        const x$2 = AbstractDeclarationsParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AbstractDeclarationsParser$1.map$1))) {
        return (this.customProperties$1 === AbstractDeclarationsParser$1.customProperties$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.customProperties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const this$4 = e.value$1;
      const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        const jsx$2 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(entry$2) {
            const entry = entry$2;
            return $this.ctx$1.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($m_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$().apply__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser($this.producer$1.apply__O__O(entry), $this.customProperties$1, entry, $this.ctx$1).parse__Lamf_core_model_domain_templates_AbstractDeclaration())
          })
        })(this));
        const this$5 = $m_sc_IndexedSeq$();
        jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBF$6)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          const this$6 = this.ctx$1;
          const node = this.customProperties$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for '", "' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1, this.key$1]));
          const ast = e.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$6, node, message, ast)
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext(key, producer, map, customProperties, ctx) {
    this.key$1 = key;
    this.producer$1 = producer;
    this.map$1 = map;
    this.customProperties$1 = customProperties;
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationsParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "AnnotationsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter(x$1)) {
      const AnnotationsEmitter$1 = x$1;
      const x = this.element$1;
      const x$2 = AnnotationsEmitter$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.element$1;
    const jsx$2 = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field()).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (!x$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension.getClassOf()))
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return this$2.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().annotationEmitter__F2().apply__O__O__O(x$2, this$2.ordering$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(element, ordering, spec) {
    this.element$1 = element;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AnnotationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter extends $c_O {
  constructor() {
    super();
    this.field$1 = null;
    this.ordering$1 = null;
    this.oasExtension$1 = false
  };
  productPrefix__T() {
    return "ExtendsEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(field, ordering, oasExtension) {
    this.field$1 = field;
    this.ordering$1 = ordering;
    this.oasExtension$1 = oasExtension;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter(x$1)) {
      const ExtendsEmitter$1 = x$1;
      const x = this.field$1;
      const x$2 = ExtendsEmitter$1.field$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ExtendsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.oasExtension$1 === ExtendsEmitter$1.oasExtension$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.field$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.oasExtension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.field$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter(this);
    const this$2 = $m_sc_Seq$();
    const resourceTypes = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    if (resourceTypes.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering(this.extension__p1__T__T("type"), resourceTypes, this.ordering$1))
    };
    const this$3 = this.field$1;
    const jsx$4 = this$3.value$1.value$1.values$1;
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter(this);
    const this$4 = $m_sc_Seq$();
    const traits = jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    if (traits.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.extension__p1__T__T("is"), this.field$1, this.ordering$1))
    };
    return result
  };
  extension__p1__T__T(key) {
    return (this.oasExtension$1 ? new $c_Lamf_core_utils_package$Strings().init___T(key).asOasExtension__T() : key)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.field$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.oasExtension$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExtendsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "FacetsEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(element, ordering, spec) {
    this.element$1 = element;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter(x$1)) {
      const FacetsEmitter$1 = x$1;
      const x = this.element$1;
      const x$2 = FacetsEmitter$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = FacetsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.element$1;
    const jsx$2 = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapeProperties__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(extension$2) {
        const extension = extension$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().facetsInstanceEmitter__F2().apply__O__O__O(extension, $this.ordering$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.FacetsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser extends $c_O {
  constructor() {
    super();
    this.e$1 = null
  };
  productPrefix__T() {
    return "LibraryLocationParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser(x$1)) {
      const LibraryLocationParser$1 = x$1;
      const x = this.e$1;
      const x$2 = LibraryLocationParser$1.e$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.e$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.e$1.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Include$1;
    if ((x === x1)) {
      return new $c_s_Some().init___O(this.e$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x$3 === x1)) {
        return $m_s_None$()
      } else {
        $m_Lorg_yaml_model_YNode$();
        const node = this.e$1.value$1;
        return new $c_s_Some().init___O(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_yaml_model_YMapEntry(e) {
    this.e$1 = e;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.LibraryLocationParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "NodeDependencyParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser(x$1)) {
      const NodeDependencyParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = NodeDependencyParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.properties$1;
        const x$4 = NodeDependencyParser$1.properties$1;
        return ((x$3 === null) ? (x$4 === null) : $f_sc_GenMapLike__equals__O__Z(x$3, x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.properties$1.get__O__s_Option(this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$3 = $m_Lamf_plugins_domain_shapes_models_PropertyDependencies$().apply__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_shapes_models_PropertyDependencies(this.entry$1);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p.id$1, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.key$1);
      const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$3, field, value, annotations);
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(this.targets__p1__sc_Seq(), new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.value$1);
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field$1, value$1, annotations$1))
    }
  };
  targets__p1__sc_Seq() {
    const node = this.entry$1.value$1;
    const iv = $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1;
    const this$2 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const jsx$2 = $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this$2).scalars__sc_Seq();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        const this$3 = $this.properties$1.get__O__s_Option($objectToString(v.value$1));
        let xo;
        if (this$3.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$3.get__O();
          const p = arg1;
          xo = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(p.id$1, v.annotations$1))
        };
        return xo.toList__sci_List()
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  init___Lorg_yaml_model_YMapEntry__scm_ListMap(entry, properties) {
    this.entry$1 = entry;
    this.properties$1 = properties;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.NodeDependencyParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters extends $c_O {
  constructor() {
    super();
    this.apiKey$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasApiKeySettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters(x$1)) {
      const OasApiKeySettingsEmitters$1 = x$1;
      const x = this.apiKey$1;
      const x$2 = OasApiKeySettingsEmitters$1.apiKey$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasApiKeySettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.apiKey$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(this.apiKey$1, this.ordering$1).emitters__sc_Seq());
    const internals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = this.apiKey$1;
    const this$3 = this$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      internals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(f.value$1.value$1, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq())
    };
    if (internals.nonEmpty__Z()) {
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(internals, this.apiKey$1, this.ordering$1))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(apiKey, ordering) {
    this.apiKey$1 = apiKey;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasApiKeySettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasArrayShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter(x$1)) {
      const OasArrayShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasArrayShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasArrayShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasArrayShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.shape$1;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(this.spec$1.oasTypePropertyEmitter__T__Lamf_core_model_domain_Shape__Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter("array", this.shape$1));
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maxItems", f, $m_s_None$())))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minItems", f$3, $m_s_None$())))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("uniqueItems", f$4, $m_s_None$())))
    };
    let rc6 = false;
    let x2 = null;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().CollectionFormat$1);
    matchEnd7: {
      if ($is_s_Some(x1)) {
        rc6 = true;
        x2 = x1;
        const f$5 = x2.value$2;
        if (f$5.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems.getClassOf())) {
          result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__s_Option__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("collectionFormat", f$5, $m_s_None$())), this.spec$1));
          break matchEnd7
        }
      };
      if (rc6) {
        const f$6 = x2.value$2;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__s_Option__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, $m_s_None$(), this.spec$1)).$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("collectionFormat", f$6, $m_s_None$()));
        break matchEnd7
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__s_Option__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, this.ordering$1, this.references$1, $m_s_None$(), this.spec$1));
        break matchEnd7
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasArrayShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(document, ordering, spec) {
    this.document$1 = document;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasCreativeWorkItemsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter(x$1)) {
      const OasCreativeWorkItemsEmitter$1 = x$1;
      const x = this.document$1;
      const x$2 = OasCreativeWorkItemsEmitter$1.document$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = OasCreativeWorkItemsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const fs = this.document$1.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("url", f, $m_s_None$())))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("title").asOasExtension__T(), f$4, $m_s_None$())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.document$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return this.ordering$1.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkItemsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.o1$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasOAuth1SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters(x$1)) {
      const OasOAuth1SettingsEmitters$1 = x$1;
      const x = this.o1$1;
      const x$2 = OasOAuth1SettingsEmitters$1.o1$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasOAuth1SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.o1$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.o1$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const this$2 = this.o1$1;
    const this$3 = this$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(f.value$1.value$1, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq())
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(results, this.o1$1, this.ordering$1)]))
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(o1, ordering, spec) {
    this.o1$1 = o1;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOAuth1SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.settings$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasOAuth2SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters(x$1)) {
      const OasOAuth2SettingsEmitters$1 = x$1;
      const x = this.settings$1;
      const x$2 = OasOAuth2SettingsEmitters$1.settings$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasOAuth2SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settings$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const fs = this.settings$1.fields__Lamf_core_parser_Fields();
    const externals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("authorizationUrl", f, $m_s_None$())))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("tokenUrl", f$3, $m_s_None$())))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("flow", f$4, $m_s_None$())))
    };
    const this$7 = this.settings$1;
    const orphanAnnotations = this$7.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field()).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        return x$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension.getClassOf())
      })
    })(this)));
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$3 = this$8.get__O();
      const f$5 = arg1$3;
      externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("scopes", f$5, this.ordering$1, orphanAnnotations, this.spec$1))
    };
    const internals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$4 = this$9.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(internals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("authorizationGrants", f$6, this.ordering$1, false)))
    };
    const this$10 = this.settings$1.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$10.isEmpty__Z())) {
      const arg1$5 = this$10.get__O();
      const f$7 = arg1$5;
      internals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(f$7.value$1.value$1, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq())
    };
    if (internals.nonEmpty__Z()) {
      externals.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(internals, this.settings$1, this.ordering$1))
    };
    externals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.settings$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return externals
  };
  init___Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(settings, ordering, spec) {
    this.settings$1 = settings;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOAuth2SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSchemaShapeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter(x$1)) {
      const OasSchemaShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasSchemaShapeEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSchemaShapeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.shape$1;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(this.spec$1.oasTypePropertyEmitter__T__Lamf_core_model_domain_Shape__Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter("object", this.shape$1));
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("mediaType").asOasExtension__T(), f, $m_s_None$())))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("schema").asOasExtension__T(), f$3, $m_s_None$())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.shape$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return result
  };
  init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSchemaShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters extends $c_O {
  constructor() {
    super();
    this.f$1 = null
  };
  productPrefix__T() {
    return "OasScopeValuesEmitters"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_core_parser_FieldEntry(f) {
    this.f$1 = f;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters(x$1)) {
      const OasScopeValuesEmitters$1 = x$1;
      const x = this.f$1;
      const x$2 = OasScopeValuesEmitters$1.f$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters(this);
    const this$2 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasScopeValuesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.mapType$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter(x$1)) {
      const OasSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = OasSecuritySchemeEmitter$1.securityScheme$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.mapType$1;
        const x$4 = OasSecuritySchemeEmitter$1.mapType$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = OasSecuritySchemeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.mapType$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.securityScheme$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x$24 = this.mapType$1.text$1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = f.value$1.annotations$1;
      const x$25 = this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const x$26 = $m_Lorg_yaml_model_YType$().Str$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", x$24, x$26, x$25)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("displayName").asOasExtension__T(), f$3, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$2 = this$7.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$4, $m_s_None$())))
    };
    const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("describedBy").asOasExtension__T();
    const jsx$3 = this.securityScheme$1;
    const jsx$2 = this.ordering$1;
    const jsx$1 = $m_sci_Nil$();
    const spec = this.spec$1;
    results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter().init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(jsx$4, jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)));
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$3 = this$11.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$5, this.ordering$1, this.spec$1).emitters__sc_Seq()))
    };
    return this.ordering$1.sorted__sc_Seq__sc_Seq(results)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(securityScheme, mapType, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.mapType$1 = mapType;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.scheme$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySettingsParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme($$outer, map, scheme) {
    this.map$1 = map;
    this.scheme$1 = scheme;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OasSecuritySettingsParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasSecuritySettingsParser$1.map$1)) {
        const x = this.scheme$1;
        const x$2 = OasSecuritySettingsParser$1.scheme$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.scheme$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.scheme$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    const this$3 = this$2.option$1;
    const x1 = (this$3.isEmpty__Z() ? null : this$3.get__O());
    let result;
    if ((x1 === "OAuth 1.0")) {
      result = new $c_s_Some().init___O(this.oauth1__p1__Lamf_plugins_domain_webapi_models_security_OAuth1Settings())
    } else if ((x1 === "OAuth 2.0")) {
      result = new $c_s_Some().init___O(this.oauth2__p1__Lamf_plugins_domain_webapi_models_security_OAuth2Settings())
    } else if ((x1 === "x-amf-apiKey")) {
      result = new $c_s_Some().init___O(this.apiKey__p1__Lamf_plugins_domain_webapi_models_security_ApiKeySettings())
    } else {
      const map = this.map$1;
      const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("settings").asOasExtension__T());
      if (this$6.isEmpty__Z()) {
        result = $m_s_None$()
      } else {
        const arg1 = this$6.get__O();
        const entry = arg1;
        result = new $c_s_Some().init___O(this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f), this.scheme$1.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings(), new $c_sjs_js_WrappedArray().init___sjs_js_Array([])))
      }
    };
    if (result.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = result.get__O();
      const ss = arg1$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(ss, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
      return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(ss, other))
    }
  };
  dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(xSettings, settings, properties) {
    const entries = xSettings.entries$3.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, properties$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const key = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).text$3;
        return (properties$1.contains__O__Z(key) || $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().isOasAnnotation__T__Z(key))
      })
    })(this, properties)));
    if ($f_sc_TraversableOnce__nonEmpty__Z(entries)) {
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(entries);
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const x$4 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
      const x$5 = new $c_s_Some().init___O(settings.id$1);
      const x$6 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const x$7 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const node = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(x$4, x$6, x$5, x$7, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__Lamf_core_model_domain_DataNode();
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(settings, field, node)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.scheme$1, xSettings, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
    return settings
  };
  oauth2__p1__Lamf_plugins_domain_webapi_models_security_OAuth2Settings() {
    const settings = this.scheme$1.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1;
    const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
    jsx$1.key__T__F1__V("authorizationUrl", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1;
    const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
    jsx$2.key__T__F1__V("tokenUrl", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$2 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this$6.key__T__s_Option("flow");
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$2);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$2, value$1, annotations)
    };
    const map$3 = this.map$1;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$11 = this$10.key__T__s_Option("scopes");
    if ((!this$11.isEmpty__Z())) {
      const arg1$1 = this$11.get__O();
      const entry$3 = arg1$1;
      const scopeMap = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const jsx$4 = scopeMap.entries$3.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(entry$2$2) {
          const entry$2 = entry$2$2;
          const jsx$5 = $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$();
          $m_Lorg_yaml_model_YNode$();
          const node$1 = entry$2.key$1;
          return jsx$5.isOasAnnotation__T__Z(node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
        })
      })(this)));
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(scopeEntry$2) {
          const scopeEntry = scopeEntry$2;
          return this$2$1.parseScope__p1__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_webapi_models_security_Scope(scopeEntry)
        })
      })(this));
      const this$13 = $m_sc_IndexedSeq$();
      const scopes = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$13.ReusableCBF$6);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$3, scopes, annotations$1)
    };
    const map$4 = this.map$1;
    const this$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("settings").asOasExtension__T();
    const this$17 = this$16.key__T__s_Option(keyword);
    if ((!this$17.isEmpty__Z())) {
      const arg1$2 = this$17.get__O();
      const entry$4 = arg1$2;
      const xSettings = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(xSettings);
      const this$19 = this.$$outer$1;
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1;
      const iv$3 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$6.key__T__F1__V("authorizationGrants", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(xSettings, settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["authorizationGrants"]))
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(settings, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parseOrphanNode__T__O("scopes");
    return settings
  };
  oauth1__p1__Lamf_plugins_domain_webapi_models_security_OAuth1Settings() {
    const settings = this.scheme$1.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings();
    const map = this.map$1;
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("settings").asOasExtension__T();
    const this$4 = this$3.key__T__s_Option(keyword);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const entry = arg1;
      const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$6 = this.$$outer$1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$1.key__T__F1__V("requestTokenUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$8 = this.$$outer$1;
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1;
      const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$2.key__T__F1__V("authorizationUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$8, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$10 = this.$$outer$1;
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1;
      const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$3.key__T__F1__V("tokenCredentialsUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$10, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$12 = this.$$outer$1;
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1;
      const iv$3 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$4.key__T__F1__V("signatures", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$12, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
      this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(map$1, settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["requestTokenUri", "authorizationUri", "tokenCredentialsUri", "signatures"]))
    };
    return settings
  };
  apiKey__p1__Lamf_plugins_domain_webapi_models_security_ApiKeySettings() {
    const settings = this.scheme$1.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings();
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("name");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field, value$1, annotations)
    };
    const map$1 = this.map$1;
    const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$7 = this$6.key__T__s_Option("in");
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1;
      const value$3 = value$2.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$1, value$3, annotations$1)
    };
    const map$2 = this.map$1;
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("settings").asOasExtension__T();
    const this$12 = this$11.key__T__s_Option(keyword);
    if ((!this$12.isEmpty__Z())) {
      const arg1$2 = this$12.get__O();
      const entry$4 = arg1$2;
      this.dynamicSettings__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f), settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["name", "in"]))
    };
    return settings
  };
  parseScope__p1__Lorg_yaml_model_YMapEntry__Lamf_plugins_domain_webapi_models_security_Scope(scopeEntry) {
    const name = scopeEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).text$3;
    $m_Lorg_yaml_model_YNode$();
    const node = scopeEntry.value$1;
    const description = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
    const this$3 = $m_Lamf_plugins_domain_webapi_models_security_Scope$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_Scope(scopeEntry);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(name, new $c_Lamf_core_parser_Annotations().init___());
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(scopeEntry.key$1);
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$3, field, value, annotations);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1;
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(description, new $c_Lamf_core_parser_Annotations().init___());
    const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(scopeEntry.value$1);
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field$1, value$1, annotations$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemeParser$OasSecuritySettingsParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySettingsEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter(x$1)) {
      const OasSecuritySettingsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasSecuritySettingsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSecuritySettingsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const settings = this.f$1.value$1.value$1;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(settings)) {
      const x2 = settings;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth1SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(settings)) {
      const x3 = settings;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x3, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(settings)) {
      const x4 = settings;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasApiKeySettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(x4, this.ordering$1).emitters__sc_Seq()
    } else {
      const internals = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$1 = settings.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const f = arg1;
        internals.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(f.value$1.value$1, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq())
      };
      return (internals.nonEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter().init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(internals, settings, this.ordering$1)])) : $m_sci_Nil$())
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySettingsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySettingsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.ignored$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasTypeEmitter"
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.ignored$1 = ignored;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter(x$1)) {
      const OasTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasTypeEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasTypeEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ignored$1;
        const x$6 = OasTypeEmitter$1.ignored$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = OasTypeEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  nilUnion__Lamf_plugins_domain_shapes_models_UnionShape__Z(union) {
    return ((union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).size__I() === 1) && union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).head__O().annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_NilUnion.getClassOf()))
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.ignored$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    let rc13 = false;
    let x5 = null;
    const x1 = this.shape$1;
    if ((x1 !== null)) {
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x1).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.shape$1, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(x1), $m_sci_Nil$(), this.spec$1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const x3 = x1;
      const fields = x3.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2) {
          const f = f$2;
          return (!$this.ignored$1.contains__O__Z(f.$$und1__O()))
        })
      })(this)));
      const annotations = x3.annotations$2;
      const copiedNode = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaShapeEmitter().init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(copiedNode, this.ordering$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1)) {
      const x4 = x1;
      const fields$1 = x4.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(f$3$2) {
          const f$3 = f$3$2;
          return (!this$2.ignored$1.contains__O__Z(f$3.$$und1__O()))
        })
      })(this)));
      const annotations$1 = x4.annotations$2;
      const copiedNode$2 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$1, annotations$1);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter().init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedNode$2, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      rc13 = true;
      x5 = x1;
      if (this.nilUnion__Lamf_plugins_domain_shapes_models_UnionShape__Z(x5)) {
        const this$1 = x5;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).head__O(), this.ordering$1, this.ignored$1, this.references$1, this.spec$1).emitters__sc_Seq()
      }
    };
    if (rc13) {
      const this$3 = x5;
      const fields$2 = this$3.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(f$4$2) {
          const f$4 = f$4$2;
          return (!this$3$1.ignored$1.contains__O__Z(f$4.$$und1__O()))
        })
      })(this)));
      const this$4 = x5;
      const annotations$2 = this$4.annotations$2;
      const copiedNode$3 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$2, annotations$2);
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter().init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedNode$3, this.ordering$1, this.references$1, this.spec$1)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const x7 = x1;
      const fields$3 = x7.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(f$5$2) {
          const f$5 = f$5$2;
          return (!this$4$1.ignored$1.contains__O__Z(f$5.$$und1__O()))
        })
      })(this)));
      const annotations$3 = x7.annotations$2;
      const copiedArray = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$3, annotations$3);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasArrayShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedArray, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const x8 = x1;
      const fields$4 = x8.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
        return (function(f$6$2) {
          const f$6 = f$6$2;
          return (!this$5$1.ignored$1.contains__O__Z(f$6.$$und1__O()))
        })
      })(this)));
      const annotations$4 = x8.annotations$2;
      const copiedNil = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$4, annotations$4);
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter().init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering(copiedNil, this.ordering$1)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(x1)) {
      const x9 = x1;
      const fields$5 = x9.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6) {
        return (function(f$7$2) {
          const f$7 = f$7$2;
          return (!this$6.ignored$1.contains__O__Z(f$7.$$und1__O()))
        })
      })(this)));
      const annotations$5 = x9.annotations$2;
      const copiedScalar = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$5, annotations$5);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter().init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedScalar, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const x10 = x1;
      const fields$6 = x10.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
        return (function(f$8$2) {
          const f$8 = f$8$2;
          return (!this$7.ignored$1.contains__O__Z(f$8.$$und1__O()))
        })
      })(this)));
      const annotations$6 = x10.annotations$2;
      const copiedScalar$2 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$6, annotations$6);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedScalar$2, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x11 = x1;
      const copiedNode$4 = x11.copyAnyShape__Lamf_core_parser_Fields__Lamf_core_parser_Annotations__Lamf_plugins_domain_shapes_models_AnyShape(x11.fields__Lamf_core_parser_Fields().filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
        return (function(f$9$2) {
          const f$9 = f$9$2;
          return (!this$8.ignored$1.contains__O__Z(f$9.$$und1__O()))
        })
      })(this))), x11.annotations__Lamf_core_parser_Annotations());
      const ordering = this.ordering$1;
      const references = this.references$1;
      const spec = this.spec$1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(copiedNode$4, ordering, references, spec).emitters__sc_Seq()
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  entries__sc_Seq() {
    const jsx$2 = this.emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser extends $c_O {
  constructor() {
    super();
    this.array$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AllOfParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__sc_Seq__F1($$outer, array, adopt) {
    this.array$1 = array;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AllOfParser$1 = x$1;
      const x = this.array$1;
      const x$2 = AllOfParser$1.array$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.adopt$1;
        const x$4 = AllOfParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  declarationsRef__p1__Lorg_yaml_model_YMap__s_Option(entries) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries).key__T__s_Option("$ref");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const jsx$1 = this.$$outer$1.ctx$2.declarations$2.shapes$2;
      const x = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.$$outer$1.ctx$2);
      const this$4 = new $c_sci_StringOps().init___T(x);
      const this$5 = jsx$1.get__O__s_Option($f_sci_StringLike__stripPrefix__T__T(this$4, "#/definitions/"));
      if (this$5.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$5.get__O();
        const declaration = arg1$1;
        const label = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.$$outer$1.ctx$2);
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        const this$7 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(declaration, label, annotations);
        const this$6 = declaration.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
        const name = (this$6.isEmpty__Z() ? "schema" : this$6.get__O());
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name))
      }
    }
  };
  parse__sc_Seq() {
    const jsx$2 = this.array$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(n).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
        let this$3;
        if (this$2.isEmpty__Z()) {
          this$3 = $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const entries = arg1;
          this$3 = $this.declarationsRef__p1__Lorg_yaml_model_YMap__s_Option(entries)
        };
        const xo = (this$3.isEmpty__Z() ? $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(n, "", $this.adopt$1, $this.$$outer$1.version$2, $this.$$outer$1.ctx$2).parse__s_Option() : this$3);
        return xo.toList__sci_List()
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$AllOfParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AndConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AndConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AndConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = AndConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    this.$$outer$1.adopt$2.apply__O__O(this.shape$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("allOf");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$4$2) {
            const x0$4 = x0$4$2;
            if ((x0$4 !== null)) {
              const node = x0$4.$$und1__O();
              const index = x0$4.$$und2$mcI$sp__I();
              const entry$1 = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index]))), node);
              return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/and/") + index$1))
                })
              })($this, index)), $this.$$outer$1.version$2, $this.$$outer$1.ctx$2).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$4)
            }
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$14$2) {
            const x$14 = x$14$2;
            return x$14.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$15$2) {
            const x$15 = x$15$2;
            return x$15.get__O()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const andNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().And$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field, andNodes, annotations)
      } else {
        const this$9 = this.$$outer$1.ctx$2;
        const node$1 = this.shape$1.id$1;
        const ast = entry.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node$1, "And constraints are built from multiple shape nodes", ast)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$AndConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AndConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.ast$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataArrangementParser"
  };
  productArity__I() {
    return 4
  };
  lookAhead__s_Option() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("items");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const this$2 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$2);
      if ($is_s_util_Right(x1$2)) {
        $m_s_package$();
        const this$3 = $m_Lamf_plugins_domain_shapes_models_TupleShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(this.ast$1);
        const name = this.name$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
        return new $c_s_Some().init___O(new $c_s_util_Left().init___O(value))
      } else {
        $m_s_package$();
        const this$5 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$1);
        const name$1 = this.name$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name$1);
        return new $c_s_Some().init___O(new $c_s_util_Right().init___O(value$1))
      }
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataArrangementParser$1 = x$1;
      let jsx$1;
      if ((this.name$1 === DataArrangementParser$1.name$1)) {
        const x = this.ast$1;
        const x$2 = DataArrangementParser$1.ast$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataArrangementParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = DataArrangementParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.ast$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    let rc10 = false;
    let x2 = null;
    const x1 = this.lookAhead__s_Option();
    const x = $m_s_None$();
    if ((x === x1)) {
      const this$1 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$1);
      const name = this.name$1;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const array = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, array, this.map$1, this.adopt$1).parse__Lamf_plugins_domain_shapes_models_AnyShape()
    };
    if ($is_s_Some(x1)) {
      rc10 = true;
      x2 = x1;
      const p3 = x2.value$2;
      if ($is_s_util_Left(p3)) {
        const x4 = p3;
        const tuple = x4.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, tuple, this.map$1, this.adopt$1).parse__Lamf_plugins_domain_shapes_models_AnyShape()
      }
    };
    if (rc10) {
      const p6 = x2.value$2;
      if ($is_s_util_Right(p6)) {
        const x7 = p6;
        const array$2 = x7.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, array$2, this.map$1, this.adopt$1).parse__Lamf_plugins_domain_shapes_models_AnyShape()
      }
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1($$outer, name, ast, map, adopt) {
    this.name$1 = name;
    this.ast$1 = ast;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$DataArrangementParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NotConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NotConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NotConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = NotConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    this.$$outer$1.adopt$2.apply__O__O(this.shape$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("not");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(item$2) {
          const item = item$2;
          item.adopted__T__Lamf_core_model_domain_AmfObject(($this.shape$1.id$1 + "/not"))
        })
      })(this)), this.$$outer$1.version$2, this.$$outer$1.ctx$2).parse__s_Option();
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const negated = x2.value$2;
        const this$4 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Not$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$4, field, negated)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$NotConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NotConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OrConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OrConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OrConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = OrConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("anyOf");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$3$2) {
            const x0$3 = x0$3$2;
            if ((x0$3 !== null)) {
              const node = x0$3.$$und1__O();
              const index = x0$3.$$und2$mcI$sp__I();
              const entry$1 = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index]))), node);
              return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/or/") + index$1))
                })
              })($this, index)), $this.$$outer$1.version$2, $this.$$outer$1.ctx$2).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$3)
            }
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$12$2) {
            const x$12 = x$12$2;
            return x$12.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$13$2) {
            const x$13 = x$13$2;
            return x$13.get__O()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Or$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field, unionNodes, annotations)
      } else {
        const this$9 = this.$$outer$1.ctx$2;
        const node$1 = this.shape$1.id$1;
        const ast = entry.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node$1, "Or constraints are built from multiple shape nodes", ast)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$OrConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$OrConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.requiredFields$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertiesParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertiesParser$1 = x$1;
      let jsx$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(PropertiesParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = PropertiesParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.requiredFields$1;
        const x$4 = PropertiesParser$1.requiredFields$1;
        return ((x$3 === null) ? (x$4 === null) : $f_sc_GenMapLike__equals__O__Z(x$3, x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.requiredFields$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__F1__sci_Map($$outer, map, producer, requiredFields) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.requiredFields$1 = requiredFields;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMapEntry__F1__sci_Map($this.$$outer$1, entry, $this.producer$1, $this.requiredFields$1).parse__Lamf_core_model_domain_extensions_PropertyShape()
      })
    })(this));
    const this$1 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$PropertiesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.requiredFields$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertyShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertyShapeParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = PropertyShapeParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = PropertyShapeParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.requiredFields$1;
        const x$6 = PropertyShapeParser$1.requiredFields$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.requiredFields$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_extensions_PropertyShape() {
    const name = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$2).text$3;
    const required = this.requiredFields$1.contains__O__Z(name);
    const this$1 = this.requiredFields$1.get__O__s_Option(name);
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const node = arg1;
      this$2 = new $c_s_Some().init___O($m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node))
    };
    const requiredAnnotations = (this$2.isEmpty__Z() ? new $c_Lamf_core_parser_Annotations().init___() : this$2.get__O());
    const this$4 = this.producer$1.apply__O__O(name);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const this$6 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$4, other);
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((required ? 1 : 0), new $c_Lamf_core_parser_Annotations().init___());
    const annotations = requiredAnnotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
    const property = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$6, field, value, annotations);
    const field$1 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
    const this$10 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    const str = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx$2).text$3;
    const this$8 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$9 = this$8.platform$1;
    const url = this$8.str$1;
    const id = $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$9, url);
    const value$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$10, id).iri__T();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$1, value$1);
    const node$1 = this.entry$1.value$1;
    const this$13 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const x$24 = arg1$1;
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(x$24);
      const this$15 = this.$$outer$1;
      const field$2 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().ReadOnly$1;
      const iv = this.$$outer$1.ctx$2;
      jsx$1.key__T__F1__V("readOnly", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$2, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(property))
    };
    if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OAS30SchemaVersion(this.$$outer$1.version$2)) {
      const node$2 = this.entry$1.value$1;
      const this$17 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$2).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ((!this$17.isEmpty__Z())) {
        const arg1$2 = this$17.get__O();
        const x$25 = arg1$2;
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(x$25);
        const this$19 = this.$$outer$1;
        const field$3 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().WriteOnly$1;
        const iv$1 = this.$$outer$1.ctx$2;
        jsx$2.key__T__F1__V("writeOnly", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$3, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(property))
      };
      const node$3 = this.entry$1.value$1;
      const this$21 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$3).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ((!this$21.isEmpty__Z())) {
        const arg1$3 = this$21.get__O();
        const x$26 = arg1$3;
        const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(x$26);
        const this$23 = this.$$outer$1;
        const field$4 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Deprecated$1;
        const iv$2 = this.$$outer$1.ctx$2;
        jsx$3.key__T__F1__V("deprecated", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$23, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(property))
      }
    };
    const this$24 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, property$1) {
      return (function(shape$2) {
        const shape = shape$2;
        shape.adopted__T__Lamf_core_model_domain_AmfObject(property$1.id$1)
      })
    })(this, property)), this.$$outer$1.version$2, this.$$outer$1.ctx$2).parse__s_Option();
    if ((!this$24.isEmpty__Z())) {
      const arg1$4 = this$24.get__O();
      const x$27 = arg1$4;
      const field$5 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(property, field$5, x$27)
    };
    return property
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMapEntry__F1__sci_Map($$outer, entry, producer, requiredFields) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.requiredFields$1 = requiredFields;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$PropertyShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertyShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "XoneConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const XoneConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(XoneConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = XoneConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    this.$$outer$1.adopt$2.apply__O__O(this.shape$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("oneOf");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$5$2) {
            const x0$5 = x0$5$2;
            if ((x0$5 !== null)) {
              const node = x0$5.$$und1__O();
              const index = x0$5.$$und2$mcI$sp__I();
              const entry$1 = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index]))), node);
              return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/xone/") + index$1))
                })
              })($this, index)), $this.$$outer$1.version$2, $this.$$outer$1.ctx$2).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$5)
            }
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$16$2) {
            const x$16 = x$16$2;
            return x$16.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$17$2) {
            const x$17 = x$17$2;
            return x$17.get__O()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const nodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field, nodes, annotations)
      } else {
        const this$9 = this.$$outer$1.ctx$2;
        const node$1 = this.shape$1.id$1;
        const ast = entry.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node$1, "Xone constraints are built from multiple shape nodes", ast)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$XoneConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$XoneConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter extends $c_O {
  constructor() {
    super();
    this.orphans$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(orphans, ordering, spec) {
    this.orphans$1 = orphans;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OrphanAnnotationsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter(x$1)) {
      const OrphanAnnotationsEmitter$1 = x$1;
      const x = this.orphans$1;
      const x$2 = OrphanAnnotationsEmitter$1.orphans$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OrphanAnnotationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.orphans$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const jsx$2 = this.orphans$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().annotationEmitter__F2().apply__O__O__O(x$3, $this.ordering$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OrphanAnnotationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser extends $c_O {
  constructor() {
    super();
    this.defaultType$1 = null;
    this.name$1 = null;
    this.ast$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Raml08DefaultTypeParser"
  };
  init___Lamf_plugins_domain_shapes_models_TypeDef__T__Lorg_yaml_model_YPart__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(defaultType, name, ast, adopt, ctx) {
    this.defaultType$1 = defaultType;
    this.name$1 = name;
    this.ast$1 = ast;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser(x$1)) {
      const Raml08DefaultTypeParser$1 = x$1;
      const x = this.defaultType$1;
      const x$2 = Raml08DefaultTypeParser$1.defaultType$1;
      let jsx$1;
      if (((x === x$2) && (this.name$1 === Raml08DefaultTypeParser$1.name$1))) {
        const x$3 = this.ast$1;
        const x$4 = Raml08DefaultTypeParser$1.ast$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.adopt$1;
        const x$6 = Raml08DefaultTypeParser$1.adopt$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.defaultType$1;
        break
      }
      case 1: {
        return this.name$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const x1 = this.defaultType$1;
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
    let product;
    if ((x === x1)) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$4 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const name = this.name$1;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
      const annotation = new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___();
      product = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation))
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
      if ((x$3 === x1)) {
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$9 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const name$1 = this.name$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const this$12 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field$1, name$1);
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.defaultType$1), new $c_Lamf_core_parser_Annotations().init___());
        const annotations$2 = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___());
        product = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value, annotations$2))
      } else {
        const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
        if ((x$5 === x1)) {
          const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
          const fields = new $c_Lamf_core_parser_Fields().init___();
          const this$17 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$3);
          const name$2 = this.name$1;
          const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          const this$18 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$3, name$2);
          const annotation$1 = new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___();
          product = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$18, annotation$1))
        } else {
          const this$19 = this.ctx$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot set default type ", " in raml 08"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.defaultType$1]));
          const ast = this.ast$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$19, message, ast);
          product = $m_s_None$()
        }
      }
    };
    const f = this.adopt$1;
    if ((!product.isEmpty__Z())) {
      new $c_s_Some().init___O(f.apply__O__O(product.get__O()))
    };
    return product
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08DefaultTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f = null
  };
  productPrefix__T() {
    return "Raml08TypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter(x$1)) {
      const Raml08TypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = Raml08TypeEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08TypeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    let rc11 = false;
    let x7 = null;
    const x1 = this.shape$1;
    if ((x1 !== null)) {
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x1).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(x1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const x3 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x3, this.ordering$1, this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const x4 = x1;
      const x1$2 = x4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1$2)) {
        const x2$2 = x1$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2$2, this.ordering$1, this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emitters__sc_Seq()
      } else {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1$2, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit array shape with items ", " in raml 08"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1$2).toString__T()])))]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const x5 = x1;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter__Lamf_plugins_domain_shapes_models_UnionShape(this, x5)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const x6 = x1;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter().init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x6, this.ordering$1, $m_sci_Nil$(), this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      rc11 = true;
      x7 = x1;
      if (x7.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf()).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x7, this.ordering$1, $m_sci_Nil$(), this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const x8 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter().init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x8, this.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f).emitters__sc_Seq()
    };
    if (rc11) {
      const shape = x7;
      const ordering = this.ordering$1;
      const references = $m_sci_Nil$();
      const spec = this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec).emitters__sc_Seq()
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported shape class for emit raml 08 spec ", "`"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1).toString__T()])))]))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.amf$plugins$document$webapi$parser$spec$declaration$Raml08TypeEmitter$$spec$f = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.node$1 = null;
    this.name$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "Raml08ReferenceParser"
  };
  productArity__I() {
    return 3
  };
  parse__s_Some() {
    const x1 = this.ctx$1.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(this.text$1, $m_Lamf_core_parser_SearchScope$All$());
    let shape$2;
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const s = x2.value$2;
        if ((s !== null)) {
          const label = this.text$1;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1.value__Lorg_yaml_model_YValue());
          const this$1 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, label, annotations);
          const name = this.name$1;
          const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
          break matchEnd6
        }
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$2 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(this.text$1, this.node$1);
        const name$1 = this.text$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field$1, name$1);
        const c = this.ctx$1;
        $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, c);
        this.$$outer$1.adopt$3.apply__O__O(shape);
        const str = this.text$1;
        if ((!new $c_Lamf_core_utils_package$Strings().init___T(str).validReferencePath__Z())) {
          const this$4 = this.ctx$1;
          const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ChainedReferenceSpecification$1.id__T();
          const node = shape.id$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Chained reference '", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.text$1]));
          const ast = this.node$1;
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$4, id, node, property, message, ast)
        } else {
          const refName = this.text$1;
          const refAst = this.node$1;
          const ctx = this.ctx$1;
          $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape, refName, refAst, ctx)
        };
        shape$2 = shape;
        break matchEnd6
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    return new $c_s_Some().init___O(shape$2)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Raml08ReferenceParser$1 = x$1;
      return (((this.text$1 === Raml08ReferenceParser$1.text$1) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08ReferenceParser$1.node$1)) && (this.name$1 === Raml08ReferenceParser$1.name$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      case 1: {
        return this.node$1;
        break
      }
      case 2: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__T__Lorg_yaml_model_YNode__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, text, node, name, ctx) {
    this.text$1 = text;
    this.node$1 = node;
    this.name$1 = name;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$Raml08ReferenceParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "Raml08SchemaParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Raml08SchemaParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08SchemaParser$1.map$1)) {
        const x = this.adopt$1;
        const x$2 = Raml08SchemaParser$1.adopt$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = e.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      let jsx$1;
      if ((x === x1)) {
        jsx$1 = true
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
        jsx$1 = (x$3 === x1)
      };
      if (jsx$1) {
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(e, this.adopt$1, false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option()
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YNode__F1__T__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1, e.value$1, this.adopt$1, "schema", this.$$outer$1.defaultType$3, this.ctx$1).parse__s_Option()
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, map, adopt, ctx) {
    this.map$1 = map;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$Raml08SchemaParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.adopt$1 = null;
    this.name$1 = null;
    this.defaultType$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "Raml08TextParser"
  };
  productArity__I() {
    return 4
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YNode__F1__T__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, value, adopt, name, defaultType, ctx) {
    this.value$1 = value;
    this.adopt$1 = adopt;
    this.name$1 = name;
    this.defaultType$1 = defaultType;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const Raml08TextParser$1 = x$1;
      let jsx$1;
      if (this.value$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08TextParser$1.value$1)) {
        const x = this.adopt$1;
        const x$2 = Raml08TextParser$1.adopt$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.name$1 === Raml08TextParser$1.name$1))) {
        const x$3 = this.defaultType$1;
        const x$4 = Raml08TextParser$1.defaultType$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      case 2: {
        return this.name$1;
        break
      }
      case 3: {
        return this.defaultType$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x1)) {
      const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser().init___Lamf_plugins_domain_shapes_models_TypeDef__T__Lorg_yaml_model_YPart__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef(), this.name$1, this.value$1, this.adopt$1, this.ctx$1).parse__s_Option();
      if (this$2.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const s = arg1;
        const annotation = new $c_Lamf_core_annotations_SourceAST().init___Lorg_yaml_model_YPart(this.value$1);
        return new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(s, annotation))
      }
    } else {
      const x1$2 = this.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const o10 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(x1$2);
      if ((!o10.isEmpty__Z())) {
        const jsx$1 = $m_s_Option$();
        const this$4 = this.$$outer$1;
        const name = this.name$1;
        const value = this.value$1;
        const adopt = this.adopt$1;
        return jsx$1.apply__O__s_Option($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseXMLSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape(this$4, name, value, adopt, false))
      };
      const o12 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(x1$2);
      if ((!o12.isEmpty__Z())) {
        const jsx$2 = $m_s_Option$();
        const this$6 = this.$$outer$1;
        const name$1 = this.name$1;
        const value$1 = this.value$1;
        const adopt$1 = this.adopt$1;
        return jsx$2.apply__O__s_Option($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape(this$6, name$1, value$1, adopt$1, false))
      };
      if ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().match08Type__T__s_Option(x1$2).isDefined__Z()) {
        return $m_s_Option$().apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser().init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.name$1, this.adopt$1, $m_Lorg_yaml_model_YMap$().empty$1, $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().match08Type__T__s_Option(x1$2).get__O(), this.ctx$1).parse__Lamf_plugins_domain_shapes_models_AnyShape())
      };
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08ReferenceParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__T__Lorg_yaml_model_YNode__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1, x1$2, this.$$outer$1.node$2, this.name$1, this.ctx$1).parse__s_Some()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser$Raml08TextParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.types$1 = null;
    this.ast$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Raml08UnionTypeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser(x$1)) {
      const Raml08UnionTypeParser$1 = x$1;
      const x = this.shape$1;
      const x$2 = Raml08UnionTypeParser$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.types$1;
        const x$4 = Raml08UnionTypeParser$1.types$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ast$1;
        const x$6 = Raml08UnionTypeParser$1.ast$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.types$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__sc_Seq__Lorg_yaml_model_YPart__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(shape, types, ast, ctx) {
    this.shape$1 = shape;
    this.types$1 = types;
    this.ast$1 = ast;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_plugins_domain_shapes_models_UnionShape() {
    const jsx$5 = this.types$1;
    const this$1 = $m_sc_Seq$();
    const jsx$4 = jsx$5.zipWithIndex__scg_CanBuildFrom__O(this$1.ReusableCBFInstance$2);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const unionNode = x0$1.$$und1__O();
          const index = x0$1.$$und2$mcI$sp__I();
          return $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YNode__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(unionNode, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
            return (function(item$2) {
              const item = item$2;
              return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/items/") + index$1))
            })
          })($this, index)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), $this.ctx$1).parse__s_Option()
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.isDefined__Z()
      })
    })(this)));
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.get__O()
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    const this$5 = this.shape$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
    return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, unionNodes, annotations)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08UnionTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.ignored$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10TypeEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter(x$1)) {
      const Raml10TypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = Raml10TypeEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10TypeEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ignored$1;
        const x$6 = Raml10TypeEmitter$1.ignored$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = Raml10TypeEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.ignored$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    let rc16 = false;
    let x4 = null;
    const x1 = this.shape$1;
    let jsx$1;
    if (($m_s_Option$().apply__O__s_Option(this.shape$1).isDefined__Z() && $is_Lamf_plugins_domain_shapes_models_AnyShape(this.shape$1))) {
      const this$1 = this.shape$1;
      jsx$1 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__fromExternalSource__Z(this$1)
    } else {
      jsx$1 = false
    };
    if ((jsx$1 && this.references$1.nonEmpty__Z())) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter().init___Lamf_core_model_domain_Shape__sc_Seq(this.shape$1, this.references$1)]))
    };
    let jsx$2;
    if (($m_s_Option$().apply__O__s_Option(this.shape$1).isDefined__Z() && $is_Lamf_plugins_domain_shapes_models_AnyShape(this.shape$1))) {
      const this$2 = this.shape$1;
      jsx$2 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__fromTypeExpression__Z(this$2)
    } else {
      jsx$2 = false
    };
    if (jsx$2) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter().init___Lamf_core_model_domain_Shape(this.shape$1)]))
    };
    if ((x1 !== null)) {
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x1).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(this.shape$1)]))
      }
    };
    if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x1)) {
      const x3 = x1;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter().init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x3, this.ordering$1, this.references$1, this.spec$1)]))
    };
    if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x1)) {
      rc16 = true;
      x4 = x1;
      const this$3 = x4;
      if (this$3.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf()).isDefined__Z()) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x4, this.ordering$1, this.references$1, this.spec$1)]))
      }
    };
    if (rc16) {
      const this$4 = x4;
      const fields = this$4.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2) {
          const f = f$2;
          return (!$this.ignored$1.contains__O__Z(f.$$und1__O()))
        })
      })(this)));
      const this$5 = x4;
      const annotations = this$5.annotations$2;
      const copiedNode = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter().init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedNode, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
      const x6 = x1;
      const fields$1 = x6.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(f$3$2) {
          const f$3 = f$3$2;
          return (!this$2$1.ignored$1.contains__O__Z(f$3.$$und1__O()))
        })
      })(this)));
      const annotations$1 = x6.annotations$2;
      const copiedNode$2 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$1, annotations$1);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter().init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedNode$2, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(x1)) {
      const x7 = x1;
      const fields$2 = x7.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(f$4$2) {
          const f$4 = f$4$2;
          return (!this$3$1.ignored$1.contains__O__Z(f$4.$$und1__O()))
        })
      })(this)));
      const annotations$2 = x7.annotations$2;
      const copiedFile = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$2, annotations$2);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter().init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedFile, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x1)) {
      const x8 = x1;
      const fields$3 = x8.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
        return (function(f$5$2) {
          const f$5 = f$5$2;
          return (!this$4$1.ignored$1.contains__O__Z(f$5.$$und1__O()))
        })
      })(this)));
      const annotations$3 = x8.annotations$2;
      const copiedScalar = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$3, annotations$3);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter().init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedScalar, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x1)) {
      const x9 = x1;
      const fields$4 = x9.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
        return (function(f$6$2) {
          const f$6 = f$6$2;
          return (!this$5$1.ignored$1.contains__O__Z(f$6.$$und1__O()))
        })
      })(this)));
      const annotations$4 = x9.annotations$2;
      const copiedArray = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$4, annotations$4);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedArray, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x1)) {
      const x10 = x1;
      const fields$5 = x10.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
        return (function(f$7$2) {
          const f$7 = f$7$2;
          return (!this$6$1.ignored$1.contains__O__Z(f$7.$$und1__O()))
        })
      })(this)));
      const annotations$5 = x10.annotations$2;
      const copiedTuple = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$5, annotations$5);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter().init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedTuple, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x1)) {
      const x11 = x1;
      const fields$6 = x11.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
        return (function(f$8$2) {
          const f$8 = f$8$2;
          return (!this$7.ignored$1.contains__O__Z(f$8.$$und1__O()))
        })
      })(this)));
      const annotations$6 = x11.annotations$2;
      const copiedMatrix = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$6, annotations$6);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(copiedMatrix.fields$2, copiedMatrix.annotations$2), this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_NilShape(x1)) {
      const x12 = x1;
      const fields$7 = x12.fields$2.filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8) {
        return (function(f$9$2) {
          const f$9 = f$9$2;
          return (!this$8.ignored$1.contains__O__Z(f$9.$$und1__O()))
        })
      })(this)));
      const annotations$7 = x12.annotations$2;
      const copiedNode$3 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields$7, annotations$7);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter().init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedNode$3, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x13 = x1;
      const copiedNode$4 = x13.copyAnyShape__Lamf_core_parser_Fields__Lamf_core_parser_Annotations__Lamf_plugins_domain_shapes_models_AnyShape(x13.fields__Lamf_core_parser_Fields().filter__F1__Lamf_core_parser_Fields(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9) {
        return (function(f$10$2) {
          const f$10 = f$10$2;
          return (!this$9.ignored$1.contains__O__Z(f$10.$$und1__O()))
        })
      })(this))), x13.annotations__Lamf_core_parser_Annotations());
      const ordering = this.ordering$1;
      const references = this.references$1;
      const spec = this.spec$1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeInstanceEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(copiedNode$4, ordering, references, spec).emitters__sc_Seq()
    };
    if ($is_Lamf_core_model_domain_RecursiveShape(x1)) {
      const x14 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter().init___Lamf_core_model_domain_RecursiveShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x14, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()
    };
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.ignored$1 = ignored;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  entries__sc_Seq() {
    const jsx$2 = this.emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters extends $c_O {
  constructor() {
    super();
    this.apiKey$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "RamlApiKeySettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters(x$1)) {
      const RamlApiKeySettingsEmitters$1 = x$1;
      const x = this.apiKey$1;
      const x$2 = RamlApiKeySettingsEmitters$1.apiKey$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlApiKeySettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.apiKey$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.apiKey$1;
    const fs = this$1.fields$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f, $m_s_None$())))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("in", f$3, $m_s_None$())))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(apiKey, ordering) {
    this.apiKey$1 = apiKey;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlApiKeySettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter extends $c_O {
  constructor() {
    super();
    this.documentation$1 = null;
    this.ordering$1 = null;
    this.withExtention$1 = false;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkItemsEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(documentation, ordering, withExtention, spec) {
    this.documentation$1 = documentation;
    this.ordering$1 = ordering;
    this.withExtention$1 = withExtention;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter(x$1)) {
      const RamlCreativeWorkItemsEmitter$1 = x$1;
      const x = this.documentation$1;
      const x$2 = RamlCreativeWorkItemsEmitter$1.documentation$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = RamlCreativeWorkItemsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.withExtention$1 === RamlCreativeWorkItemsEmitter$1.withExtention$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.withExtention$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.documentation$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option((this.withExtention$1 ? new $c_Lamf_core_utils_package$Strings().init___T("url").asRamlAnnotation__T() : "url"), f, $m_s_None$())))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("content", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("title", f$4, $m_s_None$(), this.spec$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.documentation$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    return this.ordering$1.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentation$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.withExtention$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCreativeWorkItemsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.scheme$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlDescribedByParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser(x$1)) {
      const RamlDescribedByParser$1 = x$1;
      if (((this.key$1 === RamlDescribedByParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlDescribedByParser$1.map$1))) {
        const x = this.scheme$1;
        const x$2 = RamlDescribedByParser$1.scheme$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.scheme$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(key, map, scheme, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.scheme$1 = scheme;
    this.ctx$1 = ctx;
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const value = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$6 = this$5.key__T__s_Option("headers");
      if ((!this$6.isEmpty__Z())) {
        const arg1$1 = this$6.get__O();
        const entry$2 = arg1$1;
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(name$2) {
            const name = name$2;
            return $this.scheme$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name)
          })
        })(this)), false, this.ctx$1).parse__sc_Seq();
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$1, field, "header")
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const parameters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.scheme$1;
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field$1, value$1, annotations)
      };
      const map$1 = this.map$1;
      let jsx$3;
      if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("queryParameters").isDefined__Z()) {
        const map$2 = this.map$1;
        jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("queryString").isDefined__Z()
      } else {
        jsx$3 = false
      };
      if (jsx$3) {
        const this$11 = this.ctx$1;
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ExclusivePropertiesSpecification$1.id__T();
        const node = this.scheme$1.id$1;
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Properties 'queryString' and 'queryParameters' are exclusive and cannot be declared together"])).s__sc_Seq__T($m_sci_Nil$());
        const ast = this.map$1;
        const property = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$11, id, node, property, message, ast)
      };
      const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$14 = this$13.key__T__s_Option("queryParameters");
      if ((!this$14.isEmpty__Z())) {
        const arg1$2 = this$14.get__O();
        const entry$3 = arg1$2;
        const jsx$5 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(name$2$1) {
            const name$1 = name$2$1;
            return $this$1.scheme$1.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$1)
          })
        })(this)), false, this.ctx$1).parse__sc_Seq();
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$2, field$2, "query")
          })
        })(this));
        const this$15 = $m_sc_Seq$();
        const parameters$1 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$15.ReusableCBFInstance$2);
        const this$16 = this.scheme$1;
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$16, field$3, value$2, annotations$1)
      };
      const this$18 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$19 = this$18.key__T__s_Option("queryString");
      if ((!this$19.isEmpty__Z())) {
        const arg1$3 = this$19.get__O();
        const queryEntry = arg1$3;
        const this$21 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(queryEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
          return (function(shape$2) {
            const shape = shape$2;
            return shape.adopted__T__Lamf_core_model_domain_AmfObject($this$2.scheme$1.id$1)
          })
        })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
        if ((!this$21.isEmpty__Z())) {
          const arg1$4 = this$21.get__O();
          const queryString = arg1$4;
          const this$22 = this.scheme$1;
          const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1;
          new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$22, field$4, queryString))
        }
      };
      const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(value);
      const this$25 = this$24.key__T__s_Option("responses");
      if ((!this$25.isEmpty__Z())) {
        const arg1$5 = this$25.get__O();
        const entry$4 = arg1$5;
        const map$3 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
        const this$27 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
        const entries = this$27.regex__T__sc_Iterable("\\d{3}");
        if (entries.nonEmpty__Z()) {
          const responses = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, responses$1) {
            return (function(entry$2$1) {
              const entry$1 = entry$2$1;
              return responses$1.$$plus$eq__O__scm_ListBuffer($this$3.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().responseParser__F3().apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4) {
                return (function(name$2$2) {
                  const name$3 = name$2$2;
                  return $this$4.scheme$1.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name$3)
                })
              })($this$3)), false).parse__Lamf_plugins_domain_webapi_models_Response())
            })
          })(this, responses)));
          const this$28 = this.scheme$1;
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1;
          const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(responses, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$28, field$5, value$3, annotations$2)
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlDescribedByParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.o1$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlOAuth1SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters(x$1)) {
      const RamlOAuth1SettingsEmitters$1 = x$1;
      const x = this.o1$1;
      const x$2 = RamlOAuth1SettingsEmitters$1.o1$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOAuth1SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.o1$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.o1$1;
    const fs = this$1.fields$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("requestTokenUri", f, $m_s_None$(), this.spec$1)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("authorizationUri", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("tokenCredentialsUri", f$4, $m_s_None$(), this.spec$1)))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$3 = this$8.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("signatures", f$5, this.ordering$1, false)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(o1, ordering, spec) {
    this.o1$1 = o1;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth1SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters extends $c_O {
  constructor() {
    super();
    this.o2$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlOAuth2SettingsEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters(x$1)) {
      const RamlOAuth2SettingsEmitters$1 = x$1;
      const x = this.o2$1;
      const x$2 = RamlOAuth2SettingsEmitters$1.o2$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOAuth2SettingsEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.o2$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.o2$1;
    const fs = this$1.fields$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("authorizationUri", f, $m_s_None$())))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("accessTokenUri", f$3, $m_s_None$(), this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("authorizationGrants", f$4, this.ordering$1, false)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$3 = this$7.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("scopes", f$5, this.ordering$1)))
    };
    return results
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(o2, ordering, spec) {
    this.o2$1 = o2;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth2SettingsEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null
  };
  productPrefix__T() {
    return "RamlRecursiveShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter(x$1)) {
      const RamlRecursiveShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlRecursiveShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlRecursiveShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlRecursiveShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "object", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("recursive").asOasExtension__T();
    const this$4 = this.shape$1;
    const this$5 = this$4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1);
    const this$6 = this$5.option$1;
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(jsx$1, (this$6.isEmpty__Z() ? null : this$6.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_domain_RecursiveShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlRecursiveShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlSecuritySettingsValuesEmitters"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters(x$1)) {
      const RamlSecuritySettingsValuesEmitters$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlSecuritySettingsValuesEmitters$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlSecuritySettingsValuesEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const settings = this.f$1.value$1.value$1;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let jsx$1;
    if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(settings)) {
      const x2 = settings;
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth1SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(settings)) {
      const x3 = settings;
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2SettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x3, this.ordering$1, this.spec$1).emitters__sc_Seq()
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(settings)) {
      const x4 = settings;
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlApiKeySettingsEmitters().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings__Lamf_core_emitter_SpecOrdering(x4, this.ordering$1).emitters__sc_Seq()
    } else {
      jsx$1 = $m_sci_Nil$()
    };
    results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$1);
    const this$1 = settings.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(f.value$1.value$1, this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq())
    };
    return results
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySettingsValuesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AndConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AndConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AndConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = AndConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("(amf-and)");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$5$2) {
            const x0$5 = x0$5$2;
            if ((x0$5 !== null)) {
              const unionNode = x0$5.$$und1__O();
              const index = x0$5.$$und2$mcI$sp__I();
              return $this.$$outer$1.typeParser__F5().apply__O__O__O__O__O__O(($m_s_package$(), new $c_s_util_Right().init___O(unionNode)), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/and/") + index$1))
                })
              })($this, index)), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$()).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$5)
            }
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$12$2) {
            const x$12 = x$12$2;
            return x$12.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$13$2) {
            const x$13 = x$13$2;
            return x$13.get__O()
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        const nodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
        const this$9 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().And$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field, nodes, annotations)
      } else {
        const this$10 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const node = this.shape$1.id$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node, "And constraints are built from multiple shape nodes", entry)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$AndConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AndConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.ast$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataArrangementParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataArrangementParser$1 = x$1;
      let jsx$1;
      if ((this.name$1 === DataArrangementParser$1.name$1)) {
        const x = this.ast$1;
        const x$2 = DataArrangementParser$1.ast$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataArrangementParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = DataArrangementParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.ast$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  lookAhead__s_util_Either() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("tuple").asRamlAnnotation__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const this$3 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
      if ($is_s_util_Right(x1$2)) {
        $m_s_package$();
        const this$4 = $m_Lamf_plugins_domain_shapes_models_TupleShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(this.ast$1);
        const name = this.name$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
        return new $c_s_util_Left().init___O(value)
      } else {
        const this$6 = $m_Lamf_plugins_domain_shapes_models_TupleShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_TupleShape(this.ast$1);
        const name$1 = this.name$1;
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const tuple = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, name$1);
        const this$7 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const node = tuple.id$1;
        const ast = this.ast$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node, "Tuples must have a list of types", ast);
        $m_s_package$();
        return new $c_s_util_Left().init___O(tuple)
      }
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        $m_s_package$();
        const this$9 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$1);
        const name$2 = this.name$1;
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const value$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$9, field$2, name$2);
        return new $c_s_util_Right().init___O(value$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parse__Lamf_core_model_domain_Shape() {
    const x1 = this.lookAhead__s_util_Either();
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const tuple = x2.value$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, tuple, this.map$1, this.adopt$1).parse__Lamf_plugins_domain_shapes_models_TupleShape()
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const array = x3.value$2;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1(this.$$outer$1, array, this.map$1, this.adopt$1).parse__Lamf_plugins_domain_shapes_models_AnyShape()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1($$outer, name, ast, map, adopt) {
    this.name$1 = name;
    this.ast$1 = ast;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$DataArrangementParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NotConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NotConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NotConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = NotConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("(amf-not)");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const x1 = this.$$outer$1.typeParser__F5().apply__O__O__O__O__O__O(($m_s_package$(), new $c_s_util_Left().init___O(entry)), "not", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(s$2) {
          const s = s$2;
          const value = ($this.shape$1.id$1 + "/not");
          return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(s, value)
        })
      })(this)), false, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f).parse__s_Option();
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const negated = x2.value$2;
        const this$5 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Not$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, negated, annotations)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$NotConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NotConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OrConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OrConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OrConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = OrConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("(amf-or)");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$4$2) {
            const x0$4 = x0$4$2;
            if ((x0$4 !== null)) {
              const unionNode = x0$4.$$und1__O();
              const index = x0$4.$$und2$mcI$sp__I();
              return $this.$$outer$1.typeParser__F5().apply__O__O__O__O__O__O(($m_s_package$(), new $c_s_util_Right().init___O(unionNode)), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/or/") + index$1))
                })
              })($this, index)), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$()).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$4)
            }
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$10$2) {
            const x$10 = x$10$2;
            return x$10.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$11$2) {
            const x$11 = x$11$2;
            return x$11.get__O()
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        const nodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
        const this$9 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Or$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field, nodes, annotations)
      } else {
        const this$10 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const node = this.shape$1.id$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node, "Or constraints are built from multiple shape nodes", entry)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$OrConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$OrConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertiesParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertiesParser$1 = x$1;
      if (this.ast$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(PropertiesParser$1.ast$1)) {
        const x = this.producer$1;
        const x$2 = PropertiesParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.ast$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        const xo = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__F1($this.$$outer$1, entry, $this.producer$1).parse__s_Option();
        return xo.toList__sci_List()
      })
    })(this));
    const this$2 = $m_sc_IndexedSeq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBF$6)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1($$outer, ast, producer) {
    this.ast$1 = ast;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$PropertiesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "PropertyShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const PropertyShapeParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = PropertyShapeParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = PropertyShapeParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = this.entry$1.key$1;
    const conversion = $m_Lorg_yaml_convert_YRead$StringYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const prop = x2.value$2;
      const this$2 = this.producer$1.apply__O__O(prop);
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const property = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other);
      const elem = $m_s_None$();
      let elem$1 = null;
      elem$1 = elem;
      const node = this.entry$1.value$1;
      const x1$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const map = x2$2.value$2;
        const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const this$7 = this$6.key__T__s_Option("required");
        if ((!this$7.isEmpty__Z())) {
          const arg1 = this$7.get__O();
          const entry = arg1;
          const node$1 = entry.value$1;
          const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
          const this$9 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv);
          const required = (!(!this$9.$boolean__Lamf_core_model_domain_AmfScalar().value$1));
          const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(required, new $c_Lamf_core_parser_Annotations().init___());
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
          elem$1 = new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations));
          const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
          const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((required ? 1 : 0), new $c_Lamf_core_parser_Annotations().init___());
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(property, field, value$1, annotations$1)
        };
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
        const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("readOnly").asRamlAnnotation__T();
        const this$15 = this.$$outer$1;
        const field$1 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().ReadOnly$1;
        const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(property))
      };
      const field$2 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
      const this$19 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const str = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
      const this$17 = new $c_Lamf_core_utils_package$Strings().init___T(str);
      const this$18 = this$17.platform$1;
      const url = this$17.str$1;
      const id = $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$18, url);
      const value$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, id).iri__T();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$2, value$2);
      if (property.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1).isEmpty__Z()) {
        const required$1 = (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(prop, "?"));
        const field$3 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
        const value$3 = (required$1 ? 1 : 0);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$3, value$3);
        const field$4 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Name$1;
        let value$4;
        if (required$1) {
          value$4 = prop
        } else {
          const this$22 = new $c_sci_StringOps().init___T(prop);
          value$4 = $f_sci_StringLike__stripSuffix__T__T(this$22, "?")
        };
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$4, value$4);
        const field$5 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
        const this$25 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const x = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
        const this$24 = new $c_sci_StringOps().init___T(x);
        const id$1 = $f_sci_StringLike__stripSuffix__T__T(this$24, "?");
        const value$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, id$1).iri__T();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(property, field$5, value$5)
      };
      const this$27 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, property$1) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(property$1.id$1)
        })
      })(this, property)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
      if ((!this$27.isEmpty__Z())) {
        const arg1$1 = this$27.get__O();
        const range = arg1$1;
        if (elem$1.isDefined__Z()) {
          range.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1, elem$1.get__O().value$1, elem$1.get__O().annotations$1)
        };
        const this$28 = this.entry$1.value$1;
        const x$1 = this$28.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x$1 === x$2)) {
          range.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___())
        };
        const field$6 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(property, field$6, range)
      };
      return new $c_s_Some().init___O(property)
    } else if ($is_s_util_Left(x1)) {
      const x3 = x1;
      const error = x3.value$2;
      const this$29 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const message = error.error__T();
      const ast = this.entry$1.key$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$29, message, ast);
      return $m_s_None$()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__F1($$outer, entry, producer) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$PropertyShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertyShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.shape$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "XoneConstraintParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const XoneConstraintParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(XoneConstraintParser$1.map$1)) {
        const x = this.shape$1;
        const x$2 = XoneConstraintParser$1.shape$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape($$outer, map, shape) {
    this.map$1 = map;
    this.shape$1 = shape;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(this.shape$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("(amf-xor)");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$6$2) {
            const x0$6 = x0$6$2;
            if ((x0$6 !== null)) {
              const unionNode = x0$6.$$und1__O();
              const index = x0$6.$$und2$mcI$sp__I();
              return $this.$$outer$1.typeParser__F5().apply__O__O__O__O__O__O(($m_s_package$(), new $c_s_util_Right().init___O(unionNode)), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$1.id$1 + "/xor/") + index$1))
                })
              })($this, index)), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$()).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$6)
            }
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$14$2) {
            const x$14 = x$14$2;
            return x$14.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$15$2) {
            const x$15 = x$15$2;
            return x$15.get__O()
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        const nodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
        const this$9 = this.shape$1;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field, nodes, annotations)
      } else {
        const this$10 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const node = this.shape$1.id$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node, "Xone constraints are built from multiple shape nodes", entry)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$XoneConstraintParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$XoneConstraintParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations extends $c_O {
  constructor() {
    super();
    this.references$1 = null;
    this.ctx$1 = null
  };
  $$plus$eq__T__Lamf_core_model_document_Fragment__V(url, fragment) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, fragment));
    const this$5 = this.ctx$1.declarations$2;
    const jsx$1 = this$5.fragments$1;
    const y = fragment.encodes__Lamf_core_model_domain_DomainElement();
    this$5.fragments$1 = jsx$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(url, y))
  };
  productPrefix__T() {
    return "ReferenceDeclarations"
  };
  productArity__I() {
    return 1
  };
  $$plus$eq__T__Lamf_core_model_document_Document__V(url, fragment) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(url, fragment))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(x$1)) {
      const ReferenceDeclarations$1 = x$1;
      const x = this.references$1;
      const x$2 = ReferenceDeclarations$1.references$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___scm_Map__Lamf_plugins_document_webapi_contexts_WebApiContext(references, ctx) {
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  $$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, unit) {
    this.references$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(alias, unit));
    const library = this.ctx$1.declarations$2.getOrCreateLibrary__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(alias);
    if ($is_Lamf_core_model_document_DeclaresModel(unit)) {
      unit.declares__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, library$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return library$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(x$1)
        })
      })(this, library)))
    } else {
      throw new $c_s_MatchError().init___O(unit)
    }
  };
  solvedReferences__sc_Seq() {
    const this$1 = this.references$1.values__sc_Iterable().toSet__sci_Set();
    return $f_sc_SetLike__toSeq__sc_Seq(this$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferenceDeclarations", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser extends $c_O {
  constructor() {
    super();
    this.baseUnit$1 = null;
    this.key$1 = null;
    this.map$1 = null;
    this.references$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ReferencesParser"
  };
  productArity__I() {
    return 4
  };
  parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(location) {
    const result = this.parseLibraries__p1__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(location);
    this.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        matchEnd9: {
          if ((x0$1 !== null)) {
            const f = x0$1.unit$1;
            const origin = x0$1.origin$1;
            if ($is_Lamf_core_model_document_Fragment(f)) {
              const x4 = f;
              if ((origin !== null)) {
                result$1.$$plus$eq__T__Lamf_core_model_document_Fragment__V(origin.url$1, x4);
                break matchEnd9
              }
            }
          };
          if ((x0$1 !== null)) {
            const d = x0$1.unit$1;
            const origin$2 = x0$1.origin$1;
            if ($is_Lamf_core_model_document_Document(d)) {
              const x6 = d;
              if ((origin$2 !== null)) {
                result$1.$$plus$eq__T__Lamf_core_model_document_Document__V(origin$2.url$1, x6);
                break matchEnd9
              }
            }
          }
        }
      })
    })(this, result)));
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser(x$1)) {
      const ReferencesParser$1 = x$1;
      const x = this.baseUnit$1;
      const x$2 = ReferencesParser$1.baseUnit$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === ReferencesParser$1.key$1)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ReferencesParser$1.map$1))) {
        const x$3 = this.references$1;
        const x$4 = ReferencesParser$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseUnit$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  target__p1__T__s_Option(url) {
    const this$2 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
      return (function(r$2) {
        const r = r$2;
        const this$1 = r.origin$1.url$1;
        return (this$1 === url$1)
      })
    })(this, url)));
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$2 = arg1;
      return new $c_s_Some().init___O(x$2.unit$1)
    }
  };
  init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(baseUnit, key, map, references, ctx) {
    this.baseUnit$1 = baseUnit;
    this.key$1 = key;
    this.map$1 = map;
    this.references$1 = references;
    this.ctx$1 = ctx;
    return this
  };
  collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(module, alias) {
    const x1 = module.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const aliases = x2.value$2;
      module.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$3$2) {
          const x$3 = x$3$2;
          return $is_Lamf_core_annotations_Aliases(x$3)
        })
      })(this)));
      const aliases$1 = aliases.aliases$1.$$plus__O__sc_Set(alias);
      const annotation = new $c_Lamf_core_annotations_Aliases().init___sci_Set(aliases$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const array = [alias];
        let jsx$1;
        if (((array.length | 0) === 0)) {
          jsx$1 = $m_sci_Set$EmptySet$()
        } else {
          const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__scm_SetBuilder(arg1);
            i = ((1 + i) | 0)
          };
          jsx$1 = b.elems$1
        };
        const annotation$1 = new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$1);
        return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(module, annotation$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseLibraries__p1__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(id) {
    const result = $m_Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations$().apply__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.ctx$1);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = this.key$1;
    const this$3 = this$2.key__T__s_Option(keyword);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1, result$2) {
        return (function(e$2) {
          const e = e$2;
          const alias = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
          const urlOption = $m_Lamf_plugins_document_webapi_parser_spec_declaration_LibraryLocationParser$().apply__Lorg_yaml_model_YMapEntry__s_Option(e);
          if ((!urlOption.isEmpty__Z())) {
            const arg1$1 = urlOption.get__O();
            const url = arg1$1;
            const this$4 = $this.target__p1__T__s_Option(url);
            if ((!this$4.isEmpty__Z())) {
              const arg1$2 = this$4.get__O();
              const x0$2 = arg1$2;
              if ($is_Lamf_core_model_document_DeclaresModel(x0$2)) {
                const jsx$1 = $this.baseUnit$1;
                const y = new $c_T2().init___O__O(x0$2.id__T(), url);
                $this.collectAlias__p1__Lamf_core_model_document_BaseUnit__T2__Lamf_core_model_document_BaseUnit(jsx$1, new $c_T2().init___O__O(alias, y));
                result$2.$$plus$eq__T__Lamf_core_model_document_BaseUnit__V(alias, x0$2)
              } else {
                const this$7 = $this.ctx$1;
                const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected module but found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$2]));
                $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, id$1, message, e)
              }
            }
          }
        })
      })(this, id, result)))
    };
    return result
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ReferencesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "ShapeDependenciesParser"
  };
  init___Lorg_yaml_model_YMap__scm_ListMap(map, properties) {
    this.map$1 = map;
    this.properties$1 = properties;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser(x$1)) {
      const ShapeDependenciesParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ShapeDependenciesParser$1.map$1)) {
        const x = this.properties$1;
        const x$2 = ShapeDependenciesParser$1.properties$1;
        return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        const xo = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_NodeDependencyParser().init___Lorg_yaml_model_YMapEntry__scm_ListMap(entry, $this.properties$1).parse__s_Option();
        return xo.toList__sci_List()
      })
    })(this));
    const this$2 = $m_sc_IndexedSeq$();
    return jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBF$6)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ShapeDependenciesParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "SimpleTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter(x$1)) {
      const SimpleTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = SimpleTypeEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = SimpleTypeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.shape$1;
    const fs = this$1.fields$2;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DisplayName$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("displayName", f, $m_s_None$())))
    };
    const this$4 = this.shape$1;
    const this$5 = this$4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1).option$1;
    let typeDef;
    if (this$5.isEmpty__Z()) {
      typeDef = $m_s_None$()
    } else {
      const arg1$1 = this$5.get__O();
      const iri = arg1$1;
      typeDef = new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().type08Def__T__Lamf_plugins_domain_shapes_models_TypeDef(iri))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$3 = arg1$2;
      const jsx$1 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
      const this$7 = this.shape$1;
      const this$8 = this$7.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      const this$9 = this$8.option$1;
      const rawTypeDef = jsx$1.typeDef08__T__T((this$9.isEmpty__Z() ? null : this$9.get__O()));
      const this$10 = this.shape$1;
      const x1 = this$10.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo.getClassOf());
      let jsx$2;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const lexicalInfo = x2.value$2;
        const x$164 = lexicalInfo.range$1.start$1;
        const x$165 = $m_Lorg_yaml_model_YType$().Str$1;
        jsx$2 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", rawTypeDef, x$165, x$164))
      } else {
        const this$12 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const annotations = f$3.value$1.annotations$1;
        const x$168 = this$12.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
        const x$169 = $m_Lorg_yaml_model_YType$().Str$1;
        jsx$2 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", rawTypeDef, x$169, x$168))
      };
      new $c_s_Some().init___O(jsx$2)
    };
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Description$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$3 = this$14.get__O();
      const f$4 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$4, $m_s_None$())))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Values$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$4 = this$16.get__O();
      const f$5 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$5, this.ordering$1, false)))
    };
    const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
    if ((!this$17.isEmpty__Z())) {
      const arg1$5 = this$17.get__O();
      const f$6 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("pattern", f$6, $m_s_None$())))
    };
    const this$19 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1);
    if ((!this$19.isEmpty__Z())) {
      const arg1$6 = this$19.get__O();
      const f$7 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minLength", f$7, $m_s_None$())))
    };
    const this$21 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1);
    if ((!this$21.isEmpty__Z())) {
      const arg1$7 = this$21.get__O();
      const f$8 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maxLength", f$8, $m_s_None$())))
    };
    const this$23 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ((!this$23.isEmpty__Z())) {
      const arg1$8 = this$23.get__O();
      const f$9 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minimum", f$9, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__s_Option__Lorg_yaml_model_YType(typeDef)))))
    };
    const this$24 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ((!this$24.isEmpty__Z())) {
      const arg1$9 = this$24.get__O();
      const f$10 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maximum", f$10, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__s_Option__Lorg_yaml_model_YType(typeDef)))))
    };
    const this$25 = this.shape$1;
    const this$26 = this$25.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1).headOption__s_Option();
    if ((!this$26.isEmpty__Z())) {
      const arg1$10 = this$26.get__O();
      const e = arg1$10;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter().init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("example", e, this.ordering$1, this.spec$1))
    };
    const this$27 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().RequiredShape$1);
    if ((!this$27.isEmpty__Z())) {
      const arg1$11 = this$27.get__O();
      const f$11 = arg1$11;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("required", f$11, $m_s_None$())))
    };
    const this$29 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
    if ((!this$29.isEmpty__Z())) {
      const arg1$12 = this$29.get__O();
      const f$12 = arg1$12;
      const this$30 = this.shape$1;
      const x$171 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$30.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
      const this$32 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations$1 = f$12.value$1.annotations$1;
      const x$172 = this$32.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations$1, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const x$173 = $m_Lorg_yaml_model_YType$().Str$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", x$171, x$173, x$172)))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.SimpleTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser extends $c_O {
  constructor() {
    super();
    this.defaultName$1 = null;
    this.node$1 = null;
    this.ctx$1 = null;
    this.map$1 = null
  };
  productPrefix__T() {
    return "XMLSerializerParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser(x$1)) {
      const XMLSerializerParser$1 = x$1;
      return ((this.defaultName$1 === XMLSerializerParser$1.defaultName$1) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(XMLSerializerParser$1.node$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.defaultName$1;
        break
      }
      case 1: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_shapes_models_XMLSerializer() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_XMLSerializer$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_XMLSerializer(this.node$1);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1;
    const this$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, false);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1;
    const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$2, field$1, false);
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1;
    const value = this.defaultName$1;
    const serializer = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field$2, value);
    const map = this.map$1;
    const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$6 = this$5.key__T__s_Option("attribute");
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.ctx$1;
      const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1;
      const value$2 = value$1.$boolean__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$3, value$2, annotations)
    };
    const map$1 = this.map$1;
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$10 = this$9.key__T__s_Option("wrapped");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$1 = this.ctx$1;
      const value$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1;
      const value$4 = value$3.$boolean__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$4, value$4, annotations$1)
    };
    const map$2 = this.map$1;
    const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$14 = this$13.key__T__s_Option("name");
    if ((!this$14.isEmpty__Z())) {
      const arg1$2 = this$14.get__O();
      const entry$4 = arg1$2;
      const node$2 = entry$4.value$1;
      const iv$2 = this.ctx$1;
      const value$5 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$2);
      const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1;
      const value$6 = value$5.string__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$5, value$6, annotations$2)
    };
    const map$3 = this.map$1;
    const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$18 = this$17.key__T__s_Option("namespace");
    if ((!this$18.isEmpty__Z())) {
      const arg1$3 = this$18.get__O();
      const entry$5 = arg1$3;
      const node$3 = entry$5.value$1;
      const iv$3 = this.ctx$1;
      const value$7 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$3, iv$3);
      const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1;
      const value$8 = value$7.string__Lamf_core_model_domain_AmfScalar();
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$6, value$8, annotations$3)
    };
    const map$4 = this.map$1;
    const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$22 = this$21.key__T__s_Option("prefix");
    if ((!this$22.isEmpty__Z())) {
      const arg1$4 = this$22.get__O();
      const entry$6 = arg1$4;
      const node$4 = entry$6.value$1;
      const iv$4 = this.ctx$1;
      const value$9 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$4, iv$4);
      const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1;
      const value$10 = value$9.string__Lamf_core_model_domain_AmfScalar();
      const annotations$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$6);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(serializer, field$7, value$10, annotations$4)
    };
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(serializer.id$1, this.map$1, "xmlSerialization", false);
    return serializer
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(defaultName, node, ctx) {
    this.defaultName$1 = defaultName;
    this.node$1 = node;
    this.ctx$1 = ctx;
    this.map$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.XMLSerializerParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult extends $c_O {
  constructor() {
    super();
    this.exampleNode$1 = null;
    this.dataNode$1 = null
  };
  productPrefix__T() {
    return "DataNodeParserResult"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult(x$1)) {
      const DataNodeParserResult$1 = x$1;
      const x = this.exampleNode$1;
      const x$2 = DataNodeParserResult$1.exampleNode$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.dataNode$1;
        const x$4 = DataNodeParserResult$1.dataNode$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.exampleNode$1;
        break
      }
      case 1: {
        return this.dataNode$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___s_Option__s_Option(exampleNode, dataNode) {
    this.exampleNode$1 = exampleNode;
    this.dataNode$1 = dataNode;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.DataNodeParserResult", {
  Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions extends $c_O {
  constructor() {
    super();
    this.strictDefault$1 = false;
    this.quiet$1 = false
  };
  productPrefix__T() {
    return "ExampleOptions"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions(x$1)) {
      const ExampleOptions$1 = x$1;
      return ((this.strictDefault$1 === ExampleOptions$1.strictDefault$1) && (this.quiet$1 === ExampleOptions$1.quiet$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.strictDefault$1;
        break
      }
      case 1: {
        return this.quiet$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.strictDefault$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.quiet$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Z__Z(strictDefault, quiet) {
    this.strictDefault$1 = strictDefault;
    this.quiet$1 = quiet;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ExampleOptions", {
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.parentId$1 = null;
    this.quiet$1 = false;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "NodeDataNodeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser(x$1)) {
      const NodeDataNodeParser$1 = x$1;
      return ((this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NodeDataNodeParser$1.node$1) && (this.parentId$1 === NodeDataNodeParser$1.parentId$1)) && (this.quiet$1 === NodeDataNodeParser$1.quiet$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      case 2: {
        return this.quiet$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult() {
    const errorHandler = (this.quiet$1 ? new $c_Lamf_core_parser_WarningOnlyHandler().init___T(this.ctx$1.rootContextDocument$1) : this.ctx$1);
    let rc5 = false;
    let x2 = null;
    const node = this.node$1;
    const x1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
    let exampleNode;
    matchEnd6: {
      if ($is_s_Some(x1)) {
        rc5 = true;
        x2 = x1;
        const scalar = x2.value$2;
        if ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(scalar.text$3).isDefined__Z()) {
          const node$1 = this.node$1;
          const this$3 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
          if (this$3.isEmpty__Z()) {
            exampleNode = $m_s_None$();
            break matchEnd6
          } else {
            const arg1 = this$3.get__O();
            const scalar$2 = arg1;
            const this$4 = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(scalar$2.text$3, errorHandler).parse__Z__sc_IndexedSeq(true);
            const pf = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1().init___Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser(this);
            exampleNode = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$4, pf);
            break matchEnd6
          }
        }
      };
      if (rc5) {
        const scalar$3 = x2.value$2;
        if ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(scalar$3.text$3).isDefined__Z()) {
          exampleNode = $m_s_None$();
          break matchEnd6
        }
      };
      exampleNode = new $c_s_Some().init___O(this.node$1)
    };
    if ($is_Lamf_core_parser_WarningOnlyHandler(errorHandler)) {
      const x2$2 = errorHandler;
      if (x2$2.warningRegister$1) {
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult().init___s_Option__s_Option(exampleNode, $m_s_None$())
      }
    };
    let dataNode$1;
    if (exampleNode.isEmpty__Z()) {
      dataNode$1 = $m_s_None$()
    } else {
      const arg1$1 = exampleNode.get__O();
      const ex = arg1$1;
      const x$6 = new $c_s_Some().init___O(this.parentId$1);
      const x$7 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const x$8 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const dataNode = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(ex, x$7, x$6, x$8, this.ctx$1).parse__Lamf_core_model_domain_DataNode();
      dataNode.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          return $is_Lamf_core_annotations_LexicalInformation(x$2)
        })
      })(this)));
      dataNode.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_LexicalInformation().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(this.node$1.value__Lorg_yaml_model_YValue().range$2)));
      dataNode$1 = new $c_s_Some().init___O(dataNode)
    };
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult().init___s_Option__s_Option(exampleNode, dataNode$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(node, parentId, quiet, ctx) {
    this.node$1 = node;
    this.parentId$1 = parentId;
    this.quiet$1 = quiet;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.node$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parentId$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.quiet$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.NodeDataNodeParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasHeaderParametersParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser(x$1)) {
      const OasHeaderParametersParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasHeaderParametersParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = OasHeaderParametersParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, $this.producer$1, $this.ctx$1).parse__Lamf_plugins_domain_webapi_models_Parameter()
      })
    })(this));
    const this$1 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6)
  };
  init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, producer, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasHeaderParametersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.payload$1 = null;
    this.ast$1 = null
  };
  productPrefix__T() {
    return "OasParameter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(x$1)) {
      const OasParameter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = OasParameter$1.parameter$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.payload$1;
        const x$4 = OasParameter$1.payload$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ast$1;
        const x$6 = OasParameter$1.ast$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.payload$1;
        break
      }
      case 2: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__s_Option(parameter, payload, ast) {
    this.parameter$1 = parameter;
    this.payload$1 = payload;
    this.ast$1 = ast;
    return this
  };
  hasInvalidBinding__Z() {
    const this$1 = this.parameter$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
    let jsx$3;
    if ((!$f_Lamf_core_model_ValueField__is__O__Z(this$2, "formData"))) {
      const this$3 = this.parameter$1;
      const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      jsx$3 = (!$f_Lamf_core_model_ValueField__is__O__Z(this$4, "body"))
    } else {
      jsx$3 = false
    };
    let jsx$2;
    if (jsx$3) {
      const this$5 = this.parameter$1;
      const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      jsx$2 = (!$f_Lamf_core_model_ValueField__is__O__Z(this$6, "query"))
    } else {
      jsx$2 = false
    };
    let jsx$1;
    if (jsx$2) {
      const this$7 = this.parameter$1;
      const this$8 = this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      jsx$1 = (!$f_Lamf_core_model_ValueField__is__O__Z(this$8, "path"))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$9 = this.parameter$1;
      const this$10 = this$9.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      return (!$f_Lamf_core_model_ValueField__is__O__Z(this$10, "header"))
    } else {
      return false
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParameter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter extends $c_O {
  constructor() {
    super();
    this.OasParameterEmitter$module$1 = null;
    this.XRamlParameterEmitter$module$1 = null;
    this.key$1 = null;
    this.parameters$1 = null;
    this.ordering$1 = null;
    this.payloads$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, parameters, ordering, payloads, references, spec) {
    this.key$1 = key;
    this.parameters$1 = parameters;
    this.ordering$1 = ordering;
    this.payloads$1 = payloads;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasParametersEmitter"
  };
  productArity__I() {
    return 5
  };
  ramlEndpointEmitters__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq(this, this.parameters$1, this.references$1)]))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter(x$1)) {
      const OasParametersEmitter$1 = x$1;
      let jsx$3;
      if ((this.key$1 === OasParametersEmitter$1.key$1)) {
        const x = this.parameters$1;
        const x$2 = OasParametersEmitter$1.parameters$1;
        jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$3 = this.ordering$1;
        const x$4 = OasParametersEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.payloads$1;
        const x$6 = OasParametersEmitter$1.payloads$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = OasParametersEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.parameters$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.payloads$1;
        break
      }
      case 4: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  oasEndpointEmitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x1 = this.parameters$1.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return ((($m_s_Option$().apply__O__s_Option(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)).isEmpty__Z() || $is_Lamf_plugins_domain_shapes_models_ScalarShape(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_ArrayShape(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_FileShape(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)))
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oasParameters = x1.$$und1__O();
    const ramlParameters = x1.$$und2__O();
    if ((oasParameters.nonEmpty__Z() || this.payloads$1.nonEmpty__Z())) {
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq(this, oasParameters, this.references$1))
    };
    if (ramlParameters.nonEmpty__Z()) {
      const path = ramlParameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$13$2) {
          const x$13 = x$13$2;
          const this$1 = x$13.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          return $f_Lamf_core_model_ValueField__is__O__Z(this$1, "path")
        })
      })(this)));
      if (path.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq(this, new $c_Lamf_core_utils_package$Strings().init___T("uriParameters").asOasExtension__T(), path))
      }
    };
    return results
  };
  emitters__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const x1 = this.parameters$1.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return ((($m_s_Option$().apply__O__s_Option(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)).isEmpty__Z() || $is_Lamf_plugins_domain_shapes_models_ScalarShape(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_ArrayShape(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1))) || $is_Lamf_plugins_domain_shapes_models_FileShape(p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)))
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oasParameters = x1.$$und1__O();
    const ramlParameters = x1.$$und2__O();
    if ((oasParameters.nonEmpty__Z() || this.payloads$1.nonEmpty__Z())) {
      results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq(this, oasParameters, this.references$1))
    };
    if (ramlParameters.nonEmpty__Z()) {
      const query = ramlParameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$15$2) {
          const x$15 = x$15$2;
          const this$1 = x$15.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          return $f_Lamf_core_model_ValueField__is__O__Z(this$1, "query")
        })
      })(this)));
      const header = ramlParameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
        return (function(x$16$2) {
          const x$16 = x$16$2;
          const this$4 = x$16.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          return $f_Lamf_core_model_ValueField__is__O__Z(this$4, "header")
        })
      })(this)));
      if (query.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq(this, new $c_Lamf_core_utils_package$Strings().init___T("queryParameters").asOasExtension__T(), query))
      };
      if (header.nonEmpty__Z()) {
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq(this, new $c_Lamf_core_utils_package$Strings().init___T("headers").asOasExtension__T(), header))
      }
    };
    return results
  };
  amf$plugins$document$webapi$parser$spec$domain$OasParametersEmitter$$parameters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(parameters, ordering, references) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    parameters.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1, result$1) {
      return (function(e$2) {
        const e = e$2;
        return result$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(e, ordering$1, references$1, $this.spec$1))
      })
    })(this, ordering, references, result)));
    this.payloads$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, ordering$2, references$2, result$2) {
      return (function(payload$2) {
        const payload = payload$2;
        return result$2.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(payload, ordering$2, references$2, this$2.spec$1))
      })
    })(this, ordering, references, result)));
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser extends $c_O {
  constructor() {
    super();
    this.values$1 = null;
    this.parentId$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasParametersParser"
  };
  init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(values, parentId, ctx) {
    this.values$1 = values;
    this.parentId$1 = parentId;
    this.ctx$1 = ctx;
    return this
  };
  productArity__I() {
    return 2
  };
  validateOasPayloads__p1__sc_Seq__T__V(params, id) {
    if ((params.length__I() > 1)) {
      params.tail__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, id$1) {
        return (function(param$2) {
          const param = param$2;
          const this$1 = $this.ctx$1;
          const node = param.payload$1.id$1;
          const ast = param.ast$1.get__O();
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id$1, node, property, "Cannot declare more than one payload parameter for a request", ast)
        })
      })(this, id)))
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser(x$1)) {
      const OasParametersParser$1 = x$1;
      const x = this.values$1;
      const x$2 = OasParametersParser$1.values$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.parentId$1 === OasParametersParser$1.parentId$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.values$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Z__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(inRequest) {
    const jsx$2 = this.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(value$2) {
        const value = value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser().init___Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(value, $this.parentId$1, $m_s_None$(), $this.ctx$1).parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const parameters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    if (inRequest) {
      const body = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          const this$3 = x$5.parameter$1;
          const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          return $f_Lamf_core_model_ValueField__is__O__Z(this$4, "body")
        })
      })(this)));
      const formData = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          const this$5 = x$6.parameter$1;
          const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          return $f_Lamf_core_model_ValueField__is__O__Z(this$6, "formData")
        })
      })(this)));
      if ((body.nonEmpty__Z() && formData.nonEmpty__Z())) {
        const bodyParam = body.head__O();
        const this$7 = this.ctx$1;
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().OasBodyAndFormDataParameterSpecification$1.id__T();
        const node = bodyParam.payload$1.id$1;
        const ast = bodyParam.ast$1.get__O();
        const property = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$7, id, node, property, "Cannot declare body and formData params at the same time for a request", ast)
      };
      this.validateOasPayloads__p1__sc_Seq__T__V(body, $m_Lamf_plugins_features_validation_ParserSideValidations$().OasInvalidBodyParameter$1.id__T());
      this.validateOasPayloads__p1__sc_Seq__T__V(formData, $m_Lamf_plugins_features_validation_ParserSideValidations$().OasInvalidFormDataParameter$1.id__T())
    };
    const jsx$16 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        const this$8 = x$7.parameter$1;
        const this$9 = this$8.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$9, "query")
      })
    })(this)));
    const jsx$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return x$8.parameter$1
      })
    })(this));
    const this$10 = $m_sc_Seq$();
    const jsx$14 = jsx$16.map__F1__scg_CanBuildFrom__O(jsx$15, this$10.ReusableCBFInstance$2);
    const jsx$13 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        const this$11 = x$9.parameter$1;
        const this$12 = this$11.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$12, "path")
      })
    })(this)));
    const jsx$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        return x$10.parameter$1
      })
    })(this));
    const this$13 = $m_sc_Seq$();
    const jsx$11 = jsx$13.map__F1__scg_CanBuildFrom__O(jsx$12, this$13.ReusableCBFInstance$2);
    const jsx$10 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(x$11$2) {
        const x$11 = x$11$2;
        const this$14 = x$11.parameter$1;
        const this$15 = this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$15, "header")
      })
    })(this)));
    const jsx$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        return x$12.parameter$1
      })
    })(this));
    const this$16 = $m_sc_Seq$();
    const jsx$8 = jsx$10.map__F1__scg_CanBuildFrom__O(jsx$9, this$16.ReusableCBFInstance$2);
    const jsx$7 = $m_sci_Nil$();
    const jsx$6 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(x$13$2) {
        const x$13 = x$13$2;
        const this$17 = x$13.parameter$1;
        const this$18 = this$17.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$18, "body")
      })
    })(this)));
    const jsx$5 = parameters.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        const this$19 = x$14.parameter$1;
        const this$20 = this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        return $f_Lamf_core_model_ValueField__is__O__Z(this$20, "formData")
      })
    })(this)));
    const this$21 = $m_sc_Seq$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$21.ReusableCBFInstance$2);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1) {
      return (function(x$15$2) {
        const x$15 = x$15$2;
        return x$15.payload$1
      })
    })(this));
    const this$22 = $m_sc_Seq$();
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(jsx$14, jsx$11, jsx$8, jsx$7, jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$22.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads extends $c_O {
  constructor() {
    super();
    this.default$1 = null;
    this.other$1 = null
  };
  productPrefix__T() {
    return "OasPayloads"
  };
  productArity__I() {
    return 2
  };
  init___s_Option__sc_Seq($default, other) {
    this.default$1 = $default;
    this.other$1 = other;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(x$1)) {
      const OasPayloads$1 = x$1;
      const x = this.default$1;
      const x$2 = OasPayloads$1.default$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.other$1;
        const x$4 = OasPayloads$1.other$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.default$1;
        break
      }
      case 1: {
        return this.other$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloads", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser extends $c_O {
  constructor() {
    super();
    this.yMapEntry$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasResponseExampleParser"
  };
  parse__Lamf_plugins_domain_shapes_models_Example() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(this.yMapEntry$1);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1;
    const value = this.yMapEntry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const example = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.yMapEntry$1.value$1, example, new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(false, true), this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser(x$1)) {
      const OasResponseExampleParser$1 = x$1;
      const x = this.yMapEntry$1;
      const x$2 = OasResponseExampleParser$1.yMapEntry$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.yMapEntry$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(yMapEntry, ctx) {
    this.yMapEntry$1 = yMapEntry;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "OasResponseExamplesParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser(x$1)) {
      const OasResponseExamplesParser$1 = x$1;
      return ((this.key$1 === OasResponseExamplesParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasResponseExamplesParser$1.map$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.key$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).regex__T__sc_Iterable(".*/.*");
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, results$1) {
        return (function(e$2) {
          const e = e$2;
          return results$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleParser().init___Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext(e, $this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example())
        })
      })(this, results));
      const this$4 = $m_sc_Iterable$();
      jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
    };
    return results
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExamplesParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters extends $c_O {
  constructor() {
    super();
    this.query$1 = null;
    this.path$1 = null;
    this.header$1 = null;
    this.baseUri08$1 = null;
    this.body$1 = null
  };
  productPrefix__T() {
    return "Parameters"
  };
  addParams__p1__sc_Seq__sc_Seq__sc_Seq(global, inner) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const this$1 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        const this$2 = this$1.option$1;
        const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const globalMap = global.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(p$3$2) {
        const p$3 = p$3$2;
        const this$6 = p$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        const this$7 = this$6.option$1;
        const self$1 = (this$7.isEmpty__Z() ? null : this$7.get__O());
        return new $c_T2().init___O__O(self$1, p$3)
      })
    })(this));
    const this$10 = $m_sc_Seq$();
    const innerMap = inner.map__F1__scg_CanBuildFrom__O(jsx$2, this$10.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const this$11 = globalMap.$$plus$plus__sc_GenTraversableOnce__sci_Map(innerMap);
    const this$12 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$11);
    return this$12.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Parameters(x$1)) {
      const Parameters$1 = x$1;
      const x = this.query$1;
      const x$2 = Parameters$1.query$1;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.path$1;
        const x$4 = Parameters$1.path$1;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.header$1;
        const x$6 = Parameters$1.header$1;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.baseUri08$1;
        const x$8 = Parameters$1.baseUri08$1;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$9 = this.body$1;
        const x$10 = Parameters$1.body$1;
        return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.query$1;
        break
      }
      case 1: {
        return this.path$1;
        break
      }
      case 2: {
        return this.header$1;
        break
      }
      case 3: {
        return this.baseUri08$1;
        break
      }
      case 4: {
        return this.body$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(query, path, header, baseUri08, body) {
    this.query$1 = query;
    this.path$1 = path;
    this.header$1 = header;
    this.baseUri08$1 = baseUri08;
    this.body$1 = body;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  merge__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(inner) {
    const jsx$4 = this.mergeParams__p1__sc_Seq__sc_Seq__sc_Seq(this.query$1, inner.query$1);
    const jsx$3 = this.mergeParams__p1__sc_Seq__sc_Seq__sc_Seq(this.path$1, inner.path$1);
    const jsx$2 = this.mergeParams__p1__sc_Seq__sc_Seq__sc_Seq(this.header$1, inner.header$1);
    const jsx$1 = this.mergeParams__p1__sc_Seq__sc_Seq__sc_Seq(this.baseUri08$1, inner.baseUri08$1);
    const inner$1 = inner.body$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(jsx$4, jsx$3, jsx$2, jsx$1, inner$1)
  };
  add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(inner) {
    const jsx$4 = this.addParams__p1__sc_Seq__sc_Seq__sc_Seq(this.query$1, inner.query$1);
    const jsx$3 = this.addParams__p1__sc_Seq__sc_Seq__sc_Seq(this.path$1, inner.path$1);
    const jsx$2 = this.addParams__p1__sc_Seq__sc_Seq__sc_Seq(this.header$1, inner.header$1);
    const jsx$1 = this.addParams__p1__sc_Seq__sc_Seq__sc_Seq(this.baseUri08$1, inner.baseUri08$1);
    const global = this.body$1;
    const inner$1 = inner.body$1;
    const this$1 = $m_sc_Seq$();
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(jsx$4, jsx$3, jsx$2, jsx$1, global.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(inner$1, this$1.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  nonEmpty__Z() {
    return (((this.query$1.nonEmpty__Z() || this.path$1.nonEmpty__Z()) || this.header$1.nonEmpty__Z()) || this.body$1.nonEmpty__Z())
  };
  mergeParams__p1__sc_Seq__sc_Seq__sc_Seq(global, inner) {
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const this$1 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        const this$2 = this$1.option$1;
        const self = (this$2.isEmpty__Z() ? null : this$2.get__O());
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const globalMap = global.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(p$3$2) {
        const p$3 = p$3$2;
        const this$6 = p$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
        const this$7 = this$6.option$1;
        const self$1 = (this$7.isEmpty__Z() ? null : this$7.get__O());
        return new $c_T2().init___O__O(self$1, p$3)
      })
    })(this));
    const this$10 = $m_sc_Seq$();
    const innerMap = inner.map__F1__scg_CanBuildFrom__O(jsx$2, this$10.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const this$11 = globalMap.$$plus$plus__sc_GenTraversableOnce__sci_Map(innerMap);
    const this$12 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$11);
    return this$12.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Parameters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Parameters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Parameters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Parameters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Parameters", {
  Lamf_plugins_document_webapi_parser_spec_domain_Parameters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Parameters;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.declarations$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "ParametrizedDeclarationParser"
  };
  productArity__I() {
    return 3
  };
  fromStringNode__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_templates_ParametrizedDeclaration(node) {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      const this$1 = this.producer$1.apply__O__O(value);
      const other = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
      const this$3 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
      const field = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1;
      const qual$1 = this.declarations$1.apply__O__O__O(value, $m_Lamf_core_parser_SearchScope$Fragments$());
      const x$6 = new $c_Lamf_core_parser_Annotations().init___();
      const value$1 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$1, value, x$6);
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$3, field, value$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const n = x3.value$2;
      const text = n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
      const this$4 = this.producer$1.apply__O__O(text);
      const other$1 = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(node);
      const this$6 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$4, other$1);
      const field$1 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1;
      const qual$2 = this.declarations$1.apply__O__O__O(text, $m_Lamf_core_parser_SearchScope$All$());
      const x$8 = new $c_Lamf_core_parser_Annotations().init___();
      const value$2 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$2, text, x$8);
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$6, field$1, value$2)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser(x$1)) {
      const ParametrizedDeclarationParser$1 = x$1;
      let jsx$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ParametrizedDeclarationParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = ParametrizedDeclarationParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.declarations$1;
        const x$4 = ParametrizedDeclarationParser$1.declarations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.declarations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, declarations, ctx) {
    this.node$1 = node;
    this.producer$1 = producer;
    this.declarations$1 = declarations;
    this.ctx$1 = ctx;
    return this
  };
  parse__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    const this$1 = this.node$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const entry = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.head__O();
      const this$2 = entry.value$1;
      const x1$2 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x$3 === x1$2)) {
        return this.fromStringNode__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_templates_ParametrizedDeclaration(entry.key$1)
      } else {
        const name = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$3 = this.producer$1.apply__O__O(name);
        const other = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1);
        const declaration = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
        declaration.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Target$1, this.declarations$1.apply__O__O__O(name, $m_Lamf_core_parser_SearchScope$Named$()), (declaration.fields__Lamf_core_parser_Fields(), new $c_Lamf_core_parser_Annotations().init___()));
        const jsx$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, declaration$1) {
          return (function(variableEntry$2) {
            const variableEntry = variableEntry$2;
            const x$1 = variableEntry.value$1;
            const x$2 = new $c_s_Some().init___O(declaration$1.id$1);
            const x$3$1 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
            const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
            const node = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(x$1, x$3$1, x$2, x$4, $this.ctx$1).parse__Lamf_core_model_domain_DataNode();
            const this$8 = $m_Lamf_core_model_domain_templates_VariableValue$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_templates_VariableValue(variableEntry);
            const name$1 = variableEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
            const field = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1;
            const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, name$1);
            const field$1 = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$9, field$1, node)
          })
        })(this, declaration));
        const this$10 = $m_sc_IndexedSeq$();
        const variables = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$10.ReusableCBF$6);
        const field$2 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().Variables$1;
        return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(declaration, field$2, variables)
      }
    } else {
      const x$5 = $m_Lorg_yaml_model_YType$().Str$1;
      if ((x$5 === x1)) {
        return this.fromStringNode__p1__Lorg_yaml_model_YNode__Lamf_core_model_domain_templates_ParametrizedDeclaration(this.node$1)
      } else {
        const declaration$2 = this.producer$1.apply__O__O("");
        const this$11 = this.ctx$1;
        const node$1 = declaration$2.id$1;
        const ast = this.node$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$11, node$1, "Invalid model extension.", ast);
        return declaration$2
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedDeclarationParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.typeEmitters$1 = null
  };
  productPrefix__T() {
    return "Raml08PayloadEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter(x$1)) {
      const Raml08PayloadEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = Raml08PayloadEmitter$1.payload$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08PayloadEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const x1 = this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    if ($is_s_Some(x1)) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter(this)]))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.typeEmitters$1
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(payload, ordering, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    let rc9 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(payload.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
    let jsx$1;
    matchEnd10: {
      if ($is_s_Some(x1)) {
        rc9 = true;
        x2 = x1;
        const node = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_NodeShape(node)) {
          const x5 = node;
          if (((!$f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x5).isDefined__Z()) && x5.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf()).isEmpty__Z())) {
            jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter().init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, ordering, spec)]));
            break matchEnd10
          }
        }
      };
      if (rc9) {
        const anyShape = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(anyShape)) {
          const x6 = anyShape;
          jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().apply__Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(x6, ordering, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), spec).emitters__sc_Seq();
          break matchEnd10
        }
      };
      if (rc9) {
        const other = x2.value$2;
        jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(other, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit schema ", " in raml 08 body request"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(other).toString__T()])))]));
        break matchEnd10
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$2().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter(this)]));
        break matchEnd10
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    this.typeEmitters$1 = jsx$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.parentId$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Raml08WebFormParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser(x$1)) {
      const Raml08WebFormParser$1 = x$1;
      return (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08WebFormParser$1.map$1) && (this.parentId$1 === Raml08WebFormParser$1.parentId$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, parentId, ctx) {
    this.map$1 = map;
    this.parentId$1 = parentId;
    this.ctx$1 = ctx;
    return this
  };
  parse__s_Option() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("formParameters");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const entries = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
      const this$3 = entries.headOption__s_Option();
      if (this$3.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const this$4 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(entry.value$1);
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const webFormShape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, "schema").adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(this.parentId$1);
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, webFormShape$1) {
          return (function(e$2) {
            const e = e$2;
            const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(shape$2) {
                const shape = shape$2;
                return shape
              })
            })($this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.ctx$1).parse__s_Option();
            if ((!this$5.isEmpty__Z())) {
              const arg1$2 = this$5.get__O();
              const s = arg1$2;
              const property = webFormShape$1.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(e.key$1.toString__T());
              const x1 = s.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
              matchEnd5: {
                const x = $m_s_None$();
                if ((x === x1)) {
                  const field$1 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$1, 0);
                  break matchEnd5
                };
                if ($is_s_Some(x1)) {
                  const x2 = x1;
                  const f = x2.value$2;
                  if ((!f.value$1.value$1.toBool__Z())) {
                    const field$2 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$2, 0);
                    break matchEnd5
                  }
                };
                const field$3 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(property, field$3, 1)
              };
              const field$4 = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(property, field$4, s).adopted__T__Lamf_core_model_domain_extensions_PropertyShape(property.id$1)
            }
          })
        })(this, webFormShape)));
        return new $c_s_Some().init___O(webFormShape)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08WebFormParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10Payloads"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads(x$1)) {
      const Raml10Payloads$1 = x$1;
      const x = this.payload$1;
      const x$2 = Raml10Payloads$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10Payloads$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml10Payloads$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    if (this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1).isDefined__Z()) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.payload$1, this.ordering$1, this.references$1, this.spec$1)]))
    } else {
      let rc7 = false;
      let x2 = null;
      const jsx$1 = $m_s_Option$();
      const this$1 = this.payload$1;
      const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
      if ($is_s_Some(x1)) {
        rc7 = true;
        x2 = x1;
        const shape = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
          const x5 = shape;
          const x$26 = this.ordering$1;
          const x$27 = this.references$1;
          const x$28 = $m_sci_Nil$();
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, x$26, x$28, x$27, this.spec$1).emitters__sc_Seq()
        }
      };
      if (rc7) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit a non WebAPI shape"))
      };
      return $m_sci_Nil$()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10Payloads", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.singleExampleKey$1 = null;
    this.multipleExamplesKey$1 = null;
    this.parentId$1 = null;
    this.producer$1 = null;
    this.options$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlExamplesParser"
  };
  productArity__I() {
    return 6
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser(x$1)) {
      const RamlExamplesParser$1 = x$1;
      let jsx$2;
      if (((this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlExamplesParser$1.map$1) && (this.singleExampleKey$1 === RamlExamplesParser$1.singleExampleKey$1)) && (this.multipleExamplesKey$1 === RamlExamplesParser$1.multipleExamplesKey$1))) {
        const x = this.parentId$1;
        const x$2 = RamlExamplesParser$1.parentId$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.producer$1;
        const x$4 = RamlExamplesParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.options$1;
        const x$6 = RamlExamplesParser$1.options$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___Lorg_yaml_model_YMap__T__T__s_Option__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(map, singleExampleKey, multipleExamplesKey, parentId, producer, options, ctx) {
    this.map$1 = map;
    this.singleExampleKey$1 = singleExampleKey;
    this.multipleExamplesKey$1 = multipleExamplesKey;
    this.parentId$1 = parentId;
    this.producer$1 = producer;
    this.options$1 = options;
    this.ctx$1 = ctx;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.singleExampleKey$1;
        break
      }
      case 2: {
        return this.multipleExamplesKey$1;
        break
      }
      case 3: {
        return this.parentId$1;
        break
      }
      case 4: {
        return this.producer$1;
        break
      }
      case 5: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const map = this.map$1;
    let jsx$1;
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.singleExampleKey$1).isDefined__Z()) {
      const map$1 = this.map$1;
      jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option(this.multipleExamplesKey$1).isDefined__Z()
    } else {
      jsx$1 = false
    };
    if ((jsx$1 && this.parentId$1.isDefined__Z())) {
      const this$3 = this.ctx$1;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ExclusivePropertiesSpecification$1.id__T();
      const node = this.parentId$1.get__O();
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Properties '", "' and '", "' are exclusive and cannot be declared together"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.singleExampleKey$1, this.multipleExamplesKey$1]));
      const ast = this.map$1;
      const property = $m_s_None$();
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$3, id, node, property, message, ast)
    };
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser().init___T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.multipleExamplesKey$1, this.map$1, this.producer$1, this.options$1, this.ctx$1).parse__sc_Seq();
    const xo = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser().init___T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.singleExampleKey$1, this.map$1, this.producer$1, this.options$1, this.ctx$1).parse__s_Option();
    const jsx$2 = xo.toList__sci_List();
    const this$5 = $m_sc_Seq$();
    return jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlExamplesParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExamplesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.producer$1 = null;
    this.options$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlMultipleExampleParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser(x$1)) {
      const RamlMultipleExampleParser$1 = x$1;
      let jsx$1;
      if (((this.key$1 === RamlMultipleExampleParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlMultipleExampleParser$1.map$1))) {
        const x = this.producer$1;
        const x$2 = RamlMultipleExampleParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.options$1;
        const x$4 = RamlMultipleExampleParser$1.options$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.producer$1;
        break
      }
      case 3: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const examples = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.key$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(entry.value$1);
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const s = x2.value$2;
        const qual$1 = this.ctx$1.declarations$2.findNamedExampleOrError__Lorg_yaml_model_YPart__T__Lamf_plugins_domain_shapes_models_Example(entry.value$1, s);
        const x$4 = new $c_Lamf_core_parser_Annotations().init___();
        examples.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$1, s, x$4))
      } else if ($is_s_util_Right(x1)) {
        const x3 = x1;
        const node = x3.value$2;
        const x1$2 = node.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1$2)) {
          const jsx$2 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              return new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(x$1, $this.producer$1, $this.options$1, $this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example()
            })
          })(this));
          const this$4 = $m_sc_IndexedSeq$();
          examples.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBF$6))
        } else {
          const x$5 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((x$5 === x1$2)) {
            new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(node, $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(node), this.options$1, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
          } else {
            new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(node, $m_Lamf_plugins_domain_shapes_models_Example$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_Example(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1)), this.options$1, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return examples
  };
  init___T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, producer, options, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.producer$1 = producer;
    this.options$1 = options;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlMultipleExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlMultipleExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.options$1 = null;
    this.ctx$1 = null
  };
  parse__Lamf_plugins_domain_shapes_models_Example() {
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const name = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const simpleProducer = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, name$1) {
      return (function() {
        return $this.producer$1.apply__O__O(new $c_s_Some().init___O(name$1.text__Lamf_core_model_domain_AmfScalar().toString__T()))
      })
    })(this, name));
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entry$1.value$1);
    let example;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const s = x2.value$2;
      const this$2 = this.ctx$1.declarations$2.findNamedExample__T__s_Option(s);
      let this$4;
      if (this$2.isEmpty__Z()) {
        this$4 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const e = arg1;
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        this$4 = new $c_s_Some().init___O($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(e, s, annotations))
      };
      example = (this$4.isEmpty__Z() ? new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser().init___Lorg_yaml_model_YNode__F0__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.entry$1.value$1, simpleProducer, this.options$1, this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example() : this$4.get__O())
    } else {
      if ((!$is_s_util_Right(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      example = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser().init___Lorg_yaml_model_YNode__F0__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.entry$1.value$1, simpleProducer, this.options$1, this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example()
    };
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
    const value = name.string__Lamf_core_model_domain_AmfScalar();
    const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(example, field, value, annotations$1)
  };
  productPrefix__T() {
    return "RamlNamedExampleParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser(x$1)) {
      const RamlNamedExampleParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = RamlNamedExampleParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = RamlNamedExampleParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.options$1;
        const x$6 = RamlNamedExampleParser$1.options$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(entry, producer, options, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.options$1 = options;
    this.ctx$1 = ctx;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlNamedExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null
  };
  init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    return this
  };
  productPrefix__T() {
    return "RamlParametersParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser(x$1)) {
      const RamlParametersParser$1 = x$1;
      let jsx$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlParametersParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = RamlParametersParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$1 === RamlParametersParser$1.parseOptional$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.parseOptional$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.map$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(entry$2) {
        const entry = entry$2;
        return $this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().parameterParser__F3().apply__O__O__O__O(entry, $this.producer$1, $this.parseOptional$1).parse__Lamf_plugins_domain_webapi_models_Parameter()
      })
    })(this));
    const this$1 = $m_sc_IndexedSeq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBF$6)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.map$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlParametrizedSecuritySchemeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser(x$1)) {
      const RamlParametrizedSecuritySchemeParser$1 = x$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlParametrizedSecuritySchemeParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = RamlParametrizedSecuritySchemeParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, ctx) {
    this.node$1 = node;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme() {
    const this$1 = this.node$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x1)) {
      const this$2 = this.producer$1.apply__O__O("null");
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
      return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
      if ((x$3 === x1)) {
        const name = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
        const this$3 = this.producer$1.apply__O__O(name);
        const other$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
        const scheme = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other$1);
        const x1$2 = this.ctx$1.declarations$2.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(name, $m_Lamf_core_parser_SearchScope$Named$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const declaration = x2.value$2;
          scheme.fields$1.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1, declaration, new $c_Lamf_core_parser_Annotations().init___());
          return scheme
        } else {
          const x$5 = $m_s_None$();
          if ((x$5 === x1$2)) {
            const this$5 = this.ctx$1;
            const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().UnknownSecuritySchemeErrorSpecification$1.id__T();
            const node = scheme.id$1;
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme '", "' not found in declarations."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]));
            const ast = this.node$1;
            const property = $m_s_None$();
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$5, id, node, property, message, ast);
            return scheme
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      } else {
        const x$7 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x$7 === x1)) {
          const schemeEntry = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.head__O();
          const name$2 = schemeEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
          const this$6 = this.producer$1.apply__O__O(name$2);
          const other$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
          const scheme$2 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$6, other$2);
          const x1$3 = this.ctx$1.declarations$2.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(name$2, $m_Lamf_core_parser_SearchScope$Named$());
          if ($is_s_Some(x1$3)) {
            const x2$2 = x1$3;
            const declaration$2 = x2$2.value$2;
            const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme$2, field, declaration$2);
            const jsx$1 = schemeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
            const this$7 = declaration$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
            const this$8 = this$7.option$1;
            const settings = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser().init___Lorg_yaml_model_YMap__T__Lamf_plugins_domain_webapi_models_security_WithSettings__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$1, (this$8.isEmpty__Z() ? null : this$8.get__O()), scheme$2, this.ctx$1).parse__Lamf_plugins_domain_webapi_models_security_Settings();
            const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme$2, field$1, settings)
          } else {
            const x$9 = $m_s_None$();
            if ((x$9 === x1$3)) {
              const this$9 = this.ctx$1;
              const id$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().UnknownSecuritySchemeErrorSpecification$1.id__T();
              const node$1 = scheme$2.id$1;
              const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme '", "' not found in declarations (and name cannot be 'null')."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name$2]));
              const ast$1 = this.node$1;
              const property$1 = $m_s_None$();
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$9, id$1, node$1, property$1, message$1, ast$1)
            } else {
              throw new $c_s_MatchError().init___O(x1$3)
            }
          };
          return scheme$2
        } else {
          const jsx$3 = $m_sjsr_package$();
          const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", ""]));
          const this$10 = this.node$1;
          throw jsx$3.unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$10.tag__Lorg_yaml_model_YTag().tagType$2]))))
        }
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametrizedSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlServersEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter(x$1)) {
      const RamlServersEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlServersEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlServersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlServersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  defaultServer__p1__Lamf_plugins_domain_webapi_models_Server__scm_ListBuffer__s_Option($default, result) {
    const fs = $default.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("baseUri", f, $m_s_None$(), this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter(new $c_Lamf_core_utils_package$Strings().init___T("serverDescription").asRamlAnnotation__T(), f$3, $m_s_None$(), this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1);
    if (this$6.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      return new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("baseUriParameters", f$4, this.ordering$1, this.references$1, this.spec$1)))
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emitters__sc_Seq() {
    const servers = $m_Lamf_plugins_document_webapi_parser_spec_domain_Servers$().apply__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_parser_spec_domain_Servers(this.f$1);
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let rc6 = false;
    let x3 = null;
    const x1 = servers.default$1;
    matchEnd7: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const server = x2.value$2;
        this.defaultServer__p1__Lamf_plugins_domain_webapi_models_Server__scm_ListBuffer__s_Option(server, result);
        this.asExtension__p1__sc_Seq__scm_ListBuffer__O(servers.servers$1, result);
        break matchEnd7
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        rc6 = true;
        x3 = x1;
        if (servers.servers$1.nonEmpty__Z()) {
          this.defaultServer__p1__Lamf_plugins_domain_webapi_models_Server__scm_ListBuffer__s_Option(servers.servers$1.head__O(), result);
          this.asExtension__p1__sc_Seq__scm_ListBuffer__O(servers.servers$1.tail__O(), result);
          break matchEnd7
        }
      };
      if (rc6) {
        break matchEnd7
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  asExtension__p1__sc_Seq__scm_ListBuffer__O(servers, result) {
    return (servers.nonEmpty__Z() ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("servers").asRamlAnnotation__T(), servers, this.ordering$1, this.spec$1)) : (void 0))
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlServersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.map$1 = null;
    this.producer$1 = null;
    this.options$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlSingleExampleParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser(x$1)) {
      const RamlSingleExampleParser$1 = x$1;
      let jsx$1;
      if (((this.key$1 === RamlSingleExampleParser$1.key$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSingleExampleParser$1.map$1))) {
        const x = this.producer$1;
        const x$2 = RamlSingleExampleParser$1.producer$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.options$1;
        const x$4 = RamlSingleExampleParser$1.options$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      case 2: {
        return this.producer$1;
        break
      }
      case 3: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const newProducer = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.producer$1.apply__O__O($m_s_None$())
      })
    })(this));
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(this.key$1);
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(entry.value$1);
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const s = x2.value$2;
        const this$3 = this.ctx$1.declarations$2.findNamedExample__T__s_Option(s);
        let this$5;
        if (this$3.isEmpty__Z()) {
          this$5 = $m_s_None$()
        } else {
          const arg1$1 = this$3.get__O();
          const e = arg1$1;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          this$5 = new $c_s_Some().init___O($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(e, s, annotations))
        };
        if (this$5.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$2 = this$5.get__O();
          const example = arg1$2;
          const this$6 = this.ctx$1;
          const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().NamedExampleUsedInExample$1.id__T();
          const node = example.id$1;
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__warning__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$6, id, node, property, "Using an included named example as an inlined example", entry);
          return new $c_s_Some().init___O(example)
        }
      } else {
        if ((!$is_s_util_Right(x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const x3 = x1;
        const node$1 = x3.value$2;
        const x1$2 = node$1.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1$2)) {
          const jsx$1 = $m_s_Option$();
          $m_Lorg_yaml_model_YNode$();
          const map$1 = node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          return jsx$1.apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser().init___Lorg_yaml_model_YNode__F0__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t, a, cs), newProducer, this.options$1, this.ctx$1).parse__Lamf_plugins_domain_shapes_models_Example())
        } else {
          const jsx$2 = $m_s_Option$();
          const this$12 = newProducer.apply__O();
          const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
          return jsx$2.apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(node$1, $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$12, other), this.options$1, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example())
        }
      }
    }
  };
  init___T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(key, map, producer, options, ctx) {
    this.key$1 = key;
    this.map$1 = map;
    this.producer$1 = producer;
    this.options$1 = options;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSingleExampleParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Servers extends $c_O {
  constructor() {
    super();
    this.default$1 = null;
    this.servers$1 = null
  };
  productPrefix__T() {
    return "Servers"
  };
  productArity__I() {
    return 2
  };
  init___s_Option__sc_Seq($default, servers) {
    this.default$1 = $default;
    this.servers$1 = servers;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Servers(x$1)) {
      const Servers$1 = x$1;
      const x = this.default$1;
      const x$2 = Servers$1.default$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.servers$1;
        const x$4 = Servers$1.servers$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.default$1;
        break
      }
      case 1: {
        return this.servers$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Servers = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Servers)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Servers = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Servers)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Servers = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Servers: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Servers", {
  Lamf_plugins_document_webapi_parser_spec_domain_Servers: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Servers.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Servers;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter extends $c_O {
  constructor() {
    super();
    this.InfoEmitter$module$1 = null;
    this.api$1 = null;
    this.ordering$1 = null;
    this.vendor$1 = null;
    this.references$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "WebApiEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const WebApiEmitter$1 = x$1;
      const x = this.api$1;
      const x$2 = WebApiEmitter$1.api$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = WebApiEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.vendor$1;
        const x$6 = WebApiEmitter$1.vendor$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = WebApiEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.api$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.vendor$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq($$outer, api, ordering, vendor, references) {
    this.api$1 = api;
    this.ordering$1 = ordering;
    this.vendor$1 = vendor;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const fs = api.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter__Lamf_core_parser_Fields__Lamf_core_emitter_SpecOrdering(this, fs, ordering));
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext().factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory().serversEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter(this.api$1, f, this.ordering$1, this.references$1).emitters__sc_Seq()))
    };
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("consumes", f$3, this.ordering$1, true)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$2 = this$3.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("produces", f$4, this.ordering$1, true)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$3 = this$4.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("schemes", f$5, this.ordering$1, false)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Tags$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$4 = this$5.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("tags", f$6.value$1.value$1.values$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$5 = this$6.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$7, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq()))
    };
    const orphanAnnotations = api.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field()).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return x$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension.getClassOf())
      })
    })(this)));
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    if (this$8.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("paths", new $c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter().init___Lamf_core_parser_Position($m_Lamf_core_parser_Position$ZERO$()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1$6 = this$8.get__O();
      const f$8 = arg1$6;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.$$outer$1, "paths", f$8, this.ordering$1, this.references$1, orphanAnnotations))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$7 = this$12.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("security", f$9, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(api, ordering, $$outer.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    this.emitters$1 = ordering.sorted__sc_Seq__sc_Seq(result);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$WebApiEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.ParametrizedSecuritySchemeParser$module$2 = null;
    this.EndpointParser$module$2 = null;
    this.RequestParser$module$2 = null;
    this.OperationParser$module$2 = null;
    this.root$2 = null;
    this.ctx$2 = null
  };
  parseExtension__p2__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(document, field) {
    const map = this.root$2.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
    new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, map, document).parse__V();
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("extends").asOasExtension__T());
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const x1 = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().link__Lorg_yaml_model_YNode__s_util_Either(e.value$1);
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const url = x2.value$2;
        const this$4 = this.root$2.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, url$1) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            return (x$1.origin$1.url$1 === url$1)
          })
        })(this, url)));
        if ((!this$4.isEmpty__Z())) {
          const arg1$1 = this$4.get__O();
          const extend = arg1$1;
          const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(extend.unit$1.id__T(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value$1));
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(document, field, value, annotations)
        }
      }
    }
  };
  parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(document) {
    const parent = this.root$2.location$1;
    const this$1 = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(document, parent);
    const location = this.root$2.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
    const map = this.root$2.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(document, new $c_Lamf_core_utils_package$Strings().init___T("uses").asOasExtension__T(), map, this.root$2.references$1, this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$2, map);
    const this$3 = this.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$2.vendor$1);
    const api = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$3, annotation);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(document, field$1, api);
    const parent$1 = this.root$2.location$1;
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent$1);
    const declarable = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().declarations$2.declarables__sc_Seq();
    if (declarable.nonEmpty__Z()) {
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$2, declarable)
    };
    const this$5 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      const references$1 = references.solvedReferences__sc_Seq();
      const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$3, references$1)
    };
    return document
  };
  parseExtension__Lamf_plugins_document_webapi_model_Extension() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const extension = this.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p2__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(extension, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return extension
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx) {
    this.root$2 = root;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  parseOverlay__Lamf_plugins_document_webapi_model_Overlay() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const overlay = this.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p2__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(overlay, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return overlay
  };
  parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map) {
    const this$1 = $m_Lamf_plugins_domain_webapi_models_WebApi$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_WebApi(this.root$2.parsed$1.document$1.node$3);
    const parent = this.root$2.location$1;
    const api = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$1, parent);
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$4 = this$3.key__T__s_Option("info");
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const entry = arg1;
      const info = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().closedShape__T__Lorg_yaml_model_YMap__T__Z__V(api.id$1, info, "info", (this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext(), false));
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1;
      const iv = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1;
      const iv$1 = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1;
      const iv$2 = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$3.key__T__F1__V("termsOfService", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1;
      const iv$3 = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$4.key__T__F1__V("version", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
      const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1;
      const iv$4 = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$5.key__T__F1__V("contact", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(node$2) {
          const node = node$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_Organization(node, $this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext())
        })
      })(this))));
      const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(info);
      const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1;
      const iv$5 = this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$6.key__T__F1__V("license", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(node$3$2) {
          const node$3 = node$3$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_License(node$3, this$2$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext())
        })
      })(this))))
    };
    this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().factory__Lamf_plugins_document_webapi_contexts_OasSpecVersionFactory().serversParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser(map, api).parse__V();
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$13 = this$12.key__T__s_Option("tags");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const jsx$10 = entry$3.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$15 = $m_sc_IndexedSeq$();
      const bf = this$15.ReusableCBF$6;
      const jsx$9 = jsx$10.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const jsx$7 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, api$1) {
        return (function(tag$2) {
          const tag = tag$2;
          const jsx$8 = $m_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$();
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          return jsx$8.apply__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_TagsParser(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(tag, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, api$1$1) {
            return (function(tag$2$2) {
              const tag$2$1 = tag$2$2;
              const parent$1 = api$1$1.id$1;
              return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(tag$2$1, parent$1)
            })
          })($this$1, api$1)), $this$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__Lamf_plugins_domain_webapi_models_Tag()
        })
      })(this, api));
      const this$21 = $m_sc_Seq$();
      const tags = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$7, this$21.ReusableCBFInstance$2);
      const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Tags$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(tags, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$6, value, annotations)
    };
    const this$23 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$24 = this$23.key__T__s_Option("security");
    if ((!this$24.isEmpty__Z())) {
      const arg1$2 = this$24.get__O();
      const entry$4 = arg1$2;
      const jsx$14 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const jsx$13 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, api$1$2) {
        return (function(s$2) {
          const s = s$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($this$3, s, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, api$1$3) {
            return (function(name$2) {
              const name = name$2;
              return api$1$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name)
            })
          })($this$3, api$1$2))).parse__s_Option()
        })
      })(this, api));
      const this$25 = $m_sc_Seq$();
      const jsx$12 = jsx$14.map__F1__scg_CanBuildFrom__O(jsx$13, this$25.ReusableCBFInstance$2);
      const jsx$11 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser(this);
      const this$26 = $m_sc_Seq$();
      const securedBy = jsx$12.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$11, this$26.ReusableCBFInstance$2);
      if (securedBy.nonEmpty__Z()) {
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(securedBy, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$7, value$1, annotations$1)
      }
    };
    const documentations = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$28 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$29 = this$28.key__T__s_Option("externalDocs");
    if ((!this$29.isEmpty__Z())) {
      const arg1$3 = this$29.get__O();
      const entry$5 = arg1$3;
      documentations.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(entry$5.value$1, this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__Lamf_plugins_domain_shapes_models_CreativeWork())
    };
    const this$32 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("userDocumentation").asOasExtension__T();
    const this$33 = this$32.key__T__s_Option(keyword);
    if ((!this$33.isEmpty__Z())) {
      const arg1$4 = this$33.get__O();
      const entry$6 = arg1$4;
      documentations.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__sc_Seq(this, entry$6.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext())).parse__sc_Seq())
    };
    if (documentations.nonEmpty__Z()) {
      const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(api, field$8, documentations)
    };
    const this$35 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$36 = this$35.key__T__s_Option("paths");
    if ((!this$36.isEmpty__Z())) {
      const arg1$5 = this$36.get__O();
      const entry$7 = arg1$5;
      const paths = entry$7.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const this$38 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(paths);
      const entries = this$38.regex__T__sc_Iterable("^/.*");
      if (entries.nonEmpty__Z()) {
        const endpoints = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, api$1$4, endpoints$1) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1__scm_ListBuffer($this$5, x$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, api$1$5) {
              return (function(path$2) {
                const path = path$2;
                return api$1$5.withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path)
              })
            })($this$5, api$1$4)), endpoints$1).parse__V()
          })
        })(this, api, endpoints)));
        const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(endpoints, new $c_Lamf_core_parser_Annotations().init___());
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$7.value$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$9, value$2, annotations$2)
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(api, map, this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__V();
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(api, map, this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parseOrphanNode__T__O("paths");
    this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().closedShape__T__Lorg_yaml_model_YMap__T__Z__V(api.id$1, map, "webApi", (this.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext(), false));
    return api
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.collector$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "EndpointParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const EndpointParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = EndpointParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = EndpointParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.collector$1;
        const x$6 = EndpointParser$1.collector$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.collector$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseEndpoint__p1__Lamf_plugins_domain_webapi_models_EndPoint__O(endpoint) {
    const this$1 = this.entry$1.value$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Left(x1)) {
      return this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint)
    } else if ($is_s_util_Right(x1)) {
      const x4 = x1;
      const map = x4.value$2;
      this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().closedShape__T__Lorg_yaml_model_YMap__T__Z__V(endpoint.id$1, map, "pathItem", (this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext(), false));
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("displayName").asOasExtension__T();
      const this$4 = this.$$outer$1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1;
      const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint));
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("description").asOasExtension__T();
      const this$7 = this.$$outer$1;
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1;
      const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      jsx$4.key__T__F1__V(jsx$3, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$7, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint));
      const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq($m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$());
      let elem$1 = null;
      elem$1 = elem;
      const entries = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$15 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("parameters");
      if ((!this$15.isEmpty__Z())) {
        const arg1 = this$15.get__O();
        const entry = arg1;
        entries.$$plus$eq__O__scm_ListBuffer(entry);
        const jsx$5 = elem$1;
        const qual$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser().init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()), endpoint.id$1, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
        elem$1 = jsx$5.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(qual$1.parse__Z__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(false))
      };
      const this$18 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("uriParameters").asOasExtension__T());
      if ((!this$18.isEmpty__Z())) {
        const arg1$1 = this$18.get__O();
        const entry$3 = arg1$1;
        entries.$$plus$eq__O__scm_ListBuffer(entry$3);
        const jsx$7 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, endpoint$1) {
          return (function(name$2) {
            const name = name$2;
            const annotations = new $c_Lamf_core_parser_Annotations().init___();
            const this$22 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
            const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
            const this$23 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$22, field$2, name);
            const parent = endpoint$1.id$1;
            return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$23, parent)
          })
        })(this, endpoint)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext())).parse__sc_Seq();
        const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$3, field$3, "path")
          })
        })(this));
        const this$24 = $m_sc_Seq$();
        const uriParameters = jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$24.ReusableCBFInstance$2);
        const jsx$8 = elem$1;
        const x$11 = $m_sci_Nil$();
        const x$12 = $m_sci_Nil$();
        const x$13 = $m_sci_Nil$();
        const x$14 = $m_sci_Nil$();
        elem$1 = jsx$8.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(x$11, uriParameters, x$12, x$13, x$14))
      };
      const x1$2 = elem$1;
      matchEnd5: {
        if ((x1$2 !== null)) {
          const query = x1$2.query$1;
          const path = x1$2.path$1;
          const header = x1$2.header$1;
          if (((query.nonEmpty__Z() || path.nonEmpty__Z()) || header.nonEmpty__Z())) {
            const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
            const this$29 = $m_sc_Seq$();
            const jsx$9 = query.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(path, this$29.ReusableCBFInstance$2);
            const this$30 = $m_sc_Seq$();
            const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(header, this$30.ReusableCBFInstance$2), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries.scala$collection$mutable$ListBuffer$$start$6.head__O().value$1));
            const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries.scala$collection$mutable$ListBuffer$$start$6.head__O());
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$4, value, annotations$1);
            break matchEnd5
          }
        }
      };
      elem$1.body$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, endpoint$2, entries$1) {
        return (function(payload$2) {
          const payload = payload$2;
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
          const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([payload])), new $c_Lamf_core_parser_Annotations().init___());
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entries$1.scala$collection$mutable$ListBuffer$$start$6.head__O());
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint$2, field$5, value$1, annotations$2)
        })
      })(this, endpoint, entries)));
      const jsx$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const jsx$11 = new $c_Lamf_core_utils_package$Strings().init___T("is").asOasExtension__T();
      const this$34 = this.$$outer$1;
      const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Extends__Lamf_core_metamodel_Field();
      const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      const jsx$10 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$34, field$6, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(endpoint);
      const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, endpoint$3) {
        return (function(name$2$1) {
          const name$1 = name$2$1;
          return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(endpoint$3, name$1)
        })
      })(this, endpoint));
      jsx$12.key__T__F1__V(jsx$11, jsx$10.using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, eta$0$1$1) {
        return (function(node$2) {
          const node = node$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(eta$0$1$1, node, this$5$1.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext())
        })
      })(this, eta$0$1))).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const this$37 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const keyword = new $c_Lamf_core_utils_package$Strings().init___T("type").asOasExtension__T();
      const this$38 = this$37.key__T__s_Option(keyword);
      if ((!this$38.isEmpty__Z())) {
        const arg1$2 = this$38.get__O();
        const entry$4 = arg1$2;
        new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(entry$4.value$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, endpoint$1$1) {
          return (function(name$2$2) {
            const name$3 = name$2$2;
            return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withResourceType__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(endpoint$1$1, name$3)
          })
        })(this, endpoint)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$2, entry$1) {
          return (function(key$2, scope$2) {
            const key = key$2;
            const scope = scope$2;
            return this$2$2.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().declarations$2.findResourceTypeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry$1.value$1, key, scope)
          })
        })(this, entry$4)), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
      };
      this.collector$1.$$plus$eq__O__scm_ListBuffer(endpoint);
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(endpoint, map, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__V();
      const this$41 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const keyword$1 = new $c_Lamf_core_utils_package$Strings().init___T("security").asOasExtension__T();
      const this$42 = this$41.key__T__s_Option(keyword$1);
      if ((!this$42.isEmpty__Z())) {
        const arg1$3 = this$42.get__O();
        const entry$5 = arg1$3;
        const jsx$16 = entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
        const jsx$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, endpoint$1$2) {
          return (function(s$2) {
            const s = s$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($this$2.$$outer$1, s, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, endpoint$1$3) {
              return (function(name$2$3) {
                const name$4 = name$2$3;
                return endpoint$1$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$4)
              })
            })($this$2, endpoint$1$2))).parse__s_Option()
          })
        })(this, endpoint));
        const this$43 = $m_sc_Seq$();
        const jsx$14 = jsx$16.map__F1__scg_CanBuildFrom__O(jsx$15, this$43.ReusableCBFInstance$2);
        const jsx$13 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser(this);
        const this$44 = $m_sc_Seq$();
        const securedBy = jsx$14.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$13, this$44.ReusableCBFInstance$2);
        if (securedBy.nonEmpty__Z()) {
          const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
          const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(securedBy, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5.value$1));
          const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(endpoint, field$7, value$2, annotations$3)
        }
      };
      const this$46 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const entries$2 = this$46.regex__T__sc_Iterable("get|patch|put|post|delete|options|head");
      if (entries$2.nonEmpty__Z()) {
        const operations = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, endpoint$1$4, operations$1) {
          return (function(entry$2) {
            const entry$6 = entry$2;
            return operations$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1($this$4.$$outer$1, entry$6, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, endpoint$1$5) {
              return (function(method$2) {
                const method = method$2;
                return endpoint$1$5.withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method)
              })
            })($this$4, endpoint$1$4))).parse__Lamf_plugins_domain_webapi_models_Operation())
          })
        })(this, endpoint, operations)));
        const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
        const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(operations, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field$8, value$3)
      };
      return (void 0)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1__scm_ListBuffer($$outer, entry, producer, collector) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.collector$1 = collector;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const path = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).text$3;
    const this$1 = this.producer$1.apply__O__O(path);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const endpoint = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const this$2 = this.$$outer$1;
    const value = this.entry$1.value$1;
    const node = endpoint.id$1;
    const property = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1.value$1.iri__T();
    const ctx = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    $f_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__checkBalancedParams__T__Lorg_yaml_model_YNode__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext__V(this$2, path, value, node, property, ctx);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(path, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1.key$1));
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(endpoint, field, value$1);
    if ((!$m_Lamf_core_utils_package$TemplateUri$().isValid__T__Z(path))) {
      const this$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      const node$1 = endpoint.id$1;
      const message = $m_Lamf_core_utils_package$TemplateUri$().invalidMsg__T__T(path);
      const ast = this.entry$1.value$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$3, node$1, message, ast)
    };
    const this$4 = this.collector$1;
    const this$5 = this$4.scala$collection$mutable$ListBuffer$$start$6;
    let jsx$1;
    inlinereturn$9: {
      let these = this$5;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const e = arg1;
        const this$6 = e.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
        if ($f_Lamf_core_model_ValueField__is__O__Z(this$6, path)) {
          jsx$1 = true;
          break inlinereturn$9
        };
        these = these.tail__O()
      };
      jsx$1 = false
    };
    if (jsx$1) {
      const this$7 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
      const node$2 = endpoint.id$1;
      const message$1 = ("Duplicated resource path " + path);
      const ast$1 = this.entry$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node$2, message$1, ast$1)
    } else {
      this.parseEndpoint__p1__Lamf_plugins_domain_webapi_models_EndPoint__O(endpoint)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$EndpointParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OperationParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OperationParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = OperationParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = OperationParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_Operation() {
    const jsx$1 = this.producer$1;
    const node = this.entry$1.key$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const this$3 = jsx$1.apply__O__O($objectToString(this$2.string__Lamf_core_model_domain_AmfScalar().value$1));
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const operation = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
    const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$5 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$2.key__T__F1__V("operationId", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$5, field, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$7 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$3.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$7, field$1, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$9 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$4.key__T__F1__V("deprecated", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$9, field$2, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$11 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1;
    const iv$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$5.key__T__F1__V("summary", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$11, field$3, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$13 = this.$$outer$1;
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1;
    const iv$5 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$6.key__T__F1__V("externalDocs", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$4, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node$1 = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node$1, $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext())
      })
    })(this))));
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1;
    const iv$6 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$7.key__T__F1__V("schemes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
    const iv$7 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$8.key__T__F1__V("consumes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$19 = this.$$outer$1;
    const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
    const iv$8 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$9.key__T__F1__V("produces", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$7, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$21 = this.$$outer$1;
    const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Tags$1;
    const iv$9 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    jsx$10.key__T__F1__V("tags", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$21, field$8, iv$9).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("is").asOasExtension__T();
    const this$25 = this$24.key__T__s_Option(keyword);
    if ((!this$25.isEmpty__Z())) {
      const arg1 = this$25.get__O();
      const entry = arg1;
      const jsx$12 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const jsx$11 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, operation$1) {
        return (function(value$2) {
          const value = value$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser().init___Lorg_yaml_model_YNode__F1__F2__Lamf_plugins_document_webapi_contexts_WebApiContext(value, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, operation$1$1) {
            return (function(name$2) {
              const name = name$2;
              return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(operation$1$1, name)
            })
          })($this$1, operation$1)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1, value$1) {
            return (function(key$2, scope$2) {
              const key = key$2;
              const scope = scope$2;
              return this$2$1.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().declarations$2.findTraitOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_templates_Trait(value$1, key, scope)
            })
          })($this$1, value)), $this$1.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__Lamf_core_model_domain_templates_ParametrizedDeclaration()
        })
      })(this, operation));
      const this$26 = $m_sc_Seq$();
      const traits = jsx$12.map__F1__scg_CanBuildFrom__O(jsx$11, this$26.ReusableCBFInstance$2);
      if (traits.nonEmpty__Z()) {
        const field$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$9, traits, annotations)
      }
    };
    const this$28 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$29 = this$28.key__T__s_Option("security");
    if ((!this$29.isEmpty__Z())) {
      const arg1$1 = this$29.get__O();
      const entry$3 = arg1$1;
      const jsx$16 = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const jsx$15 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, operation$1$2) {
        return (function(s$2) {
          const s = s$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($this$3.$$outer$1, s, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, operation$1$3) {
            return (function(name$2$1) {
              const name$1 = name$2$1;
              return operation$1$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$1)
            })
          })($this$3, operation$1$2))).parse__s_Option()
        })
      })(this, operation));
      const this$30 = $m_sc_Seq$();
      const jsx$14 = jsx$16.map__F1__scg_CanBuildFrom__O(jsx$15, this$30.ReusableCBFInstance$2);
      const jsx$13 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser(this);
      const this$31 = $m_sc_Seq$();
      const securedBy = jsx$14.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$13, this$31.ReusableCBFInstance$2);
      if (securedBy.nonEmpty__Z()) {
        const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
        const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(securedBy, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$10, value$3, annotations$1)
      }
    };
    const this$32 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMap__F0__Lamf_plugins_document_webapi_contexts_OasWebApiContext(this.$$outer$1, map, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$4$1, operation$2) {
      return (function() {
        return operation$2.withRequest__Lamf_plugins_domain_webapi_models_Request()
      })
    })(this, operation)), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__s_Option();
    if ((!this$32.isEmpty__Z())) {
      const arg1$2 = this$32.get__O();
      const x$8 = arg1$2;
      const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(operation, field$11, x$8))
    };
    const this$34 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$35 = this$34.key__T__s_Option("responses");
    if ((!this$35.isEmpty__Z())) {
      const arg1$3 = this$35.get__O();
      const entry$4 = arg1$3;
      const map$1 = entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
      const this$37 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const entries = this$37.regex__T__sc_Iterable("default|\\d{3}");
      if (entries.nonEmpty__Z()) {
        const responses = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, operation$1$4, responses$1) {
          return (function(entry$2) {
            const entry$1 = entry$2;
            return responses$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$6, operation$1$5) {
              return (function(name$2$2) {
                const name$3 = name$2$2;
                return operation$1$5.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name$3)
              })
            })($this$5, operation$1$4)), $this$5.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__Lamf_plugins_domain_webapi_models_Response())
          })
        })(this, operation, responses)));
        const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
        const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(responses, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$12, value$4, annotations$2)
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(operation, map, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parseOrphanNode__T__O("responses");
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(operation, map, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).parse__V();
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().closedShape__T__Lorg_yaml_model_YMap__T__Z__V(operation.id$1, map, "operation", (this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext(), false));
    return operation
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMapEntry__F1($$outer, entry, producer) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$OperationParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ParametrizedSecuritySchemeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ParametrizedSecuritySchemeParser$1 = x$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ParametrizedSecuritySchemeParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = ParametrizedSecuritySchemeParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    let rc5 = false;
    let x2 = null;
    const this$1 = this.node$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      rc5 = true;
      x2 = x1;
      const map = x2.value$2;
      const this$2 = map.entries$3;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
        const schemeEntry = map.entries$3.head__O();
        const name = schemeEntry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()).text$3;
        const this$3 = this.producer$1.apply__O__O(name);
        const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
        const scheme = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
        let declaration = this.parseTarget__p1__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, scheme, schemeEntry);
        const this$4 = declaration;
        const x1$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4);
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const d = x2$2.value$2;
          declaration = d
        } else {
          const x = $m_s_None$();
          if ((x === x1$2)) {
            declaration = declaration
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        };
        const this$5 = declaration;
        const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
        if ($f_Lamf_core_model_ValueField__is__O__Z(this$6, "OAuth 2.0")) {
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const this$10 = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const parent = scheme.id$1;
          const settings = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$10, parent);
          const jsx$2 = schemeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext());
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(n$2) {
              const n = n$2;
              const this$12 = $m_Lamf_plugins_domain_webapi_models_security_Scope$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_Scope(n);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
              const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext()), new $c_Lamf_core_parser_Annotations().init___());
              const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(n);
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field, value, annotations$1)
            })
          })(this));
          const this$13 = $m_sc_Seq$();
          const scopes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$13.ReusableCBFInstance$2);
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(schemeEntry.value$1);
          const value$1 = $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(settings, field$1, scopes, annotations$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme, field$2, value$1)
        };
        return new $c_s_Some().init___O(scheme)
      }
    };
    if (rc5) {
      const map$2 = x2.value$2;
      if (map$2.entries$3.isEmpty__Z()) {
        return $m_s_None$()
      }
    };
    const scheme$2 = this.producer$1.apply__O__O(this.node$1.toString__T());
    const this$14 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
    const node = scheme$2.id$1;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.node$1]));
    const ast = this.node$1;
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$14, node, message, ast);
    return $m_s_None$()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YNode__F1($$outer, node, producer) {
    this.node$1 = node;
    this.producer$1 = producer;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parseTarget__p1__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, scheme, part) {
    const x1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext().declarations$2.findSecurityScheme__T__Lamf_core_parser_SearchScope$Scope__s_Option(name, $m_Lamf_core_parser_SearchScope$All$());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const declaration = x2.value$2;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme, field, declaration);
      return declaration
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const fields = new $c_Lamf_core_parser_Fields().init___();
        const securityScheme = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(scheme, field$1, securityScheme);
        const this$5 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext();
        const node = securityScheme.id$1;
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Security scheme '", "' not found in declarations."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([name]));
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$5, node, message, part);
        return securityScheme
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$ParametrizedSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$ParametrizedSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "RequestParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser__Lorg_yaml_model_YMap__F0__Lamf_plugins_document_webapi_contexts_OasWebApiContext($$outer, map, producer, ctx) {
    this.map$1 = map;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const RequestParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RequestParser$1.map$1)) {
        const x = this.producer$1;
        const x$2 = RequestParser$1.producer$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const request = new $c_Lamf_core_utils_Lazy().init___F0(this.producer$1);
    const elem = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq($m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$());
    let elem$1 = null;
    elem$1 = elem;
    const elem$2 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let elem$1$1 = null;
    elem$1$1 = elem$2;
    const map = this.map$1;
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("parameters");
    if ((!this$9.isEmpty__Z())) {
      const arg1 = this$9.get__O();
      const entry = arg1;
      elem$1$1.$$plus$eq__O__scm_ListBuffer(entry);
      elem$1 = elem$1.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersParser().init___sc_Seq__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1), request.getOrCreate__O().id__T(), this.ctx$1).parse__Z__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(true))
    };
    const map$1 = this.map$1;
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("queryParameters").asOasExtension__T());
    if ((!this$12.isEmpty__Z())) {
      const arg1$1 = this$12.get__O();
      const entry$3 = arg1$1;
      elem$1$1.$$plus$eq__O__scm_ListBuffer(entry$3);
      const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, request$1) {
        return (function(name$2) {
          const name = name$2;
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          const this$16 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
          const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          const this$17 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field, name);
          const parent = request$1.getOrCreate__O().id__T();
          return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$17, parent)
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__sc_Seq();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$4, field$1, "query")
        })
      })(this));
      const this$18 = $m_sc_Seq$();
      const queryParameters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$18.ReusableCBFInstance$2);
      elem$1 = elem$1.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(queryParameters, $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$(), $m_sci_Nil$()))
    };
    const map$2 = this.map$1;
    const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("headers").asOasExtension__T());
    if ((!this$25.isEmpty__Z())) {
      const arg1$2 = this$25.get__O();
      const entry$4 = arg1$2;
      elem$1$1.$$plus$eq__O__scm_ListBuffer(entry$4);
      const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, request$1$1) {
        return (function(name$2$1) {
          const name$1 = name$2$1;
          const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
          const this$29 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          const this$30 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$29, field$2, name$1);
          const parent$1 = request$1$1.getOrCreate__O().id__T();
          return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$30, parent$1)
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__sc_Seq();
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
        return (function(x$5$2) {
          const x$5 = x$5$2;
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$5, field$3, "header")
        })
      })(this));
      const this$31 = $m_sc_Seq$();
      const headers = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$31.ReusableCBFInstance$2);
      const jsx$5 = elem$1;
      const x$16 = $m_sci_Nil$();
      const x$17 = $m_sci_Nil$();
      const x$18 = $m_sci_Nil$();
      const x$19 = $m_sci_Nil$();
      elem$1 = jsx$5.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(x$16, x$17, headers, x$18, x$19))
    };
    const map$3 = this.map$1;
    const this$38 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("baseUriParameters").asOasExtension__T();
    const this$39 = this$38.key__T__s_Option(keyword);
    if ((!this$39.isEmpty__Z())) {
      const arg1$3 = this$39.get__O();
      const entry$5 = arg1$3;
      const this$40 = entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3.headOption__s_Option();
      if ((!this$40.isEmpty__Z())) {
        const arg1$4 = this$40.get__O();
        const paramEntry = arg1$4;
        const eta$0$2 = request.getOrCreate__O();
        const this$41 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(paramEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, eta$0$2$1) {
          return (function(name$2$2) {
            const name$3 = name$2$2;
            return eta$0$2$1.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name$3)
          })
        })(this, eta$0$2)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__Lamf_plugins_domain_webapi_models_Parameter();
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
        const parameter = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$41, field$4, "path");
        const jsx$6 = elem$1;
        const x$20 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parameter]));
        const x$21 = $m_sci_Nil$();
        const x$22 = $m_sci_Nil$();
        const x$23 = $m_sci_Nil$();
        const x$24 = $m_sci_Nil$();
        elem$1 = jsx$6.add__Lamf_plugins_document_webapi_parser_spec_domain_Parameters__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Parameters().init___sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq(x$21, x$22, x$23, x$20, x$24))
      }
    };
    const x1 = elem$1;
    if ((x1 !== null)) {
      const query = x1.query$1;
      const path = x1.path$1;
      const header = x1.header$1;
      const baseUri08 = x1.baseUri08$1;
      if ((query.nonEmpty__Z() || path.nonEmpty__Z())) {
        const this$49 = request.getOrCreate__O();
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
        const this$46 = $m_sc_Seq$();
        const jsx$8 = query.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(path, this$46.ReusableCBFInstance$2);
        const jsx$7 = $m_Lamf_core_parser_Annotations$();
        const this$47 = elem$1$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$8, jsx$7.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$47.scala$collection$mutable$ListBuffer$$start$6.head__O()));
        const jsx$9 = $m_Lamf_core_parser_Annotations$();
        const this$48 = elem$1$1;
        const annotations$2 = jsx$9.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$48.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$49, field$5, value, annotations$2)
      };
      if (header.nonEmpty__Z()) {
        const this$52 = request.getOrCreate__O();
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
        const jsx$10 = $m_Lamf_core_parser_Annotations$();
        const this$50 = elem$1$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(header, jsx$10.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$50.scala$collection$mutable$ListBuffer$$start$6.head__O()));
        const jsx$11 = $m_Lamf_core_parser_Annotations$();
        const this$51 = elem$1$1;
        const annotations$3 = jsx$11.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$51.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$52, field$6, value$1, annotations$3)
      };
      if (path.nonEmpty__Z()) {
        const this$55 = request.getOrCreate__O();
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
        const jsx$12 = $m_Lamf_core_parser_Annotations$();
        const this$53 = elem$1$1;
        const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(baseUri08, jsx$12.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$53.scala$collection$mutable$ListBuffer$$start$6.head__O()));
        const jsx$13 = $m_Lamf_core_parser_Annotations$();
        const this$54 = elem$1$1;
        const annotations$4 = jsx$13.apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this$54.scala$collection$mutable$ListBuffer$$start$6.head__O());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$55, field$7, value$2, annotations$4)
      }
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    elem$1.body$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, payloads$1) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return payloads$1.$$plus$eq__O__scm_ListBuffer(x$6)
      })
    })(this, payloads)));
    const map$4 = this.map$1;
    const this$58 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const keyword$1 = new $c_Lamf_core_utils_package$Strings().init___T("requestPayloads").asOasExtension__T();
    const this$59 = this$58.key__T__s_Option(keyword$1);
    if ((!this$59.isEmpty__Z())) {
      const arg1$5 = this$59.get__O();
      const entry$6 = arg1$5;
      const jsx$15 = entry$6.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$1);
      const jsx$14 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, request$1$2, payloads$1$1) {
        return (function(value$2$1) {
          const value$3 = value$2$1;
          const eta$0$3 = request$1$2.getOrCreate__O();
          return payloads$1$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser().init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(value$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, eta$0$3$1) {
            return (function(mediaType$2) {
              const mediaType = mediaType$2;
              return eta$0$3$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
            })
          })($this$3, eta$0$3)), $this$3.ctx$1).parse__Lamf_plugins_domain_webapi_models_Payload())
        })
      })(this, request, payloads));
      const this$60 = $m_sc_Seq$();
      jsx$15.map__F1__scg_CanBuildFrom__O(jsx$14, this$60.ReusableCBFInstance$2)
    };
    if (payloads.nonEmpty__Z()) {
      const this$62 = request.getOrCreate__O();
      const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
      const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$62, field$8, value$4)
    };
    const map$5 = this.map$1;
    const this$65 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const keyword$2 = new $c_Lamf_core_utils_package$Strings().init___T("queryString").asOasExtension__T();
    const this$66 = this$65.key__T__s_Option(keyword$2);
    if ((!this$66.isEmpty__Z())) {
      const arg1$6 = this$66.get__O();
      const queryEntry = arg1$6;
      const this$68 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(queryEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$5, request$1$3) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(request$1$3.getOrCreate__O().id__T())
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$68.isEmpty__Z())) {
        const arg1$7 = this$68.get__O();
        const x$7 = arg1$7;
        const this$69 = request.getOrCreate__O();
        const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1;
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$69, field$9, x$7))
      }
    };
    return request.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$RequestParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$RequestParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const annotation = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const property = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, this.map$1, "annotation", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(annotation$2$2) {
        const annotation$2 = annotation$2$2;
        annotation$2.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty($this.$$outer$1.root$2.location$1)
      })
    })(this))).parse__Lamf_core_model_domain_extensions_CustomDomainProperty();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(annotation, field, property)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$AnnotationFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_DataTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const dataType = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$();
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const shapeOption = jsx$1.apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), "type", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        const value = ($this.$$outer$1.root$2.location$1 + "#shape");
        $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape, value)
      })
    })(this)), new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion().init___T("schema"), this.$$outer$1.ctx$2).parse__s_Option();
    if ((!shapeOption.isEmpty__Z())) {
      const arg1 = shapeOption.get__O();
      const x$1 = arg1;
      const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(dataType, field, x$1))
    };
    return dataType
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$DataTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentParser"
  };
  productArity__I() {
    return 1
  };
  parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const item = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_CreativeWork();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(item, field, encoded);
    return item
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DocumentationItemFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$DocumentationItemFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedExampleFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedExampleFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NamedExampleFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_NamedExampleFragment() {
    const entries = this.map$1.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return (e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $this.$$outer$1.ctx$2).text$3 !== new $c_Lamf_core_utils_package$Strings().init___T("fragmentType").asOasExtension__T())
      })
    })(this)));
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const namedExample = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$5, parent);
    const producer = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, namedExample$1) {
      return (function(name$2) {
        const name = name$2;
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const fields = new $c_Lamf_core_parser_Fields().init___();
        const example = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$1);
        if ((!name.isEmpty__Z())) {
          const arg1 = name.get__O();
          const name$2$1 = arg1;
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(example, field, name$2$1)
        };
        const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(namedExample$1, field$1, example);
        return example
      })
    })(this, namedExample));
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(entries.head__O(), producer, new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, true), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_Example();
    const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(namedExample, field$2, encoded)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$NamedExampleFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ResourceTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const resourceType = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(this.map$1).withId__T__Lamf_core_model_domain_AmfObject((resourceType.id$1 + "#/"));
    const jsx$1 = resourceType.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "resourceType", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(resourceType, field, abstractDeclaration)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$ResourceTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SecuritySchemeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const security = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$1, "securityDefinitions", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(security$2$2) {
        const security$2 = security$2$2;
        return security$2.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme($this.$$outer$1.root$2.location$1)
      })
    })(this)), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(security, field, encoded)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$SecuritySchemeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TraitFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_document_webapi_model_TraitFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const traitFragment = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(this.map$1).withId__T__Lamf_core_model_domain_AmfObject((traitFragment.id$1 + "#/"));
    const jsx$1 = traitFragment.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "trait", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(traitFragment, field, abstractDeclaration)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser$TraitFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.isOas$1 = false
  };
  productPrefix__T() {
    return "OasSecuritySchemeType"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType(x$1)) {
      const OasSecuritySchemeType$1 = x$1;
      return ((this.text$1 === OasSecuritySchemeType$1.text$1) && (this.isOas$1 === OasSecuritySchemeType$1.isOas$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      case 1: {
        return this.isOas$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.text$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isOas$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Z(text, isOas) {
    this.text$1 = text;
    this.isOas$1 = isOas;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSecuritySchemeType", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.annotationName$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationTypesParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationTypesParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = AnnotationTypesParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.annotationName$1 === AnnotationTypesParser$1.annotationName$1)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationTypesParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = AnnotationTypesParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1($$outer, ast, annotationName, map, adopt) {
    this.ast$1 = ast;
    this.annotationName$1 = annotationName;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.annotationName$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_domain_extensions_CustomDomainProperty() {
    const custom = $m_Lamf_core_model_domain_extensions_CustomDomainProperty$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_CustomDomainProperty(this.ast$1);
    const name = this.annotationName$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(custom, field, name);
    this.adopt$1.apply__O__O(custom);
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("allowedTargets");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      const x1 = entry.value$1.value__Lorg_yaml_model_YValue();
      let targets;
      if ($is_Lorg_yaml_model_YScalar(x1)) {
        annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___());
        const jsx$1 = $m_sc_Seq$();
        const node = entry.value$1;
        const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
        const this$5 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
        targets = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$5.text__Lamf_core_model_domain_AmfScalar()])), new $c_Lamf_core_parser_Annotations().init___())
      } else {
        if ((!$is_Lorg_yaml_model_YSequence(x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const x3 = x1;
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(x3, t, a, cs);
        const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
        const this$13 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
        targets = $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this$13)
      };
      const jsx$3 = targets.values$1;
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_core_model_domain_AmfScalar(x0$1)) {
            const x2 = x0$1;
            const x1$2 = $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().ramlToUri$1.get__O__s_Option(x2.toString__T());
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const uri = x2$2.value$2;
              return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri, x2.annotations$1)
            } else {
              const x = $m_s_None$();
              if ((x === x1$2)) {
                return x2
              } else {
                throw new $c_s_MatchError().init___O(x1$2)
              }
            }
          } else {
            return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x0$1.toString__T(), x0$1.annotations__Lamf_core_parser_Annotations())
          }
        })
      })(this));
      const this$14 = $m_sc_Seq$();
      const targetUris = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$14.ReusableCBFInstance$2);
      const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(targetUris, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$1, value, annotations)
    };
    const map$1 = this.map$1;
    const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$18 = this$17.key__T__s_Option("displayName");
    if ((!this$18.isEmpty__Z())) {
      const arg1$1 = this$18.get__O();
      const entry$3 = arg1$1;
      const node$2 = entry$3.value$1;
      const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$2);
      const field$2 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1;
      const value$2 = value$1.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$2, value$2, annotations$1)
    };
    const map$2 = this.map$1;
    const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$22 = this$21.key__T__s_Option("description");
    if ((!this$22.isEmpty__Z())) {
      const arg1$2 = this$22.get__O();
      const entry$4 = arg1$2;
      const node$3 = entry$4.value$1;
      const iv$3 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const value$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$3, iv$3);
      const field$3 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1;
      const value$4 = value$3.string__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$3, value$4, annotations$2)
    };
    const map$3 = this.map$1;
    const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$26 = this$25.key__T__s_Option("schema");
    if ((!this$26.isEmpty__Z())) {
      const arg1$3 = this$26.get__O();
      const entry$5 = arg1$3;
      const this$27 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$5, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, custom$1) {
        return (function(shape$2) {
          const shape = shape$2;
          shape.adopted__T__Lamf_core_model_domain_AmfObject(custom$1.id$1)
        })
      })(this, custom)), this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__s_Option();
      if ((!this$27.isEmpty__Z())) {
        const arg1$4 = this$27.get__O();
        const shape$3 = arg1$4;
        const field$4 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
        const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$4, shape$3, annotations$3)
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(custom, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__V();
    return custom
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$AnnotationTypesParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$AnnotationTypesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.annotationName$1 = null;
    this.scalar$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "LinkedAnnotationTypeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const LinkedAnnotationTypeParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = LinkedAnnotationTypeParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.annotationName$1 === LinkedAnnotationTypeParser$1.annotationName$1)) && this.scalar$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(LinkedAnnotationTypeParser$1.scalar$1))) {
        const x$3 = this.adopt$1;
        const x$4 = LinkedAnnotationTypeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.annotationName$1;
        break
      }
      case 2: {
        return this.scalar$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YScalar__F1($$outer, ast, annotationName, scalar, adopt) {
    this.ast$1 = ast;
    this.annotationName$1 = annotationName;
    this.scalar$1 = scalar;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__Lamf_core_model_domain_extensions_CustomDomainProperty() {
    const this$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2.findAnnotation__T__Lamf_core_parser_SearchScope$Scope__s_Option(this.scalar$1.text$3, $m_Lamf_core_parser_SearchScope$All$());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const label = this.scalar$1.text$3;
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
      const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(a, label, annotations);
      copied.id$1 = null;
      const jsx$1 = this.adopt$1;
      const name = this.annotationName$1;
      const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
      jsx$1.apply__O__O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name));
      this$2 = new $c_s_Some().init___O(copied)
    };
    if (this$2.isEmpty__Z()) {
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$6 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const name$1 = this.annotationName$1;
      const field$1 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
      const customDomainProperty = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, name$1);
      this.adopt$1.apply__O__O(customDomainProperty);
      const this$7 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const node = customDomainProperty.id$1;
      const ast = this.scalar$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node, "Could not find declared annotation link in references", ast);
      return customDomainProperty
    } else {
      return this$2.get__O()
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$LinkedAnnotationTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$LinkedAnnotationTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.baseUnit$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UsageParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UsageParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UsageParser$1.map$1)) {
        const x = this.baseUnit$1;
        const x$2 = UsageParser$1.baseUnit$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.baseUnit$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const map = this.map$1;
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("usage").asOasExtension__T();
    const this$4 = this$3.key__T__s_Option(keyword);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const this$6 = this.baseUnit$1;
      const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$6, field, value$1, annotations)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit($$outer, map, baseUnit) {
    this.map$1 = map;
    this.baseUnit$1 = baseUnit;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$UsageParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser extends $c_O {
  constructor() {
    super();
    this.seq$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UserDocumentationParser$1 = x$1;
      const x = this.seq$1;
      const x$2 = UserDocumentationParser$1.seq$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.seq$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const jsx$2 = this.seq$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        const x1 = n.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1)) {
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(n, $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_shapes_models_CreativeWork()
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Str$1;
          if ((x$3 === x1)) {
            const text = n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).text$3;
            const x1$2 = $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f.declarations$2.findDocumentations__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$All$());
            if ($is_s_Some(x1$2)) {
              const x2 = x1$2;
              const doc = x2.value$2;
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(n);
              return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(doc, text, annotations)
            } else {
              $m_Lorg_yaml_model_YNode$();
              const map = $m_Lorg_yaml_model_YMap$().empty$1;
              $m_Lorg_yaml_model_YNode$();
              const tt = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t = tt.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs = null;
              const documentation = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f).parse__Lamf_plugins_domain_shapes_models_CreativeWork();
              const this$5 = $this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$OasSpecParser$$ctx$f;
              const node = documentation.id$1;
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["not supported scalar ", ".text for documentation item"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([n]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$5, node, message, n);
              return documentation
            }
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__sc_Seq($$outer, seq) {
    this.seq$1 = seq;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecParser$UserDocumentationParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UserDocumentationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasUserDocumentationsEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter(x$1)) {
      const OasUserDocumentationsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasUserDocumentationsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasUserDocumentationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter(this);
    const this$2 = $m_sc_Seq$();
    const documents = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).toList__sci_List();
    let rc7 = false;
    let x2 = null;
    if ($is_sci_$colon$colon(documents)) {
      rc7 = true;
      x2 = documents;
      const head = x2.head$5;
      const p3 = x2.tl$5;
      const x = $m_sci_Nil$();
      if (x.equals__O__Z(p3)) {
        return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", head, this.ordering$1, this.spec$1)]))
      }
    };
    if (rc7) {
      const head$2 = x2.head$5;
      const tail = x2.tl$5;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", head$2, this.ordering$1, this.spec$1), new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(tail, this.ordering$1, this.spec$1)]))
    };
    return $m_sci_Nil$()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasUserDocumentationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult extends $c_O {
  constructor() {
    super();
    this.result$1 = null;
    this.remaining$1 = null
  };
  productPrefix__T() {
    return "ParsingResult"
  };
  productArity__I() {
    return 2
  };
  init___s_Option__sc_Seq(result, remaining) {
    this.result$1 = result;
    this.remaining$1 = remaining;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult(x$1)) {
      const ParsingResult$1 = x$1;
      const x = this.result$1;
      const x$2 = ParsingResult$1.result$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.remaining$1;
        const x$4 = ParsingResult$1.remaining$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.result$1;
        break
      }
      case 1: {
        return this.remaining$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ParsingResult", {
  Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ParsingResult;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter extends $c_O {
  constructor() {
    super();
    this.WebApiEmitter$module$1 = null;
    this.LicenseEmitter$module$1 = null;
    this.OrganizationEmitter$module$1 = null;
    this.document$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlDocumentEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter(x$1)) {
      const RamlDocumentEmitter$1 = x$1;
      const x = this.document$1;
      const x$2 = RamlDocumentEmitter$1.document$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  retrieveWebApi__p1__Lamf_plugins_domain_webapi_models_WebApi() {
    const x1 = this.document$1;
    if ($is_Lamf_core_model_document_Document(x1)) {
      const x2 = x1;
      return x2.encodes__Lamf_core_model_domain_DomainElement()
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("BaseUnit doesn't encode a WebApi."))
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, spec) {
    this.document$1 = document;
    this.spec$1 = spec;
    return this
  };
  emitDocument__Lorg_yaml_model_YDocument() {
    const doc = this.document$1;
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), doc.encodes__Lamf_core_model_domain_DomainElement().annotations__Lamf_core_parser_Annotations());
    const jsx$2 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().rootLevelEmitters__F2().apply__O__O__O(doc, ordering).emitters__sc_Seq();
    const jsx$1 = this.apiEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const this$1 = $m_sc_Seq$();
    const content = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    b.comment__T__V(this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().retrieveHeader__Lamf_core_model_document_BaseUnit__T(this.document$1));
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(content), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  apiEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const model = this.retrieveWebApi__p1__Lamf_plugins_domain_webapi_models_WebApi();
    const this$1 = model.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    let vendor;
    if (this$1.isEmpty__Z()) {
      vendor = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$8 = arg1;
      vendor = new $c_s_Some().init___O(x$8.vendor$1)
    };
    return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this, model, ordering, vendor, this.document$1.references__sc_Seq(), this.spec$1).emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter extends $c_O {
  constructor() {
    super();
    this.api$1 = null;
    this.ordering$1 = null;
    this.vendor$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "WebApiEmitter"
  };
  productArity__I() {
    return 4
  };
  defaultOrder$1__p1__sc_Seq__sc_Seq(emitters) {
    return emitters.sorted__s_math_Ordering__O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter(this))
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const WebApiEmitter$1 = x$1;
      const x = this.api$1;
      const x$2 = WebApiEmitter$1.api$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = WebApiEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.vendor$1;
        const x$6 = WebApiEmitter$1.vendor$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$1;
        const x$8 = WebApiEmitter$1.references$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.api$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.vendor$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext($$outer, api, ordering, vendor, references, spec) {
    this.api$1 = api;
    this.ordering$1 = ordering;
    this.vendor$1 = vendor;
    this.references$1 = references;
    this.spec$1 = spec;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const fs = api.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("title", f, $m_s_None$(), this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f$3, this.ordering$1, this.references$1, this.spec$1).emitters__sc_Seq()))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, $m_s_None$(), this.spec$1)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$3 = this$6.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("mediaType", f$5, this.ordering$1, false)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$4 = this$7.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("version", f$6, $m_s_None$(), this.spec$1)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$5 = this$9.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("termsOfService").asRamlAnnotation__T(), f$7, $m_s_None$())))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$6 = this$12.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("protocols", f$8, this.ordering$1, false)))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$7 = this$13.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1, new $c_Lamf_core_utils_package$Strings().init___T("contact").asRamlAnnotation__T(), f$9, this.ordering$1)))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Tags$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$8 = this$15.get__O();
      const f$10 = arg1$8;
      const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("tags").asRamlAnnotation__T();
      const jsx$2 = f$10.value$1.value$1.values$1;
      const jsx$1 = this.ordering$1;
      const spec$1 = this.spec$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec$1.refEmitter$1))))
    };
    const this$18 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1);
    if ((!this$18.isEmpty__Z())) {
      const arg1$9 = this$18.get__O();
      const f$11 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f$11, this.ordering$1, this.spec$1)))
    };
    const this$19 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1);
    if ((!this$19.isEmpty__Z())) {
      const arg1$10 = this$19.get__O();
      const f$12 = arg1$10;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1, new $c_Lamf_core_utils_package$Strings().init___T("license").asRamlAnnotation__T(), f$12, this.ordering$1)))
    };
    const this$21 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    if ((!this$21.isEmpty__Z())) {
      const arg1$11 = this$21.get__O();
      const f$13 = arg1$11;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq(f$13, this.ordering$1, this.vendor$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(api, ordering, spec).emitters__sc_Seq());
    const this$22 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    if ((!this$22.isEmpty__Z())) {
      const arg1$12 = this$22.get__O();
      const f$14 = arg1$12;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("securedBy", f$14, this.ordering$1, this.spec$1)))
    };
    this.emitters$1 = ordering.sorted__sc_Seq__sc_Seq(result);
    return this
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlDocumentEmitter$WebApiEmitter$$$anonfun$endpoints$1__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y) {
    const this$1 = x.endpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$3 = this$2.option$1;
    const x$1 = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const this$5 = new $c_sci_StringOps().init___T(x$1);
    let elem$1 = 0;
    elem$1 = 0;
    let i = 0;
    const $$this = this$5.repr$1;
    const len = ($$this.length | 0);
    while ((i < len)) {
      const arg1 = this$5.apply__I__O(i);
      let x$9;
      if ((arg1 === null)) {
        x$9 = 0
      } else {
        const this$10 = arg1;
        x$9 = this$10.value$1
      };
      if ((x$9 === 47)) {
        elem$1 = ((1 + elem$1) | 0)
      };
      i = ((1 + i) | 0)
    };
    const x$2 = elem$1;
    const this$12 = y.endpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const this$13 = this$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$14 = this$13.option$1;
    const x$3 = (this$14.isEmpty__Z() ? null : this$14.get__O());
    const this$16 = new $c_sci_StringOps().init___T(x$3);
    let elem$1$1 = 0;
    elem$1$1 = 0;
    let i$1 = 0;
    const $$this$1 = this$16.repr$1;
    const len$1 = ($$this$1.length | 0);
    while ((i$1 < len$1)) {
      const arg1$1 = this$16.apply__I__O(i$1);
      let x$10;
      if ((arg1$1 === null)) {
        x$10 = 0
      } else {
        const this$21 = arg1$1;
        x$10 = this$21.value$1
      };
      if ((x$10 === 47)) {
        elem$1$1 = ((1 + elem$1$1) | 0)
      };
      i$1 = ((1 + i$1) | 0)
    };
    const x$4 = elem$1$1;
    return ((x$2 === x$4) ? 0 : ((x$2 < x$4) ? (-1) : 1))
  };
  endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq(f, ordering, vendor) {
    const endpoints = f.value$1.value$1.values$1;
    const notOas = (!vendor.contains__O__Z($m_Lamf_core_remote_Oas$()));
    if (notOas) {
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(e$2) {
          const e = e$2;
          const xo = e.parent__s_Option();
          const this$2 = xo.toList__sci_List();
          const this$3 = $m_sci_Set$();
          const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$3);
          return new $c_T2().init___O__O(e, $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$2, cbf))
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      const graph = endpoints.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
      const all = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      $m_Lamf_core_utils_TSort$().tsort__sci_Map__sc_Iterable__sc_Iterable(graph, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, ordering$1, all$1) {
        return (function(e$3$2) {
          const e$3 = e$3$2;
          const emitter = this$2$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().endpointEmitter__F4().apply__O__O__O__O__O(e$3, ordering$1, $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this$2$1.references$1);
          const x1 = e$3.parent__s_Option();
          if ($is_s_Some(x1)) {
            const x2 = x1;
            const parent = x2.value$2;
            $f_sc_MapLike__apply__O__O(all$1, parent).$$plus$eq__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__V(emitter);
            return all$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(e$3, emitter))
          } else {
            return all$1.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(e$3, emitter))
          }
        })
      })(this, ordering, all)));
      const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$11$2) {
          const x$11 = x$11$2;
          return x$11.parent__s_Option().isEmpty__Z()
        })
      })(this));
      const this$9 = new $c_sc_MapLike$FilteredKeys().init___sc_MapLike__F1(all, p);
      const this$10 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
      return this.defaultOrder$1__p1__sc_Seq__sc_Seq(this$10.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream())
    } else {
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, ordering$2) {
        return (function(x$12$2) {
          const x$12 = x$12$2;
          return this$4$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().endpointEmitter__F4().apply__O__O__O__O__O(x$12, ordering$2, $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this$4$1.references$1)
        })
      })(this, ordering));
      const this$11 = $m_sc_Seq$();
      return endpoints.map__F1__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$WebApiEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentParser"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const annotation = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const property = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1(this.$$outer$1, this.map$1, "annotation", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(annotation$2$2) {
        const annotation$2 = annotation$2$2;
        annotation$2.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty($this.$$outer$1.root$2.location$1)
      })
    })(this))).parse__Lamf_core_model_domain_extensions_CustomDomainProperty();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(annotation, field, property)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$AnnotationFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DataTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_DataTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const dataType = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$();
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const this$10 = jsx$1.apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), "type", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        const value = ($this.$$outer$1.root$2.location$1 + "#shape");
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape, value)
      })
    })(this)), $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.ctx$2).parse__s_Option();
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const encoded = arg1;
      const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(dataType, field, encoded)
    };
    return dataType
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$DataTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const item = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_CreativeWork();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(item, field, encoded);
    return item
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DocumentationItemFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$DocumentationItemFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedExampleFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  parseExample__p1__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_model_NamedExampleFragment(entry) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const namedExample = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const producer = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, namedExample$1) {
      return (function(name$2) {
        const name = name$2;
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const fields = new $c_Lamf_core_parser_Fields().init___();
        const example = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations$1);
        if ((!name.isEmpty__Z())) {
          const arg1 = name.get__O();
          const name$2$1 = arg1;
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(example, field, name$2$1)
        };
        const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(namedExample$1, field$1, example);
        return example
      })
    })(this, namedExample));
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlNamedExampleParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(entry, producer, new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, true), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_shapes_models_Example();
    const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(namedExample, field$2, encoded)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedExampleFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NamedExampleFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_model_document_Fragment() {
    let rc10 = false;
    let x2 = null;
    const this$1 = this.map$1.entries$3;
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const x1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf);
    const x = $m_sci_Nil$();
    if (x.equals__O__Z(x1)) {
      return this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlFragmentParser$$buildExternalFragment__Lamf_core_model_document_ExternalFragment()
    };
    if ($is_sci_$colon$colon(x1)) {
      rc10 = true;
      x2 = x1;
      const head = x2.head$5;
      const p3 = x2.tl$5;
      const x$3 = $m_sci_Nil$();
      if (x$3.equals__O__Z(p3)) {
        return this.parseExample__p1__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_model_NamedExampleFragment(head)
      }
    };
    if (rc10) {
      return this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlFragmentParser$$buildExternalFragment__Lamf_core_model_document_ExternalFragment()
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$NamedExampleFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ResourceTypeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const resourceType = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(this.map$1).withId__T__Lamf_core_model_domain_AmfObject((resourceType.id$1 + "#/"));
    const jsx$1 = resourceType.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "resourceType", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(resourceType, field, abstractDeclaration)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$ResourceTypeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentParser"
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SecuritySchemeFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const security = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$1 = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const encoded = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser().init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(jsx$1, "securityDefinitions", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(security$2$2) {
        const security$2 = security$2$2;
        return security$2.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme($this.$$outer$1.root$2.location$1)
      })
    })(this)), this.$$outer$1.ctx$2).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(security, field, encoded)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$SecuritySchemeFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap($$outer, map) {
    this.map$1 = map;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentParser$1 = x$1;
      return this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TraitFragmentParser$1.map$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_document_webapi_model_TraitFragment() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const parent = this.$$outer$1.root$2.location$1;
    const traitFragment = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(this.map$1).withId__T__Lamf_core_model_domain_AmfObject((traitFragment.id$1 + "#/"));
    const jsx$1 = traitFragment.id$1;
    $m_Lorg_yaml_model_YNode$();
    const map = this.map$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const abstractDeclaration = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser().init___Lamf_core_model_domain_templates_AbstractDeclaration__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(jsx$2, jsx$1, "trait", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs), this.$$outer$1.ctx$2).parse__Lamf_core_model_domain_templates_AbstractDeclaration();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(traitFragment, field, abstractDeclaration)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser$TraitFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter extends $c_O {
  constructor() {
    super();
    this.module$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlModuleEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter(x$1)) {
      const RamlModuleEmitter$1 = x$1;
      const x = this.module$1;
      const x$2 = RamlModuleEmitter$1.module$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.module$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitModule__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), this.module$1.annotations$1);
    const emitters = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().rootLevelEmitters__F2().apply__O__O__O(this.module$1, ordering).emitters__sc_Seq();
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    b.comment__T__V($m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$().text$1);
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(emitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(module, spec) {
    this.module$1 = module;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlModuleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.annotationName$1 = null;
    this.map$1 = null;
    this.adopt$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationTypesParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationTypesParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = AnnotationTypesParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.annotationName$1 === AnnotationTypesParser$1.annotationName$1)) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnnotationTypesParser$1.map$1))) {
        const x$3 = this.adopt$1;
        const x$4 = AnnotationTypesParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.annotationName$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YPart__T__Lorg_yaml_model_YMap__F1($$outer, ast, annotationName, map, adopt) {
    this.ast$1 = ast;
    this.annotationName$1 = annotationName;
    this.map$1 = map;
    this.adopt$1 = adopt;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__Lamf_core_model_domain_extensions_CustomDomainProperty() {
    const custom = $m_Lamf_core_model_domain_extensions_CustomDomainProperty$().apply__Lorg_yaml_model_YPart__Lamf_core_model_domain_extensions_CustomDomainProperty(this.ast$1);
    const name = this.annotationName$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(custom, field, name);
    this.adopt$1.apply__O__O(custom);
    const x1 = this.ast$1;
    let maybeAnnotationType;
    if ($is_Lorg_yaml_model_YMapEntry(x1)) {
      const x2 = x1;
      maybeAnnotationType = new $c_s_Some().init___O(x2)
    } else if ($is_Lorg_yaml_model_YMap(x1)) {
      const x3 = x1;
      const jsx$2 = $m_Lorg_yaml_model_YMapEntry$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("annotationType");
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      maybeAnnotationType = new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(jsx$1, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(x3, t, a, cs)))
    } else {
      maybeAnnotationType = $m_s_None$()
    };
    if ($is_s_Some(maybeAnnotationType)) {
      const x2$2 = maybeAnnotationType;
      const annotationType = x2$2.value$2;
      const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(annotationType, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, custom$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "schema").adopted__T__Lamf_core_model_domain_AmfObject(custom$1.id$1)
        })
      })(this, custom)), true, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__s_Option();
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const shape$3 = arg1;
        const field$2 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$2, shape$3, annotations)
      };
      const map = this.map$1;
      const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$9 = this$8.key__T__s_Option("allowedTargets");
      if ((!this$9.isEmpty__Z())) {
        const arg1$1 = this$9.get__O();
        const entry = arg1$1;
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        const this$10 = entry.value$1;
        const x1$1 = this$10.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Seq$1;
        let targets;
        if ((x === x1$1)) {
          const node = entry.value$1;
          const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
          const this$12 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
          targets = $f_Lamf_core_parser_BaseArrayNode__string__Lamf_core_model_domain_AmfArray(this$12)
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
          if ((x$3 === x1$1)) {
            const this$13 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
            const node$1 = custom.id$1;
            const ast = entry.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$13, node$1, "Property 'allowedTargets' in a RAML annotation can only be a valid scalar or an array of valid scalars", ast);
            targets = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), new $c_Lamf_core_parser_Annotations().init___())
          } else {
            annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___());
            const jsx$3 = $m_sc_Seq$();
            const node$2 = entry.value$1;
            const iv$1 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
            const this$16 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$1);
            targets = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$3.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$16.string__Lamf_core_model_domain_AmfScalar()])), new $c_Lamf_core_parser_Annotations().init___())
          }
        };
        const jsx$5 = targets.values$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ($is_Lamf_core_model_domain_AmfScalar(x0$1)) {
              const x2$1 = x0$1;
              const x1$2 = $m_Lamf_plugins_document_webapi_vocabulary_VocabularyMappings$().ramlToUri$1.get__O__s_Option(x2$1.toString__T());
              if ($is_s_Some(x1$2)) {
                const x2$2$1 = x1$2;
                const uri = x2$2$1.value$2;
                return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri, x2$1.annotations$1)
              } else {
                const x$1 = $m_s_None$();
                if ((x$1 === x1$2)) {
                  return x2$1
                } else {
                  throw new $c_s_MatchError().init___O(x1$2)
                }
              }
            } else {
              return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x0$1.toString__T(), x0$1.annotations__Lamf_core_parser_Annotations())
            }
          })
        })(this));
        const this$18 = $m_sc_Seq$();
        const targetUris = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$18.ReusableCBFInstance$2);
        const field$3 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(targetUris, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$3, value, annotations$1)
      };
      const map$1 = this.map$1;
      const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const this$22 = this$21.key__T__s_Option("description");
      if ((!this$22.isEmpty__Z())) {
        const arg1$2 = this$22.get__O();
        const entry$3 = arg1$2;
        const node$3 = entry$3.value$1;
        const iv$2 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
        const value$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$3, iv$2);
        const field$4 = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1;
        const value$2 = value$1.string__Lamf_core_model_domain_AmfScalar();
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(custom, field$4, value$2, annotations$2)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(custom, this.map$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__V();
      return custom
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === maybeAnnotationType)) {
        const this$24 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
        const node$4 = custom.id$1;
        const ast$1 = this.ast$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$24, node$4, "Cannot parse annotation type fragment, cannot find information map", ast$1);
        return custom
      } else {
        throw new $c_s_MatchError().init___O(maybeAnnotationType)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$AnnotationTypesParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.baseUnit$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UsageParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UsageParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UsageParser$1.map$1)) {
        const x = this.baseUnit$1;
        const x$2 = UsageParser$1.baseUnit$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.baseUnit$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit($$outer, map, baseUnit) {
    this.map$1 = map;
    this.baseUnit$1 = baseUnit;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  parse__V() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("usage");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const this$5 = this.baseUnit$1;
      const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1;
      const value$1 = value.string__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value$1, annotations)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$UsageParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser extends $c_O {
  constructor() {
    super();
    this.seq$1 = null;
    this.declarations$1 = null;
    this.parent$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationsParser"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__T($$outer, seq, declarations, parent) {
    this.seq$1 = seq;
    this.declarations$1 = declarations;
    this.parent$1 = parent;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UserDocumentationsParser$1 = x$1;
      const x = this.seq$1;
      const x$2 = UserDocumentationsParser$1.seq$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.declarations$1;
        const x$4 = UserDocumentationsParser$1.declarations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parent$1 === UserDocumentationsParser$1.parent$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.seq$1;
        break
      }
      case 1: {
        return this.declarations$1;
        break
      }
      case 2: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__sc_Seq() {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    this.seq$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, results$1) {
      return (function(n$2) {
        const n = n$2;
        const x1 = n.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1)) {
          return results$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(n, $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f).parse__Lamf_plugins_domain_shapes_models_CreativeWork())
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((x$3 === x1)) {
            const this$1 = $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
            const node = $this.parent$1;
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected sequence. Options are object or scalar "])).s__sc_Seq__T($m_sci_Nil$());
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$1, node, message, n);
            return (void 0)
          } else {
            const scalar = n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f);
            const x1$2 = $this.declarations$1.findDocumentations__T__Lamf_core_parser_SearchScope$Scope__s_Option(scalar.text$3, $m_Lamf_core_parser_SearchScope$Fragments$());
            if ($is_s_Some(x1$2)) {
              const x2 = x1$2;
              const doc = x2.value$2;
              const label = scalar.text$3;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              return results$1.$$plus$eq__O__scm_ListBuffer($f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(doc, label, annotations))
            } else {
              const this$3 = $this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlSpecParser$$ctx$f;
              const node$1 = $this.parent$1;
              const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["not supported scalar ", " for documentation"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([scalar.text$3]));
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$3, node$1, message$1, scalar);
              return (void 0)
            }
          }
        }
      })
    })(this, results)));
    return results
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlSpecParser$UserDocumentationsParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser;
class $c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer extends $c_O {
  constructor() {
    super();
    this.branches$1 = null
  };
  productPrefix__T() {
    return "BranchContainer"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_resolution_stages_BranchContainer(x$1)) {
      const BranchContainer$1 = x$1;
      const x = this.branches$1;
      const x$2 = BranchContainer$1.branches$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.branches$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  collect__p1__scm_Set__scm_ListBuffer__sc_Seq__V(visited, queue, previous) {
    _collect: while (true) {
      const branches = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      previous.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, visited$1, branches$1) {
        return (function(prev$2) {
          const prev = prev$2;
          prev.children$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, visited$1$1) {
            return (function(c$2) {
              const c = c$2;
              const elem = c.key$1;
              return $f_scm_FlatHashTable__addElem__O__Z(visited$1$1, elem)
            })
          })($this, visited$1))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, branches$1$1) {
            return (function(x$4$2) {
              const x$4 = x$4$2;
              return branches$1$1.$$plus$eq__O__scm_ListBuffer(x$4)
            })
          })($this, branches$1)))
        })
      })(this, visited, branches)));
      queue.$$plus$eq__O__scm_ListBuffer(branches);
      if (branches.nonEmpty__Z()) {
        previous = branches;
        continue _collect
      };
      break
    }
  };
  flatten__sc_Seq() {
    const visited = $m_scm_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const queue = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    queue.$$plus$eq__O__scm_ListBuffer(this.branches$1);
    const jsx$2 = this.branches$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.key$1
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const xs = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(visited, xs);
    this.collect__p1__scm_Set__scm_ListBuffer__sc_Seq__V(visited, queue, this.branches$1);
    const z = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = queue.scala$collection$mutable$ListBuffer$$start$6;
    let acc = z;
    let these = this$2;
    while ((!these.isEmpty__Z())) {
      const arg1 = acc;
      const arg2 = these.head__O();
      const x$2 = arg1;
      const x$3 = arg2;
      const this$3 = $m_sc_Seq$();
      acc = x$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(x$3, this$3.ReusableCBFInstance$2);
      these = these.tail__O()
    };
    return acc
  };
  init___sc_Seq(branches) {
    this.branches$1 = branches;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_BranchContainer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_BranchContainer)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_BranchContainer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_BranchContainer)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer: 0
}, false, "amf.plugins.document.webapi.resolution.stages.BranchContainer", {
  Lamf_plugins_document_webapi_resolution_stages_BranchContainer: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_BranchContainer.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_BranchContainer;
class $c_Lamf_plugins_document_webapi_resolution_stages_Context extends $c_O {
  constructor() {
    super();
    this.model$1 = null;
    this.variables$1 = null
  };
  productPrefix__T() {
    return "Context"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_resolution_stages_Context(x$1)) {
      const Context$1 = x$1;
      const x = this.model$1;
      const x$2 = Context$1.model$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.variables$1;
        const x$4 = Context$1.variables$1;
        return ((x$3 === null) ? (x$4 === null) : $f_sc_GenSetLike__equals__O__Z(x$3, x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.model$1;
        break
      }
      case 1: {
        return this.variables$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  add__T__T__Lamf_plugins_document_webapi_resolution_stages_Context(name, value) {
    const jsx$1 = this.variables$1;
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const x$1 = jsx$1.$$plus__O__sc_Set(new $c_Lamf_core_model_domain_templates_Variable().init___T__Lamf_core_model_domain_DataNode(name, new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, dataType, new $c_Lamf_core_parser_Fields().init___(), annotations)));
    const x$2 = this.model$1;
    return new $c_Lamf_plugins_document_webapi_resolution_stages_Context().init___Lamf_core_model_document_BaseUnit__sci_Set(x$2, x$1)
  };
  init___Lamf_core_model_document_BaseUnit__sci_Set(model, variables) {
    this.model$1 = model;
    this.variables$1 = variables;
    return this
  };
  add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(vs) {
    const jsx$2 = this.variables$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        const this$1 = v.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1);
        const this$2 = this$1.option$1;
        return new $c_Lamf_core_model_domain_templates_Variable().init___T__Lamf_core_model_domain_DataNode((this$2.isEmpty__Z() ? null : this$2.get__O()), v.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1))
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const x$3 = jsx$2.$$plus$plus__sc_GenTraversableOnce__sc_Set(vs.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2));
    const x$4 = this.model$1;
    return new $c_Lamf_plugins_document_webapi_resolution_stages_Context().init___Lamf_core_model_document_BaseUnit__sci_Set(x$4, x$3)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_Context = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_Context)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_Context = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_Context)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_Context = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_Context: 0
}, false, "amf.plugins.document.webapi.resolution.stages.Context", {
  Lamf_plugins_document_webapi_resolution_stages_Context: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_Context.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_Context;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver extends $c_O {
  constructor() {
    super();
    this.resolved$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitResolver"
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.resolved$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  productArity__I() {
    return 0
  };
  resolveOperation__p1__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(key, parameterized, context, apiContext) {
    const local = context.add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(parameterized.variables__sc_Seq());
    let rc7 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(parameterized.target__Lamf_core_model_domain_templates_AbstractDeclaration());
    if ($is_s_Some(x1)) {
      rc7 = true;
      x2 = x1;
      const t = x2.value$2;
      if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(t)) {
        const jsx$1 = this.$$outer$1;
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_Operation__sc_Seq(jsx$1, key, new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
      }
    };
    if (rc7) {
      const t$2 = x2.value$2;
      if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(t$2)) {
        const x5 = t$2;
        const node = x5.dataNode__Lamf_core_model_domain_DataNode().cloneNode__Lamf_core_model_domain_DataNode();
        node.replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(local.variables$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, apiContext$1, x5$1) {
          return (function(message$2) {
            const message = message$2;
            const node$1 = x5$1.id$1;
            const lexical = x5$1.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__V(apiContext$1, node$1, message, lexical)
          })
        })(this, apiContext, x5)));
        const jsx$4 = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$();
        const jsx$3 = this.$$outer$1.amf$plugins$document$webapi$resolution$stages$ExtendsResolutionStage$$profile$f;
        const jsx$2 = context.model$1;
        const this$4 = x5.name__Lamf_core_model_StrField().option$1;
        const op = jsx$4.asOperation__T__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit__T__T__s_Option__Z__s_Option__Lamf_plugins_domain_webapi_models_Operation(jsx$3, node, jsx$2, (this$4.isEmpty__Z() ? "" : this$4.get__O()), x5.id$1, $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(x5.id$1, context.model$1), this.$$outer$1.keepEditingInfo$2, new $c_s_Some().init___O(apiContext));
        const jsx$6 = op.traits__sc_Seq();
        const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, context$1, apiContext$2) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            return this$3$1.resolve__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x$5, context$1, apiContext$2)
          })
        })(this, context, apiContext));
        const this$5 = $m_sc_Seq$();
        const children = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$5.ReusableCBFInstance$2);
        return new $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch().init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_Operation__sc_Seq(this.$$outer$1, key, op, children)
      }
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Looking for trait but ", " was found on model ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1, context.model$1]))))
  };
  equals__O__Z(x$1) {
    return (($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver(x$1) && (x$1.$$outer$1 === this.$$outer$1)) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  resolve__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(t, context, apiContext) {
    const local = context.add__sc_Seq__Lamf_plugins_document_webapi_resolution_stages_Context(t.variables__sc_Seq());
    const name = t.target__Lamf_core_model_domain_templates_AbstractDeclaration().id$1;
    const variables = local.variables$1;
    const key = new $c_Lamf_plugins_document_webapi_resolution_stages_Key().init___T__sci_Set(name, variables);
    return this.resolved$1.getOrElseUpdate__O__F0__O(key, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, t$1, context$1, apiContext$1, key$1) {
      return (function() {
        return $this.resolveOperation__p1__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait__Lamf_plugins_document_webapi_resolution_stages_Context__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(key$1, t$1, context$1, apiContext$1)
      })
    })(this, t, context, apiContext, key)))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$TraitResolver", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitResolver;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger extends $c_O {
  constructor() {
    super();
    this.master$1 = null;
    this.extension$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "IriMerger"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const IriMerger$1 = x$1;
      return ((this.master$1 === IriMerger$1.master$1) && (this.extension$1 === IriMerger$1.extension$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.master$1;
        break
      }
      case 1: {
        return this.extension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  merge__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__V(element, field, value) {
    const value$1 = $m_sjsr_RuntimeString$().replaceFirst__T__T__T__T(value.toString__T(), this.extension$1, this.master$1);
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(element, field, value$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage__T__T($$outer, master, extension) {
    this.master$1 = master;
    this.extension$1 = extension;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage$IriMerger", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$IriMerger;
class $c_Lamf_plugins_document_webapi_resolution_stages_Key extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.variables$1 = null
  };
  productPrefix__T() {
    return "Key"
  };
  init___T__sci_Set(name, variables) {
    this.name$1 = name;
    this.variables$1 = variables;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_resolution_stages_Key(x$1)) {
      const Key$1 = x$1;
      if ((this.name$1 === Key$1.name$1)) {
        const x = this.variables$1;
        const x$2 = Key$1.variables$1;
        return ((x === null) ? (x$2 === null) : $f_sc_GenSetLike__equals__O__Z(x, x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.variables$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_Key = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_Key)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_Key = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_Key)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_Key = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_Key: 0
}, false, "amf.plugins.document.webapi.resolution.stages.Key", {
  Lamf_plugins_document_webapi_resolution_stages_Key: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_Key.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_Key;
class $c_Lamf_plugins_document_webapi_validation_AMFValidation extends $c_O {
  constructor() {
    super();
    this.uri$1 = null;
    this.message$1 = null;
    this.spec$1 = null;
    this.level$1 = null;
    this.owlClass$1 = null;
    this.owlProperty$1 = null;
    this.shape$1 = null;
    this.target$1 = null;
    this.constraint$1 = null;
    this.value$1 = null;
    this.ramlErrorMessage$1 = null;
    this.openApiErrorMessage$1 = null;
    this.severity$1 = null
  };
  productPrefix__T() {
    return "AMFValidation"
  };
  productArity__I() {
    return 13
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_AMFValidation(x$1)) {
      const AMFValidation$1 = x$1;
      const x = this.uri$1;
      const x$2 = AMFValidation$1.uri$1;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.message$1;
        const x$4 = AMFValidation$1.message$1;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (((jsx$3 && (this.spec$1 === AMFValidation$1.spec$1)) && (this.level$1 === AMFValidation$1.level$1))) {
        const x$5 = this.owlClass$1;
        const x$6 = AMFValidation$1.owlClass$1;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.owlProperty$1;
        const x$8 = AMFValidation$1.owlProperty$1;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (((((((jsx$1 && (this.shape$1 === AMFValidation$1.shape$1)) && (this.target$1 === AMFValidation$1.target$1)) && (this.constraint$1 === AMFValidation$1.constraint$1)) && (this.value$1 === AMFValidation$1.value$1)) && (this.ramlErrorMessage$1 === AMFValidation$1.ramlErrorMessage$1)) && (this.openApiErrorMessage$1 === AMFValidation$1.openApiErrorMessage$1))) {
        return (this.severity$1 === AMFValidation$1.severity$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___s_Option__s_Option__T__T__s_Option__s_Option__T__T__T__T__T__T__T(uri, message, spec, level, owlClass, owlProperty, shape, target, constraint, value, ramlErrorMessage, openApiErrorMessage, severity) {
    this.uri$1 = uri;
    this.message$1 = message;
    this.spec$1 = spec;
    this.level$1 = level;
    this.owlClass$1 = owlClass;
    this.owlProperty$1 = owlProperty;
    this.shape$1 = shape;
    this.target$1 = target;
    this.constraint$1 = constraint;
    this.value$1 = value;
    this.ramlErrorMessage$1 = ramlErrorMessage;
    this.openApiErrorMessage$1 = openApiErrorMessage;
    this.severity$1 = severity;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.uri$1;
        break
      }
      case 1: {
        return this.message$1;
        break
      }
      case 2: {
        return this.spec$1;
        break
      }
      case 3: {
        return this.level$1;
        break
      }
      case 4: {
        return this.owlClass$1;
        break
      }
      case 5: {
        return this.owlProperty$1;
        break
      }
      case 6: {
        return this.shape$1;
        break
      }
      case 7: {
        return this.target$1;
        break
      }
      case 8: {
        return this.constraint$1;
        break
      }
      case 9: {
        return this.value$1;
        break
      }
      case 10: {
        return this.ramlErrorMessage$1;
        break
      }
      case 11: {
        return this.openApiErrorMessage$1;
        break
      }
      case 12: {
        return this.severity$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_validation_AMFValidation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_AMFValidation)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_AMFValidation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_AMFValidation)))
});
const $d_Lamf_plugins_document_webapi_validation_AMFValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_AMFValidation: 0
}, false, "amf.plugins.document.webapi.validation.AMFValidation", {
  Lamf_plugins_document_webapi_validation_AMFValidation: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_AMFValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_AMFValidation;
class $c_Lamf_plugins_document_webapi_validation_DataNodeEntry extends $c_O {
  constructor() {
    super();
    this.d$1 = null;
    this.sonsKeys$1 = null
  };
  aggregate__sci_Map__s_Option(indexedResult) {
    const sonsResults = this.collectResults__p1__sci_Map__sc_Seq(indexedResult);
    let rc6 = false;
    let x2 = null;
    const x1 = indexedResult.get__O__s_Option(this.d$1.id$1);
    if ($is_s_Some(x1)) {
      rc6 = true;
      x2 = x1;
      const rootResults = x2.value$2;
      if (sonsResults.nonEmpty__Z()) {
        return new $c_s_Some().init___O(this.buildRootResult__p1__sc_Seq__s_Option__Lamf_core_validation_AMFValidationResult(rootResults, this.sonsToString__p1__sc_Seq__s_Option(sonsResults)))
      }
    };
    if (rc6) {
      const rootResult = x2.value$2;
      return new $c_s_Some().init___O(this.buildRootResult__p1__sc_Seq__s_Option__Lamf_core_validation_AMFValidationResult(rootResult, $m_s_None$()))
    };
    const x = $m_s_None$();
    if (((x === x1) && sonsResults.nonEmpty__Z())) {
      const this$1 = this.sonsToString__p1__sc_Seq__s_Option(sonsResults);
      const message = (this$1.isEmpty__Z() ? "" : this$1.get__O());
      const level = (sonsResults.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$2$2$2) {
          const x$2$2 = x$2$2$2;
          return (x$2$2.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)
        })
      })(this))) ? $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1 : $m_Lamf_core_validation_SeverityLevels$().WARNING$1);
      const targetNode = this.d$1.id$1;
      const targetProperty = sonsResults.head__O().targetProperty$1;
      const validationId = sonsResults.head__O().validationId$1;
      const position = this.d$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      return new $c_s_Some().init___O(new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, null))
    };
    return $m_s_None$()
  };
  productPrefix__T() {
    return "DataNodeEntry"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_DataNodeEntry(x$1)) {
      const DataNodeEntry$1 = x$1;
      const x = this.d$1;
      const x$2 = DataNodeEntry$1.d$1;
      if ((x === x$2)) {
        const x$3 = this.sonsKeys$1;
        const x$4 = DataNodeEntry$1.sonsKeys$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.d$1;
        break
      }
      case 1: {
        return this.sonsKeys$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  sonsToString__p1__sc_Seq__s_Option(sonsResult) {
    const message = new $c_sr_ObjectRef().init___O("");
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.message$1
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    sonsResult.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).distinct__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, message$1) {
      return (function(r$2) {
        const r = r$2;
        const thiz = message$1.elem$1;
        const s = (r + "\n");
        if ((thiz === null)) {
          throw new $c_jl_NullPointerException().init___()
        };
        message$1.elem$1 = (thiz + s)
      })
    })(this, message)));
    return $m_s_Option$().apply__O__s_Option(message.elem$1)
  };
  init___Lamf_core_model_domain_DataNode__sc_Seq(d, sonsKeys) {
    this.d$1 = d;
    this.sonsKeys$1 = sonsKeys;
    return this
  };
  sorted__p1__sc_Seq__sc_Seq(elements) {
    const this$1 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    return elements.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$1, evidence$1))
  };
  buildRootResult__p1__sc_Seq__s_Option__Lamf_core_validation_AMFValidationResult(rootResults, additionalMessage) {
    const sortedResults = this.sorted__p1__sc_Seq__sc_Seq(rootResults);
    let rc12 = false;
    let x2 = null;
    if ($is_sci_$colon$colon(sortedResults)) {
      rc12 = true;
      x2 = sortedResults;
      const rootResult = x2.head$5;
      const p3 = x2.tl$5;
      const x = $m_sci_Nil$();
      if ((x.equals__O__Z(p3) && additionalMessage.isDefined__Z())) {
        const message = ((rootResult.message$1 + "\n") + (additionalMessage.isEmpty__Z() ? "" : additionalMessage.get__O()));
        const level = rootResult.level$1;
        const targetNode = rootResult.targetNode$1;
        const targetProperty = rootResult.targetProperty$1;
        const validationId = rootResult.validationId$1;
        const position = rootResult.position$1;
        const source = rootResult.source$1;
        return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, source)
      }
    };
    if (rc12) {
      const rootResult$2 = x2.head$5;
      const p5 = x2.tl$5;
      const x$3 = $m_sci_Nil$();
      if (x$3.equals__O__Z(p5)) {
        return rootResult$2
      }
    };
    if (rc12) {
      const severity = (sortedResults.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$3$2$2) {
          const x$3$2 = x$3$2$2;
          return (x$3$2.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)
        })
      })(this))) ? $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1 : $m_Lamf_core_validation_SeverityLevels$().WARNING$1);
      const messages = new $c_sr_ObjectRef().init___O("");
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3) {
        return (function(x$4$2$2) {
          const x$4$2 = x$4$2$2;
          return x$4$2.message$1
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      sortedResults.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).distinct__O().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, messages$1) {
        return (function(r$2) {
          const r = r$2;
          messages$1.elem$1 = ((("" + messages$1.elem$1) + r) + "\n")
        })
      })(this, messages)));
      let finalMessage;
      if (additionalMessage.isEmpty__Z()) {
        finalMessage = messages.elem$1
      } else {
        const arg1 = additionalMessage.get__O();
        const a = arg1;
        finalMessage = (("" + messages.elem$1) + a)
      };
      const targetNode$1 = sortedResults.head__O().targetNode$1;
      const targetProperty$1 = $m_s_Option$().apply__O__s_Option(this.d$1.id$1);
      const validationId$1 = sortedResults.head__O().validationId$1;
      const position$1 = this.d$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      return new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(finalMessage, severity, targetNode$1, targetProperty$1, validationId$1, position$1, null)
    };
    throw new $c_s_MatchError().init___O(sortedResults)
  };
  collectResults__p1__sci_Map__sc_Seq(indexedResults) {
    const jsx$2 = this.sonsKeys$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, indexedResults$1) {
      return (function(k$2) {
        const k = k$2;
        const x1 = indexedResults$1.get__O__s_Option(k);
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const v = x2.value$2;
          return v
        } else {
          const x = $m_s_None$();
          if ((!(x === x1))) {
            throw new $c_s_MatchError().init___O(x1)
          };
          return $m_sci_Nil$()
        }
      })
    })(this, indexedResults));
    const this$1 = $m_sc_Seq$();
    return this.sorted__p1__sc_Seq__sc_Seq(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_validation_DataNodeEntry = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_DataNodeEntry)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_DataNodeEntry = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_DataNodeEntry)))
});
const $d_Lamf_plugins_document_webapi_validation_DataNodeEntry = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_DataNodeEntry: 0
}, false, "amf.plugins.document.webapi.validation.DataNodeEntry", {
  Lamf_plugins_document_webapi_validation_DataNodeEntry: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_DataNodeEntry.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_DataNodeEntry;
class $c_Lamf_plugins_document_webapi_validation_DataNodeIndex extends $c_O {
  constructor() {
    super();
    this.amf$plugins$document$webapi$validation$DataNodeIndex$$dataNodes$1 = null;
    this.index$1 = null
  };
  productPrefix__T() {
    return "DataNodeIndex"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_DataNodeIndex(x$1)) {
      const DataNodeIndex$1 = x$1;
      const x = this.amf$plugins$document$webapi$validation$DataNodeIndex$$dataNodes$1;
      const x$2 = DataNodeIndex$1.amf$plugins$document$webapi$validation$DataNodeIndex$$dataNodes$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$plugins$document$webapi$validation$DataNodeIndex$$dataNodes$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  aggregate__sci_Map__sc_Seq(indexedResult) {
    const this$3 = this.index$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, indexedResult$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const entry = x0$1.$$und2__O();
          const xo = entry.aggregate__sci_Map__s_Option(indexedResult$1);
          return xo.toList__sci_List()
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, indexedResult));
    const this$2 = $m_sci_Iterable$();
    const bf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this$3, f, bf).toSeq__sc_Seq()
  };
  init___sc_Seq(dataNodes) {
    this.amf$plugins$document$webapi$validation$DataNodeIndex$$dataNodes$1 = dataNodes;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(d$2) {
        const d = d$2;
        const self = d.id$1;
        const y = new $c_Lamf_plugins_document_webapi_validation_DataNodeEntry().init___Lamf_core_model_domain_DataNode__sc_Seq(d, $this.indexSons__p1__Lamf_core_model_domain_DataNode__sc_Seq(d));
        return new $c_T2().init___O__O(self, y)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    this.index$1 = dataNodes.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  indexSons__p1__Lamf_core_model_domain_DataNode__sc_Seq(dataNode) {
    if ($is_Lamf_core_model_domain_ObjectNode(dataNode)) {
      const x2 = dataNode;
      const jsx$3 = x2.properties$2.values__sc_Iterable();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(p$2) {
          const p = p$2;
          const x$6 = p.id$1;
          const jsx$2 = $this.indexSons__p1__Lamf_core_model_domain_DataNode__sc_Seq(p);
          const this$1 = $m_sc_Seq$();
          return jsx$2.$$plus$colon__O__scg_CanBuildFrom__O(x$6, this$1.ReusableCBFInstance$2)
        })
      })(this));
      const this$2 = $m_sc_Iterable$();
      return jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).toSeq__sc_Seq()
    } else if ($is_Lamf_core_model_domain_ArrayNode(dataNode)) {
      const x3 = dataNode;
      const this$4 = x3.members$2;
      $m_scm_ListBuffer$();
      $m_scm_ListBuffer$();
      const b = new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___());
      const this$6 = this$4.scala$collection$mutable$ListBuffer$$start$6;
      let these = this$6;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const m = arg1;
        const x$7 = m.id$1;
        const jsx$4 = this.indexSons__p1__Lamf_core_model_domain_DataNode__sc_Seq(m);
        const this$7 = $m_sc_Seq$();
        const xs = jsx$4.$$plus$colon__O__scg_CanBuildFrom__O(x$7, this$7.ReusableCBFInstance$2).seq__sc_TraversableOnce();
        $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, xs);
        these = these.tail__O()
      };
      return b.elems$1
    } else {
      return $m_sci_Nil$()
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_validation_DataNodeIndex = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_DataNodeIndex)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_DataNodeIndex = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_DataNodeIndex)))
});
const $d_Lamf_plugins_document_webapi_validation_DataNodeIndex = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_DataNodeIndex: 0
}, false, "amf.plugins.document.webapi.validation.DataNodeIndex", {
  Lamf_plugins_document_webapi_validation_DataNodeIndex: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_DataNodeIndex.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_DataNodeIndex;
class $c_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation extends $c_O {
  constructor() {
    super();
    this.baseUnit$1 = null;
    this.platform$1 = null;
    this.candidates$1 = null;
    this.index$1 = null
  };
  productPrefix__T() {
    return "UnitPayloadsValidation"
  };
  productArity__I() {
    return 2
  };
  validate__s_concurrent_Future() {
    return $m_Lamf_core_services_PayloadValidator$().validateAll__sc_Seq__T__s_concurrent_Future(this.candidates$1, $m_Lamf_core_validation_SeverityLevels$().WARNING$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(report$2) {
        const report = report$2;
        return $this.groupResults__p1__Lamf_core_validation_AMFValidationReport__sc_Seq(report)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation(x$1)) {
      const UnitPayloadsValidation$1 = x$1;
      const x = this.baseUnit$1;
      const x$2 = UnitPayloadsValidation$1.baseUnit$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.platform$1;
        const x$4 = UnitPayloadsValidation$1.platform$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseUnit$1;
        break
      }
      case 1: {
        return this.platform$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  groupResults__p1__Lamf_core_validation_AMFValidationReport__sc_Seq(report) {
    const indexedResults = report.results$1.groupBy__F1__sci_Map(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(r$2) {
        const r = r$2;
        return r.targetNode$1
      })
    })(this)));
    return this.index$1.aggregate__sci_Map__sc_Seq(indexedResults)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform(baseUnit, platform) {
    this.baseUnit$1 = baseUnit;
    this.platform$1 = platform;
    const jsx$4 = $m_Lamf_plugins_document_webapi_validation_ExamplesCandidatesCollector$().apply__Lamf_core_model_document_BaseUnit__sc_Seq(baseUnit);
    const jsx$3 = $m_Lamf_plugins_document_webapi_validation_ShapeFacetsCandidatesCollector$().apply__Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform__sc_Seq(baseUnit, platform);
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_plugins_document_webapi_validation_AnnotationsCandidatesCollector$().apply__Lamf_core_model_document_BaseUnit__Lamf_core_remote_Platform__sc_Seq(baseUnit, platform);
    const this$2 = $m_sc_Seq$();
    this.candidates$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const jsx$6 = this.candidates$1;
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$3 = x$1.payload$1;
        return this$3.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    this.index$1 = new $c_Lamf_plugins_document_webapi_validation_DataNodeIndex().init___sc_Seq(jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$4.ReusableCBFInstance$2));
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_UnitPayloadsValidation)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_UnitPayloadsValidation)))
});
const $d_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_UnitPayloadsValidation: 0
}, false, "amf.plugins.document.webapi.validation.UnitPayloadsValidation", {
  Lamf_plugins_document_webapi_validation_UnitPayloadsValidation: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_UnitPayloadsValidation;
class $c_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ extends $c_O {
  constructor() {
    super();
    this.PropertySource$1 = null;
    this.PropertyTarget$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PropertySource$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "propertySource"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.PropertyTarget$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "propertyTarget"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "PropertyDependencies")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.PropertySource$1, this.PropertyTarget$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.PropertyDependenciesModel$", {
  Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ extends $c_O {
  constructor() {
    super();
    this.Attribute$1 = null;
    this.Wrapped$1 = null;
    this.Name$1 = null;
    this.Namespace$1 = null;
    this.Prefix$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Attribute$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "xmlAttribute"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Wrapped$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "xmlWrapped"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "xmlName"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Namespace$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "xmlNamespace"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Prefix$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "xmlPrefix"), true);
    $m_sci_List$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "XMLSerializer")]);
    const this$14 = $m_sci_List$();
    const cbf = this$14.ReusableCBFInstance$2;
    const jsx$7 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$6 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$15 = $m_sci_List$();
    this.type$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$15.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Attribute$1, this.Wrapped$1, this.Name$1, this.Namespace$1, this.Prefix$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_XMLSerializer().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.XMLSerializerModel$", {
  Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$
});
class $c_Lamf_plugins_domain_shapes_models_CreativeWork extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  searchIdPart__p1__s_Option() {
    const x1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const target = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(target)) {
        const x3 = target;
        const this$1 = x3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1).option$1;
        const this$2 = (this$1.isEmpty__Z() ? x3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1).option$1 : this$1);
        if (this$2.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$1 = arg1;
          const this$4 = new $c_Lamf_core_utils_package$Strings().init___T(x$1);
          const this$5 = this$4.platform$1;
          const url = this$4.str$1;
          return new $c_s_Some().init___O($f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$5, url))
        }
      }
    };
    const this$6 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1).option$1;
    const this$7 = (this$6.isEmpty__Z() ? this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1).option$1 : this$6);
    if (this$7.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = this$7.get__O();
      const x$2 = arg1$1;
      const this$9 = new $c_Lamf_core_utils_package$Strings().init___T(x$2);
      const this$10 = this$9.platform$1;
      const url$1 = this$9.str$1;
      return new $c_s_Some().init___O($f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$10, url$1))
    }
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.searchIdPart__p1__s_Option();
    return ("/creative-work/" + (this$1.isEmpty__Z() ? null : this$1.get__O()))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_CreativeWork = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_CreativeWork)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_CreativeWork = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_CreativeWork)))
});
const $d_Lamf_plugins_domain_shapes_models_CreativeWork = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_CreativeWork: 0
}, false, "amf.plugins.domain.shapes.models.CreativeWork", {
  Lamf_plugins_domain_shapes_models_CreativeWork: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1
});
$c_Lamf_plugins_domain_shapes_models_CreativeWork.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_CreativeWork;
class $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage extends $c_Lamf_core_resolution_stages_ResolutionStage {
  constructor() {
    super();
    this.profile$2 = null;
    this.keepEditingInfo$2 = false;
    this.errorHandler$2 = null;
    this.fixPointCount$2 = 0;
    this.allShapeFields$2 = null
  };
  canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(any) {
    this.canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(any);
    return (any.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z() ? this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(any) : any)
  };
  cleanUnnecessarySyntax__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    shape.annotations__Lamf_core_parser_Annotations().reject__F1__Lamf_core_parser_Annotations(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (!$is_Lamf_core_model_domain_PerpetualAnnotation(x$1))
      })
    })(this)));
    return shape
  };
  canonicalTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape(tuple) {
    this.canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(tuple);
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())]));
    const acc = new $c_sr_ObjectRef().init___O(elem);
    const jsx$2 = tuple.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(shape$2) {
        const shape = shape$2;
        const x1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
        if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
          const x2 = x1;
          return x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1)
        } else if ((x1 !== null)) {
          return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const sources = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    sources.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, acc$1) {
      return (function(source$2) {
        const source = source$2;
        source.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, acc$1$1) {
          return (function(shape$2$1) {
            const shape$1 = shape$2$1;
            const jsx$5 = acc$1$1.elem$1;
            const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, shape$3) {
              return (function(x$3$2) {
                const x$3 = x$3$2;
                const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape$3]));
                const this$3 = $m_sc_Seq$();
                return x$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$3.ReusableCBFInstance$2)
              })
            })($this$1, shape$1));
            const this$4 = $m_sc_Seq$();
            acc$1$1.elem$1 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2)
          })
        })(this$2$1, acc$1)))
      })
    })(this, acc)));
    if ((acc.elem$1.length__I() === 1)) {
      tuple.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(acc.elem$1.head__O(), new $c_Lamf_core_parser_Annotations().init___()), tuple.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2).annotations$1);
      return tuple
    } else {
      const jsx$7 = acc.elem$1;
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, tuple$1) {
        return (function(items$2) {
          const items = items$2;
          const recursionErrorHandler = new $c_s_Some().init___O(this$3$1.errorHandler$2);
          const withRecursionBase = $m_s_None$();
          const traversed = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
          const newTuple = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(tuple$1, recursionErrorHandler, withRecursionBase, traversed);
          return newTuple.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(items, new $c_Lamf_core_parser_Annotations().init___()), tuple$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().Items$1).annotations$1)
        })
      })(this, tuple));
      const this$7 = $m_sc_Seq$();
      jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$7.ReusableCBFInstance$2);
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const union = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      union.id$1 = (tuple.id$1 + "resolved");
      const this$11 = tuple.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$12 = this$11.option$1;
      const name = (this$12.isEmpty__Z() ? null : this$12.get__O());
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(union, field, name);
      return union
    }
  };
  expandInherits__Lamf_core_model_domain_Shape__V(shape) {
    const oldInherits = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    if ($m_s_Option$().apply__O__s_Option(oldInherits).isDefined__Z()) {
      const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2$2) {
          const shape$2 = shape$2$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$2)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newInherits = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
      const annotations = oldInherits.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field, newInherits, annotations)
    }
  };
  expandScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape(scalar) {
    this.expandInherits__Lamf_core_model_domain_Shape__V(scalar);
    this.expandLogicalConstraints__Lamf_core_model_domain_Shape__V(scalar);
    return scalar
  };
  canonicalScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_model_domain_Shape(scalar) {
    this.canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(scalar);
    return (($m_s_Option$().apply__O__s_Option(scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isDefined__Z() && scalar.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z()) ? this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(scalar) : scalar)
  };
  keepEditingInfo__Z() {
    return this.keepEditingInfo$2
  };
  findShapesPredicate__Lamf_core_model_domain_DomainElement__Z(element) {
    const metaModelFound = $f_Lamf_core_metamodel_MetaModelTypeMapping__metaModel__O__Lamf_core_metamodel_Obj(this, element);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const targetIri = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Shape").iri__T();
    const this$3 = metaModelFound.type__sci_List();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const t = arg1;
      if ((t.iri__T() === targetIri)) {
        return true
      };
      these = these.tail__O()
    };
    return false
  };
  canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    const superTypes = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    let oldInherits;
    if (this.keepEditingInfo__Z()) {
      const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
      const jsx$1 = new $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1().init___Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage(this);
      const this$1 = $m_sc_Seq$();
      oldInherits = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
    } else {
      oldInherits = $m_sci_Nil$()
    };
    shape.fields__Lamf_core_parser_Fields().removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    const elem = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
    const accShape = new $c_sr_ObjectRef().init___O(elem);
    superTypes.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, accShape$1) {
      return (function(superNode$2) {
        const superNode = superNode$2;
        const canonicalSuperNode = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(superNode);
        const newMinShape = $this.minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(accShape$1.elem$1, canonicalSuperNode);
        accShape$1.elem$1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(newMinShape)
      })
    })(this, accShape)));
    if (this.keepEditingInfo__Z()) {
      const jsx$4 = accShape.elem$1.annotations__Lamf_core_parser_Annotations();
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          return x$2.id$1
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      jsx$4.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_shapes_annotations_InheritedShapes().init___sc_Seq(oldInherits.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2)))
    };
    return accShape.elem$1
  };
  transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element, isCycle) {
    if ($is_Lamf_core_model_domain_Shape(element)) {
      const x2 = element;
      return new $c_s_Some().init___O(this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x2.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(new $c_s_Some().init___O(this.errorHandler$2), new $c_s_Some().init___O(element.id__T()), x2.cloneShape$default$3__sci_Set()))))
    } else {
      return new $c_s_Some().init___O(element)
    }
  };
  ensureCorrect__Lamf_core_model_domain_Shape__V(shape) {
    if ($m_s_Option$().apply__O__s_Option(shape.id$1).isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Found shape without ID: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape]))))
    }
  };
  checkRequiredShape__Lamf_core_model_domain_Shape__Z__V(shape, required) {
    const x1 = $m_s_Option$().apply__O__s_Option(shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      v.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___())
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        shape.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1, new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(required, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___()))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  expandProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape(property) {
    let required = false;
    const x1 = property.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    const x = $m_s_None$();
    if ((x === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("MinCount field is mandatory in a shape"))
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      if (($numberIntValue(entry.value$1.value$1.toNumber__jl_Number()) !== 0)) {
        required = true
      }
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oldRange = property.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
    if ($m_s_Option$().apply__O__s_Option(oldRange).isDefined__Z()) {
      const expandedRange = this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1));
      this.checkRequiredShape__Lamf_core_model_domain_Shape__Z__V(expandedRange, required);
      const this$1 = expandedRange.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
      if ((!this$1.isEmpty__Z())) {
        const arg1 = this$1.get__O();
        const f = arg1;
        if (f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
          const this$2 = property.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
          if ((!this$2.isEmpty__Z())) {
            const arg1$1 = this$2.get__O();
            const f$2 = arg1$1;
            f$2.value$1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___())
          }
        }
      };
      property.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1, expandedRange, oldRange.annotations$1)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Property shape with missing range: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([property]))))
    };
    return property
  };
  init___T__Z__Lamf_core_parser_ErrorHandler(profile, keepEditingInfo, errorHandler) {
    this.profile$2 = profile;
    this.keepEditingInfo$2 = keepEditingInfo;
    this.errorHandler$2 = errorHandler;
    $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__$$init$__V(this);
    this.fixPointCount$2 = 0;
    return this
  };
  expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    this.ensureCorrect__Lamf_core_model_domain_Shape__V(shape);
    this.cleanUnnecessarySyntax__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
      const x2 = shape;
      return this.expandUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape)) {
      const x3 = shape;
      return this.expandScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_plugins_domain_shapes_models_ScalarShape(x3)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x4 = shape;
      return this.expandArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape(x4)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x5 = shape;
      return this.expandMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape(x5)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(shape)) {
      const x6 = shape;
      return this.expandTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape(x6)
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(shape)) {
      const x7 = shape;
      return this.expandProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_extensions_PropertyShape(x7)
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(shape)) {
      const x8 = shape;
      return x8
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(shape)) {
      const x9 = shape;
      return x9
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
      const x10 = shape;
      return this.expandNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape(x10)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      const x11 = shape;
      return x11
    } else if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
      const x12 = shape;
      return x12
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape) {
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(shape)) {
      const x2 = shape;
      return this.canonicalUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(x2)
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape)) {
      const x3 = shape;
      return this.canonicalScalar__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_model_domain_Shape(x3)
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(shape)) {
      const x4 = shape;
      return this.canonicalArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape(x4)
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(shape)) {
      const x5 = shape;
      return this.canonicalMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape(x5)
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(shape)) {
      const x6 = shape;
      return this.canonicalTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_model_domain_Shape(x6)
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(shape)) {
      const x7 = shape;
      return this.canonicalProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape(x7)
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(shape)) {
      const x8 = shape;
      return this.canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x8)
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(shape)) {
      const x9 = shape;
      return this.canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x9)
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(shape)) {
      const x10 = shape;
      return this.canonicalNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape(x10)
    } else if ($is_Lamf_core_model_domain_RecursiveShape(shape)) {
      const x11 = shape;
      return x11
    } else if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
      const x12 = shape;
      return this.canonicalShape__p2__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(x12)
    } else {
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  expandArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_plugins_domain_shapes_models_ArrayShape(array) {
    this.expandInherits__Lamf_core_model_domain_Shape__V(array);
    this.expandLogicalConstraints__Lamf_core_model_domain_Shape__V(array);
    const oldItems = array.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($m_s_Option$().apply__O__s_Option(oldItems).isDefined__Z()) {
      array.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(array.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)), oldItems.annotations$1)
    };
    return array
  };
  canonicalMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_core_model_domain_Shape(matrix) {
    this.canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(matrix);
    const newItems = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(matrix.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
    matrix.fields$2.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_Lamf_plugins_domain_shapes_models_UnionShape(newItems)) {
      const x2 = newItems;
      const jsx$2 = x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, matrix$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$1)) {
            const x2$1 = x0$1;
            const recursionErrorHandler = new $c_s_Some().init___O($this.errorHandler$2);
            const withRecursionBase = $m_s_None$();
            const traversed = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            const this$1 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(matrix$1, recursionErrorHandler, withRecursionBase, traversed);
            const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, x2$1)
          } else {
            const recursionErrorHandler$1 = new $c_s_Some().init___O($this.errorHandler$2);
            const withRecursionBase$1 = $m_s_None$();
            const traversed$1 = $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
            const this$2 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(matrix$1, recursionErrorHandler$1, withRecursionBase$1, traversed$1);
            const this$3 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$2.fields$2, this$2.annotations$2);
            const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$3, field$1, x0$1)
          }
        })
      })(this, matrix));
      const this$4 = $m_sc_Seq$();
      const newUnionItems = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(x2, field$2, newUnionItems);
      const x1$2 = $m_s_Option$().apply__O__s_Option(matrix.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1));
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const name = x2$2.value$2;
        const name$1 = name.value$1.toString__T();
        const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x2, field$3, name$1)
      } else {
        return x2
      }
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(newItems)) {
      const x3 = newItems;
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(matrix, field$4, x3)
    } else {
      const this$5 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(matrix.fields$2, matrix.annotations$2);
      const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field$5, newItems)
    }
  };
  expandLogicalConstraints__Lamf_core_model_domain_Shape__V(shape) {
    let oldLogicalConstraints = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
    if ($m_s_Option$().apply__O__s_Option(oldLogicalConstraints).isDefined__Z()) {
      const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2$2) {
          const shape$2 = shape$2$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$2)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newLogicalConstraints = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().And$1;
      const annotations = oldLogicalConstraints.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field, newLogicalConstraints, annotations)
    };
    oldLogicalConstraints = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
    if ($m_s_Option$().apply__O__s_Option(oldLogicalConstraints).isDefined__Z()) {
      const jsx$4 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(shape$3$2) {
          const shape$3 = shape$3$2;
          return this$2.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$3)
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      const newLogicalConstraints$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
      const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Or$1;
      const annotations$1 = oldLogicalConstraints.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$1, newLogicalConstraints$2, annotations$1)
    };
    oldLogicalConstraints = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
    if ($m_s_Option$().apply__O__s_Option(oldLogicalConstraints).isDefined__Z()) {
      const jsx$6 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(shape$4$2) {
          const shape$4 = shape$4$2;
          return this$3$1.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$4)
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      const newLogicalConstraints$3 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$4.ReusableCBFInstance$2);
      const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1;
      const annotations$2 = oldLogicalConstraints.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$2, newLogicalConstraints$3, annotations$2)
    };
    const notConstraint = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1);
    if ($m_s_Option$().apply__O__s_Option(notConstraint).isDefined__Z()) {
      const newLogicalConstraint = this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1));
      const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Not$1;
      const annotations$3 = notConstraint.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$3, newLogicalConstraint, annotations$3)
    }
  };
  canonicalUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(union) {
    if (union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z()) {
      return this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(union)
    } else {
      const anyOfAcc = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, anyOfAcc$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const x1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
          if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x1)) {
            const x2 = x1;
            x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, anyOfAcc$1$1) {
              return (function(e$2) {
                const e = e$2;
                return anyOfAcc$1$1.$$plus$eq__O__scm_ListBuffer(e)
              })
            })($this, anyOfAcc$1)));
            return (void 0)
          } else if ((x1 !== null)) {
            return anyOfAcc$1.$$plus$eq__O__scm_ListBuffer(x1)
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        })
      })(this, anyOfAcc)));
      const x1$1 = $m_s_Option$().apply__O__s_Option(union.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1));
      let anyOfAnnotations;
      if ($is_s_Some(x1$1)) {
        const x2$1 = x1$1;
        const anyOf = x2$1.value$2;
        anyOfAnnotations = anyOf.annotations$1
      } else {
        anyOfAnnotations = new $c_Lamf_core_parser_Annotations().init___()
      };
      union.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(anyOfAcc, new $c_Lamf_core_parser_Annotations().init___()), anyOfAnnotations);
      return union
    }
  };
  minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseShapeOrig, superShape) {
    return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this, baseShapeOrig, superShape)
  };
  expandTuple__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_plugins_domain_shapes_models_TupleShape(tuple) {
    this.expandLogicalConstraints__Lamf_core_model_domain_Shape__V(tuple);
    const oldItems = tuple.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
    if ($m_s_Option$().apply__O__s_Option(oldItems).isDefined__Z()) {
      const jsx$2 = tuple.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newItemShapes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2;
      const annotations = oldItems.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(tuple, field, newItemShapes, annotations)
    };
    return tuple
  };
  canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(shape) {
    let oldLogicalConstraints = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
    if ($m_s_Option$().apply__O__s_Option(oldLogicalConstraints).isDefined__Z()) {
      const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2$2) {
          const shape$2 = shape$2$2;
          return $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$2)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newLogicalConstraints = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().And$1;
      const annotations = oldLogicalConstraints.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field, newLogicalConstraints, annotations)
    };
    oldLogicalConstraints = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
    if ($m_s_Option$().apply__O__s_Option(oldLogicalConstraints).isDefined__Z()) {
      const jsx$4 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(shape$3$2) {
          const shape$3 = shape$3$2;
          return this$2.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$3)
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      const newLogicalConstraints$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
      const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Or$1;
      const annotations$1 = oldLogicalConstraints.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$1, newLogicalConstraints$2, annotations$1)
    };
    oldLogicalConstraints = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
    if ($m_s_Option$().apply__O__s_Option(oldLogicalConstraints).isDefined__Z()) {
      const jsx$6 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(shape$4$2) {
          const shape$4 = shape$4$2;
          return this$3$1.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape$4)
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      const newLogicalConstraints$3 = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$4.ReusableCBFInstance$2);
      const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1;
      const annotations$2 = oldLogicalConstraints.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$2, newLogicalConstraints$3, annotations$2)
    };
    const notConstraint = shape.fields__Lamf_core_parser_Fields().getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1);
    if ($m_s_Option$().apply__O__s_Option(notConstraint).isDefined__Z()) {
      const newLogicalConstraint = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1));
      const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Not$1;
      const annotations$3 = notConstraint.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$3, newLogicalConstraint, annotations$3)
    }
  };
  expandNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_plugins_domain_shapes_models_NodeShape(node) {
    const oldProperties = node.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ($m_s_Option$().apply__O__s_Option(oldProperties).isDefined__Z()) {
      const jsx$2 = node.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newProperties = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
      const annotations = oldProperties.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(node, field, newProperties, annotations)
    };
    this.expandInherits__Lamf_core_model_domain_Shape__V(node);
    this.expandLogicalConstraints__Lamf_core_model_domain_Shape__V(node);
    const x1 = node.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      node.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1, entry.value$1.value$1, entry.value$1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___()))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(false, new $c_Lamf_core_parser_Annotations().init___());
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(node, field$1, value, annotations$1)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return node
  };
  resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(model) {
    const x1 = this.profile$2;
    return (($m_Lamf_ProfileNames$().RAML08$1 === x1) ? model : model.transform__F1__F2__Lamf_core_model_document_BaseUnit(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(element$2) {
        const element = element$2;
        return $this.findShapesPredicate__Lamf_core_model_domain_DomainElement__Z(element)
      })
    })(this)), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
      return (function(element$3$2, isCycle$2) {
        const element$3 = element$3$2;
        const isCycle = (!(!isCycle$2));
        return this$2.transform__Lamf_core_model_domain_DomainElement__Z__s_Option(element$3, isCycle)
      })
    })(this))))
  };
  expandMatrix__Lamf_plugins_domain_shapes_models_MatrixShape__Lamf_plugins_domain_shapes_models_MatrixShape(matrix) {
    this.expandLogicalConstraints__Lamf_core_model_domain_Shape__V(matrix);
    const oldItems = matrix.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$().Items$1);
    if ($m_s_Option$().apply__O__s_Option(oldItems).isDefined__Z()) {
      matrix.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$().Items$1, this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(matrix.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)), oldItems.annotations$1)
    };
    return matrix
  };
  canonicalArray__Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_model_domain_Shape(array) {
    this.canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(array);
    if (array.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z()) {
      return this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(array)
    } else {
      const this$1 = $m_s_Option$().apply__O__s_Option(array.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
      if (this$1.isEmpty__Z()) {
        return array
      } else {
        const arg1 = this$1.get__O();
        const i = arg1;
        const newItems = this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(i);
        array.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
        array.fields$2.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
        return ($is_Lamf_plugins_domain_shapes_models_ArrayShape(newItems) ? (array.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, newItems, new $c_Lamf_core_parser_Annotations().init___()), new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(array.fields$2, array.annotations$2)) : (array.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1, newItems, new $c_Lamf_core_parser_Annotations().init___()), array))
      }
    }
  };
  canonicalProperty__Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_model_domain_Shape(property) {
    property.fields$2.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1, this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1)), property.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).annotations$1);
    return property
  };
  expandUnion__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_model_domain_Shape(union) {
    this.expandInherits__Lamf_core_model_domain_Shape__V(union);
    const oldAnyOf = union.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    if ($m_s_Option$().apply__O__s_Option(oldAnyOf).isDefined__Z()) {
      const jsx$2 = union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          return $this.expand__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape)
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const newAnyOf = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      const annotations = oldAnyOf.annotations$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(union, field, newAnyOf, annotations)
    } else if (($m_s_Option$().apply__O__s_Option(union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1)).isEmpty__Z() || union.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).isEmpty__Z())) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Union shape with missing anyof: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([union]))))
    };
    return union
  };
  canonicalNode__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_model_domain_Shape(node) {
    this.canonicalLogicalConstraints__Lamf_core_model_domain_Shape__V(node);
    const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
    $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(node, annotation);
    if (node.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z()) {
      return this.canonicalInheritance__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(node)
    } else {
      const jsx$2 = node.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(propertyShape$2) {
          const propertyShape = propertyShape$2;
          const x1 = $this.canonical__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(propertyShape);
          if ($is_Lamf_core_model_domain_extensions_PropertyShape(x1)) {
            const x2 = x1;
            return x2
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Resolution error: Expecting property shape, found ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
          }
        })
      })(this));
      const this$1 = $m_sc_Seq$();
      const canonicalProperties = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
      const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
      return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(node, field, canonicalProperties)
    }
  };
}
const $d_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage: 0
}, false, "amf.plugins.domain.shapes.resolution.stages.ShapeNormalizationStage", {
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm: 1,
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation: 1
});
$c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage.prototype.$classData = $d_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage;
class $c_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$ extends $c_O {
  constructor() {
    super();
    this.TemplateVariable$1 = null;
    this.LinkExpression$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.TemplateVariable$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "variable"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.LinkExpression$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "linkExpression"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "IriTemplateMapping");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$3 = this.TemplateVariable$1;
    const x$2 = this.LinkExpression$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_IriTemplateMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.IriTemplateMappingModel$", {
  Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Name$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "License");
    const this$7 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$3 = this.Url$1;
    const x$2 = this.Name$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_License().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_LicenseModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.LicenseModel$", {
  Lamf_plugins_domain_webapi_metamodel_LicenseModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_LicenseModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_LicenseModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_LicenseModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Name$1 = null;
    this.Email$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Email$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "email"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Organization");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Url$1, this.Name$1, this.Email$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Organization().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_OrganizationModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.OrganizationModel$", {
  Lamf_plugins_domain_webapi_metamodel_OrganizationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_RequestModel$ extends $c_O {
  constructor() {
    super();
    this.Description$1 = null;
    this.Required$1 = null;
    this.QueryParameters$1 = null;
    this.Headers$1 = null;
    this.Payloads$1 = null;
    this.QueryString$1 = null;
    this.UriParameters$1 = null;
    this.CookieParameters$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "description"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Required$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "required"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "parameter"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "header"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "payload"), true);
    const jsx$6 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryString$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "queryString"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.UriParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "uriParameter"), true);
    const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.CookieParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "cookieParameter"), true);
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "Request");
    const this$19 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$19);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Description$1, this.Required$1, this.QueryParameters$1, this.Headers$1, this.Payloads$1, this.QueryString$1, this.UriParameters$1, this.CookieParameters$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Request().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_RequestModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.RequestModel$", {
  Lamf_plugins_domain_webapi_metamodel_RequestModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_RequestModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_RequestModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_RequestModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_RequestModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_RequestModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_ServerModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Description$1 = null;
    this.Variables$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_ServerModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Variables$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "variable"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Server");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Url$1, this.Description$1, this.Variables$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_ServerModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_ServerModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.ServerModel$", {
  Lamf_plugins_domain_webapi_metamodel_ServerModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_ServerModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_ServerModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_ServerModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_ServerModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_ServerModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_ServerModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_ServerModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_TagModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.Documentation$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_TagModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    const jsx$3 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Documentation$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "externalDocs"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Tag");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1, this.Documentation$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Tag().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_TagModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_TagModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.TagModel$", {
  Lamf_plugins_domain_webapi_metamodel_TagModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_TagModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_TagModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_TagModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_TagModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_TagModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_TagModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_TagModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_TagModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.Servers$1 = null;
    this.Accepts$1 = null;
    this.ContentType$1 = null;
    this.Schemes$1 = null;
    this.Version$1 = null;
    this.TermsOfService$1 = null;
    this.Provider$1 = null;
    this.License$1 = null;
    this.Documentations$1 = null;
    this.EndPoints$1 = null;
    this.Security$1 = null;
    this.Tags$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Servers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "server"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Accepts$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "accepts"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ContentType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "contentType"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schemes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "scheme"), true);
    const jsx$7 = $m_Lamf_core_metamodel_Type$Str$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Version$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "version"), true);
    const jsx$8 = $m_Lamf_core_metamodel_Type$Str$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.TermsOfService$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "termsOfService"), true);
    const jsx$9 = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Provider$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "provider"), true);
    const jsx$10 = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.License$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "license"), true);
    const jsx$11 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$());
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Documentations$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "documentation"), true);
    const jsx$12 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$());
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.EndPoints$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "endpoint"), true);
    const jsx$13 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$());
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Security$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$13, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "security"), true);
    const jsx$14 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_TagModel$());
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Tags$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$14, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "tag"), true);
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "WebAPI");
    const this$31 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, "RootDomainElement");
    const this$33 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$34 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$33);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$34);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1, this.Servers$1, this.Accepts$1, this.ContentType$1, this.Schemes$1, this.Version$1, this.TermsOfService$1, this.Provider$1, this.License$1, this.Documentations$1, this.EndPoints$1, this.Security$1, this.Tags$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_WebApi().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_WebApiModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.WebApiModel$", {
  Lamf_plugins_domain_webapi_metamodel_WebApiModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_WebApiModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_WebApiModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_WebApiModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Scope")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.ScopeModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$
});
class $c_Lamf_plugins_domain_webapi_models_EndPoint extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withServer__T__Lamf_plugins_domain_webapi_models_Server(url) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, url);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Servers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$2 = this$1.option$1;
    const str = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const this$4 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$5 = this$4.platform$1;
    const url = this$4.str$1;
    return ("/end-points/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$5, url))
  };
  withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$2, result);
    return result
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  traits__sc_Seq() {
    const jsx$2 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1().init___Lamf_plugins_domain_webapi_models_EndPoint(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  resourceType__s_Option() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const pf = new $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1().init___Lamf_plugins_domain_webapi_models_EndPoint(this);
    return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf)
  };
  withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, method);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  relativePath__T() {
    const this$1 = this.parent__s_Option();
    let this$8;
    if (this$1.isEmpty__Z()) {
      this$8 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$2 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
      const this$3 = this$2.option$1;
      const x = (this$3.isEmpty__Z() ? null : this$3.get__O());
      const this$7 = new $c_sci_StringOps().init___T(x);
      const this$5 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
      const this$6 = this$5.option$1;
      const prefix = (this$6.isEmpty__Z() ? null : this$6.get__O());
      this$8 = new $c_s_Some().init___O($f_sci_StringLike__stripPrefix__T__T(this$7, prefix))
    };
    if (this$8.isEmpty__Z()) {
      const this$9 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
      const this$10 = this$9.option$1;
      return (this$10.isEmpty__Z() ? null : this$10.get__O())
    } else {
      return this$8.get__O()
    }
  };
  parent__s_Option() {
    const this$1 = this.annotations$1.find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint.getClassOf());
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      return new $c_s_Some().init___O(x$1.parent$1)
    }
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
  withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    if ((!mediaType.isEmpty__Z())) {
      const arg1 = mediaType.get__O();
      const mediaType$2 = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field, mediaType$2)
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
}
const $is_Lamf_plugins_domain_webapi_models_EndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_EndPoint)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_EndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_EndPoint)))
});
const $d_Lamf_plugins_domain_webapi_models_EndPoint = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_EndPoint: 0
}, false, "amf.plugins.domain.webapi.models.EndPoint", {
  Lamf_plugins_domain_webapi_models_EndPoint: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement: 1
});
$c_Lamf_plugins_domain_webapi_models_EndPoint.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_EndPoint;
class $c_Lamf_plugins_domain_webapi_models_Response extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  cloneResponse__T__Lamf_plugins_domain_webapi_models_Response(parent) {
    const annotations = this.annotations$1;
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$3 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
    const this$4 = this$3.option$1;
    const name = (this$4.isEmpty__Z() ? null : this$4.get__O());
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name);
    const cloned = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$6, parent);
    const this$8 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x2 = x1$2;
            const jsx$2 = x2.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, cloned$1$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(cloned$1$1.id$1)
                } else if ($is_Lamf_plugins_domain_webapi_models_Payload(x0$2)) {
                  const x3 = x0$2;
                  return x3.clonePayload__T__Lamf_plugins_domain_webapi_models_Payload(cloned$1$1.id$1)
                } else {
                  return x0$2
                }
              })
            })($this, cloned$1));
            const this$7 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2), x2.annotations$1)
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$8.fs$1.foreach__F1__V(fn);
    return cloned
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-response" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
  withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    if ((!mediaType.isEmpty__Z())) {
      const arg1 = mediaType.get__O();
      const mediaType$2 = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field, mediaType$2))
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
}
const $is_Lamf_plugins_domain_webapi_models_Response = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Response)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Response = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Response)))
});
const $d_Lamf_plugins_domain_webapi_models_Response = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Response: 0
}, false, "amf.plugins.domain.webapi.models.Response", {
  Lamf_plugins_domain_webapi_models_Response: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1
});
$c_Lamf_plugins_domain_webapi_models_Response.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Response;
class $c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted extends $c_O {
  constructor() {
    super();
    this.adopted$1 = null
  };
  productPrefix__T() {
    return "Adopted"
  };
  init___() {
    this.adopted$1 = $m_sci_Nil$();
    return this
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  notYet__T__Z(id) {
    return (!this.adopted$1.contains__O__Z(id))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$plus$eq__T__Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted(id) {
    const jsx$1 = this.adopted$1;
    const this$1 = $m_sc_Seq$();
    this.adopted$1 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(id, this$1.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted)))
});
const $d_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DomainElementMerging$Adopted", {
  Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DomainElementMerging$Adopted;
class $c_Lamf_plugins_features_validation_ParserSideValidationPlugin extends $c_O {
  constructor() {
    super();
    this.ID$1 = null;
    this.aggregatedReport$1 = null;
    this.enabled$1 = false
  };
  reset__V() {
    this.enabled$1 = true;
    this.aggregatedReport$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())
  };
  init___() {
    this.ID$1 = "Parser side AMF Validation";
    this.aggregatedReport$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.enabled$1 = true;
    return this
  };
  reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, validationId, targetNode, targetProperty, message, position, parserRun) {
    const validationError = new $c_Lamf_core_validation_AMFValidationResult().init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, this);
    if (this.enabled$1) {
      const this$2 = this.aggregatedReport$1;
      const x1 = this$2.get__O__s_Option(parserRun);
      let report;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const v = x2.value$2;
        report = v
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        report = $m_sci_Nil$()
      };
      const jsx$2 = report;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationError]));
      const this$3 = $m_sci_List$();
      report = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
      const jsx$3 = this.aggregatedReport$1;
      const y = report;
      this.aggregatedReport$1 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(parserRun, y))
    } else if ((level === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(validationError.toString__T()))
    }
  };
  loadValidationProfile__T__s_concurrent_Future(validationProfilePath) {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.ID__T()
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  ID__T() {
    return this.ID$1
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle) {
    const validations = new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(this.parserSideValidationsProfile__T__Lamf_core_validation_core_ValidationProfile(profileName));
    const x1 = model.parserRun__s_Option();
    let results;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const runId = (x2.value$2 | 0);
      const this$7 = this.aggregatedReport$1;
      const x1$1 = this$7.get__O__s_Option(runId);
      let this$9;
      if ($is_s_Some(x1$1)) {
        const x2$1 = x1$1;
        const v = x2$1.value$2;
        this$9 = v
      } else {
        const x = $m_s_None$();
        if ((!(x === x1$1))) {
          throw new $c_s_MatchError().init___O(x1$1)
        };
        this$9 = $m_sci_Nil$()
      };
      const f = (function(this$2$1, messageStyle$1, validations$1) {
        return (function(r$2) {
          const r = r$2;
          return $f_Lamf_core_validation_ValidationResultProcessor__processAggregatedResult__Lamf_core_validation_AMFValidationResult__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_AMFValidationResult(this$2$1, r, messageStyle$1, validations$1)
        })
      })(this, messageStyle, validations);
      const this$8 = $m_sci_List$();
      const bf = this$8.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((this$9 === $m_sci_Nil$())) {
          results = $m_sci_Nil$()
        } else {
          const arg1 = this$9.head__O();
          const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          let t = h;
          let rest = this$9.tail__O();
          while ((rest !== $m_sci_Nil$())) {
            const arg1$1 = rest.head__O();
            const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            rest = rest.tail__O()
          };
          results = h
        }
      } else {
        const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$9, bf);
        let these = this$9;
        while ((!these.isEmpty__Z())) {
          const arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          these = these.tail__O()
        };
        results = b.result__O()
      }
    } else {
      results = $m_sci_Nil$()
    };
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$3$1, model$1, profileName$1, results$1) {
      return (function() {
        let jsx$1;
        inlinereturn$28: {
          let these$1 = results$1;
          while ((!these$1.isEmpty__Z())) {
            const arg1$3 = these$1.head__O();
            const x$4 = arg1$3;
            if ((x$4.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
              jsx$1 = true;
              break inlinereturn$28
            };
            these$1 = these$1.tail__O()
          };
          jsx$1 = false
        };
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$1), model$1.id__T(), profileName$1, results$1)
      })
    })(this, model, profileName, results)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  parserSideValidationsProfile__T__Lamf_core_validation_core_ValidationProfile(profile) {
    const this$1 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const v = arg1;
      const this$3 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v.id__T()).get__O__s_Option(profile);
      const x = (this$3.isEmpty__Z() ? new $c_T2().init___O__O($m_Lamf_ProfileNames$().AMF$1, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1) : this$3.get__O());
      const x$2 = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
      if ((((x === null) ? (x$2 === null) : $objectEquals(x, x$2)) !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    const this$5 = b.toList__sci_List();
    const f = (function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.name$1
      })
    })(this);
    const this$4 = $m_sci_List$();
    const bf = this$4.ReusableCBFInstance$2;
    let violationParserSideValidations;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$5 === $m_sci_Nil$())) {
        violationParserSideValidations = $m_sci_Nil$()
      } else {
        const arg1$1 = this$5.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
        let t = h;
        let rest = this$5.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$2 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        violationParserSideValidations = h
      }
    } else {
      const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$5, bf);
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$3 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$3));
        these$1 = these$1.tail__O()
      };
      violationParserSideValidations = b$1.result__O()
    };
    const this$6 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sci_List$();
    const b$2 = new $c_scm_ListBuffer().init___();
    let these$2 = this$6;
    while ((!these$2.isEmpty__Z())) {
      const arg1$4 = these$2.head__O();
      const v$3 = arg1$4;
      const this$8 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$3.id__T()).get__O__s_Option(profile);
      const x$3 = (this$8.isEmpty__Z() ? new $c_T2().init___O__O($m_Lamf_ProfileNames$().AMF$1, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1) : this$8.get__O());
      const x$2$1 = $m_Lamf_core_validation_SeverityLevels$().INFO$1;
      if ((((x$3 === null) ? (x$2$1 === null) : $objectEquals(x$3, x$2$1)) !== false)) {
        b$2.$$plus$eq__O__scm_ListBuffer(arg1$4)
      };
      these$2 = these$2.tail__O()
    };
    const this$10 = b$2.toList__sci_List();
    const f$1 = (function(this$4$1) {
      return (function(x$2$2) {
        const x$2$3 = x$2$2;
        return x$2$3.name$1
      })
    })(this);
    const this$9 = $m_sci_List$();
    const bf$1 = this$9.ReusableCBFInstance$2;
    let infoParserSideValidations;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$10 === $m_sci_Nil$())) {
        infoParserSideValidations = $m_sci_Nil$()
      } else {
        const arg1$5 = this$10.head__O();
        const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$5), $m_sci_Nil$());
        let t$1 = h$1;
        let rest$1 = this$10.tail__O();
        while ((rest$1 !== $m_sci_Nil$())) {
          const arg1$6 = rest$1.head__O();
          const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$6), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          rest$1 = rest$1.tail__O()
        };
        infoParserSideValidations = h$1
      }
    } else {
      const b$3 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$10, bf$1);
      let these$3 = this$10;
      while ((!these$3.isEmpty__Z())) {
        const arg1$7 = these$3.head__O();
        b$3.$$plus$eq__O__scm_Builder(f$1(arg1$7));
        these$3 = these$3.tail__O()
      };
      infoParserSideValidations = b$3.result__O()
    };
    const this$11 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sci_List$();
    const b$4 = new $c_scm_ListBuffer().init___();
    let these$4 = this$11;
    while ((!these$4.isEmpty__Z())) {
      const arg1$8 = these$4.head__O();
      const v$4 = arg1$8;
      const this$13 = $m_Lamf_plugins_features_validation_ParserSideValidations$().levels$1.apply__O__O(v$4.id__T()).get__O__s_Option(profile);
      const x$4 = (this$13.isEmpty__Z() ? new $c_T2().init___O__O($m_Lamf_ProfileNames$().AMF$1, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1) : this$13.get__O());
      const x$2$4 = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
      if ((((x$4 === null) ? (x$2$4 === null) : $objectEquals(x$4, x$2$4)) !== false)) {
        b$4.$$plus$eq__O__scm_ListBuffer(arg1$8)
      };
      these$4 = these$4.tail__O()
    };
    const this$15 = b$4.toList__sci_List();
    const f$2 = (function(this$6$1) {
      return (function(x$3$2) {
        const x$3$1 = x$3$2;
        return x$3$1.name$1
      })
    })(this);
    const this$14 = $m_sci_List$();
    const bf$2 = this$14.ReusableCBFInstance$2;
    let warningParserSideValidations;
    if ((bf$2 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$15 === $m_sci_Nil$())) {
        warningParserSideValidations = $m_sci_Nil$()
      } else {
        const arg1$9 = this$15.head__O();
        const h$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$9), $m_sci_Nil$());
        let t$2 = h$2;
        let rest$2 = this$15.tail__O();
        while ((rest$2 !== $m_sci_Nil$())) {
          const arg1$10 = rest$2.head__O();
          const nx$2 = new $c_sci_$colon$colon().init___O__sci_List(f$2(arg1$10), $m_sci_Nil$());
          t$2.tl$5 = nx$2;
          t$2 = nx$2;
          rest$2 = rest$2.tail__O()
        };
        warningParserSideValidations = h$2
      }
    } else {
      const b$5 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$15, bf$2);
      let these$5 = this$15;
      while ((!these$5.isEmpty__Z())) {
        const arg1$11 = these$5.head__O();
        b$5.$$plus$eq__O__scm_Builder(f$2(arg1$11));
        these$5 = these$5.tail__O()
      };
      warningParserSideValidations = b$5.result__O()
    };
    const x$5 = this.ID__T();
    const x$6 = $m_s_None$();
    const x$10 = $m_Lamf_plugins_features_validation_ParserSideValidations$().validations__sci_List();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$19 = new $c_scm_ListBuffer().init___();
    const x$11 = this$19.toList__sci_List();
    const x$12 = new $c_scm_HashMap().init___();
    return new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(x$5, x$6, violationParserSideValidations, infoParserSideValidations, warningParserSideValidations, x$11, x$10, x$12)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        const x1 = $m_Lamf_core_services_RuntimeValidator$().validatorOption$1;
        if ((!$is_s_Some(x1))) {
          const x = $m_s_None$();
          if ((x === x1)) {
            $m_Lamf_core_services_RuntimeValidator$().register__Lamf_core_services_RuntimeValidator__V(new $c_Lamf_plugins_features_validation_ParserSideValidationPlugin().init___())
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        };
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(model, validations, messageStyle) {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return new $c_Lamf_plugins_features_validation_ParserSideValidationPlugin$$anon$1().init___Lamf_plugins_features_validation_ParserSideValidationPlugin($this)
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
}
const $d_Lamf_plugins_features_validation_ParserSideValidationPlugin = new $TypeData().initClass({
  Lamf_plugins_features_validation_ParserSideValidationPlugin: 0
}, false, "amf.plugins.features.validation.ParserSideValidationPlugin", {
  Lamf_plugins_features_validation_ParserSideValidationPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFFeaturePlugin: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_services_RuntimeValidator: 1,
  Lamf_core_validation_ValidationResultProcessor: 1
});
$c_Lamf_plugins_features_validation_ParserSideValidationPlugin.prototype.$classData = $d_Lamf_plugins_features_validation_ParserSideValidationPlugin;
class $c_Ljava_nio_BufferOverflowException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $is_Ljava_nio_BufferOverflowException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_BufferOverflowException)))
});
const $isArrayOf_Ljava_nio_BufferOverflowException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_BufferOverflowException)))
});
const $d_Ljava_nio_BufferOverflowException = new $TypeData().initClass({
  Ljava_nio_BufferOverflowException: 0
}, false, "java.nio.BufferOverflowException", {
  Ljava_nio_BufferOverflowException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_BufferOverflowException.prototype.$classData = $d_Ljava_nio_BufferOverflowException;
class $c_Ljava_nio_BufferUnderflowException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $is_Ljava_nio_BufferUnderflowException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_BufferUnderflowException)))
});
const $isArrayOf_Ljava_nio_BufferUnderflowException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_BufferUnderflowException)))
});
const $d_Ljava_nio_BufferUnderflowException = new $TypeData().initClass({
  Ljava_nio_BufferUnderflowException: 0
}, false, "java.nio.BufferUnderflowException", {
  Ljava_nio_BufferUnderflowException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_BufferUnderflowException.prototype.$classData = $d_Ljava_nio_BufferUnderflowException;
class $c_Ljava_nio_charset_CharacterCodingException extends $c_Ljava_io_IOException {
}
class $c_Lorg_mulesoft_common_io_JsAsyncFile extends $c_Lorg_mulesoft_common_io_JsBaseFile {
  org$mulesoft$common$io$JsAsyncFile$$$anonfun$write$1__Lorg_mulesoft_common_js_SysError__s_concurrent_Promise__O(x$3, promise$5) {
    if ((x$3 === null)) {
      return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$5, (void 0))
    } else {
      const cause = new $c_Ljava_io_IOException().init___T(x$3.message);
      return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$5, cause)
    }
  };
  read__T__s_concurrent_Future(encoding) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    $i_fs.readFile(this.path$1, encoding, (function(arg$outer, promise$4) {
      return (function(arg1$2, arg2$2) {
        return arg$outer.org$mulesoft$common$io$JsAsyncFile$$$anonfun$read$1__Lorg_mulesoft_common_js_SysError__O__s_concurrent_Promise__O(arg1$2, arg2$2, promise$4)
      })
    })(this, promise));
    return promise
  };
  init___Lorg_mulesoft_common_io_JsServerFileSystem__T(fs, path) {
    $c_Lorg_mulesoft_common_io_JsBaseFile.prototype.init___Lorg_mulesoft_common_io_JsServerFileSystem__T.call(this, fs, path);
    return this
  };
  org$mulesoft$common$io$JsAsyncFile$$$anonfun$read$1__Lorg_mulesoft_common_js_SysError__O__s_concurrent_Promise__O(err, data, promise$4) {
    if ((err === null)) {
      const value = data;
      return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$4, value)
    } else {
      const cause = new $c_Ljava_io_IOException().init___T(err.message);
      return $f_s_concurrent_Promise__failure__jl_Throwable__s_concurrent_Promise(promise$4, cause)
    }
  };
  write__jl_CharSequence__T__s_concurrent_Future(data, encoding) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    $i_fs.writeFile(this.path$1, $objectToString(data), encoding, (function(arg$outer, promise$5) {
      return (function(arg1$2) {
        return arg$outer.org$mulesoft$common$io$JsAsyncFile$$$anonfun$write$1__Lorg_mulesoft_common_js_SysError__s_concurrent_Promise__O(arg1$2, promise$5)
      })
    })(this, promise));
    return promise
  };
}
const $d_Lorg_mulesoft_common_io_JsAsyncFile = new $TypeData().initClass({
  Lorg_mulesoft_common_io_JsAsyncFile: 0
}, false, "org.mulesoft.common.io.JsAsyncFile", {
  Lorg_mulesoft_common_io_JsAsyncFile: 1,
  Lorg_mulesoft_common_io_JsBaseFile: 1,
  O: 1,
  Lorg_mulesoft_common_io_File: 1,
  Lorg_mulesoft_common_io_AsyncFile: 1,
  Lorg_mulesoft_common_io_FileProto: 1
});
$c_Lorg_mulesoft_common_io_JsAsyncFile.prototype.$classData = $d_Lorg_mulesoft_common_io_JsAsyncFile;
class $c_Lorg_mulesoft_common_time_SimpleDateTime extends $c_O {
  constructor() {
    super();
    this.year$1 = 0;
    this.month$1 = 0;
    this.day$1 = 0;
    this.timeOfDay$1 = null;
    this.zoneOffset$1 = null
  };
  productPrefix__T() {
    return "SimpleDateTime"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_common_time_SimpleDateTime(x$1)) {
      const SimpleDateTime$1 = x$1;
      let jsx$1;
      if ((((this.year$1 === SimpleDateTime$1.year$1) && (this.month$1 === SimpleDateTime$1.month$1)) && (this.day$1 === SimpleDateTime$1.day$1))) {
        const x = this.timeOfDay$1;
        const x$2 = SimpleDateTime$1.timeOfDay$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.zoneOffset$1;
        const x$4 = SimpleDateTime$1.zoneOffset$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.year$1;
        break
      }
      case 1: {
        return this.month$1;
        break
      }
      case 2: {
        return this.day$1;
        break
      }
      case 3: {
        return this.timeOfDay$1;
        break
      }
      case 4: {
        return this.zoneOffset$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___I__I__I__s_Option__s_Option(year, month, day, timeOfDay, zoneOffset) {
    this.year$1 = year;
    this.month$1 = month;
    this.day$1 = day;
    this.timeOfDay$1 = timeOfDay;
    this.zoneOffset$1 = zoneOffset;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.year$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.month$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.day$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.timeOfDay$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.zoneOffset$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_common_time_SimpleDateTime = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_common_time_SimpleDateTime)))
});
const $isArrayOf_Lorg_mulesoft_common_time_SimpleDateTime = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_common_time_SimpleDateTime)))
});
const $d_Lorg_mulesoft_common_time_SimpleDateTime = new $TypeData().initClass({
  Lorg_mulesoft_common_time_SimpleDateTime: 0
}, false, "org.mulesoft.common.time.SimpleDateTime", {
  Lorg_mulesoft_common_time_SimpleDateTime: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_common_time_SimpleDateTime.prototype.$classData = $d_Lorg_mulesoft_common_time_SimpleDateTime;
class $c_Lorg_mulesoft_common_time_TimeOfDay extends $c_O {
  constructor() {
    super();
    this.hour$1 = 0;
    this.minute$1 = 0;
    this.second$1 = 0;
    this.nano$1 = 0
  };
  productPrefix__T() {
    return "TimeOfDay"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_common_time_TimeOfDay(x$1)) {
      const TimeOfDay$1 = x$1;
      return ((((this.hour$1 === TimeOfDay$1.hour$1) && (this.minute$1 === TimeOfDay$1.minute$1)) && (this.second$1 === TimeOfDay$1.second$1)) && (this.nano$1 === TimeOfDay$1.nano$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.hour$1;
        break
      }
      case 1: {
        return this.minute$1;
        break
      }
      case 2: {
        return this.second$1;
        break
      }
      case 3: {
        return this.nano$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___I__I__I__I(hour, minute, second, nano) {
    this.hour$1 = hour;
    this.minute$1 = minute;
    this.second$1 = second;
    this.nano$1 = nano;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.hour$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.minute$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.second$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.nano$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_common_time_TimeOfDay = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_common_time_TimeOfDay)))
});
const $isArrayOf_Lorg_mulesoft_common_time_TimeOfDay = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_common_time_TimeOfDay)))
});
const $d_Lorg_mulesoft_common_time_TimeOfDay = new $TypeData().initClass({
  Lorg_mulesoft_common_time_TimeOfDay: 0
}, false, "org.mulesoft.common.time.TimeOfDay", {
  Lorg_mulesoft_common_time_TimeOfDay: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_common_time_TimeOfDay.prototype.$classData = $d_Lorg_mulesoft_common_time_TimeOfDay;
class $c_Lorg_mulesoft_lexer_AstToken extends $c_O {
  constructor() {
    super();
    this.tokenType$1 = null;
    this.text$1 = null
  };
  productPrefix__T() {
    return "AstToken"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_AstToken(x$1)) {
      const AstToken$1 = x$1;
      const x = this.tokenType$1;
      const x$2 = AstToken$1.tokenType$1;
      if ((x === x$2)) {
        return (this.text$1 === AstToken$1.text$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tokenType$1;
        break
      }
      case 1: {
        return this.text$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " '", "'"]));
    const jsx$1 = this.tokenType$1;
    const str = this.text$1;
    return jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, $m_Lorg_mulesoft_common_core_package$Strings$().escapeJavaStyleString$extension__T__T__T(str, str)]))
  };
  init___Lorg_mulesoft_lexer_Token__T(tokenType, text) {
    this.tokenType$1 = tokenType;
    this.text$1 = text;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_lexer_AstToken = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_AstToken)))
});
const $isArrayOf_Lorg_mulesoft_lexer_AstToken = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_AstToken)))
});
const $d_Lorg_mulesoft_lexer_AstToken = new $TypeData().initClass({
  Lorg_mulesoft_lexer_AstToken: 0
}, false, "org.mulesoft.lexer.AstToken", {
  Lorg_mulesoft_lexer_AstToken: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_AstToken.prototype.$classData = $d_Lorg_mulesoft_lexer_AstToken;
class $c_Lorg_mulesoft_lexer_InputRange extends $c_O {
  constructor() {
    super();
    this.lineFrom$1 = 0;
    this.columnFrom$1 = 0;
    this.lineTo$1 = 0;
    this.columnTo$1 = 0
  };
  productPrefix__T() {
    return "InputRange"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_InputRange(x$1)) {
      const InputRange$1 = x$1;
      return ((((this.lineFrom$1 === InputRange$1.lineFrom$1) && (this.columnFrom$1 === InputRange$1.columnFrom$1)) && (this.lineTo$1 === InputRange$1.lineTo$1)) && (this.columnTo$1 === InputRange$1.columnTo$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.lineFrom$1;
        break
      }
      case 1: {
        return this.columnFrom$1;
        break
      }
      case 2: {
        return this.lineTo$1;
        break
      }
      case 3: {
        return this.columnTo$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  extent__Lorg_mulesoft_lexer_InputRange__Lorg_mulesoft_lexer_InputRange(other) {
    const first = (this.lessThan$1__p1__I__I__I__I__Z(this.lineFrom$1, other.lineFrom$1, this.columnFrom$1, other.columnFrom$1) ? this : other);
    const last = (this.lessThan$1__p1__I__I__I__I__Z(this.lineTo$1, other.lineTo$1, this.columnTo$1, other.columnTo$1) ? other : this);
    return $m_Lorg_mulesoft_lexer_InputRange$().apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange(first.lineFrom$1, first.columnFrom$1, last.lineTo$1, last.columnTo$1)
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["[", ",", "..", ",", "]"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.lineFrom$1, this.columnFrom$1, this.lineTo$1, this.columnTo$1]))
  };
  init___I__I__I__I(lineFrom, columnFrom, lineTo, columnTo) {
    this.lineFrom$1 = lineFrom;
    this.columnFrom$1 = columnFrom;
    this.lineTo$1 = lineTo;
    this.columnTo$1 = columnTo;
    return this
  };
  lessThan$1__p1__I__I__I__I__Z(l1, l2, c1, c2) {
    return ((l1 < l2) || ((l1 === l2) && (c1 < c2)))
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.lineFrom$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.columnFrom$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.lineTo$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.columnTo$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_lexer_InputRange = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_InputRange)))
});
const $isArrayOf_Lorg_mulesoft_lexer_InputRange = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_InputRange)))
});
const $d_Lorg_mulesoft_lexer_InputRange = new $TypeData().initClass({
  Lorg_mulesoft_lexer_InputRange: 0
}, false, "org.mulesoft.lexer.InputRange", {
  Lorg_mulesoft_lexer_InputRange: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_InputRange.prototype.$classData = $d_Lorg_mulesoft_lexer_InputRange;
class $c_Lorg_mulesoft_lexer_TokenData extends $c_O {
  constructor() {
    super();
    this.token$1 = null;
    this.range$1 = null;
    this.start$1 = 0;
    this.end$1 = 0
  };
  productPrefix__T() {
    return "TokenData"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_TokenData(x$1)) {
      const TokenData$1 = x$1;
      const x = this.token$1;
      const x$2 = TokenData$1.token$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.range$1;
        const x$4 = TokenData$1.range$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.start$1 === TokenData$1.start$1))) {
        return (this.end$1 === TokenData$1.end$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.token$1;
        break
      }
      case 1: {
        return this.range$1;
        break
      }
      case 2: {
        return this.start$1;
        break
      }
      case 3: {
        return this.end$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  rangeTo__Lorg_mulesoft_lexer_TokenData__Lorg_mulesoft_lexer_InputRange(to) {
    return $m_Lorg_mulesoft_lexer_InputRange$().apply__I__I__I__I__Lorg_mulesoft_lexer_InputRange(this.range$1.lineFrom$1, this.range$1.columnFrom$1, to.range$1.lineTo$1, to.range$1.columnTo$1)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.token$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.range$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.start$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.end$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_mulesoft_lexer_Token__Lorg_mulesoft_lexer_InputRange__I__I(token, range, start, end) {
    this.token$1 = token;
    this.range$1 = range;
    this.start$1 = start;
    this.end$1 = end;
    return this
  };
}
const $is_Lorg_mulesoft_lexer_TokenData = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_TokenData)))
});
const $isArrayOf_Lorg_mulesoft_lexer_TokenData = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_TokenData)))
});
const $d_Lorg_mulesoft_lexer_TokenData = new $TypeData().initClass({
  Lorg_mulesoft_lexer_TokenData: 0
}, false, "org.mulesoft.lexer.TokenData", {
  Lorg_mulesoft_lexer_TokenData: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_TokenData.prototype.$classData = $d_Lorg_mulesoft_lexer_TokenData;
class $c_Lorg_yaml_model_SyamlException extends $c_jl_RuntimeException {
}
const $is_Lorg_yaml_model_SyamlException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_SyamlException)))
});
const $isArrayOf_Lorg_yaml_model_SyamlException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_SyamlException)))
});
class $c_Lorg_yaml_model_YException extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.yError$4 = null
  };
  init___Lorg_yaml_model_YError(yError) {
    this.yError$4 = yError;
    const s = yError.error__T();
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_Lorg_yaml_model_YException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YException)))
});
const $isArrayOf_Lorg_yaml_model_YException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YException)))
});
const $d_Lorg_yaml_model_YException = new $TypeData().initClass({
  Lorg_yaml_model_YException: 0
}, false, "org.yaml.model.YException", {
  Lorg_yaml_model_YException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YException.prototype.$classData = $d_Lorg_yaml_model_YException;
class $c_Lorg_yaml_model_YNode$$anon$1 extends $c_Lorg_yaml_model_YNode {
  constructor() {
    super();
    this.v$1$4 = null;
    this.t$1$4 = null;
    this.a$1$4 = null
  };
  init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(v$1, t$1, a$1, cs$1) {
    this.v$1$4 = v$1;
    this.t$1$4 = t$1;
    this.a$1$4 = a$1;
    let jsx$1;
    if ((cs$1 === null)) {
      const jsx$2 = $m_s_Predef$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([v$1]);
      const len = (xs.array$6.length | 0);
      const array = $newArrayObject($d_Lorg_yaml_model_YValue.getArrayOf(), [len]);
      let elem$1 = 0;
      elem$1 = 0;
      const this$4 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(xs, 0, (xs.array$6.length | 0));
      while (this$4.hasNext__Z()) {
        const arg1 = this$4.next__O();
        array.u[elem$1] = arg1;
        elem$1 = ((1 + elem$1) | 0)
      };
      jsx$1 = jsx$2.wrapRefArray__AO__scm_WrappedArray(array)
    } else {
      jsx$1 = cs$1
    };
    $c_Lorg_yaml_model_YNode.prototype.init___sc_IndexedSeq.call(this, jsx$1);
    return this
  };
  tag__Lorg_yaml_model_YTag() {
    return this.t$1$4
  };
  anchor__s_Option() {
    return this.a$1$4
  };
  value__Lorg_yaml_model_YValue() {
    return this.v$1$4
  };
}
const $d_Lorg_yaml_model_YNode$$anon$1 = new $TypeData().initClass({
  Lorg_yaml_model_YNode$$anon$1: 0
}, false, "org.yaml.model.YNode$$anon$1", {
  Lorg_yaml_model_YNode$$anon$1: 1,
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode$$anon$1.prototype.$classData = $d_Lorg_yaml_model_YNode$$anon$1;
class $c_Lorg_yaml_model_YNode$Ref extends $c_Lorg_yaml_model_YNode {
}
const $is_Lorg_yaml_model_YNode$Ref = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode$Ref)))
});
const $isArrayOf_Lorg_yaml_model_YNode$Ref = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode$Ref)))
});
class $c_Lorg_yaml_render_YamlRender$ScalarIterator extends $c_O {
  constructor() {
    super();
    this.text$1 = null;
    this.c$1 = 0;
    this.current$1 = 0;
    this.until$1 = 0
  };
  productPrefix__T() {
    return "ScalarIterator"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_render_YamlRender$ScalarIterator(x$1)) {
      const ScalarIterator$1 = x$1;
      return (this.text$1 === ScalarIterator$1.text$1)
    } else {
      return false
    }
  };
  next__C() {
    if (this.isLast__Z()) {
      return 0
    } else {
      const x = this.text$1;
      const index = ((1 + this.c$1) | 0);
      return (65535 & (x.charCodeAt(index) | 0))
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  previous__C() {
    if (this.isFirst__Z()) {
      return 0
    } else {
      const x = this.text$1;
      const index = (((-1) + this.c$1) | 0);
      return (65535 & (x.charCodeAt(index) | 0))
    }
  };
  isLast__Z() {
    return (this.c$1 === this.until$1)
  };
  isFirst__Z() {
    return (this.c$1 === 0)
  };
  init___T(text) {
    this.text$1 = text;
    this.c$1 = 0;
    const index = this.c$1;
    this.current$1 = (65535 & (text.charCodeAt(index) | 0));
    this.until$1 = (((-1) + (text.length | 0)) | 0);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  advance__Z() {
    if ((!this.isLast__Z())) {
      this.c$1 = ((1 + this.c$1) | 0);
      const x = this.text$1;
      const index = this.c$1;
      this.current$1 = (65535 & (x.charCodeAt(index) | 0));
      return true
    } else {
      return false
    }
  };
}
const $is_Lorg_yaml_render_YamlRender$ScalarIterator = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_render_YamlRender$ScalarIterator)))
});
const $isArrayOf_Lorg_yaml_render_YamlRender$ScalarIterator = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_render_YamlRender$ScalarIterator)))
});
const $d_Lorg_yaml_render_YamlRender$ScalarIterator = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender$ScalarIterator: 0
}, false, "org.yaml.render.YamlRender$ScalarIterator", {
  Lorg_yaml_render_YamlRender$ScalarIterator: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_render_YamlRender$ScalarIterator.prototype.$classData = $d_Lorg_yaml_render_YamlRender$ScalarIterator;
class $c_jl_ArithmeticException extends $c_jl_RuntimeException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_ArithmeticException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ArithmeticException)))
});
const $isArrayOf_jl_ArithmeticException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ArithmeticException)))
});
const $d_jl_ArithmeticException = new $TypeData().initClass({
  jl_ArithmeticException: 0
}, false, "java.lang.ArithmeticException", {
  jl_ArithmeticException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArithmeticException.prototype.$classData = $d_jl_ArithmeticException;
const $is_jl_ClassCastException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ClassCastException)))
});
const $isArrayOf_jl_ClassCastException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ClassCastException)))
});
class $c_jl_IllegalArgumentException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_IllegalArgumentException = new $TypeData().initClass({
  jl_IllegalArgumentException: 0
}, false, "java.lang.IllegalArgumentException", {
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalArgumentException.prototype.$classData = $d_jl_IllegalArgumentException;
class $c_jl_IllegalStateException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
  init___T__jl_Throwable(s, e) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, e);
    return this
  };
}
const $d_jl_IllegalStateException = new $TypeData().initClass({
  jl_IllegalStateException: 0
}, false, "java.lang.IllegalStateException", {
  jl_IllegalStateException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalStateException.prototype.$classData = $d_jl_IllegalStateException;
class $c_jl_IndexOutOfBoundsException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_IndexOutOfBoundsException = new $TypeData().initClass({
  jl_IndexOutOfBoundsException: 0
}, false, "java.lang.IndexOutOfBoundsException", {
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IndexOutOfBoundsException.prototype.$classData = $d_jl_IndexOutOfBoundsException;
class $c_jl_NullPointerException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_NullPointerException = new $TypeData().initClass({
  jl_NullPointerException: 0
}, false, "java.lang.NullPointerException", {
  jl_NullPointerException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NullPointerException.prototype.$classData = $d_jl_NullPointerException;
class $c_jl_SecurityException extends $c_jl_RuntimeException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_SecurityException = new $TypeData().initClass({
  jl_SecurityException: 0
}, false, "java.lang.SecurityException", {
  jl_SecurityException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_SecurityException.prototype.$classData = $d_jl_SecurityException;
class $c_jl_UnsupportedOperationException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_UnsupportedOperationException = new $TypeData().initClass({
  jl_UnsupportedOperationException: 0
}, false, "java.lang.UnsupportedOperationException", {
  jl_UnsupportedOperationException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_UnsupportedOperationException.prototype.$classData = $d_jl_UnsupportedOperationException;
class $c_ju_NoSuchElementException extends $c_jl_RuntimeException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_ju_NoSuchElementException = new $TypeData().initClass({
  ju_NoSuchElementException: 0
}, false, "java.util.NoSuchElementException", {
  ju_NoSuchElementException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_NoSuchElementException.prototype.$classData = $d_ju_NoSuchElementException;
class $c_ju_concurrent_TimeUnit$$anon$1 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "NANOSECONDS", 0);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, (-129542144), 13);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 817405952, 838);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMicros__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, (-1857093632), 20116);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toNanos__J__J(a)
  };
  toNanos__J__J(a) {
    return a
  };
}
const $d_ju_concurrent_TimeUnit$$anon$1 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$1: 0
}, false, "java.util.concurrent.TimeUnit$$anon$1", {
  ju_concurrent_TimeUnit$$anon$1: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$1.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$1;
class $c_ju_concurrent_TimeUnit$$anon$2 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "MICROSECONDS", 1);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, (-694967296), 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMicros__J__J(a) {
    return a
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 500654080, 20);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toMicros__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000, 0), new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$2 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$2: 0
}, false, "java.util.concurrent.TimeUnit$$anon$2", {
  ju_concurrent_TimeUnit$$anon$2: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$2.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$2;
class $c_ju_concurrent_TimeUnit$$anon$3 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "MILLISECONDS", 2);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 3600000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000, 0), new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 86400000, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return a
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toMillis__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000000, 0), new $c_sjsr_RuntimeLong().init___I__I(2077252342, 2147))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$3 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$3: 0
}, false, "java.util.concurrent.TimeUnit$$anon$3", {
  ju_concurrent_TimeUnit$$anon$3: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$3.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$3;
class $c_ju_concurrent_TimeUnit$$anon$4 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "SECONDS", 3);
    return this
  };
  toMinutes__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 3600, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    return a
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000000, 0), new $c_sjsr_RuntimeLong().init___I__I(2077252342, 2147))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 86400, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000, 0), new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toSeconds__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1000000000, 0), new $c_sjsr_RuntimeLong().init___I__I(633437444, 2))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$4 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$4: 0
}, false, "java.util.concurrent.TimeUnit$$anon$4", {
  ju_concurrent_TimeUnit$$anon$4: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$4.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$4;
class $c_ju_concurrent_TimeUnit$$anon$5 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "MINUTES", 4);
    return this
  };
  toMinutes__J__J(a) {
    return a
  };
  toHours__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 60, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toSeconds__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60, 0), new $c_sjsr_RuntimeLong().init___I__I(572662306, 35791394))
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60000000, 0), new $c_sjsr_RuntimeLong().init___I__I((-895955376), 35))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 1440, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60000, 0), new $c_sjsr_RuntimeLong().init___I__I(1692789776, 35791))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toMinutes__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I((-129542144), 13), new $c_sjsr_RuntimeLong().init___I__I(153722867, 0))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$5 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$5: 0
}, false, "java.util.concurrent.TimeUnit$$anon$5", {
  ju_concurrent_TimeUnit$$anon$5: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$5.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$5;
class $c_ju_concurrent_TimeUnit$$anon$6 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "HOURS", 5);
    return this
  };
  toMinutes__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(60, 0), new $c_sjsr_RuntimeLong().init___I__I(572662306, 35791394))
  };
  toHours__J__J(a) {
    return a
  };
  toSeconds__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(3600, 0), new $c_sjsr_RuntimeLong().init___I__I(1011703407, 596523))
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I((-694967296), 0), new $c_sjsr_RuntimeLong().init___I__I((-1732919508), 0))
  };
  toDays__J__J(a) {
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo = this$1.divideImpl__I__I__I__I__I(a.lo$2, a.hi$2, 24, 0);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(3600000, 0), new $c_sjsr_RuntimeLong().init___I__I((-2047687697), 596))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toHours__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(817405952, 838), new $c_sjsr_RuntimeLong().init___I__I(2562047, 0))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$6 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$6: 0
}, false, "java.util.concurrent.TimeUnit$$anon$6", {
  ju_concurrent_TimeUnit$$anon$6: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$6.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$6;
class $c_ju_concurrent_TimeUnit$$anon$7 extends $c_ju_concurrent_TimeUnit {
  init___() {
    $c_jl_Enum.prototype.init___T__I.call(this, "DAYS", 6);
    return this
  };
  toMinutes__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(1440, 0), new $c_sjsr_RuntimeLong().init___I__I(381774870, 1491308))
  };
  toHours__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(24, 0), new $c_sjsr_RuntimeLong().init___I__I(1431655765, 89478485))
  };
  toSeconds__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(86400, 0), new $c_sjsr_RuntimeLong().init___I__I(579025220, 24855))
  };
  toMicros__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(500654080, 20), new $c_sjsr_RuntimeLong().init___I__I(106751991, 0))
  };
  toDays__J__J(a) {
    return a
  };
  toMillis__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I(86400000, 0), new $c_sjsr_RuntimeLong().init___I__I((-622191233), 24))
  };
  convert__J__ju_concurrent_TimeUnit__J(a, u) {
    return u.toDays__J__J(a)
  };
  toNanos__J__J(a) {
    return $m_ju_concurrent_TimeUnit$().java$util$concurrent$TimeUnit$$x__J__J__J__J(a, new $c_sjsr_RuntimeLong().init___I__I((-1857093632), 20116), new $c_sjsr_RuntimeLong().init___I__I(106751, 0))
  };
}
const $d_ju_concurrent_TimeUnit$$anon$7 = new $TypeData().initClass({
  ju_concurrent_TimeUnit$$anon$7: 0
}, false, "java.util.concurrent.TimeUnit$$anon$7", {
  ju_concurrent_TimeUnit$$anon$7: 1,
  ju_concurrent_TimeUnit: 1,
  jl_Enum: 1,
  O: 1,
  jl_Comparable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_TimeUnit$$anon$7.prototype.$classData = $d_ju_concurrent_TimeUnit$$anon$7;
class $c_s_MatchError extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.objString$4 = null;
    this.obj$4 = null;
    this.bitmap$0$4 = false
  };
  objString$lzycompute__p4__T() {
    if ((!this.bitmap$0$4)) {
      this.objString$4 = ((this.obj$4 === null) ? "null" : this.liftedTree1$1__p4__T());
      this.bitmap$0$4 = true
    };
    return this.objString$4
  };
  ofClass$1__p4__T() {
    const this$1 = this.obj$4;
    return ("of class " + $objectGetClass(this$1).getName__T())
  };
  liftedTree1$1__p4__T() {
    try {
      return ((($objectToString(this.obj$4) + " (") + this.ofClass$1__p4__T()) + ")")
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        return ("an instance " + this.ofClass$1__p4__T())
      } else {
        throw e
      }
    }
  };
  getMessage__T() {
    return this.objString__p4__T()
  };
  objString__p4__T() {
    return ((!this.bitmap$0$4) ? this.objString$lzycompute__p4__T() : this.objString$4)
  };
  init___O(obj) {
    this.obj$4 = obj;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_s_MatchError = new $TypeData().initClass({
  s_MatchError: 0
}, false, "scala.MatchError", {
  s_MatchError: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_MatchError.prototype.$classData = $d_s_MatchError;
class $c_s_Option extends $c_O {
  toList__sci_List() {
    return (this.isEmpty__Z() ? $m_sci_Nil$() : new $c_sci_$colon$colon().init___O__sci_List(this.get__O(), $m_sci_Nil$()))
  };
  isDefined__Z() {
    return (!this.isEmpty__Z())
  };
  contains__O__Z(elem) {
    return ((!this.isEmpty__Z()) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.get__O(), elem))
  };
}
const $is_s_Option = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Option)))
});
const $isArrayOf_s_Option = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Option)))
});
class $c_s_PartialFunction$$anon$1 extends $c_O {
  constructor() {
    super();
    this.lift$1 = null
  };
  init___() {
    this.lift$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2) {
        return $m_s_None$()
      })
    })(this));
    return this
  };
  apply__O__O(v1) {
    this.apply__O__sr_Nothing$(v1)
  };
  runWith__F1__F1(action) {
    return $m_s_PartialFunction$().scala$PartialFunction$$constFalse$f
  };
  toString__T() {
    return "<function1>"
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__sr_Nothing$(v1)))
  };
  isDefinedAt__O__Z(x) {
    return false
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  apply__O__sr_Nothing$(x) {
    throw new $c_s_MatchError().init___O(x)
  };
}
const $d_s_PartialFunction$$anon$1 = new $TypeData().initClass({
  s_PartialFunction$$anon$1: 0
}, false, "scala.PartialFunction$$anon$1", {
  s_PartialFunction$$anon$1: 1,
  O: 1,
  s_PartialFunction: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$$anon$1.prototype.$classData = $d_s_PartialFunction$$anon$1;
class $c_s_PartialFunction$Lifted extends $c_sr_AbstractFunction1 {
  constructor() {
    super();
    this.pf$2 = null
  };
  apply__O__O(v1) {
    return this.apply__O__s_Option(v1)
  };
  init___s_PartialFunction(pf) {
    this.pf$2 = pf;
    return this
  };
  apply__O__s_Option(x) {
    const z = this.pf$2.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f);
    return ((!$m_s_PartialFunction$().scala$PartialFunction$$fallbackOccurred__O__Z(z)) ? new $c_s_Some().init___O(z) : $m_s_None$())
  };
}
const $d_s_PartialFunction$Lifted = new $TypeData().initClass({
  s_PartialFunction$Lifted: 0
}, false, "scala.PartialFunction$Lifted", {
  s_PartialFunction$Lifted: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$Lifted.prototype.$classData = $d_s_PartialFunction$Lifted;
class $c_s_Predef$$anon$1 extends $c_s_Predef$$less$colon$less {
  init___() {
    return this
  };
  apply__O__O(x) {
    return x
  };
}
const $d_s_Predef$$anon$1 = new $TypeData().initClass({
  s_Predef$$anon$1: 0
}, false, "scala.Predef$$anon$1", {
  s_Predef$$anon$1: 1,
  s_Predef$$less$colon$less: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$1.prototype.$classData = $d_s_Predef$$anon$1;
class $c_s_Predef$$anon$2 extends $c_s_Predef$$eq$colon$eq {
  init___() {
    return this
  };
  apply__O__O(x) {
    return x
  };
}
const $d_s_Predef$$anon$2 = new $TypeData().initClass({
  s_Predef$$anon$2: 0
}, false, "scala.Predef$$anon$2", {
  s_Predef$$anon$2: 1,
  s_Predef$$eq$colon$eq: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$2.prototype.$classData = $d_s_Predef$$anon$2;
class $c_s_StringContext extends $c_O {
  constructor() {
    super();
    this.parts$1 = null
  };
  productPrefix__T() {
    return "StringContext"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_StringContext(x$1)) {
      const StringContext$1 = x$1;
      const x = this.parts$1;
      const x$2 = StringContext$1.parts$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parts$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  checkLengths__sc_Seq__V(args) {
    if ((this.parts$1.length__I() !== ((1 + args.length__I()) | 0))) {
      throw new $c_jl_IllegalArgumentException().init___T((((("wrong number of arguments (" + args.length__I()) + ") for interpolated string with ") + this.parts$1.length__I()) + " parts"))
    }
  };
  s__sc_Seq__T(args) {
    const f = (function($this) {
      return (function(str$2) {
        const str = str$2;
        const this$1 = $m_s_StringContext$();
        return this$1.treatEscapes0__p1__T__Z__T(str, false)
      })
    })(this);
    this.checkLengths__sc_Seq__V(args);
    const pi = this.parts$1.iterator__sc_Iterator();
    const ai = args.iterator__sc_Iterator();
    const arg1 = pi.next__O();
    const bldr = new $c_jl_StringBuilder().init___T(f(arg1));
    while (ai.hasNext__Z()) {
      bldr.append__O__jl_StringBuilder(ai.next__O());
      const arg1$1 = pi.next__O();
      bldr.append__T__jl_StringBuilder(f(arg1$1))
    };
    return bldr.content$1
  };
  init___sc_Seq(parts) {
    this.parts$1 = parts;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_StringContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_StringContext)))
});
const $isArrayOf_s_StringContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_StringContext)))
});
const $d_s_StringContext = new $TypeData().initClass({
  s_StringContext: 0
}, false, "scala.StringContext", {
  s_StringContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext.prototype.$classData = $d_s_StringContext;
class $c_s_concurrent_duration_Duration extends $c_O {
  compareTo__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
}
const $is_s_concurrent_duration_Duration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_duration_Duration)))
});
const $isArrayOf_s_concurrent_duration_Duration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_duration_Duration)))
});
const $f_s_math_Ordering__gteq__O__O__Z = (function($thiz, x, y) {
  return ($thiz.compare__O__O__I(x, y) >= 0)
});
const $f_s_math_Ordering__lteq__O__O__Z = (function($thiz, x, y) {
  return ($thiz.compare__O__O__I(x, y) <= 0)
});
const $f_s_reflect_ClassTag__newArray__I__O = (function($thiz, len) {
  const x1 = $thiz.runtimeClass__jl_Class();
  return ((x1 === $d_B.getClassOf()) ? $newArrayObject($d_B.getArrayOf(), [len]) : ((x1 === $d_S.getClassOf()) ? $newArrayObject($d_S.getArrayOf(), [len]) : ((x1 === $d_C.getClassOf()) ? $newArrayObject($d_C.getArrayOf(), [len]) : ((x1 === $d_I.getClassOf()) ? $newArrayObject($d_I.getArrayOf(), [len]) : ((x1 === $d_J.getClassOf()) ? $newArrayObject($d_J.getArrayOf(), [len]) : ((x1 === $d_F.getClassOf()) ? $newArrayObject($d_F.getArrayOf(), [len]) : ((x1 === $d_D.getClassOf()) ? $newArrayObject($d_D.getArrayOf(), [len]) : ((x1 === $d_Z.getClassOf()) ? $newArrayObject($d_Z.getArrayOf(), [len]) : ((x1 === $d_V.getClassOf()) ? $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [len]) : $m_jl_reflect_Array$().newInstance__jl_Class__I__O($thiz.runtimeClass__jl_Class(), len))))))))))
});
const $f_s_reflect_ClassTag__equals__O__Z = (function($thiz, x) {
  if ($is_s_reflect_ClassTag(x)) {
    const x$2 = $thiz.runtimeClass__jl_Class();
    const x$3 = x.runtimeClass__jl_Class();
    return (x$2 === x$3)
  } else {
    return false
  }
});
const $f_s_reflect_ClassTag__prettyprint$1__ps_reflect_ClassTag__jl_Class__T = (function($thiz, clazz) {
  if (clazz.isArray__Z()) {
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Array[", "]"]));
    const clazz$1 = clazz.getComponentType__jl_Class();
    return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_s_reflect_ClassTag__prettyprint$1__ps_reflect_ClassTag__jl_Class__T($thiz, clazz$1)]))
  } else {
    return clazz.getName__T()
  }
});
const $is_s_reflect_ClassTag = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_reflect_ClassTag)))
});
const $isArrayOf_s_reflect_ClassTag = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_reflect_ClassTag)))
});
class $c_s_util_Either extends $c_O {
  toOption__s_Option() {
    if ($is_s_util_Right(this)) {
      const x2 = this;
      const b = x2.value$2;
      return new $c_s_Some().init___O(b)
    } else if ($is_s_util_Left(this)) {
      return $m_s_None$()
    } else {
      throw new $c_s_MatchError().init___O(this)
    }
  };
}
const $is_s_util_Either = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Either)))
});
const $isArrayOf_s_util_Either = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Either)))
});
class $c_s_util_Try extends $c_O {
}
const $is_s_util_Try = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Try)))
});
const $isArrayOf_s_util_Try = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Try)))
});
class $c_s_util_control_BreakControl extends $c_jl_Throwable {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  fillInStackTrace__jl_Throwable() {
    return $f_s_util_control_NoStackTrace__fillInStackTrace__jl_Throwable(this)
  };
}
const $d_s_util_control_BreakControl = new $TypeData().initClass({
  s_util_control_BreakControl: 0
}, false, "scala.util.control.BreakControl", {
  s_util_control_BreakControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_s_util_control_BreakControl.prototype.$classData = $d_s_util_control_BreakControl;
const $f_sc_GenMapLike__equals__O__Z = (function($thiz, that) {
  if ($is_sc_GenMap(that)) {
    const x2 = that;
    return (($thiz === x2) || (($thiz.size__I() === x2.size__I()) && $f_sc_GenMapLike__liftedTree1$1__psc_GenMapLike__sc_GenMap__Z($thiz, x2)))
  } else {
    return false
  }
});
const $f_sc_GenMapLike__liftedTree1$1__psc_GenMapLike__sc_GenMap__Z = (function($thiz, x2$1) {
  try {
    const this$1 = $thiz.iterator__sc_Iterator();
    let res = true;
    while ((res && this$1.hasNext__Z())) {
      const arg1 = this$1.next__O();
      const x0$1 = arg1;
      if ((x0$1 === null)) {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      const k = x0$1.$$und1__O();
      const v = x0$1.$$und2__O();
      const x1$2 = x2$1.get__O__s_Option(k);
      matchEnd6: {
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const p3 = x2.value$2;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(v, p3)) {
            res = true;
            break matchEnd6
          }
        };
        res = false
      }
    };
    return res
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      return false
    } else {
      throw e
    }
  }
});
const $f_sc_GenSeqLike__indexOf__O__I__I = (function($thiz, elem, from) {
  return $thiz.indexWhere__F1__I__I(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$1) {
    return (function(x$1$2) {
      return $m_sr_BoxesRunTime$().equals__O__O__Z(elem$1, x$1$2)
    })
  })($thiz, elem)), from)
});
const $f_sc_GenSeqLike__equals__O__Z = (function($thiz, that) {
  if ($is_sc_GenSeq(that)) {
    const x2 = that;
    return $thiz.sameElements__sc_GenIterable__Z(x2)
  } else {
    return false
  }
});
const $f_sc_GenSeqLike__isDefinedAt__I__Z = (function($thiz, idx) {
  return ((idx >= 0) && (idx < $thiz.length__I()))
});
const $is_sc_GenTraversable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversable)))
});
const $isArrayOf_sc_GenTraversable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversable)))
});
class $c_sc_Iterable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Iterable$();
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sc_Iterable$ = new $TypeData().initClass({
  sc_Iterable$: 0
}, false, "scala.collection.Iterable$", {
  sc_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Iterable$.prototype.$classData = $d_sc_Iterable$;
let $n_sc_Iterable$ = (void 0);
const $m_sc_Iterable$ = (function() {
  if ((!$n_sc_Iterable$)) {
    $n_sc_Iterable$ = new $c_sc_Iterable$().init___()
  };
  return $n_sc_Iterable$
});
class $c_sc_Iterator$$anon$10 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.f$1$2 = null
  };
  next__O() {
    return this.f$1$2.apply__O__O(this.$$outer$2.next__O())
  };
  init___sc_Iterator__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.f$1$2 = f$1;
    return this
  };
  hasNext__Z() {
    return this.$$outer$2.hasNext__Z()
  };
}
const $d_sc_Iterator$$anon$10 = new $TypeData().initClass({
  sc_Iterator$$anon$10: 0
}, false, "scala.collection.Iterator$$anon$10", {
  sc_Iterator$$anon$10: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$10.prototype.$classData = $d_sc_Iterator$$anon$10;
class $c_sc_Iterator$$anon$11 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cur$2 = null;
    this.$$outer$2 = null;
    this.f$2$2 = null
  };
  next__O() {
    return (this.hasNext__Z() ? this.cur$2 : $m_sc_Iterator$().empty$1).next__O()
  };
  init___sc_Iterator__F1($$outer, f$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.f$2$2 = f$2;
    this.cur$2 = $m_sc_Iterator$().empty$1;
    return this
  };
  hasNext__Z() {
    while ((!this.cur$2.hasNext__Z())) {
      if ((!this.$$outer$2.hasNext__Z())) {
        return false
      };
      this.nextCur__p2__V()
    };
    return true
  };
  nextCur__p2__V() {
    this.cur$2 = this.f$2$2.apply__O__O(this.$$outer$2.next__O()).toIterator__sc_Iterator()
  };
}
const $d_sc_Iterator$$anon$11 = new $TypeData().initClass({
  sc_Iterator$$anon$11: 0
}, false, "scala.collection.Iterator$$anon$11", {
  sc_Iterator$$anon$11: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$11.prototype.$classData = $d_sc_Iterator$$anon$11;
class $c_sc_Iterator$$anon$12 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.hd$2 = null;
    this.hdDefined$2 = false;
    this.$$outer$2 = null;
    this.p$1$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.hdDefined$2 = false;
      return this.hd$2
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_Iterator__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.p$1$2 = p$1;
    this.hdDefined$2 = false;
    return this
  };
  hasNext__Z() {
    if (this.hdDefined$2) {
      return true
    } else {
      do {
        if ((!this.$$outer$2.hasNext__Z())) {
          return false
        };
        this.hd$2 = this.$$outer$2.next__O()
      } while ((!(!(!this.p$1$2.apply__O__O(this.hd$2)))));
      this.hdDefined$2 = true;
      return true
    }
  };
}
const $d_sc_Iterator$$anon$12 = new $TypeData().initClass({
  sc_Iterator$$anon$12: 0
}, false, "scala.collection.Iterator$$anon$12", {
  sc_Iterator$$anon$12: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$12.prototype.$classData = $d_sc_Iterator$$anon$12;
class $c_sc_Iterator$$anon$15 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.hd$2 = null;
    this.hdDefined$2 = false;
    this.tail$2 = null;
    this.p$2$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.hdDefined$2 = false;
      return this.hd$2
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_Iterator__F1($$outer, p$2) {
    this.p$2$2 = p$2;
    this.hdDefined$2 = false;
    this.tail$2 = $$outer;
    return this
  };
  hasNext__Z() {
    if (this.hdDefined$2) {
      return true
    } else if (this.tail$2.hasNext__Z()) {
      this.hd$2 = this.tail$2.next__O();
      if ((!(!this.p$2$2.apply__O__O(this.hd$2)))) {
        this.hdDefined$2 = true
      } else {
        this.tail$2 = $m_sc_Iterator$().empty$1
      };
      return this.hdDefined$2
    } else {
      return false
    }
  };
}
const $d_sc_Iterator$$anon$15 = new $TypeData().initClass({
  sc_Iterator$$anon$15: 0
}, false, "scala.collection.Iterator$$anon$15", {
  sc_Iterator$$anon$15: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$15.prototype.$classData = $d_sc_Iterator$$anon$15;
class $c_sc_Iterator$$anon$17 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.status$2 = 0;
    this.fst$2 = null;
    this.$$outer$2 = null;
    this.p$3$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      if ((this.status$2 === 1)) {
        return this.$$outer$2.next__O()
      } else {
        this.status$2 = 1;
        return this.fst$2
      }
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_Iterator__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.p$3$2 = p$3;
    this.status$2 = (-1);
    return this
  };
  hasNext__Z() {
    if ((this.status$2 === 1)) {
      return this.$$outer$2.hasNext__Z()
    } else if ((this.status$2 === 0)) {
      return true
    } else {
      while (this.$$outer$2.hasNext__Z()) {
        const a = this.$$outer$2.next__O();
        if ((!(!(!this.p$3$2.apply__O__O(a))))) {
          this.fst$2 = a;
          this.status$2 = 0;
          return true
        }
      };
      this.status$2 = 1;
      return false
    }
  };
}
const $d_sc_Iterator$$anon$17 = new $TypeData().initClass({
  sc_Iterator$$anon$17: 0
}, false, "scala.collection.Iterator$$anon$17", {
  sc_Iterator$$anon$17: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$17.prototype.$classData = $d_sc_Iterator$$anon$17;
class $c_sc_Iterator$$anon$18 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.that$1$2 = null
  };
  next__O() {
    return this.next__T2()
  };
  init___sc_Iterator__sc_Iterator($$outer, that$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.that$1$2 = that$1;
    return this
  };
  next__T2() {
    return new $c_T2().init___O__O(this.$$outer$2.next__O(), this.that$1$2.next__O())
  };
  hasNext__Z() {
    return (this.$$outer$2.hasNext__Z() && this.that$1$2.hasNext__Z())
  };
}
const $d_sc_Iterator$$anon$18 = new $TypeData().initClass({
  sc_Iterator$$anon$18: 0
}, false, "scala.collection.Iterator$$anon$18", {
  sc_Iterator$$anon$18: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$18.prototype.$classData = $d_sc_Iterator$$anon$18;
class $c_sc_Iterator$$anon$2 extends $c_sc_AbstractIterator {
  next__O() {
    this.next__sr_Nothing$()
  };
  init___() {
    return this
  };
  next__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
  };
  hasNext__Z() {
    return false
  };
}
const $d_sc_Iterator$$anon$2 = new $TypeData().initClass({
  sc_Iterator$$anon$2: 0
}, false, "scala.collection.Iterator$$anon$2", {
  sc_Iterator$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$2.prototype.$classData = $d_sc_Iterator$$anon$2;
class $c_sc_Iterator$$anon$3 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.hasnext$2 = false;
    this.elem$1$2 = null
  };
  next__O() {
    if (this.hasnext$2) {
      this.hasnext$2 = false;
      return this.elem$1$2
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___O(elem$1) {
    this.elem$1$2 = elem$1;
    this.hasnext$2 = true;
    return this
  };
  hasNext__Z() {
    return this.hasnext$2
  };
}
const $d_sc_Iterator$$anon$3 = new $TypeData().initClass({
  sc_Iterator$$anon$3: 0
}, false, "scala.collection.Iterator$$anon$3", {
  sc_Iterator$$anon$3: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$3.prototype.$classData = $d_sc_Iterator$$anon$3;
class $c_sc_Iterator$SliceIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.underlying$2 = null;
    this.scala$collection$Iterator$SliceIterator$$remaining$2 = 0;
    this.dropping$2 = 0
  };
  next__O() {
    this.skip__p2__V();
    if ((this.scala$collection$Iterator$SliceIterator$$remaining$2 > 0)) {
      this.scala$collection$Iterator$SliceIterator$$remaining$2 = (((-1) + this.scala$collection$Iterator$SliceIterator$$remaining$2) | 0);
      return this.underlying$2.next__O()
    } else {
      return ((this.scala$collection$Iterator$SliceIterator$$remaining$2 < 0) ? this.underlying$2.next__O() : $m_sc_Iterator$().empty$1.next__O())
    }
  };
  adjustedBound$1__p2__I__I(lo$1) {
    if ((this.scala$collection$Iterator$SliceIterator$$remaining$2 < 0)) {
      return (-1)
    } else {
      const that = ((this.scala$collection$Iterator$SliceIterator$$remaining$2 - lo$1) | 0);
      return ((that < 0) ? 0 : that)
    }
  };
  sliceIterator__I__I__sc_Iterator(from, until) {
    const lo = ((from > 0) ? from : 0);
    let rest;
    if ((until < 0)) {
      rest = this.adjustedBound$1__p2__I__I(lo)
    } else if ((until <= lo)) {
      rest = 0
    } else if ((this.scala$collection$Iterator$SliceIterator$$remaining$2 < 0)) {
      rest = ((until - lo) | 0)
    } else {
      const x = this.adjustedBound$1__p2__I__I(lo);
      const that = ((until - lo) | 0);
      rest = ((x < that) ? x : that)
    };
    if ((rest === 0)) {
      return $m_sc_Iterator$().empty$1
    } else {
      this.dropping$2 = ((this.dropping$2 + lo) | 0);
      this.scala$collection$Iterator$SliceIterator$$remaining$2 = rest;
      return this
    }
  };
  skip__p2__V() {
    while ((this.dropping$2 > 0)) {
      if (this.underlying$2.hasNext__Z()) {
        this.underlying$2.next__O();
        this.dropping$2 = (((-1) + this.dropping$2) | 0)
      } else {
        this.dropping$2 = 0
      }
    }
  };
  hasNext__Z() {
    this.skip__p2__V();
    return ((this.scala$collection$Iterator$SliceIterator$$remaining$2 !== 0) && this.underlying$2.hasNext__Z())
  };
  init___sc_Iterator__I__I(underlying, start, limit) {
    this.underlying$2 = underlying;
    this.scala$collection$Iterator$SliceIterator$$remaining$2 = limit;
    this.dropping$2 = start;
    return this
  };
}
const $d_sc_Iterator$SliceIterator = new $TypeData().initClass({
  sc_Iterator$SliceIterator: 0
}, false, "scala.collection.Iterator$SliceIterator", {
  sc_Iterator$SliceIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$SliceIterator.prototype.$classData = $d_sc_Iterator$SliceIterator;
class $c_sc_LinearSeqLike$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.these$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      const result = this.these$2.head__O();
      this.these$2 = this.these$2.tail__O();
      return result
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___sc_LinearSeqLike($$outer) {
    this.these$2 = $$outer;
    return this
  };
  toList__sci_List() {
    const xs = this.these$2.toList__sci_List();
    this.these$2 = this.these$2.take__I__O(0);
    return xs
  };
  hasNext__Z() {
    return (!this.these$2.isEmpty__Z())
  };
}
const $d_sc_LinearSeqLike$$anon$1 = new $TypeData().initClass({
  sc_LinearSeqLike$$anon$1: 0
}, false, "scala.collection.LinearSeqLike$$anon$1", {
  sc_LinearSeqLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_LinearSeqLike$$anon$1.prototype.$classData = $d_sc_LinearSeqLike$$anon$1;
class $c_sc_MapLike$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().$$und1__O()
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___sc_MapLike($$outer) {
    this.iter$2 = $$outer.iterator__sc_Iterator();
    return this
  };
}
const $d_sc_MapLike$$anon$1 = new $TypeData().initClass({
  sc_MapLike$$anon$1: 0
}, false, "scala.collection.MapLike$$anon$1", {
  sc_MapLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_MapLike$$anon$1.prototype.$classData = $d_sc_MapLike$$anon$1;
class $c_sc_MapLike$$anon$2 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().$$und2__O()
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___sc_MapLike($$outer) {
    this.iter$2 = $$outer.iterator__sc_Iterator();
    return this
  };
}
const $d_sc_MapLike$$anon$2 = new $TypeData().initClass({
  sc_MapLike$$anon$2: 0
}, false, "scala.collection.MapLike$$anon$2", {
  sc_MapLike$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_MapLike$$anon$2.prototype.$classData = $d_sc_MapLike$$anon$2;
class $c_sc_Set$ extends $c_scg_SetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return $m_sci_Set$EmptySet$()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$())
  };
}
const $d_sc_Set$ = new $TypeData().initClass({
  sc_Set$: 0
}, false, "scala.collection.Set$", {
  sc_Set$: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Set$.prototype.$classData = $d_sc_Set$;
let $n_sc_Set$ = (void 0);
const $m_sc_Set$ = (function() {
  if ((!$n_sc_Set$)) {
    $n_sc_Set$ = new $c_sc_Set$().init___()
  };
  return $n_sc_Set$
});
class $c_sc_Traversable$ extends $c_scg_GenTraversableFactory {
  constructor() {
    super();
    this.breaks$3 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sc_Traversable$ = this;
    this.breaks$3 = new $c_s_util_control_Breaks().init___();
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Traversable$();
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sc_Traversable$ = new $TypeData().initClass({
  sc_Traversable$: 0
}, false, "scala.collection.Traversable$", {
  sc_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Traversable$.prototype.$classData = $d_sc_Traversable$;
let $n_sc_Traversable$ = (void 0);
const $m_sc_Traversable$ = (function() {
  if ((!$n_sc_Traversable$)) {
    $n_sc_Traversable$ = new $c_sc_Traversable$().init___()
  };
  return $n_sc_Traversable$
});
class $c_scg_ImmutableSetFactory extends $c_scg_SetFactory {
  empty__sc_GenTraversable() {
    return this.emptyInstance__sci_Set()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_SetBuilder().init___sc_Set(this.emptyInstance__sci_Set())
  };
}
class $c_scg_MutableSetFactory extends $c_scg_SetFactory {
  newBuilder__scm_Builder() {
    return new $c_scm_GrowingBuilder().init___scg_Growable(this.empty__sc_GenTraversable())
  };
}
class $c_sci_Iterable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_Iterable$ = new $TypeData().initClass({
  sci_Iterable$: 0
}, false, "scala.collection.immutable.Iterable$", {
  sci_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Iterable$.prototype.$classData = $d_sci_Iterable$;
let $n_sci_Iterable$ = (void 0);
const $m_sci_Iterable$ = (function() {
  if ((!$n_sci_Iterable$)) {
    $n_sci_Iterable$ = new $c_sci_Iterable$().init___()
  };
  return $n_sci_Iterable$
});
class $c_sci_StreamIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.these$2 = null
  };
  next__O() {
    if ($f_sc_Iterator__isEmpty__Z(this)) {
      return $m_sc_Iterator$().empty$1.next__O()
    } else {
      const cur = this.these$2.v__sci_Stream();
      const result = cur.head__O();
      this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, cur$1) {
        return (function() {
          return cur$1.tail__O()
        })
      })(this, cur)));
      return result
    }
  };
  toList__sci_List() {
    const this$1 = this.toStream__sci_Stream();
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf)
  };
  init___sci_Stream(self) {
    this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, self$1) {
      return (function() {
        return self$1
      })
    })(this, self)));
    return this
  };
  hasNext__Z() {
    const this$1 = this.these$2.v__sci_Stream();
    return $f_sc_TraversableOnce__nonEmpty__Z(this$1)
  };
  toStream__sci_Stream() {
    const result = this.these$2.v__sci_Stream();
    this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        $m_sci_Stream$();
        return $m_sci_Stream$Empty$()
      })
    })(this)));
    return result
  };
}
const $d_sci_StreamIterator = new $TypeData().initClass({
  sci_StreamIterator: 0
}, false, "scala.collection.immutable.StreamIterator", {
  sci_StreamIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_StreamIterator.prototype.$classData = $d_sci_StreamIterator;
class $c_sci_StringLike$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.str$2 = null;
    this.len$2 = 0;
    this.index$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    return this.next__T()
  };
  next__T() {
    if ((this.index$2 >= this.len$2)) {
      throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
    };
    const start = this.index$2;
    while (true) {
      let jsx$1;
      if ((this.index$2 < this.len$2)) {
        const this$1 = this.$$outer$2;
        const c = this.$$outer$2.apply__I__C(this.index$2);
        jsx$1 = (!$f_sci_StringLike__scala$collection$immutable$StringLike$$isLineBreak__C__Z(this$1, c))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        this.index$2 = ((1 + this.index$2) | 0)
      } else {
        break
      }
    };
    this.index$2 = ((1 + this.index$2) | 0);
    const thiz = this.str$2;
    const x = this.index$2;
    const that = this.len$2;
    const endIndex = ((x < that) ? x : that);
    return thiz.substring(start, endIndex)
  };
  hasNext__Z() {
    return (this.index$2 < this.len$2)
  };
  init___sci_StringLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.str$2 = $$outer.toString__T();
    const thiz = this.str$2;
    this.len$2 = (thiz.length | 0);
    this.index$2 = 0;
    return this
  };
}
const $d_sci_StringLike$$anon$1 = new $TypeData().initClass({
  sci_StringLike$$anon$1: 0
}, false, "scala.collection.immutable.StringLike$$anon$1", {
  sci_StringLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_StringLike$$anon$1.prototype.$classData = $d_sci_StringLike$$anon$1;
class $c_sci_Traversable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_Traversable$ = new $TypeData().initClass({
  sci_Traversable$: 0
}, false, "scala.collection.immutable.Traversable$", {
  sci_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Traversable$.prototype.$classData = $d_sci_Traversable$;
let $n_sci_Traversable$ = (void 0);
const $m_sci_Traversable$ = (function() {
  if ((!$n_sci_Traversable$)) {
    $n_sci_Traversable$ = new $c_sci_Traversable$().init___()
  };
  return $n_sci_Traversable$
});
class $c_sci_TrieIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.elems$2 = null;
    this.scala$collection$immutable$TrieIterator$$depth$f = 0;
    this.scala$collection$immutable$TrieIterator$$arrayStack$f = null;
    this.scala$collection$immutable$TrieIterator$$posStack$f = null;
    this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
    this.scala$collection$immutable$TrieIterator$$posD$f = 0;
    this.scala$collection$immutable$TrieIterator$$subIter$f = null
  };
  isContainer__p2__O__Z(x) {
    return ($is_sci_HashMap$HashMap1(x) || $is_sci_HashSet$HashSet1(x))
  };
  next__O() {
    if ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null)) {
      const el = this.scala$collection$immutable$TrieIterator$$subIter$f.next__O();
      if ((!this.scala$collection$immutable$TrieIterator$$subIter$f.hasNext__Z())) {
        this.scala$collection$immutable$TrieIterator$$subIter$f = null
      };
      return el
    } else {
      return this.next0__p2__Asci_Iterable__I__O(this.scala$collection$immutable$TrieIterator$$arrayD$f, this.scala$collection$immutable$TrieIterator$$posD$f)
    }
  };
  initPosStack__AI() {
    return $newArrayObject($d_I.getArrayOf(), [6])
  };
  hasNext__Z() {
    return ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null) || (this.scala$collection$immutable$TrieIterator$$depth$f >= 0))
  };
  next0__p2__Asci_Iterable__I__O(elems, i) {
    _next0: while (true) {
      if ((i === (((-1) + elems.u.length) | 0))) {
        this.scala$collection$immutable$TrieIterator$$depth$f = (((-1) + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
        if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
          this.scala$collection$immutable$TrieIterator$$arrayD$f = this.scala$collection$immutable$TrieIterator$$arrayStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f];
          this.scala$collection$immutable$TrieIterator$$posD$f = this.scala$collection$immutable$TrieIterator$$posStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f];
          this.scala$collection$immutable$TrieIterator$$arrayStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f] = null
        } else {
          this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
          this.scala$collection$immutable$TrieIterator$$posD$f = 0
        }
      } else {
        this.scala$collection$immutable$TrieIterator$$posD$f = ((1 + this.scala$collection$immutable$TrieIterator$$posD$f) | 0)
      };
      const m = elems.u[i];
      if (this.isContainer__p2__O__Z(m)) {
        return this.getElem__O__O(m)
      } else if (this.isTrie__p2__O__Z(m)) {
        if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
          this.scala$collection$immutable$TrieIterator$$arrayStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f] = this.scala$collection$immutable$TrieIterator$$arrayD$f;
          this.scala$collection$immutable$TrieIterator$$posStack$f.u[this.scala$collection$immutable$TrieIterator$$depth$f] = this.scala$collection$immutable$TrieIterator$$posD$f
        };
        this.scala$collection$immutable$TrieIterator$$depth$f = ((1 + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
        this.scala$collection$immutable$TrieIterator$$arrayD$f = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
        this.scala$collection$immutable$TrieIterator$$posD$f = 0;
        const temp$elems = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
        elems = temp$elems;
        i = 0;
        continue _next0
      } else {
        this.scala$collection$immutable$TrieIterator$$subIter$f = m.iterator__sc_Iterator();
        return this.next__O()
      }
    }
  };
  getElems__p2__sci_Iterable__Asci_Iterable(x) {
    if ($is_sci_HashMap$HashTrieMap(x)) {
      const x2 = x;
      return x2.elems$6
    } else {
      if ((!$is_sci_HashSet$HashTrieSet(x))) {
        throw new $c_s_MatchError().init___O(x)
      };
      const x3 = x;
      return x3.elems$5
    }
  };
  init___Asci_Iterable(elems) {
    this.elems$2 = elems;
    this.scala$collection$immutable$TrieIterator$$depth$f = 0;
    this.scala$collection$immutable$TrieIterator$$arrayStack$f = this.initArrayStack__AAsci_Iterable();
    this.scala$collection$immutable$TrieIterator$$posStack$f = this.initPosStack__AI();
    this.scala$collection$immutable$TrieIterator$$arrayD$f = this.elems$2;
    this.scala$collection$immutable$TrieIterator$$posD$f = 0;
    this.scala$collection$immutable$TrieIterator$$subIter$f = null;
    return this
  };
  isTrie__p2__O__Z(x) {
    return ($is_sci_HashMap$HashTrieMap(x) || $is_sci_HashSet$HashTrieSet(x))
  };
  initArrayStack__AAsci_Iterable() {
    return $newArrayObject($d_sci_Iterable.getArrayOf().getArrayOf(), [6])
  };
}
class $c_sci_Vector$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.i$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    if ((this.i$2 > 0)) {
      this.i$2 = (((-1) + this.i$2) | 0);
      return this.$$outer$2.apply__I__O(this.i$2)
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  hasNext__Z() {
    return (this.i$2 > 0)
  };
  init___sci_Vector($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.i$2 = $$outer.length__I();
    return this
  };
}
const $d_sci_Vector$$anon$1 = new $TypeData().initClass({
  sci_Vector$$anon$1: 0
}, false, "scala.collection.immutable.Vector$$anon$1", {
  sci_Vector$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_Vector$$anon$1.prototype.$classData = $d_sci_Vector$$anon$1;
class $c_scm_Builder$$anon$1 extends $c_O {
  constructor() {
    super();
    this.self$1 = null;
    this.f$1$1 = null
  };
  init___scm_Builder__F1($$outer, f$1) {
    this.f$1$1 = f$1;
    this.self$1 = $$outer;
    return this
  };
  equals__O__Z(that) {
    return $f_s_Proxy__equals__O__Z(this, that)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
  };
  toString__T() {
    return $f_s_Proxy__toString__T(this)
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1(xs) {
    this.self$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs);
    return this
  };
  result__O() {
    return this.f$1$1.apply__O__O(this.self$1.result__O())
  };
  self__O() {
    return this.self$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundColl) {
    this.self$1.sizeHintBounded__I__sc_TraversableLike__V(size, boundColl)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
  };
  $$plus$eq__O__scm_Builder$$anon$1(x) {
    this.self$1.$$plus$eq__O__scm_Builder(x);
    return this
  };
  hashCode__I() {
    return this.self$1.hashCode__I()
  };
  sizeHint__I__V(size) {
    this.self$1.sizeHint__I__V(size)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1(xs)
  };
}
const $d_scm_Builder$$anon$1 = new $TypeData().initClass({
  scm_Builder$$anon$1: 0
}, false, "scala.collection.mutable.Builder$$anon$1", {
  scm_Builder$$anon$1: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Proxy: 1
});
$c_scm_Builder$$anon$1.prototype.$classData = $d_scm_Builder$$anon$1;
class $c_scm_FlatHashTable$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.i$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    if (this.hasNext__Z()) {
      this.i$2 = ((1 + this.i$2) | 0);
      const this$1 = this.$$outer$2;
      const entry = this.$$outer$2.table$5.u[(((-1) + this.i$2) | 0)];
      return $f_scm_FlatHashTable$HashUtils__entryToElem__O__O(this$1, entry)
    } else {
      return $m_sc_Iterator$().empty$1.next__O()
    }
  };
  init___scm_FlatHashTable($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.i$2 = 0;
    return this
  };
  hasNext__Z() {
    while (((this.i$2 < this.$$outer$2.table$5.u.length) && (this.$$outer$2.table$5.u[this.i$2] === null))) {
      this.i$2 = ((1 + this.i$2) | 0)
    };
    return (this.i$2 < this.$$outer$2.table$5.u.length)
  };
}
const $d_scm_FlatHashTable$$anon$1 = new $TypeData().initClass({
  scm_FlatHashTable$$anon$1: 0
}, false, "scala.collection.mutable.FlatHashTable$$anon$1", {
  scm_FlatHashTable$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_FlatHashTable$$anon$1.prototype.$classData = $d_scm_FlatHashTable$$anon$1;
class $c_scm_HashMap$$anon$3 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().key$1
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___scm_HashMap($$outer) {
    this.iter$2 = new $c_scm_HashTable$$anon$1().init___scm_HashTable($$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$3 = new $TypeData().initClass({
  scm_HashMap$$anon$3: 0
}, false, "scala.collection.mutable.HashMap$$anon$3", {
  scm_HashMap$$anon$3: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_HashMap$$anon$3.prototype.$classData = $d_scm_HashMap$$anon$3;
class $c_scm_HashMap$$anon$4 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iter$2 = null
  };
  next__O() {
    return this.iter$2.next__O().value$1
  };
  hasNext__Z() {
    return this.iter$2.hasNext__Z()
  };
  init___scm_HashMap($$outer) {
    this.iter$2 = new $c_scm_HashTable$$anon$1().init___scm_HashTable($$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$4 = new $TypeData().initClass({
  scm_HashMap$$anon$4: 0
}, false, "scala.collection.mutable.HashMap$$anon$4", {
  scm_HashMap$$anon$4: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_HashMap$$anon$4.prototype.$classData = $d_scm_HashMap$$anon$4;
class $c_scm_HashTable$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.iterTable$2 = null;
    this.idx$2 = 0;
    this.es$2 = null
  };
  next__O() {
    return this.next__scm_HashEntry()
  };
  init___scm_HashTable($$outer) {
    this.iterTable$2 = $$outer.table$5;
    this.idx$2 = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I($$outer);
    this.es$2 = this.iterTable$2.u[this.idx$2];
    return this
  };
  next__scm_HashEntry() {
    const res = this.es$2;
    const this$1 = this.es$2;
    this.es$2 = this$1.next$1;
    while (((this.es$2 === null) && (this.idx$2 > 0))) {
      this.idx$2 = (((-1) + this.idx$2) | 0);
      this.es$2 = this.iterTable$2.u[this.idx$2]
    };
    return res
  };
  hasNext__Z() {
    return (this.es$2 !== null)
  };
}
const $d_scm_HashTable$$anon$1 = new $TypeData().initClass({
  scm_HashTable$$anon$1: 0
}, false, "scala.collection.mutable.HashTable$$anon$1", {
  scm_HashTable$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_HashTable$$anon$1.prototype.$classData = $d_scm_HashTable$$anon$1;
class $c_scm_Iterable$ extends $c_scg_GenTraversableFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuffer().init___()
  };
}
const $d_scm_Iterable$ = new $TypeData().initClass({
  scm_Iterable$: 0
}, false, "scala.collection.mutable.Iterable$", {
  scm_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_Iterable$.prototype.$classData = $d_scm_Iterable$;
let $n_scm_Iterable$ = (void 0);
const $m_scm_Iterable$ = (function() {
  if ((!$n_scm_Iterable$)) {
    $n_scm_Iterable$ = new $c_scm_Iterable$().init___()
  };
  return $n_scm_Iterable$
});
class $c_scm_LazyBuilder extends $c_O {
  constructor() {
    super();
    this.parts$1 = null
  };
  init___() {
    this.parts$1 = new $c_scm_ListBuffer().init___();
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder(xs) {
    this.parts$1.$$plus$eq__O__scm_ListBuffer(xs);
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_LazyBuilder(elem)
  };
  $$plus$eq__O__scm_LazyBuilder(x) {
    const jsx$1 = this.parts$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    jsx$1.$$plus$eq__O__scm_ListBuffer($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf));
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_LazyBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder(xs)
  };
}
class $c_scm_ListBuffer$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.cursor$2 = null
  };
  next__O() {
    if ((!this.hasNext__Z())) {
      throw new $c_ju_NoSuchElementException().init___T("next on empty Iterator")
    } else {
      const ans = this.cursor$2.head__O();
      this.cursor$2 = this.cursor$2.tail__O();
      return ans
    }
  };
  init___scm_ListBuffer($$outer) {
    this.cursor$2 = ($$outer.isEmpty__Z() ? $m_sci_Nil$() : $$outer.scala$collection$mutable$ListBuffer$$start$6);
    return this
  };
  hasNext__Z() {
    return (this.cursor$2 !== $m_sci_Nil$())
  };
}
const $d_scm_ListBuffer$$anon$1 = new $TypeData().initClass({
  scm_ListBuffer$$anon$1: 0
}, false, "scala.collection.mutable.ListBuffer$$anon$1", {
  scm_ListBuffer$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_ListBuffer$$anon$1.prototype.$classData = $d_scm_ListBuffer$$anon$1;
class $c_scm_MapBuilder extends $c_O {
  constructor() {
    super();
    this.empty$1 = null;
    this.elems$1 = null
  };
  $$plus$eq__T2__scm_MapBuilder(x) {
    this.elems$1 = this.elems$1.$$plus__T2__sc_GenMap(x);
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_MapBuilder(elem)
  };
  result__O() {
    return this.elems$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  init___sc_GenMap(empty) {
    this.empty$1 = empty;
    this.elems$1 = empty;
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_MapBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_MapBuilder = new $TypeData().initClass({
  scm_MapBuilder: 0
}, false, "scala.collection.mutable.MapBuilder", {
  scm_MapBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_MapBuilder.prototype.$classData = $d_scm_MapBuilder;
class $c_scm_SetBuilder extends $c_O {
  constructor() {
    super();
    this.empty$1 = null;
    this.elems$1 = null
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_SetBuilder(elem)
  };
  result__O() {
    return this.elems$1
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$plus$eq__O__scm_SetBuilder(x) {
    this.elems$1 = this.elems$1.$$plus__O__sc_Set(x);
    return this
  };
  init___sc_Set(empty) {
    this.empty$1 = empty;
    this.elems$1 = empty;
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_SetBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_SetBuilder = new $TypeData().initClass({
  scm_SetBuilder: 0
}, false, "scala.collection.mutable.SetBuilder", {
  scm_SetBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_SetBuilder.prototype.$classData = $d_scm_SetBuilder;
class $c_scm_WrappedArrayBuilder extends $c_O {
  constructor() {
    super();
    this.tag$1 = null;
    this.manifest$1 = null;
    this.elems$1 = null;
    this.capacity$1 = 0;
    this.size$1 = 0
  };
  init___s_reflect_ClassTag(tag) {
    this.tag$1 = tag;
    this.manifest$1 = tag;
    this.capacity$1 = 0;
    this.size$1 = 0;
    return this
  };
  ensureSize__p1__I__V(size) {
    if ((this.capacity$1 < size)) {
      let newsize = ((this.capacity$1 === 0) ? 16 : (this.capacity$1 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p1__I__V(newsize)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_WrappedArrayBuilder(elem)
  };
  $$plus$eq__O__scm_WrappedArrayBuilder(elem) {
    this.ensureSize__p1__I__V(((1 + this.size$1) | 0));
    this.elems$1.update__I__O__V(this.size$1, elem);
    this.size$1 = ((1 + this.size$1) | 0);
    return this
  };
  mkArray__p1__I__scm_WrappedArray(size) {
    const runtimeClass = this.tag$1.runtimeClass__jl_Class();
    const newelems = ((runtimeClass === $d_B.getClassOf()) ? new $c_scm_WrappedArray$ofByte().init___AB($newArrayObject($d_B.getArrayOf(), [size])) : ((runtimeClass === $d_S.getClassOf()) ? new $c_scm_WrappedArray$ofShort().init___AS($newArrayObject($d_S.getArrayOf(), [size])) : ((runtimeClass === $d_C.getClassOf()) ? new $c_scm_WrappedArray$ofChar().init___AC($newArrayObject($d_C.getArrayOf(), [size])) : ((runtimeClass === $d_I.getClassOf()) ? new $c_scm_WrappedArray$ofInt().init___AI($newArrayObject($d_I.getArrayOf(), [size])) : ((runtimeClass === $d_J.getClassOf()) ? new $c_scm_WrappedArray$ofLong().init___AJ($newArrayObject($d_J.getArrayOf(), [size])) : ((runtimeClass === $d_F.getClassOf()) ? new $c_scm_WrappedArray$ofFloat().init___AF($newArrayObject($d_F.getArrayOf(), [size])) : ((runtimeClass === $d_D.getClassOf()) ? new $c_scm_WrappedArray$ofDouble().init___AD($newArrayObject($d_D.getArrayOf(), [size])) : ((runtimeClass === $d_Z.getClassOf()) ? new $c_scm_WrappedArray$ofBoolean().init___AZ($newArrayObject($d_Z.getArrayOf(), [size])) : ((runtimeClass === $d_V.getClassOf()) ? new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($newArrayObject($d_sr_BoxedUnit.getArrayOf(), [size])) : new $c_scm_WrappedArray$ofRef().init___AO(this.tag$1.newArray__I__O(size)))))))))));
    if ((this.size$1 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$1.array__O(), 0, newelems.array__O(), 0, this.size$1)
    };
    return newelems
  };
  result__O() {
    return this.result__scm_WrappedArray()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  resize__p1__I__V(size) {
    this.elems$1 = this.mkArray__p1__I__scm_WrappedArray(size);
    this.capacity$1 = size
  };
  result__scm_WrappedArray() {
    if (((this.capacity$1 !== 0) && (this.capacity$1 === this.size$1))) {
      this.capacity$1 = 0;
      return this.elems$1
    } else {
      return this.mkArray__p1__I__scm_WrappedArray(this.size$1)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_WrappedArrayBuilder(elem)
  };
  sizeHint__I__V(size) {
    if ((this.capacity$1 < size)) {
      this.resize__p1__I__V(size)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_WrappedArrayBuilder = new $TypeData().initClass({
  scm_WrappedArrayBuilder: 0
}, false, "scala.collection.mutable.WrappedArrayBuilder", {
  scm_WrappedArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_WrappedArrayBuilder.prototype.$classData = $d_scm_WrappedArrayBuilder;
class $c_sr_NonLocalReturnControl extends $c_jl_Throwable {
  constructor() {
    super();
    this.key$2 = null;
    this.value$f = null
  };
  fillInStackTrace__jl_Throwable() {
    return this
  };
  value__O() {
    return this.value$f
  };
  value$mcV$sp__V() {
    this.value__O()
  };
  init___O__O(key, value) {
    this.key$2 = key;
    this.value$f = value;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  value$mcZ$sp__Z() {
    return (!(!this.value__O()))
  };
}
const $is_sr_NonLocalReturnControl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sr_NonLocalReturnControl)))
});
const $isArrayOf_sr_NonLocalReturnControl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_NonLocalReturnControl)))
});
const $d_sr_NonLocalReturnControl = new $TypeData().initClass({
  sr_NonLocalReturnControl: 0
}, false, "scala.runtime.NonLocalReturnControl", {
  sr_NonLocalReturnControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sr_NonLocalReturnControl.prototype.$classData = $d_sr_NonLocalReturnControl;
class $c_sr_ScalaRunTime$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.c$2 = 0;
    this.cmax$2 = 0;
    this.x$2$2 = null
  };
  next__O() {
    const result = this.x$2$2.productElement__I__O(this.c$2);
    this.c$2 = ((1 + this.c$2) | 0);
    return result
  };
  init___s_Product(x$2) {
    this.x$2$2 = x$2;
    this.c$2 = 0;
    this.cmax$2 = x$2.productArity__I();
    return this
  };
  hasNext__Z() {
    return (this.c$2 < this.cmax$2)
  };
}
const $d_sr_ScalaRunTime$$anon$1 = new $TypeData().initClass({
  sr_ScalaRunTime$$anon$1: 0
}, false, "scala.runtime.ScalaRunTime$$anon$1", {
  sr_ScalaRunTime$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sr_ScalaRunTime$$anon$1.prototype.$classData = $d_sr_ScalaRunTime$$anon$1;
class $c_Lamf_client_model_Annotations$$anonfun$custom$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_client_model_Annotations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_annotations_DomainExtensionAnnotation(x1)
  };
}
const $d_Lamf_client_model_Annotations$$anonfun$custom$2 = new $TypeData().initClass({
  Lamf_client_model_Annotations$$anonfun$custom$2: 0
}, false, "amf.client.model.Annotations$$anonfun$custom$2", {
  Lamf_client_model_Annotations$$anonfun$custom$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_Annotations$$anonfun$custom$2.prototype.$classData = $d_Lamf_client_model_Annotations$$anonfun$custom$2;
class $c_Lamf_client_model_document_DialectInstance extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectInstance(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DialectInstance.prototype.init___Lamf_plugins_document_vocabularies_model_document_DialectInstance.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DialectDomainElement__O(encoded) {
    return this.withEncodes__Lamf_client_model_domain_DialectDomainElement__Lamf_client_model_document_DialectInstance(encoded)
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$js$exported$meth$definedBy__O() {
    return this.definedBy__Lamf_client_model_StrField()
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  withEncodes__Lamf_client_model_domain_DialectDomainElement__Lamf_client_model_document_DialectInstance(encoded) {
    const this$1 = this.$$undinternal$1;
    const encoded$1 = encoded.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, encoded$1);
    return this
  };
  encodes__Lamf_client_model_domain_DialectDomainElement() {
    const this$1 = this.$$undinternal$1;
    return new $c_Lamf_client_model_domain_DialectDomainElement().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1))
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$prop$encodes__O() {
    return this.encodes__Lamf_client_model_domain_DialectDomainElement()
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$graphDependencies__O() {
    return this.graphDependencies__sjs_js_Array()
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(encoded) {
    return $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel(this, encoded)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  definedBy__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  withGraphDependencies__sjs_js_Array__Lamf_client_model_document_DialectInstance(ids) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const ids$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, ids, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().GraphDependencies$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, ids$1);
    return this
  };
  $$js$exported$meth$withGraphDependencies__sjs_js_Array__O(ids) {
    return this.withGraphDependencies__sjs_js_Array__Lamf_client_model_document_DialectInstance(ids)
  };
  $$js$exported$meth$withDefinedBy__T__O(dialectId) {
    return this.withDefinedBy__T__Lamf_client_model_document_DialectInstance(dialectId)
  };
  withDefinedBy__T__Lamf_client_model_document_DialectInstance(dialectId) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, dialectId);
    return this
  };
  graphDependencies__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().GraphDependencies$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withEncodes"(arg$1) {
    if ($is_Lamf_client_model_domain_DialectDomainElement(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DialectDomainElement__O(prep0)
    } else if ($is_Lamf_client_model_domain_DomainElement(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(prep0)
    } else {
      throw "No matching overload"
    }
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
  "withGraphDependencies"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withGraphDependencies__sjs_js_Array__O(prep0)
  };
  "withDefinedBy"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefinedBy__T__O(prep0)
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
  "graphDependencies"() {
    return this.$$js$exported$meth$graphDependencies__O()
  };
  "definedBy"() {
    return this.$$js$exported$meth$definedBy__O()
  };
}
const $d_Lamf_client_model_document_DialectInstance = new $TypeData().initClass({
  Lamf_client_model_document_DialectInstance: 0
}, false, "amf.client.model.document.DialectInstance", {
  Lamf_client_model_document_DialectInstance: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  Lamf_client_model_document_DeclaresModel: 1
});
$c_Lamf_client_model_document_DialectInstance.prototype.$classData = $d_Lamf_client_model_document_DialectInstance;
class $c_Lamf_client_model_document_Document extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$undinternal__Lamf_core_model_document_Document() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  init___Lamf_client_model_domain_DomainElement(encoding) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    $m_Lamf_client_convert_CoreClientConverters$();
    $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
    const encoded = encoding.$$undinternal__Lamf_core_model_domain_DomainElement();
    const field = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $c_Lamf_client_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$5, field, encoded));
    return this
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal__Lamf_core_model_document_BaseUnit();
    return this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal__Lamf_core_model_document_Document()
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal__Lamf_core_model_document_Document()
  };
  $$js$exported$prop$encodes__O() {
    return $f_Lamf_client_model_document_EncodesModel__encodes__Lamf_client_model_domain_DomainElement(this)
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(encoded) {
    return $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel(this, encoded)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal__Lamf_core_model_document_Document()
  };
  init___Lamf_core_model_document_Document(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal__Lamf_core_model_document_BaseUnit().id__T()
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withEncodes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
}
const $d_Lamf_client_model_document_Document = new $TypeData().initClass({
  Lamf_client_model_document_Document: 0
}, false, "amf.client.model.document.Document", {
  Lamf_client_model_document_Document: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  Lamf_client_model_document_DeclaresModel: 1
});
$c_Lamf_client_model_document_Document.prototype.$classData = $d_Lamf_client_model_document_Document;
class $c_Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x3) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x3)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_client_model_document_Vocabulary($$outer) {
    return this
  };
}
const $d_Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1 = new $TypeData().initClass({
  Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1: 0
}, false, "amf.client.model.document.Vocabulary$$anonfun$classTerms$1", {
  Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1.prototype.$classData = $d_Lamf_client_model_document_Vocabulary$$anonfun$classTerms$1;
class $c_Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x2) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_client_model_document_Vocabulary($$outer) {
    return this
  };
}
const $d_Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1 = new $TypeData().initClass({
  Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1: 0
}, false, "amf.client.model.document.Vocabulary$$anonfun$datatypePropertyTerms$1", {
  Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1.prototype.$classData = $d_Lamf_client_model_document_Vocabulary$$anonfun$datatypePropertyTerms$1;
class $c_Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_client_model_document_Vocabulary($$outer) {
    return this
  };
}
const $d_Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1 = new $TypeData().initClass({
  Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1: 0
}, false, "amf.client.model.document.Vocabulary$$anonfun$objectPropertyTerms$1", {
  Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1.prototype.$classData = $d_Lamf_client_model_document_Vocabulary$$anonfun$objectPropertyTerms$1;
class $c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.domainPlugin$2$2 = null
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return ($is_Lamf_core_exception_CyclicReferenceException(x1) && this.domainPlugin$2$2.allowRecursiveReferences__Z())
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    if ($is_Lamf_core_exception_CyclicReferenceException(x1)) {
      const x2 = x1;
      if (this.domainPlugin$2$2.allowRecursiveReferences__Z()) {
        const this$1 = x2.history$4;
        const fulllUrl = $f_sc_LinearSeqOptimized__last__O(this$1);
        return this.$$outer$2.resolveRecursiveUnit__T__s_concurrent_Future(fulllUrl)
      }
    };
    return $default.apply__O__O(x1)
  };
  init___Lamf_core_AMFCompiler__Lamf_core_plugins_AMFDocumentPlugin($$outer, domainPlugin$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.domainPlugin$2$2 = domainPlugin$2;
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1 = new $TypeData().initClass({
  Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1: 0
}, false, "amf.core.AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1", {
  Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1.prototype.$classData = $d_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$1;
class $c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.link$1$2 = null
  };
  init___Lamf_core_AMFCompiler__Lamf_core_parser_Reference($$outer, link$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.link$1$2 = link$1;
    return this
  };
  isDefinedAt__jl_Throwable__Z(x2) {
    return ($is_Lamf_core_remote_FileNotFound(x2) || $is_Ljava_net_URISyntaxException(x2))
  };
  applyOrElse__jl_Throwable__F1__O(x2, $default) {
    if (($is_Lamf_core_remote_FileNotFound(x2) || $is_Ljava_net_URISyntaxException(x2))) {
      if ((!this.link$1$2.isInferred__Z())) {
        const jsx$2 = this.link$1$2.refs$1;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x$9$2) {
            const x$9 = x$9$2;
            return x$9.node$1
          })
        })(this));
        const this$1 = $m_sc_Seq$();
        jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, x1) {
          return (function(ref$2) {
            const ref = ref$2;
            const this$3 = this$2.$$outer$2.amf$core$AMFCompiler$$ctx$1;
            const node = this$2.link$1$2.url$1;
            const message = x1.getMessage__T();
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$3, node, message, ref)
          })
        })(this, x2)))
      };
      return $m_s_None$()
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2 = new $TypeData().initClass({
  Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2: 0
}, false, "amf.core.AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2", {
  Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2.prototype.$classData = $d_Lamf_core_AMFCompiler$$anonfun$$nestedInanonfun$parseReferences$2$2;
class $c_Lamf_core_AMFSerializer$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_AMFSerializer($$outer) {
    return this
  };
  isDefinedAt__T__Z(x1) {
    return (x1 !== null)
  };
  applyOrElse__T__F1__O(x1, $default) {
    return ((x1 !== null) ? new $c_T2().init___O__O(x1, $m_Lamf_core_registries_AMFPluginsRegistry$().syntaxPluginForMediaType__T__s_Option(x1)) : $default.apply__O__O(x1))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__T__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__T__F1__O(x, $default)
  };
}
const $d_Lamf_core_AMFSerializer$$anonfun$1 = new $TypeData().initClass({
  Lamf_core_AMFSerializer$$anonfun$1: 0
}, false, "amf.core.AMFSerializer$$anonfun$1", {
  Lamf_core_AMFSerializer$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_AMFSerializer$$anonfun$1.prototype.$classData = $d_Lamf_core_AMFSerializer$$anonfun$1;
class $c_Lamf_core_annotations_DomainExtensionAnnotation extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___Lamf_core_model_domain_extensions_DomainExtension(extension) {
    this.extension$1 = extension;
    return this
  };
  productPrefix__T() {
    return "DomainExtensionAnnotation"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x$1)) {
      const DomainExtensionAnnotation$1 = x$1;
      const x = this.extension$1;
      const x$2 = DomainExtensionAnnotation$1.extension$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.extension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_DomainExtensionAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_DomainExtensionAnnotation)))
});
const $isArrayOf_Lamf_core_annotations_DomainExtensionAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_DomainExtensionAnnotation)))
});
const $d_Lamf_core_annotations_DomainExtensionAnnotation = new $TypeData().initClass({
  Lamf_core_annotations_DomainExtensionAnnotation: 0
}, false, "amf.core.annotations.DomainExtensionAnnotation", {
  Lamf_core_annotations_DomainExtensionAnnotation: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DomainExtensionAnnotation.prototype.$classData = $d_Lamf_core_annotations_DomainExtensionAnnotation;
class $c_Lamf_core_annotations_ExplicitField extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "ExplicitField"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_ExplicitField(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ExplicitField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ExplicitField)))
});
const $isArrayOf_Lamf_core_annotations_ExplicitField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ExplicitField)))
});
const $d_Lamf_core_annotations_ExplicitField = new $TypeData().initClass({
  Lamf_core_annotations_ExplicitField: 0
}, false, "amf.core.annotations.ExplicitField", {
  Lamf_core_annotations_ExplicitField: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ExplicitField.prototype.$classData = $d_Lamf_core_annotations_ExplicitField;
class $c_Lamf_core_annotations_ScalarType extends $c_O {
  constructor() {
    super();
    this.datatype$1 = null
  };
  productPrefix__T() {
    return "ScalarType"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_ScalarType(x$1)) {
      const ScalarType$1 = x$1;
      return (this.datatype$1 === ScalarType$1.datatype$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.datatype$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(datatype) {
    this.datatype$1 = datatype;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ScalarType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ScalarType)))
});
const $isArrayOf_Lamf_core_annotations_ScalarType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ScalarType)))
});
const $d_Lamf_core_annotations_ScalarType = new $TypeData().initClass({
  Lamf_core_annotations_ScalarType: 0
}, false, "amf.core.annotations.ScalarType", {
  Lamf_core_annotations_ScalarType: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ScalarType.prototype.$classData = $d_Lamf_core_annotations_ScalarType;
class $c_Lamf_core_annotations_SourceAST extends $c_O {
  constructor() {
    super();
    this.ast$1 = null
  };
  productPrefix__T() {
    return "SourceAST"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_SourceAST(x$1)) {
      const SourceAST$1 = x$1;
      const x = this.ast$1;
      const x$2 = SourceAST$1.ast$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lorg_yaml_model_YPart(ast) {
    this.ast$1 = ast;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SourceAST = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SourceAST)))
});
const $isArrayOf_Lamf_core_annotations_SourceAST = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SourceAST)))
});
const $d_Lamf_core_annotations_SourceAST = new $TypeData().initClass({
  Lamf_core_annotations_SourceAST: 0
}, false, "amf.core.annotations.SourceAST", {
  Lamf_core_annotations_SourceAST: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceAST.prototype.$classData = $d_Lamf_core_annotations_SourceAST;
class $c_Lamf_core_annotations_SourceNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null
  };
  productPrefix__T() {
    return "SourceNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_SourceNode(x$1)) {
      const SourceNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SourceNode$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode(node) {
    this.node$1 = node;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SourceNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SourceNode)))
});
const $isArrayOf_Lamf_core_annotations_SourceNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SourceNode)))
});
const $d_Lamf_core_annotations_SourceNode = new $TypeData().initClass({
  Lamf_core_annotations_SourceNode: 0
}, false, "amf.core.annotations.SourceNode", {
  Lamf_core_annotations_SourceNode: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceNode.prototype.$classData = $d_Lamf_core_annotations_SourceNode;
const $is_Lamf_core_emitter_SpecOrdering = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_SpecOrdering)))
});
const $isArrayOf_Lamf_core_emitter_SpecOrdering = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_SpecOrdering)))
});
class $c_Lamf_core_metamodel_Type$Scalar extends $c_O {
  constructor() {
    super();
    this.id$1 = null;
    this.type$1 = null;
    this.dynamicType$1 = false
  };
  productPrefix__T() {
    return "Scalar"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Type$Scalar(x$1)) {
      const Scalar$1 = x$1;
      return (this.id$1 === Scalar$1.id$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.id$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T(id) {
    this.id$1 = id;
    this.dynamicType$1 = false;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, id)]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $is_Lamf_core_metamodel_Type$Scalar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$Scalar)))
});
const $isArrayOf_Lamf_core_metamodel_Type$Scalar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$Scalar)))
});
const $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List = (function($thiz) {
  const x$5 = $thiz.Encodes__Lamf_core_metamodel_Field();
  const x$4 = $thiz.Declares__Lamf_core_metamodel_Field();
  const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
  const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
  return new $c_sci_$colon$colon().init___O__sci_List(x$5, this$2)
});
const $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V = (function($thiz) {
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const x$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Document");
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Fragment");
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Module");
  const this$7 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
  const this$8 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
  const this$9 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$8);
  $thiz.amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(new $c_sci_$colon$colon().init___O__sci_List(x$3, this$9))
});
class $c_Lamf_core_metamodel_document_ExternalFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_ExternalFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ExternalFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_ExternalFragmentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_ExternalFragmentModel$: 0
}, false, "amf.core.metamodel.document.ExternalFragmentModel$", {
  Lamf_core_metamodel_document_ExternalFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_ExternalFragmentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_ExternalFragmentModel$;
let $n_Lamf_core_metamodel_document_ExternalFragmentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_ExternalFragmentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_ExternalFragmentModel$)) {
    $n_Lamf_core_metamodel_document_ExternalFragmentModel$ = new $c_Lamf_core_metamodel_document_ExternalFragmentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_ExternalFragmentModel$
});
class $c_Lamf_core_metamodel_document_FragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_FragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Fragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$1 = this.Encodes$1;
    const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
    return new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    return $f_Lamf_core_metamodel_document_FragmentModel__modelInstance__Lamf_core_model_domain_AmfObject(this)
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_FragmentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_FragmentModel$: 0
}, false, "amf.core.metamodel.document.FragmentModel$", {
  Lamf_core_metamodel_document_FragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_FragmentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_FragmentModel$;
let $n_Lamf_core_metamodel_document_FragmentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_FragmentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_FragmentModel$)) {
    $n_Lamf_core_metamodel_document_FragmentModel$ = new $c_Lamf_core_metamodel_document_FragmentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_FragmentModel$
});
class $c_Lamf_core_metamodel_document_ModuleModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Declares$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_ModuleModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Module")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$1 = this.Declares$1;
    const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
    return new $c_sci_$colon$colon().init___O__sci_List(x$1, this$1)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_ModuleModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_ModuleModel$: 0
}, false, "amf.core.metamodel.document.ModuleModel$", {
  Lamf_core_metamodel_document_ModuleModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ModuleModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_ModuleModel$.prototype.$classData = $d_Lamf_core_metamodel_document_ModuleModel$;
let $n_Lamf_core_metamodel_document_ModuleModel$ = (void 0);
const $m_Lamf_core_metamodel_document_ModuleModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_ModuleModel$)) {
    $n_Lamf_core_metamodel_document_ModuleModel$ = new $c_Lamf_core_metamodel_document_ModuleModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_ModuleModel$
});
class $c_Lamf_core_metamodel_document_PayloadFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.MediaType$1 = null;
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_PayloadFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "mediaType"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Fragment")]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$2 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$7 = $m_sci_List$();
    this.type$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$3 = this.Encodes$1;
    const x$2 = this.MediaType$1;
    const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    return $f_Lamf_core_metamodel_document_FragmentModel__modelInstance__Lamf_core_model_domain_AmfObject(this)
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_PayloadFragmentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_PayloadFragmentModel$: 0
}, false, "amf.core.metamodel.document.PayloadFragmentModel$", {
  Lamf_core_metamodel_document_PayloadFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_core_metamodel_document_PayloadFragmentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_PayloadFragmentModel$;
let $n_Lamf_core_metamodel_document_PayloadFragmentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_PayloadFragmentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_PayloadFragmentModel$)) {
    $n_Lamf_core_metamodel_document_PayloadFragmentModel$ = new $c_Lamf_core_metamodel_document_PayloadFragmentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_PayloadFragmentModel$
});
const $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapePropertyDefinitions__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "customShapePropertyDefinitions"), true)
});
const $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true));
  const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true));
  const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true));
  const jsx$4 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "defaultValue"), true));
  const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "defaultValueStr"), true));
  const jsx$6 = new $c_Lamf_core_metamodel_Type$SortedArray().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
  const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "in"), true));
  const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
  const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "inherits"), true));
  const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
  const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "or"), true));
  const jsx$9 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
  const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "and"), true));
  const jsx$10 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
  const this$19 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "xone"), true));
  const jsx$11 = $m_Lamf_core_metamodel_domain_ShapeModel$();
  const this$21 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "not"), true));
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V($thiz.Name__Lamf_core_metamodel_Field());
  const jsx$12 = $m_Lamf_core_metamodel_Type$Bool$();
  const this$23 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "requiredShape"), false))
});
const $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapeProperties__Lamf_core_metamodel_Field = (function($thiz) {
  const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$());
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "customShapeProperties"), true)
});
const $is_Lamf_core_metamodel_domain_ShapeModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_domain_ShapeModel)))
});
const $isArrayOf_Lamf_core_metamodel_domain_ShapeModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_domain_ShapeModel)))
});
class $c_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.key$1 = null;
    this.Domain$1 = null;
    this.Schema$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    this.key$1 = this.Name$1;
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Rdfs$1;
    this.Domain$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "domain"), true);
    const jsx$5 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Schema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "schema"), true);
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Property");
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "DomainProperty");
    const this$15 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$16 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$15);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$16);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Domain$1, this.Schema$1, this.Name$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$: 0
}, false, "amf.core.metamodel.domain.extensions.CustomDomainPropertyModel$", {
  Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$;
let $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$ = new $c_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$
});
class $c_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_model_document_BaseUnit($$outer) {
    return this
  };
  applyOrElse__Lamf_core_model_domain_AmfObject__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_DataNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_AmfObject__Z(x1) {
    return $is_Lamf_core_model_domain_DataNode(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfObject__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfObject__F1__O(x, $default)
  };
}
const $d_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11 = new $TypeData().initClass({
  Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11: 0
}, false, "amf.core.model.document.BaseUnit$$anonfun$transformByCondition$11", {
  Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11.prototype.$classData = $d_Lamf_core_model_document_BaseUnit$$anonfun$transformByCondition$11;
class $c_Lamf_core_model_domain_AmfArray extends $c_O {
  constructor() {
    super();
    this.values$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "AmfArray"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_AmfArray(x$1)) {
      const AmfArray$1 = x$1;
      const x = this.values$1;
      const x$2 = AmfArray$1.values$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = AmfArray$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.values$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___sc_Seq__Lamf_core_parser_Annotations(values, annotations) {
    this.values$1 = values;
    this.annotations$1 = annotations;
    return this
  };
  $$plus$eq__Lamf_core_model_domain_AmfElement__V(value) {
    const jsx$1 = this.values$1;
    const this$1 = $m_sc_Seq$();
    this.values$1 = jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(value, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  scalars__sc_Seq() {
    const jsx$2 = this.values$1;
    const jsx$1 = new $c_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1().init___Lamf_core_model_domain_AmfArray(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_model_domain_AmfArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfArray)))
});
const $isArrayOf_Lamf_core_model_domain_AmfArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfArray)))
});
const $d_Lamf_core_model_domain_AmfArray = new $TypeData().initClass({
  Lamf_core_model_domain_AmfArray: 0
}, false, "amf.core.model.domain.AmfArray", {
  Lamf_core_model_domain_AmfArray: 1,
  O: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_AmfArray.prototype.$classData = $d_Lamf_core_model_domain_AmfArray;
class $c_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_model_domain_AmfArray($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_core_model_domain_AmfScalar(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_AmfScalar(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1 = new $TypeData().initClass({
  Lamf_core_model_domain_AmfArray$$anonfun$scalars$1: 0
}, false, "amf.core.model.domain.AmfArray$$anonfun$scalars$1", {
  Lamf_core_model_domain_AmfArray$$anonfun$scalars$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1.prototype.$classData = $d_Lamf_core_model_domain_AmfArray$$anonfun$scalars$1;
class $c_Lamf_core_model_domain_AmfScalar extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "AmfScalar"
  };
  productArity__I() {
    return 2
  };
  toNumber__jl_Number() {
    let rc9 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(this.value$1);
    if ($is_s_Some(x1)) {
      rc9 = true;
      x2 = x1;
      const v = x2.value$2;
      if ($is_T(v)) {
        const x5 = v;
        if (((x5.indexOf(".") | 0) > (-1))) {
          const this$4 = new $c_sci_StringOps().init___T(x5);
          const $$this = this$4.repr$1;
          const x = $fround($m_jl_Double$().parseDouble__T__D($$this));
          return x
        }
      }
    };
    if (rc9) {
      const v$2 = x2.value$2;
      if ($is_T(v$2)) {
        const x6 = v$2;
        const this$9 = new $c_sci_StringOps().init___T(x6);
        const this$11 = $m_jl_Integer$();
        const $$this$1 = this$9.repr$1;
        const x$1 = this$11.parseInt__T__I__I($$this$1, 10);
        return x$1
      }
    };
    if (rc9) {
      const v$3 = x2.value$2;
      return v$3
    };
    const x$2 = $m_s_None$();
    if ((x$2 === x1)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot transform null value into Number"))
    };
    throw new $c_s_MatchError().init___O(x1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_AmfScalar(x$1)) {
      const AmfScalar$1 = x$1;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(this.value$1, AmfScalar$1.value$1)) {
        const x = this.annotations$1;
        const x$2 = AmfScalar$1.annotations$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    const x1 = $m_s_Option$().apply__O__s_Option(this.value$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      return $objectToString(v)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return ""
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___O__Lamf_core_parser_Annotations(value, annotations) {
    this.value$1 = value;
    this.annotations$1 = annotations;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  toBool__Z() {
    let rc11 = false;
    let x2 = null;
    const x1 = $m_s_Option$().apply__O__s_Option(this.value$1);
    if ($is_s_Some(x1)) {
      rc11 = true;
      x2 = x1;
      const v = x2.value$2;
      if ($is_T(v)) {
        const x7 = v;
        const this$2 = new $c_sci_StringOps().init___T(x7);
        const $$this = this$2.repr$1;
        return $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z(this$2, $$this)
      }
    };
    if (rc11) {
      const p4 = x2.value$2;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(true, p4)) {
        return true
      }
    };
    if (rc11) {
      const p6 = x2.value$2;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(false, p6)) {
        return false
      }
    };
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot transform scalar value into Boolean"))
  };
}
const $is_Lamf_core_model_domain_AmfScalar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_AmfScalar)))
});
const $isArrayOf_Lamf_core_model_domain_AmfScalar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_AmfScalar)))
});
const $d_Lamf_core_model_domain_AmfScalar = new $TypeData().initClass({
  Lamf_core_model_domain_AmfScalar: 0
}, false, "amf.core.model.domain.AmfScalar", {
  Lamf_core_model_domain_AmfScalar: 1,
  O: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_AmfScalar.prototype.$classData = $d_Lamf_core_model_domain_AmfScalar;
class $c_Lamf_core_model_domain_ArrayNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null;
    this.Member$2 = null;
    this.members$2 = null
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(values, reportError) {
    const this$2 = this.members$2;
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$5 = arg1;
      b.$$plus$eq__O__scm_Builder(x$5.replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(values, reportError));
      these = these.tail__O()
    };
    this.members$2 = b.result__O();
    return this
  };
  positionFields__sc_Seq() {
    const this$2 = this.members$2;
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O(this$2, bf);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ((x0$3 !== null)) {
          const i = x0$3.$$und2$mcI$sp__I();
          const jsx$2 = $m_Lamf_core_metamodel_Type$EncodedIri$();
          const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
          const id = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["pos", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([i]));
          return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, id), true)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    const this$5 = $m_scm_ListBuffer$();
    return jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  dynamicFields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Member$2]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = this.positionFields__sc_Seq();
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_ArrayNode() {
    $m_Lamf_core_model_domain_ArrayNode$();
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$4 = this.members$2;
    const this$3 = $m_scm_ListBuffer$();
    const bf = this$3.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
    const this$5 = this$4.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$5;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$6 = arg1;
      b.$$plus$eq__O__scm_Builder(x$6.cloneNode__Lamf_core_model_domain_DataNode());
      these = these.tail__O()
    };
    cloned.members$2 = b.result__O();
    return cloned
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_ArrayNode()
  };
  addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(member) {
    return this.members$2.$$plus$eq__O__scm_ListBuffer(member.adopted__T__Lamf_core_model_domain_DataNode(this.id$1))
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const jsx$1 = $m_Lamf_core_model_domain_ArrayNode$().builderType$1;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Seq")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x = this.Member$2;
    if (((x === null) ? (f === null) : x.equals__O__Z(f))) {
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(this.members$2, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations))
    } else {
      const thiz = f.value$1.iri__T();
      const this$4 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
      const prefix = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "pos").iri__T();
      if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
        const this$15 = $m_jl_Integer$();
        const thiz$1 = f.value$1.iri__T();
        const this$11 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        const target = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "pos").iri__T();
        const s = thiz$1.split(target).join("");
        const pos = this$15.parseInt__T__I__I(s, 10);
        const member = this.members$2.apply__I__O(pos);
        const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(member.id$1, new $c_Lamf_core_parser_Annotations().init___());
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        return new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value$1, annotations$1))
      } else {
        return $m_s_None$()
      }
    }
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_DataNodeModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
    this.Member$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "member"), true);
    this.members$2 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
}
const $is_Lamf_core_model_domain_ArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ArrayNode)))
});
const $isArrayOf_Lamf_core_model_domain_ArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ArrayNode)))
});
const $d_Lamf_core_model_domain_ArrayNode = new $TypeData().initClass({
  Lamf_core_model_domain_ArrayNode: 0
}, false, "amf.core.model.domain.ArrayNode", {
  Lamf_core_model_domain_ArrayNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_ArrayNode.prototype.$classData = $d_Lamf_core_model_domain_ArrayNode;
class $c_Lamf_core_model_domain_LinkNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.alias$2 = null;
    this.value$2 = null;
    this.fields$2 = null;
    this.annotations$2 = null;
    this.Value$2 = null;
    this.Alias$2 = null;
    this.linkedDomainElement$2 = null
  };
  cloneNode__Lamf_core_model_domain_LinkNode() {
    $m_Lamf_core_model_domain_LinkNode$();
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_LinkNode().init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", "", new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.value$2 = this.value$2;
    cloned.alias$2 = this.alias$2;
    cloned.linkedDomainElement$2 = this.linkedDomainElement$2;
    return cloned
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(values, reportError) {
    return this
  };
  dynamicFields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Value$2]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(alias, value, fields, annotations) {
    this.alias$2 = alias;
    this.value$2 = value;
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.Value$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.Alias$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "alias"), true);
    this.linkedDomainElement$2 = $m_s_None$();
    return this
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  withLinkedDomainElement__Lamf_core_model_domain_DomainElement__Lamf_core_model_domain_LinkNode(domainElement) {
    this.linkedDomainElement$2 = new $c_s_Some().init___O(domainElement);
    return this
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_LinkNode()
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_model_domain_LinkNode$().builderType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x = this.Value$2;
    let maybeScalar;
    if (((x === null) ? (f === null) : x.equals__O__Z(f))) {
      maybeScalar = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.value$2, this.annotations$2))
    } else {
      const x$3 = this.Alias$2;
      if (((x$3 === null) ? (f === null) : x$3.equals__O__Z(f))) {
        maybeScalar = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.alias$2, this.annotations$2))
      } else {
        maybeScalar = $m_s_None$()
      }
    };
    if (maybeScalar.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = maybeScalar.get__O();
      const x$7 = arg1;
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(x$7, annotations))
    }
  };
}
const $is_Lamf_core_model_domain_LinkNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_LinkNode)))
});
const $isArrayOf_Lamf_core_model_domain_LinkNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_LinkNode)))
});
const $d_Lamf_core_model_domain_LinkNode = new $TypeData().initClass({
  Lamf_core_model_domain_LinkNode: 0
}, false, "amf.core.model.domain.LinkNode", {
  Lamf_core_model_domain_LinkNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_LinkNode.prototype.$classData = $d_Lamf_core_model_domain_LinkNode;
class $c_Lamf_core_model_domain_ObjectNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null;
    this.properties$2 = null;
    this.propertyAnnotations$2 = null
  };
  cloneNode__Lamf_core_model_domain_ObjectNode() {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = this.annotations$2;
    const cloned = new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    this.properties$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const property = x0$1.$$und1__O();
          const l = x0$1.$$und2__O();
          if ((property !== null)) {
            if ((l !== null)) {
              const jsx$1 = cloned$1.properties$2;
              const y = l.cloneNode__Lamf_core_model_domain_DataNode();
              jsx$1.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(property, y));
              const jsx$2 = cloned$1.propertyAnnotations$2;
              const y$1 = $this.propertyAnnotations$2.apply__O__O(property);
              return jsx$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(property, y$1))
            }
          }
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this, cloned)));
    return cloned
  };
  ensurePlainProperty__T__T(propertyOrUri) {
    const str = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
    if (((propertyOrUri.indexOf(str) | 0) === 0)) {
      const target = $m_Lamf_core_vocabulary_Namespace$().Data$1.base$1;
      return propertyOrUri.split(target).join("")
    } else {
      return propertyOrUri
    }
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(values, reportError) {
    this.properties$2.keys__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, values$1, reportError$1) {
      return (function(key$2) {
        const key = key$2;
        const value = $this.properties$2.apply__O__O(key).replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(values$1, reportError$1);
        $this.properties$2.remove__O__s_Option(key);
        const jsx$2 = $this.properties$2;
        const jsx$1 = $m_Lamf_core_resolution_VariableReplacer$();
        const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(key);
        const this$3 = this$2.platform$1;
        const url = this$2.str$1;
        const self = jsx$1.replaceVariables__T__sci_Set__T($f_Lamf_core_remote_JsPlatform__decodeURIComponent__T__T(this$3, url), values$1);
        return jsx$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self, value))
      })
    })(this, values, reportError)));
    this.propertyAnnotations$2.keys__sc_Iterable().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, values$2) {
      return (function(key$3$2) {
        const key$3 = key$3$2;
        const value$1 = this$2$1.propertyAnnotations$2.apply__O__O(key$3);
        this$2$1.propertyAnnotations$2.remove__O__s_Option(key$3);
        const jsx$4 = this$2$1.propertyAnnotations$2;
        const jsx$3 = $m_Lamf_core_resolution_VariableReplacer$();
        const this$7 = new $c_Lamf_core_utils_package$Strings().init___T(key$3);
        const this$8 = this$7.platform$1;
        const url$1 = this$7.str$1;
        const self$1 = jsx$3.replaceVariables__T__sci_Set__T($f_Lamf_core_remote_JsPlatform__decodeURIComponent__T__T(this$8, url$1), values$2);
        return jsx$4.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(self$1, value$1))
      })
    })(this, values)));
    return this
  };
  lexicalPropertiesAnnotation__s_Option() {
    const this$4 = this.propertyAnnotations$2;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const key = x0$2.$$und1__O();
          const ann = x0$2.$$und2__O();
          const this$1 = ann.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
          let xo;
          if (this$1.isEmpty__Z()) {
            xo = $m_s_None$()
          } else {
            const arg1 = this$1.get__O();
            const l = arg1;
            xo = new $c_s_Some().init___O(new $c_T2().init___O__O(key, l))
          };
          return xo.toList__sci_List()
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    const this$3 = $m_scm_Map$();
    const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$3);
    const stringToInformation = $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this$4, f, bf);
    if ($f_sc_TraversableOnce__nonEmpty__Z(stringToInformation)) {
      const ev = $m_s_Predef$().singleton$und$less$colon$less$2;
      const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
      stringToInformation.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, ev$1, b$1) {
        return (function(x$2) {
          return b$1.$$plus$eq__O__scm_Builder(x$2)
        })
      })(stringToInformation, ev, b)));
      return new $c_s_Some().init___O(new $c_Lamf_core_annotations_DataNodePropertiesAnnotations().init___sci_Map(b.elems$1))
    } else {
      return $m_s_None$()
    }
  };
  dynamicFields__sci_List() {
    const jsx$5 = this.properties$2.keys__sc_Iterable().toSeq__sc_Seq().sorted__s_math_Ordering__O($m_s_math_Ordering$String$());
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const jsx$4 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
        const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, p), true)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2).toList__sci_List();
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_ObjectNode()
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_model_domain_ObjectNode$().builderType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x1 = f.value$1.ns$1;
    const x = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    let maybeNode;
    if (((x === null) ? (x1 === null) : x.equals__O__Z(x1))) {
      maybeNode = this.properties$2.get__O__s_Option(f.value$1.name$1)
    } else {
      maybeNode = $m_s_None$()
    };
    if (maybeNode.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = maybeNode.get__O();
      const x$4 = arg1;
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(x$4, annotations))
    }
  };
  addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(propertyOrUri, objectValue, annotations) {
    const property = this.ensurePlainProperty__T__T(propertyOrUri);
    objectValue.adopted__T__Lamf_core_model_domain_DataNode(this.id$1);
    this.properties$2.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(property, objectValue));
    const x1 = this.propertyAnnotations$2.get__O__s_Option(property);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ann = x2.value$2;
      const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ann$1) {
        return (function(a$2) {
          const a = a$2;
          if ((!ann$1.contains__jl_Class__Z($objectGetClass(a)))) {
            ann$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(a)
          }
        })
      })(this, ann));
      annotations.amf$core$parser$Annotations$$annotations$1.foreach__F1__V(fn)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        this.propertyAnnotations$2.update__O__O__V(property, annotations)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return this
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    this.properties$2 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const x1 = annotations.find__jl_Class__s_Option($d_Lamf_core_annotations_DataNodePropertiesAnnotations.getClassOf());
    let jsx$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ann = x2.value$2;
      const this$5 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const this$4 = ann.properties$1;
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(t$2) {
          const t = t$2;
          const self = t.$$und1__O();
          const y = $m_Lamf_core_parser_Annotations$().apply__sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([t.$$und2__O()])));
          return new $c_T2().init___O__O(self, y)
        })
      })(this));
      const this$3 = $m_sci_Map$();
      const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$3);
      const xs = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$4, f, bf);
      const this$6 = this$5.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$5);
      const xs$1 = xs.seq__sc_TraversableOnce();
      jsx$1 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$6, xs$1)
    } else {
      jsx$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())
    };
    this.propertyAnnotations$2 = jsx$1;
    return this
  };
}
const $is_Lamf_core_model_domain_ObjectNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ObjectNode)))
});
const $isArrayOf_Lamf_core_model_domain_ObjectNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ObjectNode)))
});
const $d_Lamf_core_model_domain_ObjectNode = new $TypeData().initClass({
  Lamf_core_model_domain_ObjectNode: 0
}, false, "amf.core.model.domain.ObjectNode", {
  Lamf_core_model_domain_ObjectNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_ObjectNode.prototype.$classData = $d_Lamf_core_model_domain_ObjectNode;
class $c_Lamf_core_model_domain_ScalarNode extends $c_Lamf_core_model_domain_DataNode {
  constructor() {
    super();
    this.value$2 = null;
    this.dataType$2 = null;
    this.fields$2 = null;
    this.annotations$2 = null;
    this.Value$2 = null
  };
  cloneNode__Lamf_core_model_domain_ScalarNode() {
    $m_Lamf_core_model_domain_ScalarNode$();
    const annotations = this.annotations$2;
    const dataType = $m_s_None$();
    const cloned = new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.value$2 = this.value$2;
    cloned.dataType$2 = this.dataType$2;
    return cloned
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, dataType, fields, annotations) {
    this.value$2 = value;
    this.dataType$2 = dataType;
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_DataNode.prototype.init___Lamf_core_parser_Annotations.call(this, annotations);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Data$1;
    this.Value$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "value"), true);
    return this
  };
  replaceVariables__sci_Set__F1__Lamf_core_model_domain_DataNode(values, reportError) {
    return $m_Lamf_core_resolution_VariableReplacer$().replaceVariables__Lamf_core_model_domain_ScalarNode__sci_Set__F1__Lamf_core_model_domain_DataNode(this, values, reportError)
  };
  dynamicFields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Value$2]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return this.cloneNode__Lamf_core_model_domain_ScalarNode()
  };
  dynamicType__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_model_domain_ScalarNode$().builderType$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const x = this.Value$2;
    if (((x === null) ? (f === null) : x.equals__O__Z(f))) {
      const x1$2 = this.dataType$2;
      let annotations;
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const dt = x2.value$2;
        annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ScalarType().init___T(dt))
      } else {
        const x$3 = $m_s_None$();
        if ((!(x$3 === x1$2))) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        annotations = new $c_Lamf_core_parser_Annotations().init___()
      };
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.value$2, annotations);
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations$1))
    } else {
      return $m_s_None$()
    }
  };
}
const $is_Lamf_core_model_domain_ScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ScalarNode)))
});
const $isArrayOf_Lamf_core_model_domain_ScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ScalarNode)))
});
const $d_Lamf_core_model_domain_ScalarNode = new $TypeData().initClass({
  Lamf_core_model_domain_ScalarNode: 0
}, false, "amf.core.model.domain.ScalarNode", {
  Lamf_core_model_domain_ScalarNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_model_domain_ScalarNode.prototype.$classData = $d_Lamf_core_model_domain_ScalarNode;
class $c_Lamf_core_model_domain_Shape extends $c_O {
  constructor() {
    super();
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withCustomShapePropertyDefinition__T__Lamf_core_model_domain_extensions_PropertyShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field();
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  cloneShape$default$3__sci_Set() {
    return $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(onlyInherited, traversed) {
    const accInit = $m_sci_Map$EmptyMap$();
    const initialSequence = (onlyInherited ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([accInit])) : $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().CustomShapePropertyDefinitions__Lamf_core_metamodel_Field()).foldLeft__O__F2__O(accInit, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(acc$2, propertyShape$2) {
        const acc = acc$2;
        const propertyShape = propertyShape$2;
        const this$2 = propertyShape.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$3 = this$2.option$1;
        return acc.updated__O__O__sci_Map((this$3.isEmpty__Z() ? null : this$3.get__O()), propertyShape)
      })
    })(this)))])));
    return (this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).nonEmpty__Z() ? this.effectiveInherits__sc_Seq().foldLeft__O__F2__O(initialSequence, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2$1, traversed$1) {
      return (function(acc$3$2, baseShape$2) {
        const acc$3 = acc$3$2;
        const baseShape = baseShape$2;
        if ((!traversed$1.contains__O__Z(baseShape.id$1))) {
          const jsx$3 = baseShape.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(false, traversed$1.$$plus__O__sc_Set(baseShape.id$1));
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, acc$1) {
            return (function(facetsMap$2) {
              const facetsMap = facetsMap$2;
              const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, facetsMap$1) {
                return (function(accFacetsMap$2) {
                  const accFacetsMap = accFacetsMap$2;
                  return accFacetsMap.$$plus$plus__sc_GenTraversableOnce__sci_Map(facetsMap$1)
                })
              })($this$1, facetsMap));
              const this$4 = $m_sc_Seq$();
              return acc$1.map__F1__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2)
            })
          })(this$2$1, acc$3));
          const this$5 = $m_sc_Seq$();
          return jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
        } else {
          return acc$3
        }
      })
    })(this, traversed))) : initialSequence)
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  afterResolve__V() {
    /*<skip>*/
  };
  effectiveInherits__sc_Seq() {
    const jsx$2 = this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(base$2) {
        const base = base$2;
        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(base).isDefined__Z()) {
          const x1 = base.effectiveLinkTarget__Lamf_core_model_domain_DomainElement();
          if ($is_Lamf_core_model_domain_Shape(x1)) {
            const x2 = x1;
            return x2
          } else {
            return base
          }
        } else {
          return base
        }
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (x$1.id$1 !== this$2.id$1)
      })
    })(this)))
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  copyFields__s_Option__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(recursionErrorHandler, cloned, recursionBase, traversed) {
    const this$2 = this.fields__Lamf_core_parser_Fields();
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, recursionErrorHandler$1, cloned$1, recursionBase$1, traversed$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          let rc6 = false;
          let x2 = null;
          const x1$2 = v.value$1;
          let clonedValue;
          matchEnd7: {
            if ($is_Lamf_core_model_domain_Shape(x1$2)) {
              rc6 = true;
              x2 = x1$2;
              if ((x2.id$1 !== $this.id$1)) {
                clonedValue = x2.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionErrorHandler$1, recursionBase$1, traversed$1);
                break matchEnd7
              }
            };
            if ((rc6 && (x2.id$1 === $this.id$1))) {
              clonedValue = x2;
              break matchEnd7
            };
            if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
              const x4 = x1$2;
              const jsx$2 = x4.values$1;
              const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, recursionErrorHandler$1$1, recursionBase$1$1, traversed$1$1) {
                return (function(x0$2$2) {
                  const x0$2 = x0$2$2;
                  let rc5 = false;
                  let x2$1 = null;
                  if ($is_Lamf_core_model_domain_Shape(x0$2)) {
                    rc5 = true;
                    x2$1 = x0$2;
                    if ((x2$1.id$1 !== $this$1.id$1)) {
                      return x2$1.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionErrorHandler$1$1, recursionBase$1$1, traversed$1$1)
                    }
                  };
                  if ((rc5 && (x2$1.id$1 === $this$1.id$1))) {
                    return x2$1
                  };
                  return x0$2
                })
              })($this, recursionErrorHandler$1, recursionBase$1, traversed$1));
              const this$1 = $m_sc_Seq$();
              clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2), x4.annotations$1);
              break matchEnd7
            };
            clonedValue = x1$2
          };
          cloned$1.fields__Lamf_core_parser_Fields().setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(f, clonedValue, v.annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, recursionErrorHandler, cloned, recursionBase, traversed));
    this$2.fs$1.foreach__F1__V(fn)
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  cloneShape$default$2__s_Option() {
    return $m_s_None$()
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_Shape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_Shape)))
});
const $isArrayOf_Lamf_core_model_domain_Shape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_Shape)))
});
class $c_Lamf_core_model_domain_templates_AbstractDeclaration extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  description__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Description$1)
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.name__Lamf_core_model_StrField().option$1;
    const str = (this$1.isEmpty__Z() ? "default-abstract" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  dataNode__Lamf_core_model_domain_DataNode() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().DataNode$1)
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1)
  };
  variables__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Variables$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_templates_AbstractDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_AbstractDeclaration)))
});
const $isArrayOf_Lamf_core_model_domain_templates_AbstractDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_AbstractDeclaration)))
});
class $c_Lamf_core_parser_Annotations$$anonfun$serializables$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_SerializableAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  init___Lamf_core_parser_Annotations($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_model_domain_SerializableAnnotation(x1)
  };
}
const $d_Lamf_core_parser_Annotations$$anonfun$serializables$1 = new $TypeData().initClass({
  Lamf_core_parser_Annotations$$anonfun$serializables$1: 0
}, false, "amf.core.parser.Annotations$$anonfun$serializables$1", {
  Lamf_core_parser_Annotations$$anonfun$serializables$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Annotations$$anonfun$serializables$1.prototype.$classData = $d_Lamf_core_parser_Annotations$$anonfun$serializables$1;
class $c_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_core_model_domain_extensions_CustomDomainProperty(x1)
  };
  init___Lamf_core_parser_Declarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2 = new $TypeData().initClass({
  Lamf_core_parser_Declarations$$anonfun$findAnnotation$2: 0
}, false, "amf.core.parser.Declarations$$anonfun$findAnnotation$2", {
  Lamf_core_parser_Declarations$$anonfun$findAnnotation$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2.prototype.$classData = $d_Lamf_core_parser_Declarations$$anonfun$findAnnotation$2;
class $c_Lamf_core_parser_EmptyReferenceCollector$ extends $c_Lamf_core_parser_ReferenceCollector {
  init___() {
    $c_Lamf_core_parser_ReferenceCollector.prototype.init___.call(this);
    return this
  };
}
const $d_Lamf_core_parser_EmptyReferenceCollector$ = new $TypeData().initClass({
  Lamf_core_parser_EmptyReferenceCollector$: 0
}, false, "amf.core.parser.EmptyReferenceCollector$", {
  Lamf_core_parser_EmptyReferenceCollector$: 1,
  Lamf_core_parser_ReferenceCollector: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_EmptyReferenceCollector$.prototype.$classData = $d_Lamf_core_parser_EmptyReferenceCollector$;
let $n_Lamf_core_parser_EmptyReferenceCollector$ = (void 0);
const $m_Lamf_core_parser_EmptyReferenceCollector$ = (function() {
  if ((!$n_Lamf_core_parser_EmptyReferenceCollector$)) {
    $n_Lamf_core_parser_EmptyReferenceCollector$ = new $c_Lamf_core_parser_EmptyReferenceCollector$().init___()
  };
  return $n_Lamf_core_parser_EmptyReferenceCollector$
});
class $c_Lamf_core_parser_Position extends $c_O {
  constructor() {
    super();
    this.line$1 = 0;
    this.column$1 = 0
  };
  productPrefix__T() {
    return "Position"
  };
  compareTo__Lamf_core_parser_Position__I(o) {
    const result = ((this.line$1 - o.line$1) | 0);
    return ((result === 0) ? ((this.column$1 - o.column$1) | 0) : result)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_Position(x$1)) {
      const Position$1 = x$1;
      return ((this.line$1 === Position$1.line$1) && (this.column$1 === Position$1.column$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.line$1;
        break
      }
      case 1: {
        return this.column$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  min__Lamf_core_parser_Position__Lamf_core_parser_Position(other) {
    return (((this.line$1 < other.line$1) || ((this.line$1 === other.line$1) && (this.column$1 <= other.column$1))) ? this : other)
  };
  $$js$exported$meth$toString__O() {
    return this.toString__T()
  };
  isZero__Z() {
    const x$2 = $m_Lamf_core_parser_Position$ZERO$();
    return this.equals__O__Z(x$2)
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(", ",", ")"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.line$1, this.column$1]))
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Lamf_core_parser_Position__I(x$1)
  };
  init___I__I(line, column) {
    this.line$1 = line;
    this.column$1 = column;
    return this
  };
  $$js$exported$meth$max__Lamf_core_parser_Position__O(other) {
    return this.max__Lamf_core_parser_Position__Lamf_core_parser_Position(other)
  };
  $$js$exported$meth$min__Lamf_core_parser_Position__O(other) {
    return this.min__Lamf_core_parser_Position__Lamf_core_parser_Position(other)
  };
  max__Lamf_core_parser_Position__Lamf_core_parser_Position(other) {
    return (((this.line$1 > other.line$1) || ((this.line$1 === other.line$1) && (this.column$1 >= other.column$1))) ? this : other)
  };
  $$js$exported$prop$column__O() {
    return this.column$1
  };
  $$js$exported$prop$line__O() {
    return this.line$1
  };
  $$js$exported$prop$isZero__O() {
    return this.isZero__Z()
  };
  $$js$exported$meth$lt__Lamf_core_parser_Position__O(o) {
    return this.lt__Lamf_core_parser_Position__Z(o)
  };
  lt__Lamf_core_parser_Position__Z(o) {
    return (this.compareTo__Lamf_core_parser_Position__I(o) < 0)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.line$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.column$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$compareTo__Lamf_core_parser_Position__O(o) {
    return this.compareTo__Lamf_core_parser_Position__I(o)
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "isZero"() {
    return this.$$js$exported$prop$isZero__O()
  };
  "compareTo"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$compareTo__Lamf_core_parser_Position__O(prep0)
  };
  "max"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$max__Lamf_core_parser_Position__O(prep0)
  };
  "min"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$min__Lamf_core_parser_Position__O(prep0)
  };
  "lt"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$lt__Lamf_core_parser_Position__O(prep0)
  };
  get "column"() {
    return this.$$js$exported$prop$column__O()
  };
  get "line"() {
    return this.$$js$exported$prop$line__O()
  };
}
const $is_Lamf_core_parser_Position = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Position)))
});
const $isArrayOf_Lamf_core_parser_Position = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Position)))
});
const $d_Lamf_core_parser_Position = new $TypeData().initClass({
  Lamf_core_parser_Position: 0
}, false, "amf.core.parser.Position", {
  Lamf_core_parser_Position: 1,
  O: 1,
  jl_Comparable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Position.prototype.$classData = $d_Lamf_core_parser_Position;
class $c_Lamf_core_parser_Range$NONE$ extends $c_Lamf_core_parser_Range {
  init___() {
    $c_Lamf_core_parser_Range.prototype.init___Lamf_core_parser_Position__Lamf_core_parser_Position.call(this, $m_Lamf_core_parser_Position$ZERO$(), $m_Lamf_core_parser_Position$ZERO$());
    return this
  };
}
const $d_Lamf_core_parser_Range$NONE$ = new $TypeData().initClass({
  Lamf_core_parser_Range$NONE$: 0
}, false, "amf.core.parser.Range$NONE$", {
  Lamf_core_parser_Range$NONE$: 1,
  Lamf_core_parser_Range: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Range$NONE$.prototype.$classData = $d_Lamf_core_parser_Range$NONE$;
let $n_Lamf_core_parser_Range$NONE$ = (void 0);
const $m_Lamf_core_parser_Range$NONE$ = (function() {
  if ((!$n_Lamf_core_parser_Range$NONE$)) {
    $n_Lamf_core_parser_Range$NONE$ = new $c_Lamf_core_parser_Range$NONE$().init___()
  };
  return $n_Lamf_core_parser_Range$NONE$
});
class $c_Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.url$2$2 = null;
    this.tail$1$2 = null
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return true
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    const this$1 = this.$$outer$2;
    const url = this.url$2$2;
    const loaders = this.tail$1$2;
    return $f_Lamf_core_remote_Platform__amf$core$remote$Platform$$loaderConcat__T__sc_Seq__s_concurrent_Future(this$1, url, loaders)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
  init___Lamf_core_remote_Platform__T__sci_List($$outer, url$2, tail$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.url$2$2 = url$2;
    this.tail$1$2 = tail$1;
    return this
  };
}
const $d_Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1 = new $TypeData().initClass({
  Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1: 0
}, false, "amf.core.remote.Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1", {
  Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1.prototype.$classData = $d_Lamf_core_remote_Platform$$anonfun$amf$core$remote$Platform$$loaderConcat$1;
class $c_Lamf_core_remote_Syntax$Json$ extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___() {
    this.extension$1 = "json";
    return this
  };
  productPrefix__T() {
    return "Json"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Json"
  };
  hashCode__I() {
    return 2318600
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lamf_core_remote_Syntax$Json$ = new $TypeData().initClass({
  Lamf_core_remote_Syntax$Json$: 0
}, false, "amf.core.remote.Syntax$Json$", {
  Lamf_core_remote_Syntax$Json$: 1,
  O: 1,
  Lamf_core_remote_Syntax$Syntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Syntax$Json$.prototype.$classData = $d_Lamf_core_remote_Syntax$Json$;
let $n_Lamf_core_remote_Syntax$Json$ = (void 0);
const $m_Lamf_core_remote_Syntax$Json$ = (function() {
  if ((!$n_Lamf_core_remote_Syntax$Json$)) {
    $n_Lamf_core_remote_Syntax$Json$ = new $c_Lamf_core_remote_Syntax$Json$().init___()
  };
  return $n_Lamf_core_remote_Syntax$Json$
});
class $c_Lamf_core_remote_Syntax$PlainText$ extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___() {
    this.extension$1 = "txt";
    return this
  };
  productPrefix__T() {
    return "PlainText"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "PlainText"
  };
  hashCode__I() {
    return (-318718473)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lamf_core_remote_Syntax$PlainText$ = new $TypeData().initClass({
  Lamf_core_remote_Syntax$PlainText$: 0
}, false, "amf.core.remote.Syntax$PlainText$", {
  Lamf_core_remote_Syntax$PlainText$: 1,
  O: 1,
  Lamf_core_remote_Syntax$Syntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Syntax$PlainText$.prototype.$classData = $d_Lamf_core_remote_Syntax$PlainText$;
let $n_Lamf_core_remote_Syntax$PlainText$ = (void 0);
const $m_Lamf_core_remote_Syntax$PlainText$ = (function() {
  if ((!$n_Lamf_core_remote_Syntax$PlainText$)) {
    $n_Lamf_core_remote_Syntax$PlainText$ = new $c_Lamf_core_remote_Syntax$PlainText$().init___()
  };
  return $n_Lamf_core_remote_Syntax$PlainText$
});
class $c_Lamf_core_remote_Syntax$Yaml$ extends $c_O {
  constructor() {
    super();
    this.extension$1 = null
  };
  init___() {
    this.extension$1 = "yaml";
    return this
  };
  productPrefix__T() {
    return "Yaml"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Yaml"
  };
  hashCode__I() {
    return 2748103
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lamf_core_remote_Syntax$Yaml$ = new $TypeData().initClass({
  Lamf_core_remote_Syntax$Yaml$: 0
}, false, "amf.core.remote.Syntax$Yaml$", {
  Lamf_core_remote_Syntax$Yaml$: 1,
  O: 1,
  Lamf_core_remote_Syntax$Syntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_Syntax$Yaml$.prototype.$classData = $d_Lamf_core_remote_Syntax$Yaml$;
let $n_Lamf_core_remote_Syntax$Yaml$ = (void 0);
const $m_Lamf_core_remote_Syntax$Yaml$ = (function() {
  if ((!$n_Lamf_core_remote_Syntax$Yaml$)) {
    $n_Lamf_core_remote_Syntax$Yaml$ = new $c_Lamf_core_remote_Syntax$Yaml$().init___()
  };
  return $n_Lamf_core_remote_Syntax$Yaml$
});
class $c_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null;
    this.resource$1$2 = null
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return $is_Ljava_io_IOException(x1)
  };
  init___Lamf_core_remote_server_JsServerFileResourceLoader__T($$outer, resource$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.resource$1$2 = resource$1;
    return this
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    if ($is_Ljava_io_IOException(x1)) {
      const jsx$1 = $m_Lorg_mulesoft_common_io_Fs$();
      const str = this.resource$1$2;
      const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(str);
      const this$3 = this$2.platform$1;
      const url = this$2.str$1;
      const qual$2 = jsx$1.asyncFile__T__Lorg_mulesoft_common_io_AsyncFile($f_Lamf_core_remote_JsPlatform__decodeURI__T__T(this$3, url));
      return qual$2.read__T__s_concurrent_Future("UTF-8").map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(content$2) {
          const content = content$2;
          const jsx$4 = new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence($this.resource$1$2, content);
          const jsx$3 = $this.$$outer$2.ensureFileAuthority__T__T($this.resource$1$2);
          const this$4 = $m_Lamf_core_remote_FileMediaType$();
          const path = $this.resource$1$2;
          const this$5 = $f_Lamf_core_remote_FileMediaType__extension__T__s_Option(this$4, path);
          let jsx$2;
          if (this$5.isEmpty__Z()) {
            jsx$2 = $m_s_None$()
          } else {
            const arg1 = this$5.get__O();
            const extension = arg1;
            const this$6 = $m_Lamf_core_remote_FileMediaType$();
            jsx$2 = $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option(this$6, extension)
          };
          return new $c_Lamf_client_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(jsx$4, jsx$3, jsx$2)
        })
      })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3().init___Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3(this), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3 = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3: 0
}, false, "amf.core.remote.server.JsServerFileResourceLoader$$anonfun$fetchFile$3", {
  Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3.prototype.$classData = $d_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3;
class $c_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3 extends $c_sr_AbstractPartialFunction {
  init___Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3($$outer) {
    return this
  };
  isDefinedAt__jl_Throwable__Z(x2) {
    return $is_Ljava_io_IOException(x2)
  };
  applyOrElse__jl_Throwable__F1__O(x2, $default) {
    if ($is_Ljava_io_IOException(x2)) {
      const x2$2 = x2;
      throw new $c_Lamf_core_remote_FileNotFound().init___jl_Exception(x2$2)
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3 = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3: 0
}, false, "amf.core.remote.server.JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3", {
  Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3.prototype.$classData = $d_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3$$anonfun$applyOrElse$3;
class $c_Lamf_core_resolution_VariableReplacer$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YScalar(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      return x2.mark$3.markText__T__T(x2.text$3)
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_core_resolution_VariableReplacer$$anonfun$1 = new $TypeData().initClass({
  Lamf_core_resolution_VariableReplacer$$anonfun$1: 0
}, false, "amf.core.resolution.VariableReplacer$$anonfun$1", {
  Lamf_core_resolution_VariableReplacer$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_resolution_VariableReplacer$$anonfun$1.prototype.$classData = $d_Lamf_core_resolution_VariableReplacer$$anonfun$1;
class $c_Lamf_core_resolution_stages_ResolvedNamedEntity extends $c_O {
  constructor() {
    super();
    this.vals$1 = null
  };
  productPrefix__T() {
    return "ResolvedNamedEntity"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_resolution_stages_ResolvedNamedEntity(x$1)) {
      const ResolvedNamedEntity$1 = x$1;
      const x = this.vals$1;
      const x$2 = ResolvedNamedEntity$1.vals$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.vals$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___scm_HashMap(vals) {
    this.vals$1 = vals;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_resolution_stages_ResolvedNamedEntity = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_resolution_stages_ResolvedNamedEntity)))
});
const $isArrayOf_Lamf_core_resolution_stages_ResolvedNamedEntity = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_resolution_stages_ResolvedNamedEntity)))
});
const $d_Lamf_core_resolution_stages_ResolvedNamedEntity = new $TypeData().initClass({
  Lamf_core_resolution_stages_ResolvedNamedEntity: 0
}, false, "amf.core.resolution.stages.ResolvedNamedEntity", {
  Lamf_core_resolution_stages_ResolvedNamedEntity: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_resolution_stages_ResolvedNamedEntity.prototype.$classData = $d_Lamf_core_resolution_stages_ResolvedNamedEntity;
class $c_Lamf_internal_resource_ResourceLoaderAdapter extends $c_O {
  constructor() {
    super();
    this.adaptee$1 = null
  };
  productPrefix__T() {
    return "ResourceLoaderAdapter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_internal_resource_ResourceLoaderAdapter(x$1)) {
      const ResourceLoaderAdapter$1 = x$1;
      const x = this.adaptee$1;
      const x$2 = ResourceLoaderAdapter$1.adaptee$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.adaptee$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fetch__T__s_concurrent_Future(resource) {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.adaptee$1.fetch__T__sjs_js_Promise(resource);
    const m = $m_Lamf_client_convert_CoreClientConverters$().ContentMatcher__Lamf_client_convert_CoreBaseConverter$ContentMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$ClientFutureOps().init___Lamf_client_convert_FutureConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, from, m).asInternal__s_concurrent_Future()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_client_resource_ResourceLoader(adaptee) {
    this.adaptee$1 = adaptee;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  accepts__T__Z(resource) {
    return this.adaptee$1.accepts__T__Z(resource)
  };
}
const $is_Lamf_internal_resource_ResourceLoaderAdapter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_internal_resource_ResourceLoaderAdapter)))
});
const $isArrayOf_Lamf_internal_resource_ResourceLoaderAdapter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_internal_resource_ResourceLoaderAdapter)))
});
const $d_Lamf_internal_resource_ResourceLoaderAdapter = new $TypeData().initClass({
  Lamf_internal_resource_ResourceLoaderAdapter: 0
}, false, "amf.internal.resource.ResourceLoaderAdapter", {
  Lamf_internal_resource_ResourceLoaderAdapter: 1,
  O: 1,
  Lamf_internal_resource_ResourceLoader: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_internal_resource_ResourceLoaderAdapter.prototype.$classData = $d_Lamf_internal_resource_ResourceLoaderAdapter;
class $c_Lamf_internal_resource_StringResourceLoader extends $c_O {
  constructor() {
    super();
    this.url$1 = null;
    this.content$1 = null;
    this.$$undcontent$1 = null
  };
  init___T__T(url, content) {
    this.url$1 = url;
    this.content$1 = content;
    this.$$undcontent$1 = new $c_Lamf_client_remote_Content().init___T__T(content, url);
    return this
  };
  productPrefix__T() {
    return "StringResourceLoader"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_internal_resource_StringResourceLoader(x$1)) {
      const StringResourceLoader$1 = x$1;
      return ((this.url$1 === StringResourceLoader$1.url$1) && (this.content$1 === StringResourceLoader$1.content$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.url$1;
        break
      }
      case 1: {
        return this.content$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fetch__T__s_concurrent_Future(resource) {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this.$$undcontent$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  accepts__T__Z(resource) {
    return (resource === this.url$1)
  };
}
const $is_Lamf_internal_resource_StringResourceLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_internal_resource_StringResourceLoader)))
});
const $isArrayOf_Lamf_internal_resource_StringResourceLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_internal_resource_StringResourceLoader)))
});
const $d_Lamf_internal_resource_StringResourceLoader = new $TypeData().initClass({
  Lamf_internal_resource_StringResourceLoader: 0
}, false, "amf.internal.resource.StringResourceLoader", {
  Lamf_internal_resource_StringResourceLoader: 1,
  O: 1,
  Lamf_internal_resource_ResourceLoader: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_internal_resource_StringResourceLoader.prototype.$classData = $d_Lamf_internal_resource_StringResourceLoader;
class $c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_graph_parser_GraphEmitter$Emitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_annotations_DomainExtensionAnnotation(x1)
  };
}
const $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1 = new $TypeData().initClass({
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1: 0
}, false, "amf.plugins.document.graph.parser.GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1", {
  Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1.prototype.$classData = $d_Lamf_plugins_document_graph_parser_GraphEmitter$Emitter$$anonfun$$nestedInanonfun$createCustomExtensions$3$1;
class $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.typeString$1$2 = null
  };
  isDefinedAt__Lamf_plugins_document_vocabularies_model_document_Dialect__Z(x2) {
    return (x2 !== null)
  };
  init___Lamf_plugins_document_vocabularies_DialectsRegistry__T($$outer, typeString$1) {
    this.typeString$1$2 = typeString$1;
    return this
  };
  applyOrElse__Lamf_plugins_document_vocabularies_model_document_Dialect__F1__O(x2, $default) {
    if ((x2 !== null)) {
      const this$1 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x0$1)) {
            const x2$1 = x0$1;
            return (x2$1.id$1 === $this.typeString$1$2)
          } else {
            return false
          }
        })
      })(this)));
      if (this$1.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const nodeMapping = arg1;
        return new $c_s_Some().init___O(new $c_T2().init___O__O(x2, nodeMapping))
      }
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_plugins_document_vocabularies_model_document_Dialect__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_plugins_document_vocabularies_model_document_Dialect__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.DialectsRegistry$$anonfun$1", {
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x3, $default) {
    if ($is_s_Some(x3)) {
      const x2 = x3;
      const x = x2.value$2;
      return x
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_vocabularies_DialectsRegistry($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x3) {
    return $is_s_Some(x3)
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2: 0
}, false, "amf.plugins.document.vocabularies.DialectsRegistry$$anonfun$2", {
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$2;
class $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x4, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x4)) {
      const x2 = x4;
      return x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$4$2) {
          const x$4 = x$4$2;
          const x = x$4.classification__Lamf_plugins_document_vocabularies_model_domain_PropertyClassification();
          const x$2 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$();
          return ((x !== null) && (x === x$2))
        })
      })(this)))
    } else {
      return $default.apply__O__O(x4)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x4) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x4)
  };
  init___Lamf_plugins_document_vocabularies_DialectsRegistry($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3: 0
}, false, "amf.plugins.document.vocabularies.DialectsRegistry$$anonfun$3", {
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$3;
class $c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4 extends $c_sr_AbstractPartialFunction {
  applyOrElse__T2__F1__O(x1, $default) {
    if ((x1 !== null)) {
      const dialect = x1.$$und1__O();
      const p2 = x1.$$und2__O();
      if ($is_s_Some(p2)) {
        const x3 = p2;
        const nodeMapping = x3.value$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
          const x4 = nodeMapping;
          return new $c_T2().init___O__O(dialect, x4)
        }
      }
    };
    return $default.apply__O__O(x1)
  };
  init___Lamf_plugins_document_vocabularies_DialectsRegistry($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__T2__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__T2__F1__O(x, $default)
  };
  isDefinedAt__T2__Z(x1) {
    if ((x1 !== null)) {
      const p2 = x1.$$und2__O();
      if ($is_s_Some(p2)) {
        const x3 = p2;
        const nodeMapping = x3.value$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(nodeMapping)) {
          return true
        }
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4: 0
}, false, "amf.plugins.document.vocabularies.DialectsRegistry$$anonfun$findNode$4", {
  Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_DialectsRegistry$$anonfun$findNode$4;
class $c_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YNode(x1)
  };
  init___Lamf_plugins_document_vocabularies_JsonHeaderExtractor($$outer) {
    return this
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YNode(x1)) {
      const x2 = x1;
      const x1$3 = x2.asOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_Some(x1$3)) {
        const x2$2 = x1$3;
        const m = x2$2.value$2;
        const this$1 = m.entries$3.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x$1$2) {
            const x$1 = x$1$2;
            const x = x$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            return ((x !== null) && $objectEquals(x, "$dialect"))
          })
        })(this)));
        if (this$1.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const entry = arg1;
          return new $c_s_Some().init___O(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1))
        }
      } else {
        const x$2 = $m_s_None$();
        if ((x$2 === x1$3)) {
          return $m_s_None$()
        } else {
          throw new $c_s_MatchError().init___O(x1$3)
        }
      }
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.JsonHeaderExtractor$$anonfun$1", {
  Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_JsonHeaderExtractor($$outer) {
    return this
  };
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const metaText = x2$2.value$2;
      return metaText
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x2) {
    return $is_s_Some(x2)
  };
}
const $d_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1: 0
}, false, "amf.plugins.document.vocabularies.JsonHeaderExtractor$$anonfun$dialect$1", {
  Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_JsonHeaderExtractor$$anonfun$dialect$1;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x5, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x5)) {
      const x2 = x5;
      return x2
    } else {
      return $default.apply__O__O(x5)
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x5) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x5)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectDocumentsEmitters$$anonfun$5", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters$$anonfun$5;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "DialectEmitter"
  };
  emitDialect__Lorg_yaml_model_YDocument() {
    const ordering = this.ordering$1;
    const jsx$2 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__rootLevelEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(this, ordering);
    const ordering$1 = this.ordering$1;
    const jsx$1 = this.dialectPropertiesEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering$1);
    const this$1 = $m_sc_Seq$();
    const content = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    b.comment__T__V("%Dialect 1.0");
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(content), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter(x$1)) {
      const DialectEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = DialectEmitter$1.dialect$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  dialectPropertiesEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    let emitters = $m_sci_Nil$();
    const jsx$2 = emitters;
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$7().init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter(this)]));
    const this$1 = $m_sc_Seq$();
    emitters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$4 = emitters;
    const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$8().init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter(this)]));
    const this$2 = $m_sc_Seq$();
    emitters = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2);
    const this$3 = this.dialect$1;
    const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    if ($f_Lamf_core_model_StrField__nonEmpty__Z(this$4)) {
      const jsx$6 = emitters;
      const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter$$anon$9().init___Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter(this)]));
      const this$5 = $m_sc_Seq$();
      emitters = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$5.ReusableCBFInstance$2)
    };
    const jsx$7 = $m_s_Option$();
    const this$6 = this.dialect$1;
    if (jsx$7.apply__O__s_Option(this$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1)).isDefined__Z()) {
      const jsx$9 = emitters;
      const jsx$8 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(this.dialect$1, ordering, this.aliases$1)]));
      const this$7 = $m_sc_Seq$();
      emitters = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$7.ReusableCBFInstance$2)
    };
    return emitters
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect(dialect) {
    this.dialect$1 = dialect;
    this.ordering$1 = $m_Lamf_core_emitter_SpecOrdering$Lexical$();
    this.aliases$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__collectAliases__sci_Map(this);
    return this
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DialectEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const pos = x2$2.value$2;
      return pos
    } else {
      return $default.apply__O__O(x2)
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x2) {
    return $is_s_Some(x2)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DocumentsModelEmitter$$anonfun$2", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x1, $default) {
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const pos = x2.value$2;
      return pos
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter($$outer) {
    return this
  };
  isDefinedAt__s_Option__Z(x1) {
    return $is_s_Some(x1)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.LibraryDocumentModelEmitter$$anonfun$1", {
  Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x3, $default) {
    if ($is_s_Some(x3)) {
      const x2 = x3;
      const alias = x2.value$2;
      return alias
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x3) {
    return $is_s_Some(x3)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.PropertyMappingEmitter$$anonfun$3", {
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter extends $c_O {
  constructor() {
    super();
    this.library$1 = null;
    this.ordering$1 = null;
    this.dialect$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "RamlDialectLibraryEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter(x$1)) {
      const RamlDialectLibraryEmitter$1 = x$1;
      const x = this.library$1;
      const x$2 = RamlDialectLibraryEmitter$1.library$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.library$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  emitDialectLibrary__Lorg_yaml_model_YDocument() {
    const ordering = this.ordering$1;
    const jsx$2 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__rootLevelEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(this, ordering);
    const ordering$1 = this.ordering$1;
    const jsx$1 = this.dialectPropertiesEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering$1);
    const this$1 = $m_sc_Seq$();
    const content = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    b.comment__T__V("%Library / Dialect 1.0");
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(content), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectLibrary(library) {
    this.library$1 = library;
    this.ordering$1 = $m_Lamf_core_emitter_SpecOrdering$Lexical$();
    this.dialect$1 = this.toDialect__Lamf_plugins_document_vocabularies_model_document_DialectLibrary__Lamf_plugins_document_vocabularies_model_document_Dialect(library);
    this.aliases$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters__collectAliases__sci_Map(this);
    return this
  };
  dialectPropertiesEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    let emitters = $m_sci_Nil$();
    const this$1 = this.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    if ($f_Lamf_core_model_StrField__nonEmpty__Z(this$2)) {
      const jsx$2 = emitters;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter$$anon$10().init___Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter(this)]));
      const this$3 = $m_sc_Seq$();
      emitters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
    };
    return emitters
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  toDialect__Lamf_plugins_document_vocabularies_model_document_DialectLibrary__Lamf_plugins_document_vocabularies_model_document_Dialect(library) {
    const this$1 = new $c_Lamf_plugins_document_vocabularies_model_document_Dialect().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(library.fields$1, library.annotations$1);
    const value = library.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, value)
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.RamlDialectLibraryEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_DialectDocumentsEmitters: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x4, $default) {
    return ($is_Lamf_core_model_document_DeclaresModel(x4) ? x4 : $default.apply__O__O(x4))
  };
  init___Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x4) {
    return $is_Lamf_core_model_document_DeclaresModel(x4)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.ReferencesEmitter$$anonfun$4", {
  Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.nodeMappingId$2$2 = null
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x1)) {
      const x2 = x1;
      return x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return (x$1.id__T() === $this.nodeMappingId$2$2)
        })
      })(this)))
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__T($$outer, nodeMappingId$2) {
    this.nodeMappingId$2$2 = nodeMappingId$2;
    return this
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x1)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$1;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const mapping = x2$2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(mapping)) {
        const x3 = mapping;
        return new $c_T2().init___O__O(this.$$outer$2.dialect__Lamf_plugins_document_vocabularies_model_document_Dialect(), x3)
      }
    };
    return $default.apply__O__O(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
  isDefinedAt__s_Option__Z(x2) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const mapping = x2$2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(mapping)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper$$anonfun$$nestedInanonfun$maybeFindNodeMappingById$3$2;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter extends $c_O {
  constructor() {
    super();
    this.instance$1 = null;
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "DialectInstancesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter(x$1)) {
      const DialectInstancesEmitter$1 = x$1;
      const x = this.instance$1;
      const x$2 = DialectInstancesEmitter$1.instance$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.dialect$1;
        const x$4 = DialectInstancesEmitter$1.dialect$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.instance$1;
        break
      }
      case 1: {
        return this.dialect$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  emitInstance__Lorg_yaml_model_YDocument() {
    const this$2 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$2.comment$1;
    const this$4 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$4)) {
      b.comment__T__V(this$2.comment$1)
    };
    const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%", " ", ""]));
    const this$5 = this.dialect$1;
    const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
    const this$7 = this$6.option$1;
    const jsx$1 = (this$7.isEmpty__Z() ? null : this$7.get__O());
    const this$8 = this.dialect$1;
    const this$9 = this$8.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
    const this$10 = this$9.option$1;
    b.comment__T__V(jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, (this$10.isEmpty__Z() ? null : this$10.get__O())])));
    const this$11 = this.dialect$1;
    const this$12 = this$11.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    const this$13 = this$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1);
    const this$14 = this$13.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
    const this$15 = this$14.option$1;
    const nodeMappingId = (this$15.isEmpty__Z() ? null : this$15.get__O());
    const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2(this, nodeMappingId);
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const rootNodeMapping = x1.$$und2__O();
    const this$16 = this.instance$1;
    new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(this$16.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1), rootNodeMapping, this.instance$1, this.dialect$1, this.ordering$1, this.aliases$1, $m_s_None$(), true, $m_s_None$(), false).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b);
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  init___Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect(instance, dialect) {
    this.instance$1 = instance;
    this.dialect$1 = dialect;
    this.ordering$1 = $m_Lamf_core_emitter_SpecOrdering$Lexical$();
    this.aliases$1 = this.collectAliases__sci_Map();
    return this
  };
  collectAliases__sci_Map() {
    const this$1 = this.instance$1;
    const thiz = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "/", 0);
    const this$4 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const vocabFile = $f_sc_IndexedSeqOptimized__last__O(this$4);
    const this$5 = this.instance$1;
    const thiz$1 = this$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    const vocabFilePrefix = thiz$1.split(vocabFile).join("");
    const this$8 = this.instance$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    let this$12;
    if (this$8.isEmpty__Z()) {
      this$12 = $m_s_None$()
    } else {
      const arg1 = this$8.get__O();
      const aliases = arg1;
      const this$11 = aliases.aliases$1;
      const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
        return (function(x0$2$2, x1$1$2) {
          const x0$2 = x0$2$2;
          const x1$1 = x1$1$2;
          const x1 = new $c_T2().init___O__O(x0$2, x1$1);
          const acc = x1.$$und1$f;
          const p2 = x1.$$und2$f;
          if ((p2 !== null)) {
            const alias = p2.$$und1__O();
            const p3 = p2.$$und2__O();
            if ((p3 !== null)) {
              const fullUrl = p3.$$und1__O();
              return acc.$$plus__T2__sci_Map(new $c_T2().init___O__O(fullUrl, alias))
            }
          };
          throw new $c_s_MatchError().init___O(x1)
        })
      })(this));
      this$12 = new $c_s_Some().init___O($f_sc_TraversableOnce__foldLeft__O__F2__O(this$11, z, op))
    };
    const maps = (this$12.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$12.get__O());
    const idCounter = new $c_Lamf_plugins_document_vocabularies_emitters_common_IdCounter().init___();
    const this$13 = this.instance$1;
    return this$13.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1).foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1, vocabFilePrefix$1, maps$1, idCounter$1) {
      return (function(x0$3$2, x1$2$2) {
        const x0$3 = x0$3$2;
        const x1$2 = x1$2$2;
        const x1$3 = new $c_T2().init___O__O(x0$3, x1$2);
        const acc$1 = x1$3.$$und1$f;
        const m = x1$3.$$und2$f;
        if ((acc$1 !== null)) {
          if ($is_Lamf_core_model_document_DeclaresModel(m)) {
            const this$14 = $m_s_Option$().apply__O__s_Option(m.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
            const thiz$2 = (this$14.isEmpty__Z() ? m.id__T() : this$14.get__O());
            const location = thiz$2.split("#").join("");
            const importLocation = (((location.indexOf(vocabFilePrefix$1) | 0) !== (-1)) ? location.split(vocabFilePrefix$1).join("") : location.split("file://").join(""));
            if (maps$1.get__O__s_Option(m.id__T()).isDefined__Z()) {
              const alias$1 = maps$1.apply__O__O(m.id__T());
              const self = m.id__T();
              const y = new $c_T2().init___O__O(alias$1, importLocation);
              return acc$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, y))
            } else {
              const nextAlias = idCounter$1.genId__T__T("uses_");
              const self$1 = m.id__T();
              const y$1 = new $c_T2().init___O__O(nextAlias, importLocation);
              return acc$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, y$1))
            }
          }
        };
        const acc$2 = x1$3.$$und1$f;
        if ((acc$2 !== null)) {
          return acc$2
        };
        throw new $c_s_MatchError().init___O(x1$3)
      })
    })(this, vocabFilePrefix, maps, idCounter)))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectInstancesEmitter", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x4, $default) {
    if ($is_s_Some(x4)) {
      const x2 = x4;
      const parsed = x2.value$2;
      return parsed
    } else {
      return $default.apply__O__O(x4)
    }
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x4) {
    return $is_s_Some(x4)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$2$$anonfun$2", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2$$anonfun$2;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  applyOrElse__T2__F1__O(x5, $default) {
    if ((x5 !== null)) {
      const p2 = x5.$$und1__O();
      const x = x5.$$und2__O();
      if ($is_s_Some(p2)) {
        const x3 = p2;
        const parsed = x3.value$2;
        return new $c_T2().init___O__O(parsed, x)
      }
    };
    return $default.apply__O__O(x5)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__T2__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__T2__F1__O(x, $default)
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4($$outer) {
    return this
  };
  isDefinedAt__T2__Z(x5) {
    if ((x5 !== null)) {
      const p2 = x5.$$und1__O();
      if ($is_s_Some(p2)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anon$4$$anonfun$3", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4$$anonfun$3;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.publicNodeMapping$1$2 = null
  };
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x6, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x6)) {
      const x2 = x6;
      const jsx$1 = x2.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1;
      const this$1 = this.publicNodeMapping$1$2;
      const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
      const this$3 = this$2.option$1;
      if ((jsx$1 === (this$3.isEmpty__Z() ? null : this$3.get__O()))) {
        return x2
      }
    };
    return $default.apply__O__O(x6)
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x6) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x6)) {
      const x2 = x6;
      const jsx$1 = x2.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1;
      const this$1 = this.publicNodeMapping$1$2;
      const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
      const this$3 = this$2.option$1;
      if ((jsx$1 === (this$3.isEmpty__Z() ? null : this$3.get__O()))) {
        return true
      }
    };
    return false
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping($$outer, publicNodeMapping$1) {
    this.publicNodeMapping$1$2 = publicNodeMapping$1;
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter$$anonfun$4", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x3, $default) {
    return ($is_Lamf_core_model_document_DeclaresModel(x3) ? x3 : $default.apply__O__O(x3))
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x3) {
    return $is_Lamf_core_model_document_DeclaresModel(x3)
  };
}
const $d_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.ReferencesEmitter$$anonfun$1", {
  Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter extends $c_O {
  constructor() {
    super();
    this.vocabulary$1 = null;
    this.aliasMapping$1 = null
  };
  propertyTermsEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const this$1 = this.vocabulary$1;
    const propertyTerms = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$31$2) {
        const x$31 = x$31$2;
        return $is_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm(x$31)
      })
    })(this)));
    return (propertyTerms.nonEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$11().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(this, ordering, propertyTerms)])) : $m_sci_Nil$())
  };
  productPrefix__T() {
    return "VocabularyEmitter"
  };
  externalEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const this$1 = this.vocabulary$1;
    if (this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Externals$1).nonEmpty__Z()) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$5().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering(this, ordering)]))
    } else {
      return $m_sci_Nil$()
    }
  };
  init___Lamf_plugins_document_vocabularies_model_document_Vocabulary(vocabulary) {
    this.vocabulary$1 = vocabulary;
    this.aliasMapping$1 = $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__buildAliasMapping__Lamf_plugins_document_vocabularies_model_document_Vocabulary__sci_Map(this, vocabulary);
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter(x$1)) {
      const VocabularyEmitter$1 = x$1;
      const x = this.vocabulary$1;
      const x$2 = VocabularyEmitter$1.vocabulary$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  importEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const this$1 = this.vocabulary$1;
    if (this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Imports$1).nonEmpty__Z()) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$6().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering(this, ordering)]))
    } else {
      return $m_sci_Nil$()
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.vocabulary$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  emitVocabulary__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Raml$(), this.vocabulary$1.annotations$1);
    const jsx$2 = this.rootLevelEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const jsx$1 = this.vocabularyEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const this$1 = $m_sc_Seq$();
    const content = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$3.comment$1;
    const this$5 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      b.comment__T__V(this$3.comment$1)
    };
    b.comment__T__V("%Vocabulary 1.0");
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(content), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  vocabularyEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const jsx$4 = this.vocabularyPropertiesEmitter__p1__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const jsx$3 = this.classTermsEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = this.propertyTermsEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const this$2 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  vocabularyPropertiesEmitter__p1__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    let emitters = $m_sci_Nil$();
    const jsx$2 = emitters;
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$7().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter(this)]));
    const this$1 = $m_sc_Seq$();
    emitters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$4 = emitters;
    const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$8().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter(this)]));
    const this$2 = $m_sc_Seq$();
    emitters = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$2.ReusableCBFInstance$2);
    const this$3 = this.vocabulary$1;
    const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    if ($f_Lamf_core_model_StrField__nonEmpty__Z(this$4)) {
      const jsx$6 = emitters;
      const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$9().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter(this)]));
      const this$5 = $m_sc_Seq$();
      emitters = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$5.ReusableCBFInstance$2)
    };
    return emitters
  };
  rootLevelEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const jsx$2 = this.externalEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const jsx$1 = this.importEmitters__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering);
    const this$1 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  classTermsEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(ordering) {
    const this$1 = this.vocabulary$1;
    const classTerms = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$26$2) {
        const x$26 = x$26$2;
        return $is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x$26)
      })
    })(this)));
    return (classTerms.nonEmpty__Z() ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter$$anon$10().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter__Lamf_core_emitter_SpecOrdering__sc_Seq(this, ordering, classTerms)])) : $m_sci_Nil$())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.VocabularyEmitter", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter: 1,
  O: 1,
  Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter;
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.Externals$1 = null;
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Externals$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "externals"), true);
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$9 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "DialectFragment");
    const this$5 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$9, this$5);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$11 = this.Externals$1;
    const x$10 = this.Location$1;
    const this$1 = $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$10, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$11, this$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectFragmentModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$ extends $c_O {
  constructor() {
    super();
    this.Externals$1 = null;
    this.type$1 = null;
    this.Declares$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Externals$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "externals"), true);
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "DialectLibrary");
    const this$5 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$5);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$8 = this.Externals$1;
    const x$7 = this.Location$1;
    const this$1 = $m_Lamf_core_metamodel_document_ModuleModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$8, this$2)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_DialectLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectLibraryModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ModuleModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Base$1 = null;
    this.Imports$1 = null;
    this.Externals$1 = null;
    this.type$1 = null;
    this.Declares$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Base$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "base"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Owl$1;
    this.Imports$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "imports"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Externals$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "externals"), true);
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Owl$1;
    const x$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Ontology2");
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Vocabulary");
    const this$13 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$14 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$13);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$14);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$7 = this.Name$1;
    const x$6 = this.Imports$1;
    const x$5 = this.Externals$1;
    const x$4 = this.Declares$1;
    const x$3 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().fields$1;
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$4);
    return new $c_sci_$colon$colon().init___O__sci_List(x$7, this$5)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_Vocabulary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.VocabularyModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ModuleModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$ extends $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel {
  constructor() {
    super();
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel.prototype.init___.call(this);
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Owl$1;
    const x$8 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DatatypeProperty");
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Property");
    const this$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$6 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$5);
    this.type$2 = new $c_sci_$colon$colon().init___O__sci_List(x$8, this$6);
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.DatatypePropertyTermModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$: 1,
  Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel extends $c_O {
  constructor() {
    super();
    this.typeIri$1 = null;
    this.typeFields$1 = null;
    this.nodeMapping$1 = null;
    this.type$1 = null;
    this.dynamic$1 = false;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    const jsx$4 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$1 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = this.typeFields$1;
    const this$2 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("DialectDomainElement is an abstract class and it cannot be isntantiated directly"))
  };
  init___T__sc_Seq__s_Option(typeIri, typeFields, nodeMapping) {
    this.typeIri$1 = typeIri;
    this.typeFields$1 = typeFields;
    this.nodeMapping$1 = nodeMapping;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DialectDomainElement");
    const this$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    this.dynamic$1 = true;
    return this
  };
  type__sci_List() {
    return this.type$1
  };
}
const $is_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel)))
});
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.DialectDomainElementModel", {
  Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel;
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.NodeTypeMapping$1 = null;
    this.PropertiesMapping$1 = null;
    this.IdTemplate$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.NodeTypeMapping$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "targetClass"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.PropertiesMapping$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "property"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.IdTemplate$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "template"), true);
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "NodeMapping");
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const x$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Shape");
    const this$13 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$14 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$13);
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$14);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    const x$4 = this.NodeTypeMapping$1;
    const x$3 = this.Name$1;
    const x$2 = this.PropertiesMapping$1;
    const x$1 = this.IdTemplate$1;
    const jsx$2 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$1 = $m_sci_List$();
    const this$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$4);
    return new $c_sci_$colon$colon().init___O__sci_List(x$4, this$5)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.NodeMappingModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$ extends $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel {
  constructor() {
    super();
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel.prototype.init___.call(this);
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$ = this;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Owl$1;
    const x$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ObjectProperty");
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Property");
    const this$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$6 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$5);
    this.type$2 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$6);
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.domain.ObjectPropertyTermModel$", {
  Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$: 1,
  Lamf_plugins_document_vocabularies_metamodel_domain_PropertyTermModel: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$
});
class $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_model_document_DialectInstance($$outer) {
    return this
  };
  applyOrElse__s_Option__F1__O(x1, $default) {
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const x = x2.value$2;
      return x
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x1) {
    return $is_s_Some(x1)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectInstance$$anonfun$1", {
  Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_model_document_MappingDeclarer($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    return ($is_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer(x1) ? x1 : $default.apply__O__O(x1))
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer(x1)
  };
}
const $d_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5: 0
}, false, "amf.plugins.document.vocabularies.model.document.MappingDeclarer$$anonfun$findNodeMapping$5", {
  Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_MappingDeclarer$$anonfun$findNodeMapping$5;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x1)
  };
  init___Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectDeclarations$$anonfun$findNodeMapping$2", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations$$anonfun$findNodeMapping$2;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x4, $default) {
    if ($is_s_Some(x4)) {
      const x2 = x4;
      const v = x2.value$2;
      return v
    } else {
      return $default.apply__O__O(x4)
    }
  };
  init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x4) {
    return $is_s_Some(x4)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parsePropertyMapping$11$1;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x5, $default) {
    if ($is_s_Some(x5)) {
      const x2 = x5;
      return x2.value$2
    } else {
      return $default.apply__O__O(x5)
    }
  };
  init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x5) {
    return $is_s_Some(x5)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$$nestedInanonfun$parseRootDocumentMapping$2$1;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const ref = x2$2.value$2;
      return ref
    } else {
      return $default.apply__O__O(x2)
    }
  };
  init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x2) {
    return $is_s_Some(x2)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsParser$$anonfun$1", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x3, $default) {
    if ($is_s_Some(x3)) {
      const x2 = x3;
      const ref = x2.value$2;
      return ref
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x3) {
    return $is_s_Some(x3)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsParser$$anonfun$2", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$2;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x6, $default) {
    if ($is_s_Some(x6)) {
      const x2 = x6;
      return x2.value$2
    } else {
      return $default.apply__O__O(x6)
    }
  };
  init___Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x6) {
    return $is_s_Some(x6)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectsParser$$anonfun$parseLibraries$5", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser$$anonfun$parseLibraries$5;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x3, $default) {
    if ($is_s_Some(x3)) {
      const x2 = x3;
      const res = x2.value$2;
      if ((res !== null)) {
        return res
      }
    };
    return $default.apply__O__O(x3)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x3) {
    if ($is_s_Some(x3)) {
      const x2 = x3;
      const res = x2.value$2;
      if ((res !== null)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.mappingId$1$2 = null
  };
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x4, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x4)) {
      const x2 = x4;
      if ((x2.id$1 === this.mappingId$1$2)) {
        return x2
      }
    };
    return $default.apply__O__O(x4)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext__T($$outer, mappingId$1) {
    this.mappingId$1$2 = mappingId$1;
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x4) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x4)) {
      const x2 = x4;
      if ((x2.id$1 === this.mappingId$1$2)) {
        return true
      }
    };
    return false
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceContext$$anonfun$findNodeMapping$1", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x2) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findAnyDialectDomainElement$2;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.nodeMapping$1$2 = null
  };
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x1)) {
      const x2 = x1;
      if ((x2.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1 === this.nodeMapping$1$2.id$1)) {
        return x2
      }
    };
    return $default.apply__O__O(x1)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations__Lamf_plugins_document_vocabularies_model_domain_NodeMapping($$outer, nodeMapping$1) {
    this.nodeMapping$1$2 = nodeMapping$1;
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x1)) {
      const x2 = x1;
      if ((x2.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1 === this.nodeMapping$1$2.id$1)) {
        return true
      }
    };
    return false
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations$$anonfun$findDialectDomainElement$2;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x5, $default) {
    if ($is_s_Some(x5)) {
      const x2 = x5;
      const mapping = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(mapping)) {
        const x3 = mapping;
        return x3
      }
    };
    return $default.apply__O__O(x5)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x5) {
    if ($is_s_Some(x5)) {
      const x2 = x5;
      const mapping = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(mapping)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$1", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x6, $default) {
    if ($is_s_Some(x6)) {
      const x2 = x6;
      const x = x2.value$2;
      return x
    } else {
      return $default.apply__O__O(x6)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x6) {
    return $is_s_Some(x6)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$2", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$2;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x7, $default) {
    if ($is_s_Some(x7)) {
      const x2 = x7;
      const x = x2.value$2;
      return x
    } else {
      return $default.apply__O__O(x7)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x7) {
    return $is_s_Some(x7)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$3", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$3;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__s_Some__Z(x10) {
    if ((x10 !== null)) {
      const elem = x10.value$2;
      if ((elem !== null)) {
        return true
      }
    };
    return false
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Some__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Some__F1__O(x, $default)
  };
  applyOrElse__s_Some__F1__O(x10, $default) {
    if ((x10 !== null)) {
      const elem = x10.value$2;
      if ((elem !== null)) {
        return elem
      }
    };
    return $default.apply__O__O(x10)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$4", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$4;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x11, $default) {
    if ($is_s_Some(x11)) {
      const x2 = x11;
      const x = x2.value$2;
      if ((x !== null)) {
        return x
      }
    };
    return $default.apply__O__O(x11)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x11) {
    if ($is_s_Some(x11)) {
      const x2 = x11;
      const x = x2.value$2;
      if ((x !== null)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$5", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$5;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x12, $default) {
    if ($is_s_Some(x12)) {
      const x2 = x12;
      const v = x2.value$2;
      return v
    } else {
      return $default.apply__O__O(x12)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x12) {
    return $is_s_Some(x12)
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$6", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$6;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x8, $default) {
    if ($is_s_Some(x8)) {
      const x2 = x8;
      const node = x2.value$2;
      if ((node !== null)) {
        return node
      }
    };
    return $default.apply__O__O(x8)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x8) {
    if ($is_s_Some(x8)) {
      const x2 = x8;
      const node = x2.value$2;
      if ((node !== null)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceParser$$anonfun$parseObjectMapProperty$5", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser$$anonfun$parseObjectMapProperty$5;
class $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x3, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x3) {
    return $is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(x3)
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1: 0
}, false, "amf.plugins.document.vocabularies.resolution.stages.DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1", {
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$$nestedInanonfun$findVocabularies$1$1;
class $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x1)
  };
  init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1: 0
}, false, "amf.plugins.document.vocabularies.resolution.stages.DialectReferencesResolutionStage$$anonfun$1", {
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$1;
class $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x2, $default) {
    return ($is_Lamf_core_model_document_DeclaresModel(x2) ? x2 : $default.apply__O__O(x2))
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x2) {
    return $is_Lamf_core_model_document_DeclaresModel(x2)
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3: 0
}, false, "amf.plugins.document.vocabularies.resolution.stages.DialectReferencesResolutionStage$$anonfun$findDeclarations$3", {
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findDeclarations$3;
class $c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x4, $default) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x4) {
    return $is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x4)
  };
}
const $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3 = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3: 0
}, false, "amf.plugins.document.vocabularies.resolution.stages.DialectReferencesResolutionStage$$anonfun$findVocabularies$3", {
  Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3.prototype.$classData = $d_Lamf_plugins_document_vocabularies_resolution_stages_DialectReferencesResolutionStage$$anonfun$findVocabularies$3;
class $c_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$ extends $c_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin {
  init___() {
    $c_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin.prototype.init___.call(this);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$: 0
}, false, "amf.plugins.document.webapi.ExternalJsonRefsPlugin$", {
  Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$: 1,
  Lamf_plugins_document_webapi_ExternalJsonRefsPlugin: 1,
  Lamf_plugins_document_webapi_JsonSchemaPlugin: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$;
let $n_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$)) {
    $n_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$ = new $c_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_ExternalJsonRefsPlugin$
});
class $c_Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_JsonSchemaPlugin($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_shapes_models_AnyShape(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1: 0
}, false, "amf.plugins.document.webapi.JsonSchemaPlugin$$anonfun$firstAnyShape$1", {
  Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1.prototype.$classData = $d_Lamf_plugins_document_webapi_JsonSchemaPlugin$$anonfun$firstAnyShape$1;
const $f_Lamf_plugins_document_webapi_OASPlugin__detectOasUnit__pLamf_plugins_document_webapi_OASPlugin__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option = (function($thiz, root, ctx) {
  const this$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(root);
  if (this$1.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1 = this$1.get__O();
    const x0$1 = arg1;
    const x = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Overlay$();
    let jsx$1;
    if ((x === x0$1)) {
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx).parseOverlay__Lamf_plugins_document_webapi_model_Overlay()
    } else {
      const x$3 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Extension$();
      if ((x$3 === x0$1)) {
        jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx).parseExtension__Lamf_plugins_document_webapi_model_Extension()
      } else {
        const x$5 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Header$();
        if ((x$5 === x0$1)) {
          const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx);
          const annotations = new $c_Lamf_core_parser_Annotations().init___();
          jsx$1 = this$2.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations))
        } else {
          const x$7 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$();
          if ((x$7 === x0$1)) {
            const this$6 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx);
            const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
            jsx$1 = this$6.parseDocument__p2__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1))
          } else {
            jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser().init___Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, new $c_s_Some().init___O(x0$1), ctx).parseFragment__Lamf_core_model_document_Fragment()
          }
        }
      }
    };
    return new $c_s_Some().init___O(jsx$1)
  }
});
const $f_Lamf_plugins_document_webapi_OASPlugin__documentSyntaxes__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/json", "application/yaml", "application/x-yaml", "text/yaml", "text/vnd.yaml", "text/x-yaml", "application/openapi+json", "application/swagger+json", "application/openapi+yaml", "application/swagger+yaml", "application/openapi", "application/swagger"]))
});
const $f_Lamf_plugins_document_webapi_OASPlugin__$$init$__V = (function($thiz) {
  const thiz = ("OAS " + $thiz.version__T());
  $thiz.amf$plugins$document$webapi$OASPlugin$$undsetter$und$ID$und$eq__T__V(thiz.trim());
  $thiz.amf$plugins$document$webapi$OASPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.ID__T(), "OAS"])))
});
const $f_Lamf_plugins_document_webapi_OASPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option = (function($thiz, document, parentContext, platform) {
  const ctx = $thiz.context__T__sc_Seq__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(document.location$1, document.references$1, parentContext, $m_s_None$());
  const x1 = document.referenceKind$1;
  const x = $m_Lamf_core_parser_LibraryReference$();
  if ((x === x1)) {
    return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(document, ctx).parseModule__Lamf_core_model_document_Module())
  } else {
    const x$3 = $m_Lamf_core_parser_LinkReference$();
    if ((x$3 === x1)) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser().init___Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(document, $m_s_None$(), ctx).parseFragment__Lamf_core_model_document_Fragment())
    } else {
      return $f_Lamf_plugins_document_webapi_OASPlugin__detectOasUnit__pLamf_plugins_document_webapi_OASPlugin__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option($thiz, document, ctx)
    }
  }
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineFragment__pLamf_plugins_document_webapi_RAMLPlugin__sc_Seq__s_Option__Lamf_core_model_domain_ExternalDomainElement__V = (function($thiz, origins, document, encodes) {
  origins.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, document$1, encodes$1) {
    return (function(refContainer$2) {
      const refContainer = refContainer$2;
      const x1 = refContainer.node$1;
      if ($is_Lorg_yaml_model_YNode$MutRef(x1)) {
        const x2 = x1;
        const x = $m_s_None$();
        if ((x === document$1)) {
          const jsx$1 = $m_Lorg_yaml_model_YNode$();
          const this$1 = encodes$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
          const this$2 = this$1.option$1;
          x2.target$5 = new $c_s_Some().init___O(jsx$1.apply__T__Lorg_yaml_model_YNode((this$2.isEmpty__Z() ? null : this$2.get__O())))
        } else {
          x2.target$5 = document$1
        }
      }
    })
  })($thiz, document, encodes)))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__documentSyntaxes__sc_Seq = (function($thiz) {
  return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/raml", "application/raml+json", "application/raml+yaml", "text/yaml", "text/x-yaml", "application/yaml", "application/x-yaml", "text/vnd.yaml"]))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__$$init$__V = (function($thiz) {
  $thiz.amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$ID$und$eq__T__V(("RAML " + $thiz.version__T()));
  $thiz.amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.ID__T(), "RAML"])))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__cleanContext__Lamf_core_parser_ParserContext__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext = (function($thiz, wrapped, root) {
  const cleanNested = new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I(root.location$1, root.references$1, new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), wrapped.parserCount$1);
  const clean = $thiz.context__Lamf_core_parser_ParserContext__Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(cleanNested, root, $thiz.context$default$3__s_Option());
  clean.globalSpace$1 = wrapped.globalSpace$1;
  return clean
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineExternalReferences__pLamf_plugins_document_webapi_RAMLPlugin__Lamf_core_Root__V = (function($thiz, root) {
  root.references$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(ref$2) {
      const ref = ref$2;
      const x1 = ref.unit$1;
      if ($is_Lamf_core_model_document_ExternalFragment(x1)) {
        const x2 = x1;
        const origins = ref.origin$1.refs$1;
        const document = ref.ast$1;
        const encodes = x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
        $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineFragment__pLamf_plugins_document_webapi_RAMLPlugin__sc_Seq__s_Option__Lamf_core_model_domain_ExternalDomainElement__V($this, origins, document, encodes)
      }
    })
  })($thiz)))
});
const $f_Lamf_plugins_document_webapi_RAMLPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option = (function($thiz, root, parentContext, platform) {
  $f_Lamf_plugins_document_webapi_RAMLPlugin__inlineExternalReferences__pLamf_plugins_document_webapi_RAMLPlugin__Lamf_core_Root__V($thiz, root);
  const updated = $thiz.context__Lamf_core_parser_ParserContext__Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(parentContext, root, $thiz.context$default$3__s_Option());
  const clean = $f_Lamf_plugins_document_webapi_RAMLPlugin__cleanContext__Lamf_core_parser_ParserContext__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($thiz, parentContext, root);
  const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().apply__Lamf_core_Root__s_Option(root);
  if (this$1.isEmpty__Z()) {
    return $m_s_None$()
  } else {
    const arg1 = this$1.get__O();
    const x0$1 = arg1;
    let rc10 = false;
    let x2 = null;
    const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$();
    if (x.equals__O__Z(x0$1)) {
      rc10 = true;
      x2 = x0$1;
      const x$3 = root.referenceKind$1;
      const x$4 = $m_Lamf_core_parser_LinkReference$();
      if (((x$3 !== null) && (x$3 === x$4))) {
        return $m_s_None$()
      }
    };
    if (rc10) {
      const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated);
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(this$2.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)))
    };
    const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$();
    if (x$5.equals__O__Z(x0$1)) {
      const this$6 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated);
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      return new $c_s_Some().init___O(this$6.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1)))
    };
    const x$7 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$();
    if (x$7.equals__O__Z(x0$1)) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated).parseOverlay__Lamf_plugins_document_webapi_model_Overlay())
    };
    const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$();
    if (x$9.equals__O__Z(x0$1)) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, updated).parseExtension__Lamf_plugins_document_webapi_model_Extension())
    };
    const x$11 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$();
    if (x$11.equals__O__Z(x0$1)) {
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, clean).parseModule__Lamf_core_model_document_Module())
    };
    if ($is_Lamf_plugins_document_webapi_parser_RamlFragment(x0$1)) {
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser().init___Lamf_core_Root__Lamf_plugins_document_webapi_parser_RamlFragment__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, x0$1, updated).parseFragment__s_Option()
    };
    return $m_s_None$()
  }
});
class $c_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "CollectionFormatFromItems"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems)))
});
const $d_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems: 0
}, false, "amf.plugins.document.webapi.annotations.CollectionFormatFromItems", {
  Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems;
class $c_Lamf_plugins_document_webapi_annotations_DefaultPayload extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "DefaultPayload"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_DefaultPayload(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_DefaultPayload = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_DefaultPayload)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_DefaultPayload = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_DefaultPayload)))
});
const $d_Lamf_plugins_document_webapi_annotations_DefaultPayload = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_DefaultPayload: 0
}, false, "amf.plugins.document.webapi.annotations.DefaultPayload", {
  Lamf_plugins_document_webapi_annotations_DefaultPayload: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_DefaultPayload.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_DefaultPayload;
const $d_Lamf_plugins_document_webapi_annotations_EndPointBodyParameter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_EndPointBodyParameter: 0
}, false, "amf.plugins.document.webapi.annotations.EndPointBodyParameter", {
  Lamf_plugins_document_webapi_annotations_EndPointBodyParameter: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
class $c_Lamf_plugins_document_webapi_annotations_Inferred extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Inferred"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_Inferred(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_Inferred = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_Inferred)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_Inferred = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_Inferred)))
});
const $d_Lamf_plugins_document_webapi_annotations_Inferred = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_Inferred: 0
}, false, "amf.plugins.document.webapi.annotations.Inferred", {
  Lamf_plugins_document_webapi_annotations_Inferred: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_Inferred.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_Inferred;
class $c_Lamf_plugins_document_webapi_annotations_InlineDefinition extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "InlineDefinition"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_InlineDefinition(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_InlineDefinition = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_InlineDefinition)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_InlineDefinition = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_InlineDefinition)))
});
const $d_Lamf_plugins_document_webapi_annotations_InlineDefinition = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_InlineDefinition: 0
}, false, "amf.plugins.document.webapi.annotations.InlineDefinition", {
  Lamf_plugins_document_webapi_annotations_InlineDefinition: 1,
  O: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_InlineDefinition.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_InlineDefinition;
class $c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x1, $default) {
    if ($is_Lamf_core_annotations_DomainExtensionAnnotation(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Annotation__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Annotation__F1__O(x, $default)
  };
  isDefinedAt__Lamf_core_model_domain_Annotation__Z(x1) {
    return $is_Lamf_core_annotations_DomainExtensionAnnotation(x1)
  };
}
const $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.contexts.RamlScalarEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.ctx$1$2 = null;
    this.referenceUrl$1$2 = null
  };
  init___Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option($$outer, ctx$1, referenceUrl$1) {
    this.ctx$1$2 = ctx$1;
    this.referenceUrl$1$2 = referenceUrl$1;
    return this
  };
  isDefinedAt__Lamf_core_parser_ParsedReference__Z(x1) {
    return ($is_Lamf_core_model_document_ExternalFragment(x1.unit$1) || $is_Lamf_core_model_document_RecursiveUnit(x1.unit$1))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_parser_ParsedReference__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_parser_ParsedReference__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_parser_ParsedReference__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_ExternalFragment(x1.unit$1)) {
      const jsonFile = x1.unit$1;
      return $m_Lamf_plugins_document_webapi_JsonSchemaPlugin$().parseFragment__Lamf_core_model_document_Fragment__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(jsonFile, this.referenceUrl$1$2, this.ctx$1$2)
    } else if ($is_Lamf_core_model_document_RecursiveUnit(x1.unit$1)) {
      const jsonFile$2 = x1.unit$1;
      return $m_Lamf_plugins_document_webapi_JsonSchemaPlugin$().parseFragment__Lamf_core_model_document_Fragment__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(jsonFile$2, this.referenceUrl$1$2, this.ctx$1$2)
    } else {
      return $default.apply__O__O(x1)
    }
  };
}
const $d_Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.contexts.WebApiContext$$anonfun$1", {
  Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1;
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "AnnotationTypeDeclarationFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DataType")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$DataTypeFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    this.fields$1 = $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List();
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "UserDocumentation")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$DocumentationItemFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "NamedExample")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$NamedExampleFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ResourceTypeFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$ResourceTypeFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "SecuritySchemeFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$SecuritySchemeFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "TraitFragment")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  fields__sci_List() {
    return $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List()
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.FragmentsTypesModels$TraitFragmentModel$", {
  Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$;
let $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$ = new $c_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 0.8");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml08$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Extension");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10Extension$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Library");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10Library$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$
});
class $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Overlay");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$: 0
}, false, "amf.plugins.document.webapi.parser.RamlHeader$Raml10Overlay$", {
  Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$;
let $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$ = new $c_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$
});
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x3) {
    return $is_Lamf_plugins_domain_shapes_models_CreativeWork(x3)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findDocumentations$1", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findDocumentations$1;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x8, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x8)) {
      const x2 = x8;
      return x2
    } else {
      return $default.apply__O__O(x8)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x8) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x8)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findNamedExample$1", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findNamedExample$1;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_Parameter(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_Parameter(x1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findParameter$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findParameter$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ResourceType(x2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findResourceType$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResourceType$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x7, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_Response(x7)) {
      const x2 = x7;
      return x2
    } else {
      return $default.apply__O__O(x7)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x7) {
    return $is_Lamf_plugins_domain_webapi_models_Response(x7)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findResponse$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findResponse$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x6, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x6)) {
      const x2 = x6;
      return x2
    } else {
      return $default.apply__O__O(x6)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x6) {
    return $is_Lamf_plugins_domain_webapi_models_security_SecurityScheme(x6)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findSecurityScheme$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findSecurityScheme$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x4, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_Trait(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x4) {
    return $is_Lamf_plugins_domain_webapi_models_templates_Trait(x4)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findTrait$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findTrait$2;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x5, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x5)) {
      const x2 = x5;
      return x2
    } else {
      return $default.apply__O__O(x5)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x5) {
    return $is_Lamf_plugins_domain_shapes_models_AnyShape(x5)
  };
  init___Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$$anonfun$findType$2", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$$anonfun$findType$2;
class $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget extends $c_O {
  constructor() {
    super();
    this.elem$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SingleTarget"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SingleTarget$1 = x$1;
      const x = this.elem$1;
      const x$2 = SingleTarget$1.elem$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.elem$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  foreach__F1__V(fn) {
    fn.apply__O__O(this.elem$1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_model_domain_DomainElement($$outer, elem) {
    this.elem$1 = elem;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.SpecParserOps$SingleTarget", {
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$SingleTarget;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x1, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x1)) {
      const x2 = x1;
      return x2
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter(x1)) {
      const x3 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10__Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter(this, x3)
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$NullEmitter(x1)) {
      const x4 = x1;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10$$anon$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10__Lamf_core_emitter_BaseEmitters_package$NullEmitter(this, x4)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unsupported seq of emitter type in data node emitters ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x1) {
    return ($is_Lamf_core_emitter_EntryEmitter(x1) || ($is_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter(x1) || true))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataNodeEmitter$$anonfun$emitters$10", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x4) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x4)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x4, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExamplesEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExtendsEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ExtendsEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter {
  constructor() {
    super();
    this.property$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null;
    this.fs$2 = null;
    this.shapeEmitters$2 = null
  };
  productPrefix__T() {
    return "OasAnnotationTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter(x$1)) {
      const OasAnnotationTypeEmitter$1 = x$1;
      const x = this.property$2;
      const x$2 = OasAnnotationTypeEmitter$1.property$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasAnnotationTypeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  shapeEmitters__sc_Seq() {
    return this.shapeEmitters$2
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, spec) {
    this.property$2 = property;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, property, ordering, spec);
    this.fs$2 = property.fields$1;
    const this$1 = this.fs$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    let xo;
    if (this$1.isEmpty__Z()) {
      xo = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      xo = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, this.ordering$2, $m_sci_Nil$(), this.spec$2))
    };
    const this$3 = xo.toList__sci_List();
    this.shapeEmitters$2 = this$3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnnotationTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x7) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x7)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x7, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x7)) {
      const x2 = x7;
      return x2
    } else {
      return $default.apply__O__O(x7)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnyShapeEmitter$$anonfun$4", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter$$anonfun$4;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasCreativeWorkParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser(x$1)) {
      const OasCreativeWorkParser$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasCreativeWorkParser$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, ctx) {
    this.node$1 = node;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_domain_shapes_models_CreativeWork() {
    const map = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const creativeWork = $m_Lamf_plugins_domain_shapes_models_CreativeWork$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_CreativeWork(this.node$1);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(creativeWork));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(creativeWork));
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("title").asOasExtension__T();
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    const iv$2 = this.ctx$1;
    jsx$4.key__T__F1__V(jsx$3, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(creativeWork));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(creativeWork, map, this.ctx$1).parse__V();
    return creativeWork
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_security_Scope(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x2)) {
      const x2$2 = x2;
      const this$1 = x2$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1);
      const this$2 = this$1.option$1;
      const jsx$1 = (this$2.isEmpty__Z() ? null : this$2.get__O());
      const this$3 = x2$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1);
      const this$4 = this$3.option$1;
      return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(jsx$1, (this$4.isEmpty__Z() ? null : this$4.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasScopeValuesEmitters$$anonfun$emitters$30", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters$$anonfun$emitters$30;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x6, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x6)) {
      const x2 = x6;
      return x2
    } else {
      return $default.apply__O__O(x6)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x6) {
    return $is_Lamf_core_emitter_EntryEmitter(x6)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeEmitter$$anonfun$entries$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter$$anonfun$entries$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x1, $default) {
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const t = x2.value$2;
      return t
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x1) {
    return $is_s_Some(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YNode__Z(x2) {
    const x = x2.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Map$1;
    return (x === x$2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser($$outer) {
    return this
  };
  applyOrElse__Lorg_yaml_model_YNode__F1__O(x2, $default) {
    const x = x2.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x$2)) {
      return x2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YNode__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YNode__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$TupleShapeParser$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x5, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x5)) {
      const x2 = x5;
      return x2
    } else {
      return $default.apply__O__O(x5)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x5) {
    return $is_Lamf_core_emitter_EntryEmitter(x5)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypePartCollector$$anonfun$3", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector$$anonfun$3;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08SecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter(x$1)) {
      const Raml08SecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml08SecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml08SecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml08SecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  describedByEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, securityScheme$2, ordering$2, references$2) {
        const key = key$2;
        const securityScheme = securityScheme$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter().init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, $this.spec$2)
      })
    })(this))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08SecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_Shape__Z(x8) {
    return $is_Lamf_plugins_domain_shapes_models_AnyShape(x8)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Shape__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Shape__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_domain_Shape__F1__O(x8, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x8)) {
      const x2 = x8;
      return x2
    } else {
      return $default.apply__O__O(x8)
    }
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter$$anon$2$$anonfun$$nestedInanonfun$emit$120$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10SecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter(x$1)) {
      const Raml10SecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml10SecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml10SecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml10SecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  describedByEmitter__F4() {
    return new $c_sjsr_AnonFunction4().init___sjs_js_Function4((function($this) {
      return (function(key$2, securityScheme$2, ordering$2, references$2) {
        const key = key$2;
        const securityScheme = securityScheme$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter().init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, $this.spec$2)
      })
    })(this))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10SecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x3, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x3)) {
      const x2 = x3;
      return x2
    } else if ($is_Lamf_core_emitter_PartEmitter(x3)) {
      const x3$2 = x3;
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1$$anon$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1__Lamf_core_emitter_PartEmitter(this, x3$2)
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x3) {
    return ($is_Lamf_core_emitter_EntryEmitter(x3) || $is_Lamf_core_emitter_PartEmitter(x3))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeEmitter$$anonfun$entries$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter$$anonfun$entries$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter {
  constructor() {
    super();
    this.property$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null;
    this.fs$2 = null;
    this.shapeEmitters$2 = null
  };
  productPrefix__T() {
    return "RamlAnnotationTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter(x$1)) {
      const RamlAnnotationTypeEmitter$1 = x$1;
      const x = this.property$2;
      const x$2 = RamlAnnotationTypeEmitter$1.property$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlAnnotationTypeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  shapeEmitters__sc_Seq() {
    return this.shapeEmitters$2
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(property, ordering, spec) {
    this.property$2 = property;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, property, ordering, spec);
    this.fs$2 = property.fields$1;
    const this$1 = this.fs$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    let x1$1;
    if (this$1.isEmpty__Z()) {
      x1$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      let rc8 = false;
      let x2 = null;
      const x1 = $m_s_Option$().apply__O__s_Option(f.value$1.value$1);
      let jsx$1;
      matchEnd9: {
        if ($is_s_Some(x1)) {
          rc8 = true;
          x2 = x1;
          const shape = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
            const x5 = shape;
            const x1$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, this.ordering$2, $m_sci_Nil$(), $m_sci_Nil$(), this.spec$2).emitters__sc_Seq();
            if (x1$2.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
              return (function(x$11$2) {
                const x$11 = x$11$2;
                return $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter(x$11)
              })
            })(this)))) {
              jsx$1 = x1$2;
              break matchEnd9
            } else {
              if ((!x1$2.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
                return (function(x$12$2) {
                  const x$12 = x$12$2;
                  return $is_Lamf_core_emitter_EntryEmitter(x$12)
                })
              })(this))))) {
                throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$2]))))
              };
              const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter(this);
              const this$3 = $m_sc_Seq$();
              jsx$1 = x1$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
              break matchEnd9
            }
          }
        };
        if (rc8) {
          const shape$2 = x2.value$2;
          if ($is_Lamf_core_model_domain_RecursiveShape(shape$2)) {
            const x6 = shape$2;
            jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlRecursiveShapeEmitter().init___Lamf_core_model_domain_RecursiveShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x6, this.ordering$2, $m_sci_Nil$(), this.spec$2).emitters__sc_Seq();
            break matchEnd9
          }
        };
        if (rc8) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit raml type for a shape that is not an AnyShape"))
        };
        jsx$1 = $m_sci_Nil$()
      };
      x1$1 = new $c_s_Some().init___O(jsx$1)
    };
    let jsx$3;
    if ($is_s_Some(x1$1)) {
      const x2$1 = x1$1;
      const emitters = x2$1.value$2;
      jsx$3 = emitters
    } else {
      jsx$3 = $m_sci_Nil$()
    };
    this.shapeEmitters$2 = jsx$3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnnotationTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationTypeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return $is_Lamf_core_emitter_EntryEmitter(x2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationTypeEmitter$$anonfun$$nestedInanonfun$shapeEmitters$1$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser(x$1)) {
      const RamlCreativeWorkParser$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlCreativeWorkParser$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, ctx) {
    this.node$1 = node;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parse__Lamf_plugins_domain_shapes_models_CreativeWork() {
    const map = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1);
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const documentation = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(documentation).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("content", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(documentation).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const x1 = this.ctx$1.vendor__Lamf_core_remote_Vendor();
    const x = $m_Lamf_core_remote_Oas$();
    let url;
    if ((x === x1)) {
      url = "url"
    } else {
      const x$3 = $m_Lamf_core_remote_Raml08$();
      let jsx$3;
      if ((x$3 === x1)) {
        jsx$3 = true
      } else {
        const x$5 = $m_Lamf_core_remote_Raml10$();
        jsx$3 = (x$5 === x1)
      };
      if ((!jsx$3)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected vendor '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
      };
      url = new $c_Lamf_core_utils_package$Strings().init___T("url").asRamlAnnotation__T()
    };
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    const iv$2 = this.ctx$1;
    jsx$4.key__T__F1__V(url, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(documentation));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(documentation, map, this.ctx$1).parse__V();
    return documentation
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCreativeWorkParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x2, $default) {
    if ($is_Lamf_core_model_document_ExternalFragment(x2)) {
      const x2$2 = x2;
      const this$3 = x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).id$1;
      const this$1 = this.$$outer$2.shape$1;
      const this$2 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__externalSourceID__s_Option(this$1);
      const that = (this$2.isEmpty__Z() ? "" : this$2.get__O());
      if ((this$3 === that)) {
        return x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
      }
    };
    return $default.apply__O__O(x2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x2) {
    if ($is_Lamf_core_model_document_ExternalFragment(x2)) {
      const x2$2 = x2;
      const this$3 = x2$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).id$1;
      const this$1 = this.$$outer$2.shape$1;
      const this$2 = $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__externalSourceID__s_Option(this$1);
      const that = (this$2.isEmpty__Z() ? "" : this$2.get__O());
      if ((this$3 === that)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlExternalSourceEmitter$$anonfun$emit$122", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_security_Scope(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x1)) {
      const x2 = x1;
      const this$1 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1);
      const this$2 = this$1.option$1;
      return new $c_Lamf_core_emitter_BaseEmitters_package$RawEmitter().init___T__Lorg_yaml_model_YType__Lamf_core_parser_Annotations((this$2.isEmpty__Z() ? null : this$2.get__O()), $m_Lorg_yaml_model_YType$().Str$1, new $c_Lamf_core_parser_Annotations().init___())
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth2ScopeEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x1, $default) {
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const typeDef = x2.value$2;
      return typeDef
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x1) {
    return $is_s_Some(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$$anonfun$collectTypeDefs$2", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher extends $c_O {
  constructor() {
    super();
    this.union$1 = null;
    this.ctx$1 = null;
    this.platform$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "InheritsUnionMatcher"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const InheritsUnionMatcher$1 = x$1;
      const x = this.union$1;
      const x$2 = InheritsUnionMatcher$1.union$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.union$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  matchUnionFather__Lorg_yaml_model_YPart__s_Option(part) {
    const this$1 = this.union$1;
    const jsx$2 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, part$1) {
      return (function(t$2) {
        const t = t$2;
        const xo = $this.$$outer$1.$$outer$1.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(t, part$1, true, $this.ctx$1);
        return xo.toList__sci_List()
      })
    })(this, part));
    const this$3 = $m_sc_Seq$();
    const typeSet = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2).toSet__sci_Set();
    return ((typeSet.size__I() === 1) ? new $c_s_Some().init___O(typeSet.head__O()) : new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$()))
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$__Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_parser_ParserContext($$outer, union, ctx) {
    this.union$1 = union;
    this.ctx$1 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$InheritsUnionMatcher;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YNode__Z(x1) {
    const x = x1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Map$1;
    return (x === x$2)
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser($$outer) {
    return this
  };
  applyOrElse__Lorg_yaml_model_YNode__F1__O(x1, $default) {
    const x = x1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x$2)) {
      return x1
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YNode__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YNode__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$TupleShapeParser$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x1, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x1) {
    return $is_Lamf_core_emitter_EntryEmitter(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypePartEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.adopt$1 = null;
    this.map$1 = null;
    this.defaultType$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "SimpleTypeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser(x$1)) {
      const SimpleTypeParser$1 = x$1;
      let jsx$1;
      if ((this.name$1 === SimpleTypeParser$1.name$1)) {
        const x = this.adopt$1;
        const x$2 = SimpleTypeParser$1.adopt$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SimpleTypeParser$1.map$1))) {
        const x$3 = this.defaultType$1;
        const x$4 = SimpleTypeParser$1.defaultType$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.adopt$1;
        break
      }
      case 2: {
        return this.map$1;
        break
      }
      case 3: {
        return this.defaultType$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("repeat");
    let jsx$1;
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      jsx$1 = (!(!entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.ctx$1)))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$3 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.map$1);
      const name = this.name$1;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
      this.adopt$1.apply__O__O(shape);
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, shape$1) {
        return (function(s$2) {
          const s = s$2;
          return s.adopted__T__Lamf_core_model_domain_AmfObject(shape$1.id$1)
        })
      })(this, shape));
      $m_Lorg_yaml_model_YMap$();
      const c = this.map$1.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(entry$3$2) {
          const entry$3 = entry$3$2;
          const this$4 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$3$1.ctx$1).text$3;
          return (!(this$4 === "repeat"))
        })
      })(this)));
      const items = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser().init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext("items", jsx$2, new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c), this.defaultType$1, this.ctx$1).parse__Lamf_plugins_domain_shapes_models_AnyShape();
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(shape, field$1, items);
      return shape
    } else {
      const map$1 = this.map$1;
      const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("type");
      let this$10;
      if (this$7.isEmpty__Z()) {
        this$10 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const e = arg1$1;
        const this$8 = e.value$1;
        const x1 = this$8.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x === x1)) {
          this$10 = $m_s_None$()
        } else {
          const node = e.value$1;
          this$10 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$())
        }
      };
      let this$15;
      if (this$10.isEmpty__Z()) {
        this$15 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08DefaultTypeParser().init___Lamf_plugins_domain_shapes_models_TypeDef__T__Lorg_yaml_model_YPart__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.defaultType$1, this.name$1, this.map$1, this.adopt$1, this.ctx$1).parse__s_Option()
      } else {
        const arg1$2 = this$10.get__O();
        const value = arg1$2;
        const x1$1 = $m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsdFromString__T__T2(value.text$3);
        matchEnd5: {
          if ((x1$1 !== null)) {
            const iri = x1$1.$$und1__O();
            const format = x1$1.$$und2__O();
            if ((iri !== null)) {
              if ((format !== null)) {
                const this$12 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(value);
                const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
                const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(iri, new $c_Lamf_core_parser_Annotations().init___());
                const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(value);
                const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$12, field$2, value$1, annotations);
                if ((!format.isEmpty__Z())) {
                  const arg1$3 = format.get__O();
                  const f = arg1$3;
                  const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
                  const value$2 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(f, new $c_Lamf_core_parser_Annotations().init___());
                  const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
                  $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape$2, field$3, value$2, annotations$1)
                };
                const name$1 = this.name$1;
                const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                this$15 = new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$2, field$4, name$1));
                break matchEnd5
              }
            }
          };
          this$15 = $m_s_None$()
        }
      };
      let shape$2$1;
      if (this$15.isEmpty__Z()) {
        const this$18 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.map$1);
        const this$16 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        const dataType = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$16, "string").iri__T();
        const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        const this$19 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$18, field$5, dataType);
        const name$2 = this.name$1;
        const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        shape$2$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$6, name$2)
      } else {
        shape$2$1 = this$15.get__O()
      };
      const map$2 = this.map$1;
      const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
      const this$22 = this$21.key__T__s_Option("type");
      if ((!this$22.isEmpty__Z())) {
        const arg1$4 = this$22.get__O();
        const e$3 = arg1$4;
        shape$2$1.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo().init___Lamf_core_parser_Range($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(e$3.key$1.range$3)))
      };
      this.adopt$1.apply__O__O(shape$2$1);
      this.parseMap__p1__Lamf_plugins_domain_shapes_models_AnyShape__V(shape$2$1);
      let str;
      if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(shape$2$1)) {
        const x2 = shape$2$1;
        const this$23 = x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
        const this$24 = this$23.option$1;
        str = (this$24.isEmpty__Z() ? null : this$24.get__O())
      } else {
        str = "#shape"
      };
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(str, "#", 0);
      const this$27 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const x1$2 = $f_sc_IndexedSeqOptimized__last__O(this$27);
      const syntaxType = (((x1$2 === "integer") || (x1$2 === "float")) ? "numberScalarShape" : ((x1$2 === "string") ? "stringScalarShape" : ((x1$2 === "dateTime") ? "dateScalarShape" : "shape")));
      this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(shape$2$1.id$1, this.map$1, syntaxType, false);
      return shape$2$1
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseMap__p1__Lamf_plugins_domain_shapes_models_AnyShape__V(shape) {
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Values$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("enum", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$3 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("pattern", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$4 = this.map$1;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
    const iv$4 = this.ctx$1;
    jsx$5.key__T__F1__V("minLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$5 = this.map$1;
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
    const iv$5 = this.ctx$1;
    jsx$6.key__T__F1__V("maxLength", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$6 = this.map$1;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$9 = this$8.key__T__s_Option("minimum");
    if ((!this$9.isEmpty__Z())) {
      const arg1 = this$9.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv$6 = this.ctx$1;
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$6);
      const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
      const value$1 = value.text__Lamf_core_model_domain_AmfScalar();
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$6, value$1, annotations)
    };
    const map$7 = this.map$1;
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$13 = this$12.key__T__s_Option("maximum");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const node$1 = entry$3.value$1;
      const iv$7 = this.ctx$1;
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$7);
      const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
      const value$3 = value$2.text__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$7, value$3, annotations$1)
    };
    const this$15 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser().init___T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext("example", this.map$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, shape$1) {
      return (function(name$2) {
        const name = name$2;
        return shape$1.withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name)
      })
    })(this, shape)), new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, true), this.ctx$1).parse__s_Option();
    if ((!this$15.isEmpty__Z())) {
      const arg1$2 = this$15.get__O();
      const e = arg1$2;
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Examples$1;
      const values = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e]));
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(shape, field$8, values)
    };
    const map$8 = this.map$1;
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8);
    const field$9 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().RequiredShape$1;
    const iv$8 = this.ctx$1;
    jsx$7.key__T__F1__V("required", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$9, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(shape));
    const map$9 = this.map$1;
    const this$18 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$9);
    const this$19 = this$18.key__T__s_Option("default");
    if ((!this$19.isEmpty__Z())) {
      const arg1$3 = this$19.get__O();
      const entry$4 = arg1$3;
      const this$20 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(entry$4.value$1, shape.id$1, false, this.ctx$1).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult().dataNode$1;
      if ((!this$20.isEmpty__Z())) {
        const arg1$4 = this$20.get__O();
        const dn = arg1$4;
        const field$10 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field$10, dn, annotations$2)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(name, adopt, map, defaultType, ctx) {
    this.name$1 = name;
    this.adopt$1 = adopt;
    this.map$1 = map;
    this.defaultType$1 = defaultType;
    this.ctx$1 = ctx;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.SimpleTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x3) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x3)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.TraitExtendsEmitter$$anonfun$collect$1", {
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$ extends $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions.prototype.init___Z__Z.call(this, true, false);
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.DefaultExampleOptions$", {
  Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$;
let $n_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$)) {
    $n_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$ = new $c_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$
});
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return $is_Lamf_core_emitter_EntryEmitter(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ExampleValuesEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YDocument(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YDocument(x1)) {
      const x2 = x1;
      return x2.node$3
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser$$anonfun$$nestedInanonfun$parse$13$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter {
  constructor() {
    super();
    this.api$2 = null;
    this.f$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Oas2ServersEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter(x$1)) {
      const Oas2ServersEmitter$1 = x$1;
      const x = this.api$2;
      const x$2 = Oas2ServersEmitter$1.api$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.f$2;
        const x$4 = Oas2ServersEmitter$1.f$2;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$2;
        const x$6 = Oas2ServersEmitter$1.ordering$2;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = Oas2ServersEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.api$2;
        break
      }
      case 1: {
        return this.f$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const servers = $m_Lamf_plugins_document_webapi_parser_spec_domain_Servers$().apply__Lamf_core_parser_FieldEntry__Lamf_plugins_document_webapi_parser_spec_domain_Servers(this.f$2);
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = servers.default$1;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const server = arg1;
      this.defaultServer__p2__Lamf_plugins_domain_webapi_models_Server__scm_ListBuffer__s_Option(server, result)
    };
    this.asExtension__T__sc_Seq__scm_ListBuffer__V(new $c_Lamf_core_utils_package$Strings().init___T("servers").asOasExtension__T(), servers.servers$1, result);
    return result
  };
  defaultServer__p2__Lamf_plugins_domain_webapi_models_Server__scm_ListBuffer__s_Option($default, result) {
    const fs = $default.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      const uri = $m_Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter$().apply__T__Lamf_plugins_document_webapi_parser_spec_BaseUriSplitter(f.value$1.value$1.toString__T());
      const x = uri.domain$1;
      const this$3 = new $c_sci_StringOps().init___T(x);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
        const x$13 = uri.domain$1;
        const x$14 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(f.value$1.annotations$1, $d_Lamf_core_annotations_HostLexicalInformation.getClassOf());
        const x$15 = $m_Lorg_yaml_model_YType$().Str$1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("host", x$13, x$15, x$14))
      };
      const x$1 = uri.path$1;
      const this$6 = new $c_sci_StringOps().init___T(x$1);
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$6)) {
        const x$17 = uri.path$1;
        const x$18 = $m_Lamf_core_emitter_BaseEmitters_package$().pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(f.value$1.annotations$1, $d_Lamf_core_annotations_BasePathLexicalInformation.getClassOf());
        const x$19 = $m_Lorg_yaml_model_YType$().Str$1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("basePath", x$17, x$19, x$18))
      };
      const x$2 = uri.protocol$1;
      const this$9 = new $c_sci_StringOps().init___T(x$2);
      let jsx$2;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$9)) {
        const this$10 = this.api$2.fields$1;
        const f$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
        jsx$2 = (!this$10.fs$1.contains__O__Z(f$1))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(uri.protocol$1, new $c_Lamf_core_parser_Annotations().init___())])), new $c_Lamf_core_parser_Annotations().init___());
        const annotations = f.value$1.annotations$1;
        jsx$1 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("schemes", new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$3, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations)), this.ordering$2, false))
      } else {
        jsx$1 = (void 0)
      };
      new $c_s_Some().init___O(jsx$1)
    };
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$1 = this$14.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter(new $c_Lamf_core_utils_package$Strings().init___T("serverDescription").asOasExtension__T(), f$3, $m_s_None$(), this.spec$2)))
    };
    const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1);
    if (this$17.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$2 = this$17.get__O();
      const f$4 = arg1$2;
      const jsx$6 = new $c_Lamf_core_utils_package$Strings().init___T("baseUriParameters").asOasExtension__T();
      const jsx$5 = this.ordering$2;
      const jsx$4 = this.references$2;
      const spec = this.spec$2;
      return new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(jsx$6, f$4, jsx$5, jsx$4, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(api, f, ordering, references, spec) {
    this.api$2 = api;
    this.f$2 = f;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter.prototype.init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, api, f, ordering, references, spec);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Oas2ServersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter {
  constructor() {
    super();
    this.api$2 = null;
    this.f$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Oas3ServersEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter(x$1)) {
      const Oas3ServersEmitter$1 = x$1;
      const x = this.api$2;
      const x$2 = Oas3ServersEmitter$1.api$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.f$2;
        const x$4 = Oas3ServersEmitter$1.f$2;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$2;
        const x$6 = Oas3ServersEmitter$1.ordering$2;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = Oas3ServersEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.api$2;
        break
      }
      case 1: {
        return this.f$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.f$2;
    this.asExtension__T__sc_Seq__scm_ListBuffer__V("servers", this$1.arrayValues__sc_Seq(), result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(api, f, ordering, references, spec) {
    this.api$2 = api;
    this.f$2 = f;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter.prototype.init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, api, f, ordering, references, spec);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Oas3ServersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__Lamf_plugins_domain_webapi_models_Parameter() {
    const name = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const this$1 = this.producer$1.apply__O__O(name);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const parameter = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
    const value = (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(name, "?"));
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field, value);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const this$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const value$1 = this$3.string__Lamf_core_model_domain_AmfScalar();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$4, field$1, value$1);
    const map = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$1.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
    const iv$2 = this.ctx$1;
    const this$7 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
    jsx$2.key__T__F1__V("required", this$7.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$10 = this$9.key__T__s_Option("type");
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const this$11 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(this.entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parameter$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$4, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
        })
      })(this, parameter)), this.ctx$1).parse__s_Option();
      if ((!this$11.isEmpty__Z())) {
        const arg1$1 = this$11.get__O();
        const x$2 = arg1$1;
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$5, x$2, annotations))
      }
    };
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field$6, "header");
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(parameter, map, this.ctx$1).parse__V();
    return parameter
  };
  productPrefix__T() {
    return "OasHeaderParameterParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser(x$1)) {
      const OasHeaderParameterParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = OasHeaderParameterParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = OasHeaderParameterParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, producer, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasHeaderParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.parentId$1 = null;
    this.name$1 = null;
    this.ctx$1 = null;
    this.map$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  checkNotFileInBody__Lamf_core_model_domain_Shape__V(schema) {
    const schemaToCheck = ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(schema).isDefined__Z() ? $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(schema) : schema);
    if ($is_Lamf_plugins_domain_shapes_models_FileShape(schemaToCheck)) {
      const this$1 = this.ctx$1;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().OasFormDataNotFileSpecification$1.id__T();
      const node = schema.id$1;
      const ast = this.map$1;
      const property = $m_s_None$();
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$1, id, node, property, "File types in parameters must be declared in formData params", ast)
    }
  };
  productPrefix__T() {
    return "OasParameterParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser(x$1)) {
      const OasParameterParser$1 = x$1;
      if ((this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasParameterParser$1.node$1) && (this.parentId$1 === OasParameterParser$1.parentId$1))) {
        const x = this.name$1;
        const x$2 = OasParameterParser$1.name$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.parentId$1;
        break
      }
      case 2: {
        return this.name$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  shapeFromOasParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(parameter, schema) {
    const x1 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1).option$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const paramName = x2.value$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(paramName, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1).annotations$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(schema, field, value, annotations)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(schema, field$1, "schema")
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const x1$2 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1).option$1;
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const description = x2$2.value$2;
      const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(description, new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1).annotations$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(schema, field$2, value$1, annotations$1)
    } else {
      const x$3 = $m_s_None$();
      if ((!(x$3 === x1$2))) {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    };
    const this$3 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1).annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const lexicalInfo = arg1;
      schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo().init___Lamf_core_parser_Range(lexicalInfo.range__Lamf_core_parser_Range()))
    };
    return schema
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseParameterRef__Lorg_yaml_model_YMapEntry__T__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(ref, parentId) {
    const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
    $m_Lorg_yaml_model_YNode$();
    const node = ref.value$1;
    const refUrl = jsx$1.stripParameterDefinitionsPrefix__T__T(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1));
    const x1 = this.ctx$1.declarations$2.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(refUrl, $m_Lamf_core_parser_SearchScope$All$());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      const payload = this.ctx$1.declarations$2.parameterPayload__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload(p);
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
      const parameter = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(p, refUrl, annotations);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
      const this$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field, refUrl);
      $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$2, parentId);
      return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__s_Option(parameter, payload, $m_s_None$())
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const jsx$3 = $m_Lamf_plugins_domain_webapi_models_Parameter$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_Parameter($m_Lorg_yaml_model_YMap$().empty$1);
        const jsx$2 = $m_Lamf_plugins_domain_webapi_models_Payload$();
        $m_Lorg_yaml_model_YNode$();
        const map = $m_Lorg_yaml_model_YMap$().empty$1;
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const oasParameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__s_Option(jsx$3, jsx$2.apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_Payload(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs)), $m_s_None$());
        const this$10 = this.ctx$1;
        const node$1 = oasParameter.parameter$1.id$1;
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find parameter reference ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([refUrl]));
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node$1, message, ref);
        return oasParameter
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  validateBinding__p1__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter__V(parameter) {
    if (parameter.hasInvalidBinding__Z()) {
      const this$1 = parameter.parameter$1;
      const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      const this$3 = this$2.option$1;
      const old = (this$3.isEmpty__Z() ? null : this$3.get__O());
      const map = this.map$1;
      const entry = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("in");
      let this$5;
      if (entry.isEmpty__Z()) {
        this$5 = $m_s_None$()
      } else {
        const arg1 = entry.get__O();
        const x$2 = arg1;
        this$5 = new $c_s_Some().init___O($m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(x$2))
      };
      const entryAnnotations = (this$5.isEmpty__Z() ? new $c_Lamf_core_parser_Annotations().init___() : this$5.get__O());
      let this$7;
      if (entry.isEmpty__Z()) {
        this$7 = $m_s_None$()
      } else {
        const arg1$1 = entry.get__O();
        const e = arg1$1;
        this$7 = new $c_s_Some().init___O($m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value$1))
      };
      const entryValueAnnotations = (this$7.isEmpty__Z() ? new $c_Lamf_core_parser_Annotations().init___() : this$7.get__O());
      const this$10 = this.ctx$1;
      const node = $m_Lamf_plugins_features_validation_ParserSideValidations$().OasInvalidParameterBinding$1.id__T();
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid parameter binding '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([old]));
      let this$9;
      if (entry.isEmpty__Z()) {
        this$9 = $m_s_None$()
      } else {
        const arg1$2 = entry.get__O();
        const x$3 = arg1$2;
        this$9 = new $c_s_Some().init___O(x$3.value$1)
      };
      const ast = (this$9.isEmpty__Z() ? this.map$1 : this$9.get__O());
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node, message, ast);
      const this$11 = parameter.parameter$1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.defaultBinding__T(), entryValueAnnotations);
      const annotations = entryAnnotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_webapi_annotations_InvalidBinding().init___T(old));
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field, value, annotations);
      const this$12 = parameter.parameter$1;
      const this$13 = this$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      if ($f_Lamf_core_model_ValueField__is__O__Z(this$13, "body")) {
        const this$14 = parameter.payload$1;
        const annotation = new $c_Lamf_plugins_domain_webapi_annotations_InvalidBinding().init___T(old);
        $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$14, annotation)
      }
    }
  };
  init___Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(node, parentId, name, ctx) {
    this.node$1 = node;
    this.parentId$1 = parentId;
    this.name$1 = name;
    this.ctx$1 = ctx;
    this.map$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), ctx);
    return this
  };
  parse__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const ref = x2.value$2;
      return this.parseParameterRef__Lorg_yaml_model_YMapEntry__T__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(ref, this.parentId$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const p = $m_Lamf_plugins_document_webapi_parser_spec_domain_OasParameter$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter(this.node$1);
        const parameter = p.parameter$1;
        const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field, false);
        if (this.name$1.isDefined__Z()) {
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          const value = this.name$1.get__O();
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field$1, value)
        } else {
          const map$1 = this.map$1;
          const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          const iv = this.ctx$1;
          jsx$1.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter))
        };
        const map$2 = this.map$1;
        const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
        const iv$1 = this.ctx$1;
        jsx$2.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
        const map$3 = this.map$1;
        const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
        const iv$2 = this.ctx$1;
        jsx$3.key__T__F1__V("in", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
        this.validateBinding__p1__Lamf_plugins_document_webapi_parser_spec_domain_OasParameter__V(p);
        const this$5 = p.parameter$1;
        const this$6 = this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        let jsx$5;
        if ($f_Lamf_core_model_ValueField__is__O__Z(this$6, "body")) {
          jsx$5 = true
        } else {
          const this$7 = p.parameter$1;
          const this$8 = this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          jsx$5 = $f_Lamf_core_model_ValueField__is__O__Z(this$8, "formData")
        };
        let jsx$4;
        if (jsx$5) {
          const this$9 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
          jsx$4 = $f_Lamf_core_model_StrField__isNullOrEmpty__Z(this$9)
        } else {
          jsx$4 = false
        };
        if (jsx$4) {
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field$5, "default")
        };
        const parent = this.parentId$1;
        $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(parameter, parent);
        const this$10 = p.payload$1;
        const parent$1 = parameter.id$1;
        $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$10, parent$1);
        const map$4 = this.map$1;
        const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
        const iv$3 = this.ctx$1;
        jsx$6.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter));
        const map$5 = this.map$1;
        const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
        const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        const iv$4 = this.ctx$1;
        const this$13 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
        jsx$7.key__T__F1__V("required", this$13.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
        const this$14 = p.parameter$1;
        const this$15 = this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        if ($f_Lamf_core_model_ValueField__is__O__Z(this$15, "body")) {
          this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(parameter.id$1, this.map$1, "bodyParameter", false);
          const map$6 = this.map$1;
          const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
          const this$18 = this$17.key__T__s_Option("schema");
          if ((!this$18.isEmpty__Z())) {
            const arg1 = this$18.get__O();
            const entry = arg1;
            const this$19 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
              return (function(shape$2) {
                const shape = shape$2;
                const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$8, "schema").adopted__T__Lamf_core_model_domain_AmfObject(p$1.payload$1.id$1)
              })
            })(this, p)), this.ctx$1).parse__s_Option();
            if ((!this$19.isEmpty__Z())) {
              const arg1$1 = this$19.get__O();
              const schema = arg1$1;
              this.shapeFromOasParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(parameter, schema);
              this.checkNotFileInBody__Lamf_core_model_domain_Shape__V(schema);
              const this$20 = p.payload$1;
              const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
              const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
              new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$20, field$9, schema, annotations))
            }
          };
          const map$7 = this.map$1;
          const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
          const jsx$8 = new $c_Lamf_core_utils_package$Strings().init___T("mediaType").asOasExtension__T();
          const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
          const iv$5 = this.ctx$1;
          jsx$9.key__T__F1__V(jsx$8, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$10, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(p.payload$1))
        } else {
          this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(parameter.id$1, this.map$1, "parameter", false);
          const this$24 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(this.node$1, "", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, parameter$1) {
            return (function(shape$2$1) {
              const shape$1 = shape$2$1;
              const field$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$1, field$11, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
            })
          })(this, parameter)), new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OAS20SchemaVersion().init___T("parameter"), this.ctx$1).parse__s_Option();
          let this$28;
          if (this$24.isEmpty__Z()) {
            this$28 = $m_s_None$()
          } else {
            const arg1$2 = this$24.get__O();
            const schema$1 = arg1$2;
            const this$25 = p.parameter$1;
            const this$26 = this$25.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
            let jsx$10;
            if ($f_Lamf_core_model_ValueField__is__O__Z(this$26, "formData")) {
              this.shapeFromOasParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(parameter, schema$1);
              const this$27 = p.payload$1;
              const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
              const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
              jsx$10 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$27, field$12, schema$1, annotations$1)
            } else {
              const field$13 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
              const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
              jsx$10 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$13, schema$1, annotations$2)
            };
            this$28 = new $c_s_Some().init___O(jsx$10)
          };
          if (this$28.isEmpty__Z()) {
            const this$29 = this.ctx$1;
            const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
            const node = p.payload$1.id$1;
            const ast = this.map$1;
            const property = $m_s_None$();
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$29, id, node, property, "Cannot find valid schema for parameter", ast)
          };
          const this$30 = p.parameter$1;
          const this$31 = this$30.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          if ($f_Lamf_core_model_ValueField__is__O__Z(this$31, "formData")) {
            p.payload$1.annotations$1.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_FormBodyParameter().init___())
          }
        };
        new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(parameter, this.map$1, this.ctx$1).parse__V();
        return p
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  defaultBinding__T() {
    const map = this.map$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      this$3 = new $c_s_Some().init___O("body")
    };
    return (this$3.isEmpty__Z() ? "query" : this$3.get__O())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasPayloadParser"
  };
  productArity__I() {
    return 2
  };
  init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(node, producer, ctx) {
    this.node$1 = node;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser(x$1)) {
      const OasPayloadParser$1 = x$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasPayloadParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = OasPayloadParser$1.producer$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const map = this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    const jsx$2 = this.producer$1;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("mediaType");
    let jsx$1;
    if (this$2.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const node = entry.value$1;
      const iv = this.ctx$1;
      const this$4 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      jsx$1 = new $c_s_Some().init___O($objectToString(this$4.text__Lamf_core_model_domain_AmfScalar().value$1))
    };
    const this$10 = jsx$2.apply__O__O(jsx$1);
    const jsx$3 = $m_Lamf_core_parser_Annotations$();
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const other = jsx$3.valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs));
    const payload = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$10, other);
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    const iv$1 = this.ctx$1;
    jsx$4.key__T__F1__V("mediaType", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(payload));
    const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$14 = this$13.key__T__s_Option("schema");
    if ((!this$14.isEmpty__Z())) {
      const arg1$1 = this$14.get__O();
      const entry$3 = arg1$1;
      const this$15 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "schema").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
        })
      })(this, payload)), this.ctx$1).parse__s_Option();
      if ((!this$15.isEmpty__Z())) {
        const arg1$2 = this$15.get__O();
        const x$1 = arg1$2;
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(payload, field$2, x$1, annotations))
      }
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(payload, map, this.ctx$1).parse__V();
    return payload
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloadParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_shapes_models_Example(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_Example(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExamplesEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasResponseParser"
  };
  defaultPayload__p1__Lorg_yaml_model_YMap__T__s_Option(entries, parentId) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const annotation = new $c_Lamf_plugins_document_webapi_annotations_DefaultPayload().init___();
    const payload = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation);
    const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("mediaType").asOasExtension__T();
    const this$8 = this$7.key__T__s_Option(keyword);
    if ((!this$8.isEmpty__Z())) {
      const arg1 = this$8.get__O();
      const entry = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      const node = entry.value$1;
      const iv = this.ctx$1;
      const this$10 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const value = this$10.string__Lamf_core_model_domain_AmfScalar();
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(payload, field, value, annotations$1)
    };
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(payload, parentId);
    const this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(entries);
    const this$13 = this$12.key__T__s_Option("schema");
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const entry$3 = arg1$1;
      const this$14 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$3, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "default").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
        })
      })(this, payload)), this.ctx$1).parse__s_Option();
      if ((!this$14.isEmpty__Z())) {
        const arg1$2 = this$14.get__O();
        const s = arg1$2;
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(payload, field$2, s, annotations$2))
      }
    };
    const this$15 = payload.fields$1;
    const this$16 = this$15.fs$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$16)) {
      return new $c_s_Some().init___O(payload)
    } else {
      return $m_s_None$()
    }
  };
  productArity__I() {
    return 2
  };
  parse__Lamf_plugins_domain_webapi_models_Response() {
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const node$1 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entry$1.value$1);
    let response;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const url = x2.value$2;
      const name = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().stripResponsesDefinitionsPrefix__T__T(url);
      const qual$1 = this.ctx$1.declarations$2.findResponseOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_Response(this.entry$1.value$1, name, $m_Lamf_core_parser_SearchScope$Named$());
      const x$2 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().stripResponsesDefinitionsPrefix__T__T(url);
      const x$3 = new $c_Lamf_core_parser_Annotations().init___();
      const value = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(qual$1, x$2, x$3);
      const name$1 = $objectToString(node$1.string__Lamf_core_model_domain_AmfScalar().value$1);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
      response = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(value, field, name$1)
    } else {
      if ((!$is_s_util_Right(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const x3 = x1;
      const value$2 = x3.value$2;
      const map = value$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$3 = this.producer$1.apply__O__O($objectToString(node$1.string__Lamf_core_model_domain_AmfScalar().value$1));
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
      const res = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
      const iv$1 = this.ctx$1;
      jsx$1.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(res));
      const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$7 = this$6.key__T__s_Option("headers");
      if ((!this$7.isEmpty__Z())) {
        const arg1 = this$7.get__O();
        const entry = arg1;
        const parameters = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasHeaderParametersParser().init___Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, res$1) {
          return (function(name$2) {
            const name$3 = name$2;
            return res$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name$3)
          })
        })(this, res)), this.ctx$1).parse__sc_Seq();
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(res, field$2, value$1, annotations)
      };
      const payloads = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$8 = this.defaultPayload__p1__Lorg_yaml_model_YMap__T__s_Option(map, res.id$1);
      if ((!this$8.isEmpty__Z())) {
        const arg1$1 = this$8.get__O();
        const x$1 = arg1$1;
        payloads.$$plus$eq__O__scm_ListBuffer(x$1)
      };
      const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const keyword = new $c_Lamf_core_utils_package$Strings().init___T("responsePayloads").asOasExtension__T();
      const this$12 = this$11.key__T__s_Option(keyword);
      if ((!this$12.isEmpty__Z())) {
        const arg1$2 = this$12.get__O();
        const entry$3 = arg1$2;
        const jsx$4 = entry$3.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$14 = $m_sc_IndexedSeq$();
        const bf = this$14.ReusableCBF$6;
        const jsx$3 = jsx$4.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1);
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, res$1$1, payloads$1) {
          return (function(value$2$1) {
            const value$3 = value$2$1;
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            $m_Lorg_yaml_model_YNode$();
            const tt = $m_Lorg_yaml_model_YType$().Map$1;
            $m_Lorg_yaml_model_YNode$();
            const t = tt.org$yaml$model$YType$$tag$und$1;
            $m_Lorg_yaml_model_YNode$();
            const a = $m_s_None$();
            $m_Lorg_yaml_model_YNode$();
            const cs = null;
            return payloads$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadParser().init___Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, res$1$2) {
              return (function(mediaType$2) {
                const mediaType = mediaType$2;
                return res$1$2.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType)
              })
            })($this$1, res$1$1)), $this$1.ctx$1).parse__Lamf_plugins_domain_webapi_models_Payload())
          })
        })(this, res, payloads));
        const this$20 = $m_sc_Seq$();
        jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$20.ReusableCBFInstance$2)
      };
      if (payloads.nonEmpty__Z()) {
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1;
        const value$4 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(payloads, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(res, field$3, value$4)
      };
      const examples = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext("examples", map, this.ctx$1).parse__sc_Seq();
      if (examples.nonEmpty__Z()) {
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1;
        const value$5 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(examples, new $c_Lamf_core_parser_Annotations().init___());
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(res, field$4, value$5)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(res, map, this.ctx$1).parse__V();
      this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(res.id$1, map, "response", false);
      response = res
    };
    if ((!response.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf()))) {
      const this$23 = response.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
      if ($f_Lamf_core_model_ValueField__is__O__Z(this$23, "default")) {
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(response, field$5, "200")
      } else {
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
        const value$6 = node$1.string__Lamf_core_model_domain_AmfScalar();
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(response, field$6, value$6)
      }
    };
    return response
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser(x$1)) {
      const OasResponseParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = OasResponseParser$1.entry$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = OasResponseParser$1.producer$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entry, producer, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser extends $c_O {
  constructor() {
    super();
    this.parent$1 = null;
    this.map$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "OasServerParser"
  };
  productArity__I() {
    return 2
  };
  parse__Lamf_plugins_domain_webapi_models_Server() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const server = new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("url", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(server));
    const parent = this.parent$1;
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(server, parent);
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(server));
    const map$2 = this.map$1;
    const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("parameters").asOasExtension__T());
    let this$10;
    if (this$8.isEmpty__Z()) {
      const map$3 = this.map$1;
      this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("variables")
    } else {
      this$10 = this$8
    };
    if ((!this$10.isEmpty__Z())) {
      const arg1 = this$10.get__O();
      const entry = arg1;
      const jsx$4 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1).entries$3;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, server$3) {
        return (function(x$6$2) {
          const x$6 = x$6$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(x$6, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, server$3$1) {
            return (function(name$2) {
              const name = name$2;
              return server$3$1.withVariable__T__Lamf_plugins_domain_webapi_models_Parameter(name)
            })
          })($this, server$3)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($this.ctx$1)).parse__Lamf_plugins_domain_webapi_models_Parameter()
        })
      })(this, server));
      const this$11 = $m_sc_IndexedSeq$();
      const variables = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBF$6);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(variables, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(server, field$2, value, annotations$1)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(server, this.map$1, this.ctx$1).parse__V();
    return server
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser(x$1)) {
      const OasServerParser$1 = x$1;
      return ((this.parent$1 === OasServerParser$1.parent$1) && this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasServerParser$1.map$1))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      case 1: {
        return this.map$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_OasWebApiContext(parent, map, ctx) {
    this.parent$1 = parent;
    this.map$1 = map;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasServerParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x1)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x3, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x3) {
    return $is_Lamf_core_emitter_EntryEmitter(x3)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter$$anon$1$$anonfun$$nestedInanonfun$emit$14$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "Raml08PayloadParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser(x$1)) {
      const Raml08PayloadParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08PayloadParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08PayloadParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08PayloadParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const payload = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.parse__Lamf_plugins_domain_webapi_models_Payload.call(this);
    const this$1 = payload.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    const this$2 = this$1.option$1;
    const mediaType = (this$2.isEmpty__Z() ? null : this$2.get__O());
    if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(mediaType, "?")) {
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Optional$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(payload, field, true);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      const this$4 = new $c_sci_StringOps().init___T(mediaType);
      const value = $f_sci_StringLike__stripSuffix__T__T(this$4, "?");
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(payload, field$1, value)
    };
    const this$5 = this.entry$2.value$1;
    const x1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((!(x === x1))) {
      $m_sci_List$();
      const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/x-www-form-urlencoded", "multipart/form-data"]);
      const this$7 = $m_sci_List$();
      const cbf = this$7.ReusableCBFInstance$2;
      const this$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
      if ($f_sc_LinearSeqOptimized__contains__O__Z(this$8, mediaType)) {
        const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08WebFormParser().init___Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2), payload.id$1, this.ctx$2).parse__s_Option();
        if ((!this$9.isEmpty__Z())) {
          const arg1 = this$9.get__O();
          const schema = arg1;
          const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$2, schema)
        }
      } else {
        const this$10 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, payload$1) {
          return (function(shape$2) {
            const shape = shape$2;
            return shape.adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
          })
        })(this, payload)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), this.ctx$2).parse__s_Option();
        if ((!this$10.isEmpty__Z())) {
          const arg1$1 = this$10.get__O();
          const schema$3 = arg1$1;
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$3, schema$3)
        }
      }
    };
    return payload
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x2, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x2) {
    return $is_Lamf_core_emitter_EntryEmitter(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_Payload(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_Payload(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter($$outer) {
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadsEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "Raml10PayloadParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser(x$1)) {
      const Raml10PayloadParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10PayloadParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10PayloadParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10PayloadParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parse__Lamf_plugins_domain_webapi_models_Payload() {
    const payload = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser.prototype.parse__Lamf_plugins_domain_webapi_models_Payload.call(this);
    const this$1 = this.entry$2.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((!(x === x1))) {
      const this$2 = this.entry$2.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const x1$2 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$2);
      if ($is_s_util_Right(x1$2)) {
        const x2 = x1$2;
        const map = x2.value$2;
        new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(payload, map, this.ctx$2).parse__V()
      }
    };
    const this$3 = this.entry$2.value$1;
    const x1$3 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$4 = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x$4 === x1$3)) {
      const this$4 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, payload$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field, "schema").adopted__T__Lamf_core_model_domain_AmfObject(payload$1.id$1)
        })
      })(this, payload)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), this.ctx$2).parse__s_Option();
      if ((!this$4.isEmpty__Z())) {
        const arg1 = this$4.get__O();
        const schema = arg1;
        schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$1, schema)
      }
    } else {
      const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, payload$2) {
        return (function(shape$3$2) {
          const shape$3 = shape$3$2;
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$2, "schema").adopted__T__Lamf_core_model_domain_AmfObject(payload$2.id$1)
        })
      })(this, payload)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), this.ctx$2).parse__s_Option();
      if ((!this$5.isEmpty__Z())) {
        const arg1$1 = this$5.get__O();
        const schema$3 = arg1$1;
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(payload, field$3, schema$3)
      }
    };
    return payload
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_emitter_Emitter__F1__O(x4, $default) {
    if ($is_Lamf_core_emitter_EntryEmitter(x4)) {
      const x2 = x4;
      return x2
    } else {
      return $default.apply__O__O(x4)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_emitter_Emitter__Z(x4) {
    return $is_Lamf_core_emitter_EntryEmitter(x4)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_Emitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_Emitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.example$1 = null;
    this.options$1 = null;
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "RamlExampleValueAsString"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString(x$1)) {
      const RamlExampleValueAsString$1 = x$1;
      let jsx$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlExampleValueAsString$1.node$1)) {
        const x = this.example$1;
        const x$2 = RamlExampleValueAsString$1.example$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.options$1;
        const x$4 = RamlExampleValueAsString$1.options$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.example$1;
        break
      }
      case 2: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  populate__Lamf_plugins_domain_shapes_models_Example() {
    if (this.example$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).isEmpty__Z()) {
      const this$3 = this.example$1;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(this.options$1.strictDefault$1, new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$3, field, value, annotations)
    };
    const x1 = this.node$1;
    let targetNode;
    if ($is_Lorg_yaml_model_YNode$MutRef(x1)) {
      const x2 = x1;
      const node = this.node$1;
      const element = this.example$1;
      const ctx = this.ctx$1;
      $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z(this, node, element, ctx);
      const this$4 = x2.target$5;
      targetNode = (this$4.isEmpty__Z() ? this.node$1 : this$4.get__O())
    } else {
      targetNode = this.node$1
    };
    const node$1 = this.node$1;
    const x1$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
    if ($is_s_Some(x1$2)) {
      const x2$2 = x1$2;
      const scalar = x2$2.value$2;
      const this$6 = this.example$1;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Raw$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(scalar.text$3, $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$6, field$1, value$1, annotations$1)
    } else {
      const this$7 = this.example$1;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Raw$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(targetNode, false), $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1));
      const annotations$2 = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$2, value$2, annotations$2)
    };
    const result = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(targetNode, this.example$1.id$1, this.options$1.quiet$1, this.ctx$1).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult();
    const this$8 = result.dataNode$1;
    if ((!this$8.isEmpty__Z())) {
      const arg1 = this$8.get__O();
      const dataNode = arg1;
      const this$9 = this.example$1;
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1;
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field$3, dataNode, annotations$3)
    };
    return this.example$1
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(node, example, options, ctx) {
    this.node$1 = node;
    this.example$1 = example;
    this.options$1 = options;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlExampleValueAsString", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser extends $c_O {
  constructor() {
    super();
    this.entry$1 = null;
    this.producer$1 = null;
    this.parseOptional$1 = false;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlOperationParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$1 = entry;
    this.producer$1 = producer;
    this.parseOptional$1 = parseOptional;
    this.ctx$1 = ctx;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser(x$1)) {
      const RamlOperationParser$1 = x$1;
      const x = this.entry$1;
      const x$2 = RamlOperationParser$1.entry$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$1;
        const x$4 = RamlOperationParser$1.producer$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$1 === RamlOperationParser$1.parseOptional$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.parseOptional$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_Operation() {
    const method = this.entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const this$1 = this.producer$1.apply__O__O(method);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$1);
    const operation = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
    const node = this.entry$1.key$1;
    const iv = this.ctx$1;
    const this$3 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    const value = this$3.string__Lamf_core_model_domain_AmfScalar();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(operation, field, value);
    if ((this.parseOptional$1 && $m_sjsr_RuntimeString$().endsWith__T__T__Z(method, "?"))) {
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Optional$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(operation, field$1, true);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
      const this$5 = new $c_sci_StringOps().init___T(method);
      const value$1 = $f_sci_StringLike__stripSuffix__T__T(this$5, "?");
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(operation, field$2, value$1)
    };
    const this$6 = this.entry$1.value$1;
    const x1 = this$6.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      return this.parseMap__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_domain_webapi_models_Operation(this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), operation)
    } else {
      const node$1 = this.entry$1.value$1;
      const this$8 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
      let this$9;
      if (this$8.isEmpty__Z()) {
        this$9 = $m_s_None$()
      } else {
        const arg1 = this$8.get__O();
        const x$1 = arg1;
        this$9 = new $c_s_Some().init___O(x$1.text$3)
      };
      let jsx$1;
      if ((!this$9.isEmpty__Z())) {
        const arg1$1 = this$9.get__O();
        const s = arg1$1;
        jsx$1 = ((s === "") || (s === "null"))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return operation
      } else {
        const this$10 = this.ctx$1;
        const node$2 = operation.id$1;
        const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid node ", " for method ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.entry$1.value$1, method]));
        const ast = this.entry$1.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node$2, message, ast);
        return operation
      }
    }
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseMap__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_Operation__Lamf_plugins_domain_webapi_models_Operation(map, operation) {
    const map$2 = this.entry$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
    this.ctx$1.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(operation.id$1, map$2, "operation", false);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$2 = new $c_Lamf_core_utils_package$Strings().init___T("oasDeprecated").asRamlAnnotation__T();
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1;
    const iv$1 = this.ctx$1;
    jsx$3.key__T__F1__V(jsx$2, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("summary").asRamlAnnotation__T();
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1;
    const iv$2 = this.ctx$1;
    jsx$5.key__T__F1__V(jsx$4, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$6 = new $c_Lamf_core_utils_package$Strings().init___T("externalDocs").asRamlAnnotation__T();
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1;
    const iv$3 = this.ctx$1;
    jsx$7.key__T__F1__V(jsx$6, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_shapes_models_CreativeWork(node, $this.ctx$1)
      })
    })(this))));
    const jsx$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1;
    const iv$4 = this.ctx$1;
    jsx$8.key__T__F1__V("protocols", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$9 = new $c_Lamf_core_utils_package$Strings().init___T("consumes").asRamlAnnotation__T();
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
    const iv$5 = this.ctx$1;
    jsx$10.key__T__F1__V(jsx$9, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$11 = new $c_Lamf_core_utils_package$Strings().init___T("produces").asRamlAnnotation__T();
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
    const iv$6 = this.ctx$1;
    jsx$12.key__T__F1__V(jsx$11, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const jsx$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$13 = new $c_Lamf_core_utils_package$Strings().init___T("tags").asRamlAnnotation__T();
    const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Tags$1;
    const iv$7 = this.ctx$1;
    jsx$14.key__T__F1__V(jsx$13, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation));
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, operation$1) {
      return (function(name$2) {
        const name = name$2;
        return $f_Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement__withTrait__T__Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(operation$1, name)
      })
    })(this, operation));
    const DeclarationParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, eta$0$1$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedDeclarationParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_model_domain_templates_ParametrizedDeclaration(eta$0$1$1, node$3, this$3$1.ctx$1)
      })
    })(this, eta$0$1));
    const jsx$15 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$8 = $m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field();
    const iv$8 = this.ctx$1;
    jsx$15.key__T__F1__V("is", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$8, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(DeclarationParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().optional__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$16 = this.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().requestParser__F3().apply__O__O__O__O(map$2, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$4$1, operation$2) {
      return (function() {
        return operation$2.withRequest__Lamf_plugins_domain_webapi_models_Request()
      })
    })(this, operation)), this.parseOptional$1).parse__s_Option();
    if ((!this$16.isEmpty__Z())) {
      const arg1 = this$16.get__O();
      const x$2 = arg1;
      const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(operation, field$9, x$2)
    };
    const optionalMethod = (this.parseOptional$1 ? "\\??" : "");
    const this$18 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$19 = this$18.key__T__s_Option("responses");
    if ((!this$19.isEmpty__Z())) {
      const arg1$1 = this$19.get__O();
      const entry = arg1$1;
      const map$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const this$21 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const expression = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(\\\\d{3})", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([optionalMethod]));
      const entries = this$21.regex__T__sc_Iterable(expression);
      if (entries.nonEmpty__Z()) {
        const responses = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, operation$1$1, responses$1) {
          return (function(entry$2) {
            const entry$1 = entry$2;
            return responses$1.$$plus$eq__O__scm_ListBuffer($this$1.ctx$1.factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().responseParser__F3().apply__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, operation$1$2) {
              return (function(name$2$1) {
                const name$1 = name$2$1;
                return operation$1$2.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name$1)
              })
            })($this$1, operation$1$1)), $this$1.parseOptional$1).parse__Lamf_plugins_domain_webapi_models_Response())
          })
        })(this, operation, responses)));
        const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(responses, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(operation, field$10, value, annotations)
      }
    };
    const eta$0$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, operation$3) {
      return (function(name$3$2) {
        const name$3 = name$3$2;
        return operation$3.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name$3)
      })
    })(this, operation));
    const SchemeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1, eta$0$2$1) {
      return (function(node$4$2) {
        const node$4 = node$4$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(eta$0$2$1, node$4, this$8$1.ctx$1)
      })
    })(this, eta$0$2));
    const jsx$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
    const iv$9 = this.ctx$1;
    jsx$16.key__T__F1__V("securedBy", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$11, iv$9).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(SchemeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1;
    const iv$10 = this.ctx$1;
    jsx$17.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$12, iv$10).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(operation).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(operation, map$2, this.ctx$1).parse__V();
    return operation
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlOperationParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.type$1 = null;
    this.scheme$1 = null;
    this.ctx$1 = null;
    this.apiKeyConst$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlSecuritySettingsParser"
  };
  apiKey__p1__Lamf_plugins_domain_webapi_models_security_Settings() {
    const settings = this.scheme$1.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("name", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("in", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    return this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["name", "in"]))
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser(x$1)) {
      const RamlSecuritySettingsParser$1 = x$1;
      if ((this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSecuritySettingsParser$1.map$1) && (this.type$1 === RamlSecuritySettingsParser$1.type$1))) {
        const x = this.scheme$1;
        const x$2 = RamlSecuritySettingsParser$1.scheme$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.type$1;
        break
      }
      case 2: {
        return this.scheme$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, properties) {
    const entries = this.map$1.entries$3.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, properties$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const key = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$1).text$3;
        return (properties$1.contains__O__Z(key) || $m_Lamf_plugins_document_webapi_parser_spec_common_WellKnownAnnotation$().isRamlAnnotation__T__Z(key))
      })
    })(this, properties)));
    if ($f_sc_TraversableOnce__nonEmpty__Z(entries)) {
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(entries);
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const x$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
      const x$2 = new $c_s_Some().init___O(settings.id$1);
      const x$3 = new $c_Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables().init___();
      const x$4 = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const node = new $c_Lamf_plugins_document_webapi_parser_spec_common_DataNodeParser().init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_parser_spec_common_AbstractVariables__s_Option__Lamf_plugins_document_webapi_parser_spec_common_IdCounter__Lamf_plugins_document_webapi_contexts_WebApiContext(x$1, x$3, x$2, x$4, this.ctx$1).parse__Lamf_core_model_domain_DataNode();
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().AdditionalProperties$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(settings, field, node)
    };
    return settings
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_plugins_domain_webapi_models_security_Settings() {
    const x1 = this.type$1;
    const result = ((x1 === "OAuth 1.0") ? this.oauth1__p1__Lamf_plugins_domain_webapi_models_security_Settings() : ((x1 === "OAuth 2.0") ? this.oauth2__p1__Lamf_plugins_domain_webapi_models_security_Settings() : ((this.apiKeyConst$1 === x1) ? this.apiKey__p1__Lamf_plugins_domain_webapi_models_security_Settings() : this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(this.scheme$1.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings(), new $c_sjs_js_WrappedArray().init___sjs_js_Array([])))));
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(result, this.map$1, this.ctx$1).parse__V();
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$1);
    return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(result, other)
  };
  init___Lorg_yaml_model_YMap__T__Lamf_plugins_domain_webapi_models_security_WithSettings__Lamf_plugins_document_webapi_contexts_WebApiContext(map, type, scheme, ctx) {
    this.map$1 = map;
    this.type$1 = type;
    this.scheme$1 = scheme;
    this.ctx$1 = ctx;
    this.apiKeyConst$1 = new $c_Lamf_core_utils_package$Strings().init___T("apiKey").asOasExtension__T();
    return this
  };
  oauth2__p1__Lamf_plugins_domain_webapi_models_security_Settings() {
    const settings = this.scheme$1.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("authorizationUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("accessTokenUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("flow").asRamlAnnotation__T();
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1;
    const iv$2 = this.ctx$1;
    jsx$4.key__T__F1__V(jsx$3, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    const map$3 = this.map$1;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1;
    const iv$3 = this.ctx$1;
    jsx$5.key__T__F1__V("authorizationGrants", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const ScopeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(n$2) {
        const n = n$2;
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const this$11 = new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
        const iv$4 = $this.ctx$1;
        const this$10 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(n, iv$4);
        const value = this$10.text__Lamf_core_model_domain_AmfScalar();
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$11, field$4, value).adopted__T__Lamf_core_model_domain_AmfObject($this.scheme$1.id__T())
      })
    })(this));
    const map$4 = this.map$1;
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
    const iv$5 = this.ctx$1;
    jsx$6.key__T__F1__V("scopes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(ScopeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    return this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["authorizationUri", "accessTokenUri", "authorizationGrants", "scopes"]))
  };
  oauth1__p1__Lamf_plugins_domain_webapi_models_security_Settings() {
    const settings = this.scheme$1.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings();
    const map = this.map$1;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1;
    const iv = this.ctx$1;
    jsx$1.key__T__F1__V("requestTokenUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$1;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1;
    const iv$1 = this.ctx$1;
    jsx$2.key__T__F1__V("authorizationUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$1;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1;
    const iv$2 = this.ctx$1;
    jsx$3.key__T__F1__V("tokenCredentialsUri", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$3 = this.map$1;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1;
    const iv$3 = this.ctx$1;
    jsx$4.key__T__F1__V("signatures", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(settings));
    return this.dynamicSettings__Lamf_plugins_domain_webapi_models_security_Settings__sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings(settings, new $c_sjs_js_WrappedArray().init___sjs_js_Array(["requestTokenUri", "authorizationUri", "tokenCredentialsUri", "signatures"]))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSecuritySettingsParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser extends $c_O {
  constructor() {
    super();
    this.map$1 = null;
    this.api$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  productPrefix__T() {
    return "RamlServersParser"
  };
  productArity__I() {
    return 2
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, api, ctx) {
    this.map$1 = map;
    this.api$1 = api;
    this.ctx$1 = ctx;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser(x$1)) {
      const RamlServersParser$1 = x$1;
      if (this.map$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlServersParser$1.map$1)) {
        const x = this.api$1;
        const x$2 = RamlServersParser$1.api$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$1;
        break
      }
      case 1: {
        return this.api$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__V() {
    const map = this.map$1;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("baseUri");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const node = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(entry.value$1, this.ctx$1);
      const value = node.text__Lamf_core_model_domain_AmfScalar().toString__T();
      const server = this.api$1.withServer__T__Lamf_plugins_domain_webapi_models_Server(value);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
      const iv = this.ctx$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(server).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField().apply__Lorg_yaml_model_YMapEntry__V(entry);
      const value$1 = entry.value$1;
      const node$1 = server.id$1;
      const property = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1.value$1.iri__T();
      const ctx = this.ctx$1;
      $f_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__checkBalancedParams__T__Lorg_yaml_model_YNode__T__T__Lamf_plugins_document_webapi_contexts_WebApiContext__V(this, value, value$1, node$1, property, ctx);
      if ((!$m_Lamf_core_utils_package$TemplateUri$().isValid__T__Z(value))) {
        const this$2 = this.ctx$1;
        const node$2 = this.api$1.id$1;
        const message = $m_Lamf_core_utils_package$TemplateUri$().invalidMsg__T__T(value);
        const ast = entry.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$2, node$2, message, ast)
      };
      const map$1 = this.map$1;
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
      const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("serverDescription").asRamlAnnotation__T();
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1;
      const iv$1 = this.ctx$1;
      jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(server));
      const map$2 = this.map$1;
      const this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
      const this$7 = this$6.key__T__s_Option("baseUriParameters");
      if ((!this$7.isEmpty__Z())) {
        const arg1 = this$7.get__O();
        const entry$2 = arg1;
        const this$8 = entry$2.value$1;
        const x1$1 = this$8.tag__Lorg_yaml_model_YTag().tagType$2;
        const x = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x === x1$1)) {
          const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, server$1) {
            return (function(name$2) {
              const name = name$2;
              return server$1.withVariable__T__Lamf_plugins_domain_webapi_models_Parameter(name)
            })
          })(this, server)), false, this.ctx$1).parse__sc_Seq();
          const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
            return (function(x$1$2) {
              const x$1 = x$1$2;
              const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$1, field$2, "path")
            })
          })(this));
          const this$9 = $m_sc_Seq$();
          const parameters = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
          const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1;
          const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(parameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2.value$1));
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(server, field$3, value$2, annotations)
        } else {
          const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
          if ((!(x$3 === x1$1))) {
            const this$10 = this.ctx$1;
            const ast$1 = entry$2.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$10, "Invalid node for baseUriParameters", ast$1)
          }
        }
      };
      const this$11 = this.api$1;
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1;
      const jsx$5 = $m_sc_Seq$();
      const annotation = new $c_Lamf_core_annotations_SynthesizedField().init___();
      const value$3 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$5.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(server, annotation)])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$11, field$4, value$3, annotations$1)
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        const map$3 = this.map$1;
        const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("baseUriParameters");
        if ((!this$13.isEmpty__Z())) {
          const arg1$1 = this$13.get__O();
          const x$2$2 = arg1$1;
          const this$14 = this.ctx$1;
          const node$3 = this.api$1.id$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$14, node$3, "'baseUri' not defined and 'baseUriParameters' defined.", x$2$2)
        }
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const map$4 = this.map$1;
    const this$17 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("servers").asRamlAnnotation__T());
    if ((!this$17.isEmpty__Z())) {
      const arg1$2 = this$17.get__O();
      const entry$3 = arg1$2;
      const jsx$8 = entry$3.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$19 = $m_sc_IndexedSeq$();
      const bf = this$19.ReusableCBF$6;
      const jsx$7 = jsx$8.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$1);
      const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(x$3$2) {
          const x$3$1 = x$3$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_OasWebApiContext($this$1.api$1.id$1, x$3$1, $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext($this$1.ctx$1)).parse__Lamf_plugins_domain_webapi_models_Server()
        })
      })(this));
      const this$20 = $m_sc_Seq$();
      jsx$7.map__F1__scg_CanBuildFrom__O(jsx$6, this$20.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
        return (function(server$2) {
          const server$3 = server$2;
          const this$21 = this$2$2.api$1;
          const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1;
          return $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$21, field$5, server$3)
        })
      })(this)))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlServersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.producer$1 = null;
    this.options$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parse__Lamf_plugins_domain_shapes_models_Example() {
    const this$1 = this.producer$1.apply__O();
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1);
    const example = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$1, other);
    const this$2 = this.node$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$2);
    matchEnd4: {
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const map = x2.value$2;
        if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).regex__T__sc_Iterable("displayName|description|strict|value|\\(.+\\)").nonEmpty__Z()) {
          const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
          const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1;
          const iv = this.ctx$1;
          jsx$1.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(example).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
          const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1;
          const iv$1 = this.ctx$1;
          jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(example).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
          const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
          const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
          const iv$2 = this.ctx$1;
          jsx$3.key__T__F1__V("strict", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(example).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
          const this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("value");
          if ((!this$8.isEmpty__Z())) {
            const arg1 = this$8.get__O();
            const entry = arg1;
            new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, example, this.options$1, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
          };
          new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(example, map, this.ctx$1).parse__V();
          break matchEnd4
        }
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlExampleValueAsString().init___Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_Example__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(this.node$1, example, this.options$1, this.ctx$1).populate__Lamf_plugins_domain_shapes_models_Example()
    };
    return example
  };
  productPrefix__T() {
    return "RamlSingleExampleValueParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser(x$1)) {
      const RamlSingleExampleValueParser$1 = x$1;
      let jsx$1;
      if (this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSingleExampleValueParser$1.node$1)) {
        const x = this.producer$1;
        const x$2 = RamlSingleExampleValueParser$1.producer$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.options$1;
        const x$4 = RamlSingleExampleValueParser$1.options$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.producer$1;
        break
      }
      case 2: {
        return this.options$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__F0__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext(node, producer, options, ctx) {
    this.node$1 = node;
    this.producer$1 = producer;
    this.options$1 = options;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlSingleExampleValueParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleValueParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x3) {
    return $is_Lorg_yaml_model_YDocument(x3)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x3, $default) {
    if ($is_Lorg_yaml_model_YDocument(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.StringToAstEmitter$$anonfun$3", {
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter extends $c_O {
  constructor() {
    super();
    this.declares$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.emitters$1 = null;
    this.platform$1 = null
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(declares, ordering, references, spec) {
    this.declares$1 = declares;
    this.ordering$1 = ordering;
    this.references$1 = references;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(declares, $m_s_None$(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$3 = declarations.shapes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      const this$4 = declarations.shapes$2;
      const this$5 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$4);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters().init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$5.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, references, spec))
    };
    const this$6 = declarations.annotations$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$6)) {
      const this$7 = declarations.annotations$1;
      const this$8 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$7);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$8.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, spec))
    };
    const this$9 = declarations.resourceTypes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$9)) {
      const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("resourceTypes").asOasExtension__T();
      const this$11 = declarations.resourceTypes$2;
      const this$12 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$11);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(jsx$1, this$12.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, $m_sci_Nil$(), spec))
    };
    const this$13 = declarations.traits$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$13)) {
      const jsx$2 = new $c_Lamf_core_utils_package$Strings().init___T("traits").asOasExtension__T();
      const this$15 = declarations.traits$2;
      const this$16 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$15);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(jsx$2, this$16.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, $m_sci_Nil$(), spec))
    };
    const this$17 = declarations.securitySchemes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$17)) {
      const this$18 = declarations.securitySchemes$2;
      const this$19 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$18);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$19.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, spec))
    };
    const this$20 = declarations.parameters$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$20)) {
      const this$21 = declarations.parameters$2;
      const this$22 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$21);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$22.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, references, spec))
    };
    const this$23 = declarations.responses$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$23)) {
      const this$24 = declarations.responses$2;
      const this$25 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$24);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("responses", this$25.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), ordering, references, spec))
    };
    this.emitters$1 = result;
    return this
  };
  productPrefix__T() {
    return "OasDeclarationsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter(x$1)) {
      const OasDeclarationsEmitter$1 = x$1;
      const x = this.declares$1;
      const x$2 = OasDeclarationsEmitter$1.declares$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasDeclarationsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasDeclarationsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declares$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDeclarationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter: 1,
  O: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x1, $default) {
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const s = x2.value$2;
      return s
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser($$outer) {
    return this
  };
  isDefinedAt__s_Option__Z(x1) {
    return $is_s_Some(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const s = x2$2.value$2;
      return s
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser($$outer) {
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x2) {
    return $is_s_Some(x2)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$EndpointParser$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$EndpointParser$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x3, $default) {
    if ($is_s_Some(x3)) {
      const x2 = x3;
      const s = x2.value$2;
      return s
    } else {
      return $default.apply__O__O(x3)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x3) {
    return $is_s_Some(x3)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentParser$OperationParser$$anonfun$3", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser$OperationParser$$anonfun$3;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentEmitter$1 = x$1;
      const x = this.annotation$1;
      const x$2 = AnnotationFragmentEmitter$1.annotation$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering($$outer, annotation, ordering) {
    this.annotation$1 = annotation;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$());
    const x1 = $$outer.spec$3.factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory().annotationTypeEmitter__F2().apply__O__O__O(annotation.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), ordering).emitters__s_util_Either();
    let jsx$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const list = x2.value$2;
      jsx$1 = list
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const part = x3.value$2;
      jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", part, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    this.emitters$1 = jsx$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$AnnotationFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$AnnotationFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.dataType$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, dataType, ordering) {
    this.dataType$1 = dataType;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$());
    const x$3 = dataType.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
    const x$5 = dataType.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1);
    const x$6 = $m_sci_Nil$();
    this.emitters$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$3, ordering, x$6, x$5, $$outer.spec$3).entries__sc_Seq();
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentEmitter$1 = x$1;
      const x = this.dataType$1;
      const x$2 = DataTypeFragmentEmitter$1.dataType$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DataTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataType$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$DataTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DataTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.documentationItem$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentEmitter$1 = x$1;
      const x = this.documentationItem$1;
      const x$2 = DocumentationItemFragmentEmitter$1.documentationItem$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DocumentationItemFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentationItem$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering($$outer, documentationItem, ordering) {
    this.documentationItem$1 = documentationItem;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$());
    this.emitters$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(documentationItem.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), ordering, $$outer.spec$3).emitters__sc_Seq();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$DocumentationItemFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$DocumentationItemFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.namedExample$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedExampleFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedExampleFragmentEmitter$1 = x$1;
      const x = this.namedExample$1;
      const x$2 = NamedExampleFragmentEmitter$1.namedExample$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedExampleFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.namedExample$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering($$outer, namedExample, ordering) {
    this.namedExample$1 = namedExample;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$());
    this.emitters$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(namedExample.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), ordering, $$outer.spec$3)]));
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$NamedExampleFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$NamedExampleFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.resourceTypeFragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentEmitter$1 = x$1;
      const x = this.resourceTypeFragment$1;
      const x$2 = ResourceTypeFragmentEmitter$1.resourceTypeFragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ResourceTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.resourceTypeFragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, resourceTypeFragment, ordering) {
    this.resourceTypeFragment$1 = resourceTypeFragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$());
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(resourceTypeFragment.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), ordering, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter(this);
    const this$2 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$ResourceTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x1) {
    return true
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x1, $default) {
    if ((x1 !== null)) {
      return x1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = SecuritySchemeFragmentEmitter$1.securityScheme$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = SecuritySchemeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering($$outer, securityScheme, ordering) {
    this.securityScheme$1 = securityScheme;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$());
    const jsx$2 = securityScheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
    const jsx$1 = $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$();
    const this$1 = securityScheme.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    const this$3 = this$2.option$1;
    this.emitters$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$2, jsx$1.fromText__T__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType((this$3.isEmpty__Z() ? null : this$3.get__O())), ordering, $$outer.spec$3).emitters__sc_Seq();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$SecuritySchemeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$SecuritySchemeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.traitFragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.emitters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentEmitter$1 = x$1;
      const x = this.traitFragment$1;
      const x$2 = TraitFragmentEmitter$1.traitFragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = TraitFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.traitFragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering($$outer, traitFragment, ordering) {
    this.traitFragment$1 = traitFragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$());
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(traitFragment.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), ordering, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter(this);
    const this$2 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return this
  };
  emitters__sc_Seq() {
    return this.emitters$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  header__Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter() {
    return this.header$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$TraitFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x2) {
    return true
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x2, $default) {
    if ((x2 !== null)) {
      return x2
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]))))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$TraitFragmentEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_core_model_document_Module(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferencesEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const e = x2$2.value$2;
      return e
    } else {
      return $default.apply__O__O(x2)
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x2) {
    return $is_s_Some(x2)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferencesEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x1) {
    return $is_Lamf_plugins_domain_shapes_models_CreativeWork(x1)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasUserDocumentationsEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasUserDocumentationsEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters {
  constructor() {
    super();
    this.document$2 = null;
    this.ordering$2 = null
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, spec) {
    this.document$2 = document;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, document, ordering, spec);
    return this
  };
  productPrefix__T() {
    return "Raml08RootLevelEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters(x$1)) {
      const Raml08RootLevelEmitters$1 = x$1;
      const x = this.document$2;
      const x$2 = Raml08RootLevelEmitters$1.document$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08RootLevelEmitters$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return this.declarationsEmitter__sc_Seq()
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  declarationsEmitter__sc_Seq() {
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this.document$2.declares__sc_Seq(), $m_s_None$(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = declarations.shapes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const this$3 = declarations.shapes$2;
      const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$3);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$4.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2))
    };
    const this$5 = declarations.resourceTypes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      const this$6 = declarations.resourceTypes$2;
      const this$7 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$6);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("resourceTypes", this$7.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$8 = declarations.traits$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
      const this$9 = declarations.traits$2;
      const this$10 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("traits", this$10.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$11 = declarations.securitySchemes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$11)) {
      const this$12 = declarations.securitySchemes$2;
      const this$13 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$12);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters().init___sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering__F3__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$13.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2, this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().namedSecurityEmitter__F3(), this.spec$1))
    };
    const this$14 = declarations.responses$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$14)) {
      const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("responses").asRamlAnnotation__T();
      const this$16 = declarations.responses$2;
      const this$17 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$16);
      const jsx$3 = this$17.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const jsx$2 = this.ordering$2;
      const jsx$1 = this.document$2.references__sc_Seq();
      const spec = this.spec$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$4, jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)))
    };
    return result
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml08RootLevelEmitters", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08RootLevelEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters {
  constructor() {
    super();
    this.AnnotationsTypesEmitter$module$2 = null;
    this.NamedPropertyTypeEmitter$module$2 = null;
    this.DeclaredParametersEmitter$module$2 = null;
    this.NamedParameterEmitter$module$2 = null;
    this.document$2 = null;
    this.ordering$2 = null
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(document, ordering, spec) {
    this.document$2 = document;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, document, ordering, spec);
    return this
  };
  productPrefix__T() {
    return "Raml10RootLevelEmitters"
  };
  extensionEmitter__s_Option() {
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x$20 = f.value$1.value$1.toString__T();
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = f.value$1.annotations$1;
      const x$21 = this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const x$22 = $m_Lorg_yaml_model_YType$().Str$1;
      return new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("extends", x$20, x$22, x$21))
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters(x$1)) {
      const Raml10RootLevelEmitters$1 = x$1;
      const x = this.document$2;
      const x$2 = Raml10RootLevelEmitters$1.document$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10RootLevelEmitters$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const declares = this.declarationsEmitter__sc_Seq();
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering(this.document$2, this.ordering$2);
    const extension = this.extensionEmitter__s_Option();
    const this$1 = this.document$2.fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usage;
    if (this$1.isEmpty__Z()) {
      usage = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      usage = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("usage", f, $m_s_None$()))
    };
    const jsx$4 = extension.toList__sci_List();
    const this$4 = $m_sc_Seq$();
    const jsx$3 = declares.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$4.ReusableCBFInstance$2);
    const jsx$2 = usage.toList__sci_List();
    const this$6 = $m_sc_Seq$();
    const jsx$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2);
    const this$7 = $m_sc_Seq$();
    return jsx$1.$$colon$plus__O__scg_CanBuildFrom__O(references, this$7.ReusableCBFInstance$2)
  };
  spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext() {
    return this.spec$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  declarationsEmitter__sc_Seq() {
    const declarations = $m_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$().apply__sc_Seq__s_Option__Lamf_core_parser_FutureDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(this.document$2.declares__sc_Seq(), $m_s_None$(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___());
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = declarations.shapes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
      const this$3 = declarations.shapes$2;
      const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$3);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$4.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2))
    };
    const this$5 = declarations.annotations$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$5)) {
      const this$6 = declarations.annotations$1;
      const this$7 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$6);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering(this, this$7.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2))
    };
    const this$8 = declarations.resourceTypes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
      const this$9 = declarations.resourceTypes$2;
      const this$10 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$9);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("resourceTypes", this$10.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$11 = declarations.traits$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$11)) {
      const this$12 = declarations.traits$2;
      const this$13 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$12);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("traits", this$13.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq(), this.spec$1))
    };
    const this$14 = declarations.securitySchemes$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$14)) {
      const this$15 = declarations.securitySchemes$2;
      const this$16 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$15);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters().init___sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering__F3__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$16.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.document$2.references__sc_Seq(), this.ordering$2, this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().namedSecurityEmitter__F3(), this.spec$1))
    };
    const this$17 = declarations.parameters$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$17)) {
      const this$18 = declarations.parameters$2;
      const this$19 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$18);
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq(this, this$19.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream(), this.ordering$2, this.document$2.references__sc_Seq()))
    };
    const this$20 = declarations.responses$2;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$20)) {
      const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("responses").asRamlAnnotation__T();
      const this$22 = declarations.responses$2;
      const this$23 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$22);
      const jsx$3 = this$23.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
      const jsx$2 = this.ordering$2;
      const jsx$1 = this.document$2.references__sc_Seq();
      const spec = this.spec$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$4, jsx$3, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)))
    };
    return result
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.ctx$2 = null
  };
  parseTypeDeclarations__p2__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$1 = this.typeOrSchema__p2__Lorg_yaml_model_YMap__s_Option(map);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const e = arg1;
      const this$2 = e.value$1;
      const x1 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$3) {
          return (function(entry$2) {
            const entry = entry$2;
            const str = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$2);
            if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z($this, str)) {
              const this$3 = $this.ctx$2;
              const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
              const ast = entry.key$1;
              const property = $m_s_None$();
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$3, id, parent$3, property, "Default type name cannot be used to name a custom type", ast)
            };
            const parser = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$3$1, entry$1) {
              return (function(shape$2) {
                const shape = shape$2;
                const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(entry$1.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this$1.ctx$2), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1.value__Lorg_yaml_model_YValue()));
                const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1);
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(shape, field, value, annotations);
                return shape.adopted__T__Lamf_core_model_domain_AmfObject(parent$3$1)
              })
            })($this, parent$3, entry)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.ctx$2);
            const x1$1 = parser.parse__s_Option();
            if ($is_s_Some(x1$1)) {
              const x2 = x1$1;
              const shape$3 = x2.value$2;
              const this$5 = entry.value$1;
              const x$1 = this$5.tag__Lorg_yaml_model_YTag().tagType$2;
              const x$2 = $m_Lorg_yaml_model_YType$().Null$1;
              if ((x$1 === x$2)) {
                shape$3.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___())
              };
              const jsx$1 = $this.ctx$2.declarations$2;
              const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
              return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape$3, annotation))
            } else {
              const x$3 = $m_s_None$();
              if ((x$3 === x1$1)) {
                const this$6 = $this.ctx$2;
                const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry]));
                $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$6, parent$3, message, entry);
                return (void 0)
              } else {
                throw new $c_s_MatchError().init___O(x1$1)
              }
            }
          })
        })(this, parent)))
      } else {
        const x$3$1 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3$1 === x1))) {
          const this$7 = this.ctx$2;
          const message$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'types' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]));
          const ast$1 = e.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, parent, message$1, ast$1)
        }
      }
    }
  };
  init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ctx) {
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseTypeDeclarations__p2__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext("traits", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const this$1 = $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(entry);
        const name = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$2);
        const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
        const jsx$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/traits/", ""]));
        const str = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$2);
        const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
        const this$4 = this$3.platform$1;
        const url = this$3.str$1;
        return jsx$2.withId__T__Lamf_core_model_domain_AmfObject((("" + parent$1) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url)]))))
      })
    })(this, parent)), map, parent, this.ctx$2).parse__V();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsParser().init___T__F1__Lorg_yaml_model_YMap__T__Lamf_plugins_document_webapi_contexts_WebApiContext("resourceTypes", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, parent$2) {
      return (function(entry$3$2) {
        const entry$3 = entry$3$2;
        const this$5 = $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry$3);
        const name$1 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$2);
        const field$1 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
        const jsx$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name$1);
        const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/resourceTypes/", ""]));
        const str$1 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$2);
        const this$7 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
        const this$8 = this$7.platform$1;
        const url$1 = this$7.str$1;
        return jsx$4.withId__T__Lamf_core_model_domain_AmfObject((("" + parent$2) + jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$8, url$1)]))))
      })
    })(this, parent)), map, parent, this.ctx$2).parse__V();
    this.parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(new $c_Lamf_core_utils_package$Strings().init___T("parameters").asRamlAnnotation__T(), map, (root.location$1 + "#/parameters"));
    this.parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V(new $c_Lamf_core_utils_package$Strings().init___T("responses").asRamlAnnotation__T(), map, (root.location$1 + "#/responses"))
  };
  parseResponsesDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option(key);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$2) {
        return (function(e$2) {
          const e = e$2;
          const jsx$1 = $this.ctx$2.declarations$2;
          const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseParser().init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_OasWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$2$1) {
            return (function(name$2) {
              const name = name$2;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$7 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
              const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name);
              return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$8, parentPath$2$1)
            })
          })($this, parentPath$2)), $m_Lamf_plugins_document_webapi_parser_spec_package$().toOas__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext($this.ctx$2)).parse__Lamf_plugins_domain_webapi_models_Response();
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$9, annotation))
        })
      })(this, parentPath)))
    }
  };
  typeOrSchema__p2__Lorg_yaml_model_YMap__s_Option(map) {
    const types = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("types");
    const schemas = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schemas");
    if ((!types.isEmpty__Z())) {
      const arg1 = types.get__O();
      if ((!schemas.isEmpty__Z())) {
        const arg1$1 = schemas.get__O();
        const s = arg1$1;
        const this$3 = this.ctx$2;
        const ast = s.key$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$3, "'schemas' and 'types' properties are mutually exclusive", ast)
      }
    };
    if ((!schemas.isEmpty__Z())) {
      const arg1$2 = schemas.get__O();
      const s$1 = arg1$2;
      const this$4 = this.ctx$2;
      const ast$1 = s$1.key$1;
      $f_Lamf_core_parser_ErrorHandler__warning__T__Lorg_yaml_model_YPart__V(this$4, "'schemas' keyword it's deprecated for 1.0 version, should use 'types' instead", ast$1)
    };
    return (types.isEmpty__Z() ? schemas : types)
  };
  parseAnnotationTypeDeclarations__Lorg_yaml_model_YMap__T__V(map, customProperties) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("annotationTypes");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const this$4 = e.value$1;
      const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        const jsx$3 = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2).entries$3;
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, customProperties$1) {
          return (function(entry$2) {
            const entry = entry$2;
            const typeName = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$2).text$3;
            const customProperty$3 = $this.AnnotationTypesParser__Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$AnnotationTypesParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_core_model_domain_extensions_CustomDomainProperty(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, customProperties$1$1, typeName$1, entry$1) {
              return (function(customProperty$2) {
                const customProperty = customProperty$2;
                const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
                const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(typeName$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1.value__Lorg_yaml_model_YValue()));
                const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$1.key$1);
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(customProperty, field, value, annotations);
                customProperty.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(customProperties$1$1)
              })
            })($this, customProperties$1, typeName, entry)));
            const jsx$2 = $this.ctx$2.declarations$2;
            const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
            return jsx$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(customProperty$3, annotation))
          })
        })(this, customProperties));
        const this$5 = $m_sc_IndexedSeq$();
        jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBF$6)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          const this$6 = this.ctx$2;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'annotationTypes' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]));
          const ast = e.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$6, customProperties, message, ast)
        }
      }
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationFragmentEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment__Lamf_core_emitter_SpecOrdering($$outer, annotation, ordering) {
    this.annotation$1 = annotation;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$();
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationFragmentEmitter$1 = x$1;
      const x = this.annotation$1;
      const x$2 = AnnotationFragmentEmitter$1.annotation$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AnnotationFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const jsx$1 = this.$$outer$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().annotationTypeEmitter__F2();
    const this$1 = this.annotation$1;
    const x1 = jsx$1.apply__O__O__O(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), this.ordering$1).emitters__s_util_Either();
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const emitters = x2.value$2;
      return emitters
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const part = x3.value$2;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", part, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$AnnotationFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$AnnotationFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.dataType$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DataTypeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DataTypeFragmentEmitter$1 = x$1;
      const x = this.dataType$1;
      const x$2 = DataTypeFragmentEmitter$1.dataType$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DataTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataType$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DataTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, dataType, ordering) {
    this.dataType$1 = dataType;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    let rc7 = false;
    let x2 = null;
    const jsx$1 = $m_s_Option$();
    const this$1 = this.dataType$1;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1));
    if ($is_s_Some(x1)) {
      rc7 = true;
      x2 = x1;
      const shape = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
        const x5 = shape;
        const x$4 = this.ordering$1;
        const x$5 = $m_sci_Nil$();
        const x$6 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, x$4, x$6, x$5, this.$$outer$1.spec$1).entries__sc_Seq()
      }
    };
    if (rc7) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit non WebApi Shape"))
    };
    return $m_sci_Nil$()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$DataTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DataTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.documentationItem$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DocumentationItemFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DocumentationItemFragmentEmitter$1 = x$1;
      const x = this.documentationItem$1;
      const x$2 = DocumentationItemFragmentEmitter$1.documentationItem$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DocumentationItemFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentationItem$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.documentationItem$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), this.ordering$1, true, this.$$outer$1.spec$1).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_DocumentationItemFragment__Lamf_core_emitter_SpecOrdering($$outer, documentationItem, ordering) {
    this.documentationItem$1 = documentationItem;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$();
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$DocumentationItemFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$DocumentationItemFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "FragmentNamedExampleEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const FragmentNamedExampleEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = FragmentNamedExampleEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = FragmentNamedExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_NamedExampleFragment__Lamf_core_emitter_SpecOrdering($$outer, example, ordering) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const jsx$1 = $m_sc_Seq$();
    const this$1 = this.example$1;
    return jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), this.ordering$1, this.$$outer$1.spec$1)]))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$FragmentNamedExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$FragmentNamedExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.fragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResourceTypeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResourceTypeFragmentEmitter$1 = x$1;
      const x = this.fragment$1;
      const x$2 = ResourceTypeFragmentEmitter$1.fragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ResourceTypeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_ResourceTypeFragment__Lamf_core_emitter_SpecOrdering($$outer, fragment, ordering) {
    this.fragment$1 = fragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.fragment$1;
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter(this);
    const this$3 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$ResourceTypeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x1) {
    return true
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x1, $default) {
    if ((x1 !== null)) {
      return x1
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$ResourceTypeFragmentEmitter$$anonfun$emitters$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "SecuritySchemeFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SecuritySchemeFragmentEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = SecuritySchemeFragmentEmitter$1.securityScheme$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = SecuritySchemeFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_SecuritySchemeFragment__Lamf_core_emitter_SpecOrdering($$outer, securityScheme, ordering) {
    this.securityScheme$1 = securityScheme;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.securityScheme$1;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1), references, this.ordering$1, this.$$outer$1.spec$1).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$SecuritySchemeFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$SecuritySchemeFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter extends $c_O {
  constructor() {
    super();
    this.fragment$1 = null;
    this.ordering$1 = null;
    this.header$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitFragmentEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitFragmentEmitter$1 = x$1;
      const x = this.fragment$1;
      const x$2 = TraitFragmentEmitter$1.fragment$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = TraitFragmentEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fragment$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter__Lamf_plugins_document_webapi_model_TraitFragment__Lamf_core_emitter_SpecOrdering($$outer, fragment, ordering) {
    this.fragment$1 = fragment;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.header$1 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$();
    return this
  };
  header__Lamf_plugins_document_webapi_parser_RamlHeader() {
    return this.header$1
  };
  emitters__sc_Seq__sc_Seq(references) {
    const this$1 = this.fragment$1;
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1).dataNode__Lamf_core_model_domain_DataNode(), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter(this);
    const this$3 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$TraitFragmentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$RamlFragmentTypeEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x2) {
    return true
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter($$outer) {
    return this
  };
  applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x2, $default) {
    if ((x2 !== null)) {
      return x2
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Fragment not encoding DataObjectNode but ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]))))
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_emitter_EntryEmitter__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_emitter_EntryEmitter__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter$TraitFragmentEmitter$$anonfun$emitters$2;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_core_model_document_Module(x1)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferencesEmitter$$anonfun$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter($$outer) {
    return this
  };
  applyOrElse__s_Option__F1__O(x2, $default) {
    if ($is_s_Some(x2)) {
      const x2$2 = x2;
      const e = x2$2.value$2;
      return e
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__s_Option__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__s_Option__F1__O(x, $default)
  };
  isDefinedAt__s_Option__Z(x2) {
    return $is_s_Some(x2)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferencesEmitter$$anonfun$2", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x3) {
    return $is_Lamf_plugins_domain_shapes_models_CreativeWork(x3)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x3, $default) {
    if ($is_Lamf_plugins_domain_shapes_models_CreativeWork(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1;
class $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.r$1$2 = null
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return ($is_Ljava_net_URISyntaxException(x1) || ($is_Lamf_core_remote_FileNotFound(x1) && this.r$1$2.isInferred__Z()))
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    return ($is_Ljava_net_URISyntaxException(x1) ? $m_s_None$() : (($is_Lamf_core_remote_FileNotFound(x1) && this.r$1$2.isInferred__Z()) ? $m_s_None$() : $default.apply__O__O(x1)))
  };
  init___Lamf_plugins_document_webapi_references_WebApiReferenceHandler__Lamf_core_parser_Reference($$outer, r$1) {
    this.r$1$2 = r$1;
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1: 0
}, false, "amf.plugins.document.webapi.references.WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1", {
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$$nestedInanonfun$handleRamlExternalFragment$1$1;
class $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YDocument(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YDocument(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  init___Lamf_plugins_document_webapi_references_WebApiReferenceHandler($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3: 0
}, false, "amf.plugins.document.webapi.references.WebApiReferenceHandler$$anonfun$resolveUnitDocument$3", {
  Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3.prototype.$classData = $d_Lamf_plugins_document_webapi_references_WebApiReferenceHandler$$anonfun$resolveUnitDocument$3;
class $c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage extends $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage {
  keepEditingInfo__Z() {
    return this.keepEditingInfo$2
  };
  init___T__Z__Lamf_core_parser_ErrorHandler(profile, keepEditingInfo, errorHandler) {
    $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage.prototype.init___T__Z__Lamf_core_parser_ErrorHandler.call(this, profile, keepEditingInfo, errorHandler);
    return this
  };
  minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(baseShapeOrig, superShape) {
    try {
      return $f_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm__minShape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(this, baseShapeOrig, superShape)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ($is_Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_InheritanceIncompatibleShapeError(e$2)) {
        const e$3 = e$2;
        const this$1 = this.errorHandler$2;
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().InvalidTypeInheritanceErrorSpecification$1.id__T();
        const node = baseShapeOrig.id$1;
        const property = new $c_s_Some().init___O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1.value$1.iri__T());
        const message = e$3.s$1;
        const lexical = baseShapeOrig.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        const level = $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1;
        const this$2 = $m_Lamf_core_services_RuntimeValidator$();
        const parserRun = this$1.parserCount__I();
        this$2.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, message, lexical, parserRun);
        return baseShapeOrig
      } else if ($is_jl_Exception(e$2)) {
        const other = e$2;
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(other)
      } else {
        throw e
      }
    }
  };
}
const $d_Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage: 0
}, false, "amf.plugins.document.webapi.resolution.pipelines.ValidationShapeNormalisationStage", {
  Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage: 1,
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage: 1,
  Lamf_core_resolution_stages_ResolutionStage: 1,
  O: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_MinShapeAlgorithm: 1,
  Lamf_plugins_domain_shapes_resolution_stages_shape$undnormalization_RestrictionComputation: 1
});
$c_Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_pipelines_ValidationShapeNormalisationStage;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  isDefinedAt__Lamf_plugins_document_webapi_resolution_stages_Branch__Z(x1) {
    return ($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x1) && (x1.$$outer$1 === this.$$outer$2))
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_plugins_document_webapi_resolution_stages_Branch__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_plugins_document_webapi_resolution_stages_Branch__F1__O(x, $default)
  };
  applyOrElse__Lamf_plugins_document_webapi_resolution_stages_Branch__F1__O(x1, $default) {
    if (($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x1) && (x1.$$outer$1 === this.$$outer$2))) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$$anonfun$$nestedInanonfun$convert$3$1;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.operation$1 = null;
    this.children$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "TraitBranch"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TraitBranch$1 = x$1;
      const x = this.key$1;
      const x$2 = TraitBranch$1.key$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.operation$1;
        const x$4 = TraitBranch$1.operation$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.children$1;
        const x$6 = TraitBranch$1.children$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.operation$1;
        break
      }
      case 2: {
        return this.children$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage__Lamf_plugins_document_webapi_resolution_stages_Key__Lamf_plugins_domain_webapi_models_Operation__sc_Seq($$outer, key, operation, children) {
    this.key$1 = key;
    this.operation$1 = operation;
    this.children$1 = children;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch)))
});
const $isArrayOf_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch)))
});
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtendsResolutionStage$TraitBranch", {
  Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch: 1,
  O: 1,
  Lamf_plugins_document_webapi_resolution_stages_Branch: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtendsResolutionStage$TraitBranch;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x2) {
    return $is_Lamf_core_model_domain_DomainElement(x2)
  };
  applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x2, $default) {
    if ($is_Lamf_core_model_domain_DomainElement(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_AmfElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_AmfElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$$nestedInanonfun$adoptIris$1$1;
class $c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    return $is_Lamf_core_model_document_Module(x1)
  };
}
const $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.resolution.stages.ExtensionsResolutionStage$$anonfun$1", {
  Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_resolution_stages_ExtensionsResolutionStage$$anonfun$1;
class $c_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.x2$1$2 = null
  };
  isDefinedAt__Lamf_plugins_domain_shapes_models_Example__Z(x1) {
    if ((x1 !== null)) {
      const this$1 = x1.fields$1;
      const f = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1;
      let jsx$2;
      if (this$1.fs$1.contains__O__Z(f)) {
        jsx$2 = true
      } else {
        const this$2 = x1.fields$1;
        const f$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Raw$1;
        jsx$2 = this$2.fs$1.contains__O__Z(f$1)
      };
      let jsx$1;
      if (jsx$2) {
        const this$3 = x1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).option$1;
        jsx$1 = (!(!(this$3.isEmpty__Z() || this$3.get__O())))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return true
      }
    };
    return false
  };
  applyOrElse__Lamf_plugins_domain_shapes_models_Example__F1__O(x1, $default) {
    if ((x1 !== null)) {
      const this$1 = x1.fields$1;
      const f = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1;
      let jsx$2;
      if (this$1.fs$1.contains__O__Z(f)) {
        jsx$2 = true
      } else {
        const this$2 = x1.fields$1;
        const f$1 = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Raw$1;
        jsx$2 = this$2.fs$1.contains__O__Z(f$1)
      };
      let jsx$1;
      if (jsx$2) {
        const this$3 = x1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).option$1;
        jsx$1 = (!(!(this$3.isEmpty__Z() || this$3.get__O())))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return new $c_T2().init___O__O(this.x2$1$2, x1)
      }
    };
    return $default.apply__O__O(x1)
  };
  init___Lamf_plugins_document_webapi_validation_ExamplesValidationCollector__Lamf_plugins_domain_shapes_models_AnyShape($$outer, x2$1) {
    this.x2$1$2 = x2$1;
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_plugins_domain_shapes_models_Example__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_plugins_domain_shapes_models_Example__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1: 0
}, false, "amf.plugins.document.webapi.validation.ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1", {
  Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_ExamplesValidationCollector$$anonfun$$nestedInanonfun$findExamples$1$1;
class $c_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YDocument(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YDocument(x1)) {
      const x2 = x1;
      return x2.node$3
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1: 0
}, false, "amf.plugins.document.webapi.validation.PayloadValidatorPlugin$$anonfun$1", {
  Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_PayloadValidatorPlugin$$anonfun$1;
class $c_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.Title$1 = null;
    this.Description$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "url"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Title$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "title"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "CreativeWork");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    const x$4 = this.Url$1;
    const x$3 = this.Title$1;
    const x$2 = this.Description$1;
    const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const jsx$1 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$1 = $m_sci_List$();
    const this$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    return new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.CreativeWorkModel$", {
  Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$
});
class $c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_Shape__Z(x1) {
    return ($is_Lamf_core_model_domain_RecursiveShape(x1) || (x1 !== null))
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_Shape__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_Shape__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_domain_Shape__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_RecursiveShape(x1)) {
      const x2 = x1;
      return x2
    } else if ((x1 !== null)) {
      const this$1 = x1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$2 = this$1.option$1;
      const label = (this$2.isEmpty__Z() ? null : this$2.get__O());
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(x1, label, annotations)
    } else {
      return $default.apply__O__O(x1)
    }
  };
}
const $d_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1: 0
}, false, "amf.plugins.domain.shapes.resolution.stages.ShapeNormalizationStage$$anonfun$1", {
  Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1.prototype.$classData = $d_Lamf_plugins_domain_shapes_resolution_stages_ShapeNormalizationStage$$anonfun$1;
class $c_Lamf_plugins_domain_webapi_metamodel_CallbackModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Expression$1 = null;
    this.Endpoint$1 = null;
    this.type$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_CallbackModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Expression$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "expression"), true);
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Endpoint$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "endpoint"), true);
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Callback");
    const this$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$9);
    this.key$1 = this.Name$1;
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$4 = this.Name$1;
    const x$3 = this.Expression$1;
    const x$2 = this.Endpoint$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2);
    return new $c_sci_$colon$colon().init___O__sci_List(x$4, this$3)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Callback().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_CallbackModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_CallbackModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.CallbackModel$", {
  Lamf_plugins_domain_webapi_metamodel_CallbackModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_CallbackModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_CallbackModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_CallbackModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_CallbackModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_CallbackModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_CallbackModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_EncodingModel$ extends $c_O {
  constructor() {
    super();
    this.PropertyName$1 = null;
    this.ContentType$1 = null;
    this.Headers$1 = null;
    this.Style$1 = null;
    this.Explode$1 = null;
    this.AllowReserved$1 = null;
    this.type$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_EncodingModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.PropertyName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "propertyName"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ContentType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "contentType"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "header"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Style$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "style"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Explode$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "explode"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.AllowReserved$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "allowReserved"), true);
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "Encoding");
    const this$15 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$15);
    this.key$1 = this.PropertyName$1;
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    const x$7 = this.PropertyName$1;
    const x$6 = this.ContentType$1;
    const x$5 = this.Headers$1;
    const x$4 = this.Style$1;
    const x$3 = this.Explode$1;
    const x$2 = this.AllowReserved$1;
    const this$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$4);
    const this$6 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$5);
    return new $c_sci_$colon$colon().init___O__sci_List(x$7, this$6)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Encoding().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_EncodingModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_EncodingModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.EncodingModel$", {
  Lamf_plugins_domain_webapi_metamodel_EncodingModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_EncodingModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_EncodingModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_EncodingModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_EncodingModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_EncodingModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_EncodingModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ extends $c_O {
  constructor() {
    super();
    this.Path$1 = null;
    this.Name$1 = null;
    this.Summary$1 = null;
    this.Description$1 = null;
    this.Operations$1 = null;
    this.Parameters$1 = null;
    this.Payloads$1 = null;
    this.Servers$1 = null;
    this.Security$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Extends$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.Extends$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__Extends__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.Extends$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Path$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "path"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Summary$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "summary"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "description"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Operations$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "supportedOperation"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Parameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "parameter"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "payload"), true);
    const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$());
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Servers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "server"), true);
    const jsx$9 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$());
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Security$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "security"), true);
    this.key$1 = this.Path$1;
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "EndPoint");
    const this$21 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$21);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return (((1 & this.bitmap$0$1) === 0) ? this.Extends$lzycompute__p1__Lamf_core_metamodel_Field() : this.Extends$1)
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Path$1, this.Name$1, this.Summary$1, this.Description$1, this.Operations$1, this.Parameters$1, this.Payloads$1, this.Servers$1, this.Security$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_EndPointModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.EndPointModel$", {
  Lamf_plugins_domain_webapi_metamodel_EndPointModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_EndPointModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_EndPointModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_EndPointModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Template$1 = null;
    this.OperationId$1 = null;
    this.Mapping$1 = null;
    this.RequestBody$1 = null;
    this.Description$1 = null;
    this.Server$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Template$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "template"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.OperationId$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "operationId"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Mapping$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "mapping"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.RequestBody$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "requestBody"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Str$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "description"), true);
    const jsx$7 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Server$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "server"), true);
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "TemplatedLink");
    const this$17 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$17);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    const x$8 = this.Name$1;
    const x$7 = this.Template$1;
    const x$6 = this.OperationId$1;
    const x$5 = this.Mapping$1;
    const x$4 = this.RequestBody$1;
    const x$3 = this.Description$1;
    const x$2 = this.Server$1;
    const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const jsx$1 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$1 = $m_sci_List$();
    const this$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4);
    const this$6 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$5);
    const this$7 = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$6);
    const this$8 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$7);
    return new $c_sci_$colon$colon().init___O__sci_List(x$8, this$8)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_TemplatedLink().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.TemplatedLinkModel$", {
  Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.In$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.In$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "in"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "ApiKeySettings")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.In$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.ApiKeySettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$ extends $c_O {
  constructor() {
    super();
    this.Scheme$1 = null;
    this.BearerFormat$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Scheme$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "scheme"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.BearerFormat$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "bearerFormat"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "HttpSettings")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$9 = $m_sci_List$();
    this.type$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$9.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Scheme$1, this.BearerFormat$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.HttpSettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ extends $c_O {
  constructor() {
    super();
    this.RequestTokenUri$1 = null;
    this.AuthorizationUri$1 = null;
    this.TokenCredentialsUri$1 = null;
    this.Signatures$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.RequestTokenUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "requestTokenUri"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AuthorizationUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "authorizationUri"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.TokenCredentialsUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "tokenCredentialsUri"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Signatures$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "signature"), true);
    $m_sci_List$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "OAuth1Settings")]);
    const this$12 = $m_sci_List$();
    const cbf = this$12.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$13 = $m_sci_List$();
    this.type$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.RequestTokenUri$1, this.AuthorizationUri$1, this.TokenCredentialsUri$1, this.Signatures$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.OAuth1SettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ extends $c_O {
  constructor() {
    super();
    this.AuthorizationUri$1 = null;
    this.AccessTokenUri$1 = null;
    this.AuthorizationGrants$1 = null;
    this.Flow$1 = null;
    this.RefreshUri$1 = null;
    this.Scopes$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AuthorizationUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "authorizationUri"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AccessTokenUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "accessTokenUri"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AuthorizationGrants$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "authorizationGrant"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Flow$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "flow"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.RefreshUri$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "refreshUri"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Scopes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "scope"), true);
    $m_sci_List$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "OAuth2Settings")]);
    const this$16 = $m_sci_List$();
    const cbf = this$16.ReusableCBFInstance$2;
    const jsx$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$7 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$17 = $m_sci_List$();
    this.type$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$17.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.AuthorizationUri$1, this.AccessTokenUri$1, this.AuthorizationGrants$1, this.Flow$1, this.RefreshUri$1, this.Scopes$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.OAuth2SettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$ extends $c_O {
  constructor() {
    super();
    this.Url$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Url$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "openIdConnectUrl"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "OpenIdConnectSettings")]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().type$1;
    const this$7 = $m_sci_List$();
    this.type$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Url$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.OpenIdConnectSettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Scheme$1 = null;
    this.Settings$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Scheme$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "scheme"), true);
    const jsx$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Settings$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "settings"), true);
    this.key$1 = this.Name$1;
    $m_sci_List$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "ParametrizedSecurityScheme")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    const jsx$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$4 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$11 = $m_sci_List$();
    this.type$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Scheme$1, this.Settings$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.ParametrizedSecuritySchemeModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Type$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Headers$1 = null;
    this.QueryParameters$1 = null;
    this.Responses$1 = null;
    this.Settings$1 = null;
    this.QueryString$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Type$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "type"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "displayName"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "description"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "header"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryParameters$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "parameter"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Responses$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "response"), true);
    const jsx$8 = $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Settings$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "settings"), true);
    const jsx$9 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.QueryString$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "queryString"), true);
    this.key$1 = this.Name$1;
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "SecurityScheme");
    const this$21 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$21);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Type$1, this.DisplayName$1, this.Description$1, this.Headers$1, this.QueryParameters$1, this.Responses$1, this.Settings$1, this.QueryString$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.SecuritySchemeModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ extends $c_O {
  constructor() {
    super();
    this.AdditionalProperties$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.AdditionalProperties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "additionalProperties"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Settings")]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$7 = $m_sci_List$();
    this.type$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.AdditionalProperties$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.security.SettingsModel$", {
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$: 1,
  O: 1,
  Lamf_plugins_domain_webapi_metamodel_security_SettingsModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_security_SettingsModel$
});
class $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x2, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x2) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x2)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint($$outer) {
    return this
  };
}
const $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1: 0
}, false, "amf.plugins.domain.webapi.models.EndPoint$$anonfun$resourceType$1", {
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$resourceType$1;
class $c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint($$outer) {
    return this
  };
}
const $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1: 0
}, false, "amf.plugins.domain.webapi.models.EndPoint$$anonfun$traits$1", {
  Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_EndPoint$$anonfun$traits$1;
class $c_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1 extends $c_sr_AbstractPartialFunction {
  applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x1, $default) {
    if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lamf_plugins_domain_webapi_models_Operation($$outer) {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x1) {
    return $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x1)
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DomainElement__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DomainElement__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1: 0
}, false, "amf.plugins.domain.webapi.models.Operation$$anonfun$traits$1", {
  Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1;
class $c_Lamf_plugins_domain_webapi_models_Parameter extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withPayload__T__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, mediaType);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  linkCopy__Lamf_plugins_domain_webapi_models_Parameter() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$6 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$4 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
    const this$5 = this$4.option$1;
    const binding = (this$5.isEmpty__Z() ? null : this$5.get__O());
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    const this$7 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field, binding);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value)
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    return this.linkCopy__Lamf_plugins_domain_webapi_models_Parameter()
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-parameter" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/parameter/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, node);
    return node
  };
  withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const scalar = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, scalar);
    return scalar
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(parent) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(this.annotations$1);
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$3 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    const this$4 = this$3.option$1;
    const name = (this$4.isEmpty__Z() ? null : this$4.get__O());
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name);
    const cloned = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$6, parent);
    const this$7 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_Shape(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape($m_s_None$(), x2.cloneShape$default$2__s_Option(), x2.cloneShape$default$3__sci_Set())
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$7.fs$1.foreach__F1__V(fn);
    return cloned
  };
  id__T() {
    return this.id$1
  };
  withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const example = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    if ((!name.isEmpty__Z())) {
      const arg1 = name.get__O();
      const name$2 = arg1;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(example, field, name$2)
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, example);
    return example
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Parameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Parameter)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Parameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Parameter)))
});
const $d_Lamf_plugins_domain_webapi_models_Parameter = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Parameter: 0
}, false, "amf.plugins.domain.webapi.models.Parameter", {
  Lamf_plugins_domain_webapi_models_Parameter: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1
});
$c_Lamf_plugins_domain_webapi_models_Parameter.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Parameter;
class $c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.elementId$1$2 = null
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x)
  };
  init___T(elementId$1) {
    this.elementId$1$2 = elementId$1;
    return this
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x, $default)
  };
  applyOrElse__Lamf_core_model_document_BaseUnit__F1__O(x1, $default) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      if (x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$9$2) {
          const x$9 = x$9$2;
          return (x$9.id__T() === $this.elementId$1$2)
        })
      })(this)))) {
        return x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
      }
    };
    if ($is_Lamf_core_model_document_Fragment(x1)) {
      const x3 = x1;
      if ((x3.encodes__Lamf_core_model_domain_DomainElement().id__T() === this.elementId$1$2)) {
        return x3.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
      }
    };
    return $default.apply__O__O(x1)
  };
  isDefinedAt__Lamf_core_model_document_BaseUnit__Z(x1) {
    if ($is_Lamf_core_model_document_Module(x1)) {
      const x2 = x1;
      if (x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x$9$2) {
          const x$9 = x$9$2;
          return (x$9.id__T() === $this.elementId$1$2)
        })
      })(this)))) {
        return true
      }
    };
    if ($is_Lamf_core_model_document_Fragment(x1)) {
      const x3 = x1;
      if ((x3.encodes__Lamf_core_model_domain_DomainElement().id__T() === this.elementId$1$2)) {
        return true
      }
    };
    return false
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1: 0
}, false, "amf.plugins.domain.webapi.resolution.ExtendsHelper$$anonfun$findUnitLocationOfElement$1", {
  Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$$anonfun$findUnitLocationOfElement$1;
class $c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lamf_core_model_domain_DataNode__Z(x1) {
    return $is_Lamf_core_model_domain_ScalarNode(x1)
  };
  applyOrElse__Lamf_core_model_domain_DataNode__F1__O(x1, $default) {
    if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
      const x2 = x1;
      return x2.value$2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lamf_core_model_domain_DataNode__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lamf_core_model_domain_DataNode__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1: 0
}, false, "amf.plugins.domain.webapi.resolution.stages.DataNodeMerging$$anonfun$1", {
  Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_stages_DataNodeMerging$$anonfun$1;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YComment(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YComment(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1 = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$$anonfun$1", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$1;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YDocument(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YDocument(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4 = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$$anonfun$parse$4", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$4;
class $c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x3) {
    return $is_Lorg_yaml_model_YComment(x3)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x3, $default) {
    if ($is_Lorg_yaml_model_YComment(x3)) {
      const x2 = x3;
      return x2
    } else {
      return $default.apply__O__O(x3)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5 = new $TypeData().initClass({
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5: 0
}, false, "amf.plugins.syntax.SYamlSyntaxPlugin$$anonfun$parse$5", {
  Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5.prototype.$classData = $d_Lamf_plugins_syntax_SYamlSyntaxPlugin$$anonfun$parse$5;
class $c_Ljava_io_PrintStream extends $c_Ljava_io_FilterOutputStream {
  constructor() {
    super();
    this.encoder$3 = null;
    this.autoFlush$3 = false;
    this.charset$3 = null;
    this.closing$3 = false;
    this.java$io$PrintStream$$closed$3 = false;
    this.errorFlag$3 = false;
    this.bitmap$0$3 = false
  };
  append__jl_CharSequence__jl_Appendable(x$1) {
    return this.append__jl_CharSequence__Ljava_io_PrintStream(x$1)
  };
  init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset(_out, autoFlush, charset) {
    this.autoFlush$3 = autoFlush;
    this.charset$3 = charset;
    $c_Ljava_io_FilterOutputStream.prototype.init___Ljava_io_OutputStream.call(this, _out);
    this.closing$3 = false;
    this.java$io$PrintStream$$closed$3 = false;
    this.errorFlag$3 = false;
    return this
  };
  append__jl_CharSequence__Ljava_io_PrintStream(csq) {
    this.print__T__V(((csq === null) ? "null" : $objectToString(csq)));
    return this
  };
  append__C__jl_Appendable(x$1) {
    return this.append__C__Ljava_io_PrintStream(x$1)
  };
  append__C__Ljava_io_PrintStream(c) {
    this.print__C__V(c);
    return this
  };
  println__T__V(s) {
    this.print__T__V(s);
    this.java$lang$JSConsoleBasedPrintStream$$printString__T__V("\n")
  };
}
const $is_Ljava_io_PrintStream = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_io_PrintStream)))
});
const $isArrayOf_Ljava_io_PrintStream = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_io_PrintStream)))
});
class $c_Ljava_nio_CharBuffer extends $c_Ljava_nio_Buffer {
  constructor() {
    super();
    this.$$undarray$2 = null;
    this.$$undarrayOffset$2 = 0
  };
  put__T__I__I__Ljava_nio_CharBuffer(src, start, end) {
    return this.put__Ljava_nio_CharBuffer__Ljava_nio_CharBuffer($m_Ljava_nio_CharBuffer$().wrap__jl_CharSequence__I__I__Ljava_nio_CharBuffer(src, start, end))
  };
  put__Ljava_nio_CharBuffer__Ljava_nio_CharBuffer(src) {
    if ((src === this)) {
      throw new $c_jl_IllegalArgumentException().init___()
    };
    if (this.isReadOnly__Z()) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const srcLimit = src.$$undlimit$1;
    let srcPos = src.java$nio$Buffer$$$undposition$1;
    const length = ((srcLimit - srcPos) | 0);
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    let selfPos = p;
    src.position__I__Ljava_nio_Buffer(srcLimit);
    const srcArray = src.$$undarray$2;
    if ((srcArray !== null)) {
      const startIndex = selfPos;
      const offset = ((src.$$undarrayOffset$2 + srcPos) | 0);
      this.store__I__AC__I__I__V(startIndex, srcArray, offset, length)
    } else {
      while ((srcPos !== srcLimit)) {
        const index$1 = selfPos;
        const index = srcPos;
        const c = src.load__I__C(index);
        this.store__I__C__V(index$1, c);
        srcPos = ((1 + srcPos) | 0);
        selfPos = ((1 + selfPos) | 0)
      }
    };
    return this
  };
  equals__O__Z(that) {
    if ($is_Ljava_nio_CharBuffer(that)) {
      const x2 = that;
      return (this.compareTo__Ljava_nio_CharBuffer__I(x2) === 0)
    } else {
      return false
    }
  };
  toString__T() {
    if ((this.$$undarray$2 !== null)) {
      return $m_sjsr_RuntimeString$().newString__AC__I__I__T(this.$$undarray$2, ((this.java$nio$Buffer$$$undposition$1 + this.$$undarrayOffset$2) | 0), ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0))
    } else {
      const chars = $newArrayObject($d_C.getArrayOf(), [((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)]);
      const savedPos = this.java$nio$Buffer$$$undposition$1;
      this.get__AC__I__I__Ljava_nio_CharBuffer(chars, 0, chars.u.length);
      this.position__I__Ljava_nio_Buffer(savedPos);
      const this$1 = $m_sjsr_RuntimeString$();
      return this$1.newString__AC__I__I__T(chars, 0, chars.u.length)
    }
  };
  compareTo__O__I(x$1) {
    return this.compareTo__Ljava_nio_CharBuffer__I(x$1)
  };
  append__jl_CharSequence__jl_Appendable(x$1) {
    return this.put__T__Ljava_nio_CharBuffer($objectToString(x$1))
  };
  put__T__Ljava_nio_CharBuffer(src) {
    return this.put__T__I__I__Ljava_nio_CharBuffer(src, 0, (src.length | 0))
  };
  length__I() {
    return ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)
  };
  compareTo__Ljava_nio_CharBuffer__I(that) {
    if ((this === that)) {
      return 0
    } else {
      const thisStart = this.java$nio$Buffer$$$undposition$1;
      const thisRemaining = ((this.$$undlimit$1 - thisStart) | 0);
      const thatStart = that.java$nio$Buffer$$$undposition$1;
      const thatRemaining = ((that.$$undlimit$1 - thatStart) | 0);
      const shortestLength = ((thisRemaining < thatRemaining) ? thisRemaining : thatRemaining);
      let i = 0;
      while ((i !== shortestLength)) {
        const index = ((thisStart + i) | 0);
        const c = this.load__I__C(index);
        const index$1 = ((thatStart + i) | 0);
        const c$1 = that.load__I__C(index$1);
        const cmp = ((c - c$1) | 0);
        if ((cmp !== 0)) {
          return cmp
        };
        i = ((1 + i) | 0)
      };
      return ((thisRemaining === thatRemaining) ? 0 : ((thisRemaining < thatRemaining) ? (-1) : 1))
    }
  };
  init___I__AC__I(_capacity, _array, _arrayOffset) {
    this.$$undarray$2 = _array;
    this.$$undarrayOffset$2 = _arrayOffset;
    $c_Ljava_nio_Buffer.prototype.init___I.call(this, _capacity);
    return this
  };
  append__C__jl_Appendable(x$1) {
    return this.put__C__Ljava_nio_CharBuffer(x$1)
  };
  hashCode__I() {
    const start = this.java$nio$Buffer$$$undposition$1;
    const end = this.$$undlimit$1;
    let h = (-182887236);
    let i = start;
    while ((i !== end)) {
      const jsx$3 = $m_s_util_hashing_MurmurHash3$();
      const jsx$2 = h;
      const jsx$1 = $m_sr_Statics$();
      const index = i;
      const c = this.load__I__C(index);
      h = jsx$3.mix__I__I__I(jsx$2, jsx$1.anyHash__O__I(new $c_jl_Character().init___C(c)));
      i = ((1 + i) | 0)
    };
    return $m_s_util_hashing_MurmurHash3$().finalizeHash__I__I__I(h, ((end - start) | 0))
  };
  charAt__I__C(index) {
    return this.get__I__C(((this.java$nio$Buffer$$$undposition$1 + index) | 0))
  };
}
const $is_Ljava_nio_CharBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Ljava_nio_CharBuffer)))
});
const $isArrayOf_Ljava_nio_CharBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Ljava_nio_CharBuffer)))
});
class $c_Ljava_nio_ReadOnlyBufferException extends $c_jl_UnsupportedOperationException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_Ljava_nio_ReadOnlyBufferException = new $TypeData().initClass({
  Ljava_nio_ReadOnlyBufferException: 0
}, false, "java.nio.ReadOnlyBufferException", {
  Ljava_nio_ReadOnlyBufferException: 1,
  jl_UnsupportedOperationException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_ReadOnlyBufferException.prototype.$classData = $d_Ljava_nio_ReadOnlyBufferException;
class $c_Ljava_nio_charset_MalformedInputException extends $c_Ljava_nio_charset_CharacterCodingException {
  constructor() {
    super();
    this.inputLength$5 = 0
  };
  getMessage__T() {
    return ("Input length = " + this.inputLength$5)
  };
  init___I(inputLength) {
    this.inputLength$5 = inputLength;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_Ljava_nio_charset_MalformedInputException = new $TypeData().initClass({
  Ljava_nio_charset_MalformedInputException: 0
}, false, "java.nio.charset.MalformedInputException", {
  Ljava_nio_charset_MalformedInputException: 1,
  Ljava_nio_charset_CharacterCodingException: 1,
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_MalformedInputException.prototype.$classData = $d_Ljava_nio_charset_MalformedInputException;
class $c_Ljava_nio_charset_UnmappableCharacterException extends $c_Ljava_nio_charset_CharacterCodingException {
  constructor() {
    super();
    this.inputLength$5 = 0
  };
  getMessage__T() {
    return ("Input length = " + this.inputLength$5)
  };
  init___I(inputLength) {
    this.inputLength$5 = inputLength;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_Ljava_nio_charset_UnmappableCharacterException = new $TypeData().initClass({
  Ljava_nio_charset_UnmappableCharacterException: 0
}, false, "java.nio.charset.UnmappableCharacterException", {
  Ljava_nio_charset_UnmappableCharacterException: 1,
  Ljava_nio_charset_CharacterCodingException: 1,
  Ljava_io_IOException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_Ljava_nio_charset_UnmappableCharacterException.prototype.$classData = $d_Ljava_nio_charset_UnmappableCharacterException;
class $c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState extends $c_O {
  constructor() {
    super();
    this.column$1 = 0;
    this.line$1 = 0;
    this.offset$1 = 0;
    this.nextOffset$1 = 0;
    this.current$1 = 0
  };
  productPrefix__T() {
    return "InputState"
  };
  productArity__I() {
    return 5
  };
  init__jl_CharSequence__I__Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState(data, endOffset) {
    if ((endOffset !== 0)) {
      this.column$1 = (-1);
      this.offset$1 = (-1);
      this.consume__jl_CharSequence__I__V(data, endOffset)
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState(x$1)) {
      const InputState$1 = x$1;
      return (((((this.column$1 === InputState$1.column$1) && (this.line$1 === InputState$1.line$1)) && (this.offset$1 === InputState$1.offset$1)) && (this.nextOffset$1 === InputState$1.nextOffset$1)) && (this.current$1 === InputState$1.current$1))
    } else {
      return false
    }
  };
  consume__jl_CharSequence__I__V(data, endOffset) {
    if ((this.current$1 === 10)) {
      this.column$1 = 0;
      this.line$1 = ((1 + this.line$1) | 0)
    } else {
      this.column$1 = ((this.column$1 + ((this.nextOffset$1 - this.offset$1) | 0)) | 0)
    };
    this.offset$1 = this.nextOffset$1;
    if ((this.offset$1 >= endOffset)) {
      this.current$1 = $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1;
      return (void 0)
    };
    const chr = $charSequenceCharAt(data, this.offset$1);
    this.nextOffset$1 = ((1 + this.nextOffset$1) | 0);
    if ((((64512 & chr) === 55296) && (this.nextOffset$1 < endOffset))) {
      const c2 = $charSequenceCharAt(data, this.nextOffset$1);
      if (((64512 & c2) === 56320)) {
        this.nextOffset$1 = ((1 + this.nextOffset$1) | 0);
        this.current$1 = ((65536 + ((((1023 & chr) << 10) + (1023 & c2)) | 0)) | 0);
        return (void 0)
      }
    };
    this.current$1 = chr
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.column$1;
        break
      }
      case 1: {
        return this.line$1;
        break
      }
      case 2: {
        return this.offset$1;
        break
      }
      case 3: {
        return this.nextOffset$1;
        break
      }
      case 4: {
        return this.current$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  nonEof__Z() {
    return (this.current$1 !== $m_Lorg_mulesoft_lexer_LexerInput$().EofChar$1)
  };
  init___I__I__I__I__I(column, line, offset, nextOffset, current) {
    this.column$1 = column;
    this.line$1 = line;
    this.offset$1 = offset;
    this.nextOffset$1 = nextOffset;
    this.current$1 = current;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.column$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.line$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.offset$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.nextOffset$1);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.current$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState)))
});
const $isArrayOf_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState)))
});
const $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState = new $TypeData().initClass({
  Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState: 0
}, false, "org.mulesoft.lexer.CharSequenceLexerInput$InputState", {
  Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState: 1,
  O: 1,
  Lorg_mulesoft_lexer_LexerInput$Mark: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState.prototype.$classData = $d_Lorg_mulesoft_lexer_CharSequenceLexerInput$InputState;
class $c_Lorg_yaml_lexer_BlockIn$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "BlockIn"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "BlockIn"
  };
  hashCode__I() {
    return 1643214450
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_BlockIn$ = new $TypeData().initClass({
  Lorg_yaml_lexer_BlockIn$: 0
}, false, "org.yaml.lexer.BlockIn$", {
  Lorg_yaml_lexer_BlockIn$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_BlockIn$.prototype.$classData = $d_Lorg_yaml_lexer_BlockIn$;
let $n_Lorg_yaml_lexer_BlockIn$ = (void 0);
const $m_Lorg_yaml_lexer_BlockIn$ = (function() {
  if ((!$n_Lorg_yaml_lexer_BlockIn$)) {
    $n_Lorg_yaml_lexer_BlockIn$ = new $c_Lorg_yaml_lexer_BlockIn$().init___()
  };
  return $n_Lorg_yaml_lexer_BlockIn$
});
class $c_Lorg_yaml_lexer_BlockKey$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "BlockKey"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "BlockKey"
  };
  hashCode__I() {
    return (-599957838)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_BlockKey$ = new $TypeData().initClass({
  Lorg_yaml_lexer_BlockKey$: 0
}, false, "org.yaml.lexer.BlockKey$", {
  Lorg_yaml_lexer_BlockKey$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_BlockKey$.prototype.$classData = $d_Lorg_yaml_lexer_BlockKey$;
let $n_Lorg_yaml_lexer_BlockKey$ = (void 0);
const $m_Lorg_yaml_lexer_BlockKey$ = (function() {
  if ((!$n_Lorg_yaml_lexer_BlockKey$)) {
    $n_Lorg_yaml_lexer_BlockKey$ = new $c_Lorg_yaml_lexer_BlockKey$().init___()
  };
  return $n_Lorg_yaml_lexer_BlockKey$
});
class $c_Lorg_yaml_lexer_BlockOut$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "BlockOut"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "BlockOut"
  };
  hashCode__I() {
    return (-599953503)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_BlockOut$ = new $TypeData().initClass({
  Lorg_yaml_lexer_BlockOut$: 0
}, false, "org.yaml.lexer.BlockOut$", {
  Lorg_yaml_lexer_BlockOut$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_BlockOut$.prototype.$classData = $d_Lorg_yaml_lexer_BlockOut$;
let $n_Lorg_yaml_lexer_BlockOut$ = (void 0);
const $m_Lorg_yaml_lexer_BlockOut$ = (function() {
  if ((!$n_Lorg_yaml_lexer_BlockOut$)) {
    $n_Lorg_yaml_lexer_BlockOut$ = new $c_Lorg_yaml_lexer_BlockOut$().init___()
  };
  return $n_Lorg_yaml_lexer_BlockOut$
});
class $c_Lorg_yaml_lexer_FlowIn$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "FlowIn"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "FlowIn"
  };
  hashCode__I() {
    return 2107204371
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_FlowIn$ = new $TypeData().initClass({
  Lorg_yaml_lexer_FlowIn$: 0
}, false, "org.yaml.lexer.FlowIn$", {
  Lorg_yaml_lexer_FlowIn$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_FlowIn$.prototype.$classData = $d_Lorg_yaml_lexer_FlowIn$;
let $n_Lorg_yaml_lexer_FlowIn$ = (void 0);
const $m_Lorg_yaml_lexer_FlowIn$ = (function() {
  if ((!$n_Lorg_yaml_lexer_FlowIn$)) {
    $n_Lorg_yaml_lexer_FlowIn$ = new $c_Lorg_yaml_lexer_FlowIn$().init___()
  };
  return $n_Lorg_yaml_lexer_FlowIn$
});
class $c_Lorg_yaml_lexer_FlowKey$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "FlowKey"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "FlowKey"
  };
  hashCode__I() {
    return 898827825
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_FlowKey$ = new $TypeData().initClass({
  Lorg_yaml_lexer_FlowKey$: 0
}, false, "org.yaml.lexer.FlowKey$", {
  Lorg_yaml_lexer_FlowKey$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_FlowKey$.prototype.$classData = $d_Lorg_yaml_lexer_FlowKey$;
let $n_Lorg_yaml_lexer_FlowKey$ = (void 0);
const $m_Lorg_yaml_lexer_FlowKey$ = (function() {
  if ((!$n_Lorg_yaml_lexer_FlowKey$)) {
    $n_Lorg_yaml_lexer_FlowKey$ = new $c_Lorg_yaml_lexer_FlowKey$().init___()
  };
  return $n_Lorg_yaml_lexer_FlowKey$
});
class $c_Lorg_yaml_lexer_FlowOut$ extends $c_Lorg_yaml_lexer_YamlContext {
  init___() {
    return this
  };
  productPrefix__T() {
    return "FlowOut"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "FlowOut"
  };
  hashCode__I() {
    return 898832160
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lorg_yaml_lexer_FlowOut$ = new $TypeData().initClass({
  Lorg_yaml_lexer_FlowOut$: 0
}, false, "org.yaml.lexer.FlowOut$", {
  Lorg_yaml_lexer_FlowOut$: 1,
  Lorg_yaml_lexer_YamlContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_lexer_FlowOut$.prototype.$classData = $d_Lorg_yaml_lexer_FlowOut$;
let $n_Lorg_yaml_lexer_FlowOut$ = (void 0);
const $m_Lorg_yaml_lexer_FlowOut$ = (function() {
  if ((!$n_Lorg_yaml_lexer_FlowOut$)) {
    $n_Lorg_yaml_lexer_FlowOut$ = new $c_Lorg_yaml_lexer_FlowOut$().init___()
  };
  return $n_Lorg_yaml_lexer_FlowOut$
});
class $c_Lorg_yaml_model_YDirective extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.args$1 = null;
    this.children$1 = null;
    this.range$1 = null
  };
  init___T__sc_IndexedSeq__sc_IndexedSeq(name, args, children) {
    this.name$1 = name;
    this.args$1 = args;
    this.children$1 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    return this
  };
  productPrefix__T() {
    return "YDirective"
  };
  children__sc_IndexedSeq() {
    return this.children$1
  };
  productArity__I() {
    return 3
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$1 = x$1
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YDirective(obj)) {
      const x2 = obj;
      if ((this.name$1 === x2.name$1)) {
        const x = this.args$1;
        const x$2 = x2.args$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.name$1;
        break
      }
      case 1: {
        return this.args$1;
        break
      }
      case 2: {
        return this.children$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%", " ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.name$1, this.args$1.mkString__T__T(" ")]))
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
  hashCode__I() {
    const this$1 = this.name$1;
    return (($m_sjsr_RuntimeString$().hashCode__T__I(this$1) + $imul(31, this.args$1.hashCode__I())) | 0)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YDirective = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDirective)))
});
const $isArrayOf_Lorg_yaml_model_YDirective = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDirective)))
});
const $d_Lorg_yaml_model_YDirective = new $TypeData().initClass({
  Lorg_yaml_model_YDirective: 0
}, false, "org.yaml.model.YDirective", {
  Lorg_yaml_model_YDirective: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDirective.prototype.$classData = $d_Lorg_yaml_model_YDirective;
class $c_Lorg_yaml_model_YDocument$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YNode(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YDocument($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YDocument$$anonfun$1 = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$$anonfun$1: 0
}, false, "org.yaml.model.YDocument$$anonfun$1", {
  Lorg_yaml_model_YDocument$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument$$anonfun$1.prototype.$classData = $d_Lorg_yaml_model_YDocument$$anonfun$1;
class $c_Lorg_yaml_model_YDocument$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YComment(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YComment(x2)) {
      const x2$2 = x2;
      return x2$2.metaText$3
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YDocument($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YDocument$$anonfun$2 = new $TypeData().initClass({
  Lorg_yaml_model_YDocument$$anonfun$2: 0
}, false, "org.yaml.model.YDocument$$anonfun$2", {
  Lorg_yaml_model_YDocument$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument$$anonfun$2.prototype.$classData = $d_Lorg_yaml_model_YDocument$$anonfun$2;
class $c_Lorg_yaml_model_YMap$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YMapEntry(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YMapEntry(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YMap($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YMap$$anonfun$1 = new $TypeData().initClass({
  Lorg_yaml_model_YMap$$anonfun$1: 0
}, false, "org.yaml.model.YMap$$anonfun$1", {
  Lorg_yaml_model_YMap$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YMap$$anonfun$1.prototype.$classData = $d_Lorg_yaml_model_YMap$$anonfun$1;
class $c_Lorg_yaml_model_YMapEntry$$anonfun$2 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YNode(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YNode(x2)) {
      const x2$2 = x2;
      return x2$2
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lorg_yaml_model_YMapEntry$$anonfun$2 = new $TypeData().initClass({
  Lorg_yaml_model_YMapEntry$$anonfun$2: 0
}, false, "org.yaml.model.YMapEntry$$anonfun$2", {
  Lorg_yaml_model_YMapEntry$$anonfun$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YMapEntry$$anonfun$2.prototype.$classData = $d_Lorg_yaml_model_YMapEntry$$anonfun$2;
class $c_Lorg_yaml_model_YNode$Alias extends $c_Lorg_yaml_model_YNode$Ref {
  constructor() {
    super();
    this.name$5 = null;
    this.target$5 = null
  };
  init___T__Lorg_yaml_model_YNode__sc_IndexedSeq(name, target, cs) {
    this.name$5 = name;
    this.target$5 = target;
    $c_Lorg_yaml_model_YNode.prototype.init___sc_IndexedSeq.call(this, cs);
    return this
  };
  toString__T() {
    return ("*" + this.name$5)
  };
  tag__Lorg_yaml_model_YTag() {
    return this.target$5.tag__Lorg_yaml_model_YTag()
  };
  value__Lorg_yaml_model_YValue() {
    return this.target$5.value__Lorg_yaml_model_YValue()
  };
}
const $is_Lorg_yaml_model_YNode$Alias = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode$Alias)))
});
const $isArrayOf_Lorg_yaml_model_YNode$Alias = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode$Alias)))
});
const $d_Lorg_yaml_model_YNode$Alias = new $TypeData().initClass({
  Lorg_yaml_model_YNode$Alias: 0
}, false, "org.yaml.model.YNode$Alias", {
  Lorg_yaml_model_YNode$Alias: 1,
  Lorg_yaml_model_YNode$Ref: 1,
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode$Alias.prototype.$classData = $d_Lorg_yaml_model_YNode$Alias;
class $c_Lorg_yaml_model_YNode$MutRef extends $c_Lorg_yaml_model_YNode$Ref {
  constructor() {
    super();
    this.origValue$5 = null;
    this.origTag$5 = null;
    this.target$5 = null
  };
  tag__Lorg_yaml_model_YTag() {
    const this$1 = this.target$5;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(x$2.tag__Lorg_yaml_model_YTag())
    };
    return (this$2.isEmpty__Z() ? this.origTag$5 : this$2.get__O())
  };
  value__Lorg_yaml_model_YValue() {
    const this$1 = this.target$5;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.value__Lorg_yaml_model_YValue())
    };
    return (this$2.isEmpty__Z() ? this.origValue$5 : this$2.get__O())
  };
  init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__sc_IndexedSeq(origValue, origTag, cs) {
    this.origValue$5 = origValue;
    this.origTag$5 = origTag;
    $c_Lorg_yaml_model_YNode.prototype.init___sc_IndexedSeq.call(this, cs);
    this.target$5 = $m_s_None$();
    return this
  };
}
const $is_Lorg_yaml_model_YNode$MutRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNode$MutRef)))
});
const $isArrayOf_Lorg_yaml_model_YNode$MutRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNode$MutRef)))
});
const $d_Lorg_yaml_model_YNode$MutRef = new $TypeData().initClass({
  Lorg_yaml_model_YNode$MutRef: 0
}, false, "org.yaml.model.YNode$MutRef", {
  Lorg_yaml_model_YNode$MutRef: 1,
  Lorg_yaml_model_YNode$Ref: 1,
  Lorg_yaml_model_YNode: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1
});
$c_Lorg_yaml_model_YNode$MutRef.prototype.$classData = $d_Lorg_yaml_model_YNode$MutRef;
class $c_Lorg_yaml_model_YSequence$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YNode(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YNode(x1)) {
      const x2 = x1;
      return x2
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_model_YSequence($$outer) {
    return this
  };
}
const $d_Lorg_yaml_model_YSequence$$anonfun$1 = new $TypeData().initClass({
  Lorg_yaml_model_YSequence$$anonfun$1: 0
}, false, "org.yaml.model.YSequence$$anonfun$1", {
  Lorg_yaml_model_YSequence$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YSequence$$anonfun$1.prototype.$classData = $d_Lorg_yaml_model_YSequence$$anonfun$1;
class $c_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.$$outer$2 = null
  };
  isDefinedAt__Lorg_yaml_model_YPart__Z(x2) {
    return $is_Lorg_yaml_model_YTag(x2)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x2, $default) {
    if ($is_Lorg_yaml_model_YTag(x2)) {
      const x2$2 = x2;
      const tag = x2$2.text$2;
      return this.$$outer$2.org$yaml$parser$YamlParser$$directiveArgs$1.$$plus$eq__O__scm_ListBuffer(tag)
    } else {
      return $default.apply__O__O(x2)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
  init___Lorg_yaml_parser_YamlParser($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    return this
  };
}
const $d_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1 = new $TypeData().initClass({
  Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1: 0
}, false, "org.yaml.parser.YamlParser$$anonfun$createDirective$1", {
  Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1.prototype.$classData = $d_Lorg_yaml_parser_YamlParser$$anonfun$createDirective$1;
class $c_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2 extends $c_sr_AbstractPartialFunction {
  isDefinedAt__Lorg_yaml_model_YPart__Z(x1) {
    return $is_Lorg_yaml_model_YComment(x1)
  };
  applyOrElse__Lorg_yaml_model_YPart__F1__O(x1, $default) {
    if ($is_Lorg_yaml_model_YComment(x1)) {
      const x2 = x1;
      const txt = x2.metaText$3;
      return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([" #", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([txt]))
    } else {
      return $default.apply__O__O(x1)
    }
  };
  init___Lorg_yaml_render_YamlRender($$outer) {
    return this
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__Lorg_yaml_model_YPart__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__Lorg_yaml_model_YPart__F1__O(x, $default)
  };
}
const $d_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2 = new $TypeData().initClass({
  Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2: 0
}, false, "org.yaml.render.YamlRender$$anonfun$renderAsLiteral$2", {
  Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2.prototype.$classData = $d_Lorg_yaml_render_YamlRender$$anonfun$renderAsLiteral$2;
class $c_Lscopt_Arg$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Arg"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Arg"
  };
  hashCode__I() {
    return 66102
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Arg$ = new $TypeData().initClass({
  Lscopt_Arg$: 0
}, false, "scopt.Arg$", {
  Lscopt_Arg$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Arg$.prototype.$classData = $d_Lscopt_Arg$;
let $n_Lscopt_Arg$ = (void 0);
const $m_Lscopt_Arg$ = (function() {
  if ((!$n_Lscopt_Arg$)) {
    $n_Lscopt_Arg$ = new $c_Lscopt_Arg$().init___()
  };
  return $n_Lscopt_Arg$
});
class $c_Lscopt_Check$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Check"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Check"
  };
  hashCode__I() {
    return 65074408
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Check$ = new $TypeData().initClass({
  Lscopt_Check$: 0
}, false, "scopt.Check$", {
  Lscopt_Check$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Check$.prototype.$classData = $d_Lscopt_Check$;
let $n_Lscopt_Check$ = (void 0);
const $m_Lscopt_Check$ = (function() {
  if ((!$n_Lscopt_Check$)) {
    $n_Lscopt_Check$ = new $c_Lscopt_Check$().init___()
  };
  return $n_Lscopt_Check$
});
class $c_Lscopt_Cmd$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Cmd"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Cmd"
  };
  hashCode__I() {
    return 67866
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Cmd$ = new $TypeData().initClass({
  Lscopt_Cmd$: 0
}, false, "scopt.Cmd$", {
  Lscopt_Cmd$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Cmd$.prototype.$classData = $d_Lscopt_Cmd$;
let $n_Lscopt_Cmd$ = (void 0);
const $m_Lscopt_Cmd$ = (function() {
  if ((!$n_Lscopt_Cmd$)) {
    $n_Lscopt_Cmd$ = new $c_Lscopt_Cmd$().init___()
  };
  return $n_Lscopt_Cmd$
});
class $c_Lscopt_Head$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Head"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Head"
  };
  hashCode__I() {
    return 2245120
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Head$ = new $TypeData().initClass({
  Lscopt_Head$: 0
}, false, "scopt.Head$", {
  Lscopt_Head$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Head$.prototype.$classData = $d_Lscopt_Head$;
let $n_Lscopt_Head$ = (void 0);
const $m_Lscopt_Head$ = (function() {
  if ((!$n_Lscopt_Head$)) {
    $n_Lscopt_Head$ = new $c_Lscopt_Head$().init___()
  };
  return $n_Lscopt_Head$
});
class $c_Lscopt_Note$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Note"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Note"
  };
  hashCode__I() {
    return 2434066
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Note$ = new $TypeData().initClass({
  Lscopt_Note$: 0
}, false, "scopt.Note$", {
  Lscopt_Note$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Note$.prototype.$classData = $d_Lscopt_Note$;
let $n_Lscopt_Note$ = (void 0);
const $m_Lscopt_Note$ = (function() {
  if ((!$n_Lscopt_Note$)) {
    $n_Lscopt_Note$ = new $c_Lscopt_Note$().init___()
  };
  return $n_Lscopt_Note$
});
class $c_Lscopt_Opt$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "Opt"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "Opt"
  };
  hashCode__I() {
    return 79507
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_Opt$ = new $TypeData().initClass({
  Lscopt_Opt$: 0
}, false, "scopt.Opt$", {
  Lscopt_Opt$: 1,
  O: 1,
  Lscopt_OptionDefKind: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_Opt$.prototype.$classData = $d_Lscopt_Opt$;
let $n_Lscopt_Opt$ = (void 0);
const $m_Lscopt_Opt$ = (function() {
  if ((!$n_Lscopt_Opt$)) {
    $n_Lscopt_Opt$ = new $c_Lscopt_Opt$().init___()
  };
  return $n_Lscopt_Opt$
});
class $c_Lscopt_RenderingMode$OneColumn$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "OneColumn"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "OneColumn"
  };
  hashCode__I() {
    return (-1151817412)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_RenderingMode$OneColumn$ = new $TypeData().initClass({
  Lscopt_RenderingMode$OneColumn$: 0
}, false, "scopt.RenderingMode$OneColumn$", {
  Lscopt_RenderingMode$OneColumn$: 1,
  O: 1,
  Lscopt_RenderingMode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_RenderingMode$OneColumn$.prototype.$classData = $d_Lscopt_RenderingMode$OneColumn$;
let $n_Lscopt_RenderingMode$OneColumn$ = (void 0);
const $m_Lscopt_RenderingMode$OneColumn$ = (function() {
  if ((!$n_Lscopt_RenderingMode$OneColumn$)) {
    $n_Lscopt_RenderingMode$OneColumn$ = new $c_Lscopt_RenderingMode$OneColumn$().init___()
  };
  return $n_Lscopt_RenderingMode$OneColumn$
});
class $c_Lscopt_RenderingMode$TwoColumns$ extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "TwoColumns"
  };
  productArity__I() {
    return 0
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "TwoColumns"
  };
  hashCode__I() {
    return (-1168155631)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_Lscopt_RenderingMode$TwoColumns$ = new $TypeData().initClass({
  Lscopt_RenderingMode$TwoColumns$: 0
}, false, "scopt.RenderingMode$TwoColumns$", {
  Lscopt_RenderingMode$TwoColumns$: 1,
  O: 1,
  Lscopt_RenderingMode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_RenderingMode$TwoColumns$.prototype.$classData = $d_Lscopt_RenderingMode$TwoColumns$;
let $n_Lscopt_RenderingMode$TwoColumns$ = (void 0);
const $m_Lscopt_RenderingMode$TwoColumns$ = (function() {
  if ((!$n_Lscopt_RenderingMode$TwoColumns$)) {
    $n_Lscopt_RenderingMode$TwoColumns$ = new $c_Lscopt_RenderingMode$TwoColumns$().init___()
  };
  return $n_Lscopt_RenderingMode$TwoColumns$
});
class $c_Lscopt_platform$$anonfun$applyArgumentExHandler$1 extends $c_sr_AbstractPartialFunction {
  constructor() {
    super();
    this.desc$1$2 = null;
    this.arg$1$2 = null
  };
  init___T__T(desc$1, arg$1) {
    this.desc$1$2 = desc$1;
    this.arg$1$2 = arg$1;
    return this
  };
  isDefinedAt__jl_Throwable__Z(x1) {
    return ($is_jl_NumberFormatException(x1) || ($is_Lscopt_ParseException(x1) || (x1 !== null)))
  };
  applyOrElse__jl_Throwable__F1__O(x1, $default) {
    if ($is_jl_NumberFormatException(x1)) {
      $m_s_package$();
      const value = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(((this.desc$1$2 + " expects a number but was given '") + this.arg$1$2) + "'")]));
      return new $c_s_util_Left().init___O(value)
    } else if ($is_Lscopt_ParseException(x1)) {
      $m_s_package$();
      const value$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(((this.desc$1$2 + " expects a Scala duration but was given '") + this.arg$1$2) + "'")]));
      return new $c_s_util_Left().init___O(value$1)
    } else if ((x1 !== null)) {
      $m_s_package$();
      const value$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([((((this.desc$1$2 + " failed when given '") + this.arg$1$2) + "'. ") + x1.getMessage__T())]));
      return new $c_s_util_Left().init___O(value$2)
    } else {
      return $default.apply__O__O(x1)
    }
  };
  isDefinedAt__O__Z(x) {
    return this.isDefinedAt__jl_Throwable__Z(x)
  };
  applyOrElse__O__F1__O(x, $default) {
    return this.applyOrElse__jl_Throwable__F1__O(x, $default)
  };
}
const $d_Lscopt_platform$$anonfun$applyArgumentExHandler$1 = new $TypeData().initClass({
  Lscopt_platform$$anonfun$applyArgumentExHandler$1: 0
}, false, "scopt.platform$$anonfun$applyArgumentExHandler$1", {
  Lscopt_platform$$anonfun$applyArgumentExHandler$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lscopt_platform$$anonfun$applyArgumentExHandler$1.prototype.$classData = $d_Lscopt_platform$$anonfun$applyArgumentExHandler$1;
class $c_T2 extends $c_O {
  constructor() {
    super();
    this.$$und1$f = null;
    this.$$und2$f = null
  };
  productPrefix__T() {
    return "Tuple2"
  };
  $$und1$mcI$sp__I() {
    return (this.$$und1__O() | 0)
  };
  $$und2$mcC$sp__C() {
    const c = this.$$und2__O();
    if ((c === null)) {
      return 0
    } else {
      const this$2 = c;
      return this$2.value$1
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_T2(x$1)) {
      const Tuple2$1 = x$1;
      return ($m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und1__O(), Tuple2$1.$$und1__O()) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und2__O(), Tuple2$1.$$und2__O()))
    } else {
      return false
    }
  };
  productElement__I__O(n) {
    return $f_s_Product2__productElement__I__O(this, n)
  };
  init___O__O(_1, _2) {
    this.$$und1$f = _1;
    this.$$und2$f = _2;
    return this
  };
  toString__T() {
    return (((("(" + this.$$und1__O()) + ",") + this.$$und2__O()) + ")")
  };
  $$und2__O() {
    return this.$$und2$f
  };
  $$und2$mcI$sp__I() {
    return (this.$$und2__O() | 0)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$und1__O() {
    return this.$$und1$f
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_T2 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.T2)))
});
const $isArrayOf_T2 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T2)))
});
const $d_T2 = new $TypeData().initClass({
  T2: 0
}, false, "scala.Tuple2", {
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_T2.prototype.$classData = $d_T2;
class $c_T3 extends $c_O {
  constructor() {
    super();
    this.$$und1$1 = null;
    this.$$und2$1 = null;
    this.$$und3$1 = null
  };
  productPrefix__T() {
    return "Tuple3"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_T3(x$1)) {
      const Tuple3$1 = x$1;
      return (($m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und1$1, Tuple3$1.$$und1$1) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und2$1, Tuple3$1.$$und2$1)) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und3$1, Tuple3$1.$$und3$1))
    } else {
      return false
    }
  };
  productElement__I__O(n) {
    return $f_s_Product3__productElement__I__O(this, n)
  };
  toString__T() {
    return (((((("(" + this.$$und1$1) + ",") + this.$$und2$1) + ",") + this.$$und3$1) + ")")
  };
  init___O__O__O(_1, _2, _3) {
    this.$$und1$1 = _1;
    this.$$und2$1 = _2;
    this.$$und3$1 = _3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_T3 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.T3)))
});
const $isArrayOf_T3 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T3)))
});
const $d_T3 = new $TypeData().initClass({
  T3: 0
}, false, "scala.Tuple3", {
  T3: 1,
  O: 1,
  s_Product3: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_T3.prototype.$classData = $d_T3;
class $c_jl_ArrayIndexOutOfBoundsException extends $c_jl_IndexOutOfBoundsException {
  init___I(index) {
    const s = ("Array index out of range: " + index);
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_ArrayIndexOutOfBoundsException = new $TypeData().initClass({
  jl_ArrayIndexOutOfBoundsException: 0
}, false, "java.lang.ArrayIndexOutOfBoundsException", {
  jl_ArrayIndexOutOfBoundsException: 1,
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArrayIndexOutOfBoundsException.prototype.$classData = $d_jl_ArrayIndexOutOfBoundsException;
class $c_jl_NumberFormatException extends $c_jl_IllegalArgumentException {
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $is_jl_NumberFormatException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_NumberFormatException)))
});
const $isArrayOf_jl_NumberFormatException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_NumberFormatException)))
});
const $d_jl_NumberFormatException = new $TypeData().initClass({
  jl_NumberFormatException: 0
}, false, "java.lang.NumberFormatException", {
  jl_NumberFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NumberFormatException.prototype.$classData = $d_jl_NumberFormatException;
class $c_jl_StringIndexOutOfBoundsException extends $c_jl_IndexOutOfBoundsException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  init___I(index) {
    const s = ("String index out of range: " + index);
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
  init___T(s) {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_jl_StringIndexOutOfBoundsException = new $TypeData().initClass({
  jl_StringIndexOutOfBoundsException: 0
}, false, "java.lang.StringIndexOutOfBoundsException", {
  jl_StringIndexOutOfBoundsException: 1,
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringIndexOutOfBoundsException.prototype.$classData = $d_jl_StringIndexOutOfBoundsException;
class $c_ju_Date extends $c_O {
  constructor() {
    super();
    this.date$1 = null
  };
  init___() {
    $c_ju_Date.prototype.init___sjs_js_Date.call(this, new $g.Date());
    return this
  };
  getTime__J() {
    const this$1 = $m_sjsr_RuntimeLong$();
    const value = (+this.date$1.getTime());
    const lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
    const hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  equals__O__Z(obj) {
    if ($is_ju_Date(obj)) {
      const x2 = obj;
      return ((+x2.date$1.getTime()) === (+this.date$1.getTime()))
    } else {
      return false
    }
  };
  compareTo__O__I(x$1) {
    return this.compareTo__ju_Date__I(x$1)
  };
  toString__T() {
    const offset = ((-(this.date$1.getTimezoneOffset() | 0)) | 0);
    $m_ju_Date$().java$util$Date$$pad0__I__T(((((offset < 0) ? ((-offset) | 0) : offset) / 60) | 0));
    $m_ju_Date$().java$util$Date$$pad0__I__T(((((offset < 0) ? ((-offset) | 0) : offset) % 60) | 0));
    return (((((((((((($m_ju_Date$().java$util$Date$$Days$1.u[(this.date$1.getDay() | 0)] + " ") + $m_ju_Date$().java$util$Date$$Months$1.u[(this.date$1.getMonth() | 0)]) + " ") + $m_ju_Date$().java$util$Date$$pad0__I__T((this.date$1.getDate() | 0))) + " ") + $m_ju_Date$().java$util$Date$$pad0__I__T((this.date$1.getHours() | 0))) + ":") + $m_ju_Date$().java$util$Date$$pad0__I__T((this.date$1.getMinutes() | 0))) + ":") + $m_ju_Date$().java$util$Date$$pad0__I__T((this.date$1.getSeconds() | 0))) + " GMT ") + (this.date$1.getFullYear() | 0))
  };
  init___sjs_js_Date(date) {
    this.date$1 = date;
    return this
  };
  hashCode__I() {
    const this$1 = (+this.date$1.getTime());
    return $m_sjsr_Bits$().numberHashCode__D__I(this$1)
  };
  compareTo__ju_Date__I(anotherDate) {
    const x = (+this.date$1.getTime());
    const x$1 = (+anotherDate.date$1.getTime());
    return $m_jl_Double$().compare__D__D__I(x, x$1)
  };
}
const $is_ju_Date = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.ju_Date)))
});
const $isArrayOf_ju_Date = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.ju_Date)))
});
const $d_ju_Date = new $TypeData().initClass({
  ju_Date: 0
}, false, "java.util.Date", {
  ju_Date: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  jl_Comparable: 1
});
$c_ju_Date.prototype.$classData = $d_ju_Date;
class $c_ju_FormatterClosedException extends $c_jl_IllegalStateException {
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
}
const $d_ju_FormatterClosedException = new $TypeData().initClass({
  ju_FormatterClosedException: 0
}, false, "java.util.FormatterClosedException", {
  ju_FormatterClosedException: 1,
  jl_IllegalStateException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_FormatterClosedException.prototype.$classData = $d_ju_FormatterClosedException;
class $c_ju_IllegalFormatException extends $c_jl_IllegalArgumentException {
}
class $c_s_None$ extends $c_s_Option {
  init___() {
    return this
  };
  productPrefix__T() {
    return "None"
  };
  productArity__I() {
    return 0
  };
  isEmpty__Z() {
    return true
  };
  get__O() {
    this.get__sr_Nothing$()
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return "None"
  };
  get__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("None.get")
  };
  hashCode__I() {
    return 2433880
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_s_None$ = new $TypeData().initClass({
  s_None$: 0
}, false, "scala.None$", {
  s_None$: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_None$.prototype.$classData = $d_s_None$;
let $n_s_None$ = (void 0);
const $m_s_None$ = (function() {
  if ((!$n_s_None$)) {
    $n_s_None$ = new $c_s_None$().init___()
  };
  return $n_s_None$
});
class $c_s_PartialFunction$$anonfun$1 extends $c_sr_AbstractPartialFunction {
  init___() {
    return this
  };
  isDefinedAt__O__Z(x1) {
    return true
  };
  applyOrElse__O__F1__O(x1, $default) {
    return $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f
  };
}
const $d_s_PartialFunction$$anonfun$1 = new $TypeData().initClass({
  s_PartialFunction$$anonfun$1: 0
}, false, "scala.PartialFunction$$anonfun$1", {
  s_PartialFunction$$anonfun$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$$anonfun$1.prototype.$classData = $d_s_PartialFunction$$anonfun$1;
class $c_s_Some extends $c_s_Option {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Some"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_Some(x$1)) {
      const Some$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Some$1.value$2)
    } else {
      return false
    }
  };
  isEmpty__Z() {
    return false
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  get__O() {
    return this.value$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_Some = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Some)))
});
const $isArrayOf_s_Some = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Some)))
});
const $d_s_Some = new $TypeData().initClass({
  s_Some: 0
}, false, "scala.Some", {
  s_Some: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Some.prototype.$classData = $d_s_Some;
class $c_s_StringContext$InvalidEscapeException extends $c_jl_IllegalArgumentException {
  constructor() {
    super();
    this.index$5 = 0
  };
  init___T__I(str, index) {
    this.index$5 = index;
    const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["invalid escape ", " index ", " in \"", "\". Use \\\\\\\\ for literal \\\\."]));
    $m_s_Predef$().require__Z__V(((index >= 0) && (index < (str.length | 0))));
    let jsx$1;
    if ((index === (((-1) + (str.length | 0)) | 0))) {
      jsx$1 = "at terminal"
    } else {
      const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["'\\\\", "' not one of ", " at"]));
      const index$1 = ((1 + index) | 0);
      const c = (65535 & (str.charCodeAt(index$1) | 0));
      jsx$1 = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_jl_Character().init___C(c), "[\\b, \\t, \\n, \\f, \\r, \\\\, \\\", \\']"]))
    };
    const s = jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, index, str]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
    return this
  };
}
const $d_s_StringContext$InvalidEscapeException = new $TypeData().initClass({
  s_StringContext$InvalidEscapeException: 0
}, false, "scala.StringContext$InvalidEscapeException", {
  s_StringContext$InvalidEscapeException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$InvalidEscapeException.prototype.$classData = $d_s_StringContext$InvalidEscapeException;
class $c_s_concurrent_duration_Duration$Infinite extends $c_s_concurrent_duration_Duration {
}
class $c_s_concurrent_duration_FiniteDuration extends $c_s_concurrent_duration_Duration {
  constructor() {
    super();
    this.length$2 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong();
    this.unit$2 = null
  };
  unitString__p2__T() {
    const jsx$1 = $m_s_concurrent_duration_Duration$().timeUnitName$1.apply__O__O(this.unit$2);
    const t = this.length$2;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return (jsx$1 + (((lo === 1) && (hi === 0)) ? "" : "s"))
  };
  equals__O__Z(other) {
    if ($is_s_concurrent_duration_FiniteDuration(other)) {
      const x2 = other;
      const t = this.unit$2.toNanos__J__J(this.length$2);
      const lo = t.lo$2;
      const hi = t.hi$2;
      const b = x2.unit$2.toNanos__J__J(x2.length$2);
      return ((lo === b.lo$2) && (hi === b.hi$2))
    } else {
      return (this === other)
    }
  };
  toString__T() {
    return ((this.length$2 + " ") + this.unitString__p2__T())
  };
  init___J__ju_concurrent_TimeUnit(length, unit) {
    this.length$2 = length;
    this.unit$2 = unit;
    const x = $m_ju_concurrent_TimeUnit$().NANOSECONDS$1;
    let requirement;
    if ((x === unit)) {
      requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I((-1), 2147483647))
    } else {
      const x$3 = $m_ju_concurrent_TimeUnit$().MICROSECONDS$1;
      if ((x$3 === unit)) {
        requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I((-1511828489), 2147483))
      } else {
        const x$5 = $m_ju_concurrent_TimeUnit$().MILLISECONDS$1;
        if ((x$5 === unit)) {
          requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(2077252342, 2147))
        } else {
          const x$7 = $m_ju_concurrent_TimeUnit$().SECONDS$1;
          if ((x$7 === unit)) {
            requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(633437444, 2))
          } else {
            const x$9 = $m_ju_concurrent_TimeUnit$().MINUTES$1;
            if ((x$9 === unit)) {
              requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(153722867, 0))
            } else {
              const x$11 = $m_ju_concurrent_TimeUnit$().HOURS$1;
              if ((x$11 === unit)) {
                requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(2562047, 0))
              } else {
                const x$13 = $m_ju_concurrent_TimeUnit$().DAYS$1;
                if ((x$13 === unit)) {
                  requirement = this.bounded__p2__J__Z(new $c_sjsr_RuntimeLong().init___I__I(106751, 0))
                } else {
                  const t = $m_ju_concurrent_TimeUnit$().DAYS$1.convert__J__ju_concurrent_TimeUnit__J(length, unit);
                  const lo = t.lo$2;
                  const hi = t.hi$2;
                  requirement = (((hi === (-1)) ? (((-2147483648) ^ lo) >= 2147376897) : (hi > (-1))) && ((hi === 0) ? (((-2147483648) ^ lo) <= (-2147376897)) : (hi < 0)))
                }
              }
            }
          }
        }
      }
    };
    if ((!requirement)) {
      throw new $c_jl_IllegalArgumentException().init___T("requirement failed: Duration is limited to +-(2^63-1)ns (ca. 292 years)")
    };
    return this
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    if ($is_s_concurrent_duration_FiniteDuration(other)) {
      const x2 = other;
      const t = this.unit$2.toNanos__J__J(this.length$2);
      const lo = t.lo$2;
      const hi = t.hi$2;
      const this$2 = new $c_sr_RichLong().init___J(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      const t$1 = x2.unit$2.toNanos__J__J(x2.length$2);
      const lo$1 = t$1.lo$2;
      const hi$1 = t$1.hi$2;
      const t$3 = this$2.self$1;
      const lo$3 = t$3.lo$2;
      const hi$3 = t$3.hi$2;
      const t$4 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$3, hi$3));
      const lo$4 = t$4.lo$2;
      const hi$4 = t$4.hi$2;
      const t$5 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1));
      const lo$5 = t$5.lo$2;
      const hi$5 = t$5.hi$2;
      return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(lo$4, hi$4, lo$5, hi$5)
    } else {
      return ((-other.compare__s_concurrent_duration_Duration__I(this)) | 0)
    }
  };
  bounded__p2__J__Z(max) {
    const lo = max.lo$2;
    const hi = max.hi$2;
    const lo$1 = ((-lo) | 0);
    const hi$1 = ((lo !== 0) ? (~hi) : ((-hi) | 0));
    const b = this.length$2;
    const bhi = b.hi$2;
    if (((hi$1 === bhi) ? (((-2147483648) ^ lo$1) <= ((-2147483648) ^ b.lo$2)) : (hi$1 < bhi))) {
      const t = this.length$2;
      const lo$2 = t.lo$2;
      const hi$2 = t.hi$2;
      const bhi$1 = max.hi$2;
      return ((hi$2 === bhi$1) ? (((-2147483648) ^ lo$2) <= ((-2147483648) ^ max.lo$2)) : (hi$2 < bhi$1))
    } else {
      return false
    }
  };
  hashCode__I() {
    const t = this.unit$2.toNanos__J__J(this.length$2);
    const lo = t.lo$2;
    return lo
  };
}
const $is_s_concurrent_duration_FiniteDuration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_duration_FiniteDuration)))
});
const $isArrayOf_s_concurrent_duration_FiniteDuration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_duration_FiniteDuration)))
});
const $d_s_concurrent_duration_FiniteDuration = new $TypeData().initClass({
  s_concurrent_duration_FiniteDuration: 0
}, false, "scala.concurrent.duration.FiniteDuration", {
  s_concurrent_duration_FiniteDuration: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_FiniteDuration.prototype.$classData = $d_s_concurrent_duration_FiniteDuration;
class $c_s_concurrent_impl_Promise$KeptPromise$Failed extends $c_O {
  constructor() {
    super();
    this.result$1 = null
  };
  init___s_util_Failure(result) {
    this.result$1 = result;
    return this
  };
  tryComplete__s_util_Try__Z(value) {
    return false
  };
  foreach__F1__s_concurrent_ExecutionContext__V(f, executor) {
    /*<skip>*/
  };
  toString__T() {
    return $f_s_concurrent_impl_Promise__toString__T(this)
  };
  flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return this
  };
  onComplete__F1__s_concurrent_ExecutionContext__V(func, executor) {
    $f_s_concurrent_impl_Promise$KeptPromise$Kept__onComplete__F1__s_concurrent_ExecutionContext__V(this, func, executor)
  };
  zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(that, f, executor) {
    return this
  };
  value__s_Option() {
    return new $c_s_Some().init___O(this.result$1)
  };
  map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return this
  };
  recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return $f_s_concurrent_Future__recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this, pf, executor)
  };
  recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return $f_s_concurrent_Future__recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this, pf, executor)
  };
  result__s_util_Try() {
    return this.result$1
  };
  failed__s_concurrent_Future() {
    const this$1 = $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(new $c_s_util_Success().init___O(this.result$1.exception$2));
    return this$1
  };
}
const $d_s_concurrent_impl_Promise$KeptPromise$Failed = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise$Failed: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise$Failed", {
  s_concurrent_impl_Promise$KeptPromise$Failed: 1,
  O: 1,
  s_concurrent_impl_Promise$KeptPromise$Kept: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$KeptPromise$Failed.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise$Failed;
class $c_s_concurrent_impl_Promise$KeptPromise$Successful extends $c_O {
  constructor() {
    super();
    this.result$1 = null
  };
  foreach__F1__s_concurrent_ExecutionContext__V(f, executor) {
    $f_s_concurrent_Future__foreach__F1__s_concurrent_ExecutionContext__V(this, f, executor)
  };
  tryComplete__s_util_Try__Z(value) {
    return false
  };
  toString__T() {
    return $f_s_concurrent_impl_Promise__toString__T(this)
  };
  flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  init___s_util_Success(result) {
    this.result$1 = result;
    return this
  };
  onComplete__F1__s_concurrent_ExecutionContext__V(func, executor) {
    $f_s_concurrent_impl_Promise$KeptPromise$Kept__onComplete__F1__s_concurrent_ExecutionContext__V(this, func, executor)
  };
  zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(that, f, executor) {
    return $f_s_concurrent_Future__zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(this, that, f, executor)
  };
  map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  value__s_Option() {
    return new $c_s_Some().init___O(this.result$1)
  };
  recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return this
  };
  recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return this
  };
  result__s_util_Try() {
    return this.result$1
  };
  failed__s_concurrent_Future() {
    const this$1 = $m_s_concurrent_impl_Promise$KeptPromise$().apply__s_util_Try__s_concurrent_Promise(new $c_s_util_Failure().init___jl_Throwable(new $c_ju_NoSuchElementException().init___T("Future.failed not completed with a throwable.")));
    return this$1
  };
}
const $d_s_concurrent_impl_Promise$KeptPromise$Successful = new $TypeData().initClass({
  s_concurrent_impl_Promise$KeptPromise$Successful: 0
}, false, "scala.concurrent.impl.Promise$KeptPromise$Successful", {
  s_concurrent_impl_Promise$KeptPromise$Successful: 1,
  O: 1,
  s_concurrent_impl_Promise$KeptPromise$Kept: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$KeptPromise$Successful.prototype.$classData = $d_s_concurrent_impl_Promise$KeptPromise$Successful;
class $c_s_util_Failure extends $c_s_util_Try {
  constructor() {
    super();
    this.exception$2 = null
  };
  productPrefix__T() {
    return "Failure"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Failure(x$1)) {
      const Failure$1 = x$1;
      const x = this.exception$2;
      const x$2 = Failure$1.exception$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  map__F1__s_util_Try(f) {
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.exception$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  init___jl_Throwable(exception) {
    this.exception$2 = exception;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  recover__s_PartialFunction__s_util_Try(pf) {
    try {
      return (pf.isDefinedAt__O__Z(this.exception$2) ? new $c_s_util_Success().init___O(pf.apply__O__O(this.exception$2)) : this)
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          const e$3 = o11.get__O();
          return new $c_s_util_Failure().init___jl_Throwable(e$3)
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      } else {
        throw e
      }
    }
  };
}
const $is_s_util_Failure = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Failure)))
});
const $isArrayOf_s_util_Failure = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Failure)))
});
const $d_s_util_Failure = new $TypeData().initClass({
  s_util_Failure: 0
}, false, "scala.util.Failure", {
  s_util_Failure: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Failure.prototype.$classData = $d_s_util_Failure;
class $c_s_util_Left extends $c_s_util_Either {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Left"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Left(x$1)) {
      const Left$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Left$1.value$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_util_Left = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Left)))
});
const $isArrayOf_s_util_Left = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Left)))
});
const $d_s_util_Left = new $TypeData().initClass({
  s_util_Left: 0
}, false, "scala.util.Left", {
  s_util_Left: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left.prototype.$classData = $d_s_util_Left;
class $c_s_util_Right extends $c_s_util_Either {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Right"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Right(x$1)) {
      const Right$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Right$1.value$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_s_util_Right = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Right)))
});
const $isArrayOf_s_util_Right = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Right)))
});
const $d_s_util_Right = new $TypeData().initClass({
  s_util_Right: 0
}, false, "scala.util.Right", {
  s_util_Right: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right.prototype.$classData = $d_s_util_Right;
class $c_s_util_Success extends $c_s_util_Try {
  constructor() {
    super();
    this.value$2 = null
  };
  productPrefix__T() {
    return "Success"
  };
  productArity__I() {
    return 1
  };
  map__F1__s_util_Try(f) {
    try {
      return new $c_s_util_Success().init___O(f.apply__O__O(this.value$2))
    } catch (e) {
      const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        const o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          const e$3 = o11.get__O();
          return new $c_s_util_Failure().init___jl_Throwable(e$3)
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      } else {
        throw e
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_s_util_Success(x$1)) {
      const Success$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Success$1.value$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.value$2)
  };
  init___O(value) {
    this.value$2 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  recover__s_PartialFunction__s_util_Try(pf) {
    return this
  };
}
const $is_s_util_Success = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Success)))
});
const $isArrayOf_s_util_Success = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Success)))
});
const $d_s_util_Success = new $TypeData().initClass({
  s_util_Success: 0
}, false, "scala.util.Success", {
  s_util_Success: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Success.prototype.$classData = $d_s_util_Success;
class $c_s_util_matching_Regex$MatchIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.source$2 = null;
    this.regex$2 = null;
    this.groupNames$2 = null;
    this.matcher$2 = null;
    this.nextSeen$2 = 0;
    this.scala$util$matching$Regex$MatchData$$nameToIndex$2 = null;
    this.bitmap$0$2 = false
  };
  next__O() {
    return this.next__T()
  };
  init___jl_CharSequence__s_util_matching_Regex__sc_Seq(source, regex, groupNames) {
    this.source$2 = source;
    this.regex$2 = regex;
    this.groupNames$2 = groupNames;
    const this$1 = regex.pattern$1;
    this.matcher$2 = new $c_ju_regex_Matcher().init___ju_regex_Pattern__jl_CharSequence__I__I(this$1, source, 0, $charSequenceLength(source));
    this.nextSeen$2 = 0;
    return this
  };
  start__I__I(i) {
    this.ensure__p2__V();
    return this.matcher$2.start__I__I(i)
  };
  toString__T() {
    return $f_sc_Iterator__toString__T(this)
  };
  next__T() {
    const x1 = this.nextSeen$2;
    switch (x1) {
      case 0: {
        if ((!this.hasNext__Z())) {
          throw new $c_ju_NoSuchElementException().init___()
        };
        this.next__T();
        break
      }
      case 1: {
        this.nextSeen$2 = 2;
        break
      }
      case 2: {
        this.nextSeen$2 = 0;
        this.next__T();
        break
      }
      case 3: {
        throw new $c_ju_NoSuchElementException().init___();
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return this.matcher$2.group__T()
  };
  end__I() {
    this.ensure__p2__V();
    return this.matcher$2.end__I()
  };
  ensure__p2__V() {
    const x1 = this.nextSeen$2;
    switch (x1) {
      case 0: {
        if ((!this.hasNext__Z())) {
          throw new $c_jl_IllegalStateException().init___()
        };
        break
      }
      case 1: {
        break
      }
      case 2: {
        break
      }
      case 3: {
        throw new $c_jl_IllegalStateException().init___();
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  source__jl_CharSequence() {
    return this.source$2
  };
  hasNext__Z() {
    const x1 = this.nextSeen$2;
    switch (x1) {
      case 0: {
        this.nextSeen$2 = (this.matcher$2.find__Z() ? 1 : 3);
        break
      }
      case 1: {
        break
      }
      case 2: {
        this.nextSeen$2 = 0;
        this.hasNext__Z();
        break
      }
      case 3: {
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return (this.nextSeen$2 === 1)
  };
  start__I() {
    this.ensure__p2__V();
    return this.matcher$2.start__I()
  };
  end__I__I(i) {
    this.ensure__p2__V();
    return this.matcher$2.end__I__I(i)
  };
}
const $d_s_util_matching_Regex$MatchIterator = new $TypeData().initClass({
  s_util_matching_Regex$MatchIterator: 0
}, false, "scala.util.matching.Regex$MatchIterator", {
  s_util_matching_Regex$MatchIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  s_util_matching_Regex$MatchData: 1
});
$c_s_util_matching_Regex$MatchIterator.prototype.$classData = $d_s_util_matching_Regex$MatchIterator;
class $c_s_util_matching_Regex$MatchIterator$$anon$1 extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.scala$util$matching$Regex$Replacement$$sb$2 = null;
    this.$$outer$2 = null
  };
  next__O() {
    return this.next__s_util_matching_Regex$Match()
  };
  hasNext__Z() {
    return this.$$outer$2.hasNext__Z()
  };
  matcher__ju_regex_Matcher() {
    return this.$$outer$2.matcher$2
  };
  next__s_util_matching_Regex$Match() {
    this.$$outer$2.next__T();
    return new $c_s_util_matching_Regex$Match().init___jl_CharSequence__ju_regex_Matcher__sc_Seq(this.$$outer$2.source$2, this.matcher__ju_regex_Matcher(), this.$$outer$2.groupNames$2).force__s_util_matching_Regex$Match()
  };
  init___s_util_matching_Regex$MatchIterator($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.scala$util$matching$Regex$Replacement$$sb$2 = new $c_jl_StringBuffer().init___();
    return this
  };
}
const $d_s_util_matching_Regex$MatchIterator$$anon$1 = new $TypeData().initClass({
  s_util_matching_Regex$MatchIterator$$anon$1: 0
}, false, "scala.util.matching.Regex$MatchIterator$$anon$1", {
  s_util_matching_Regex$MatchIterator$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  s_util_matching_Regex$Replacement: 1
});
$c_s_util_matching_Regex$MatchIterator$$anon$1.prototype.$classData = $d_s_util_matching_Regex$MatchIterator$$anon$1;
const $f_sc_GenSetLike__equals__O__Z = (function($thiz, that) {
  if ($is_sc_GenSet(that)) {
    const x2 = that;
    return (($thiz === x2) || (($thiz.size__I() === x2.size__I()) && $f_sc_GenSetLike__liftedTree1$1__psc_GenSetLike__sc_GenSet__Z($thiz, x2)))
  } else {
    return false
  }
});
const $f_sc_GenSetLike__liftedTree1$1__psc_GenSetLike__sc_GenSet__Z = (function($thiz, x2$1) {
  try {
    return $thiz.subsetOf__sc_GenSet__Z(x2$1)
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      return false
    } else {
      throw e
    }
  }
});
const $is_sc_GenSetLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSetLike)))
});
const $isArrayOf_sc_GenSetLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSetLike)))
});
const $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O = (function($thiz, f, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
    return (function(x$2) {
      return b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(f$1.apply__O__O(x$2).seq__sc_TraversableOnce())
    })
  })($thiz, f, b)));
  return b.result__O()
});
const $f_sc_TraversableLike__to__scg_CanBuildFrom__O = (function($thiz, cbf) {
  const b = cbf.apply__scm_Builder();
  $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, $thiz);
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Traversable());
  return b.result__O()
});
const $f_sc_TraversableLike__isPartLikelySynthetic$1__psc_TraversableLike__T__I__Z = (function($thiz, fqn$1, partStart$1) {
  const firstChar = (65535 & (fqn$1.charCodeAt(partStart$1) | 0));
  return (((firstChar > 90) && (firstChar < 127)) || (firstChar < 65))
});
const $f_sc_TraversableLike__dropWhile__F1__O = (function($thiz, p) {
  const b = $thiz.newBuilder__scm_Builder();
  const go = new $c_sr_BooleanRef().init___Z(false);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, b$1, go$1) {
    return (function(x$2) {
      if (((!go$1.elem$1) && (!(!(!p$1.apply__O__O(x$2)))))) {
        go$1.elem$1 = true
      };
      return (go$1.elem$1 ? b$1.$$plus$eq__O__scm_Builder(x$2) : (void 0))
    })
  })($thiz, p, b, go)));
  return b.result__O()
});
const $f_sc_TraversableLike__toString__T = (function($thiz) {
  return $thiz.mkString__T__T__T__T(($thiz.stringPrefix__T() + "("), ", ", ")")
});
const $f_sc_TraversableLike__headOption__s_Option = (function($thiz) {
  return ($thiz.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O($thiz.head__O()))
});
const $f_sc_TraversableLike__filterImpl__F1__Z__O = (function($thiz, p, isFlipped) {
  const b = $thiz.newBuilder__scm_Builder();
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, isFlipped$1, b$1) {
    return (function(x$2) {
      return (((!(!p$1.apply__O__O(x$2))) !== isFlipped$1) ? b$1.$$plus$eq__O__scm_Builder(x$2) : (void 0))
    })
  })($thiz, p, isFlipped, b)));
  return b.result__O()
});
const $f_sc_TraversableLike__span__F1__T2 = (function($thiz, p) {
  const l = $thiz.newBuilder__scm_Builder();
  const r = $thiz.newBuilder__scm_Builder();
  const toLeft = new $c_sr_BooleanRef().init___Z(true);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, l$1, r$1, toLeft$1) {
    return (function(x$2) {
      toLeft$1.elem$1 = (toLeft$1.elem$1 && (!(!p$1.apply__O__O(x$2))));
      return (toLeft$1.elem$1 ? l$1 : r$1).$$plus$eq__O__scm_Builder(x$2)
    })
  })($thiz, p, l, r, toLeft)));
  return new $c_T2().init___O__O(l.result__O(), r.result__O())
});
const $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O = (function($thiz, that, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  if ($is_sc_IndexedSeqLike(that)) {
    const delta = that.seq__sc_TraversableOnce().size__I();
    $f_scm_Builder__sizeHint__sc_TraversableLike__I__V(b, $thiz, delta)
  };
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Traversable());
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(that.seq__sc_TraversableOnce());
  return b.result__O()
});
const $f_sc_TraversableLike__partition__F1__T2 = (function($thiz, p) {
  const l = $thiz.newBuilder__scm_Builder();
  const r = $thiz.newBuilder__scm_Builder();
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, l$1, r$1) {
    return (function(x$2) {
      return ((!(!p$1.apply__O__O(x$2))) ? l$1 : r$1).$$plus$eq__O__scm_Builder(x$2)
    })
  })($thiz, p, l, r)));
  return new $c_T2().init___O__O(l.result__O(), r.result__O())
});
const $f_sc_TraversableLike__last__O = (function($thiz) {
  const elem = $thiz.head__O();
  const lst = new $c_sr_ObjectRef().init___O(elem);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, lst$1) {
    return (function(x$2) {
      lst$1.elem$1 = x$2
    })
  })($thiz, lst)));
  return lst.elem$1
});
const $f_sc_TraversableLike__tail__O = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
  };
  return $thiz.drop__I__O(1)
});
const $f_sc_TraversableLike__groupBy__F1__sci_Map = (function($thiz, f) {
  const m = new $c_scm_HashMap().init___();
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, m$1) {
    return (function(elem$2) {
      const key = f$1.apply__O__O(elem$2);
      const bldr = m$1.getOrElseUpdate__O__F0__O(key, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1) {
        return (function() {
          return $this$1.newBuilder__scm_Builder()
        })
      })($this)));
      return bldr.$$plus$eq__O__scm_Builder(elem$2)
    })
  })($thiz, f, m)));
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
    return (function(check$ifrefutable$1$2) {
      const check$ifrefutable$1 = check$ifrefutable$1$2;
      return (check$ifrefutable$1 !== null)
    })
  })($thiz));
  new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(m, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3, b$1) {
    return (function(x$2$2) {
      const x$2 = x$2$2;
      if ((x$2 !== null)) {
        const k = x$2.$$und1__O();
        const v = x$2.$$und2__O();
        return b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(k, v.result__O()))
      } else {
        throw new $c_s_MatchError().init___O(x$2)
      }
    })
  })($thiz, b)));
  return b.elems$1
});
const $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O = (function($thiz, f, bf) {
  const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder($thiz, bf);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, b$1) {
    return (function(x$2) {
      return b$1.$$plus$eq__O__scm_Builder(f$1.apply__O__O(x$2))
    })
  })($thiz, f, b)));
  return b.result__O()
});
const $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder = (function($thiz, bf$2) {
  const b = bf$2.apply__O__scm_Builder($thiz.repr__O());
  $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, $thiz);
  return b
});
const $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O = (function($thiz, pf, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  $thiz.foreach__F1__V(pf.runWith__F1__F1(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
    return (function(x$1$2) {
      return b$1.$$plus$eq__O__scm_Builder(x$1$2)
    })
  })($thiz, b))));
  return b.result__O()
});
const $f_sc_TraversableLike__stringPrefix__T = (function($thiz) {
  const this$1 = $thiz.repr__O();
  const fqn = $objectGetClass(this$1).getName__T();
  let pos = (((-1) + (fqn.length | 0)) | 0);
  while (true) {
    let jsx$1;
    if ((pos !== (-1))) {
      const index = pos;
      jsx$1 = ((65535 & (fqn.charCodeAt(index) | 0)) === 36)
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      pos = (((-1) + pos) | 0)
    } else {
      break
    }
  };
  let jsx$2;
  if ((pos === (-1))) {
    jsx$2 = true
  } else {
    const index$1 = pos;
    jsx$2 = ((65535 & (fqn.charCodeAt(index$1) | 0)) === 46)
  };
  if (jsx$2) {
    return ""
  };
  let result = "";
  while (true) {
    const partEnd = ((1 + pos) | 0);
    while (true) {
      let jsx$4;
      if ((pos !== (-1))) {
        const index$2 = pos;
        jsx$4 = ((65535 & (fqn.charCodeAt(index$2) | 0)) <= 57)
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const index$3 = pos;
        jsx$3 = ((65535 & (fqn.charCodeAt(index$3) | 0)) >= 48)
      } else {
        jsx$3 = false
      };
      if (jsx$3) {
        pos = (((-1) + pos) | 0)
      } else {
        break
      }
    };
    const lastNonDigit = pos;
    while (true) {
      let jsx$6;
      if ((pos !== (-1))) {
        const index$4 = pos;
        jsx$6 = ((65535 & (fqn.charCodeAt(index$4) | 0)) !== 36)
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const index$5 = pos;
        jsx$5 = ((65535 & (fqn.charCodeAt(index$5) | 0)) !== 46)
      } else {
        jsx$5 = false
      };
      if (jsx$5) {
        pos = (((-1) + pos) | 0)
      } else {
        break
      }
    };
    const partStart = ((1 + pos) | 0);
    if (((pos === lastNonDigit) && (partEnd !== (fqn.length | 0)))) {
      return result
    };
    while (true) {
      let jsx$7;
      if ((pos !== (-1))) {
        const index$6 = pos;
        jsx$7 = ((65535 & (fqn.charCodeAt(index$6) | 0)) === 36)
      } else {
        jsx$7 = false
      };
      if (jsx$7) {
        pos = (((-1) + pos) | 0)
      } else {
        break
      }
    };
    let atEnd;
    if ((pos === (-1))) {
      atEnd = true
    } else {
      const index$7 = pos;
      atEnd = ((65535 & (fqn.charCodeAt(index$7) | 0)) === 46)
    };
    if ((atEnd || (!$f_sc_TraversableLike__isPartLikelySynthetic$1__psc_TraversableLike__T__I__Z($thiz, fqn, partStart)))) {
      const part = fqn.substring(partStart, partEnd);
      const thiz = result;
      if ((thiz === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      if ((thiz === "")) {
        result = part
      } else {
        result = ((("" + part) + new $c_jl_Character().init___C(46)) + result)
      };
      if (atEnd) {
        return result
      }
    }
  }
});
const $is_sc_TraversableLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableLike)))
});
const $isArrayOf_sc_TraversableLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableLike)))
});
class $c_scg_SeqFactory extends $c_scg_GenSeqFactory {
}
class $c_sci_HashMap$HashTrieMap$$anon$1 extends $c_sci_TrieIterator {
  init___sci_HashMap$HashTrieMap($$outer) {
    $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$6);
    return this
  };
  getElem__O__O(x) {
    return x.ensurePair__T2()
  };
}
const $d_sci_HashMap$HashTrieMap$$anon$1 = new $TypeData().initClass({
  sci_HashMap$HashTrieMap$$anon$1: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap$$anon$1", {
  sci_HashMap$HashTrieMap$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.$classData = $d_sci_HashMap$HashTrieMap$$anon$1;
class $c_sci_HashSet$HashTrieSet$$anon$1 extends $c_sci_TrieIterator {
  init___sci_HashSet$HashTrieSet($$outer) {
    $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$5);
    return this
  };
  getElem__O__O(cc) {
    return cc.key$6
  };
}
const $d_sci_HashSet$HashTrieSet$$anon$1 = new $TypeData().initClass({
  sci_HashSet$HashTrieSet$$anon$1: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet$$anon$1", {
  sci_HashSet$HashTrieSet$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.$classData = $d_sci_HashSet$HashTrieSet$$anon$1;
class $c_sci_ListMap$ extends $c_scg_ImmutableMapFactory {
  init___() {
    return this
  };
  empty__sc_GenMap() {
    return $m_sci_ListMap$EmptyListMap$()
  };
}
const $d_sci_ListMap$ = new $TypeData().initClass({
  sci_ListMap$: 0
}, false, "scala.collection.immutable.ListMap$", {
  sci_ListMap$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$.prototype.$classData = $d_sci_ListMap$;
let $n_sci_ListMap$ = (void 0);
const $m_sci_ListMap$ = (function() {
  if ((!$n_sci_ListMap$)) {
    $n_sci_ListMap$ = new $c_sci_ListMap$().init___()
  };
  return $n_sci_ListMap$
});
class $c_sci_Set$ extends $c_scg_ImmutableSetFactory {
  init___() {
    return this
  };
  emptyInstance__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
}
const $d_sci_Set$ = new $TypeData().initClass({
  sci_Set$: 0
}, false, "scala.collection.immutable.Set$", {
  sci_Set$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Set$.prototype.$classData = $d_sci_Set$;
let $n_sci_Set$ = (void 0);
const $m_sci_Set$ = (function() {
  if ((!$n_sci_Set$)) {
    $n_sci_Set$ = new $c_sci_Set$().init___()
  };
  return $n_sci_Set$
});
class $c_sci_Stream$StreamBuilder extends $c_scm_LazyBuilder {
  init___() {
    $c_scm_LazyBuilder.prototype.init___.call(this);
    return this
  };
  result__O() {
    return this.result__sci_Stream()
  };
  result__sci_Stream() {
    const this$1 = this.parts$1;
    return this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().flatMap__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.toStream__sci_Stream()
      })
    })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()))
  };
}
const $is_sci_Stream$StreamBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream$StreamBuilder)))
});
const $isArrayOf_sci_Stream$StreamBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream$StreamBuilder)))
});
const $d_sci_Stream$StreamBuilder = new $TypeData().initClass({
  sci_Stream$StreamBuilder: 0
}, false, "scala.collection.immutable.Stream$StreamBuilder", {
  sci_Stream$StreamBuilder: 1,
  scm_LazyBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sci_Stream$StreamBuilder.prototype.$classData = $d_sci_Stream$StreamBuilder;
class $c_sci_VectorBuilder extends $c_O {
  constructor() {
    super();
    this.blockIndex$1 = 0;
    this.lo$1 = 0;
    this.depth$1 = 0;
    this.display0$1 = null;
    this.display1$1 = null;
    this.display2$1 = null;
    this.display3$1 = null;
    this.display4$1 = null;
    this.display5$1 = null
  };
  display3__AO() {
    return this.display3$1
  };
  init___() {
    this.display0$1 = $newArrayObject($d_O.getArrayOf(), [32]);
    this.depth$1 = 1;
    this.blockIndex$1 = 0;
    this.lo$1 = 0;
    return this
  };
  depth__I() {
    return this.depth$1
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__sci_VectorBuilder(elem)
  };
  display5$und$eq__AO__V(x$1) {
    this.display5$1 = x$1
  };
  display0__AO() {
    return this.display0$1
  };
  display2$und$eq__AO__V(x$1) {
    this.display2$1 = x$1
  };
  display4__AO() {
    return this.display4$1
  };
  $$plus$eq__O__sci_VectorBuilder(elem) {
    if ((this.lo$1 >= this.display0$1.u.length)) {
      const newBlockIndex = ((32 + this.blockIndex$1) | 0);
      const xor = (this.blockIndex$1 ^ newBlockIndex);
      $f_sci_VectorPointer__gotoNextBlockStartWritable__I__I__V(this, newBlockIndex, xor);
      this.blockIndex$1 = newBlockIndex;
      this.lo$1 = 0
    };
    this.display0$1.u[this.lo$1] = elem;
    this.lo$1 = ((1 + this.lo$1) | 0);
    return this
  };
  result__O() {
    return this.result__sci_Vector()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  display1$und$eq__AO__V(x$1) {
    this.display1$1 = x$1
  };
  display4$und$eq__AO__V(x$1) {
    this.display4$1 = x$1
  };
  display1__AO() {
    return this.display1$1
  };
  display5__AO() {
    return this.display5$1
  };
  result__sci_Vector() {
    const size = ((this.blockIndex$1 + this.lo$1) | 0);
    if ((size === 0)) {
      const this$1 = $m_sci_Vector$();
      return this$1.NIL$6
    };
    const s = new $c_sci_Vector().init___I__I__I(0, size, 0);
    const depth = this.depth$1;
    $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
    if ((this.depth$1 > 1)) {
      const xor = (((-1) + size) | 0);
      $f_sci_VectorPointer__gotoPos__I__I__V(s, 0, xor)
    };
    return s
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__sci_VectorBuilder(elem)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  depth$und$eq__I__V(x$1) {
    this.depth$1 = x$1
  };
  display2__AO() {
    return this.display2$1
  };
  display0$und$eq__AO__V(x$1) {
    this.display0$1 = x$1
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
  display3$und$eq__AO__V(x$1) {
    this.display3$1 = x$1
  };
}
const $is_sci_VectorBuilder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_VectorBuilder)))
});
const $isArrayOf_sci_VectorBuilder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_VectorBuilder)))
});
const $d_sci_VectorBuilder = new $TypeData().initClass({
  sci_VectorBuilder: 0
}, false, "scala.collection.immutable.VectorBuilder", {
  sci_VectorBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorBuilder.prototype.$classData = $d_sci_VectorBuilder;
class $c_sci_VectorIterator extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.endIndex$2 = 0;
    this.blockIndex$2 = 0;
    this.lo$2 = 0;
    this.endLo$2 = 0;
    this.$$undhasNext$2 = false;
    this.depth$2 = 0;
    this.display0$2 = null;
    this.display1$2 = null;
    this.display2$2 = null;
    this.display3$2 = null;
    this.display4$2 = null;
    this.display5$2 = null
  };
  next__O() {
    if ((!this.$$undhasNext$2)) {
      throw new $c_ju_NoSuchElementException().init___T("reached iterator end")
    };
    const res = this.display0$2.u[this.lo$2];
    this.lo$2 = ((1 + this.lo$2) | 0);
    if ((this.lo$2 === this.endLo$2)) {
      if ((((this.blockIndex$2 + this.lo$2) | 0) < this.endIndex$2)) {
        const newBlockIndex = ((32 + this.blockIndex$2) | 0);
        const xor = (this.blockIndex$2 ^ newBlockIndex);
        $f_sci_VectorPointer__gotoNextBlockStart__I__I__V(this, newBlockIndex, xor);
        this.blockIndex$2 = newBlockIndex;
        const x = ((this.endIndex$2 - this.blockIndex$2) | 0);
        this.endLo$2 = ((x < 32) ? x : 32);
        this.lo$2 = 0
      } else {
        this.$$undhasNext$2 = false
      }
    };
    return res
  };
  display3__AO() {
    return this.display3$2
  };
  depth__I() {
    return this.depth$2
  };
  display5$und$eq__AO__V(x$1) {
    this.display5$2 = x$1
  };
  init___I__I(_startIndex, endIndex) {
    this.endIndex$2 = endIndex;
    this.blockIndex$2 = ((-32) & _startIndex);
    this.lo$2 = (31 & _startIndex);
    const x = ((endIndex - this.blockIndex$2) | 0);
    this.endLo$2 = ((x < 32) ? x : 32);
    this.$$undhasNext$2 = (((this.blockIndex$2 + this.lo$2) | 0) < endIndex);
    return this
  };
  display0__AO() {
    return this.display0$2
  };
  display2$und$eq__AO__V(x$1) {
    this.display2$2 = x$1
  };
  display4__AO() {
    return this.display4$2
  };
  display1$und$eq__AO__V(x$1) {
    this.display1$2 = x$1
  };
  hasNext__Z() {
    return this.$$undhasNext$2
  };
  display4$und$eq__AO__V(x$1) {
    this.display4$2 = x$1
  };
  display1__AO() {
    return this.display1$2
  };
  display5__AO() {
    return this.display5$2
  };
  depth$und$eq__I__V(x$1) {
    this.depth$2 = x$1
  };
  display2__AO() {
    return this.display2$2
  };
  display0$und$eq__AO__V(x$1) {
    this.display0$2 = x$1
  };
  display3$und$eq__AO__V(x$1) {
    this.display3$2 = x$1
  };
}
const $d_sci_VectorIterator = new $TypeData().initClass({
  sci_VectorIterator: 0
}, false, "scala.collection.immutable.VectorIterator", {
  sci_VectorIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorIterator.prototype.$classData = $d_sci_VectorIterator;
class $c_scm_HashMap$ extends $c_scg_MutableMapFactory {
  init___() {
    return this
  };
  empty__sc_Map() {
    return new $c_scm_HashMap().init___()
  };
  empty__sc_GenMap() {
    return new $c_scm_HashMap().init___()
  };
}
const $d_scm_HashMap$ = new $TypeData().initClass({
  scm_HashMap$: 0
}, false, "scala.collection.mutable.HashMap$", {
  scm_HashMap$: 1,
  scg_MutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap$.prototype.$classData = $d_scm_HashMap$;
let $n_scm_HashMap$ = (void 0);
const $m_scm_HashMap$ = (function() {
  if ((!$n_scm_HashMap$)) {
    $n_scm_HashMap$ = new $c_scm_HashMap$().init___()
  };
  return $n_scm_HashMap$
});
class $c_scm_ListMap$ extends $c_scg_MutableMapFactory {
  init___() {
    return this
  };
  empty__sc_Map() {
    return new $c_scm_ListMap().init___()
  };
  empty__sc_GenMap() {
    return new $c_scm_ListMap().init___()
  };
}
const $d_scm_ListMap$ = new $TypeData().initClass({
  scm_ListMap$: 0
}, false, "scala.collection.mutable.ListMap$", {
  scm_ListMap$: 1,
  scg_MutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListMap$.prototype.$classData = $d_scm_ListMap$;
let $n_scm_ListMap$ = (void 0);
const $m_scm_ListMap$ = (function() {
  if ((!$n_scm_ListMap$)) {
    $n_scm_ListMap$ = new $c_scm_ListMap$().init___()
  };
  return $n_scm_ListMap$
});
class $c_scm_Set$ extends $c_scg_MutableSetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return new $c_scm_HashSet().init___()
  };
}
const $d_scm_Set$ = new $TypeData().initClass({
  scm_Set$: 0
}, false, "scala.collection.mutable.Set$", {
  scm_Set$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_Set$.prototype.$classData = $d_scm_Set$;
let $n_scm_Set$ = (void 0);
const $m_scm_Set$ = (function() {
  if ((!$n_scm_Set$)) {
    $n_scm_Set$ = new $c_scm_Set$().init___()
  };
  return $n_scm_Set$
});
class $c_sr_NonLocalReturnControl$mcV$sp extends $c_sr_NonLocalReturnControl {
  constructor() {
    super();
    this.value$mcV$sp$f = null
  };
  value__O() {
    return (void 0)
  };
  value$mcV$sp__V() {
    /*<skip>*/
  };
  init___O__sr_BoxedUnit(key, value$mcV$sp) {
    this.value$mcV$sp$f = value$mcV$sp;
    $c_sr_NonLocalReturnControl.prototype.init___O__O.call(this, key, (void 0));
    return this
  };
}
const $d_sr_NonLocalReturnControl$mcV$sp = new $TypeData().initClass({
  sr_NonLocalReturnControl$mcV$sp: 0
}, false, "scala.runtime.NonLocalReturnControl$mcV$sp", {
  sr_NonLocalReturnControl$mcV$sp: 1,
  sr_NonLocalReturnControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sr_NonLocalReturnControl$mcV$sp.prototype.$classData = $d_sr_NonLocalReturnControl$mcV$sp;
class $c_sr_NonLocalReturnControl$mcZ$sp extends $c_sr_NonLocalReturnControl {
  constructor() {
    super();
    this.value$mcZ$sp$f = false
  };
  value__O() {
    return this.value$mcZ$sp$f
  };
  init___O__Z(key, value$mcZ$sp) {
    this.value$mcZ$sp$f = value$mcZ$sp;
    $c_sr_NonLocalReturnControl.prototype.init___O__O.call(this, key, null);
    return this
  };
  value$mcZ$sp__Z() {
    return this.value$mcZ$sp$f
  };
}
const $d_sr_NonLocalReturnControl$mcZ$sp = new $TypeData().initClass({
  sr_NonLocalReturnControl$mcZ$sp: 0
}, false, "scala.runtime.NonLocalReturnControl$mcZ$sp", {
  sr_NonLocalReturnControl$mcZ$sp: 1,
  sr_NonLocalReturnControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sr_NonLocalReturnControl$mcZ$sp.prototype.$classData = $d_sr_NonLocalReturnControl$mcZ$sp;
class $c_Lamf_client_model_domain_AnyShape extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withOr__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withOr__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$prop$xone__O() {
    return $f_Lamf_client_model_domain_Shape__xone__sjs_js_Array(this)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  documentation__Lamf_client_model_domain_CreativeWork() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_client_model_domain_CreativeWork(from)
  };
  $$js$exported$prop$displayName__O() {
    return $f_Lamf_client_model_domain_Shape__displayName__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_Shape__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$prop$examples__O() {
    return this.examples__sjs_js_Array()
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  examples__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withXone__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withXone__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$meth$withAnd__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withAnd__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  $$js$exported$prop$or__O() {
    return $f_Lamf_client_model_domain_Shape__or__sjs_js_Array(this)
  };
  validate__Lamf_client_model_document_PayloadFragment__sjs_js_Promise(fragment) {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    const fragment$1 = fragment.$$undinternal$1;
    const from = $m_Lamf_core_services_PayloadValidator$().validate__Lamf_core_model_domain_Shape__Lamf_core_model_document_PayloadFragment__T__s_concurrent_Future(this$1, fragment$1, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withExamples__sjs_js_Array__O(examples) {
    return this.withExamples__sjs_js_Array__Lamf_client_model_domain_AnyShape(examples)
  };
  withXMLSerialization__Lamf_client_model_domain_XMLSerializer__Lamf_client_model_domain_AnyShape(xmlSerialization) {
    const this$2 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().XMLSerializerMatcher__Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$();
    const xmlSerialization$1 = xmlSerialization.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, xmlSerialization$1);
    return this
  };
  validate__T__sjs_js_Promise(payload) {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    const from = $m_Lamf_core_services_PayloadValidator$().validate__Lamf_core_model_domain_Shape__T__T__s_concurrent_Future(this$1, payload, $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$();
    return new $c_Lamf_client_convert_FutureConverter$InternalFutureOps().init___Lamf_client_convert_FutureConverter__s_concurrent_Future__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$values__O() {
    return $f_Lamf_client_model_domain_Shape__values__sjs_js_Array(this)
  };
  $$js$exported$meth$withNode__Lamf_client_model_domain_Shape__O(shape) {
    return $f_Lamf_client_model_domain_Shape__withNode__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Shape(this, shape)
  };
  $$js$exported$prop$defaultValueStr__O() {
    return $f_Lamf_client_model_domain_Shape__defaultValueStr__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$withDefaultValue__Lamf_client_model_domain_DataNode__O($default) {
    return $f_Lamf_client_model_domain_Shape__withDefaultValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Shape(this, $default)
  };
  $$js$exported$meth$validate__T__O(payload) {
    return this.validate__T__sjs_js_Promise(payload)
  };
  withDocumentation__Lamf_client_model_domain_CreativeWork__Lamf_client_model_domain_AnyShape(documentation) {
    const this$2 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    const documentation$1 = documentation.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Documentation$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, documentation$1);
    return this
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$toJsonSchema__O() {
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    return $f_Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer__toJsonSchema__Lamf_plugins_domain_shapes_models_AnyShape__T(this$1, this$1)
  };
  $$js$exported$meth$withExample__T__O(mediaType) {
    return this.withExample__T__Lamf_client_model_domain_Example(mediaType)
  };
  $$js$exported$prop$documentation__O() {
    return this.documentation__Lamf_client_model_domain_CreativeWork()
  };
  $$js$exported$prop$inherits__O() {
    return $f_Lamf_client_model_domain_Shape__inherits__sjs_js_Array(this)
  };
  $$js$exported$meth$withDisplayName__T__O(name) {
    return $f_Lamf_client_model_domain_Shape__withDisplayName__T__Lamf_client_model_domain_Shape(this, name)
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withDocumentation__Lamf_client_model_domain_CreativeWork__O(documentation) {
    return this.withDocumentation__Lamf_client_model_domain_CreativeWork__Lamf_client_model_domain_AnyShape(documentation)
  };
  $$js$exported$prop$and__O() {
    return $f_Lamf_client_model_domain_Shape__and__sjs_js_Array(this)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_AnyShape()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_AnyShape()
  };
  $$js$exported$meth$withXMLSerialization__Lamf_client_model_domain_XMLSerializer__O(xmlSerialization) {
    return this.withXMLSerialization__Lamf_client_model_domain_XMLSerializer__Lamf_client_model_domain_AnyShape(xmlSerialization)
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$prop$xmlSerialization__O() {
    return this.xmlSerialization__Lamf_client_model_domain_XMLSerializer()
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return $f_Lamf_client_model_domain_Shape__withDescription__T__Lamf_client_model_domain_Shape(this, description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal__Lamf_core_model_domain_DomainElement().id__T()
  };
  $$js$exported$prop$description__O() {
    return $f_Lamf_client_model_domain_Shape__description__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$validate__Lamf_client_model_document_PayloadFragment__O(fragment) {
    return this.validate__Lamf_client_model_document_PayloadFragment__sjs_js_Promise(fragment)
  };
  withExamples__sjs_js_Array__Lamf_client_model_domain_AnyShape(examples) {
    const this$2 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    const examples$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, examples, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, examples$1);
    return this
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_Shape__withName__T__Lamf_client_model_domain_Shape(this, name)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape().linkCopy__Lamf_plugins_domain_shapes_models_AnyShape();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().AnyShapeMatcher__Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_client_model_domain_AnyShape(from)
  };
  $$js$exported$meth$withInherits__sjs_js_Array__O(inherits) {
    return $f_Lamf_client_model_domain_Shape__withInherits__sjs_js_Array__Lamf_client_model_domain_Shape(this, inherits)
  };
  $$js$exported$prop$not__O() {
    return $f_Lamf_client_model_domain_Shape__not__Lamf_client_model_domain_Shape(this)
  };
  xmlSerialization__Lamf_client_model_domain_XMLSerializer() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape();
    const from = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().XMLSerialization$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().XMLSerializerMatcher__Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_XMLSerializer__Lamf_client_model_domain_XMLSerializer(from)
  };
  $$js$exported$meth$withDefaultStr__T__O(value) {
    return $f_Lamf_client_model_domain_Shape__withDefaultStr__T__Lamf_client_model_domain_Shape(this, value)
  };
  $$js$exported$meth$withValues__sjs_js_Array__O(values) {
    return $f_Lamf_client_model_domain_Shape__withValues__sjs_js_Array__Lamf_client_model_domain_Shape(this, values)
  };
  withExample__T__Lamf_client_model_domain_Example(mediaType) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal__Lamf_plugins_domain_shapes_models_AnyShape().withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(new $c_s_Some().init___O(mediaType));
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_Example__Lamf_client_model_domain_Example(from)
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal__Lamf_core_model_domain_DomainElement();
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$prop$defaultValue__O() {
    return $f_Lamf_client_model_domain_Shape__defaultValue__Lamf_client_model_domain_DataNode(this)
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withDefaultStr"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultStr__T__O(prep0)
  };
  "withNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNode__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withXone"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withXone__sjs_js_Array__O(prep0)
  };
  "withAnd"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAnd__sjs_js_Array__O(prep0)
  };
  "withOr"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOr__sjs_js_Array__O(prep0)
  };
  "withInherits"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInherits__sjs_js_Array__O(prep0)
  };
  "withValues"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValues__sjs_js_Array__O(prep0)
  };
  "withDefaultValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultValue__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "not"() {
    return this.$$js$exported$prop$not__O()
  };
  get "xone"() {
    return this.$$js$exported$prop$xone__O()
  };
  get "and"() {
    return this.$$js$exported$prop$and__O()
  };
  get "or"() {
    return this.$$js$exported$prop$or__O()
  };
  get "inherits"() {
    return this.$$js$exported$prop$inherits__O()
  };
  get "values"() {
    return this.$$js$exported$prop$values__O()
  };
  get "defaultValueStr"() {
    return this.$$js$exported$prop$defaultValueStr__O()
  };
  get "defaultValue"() {
    return this.$$js$exported$prop$defaultValue__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  "validate"(arg$1) {
    if ($is_T(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$validate__T__O(prep0)
    } else if ($is_Lamf_client_model_document_PayloadFragment(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$validate__Lamf_client_model_document_PayloadFragment__O(prep0)
    } else {
      throw "No matching overload"
    }
  };
  get "toJsonSchema"() {
    return this.$$js$exported$prop$toJsonSchema__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withExample"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExample__T__O(prep0)
  };
  "withExamples"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExamples__sjs_js_Array__O(prep0)
  };
  "withXMLSerialization"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withXMLSerialization__Lamf_client_model_domain_XMLSerializer__O(prep0)
  };
  "withDocumentation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentation__Lamf_client_model_domain_CreativeWork__O(prep0)
  };
  get "examples"() {
    return this.$$js$exported$prop$examples__O()
  };
  get "xmlSerialization"() {
    return this.$$js$exported$prop$xmlSerialization__O()
  };
  get "documentation"() {
    return this.$$js$exported$prop$documentation__O()
  };
}
const $is_Lamf_client_model_domain_AnyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_AnyShape)))
});
const $isArrayOf_Lamf_client_model_domain_AnyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_AnyShape)))
});
const $d_Lamf_client_model_domain_AnyShape = new $TypeData().initClass({
  Lamf_client_model_domain_AnyShape: 0
}, false, "amf.client.model.domain.AnyShape", {
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1
});
$c_Lamf_client_model_domain_AnyShape.prototype.$classData = $d_Lamf_client_model_domain_AnyShape;
class $c_Lamf_core_annotations_Aliases extends $c_O {
  constructor() {
    super();
    this.aliases$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "Aliases"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_Aliases(x$1)) {
      const Aliases$1 = x$1;
      const x = this.aliases$1;
      const x$2 = Aliases$1.aliases$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenSetLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$1
  };
  init___sci_Set(aliases) {
    this.aliases$1 = aliases;
    this.name$1 = "aliases-array";
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const alias = x0$1.$$und1__O();
          const p2 = x0$1.$$und2__O();
          if ((p2 !== null)) {
            const fullUrl = p2.$$und1__O();
            const relativeUrl = p2.$$und2__O();
            return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "->", "::", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([alias, fullUrl, relativeUrl]))
          }
        };
        throw new $c_s_MatchError().init___O(x0$1)
      })
    })(this));
    const this$1 = $m_sci_Set$();
    const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    this.value$1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(aliases, f, bf).mkString__T__T(",");
    return this
  };
  value__T() {
    return this.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_Aliases = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_Aliases)))
});
const $isArrayOf_Lamf_core_annotations_Aliases = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_Aliases)))
});
const $d_Lamf_core_annotations_Aliases = new $TypeData().initClass({
  Lamf_core_annotations_Aliases: 0
}, false, "amf.core.annotations.Aliases", {
  Lamf_core_annotations_Aliases: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_Aliases.prototype.$classData = $d_Lamf_core_annotations_Aliases;
class $c_Lamf_core_annotations_DataNodePropertiesAnnotations extends $c_O {
  constructor() {
    super();
    this.properties$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "DataNodePropertiesAnnotations"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_DataNodePropertiesAnnotations(x$1)) {
      const DataNodePropertiesAnnotations$1 = x$1;
      const x = this.properties$1;
      const x$2 = DataNodePropertiesAnnotations$1.properties$1;
      return ((x === null) ? (x$2 === null) : $f_sc_GenMapLike__equals__O__Z(x, x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___sci_Map(properties) {
    this.properties$1 = properties;
    this.name$1 = "data-node-properties";
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const key = x0$1.$$und1__O();
          const l = x0$1.$$und2__O();
          return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "->", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key, l.range__Lamf_core_parser_Range()]))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this));
    const this$1 = $m_sci_Iterable$();
    const bf = this$1.ReusableCBFInstance$2;
    this.value$1 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(properties, f, bf).mkString__T__T("#");
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$1
  };
  value__T() {
    return this.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_DataNodePropertiesAnnotations = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_DataNodePropertiesAnnotations)))
});
const $isArrayOf_Lamf_core_annotations_DataNodePropertiesAnnotations = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_DataNodePropertiesAnnotations)))
});
const $d_Lamf_core_annotations_DataNodePropertiesAnnotations = new $TypeData().initClass({
  Lamf_core_annotations_DataNodePropertiesAnnotations: 0
}, false, "amf.core.annotations.DataNodePropertiesAnnotations", {
  Lamf_core_annotations_DataNodePropertiesAnnotations: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DataNodePropertiesAnnotations.prototype.$classData = $d_Lamf_core_annotations_DataNodePropertiesAnnotations;
class $c_Lamf_core_annotations_DefaultNode extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "default-node";
    this.value$1 = "";
    return this
  };
  productPrefix__T() {
    return "DefaultNode"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_DefaultNode(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_DefaultNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_DefaultNode)))
});
const $isArrayOf_Lamf_core_annotations_DefaultNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_DefaultNode)))
});
const $d_Lamf_core_annotations_DefaultNode = new $TypeData().initClass({
  Lamf_core_annotations_DefaultNode: 0
}, false, "amf.core.annotations.DefaultNode", {
  Lamf_core_annotations_DefaultNode: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_DefaultNode.prototype.$classData = $d_Lamf_core_annotations_DefaultNode;
class $c_Lamf_core_annotations_ResolvedLinkAnnotation extends $c_O {
  constructor() {
    super();
    this.linkId$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ResolvedLinkAnnotation"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_ResolvedLinkAnnotation(x$1)) {
      const ResolvedLinkAnnotation$1 = x$1;
      return (this.linkId$1 === ResolvedLinkAnnotation$1.linkId$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.linkId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(linkId) {
    this.linkId$1 = linkId;
    this.name$1 = "resolved-link";
    this.value$1 = linkId;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_ResolvedLinkAnnotation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_ResolvedLinkAnnotation)))
});
const $isArrayOf_Lamf_core_annotations_ResolvedLinkAnnotation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_ResolvedLinkAnnotation)))
});
const $d_Lamf_core_annotations_ResolvedLinkAnnotation = new $TypeData().initClass({
  Lamf_core_annotations_ResolvedLinkAnnotation: 0
}, false, "amf.core.annotations.ResolvedLinkAnnotation", {
  Lamf_core_annotations_ResolvedLinkAnnotation: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_ResolvedLinkAnnotation.prototype.$classData = $d_Lamf_core_annotations_ResolvedLinkAnnotation;
class $c_Lamf_core_annotations_SingleValueArray extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "single-value-array";
    this.value$1 = "";
    return this
  };
  productPrefix__T() {
    return "SingleValueArray"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_SingleValueArray(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SingleValueArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SingleValueArray)))
});
const $isArrayOf_Lamf_core_annotations_SingleValueArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SingleValueArray)))
});
const $d_Lamf_core_annotations_SingleValueArray = new $TypeData().initClass({
  Lamf_core_annotations_SingleValueArray: 0
}, false, "amf.core.annotations.SingleValueArray", {
  Lamf_core_annotations_SingleValueArray: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SingleValueArray.prototype.$classData = $d_Lamf_core_annotations_SingleValueArray;
class $c_Lamf_core_annotations_SourceVendor extends $c_O {
  constructor() {
    super();
    this.vendor$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "SourceVendor"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_SourceVendor(x$1)) {
      const SourceVendor$1 = x$1;
      const x = this.vendor$1;
      const x$2 = SourceVendor$1.vendor$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.vendor$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___Lamf_core_remote_Vendor(vendor) {
    this.vendor$1 = vendor;
    this.name$1 = "source-vendor";
    this.value$1 = vendor.name__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SourceVendor = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SourceVendor)))
});
const $isArrayOf_Lamf_core_annotations_SourceVendor = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SourceVendor)))
});
const $d_Lamf_core_annotations_SourceVendor = new $TypeData().initClass({
  Lamf_core_annotations_SourceVendor: 0
}, false, "amf.core.annotations.SourceVendor", {
  Lamf_core_annotations_SourceVendor: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SourceVendor.prototype.$classData = $d_Lamf_core_annotations_SourceVendor;
class $c_Lamf_core_annotations_SynthesizedField extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "synthesized-field";
    this.value$1 = "true";
    return this
  };
  productPrefix__T() {
    return "SynthesizedField"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_annotations_SynthesizedField(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_annotations_SynthesizedField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_SynthesizedField)))
});
const $isArrayOf_Lamf_core_annotations_SynthesizedField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_SynthesizedField)))
});
const $d_Lamf_core_annotations_SynthesizedField = new $TypeData().initClass({
  Lamf_core_annotations_SynthesizedField: 0
}, false, "amf.core.annotations.SynthesizedField", {
  Lamf_core_annotations_SynthesizedField: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_SynthesizedField.prototype.$classData = $d_Lamf_core_annotations_SynthesizedField;
class $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.force$1 = false
  };
  productPrefix__T() {
    return "ArrayEmitter"
  };
  productArity__I() {
    return 4
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(key, f, ordering, force) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.force$1 = force;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter(x$1)) {
      const ArrayEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === ArrayEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ArrayEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = ArrayEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.force$1 === ArrayEmitter$1.force$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.force$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitSingle__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const this$2 = this$1.value$1.value$1.scalars__sc_Seq().headOption__s_Option();
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$5 = arg1;
      this$3 = new $c_s_Some().init___O(x$5.toString__T())
    };
    const value = (this$3.isEmpty__Z() ? "" : this$3.get__O());
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    $m_Lorg_yaml_model_YNode$();
    const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(value);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value$1)
  };
  emitValues__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = this.f$1;
    this$2.value$1.value$1.scalars__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(v$2) {
        const v$1 = v$2;
        return result$1.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(v$1, $m_Lorg_yaml_model_YType$().Str$1))
      })
    })(this, result)));
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const single = (this.f$1.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf()) || this.f$1.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SingleValueArray.getClassOf()));
    const value = this.f$1.value$1;
    if ((single && (!this.force$1))) {
      this.emitSingle__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      this.emitValues__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.key$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.f$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.force$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$ArrayEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$ArrayEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$ArrayEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$ArrayEmitter", {
  Lamf_core_emitter_BaseEmitters_package$ArrayEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter extends $c_O {
  constructor() {
    super();
    this.position$1 = null
  };
  productPrefix__T() {
    return "EmptyMapEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const map = $m_Lorg_yaml_model_YMap$().empty$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter(x$1)) {
      const EmptyMapEmitter$1 = x$1;
      const x = this.position$1;
      const x$2 = EmptyMapEmitter$1.position$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Position(position) {
    this.position$1 = position;
    return this
  };
  position__Lamf_core_parser_Position() {
    return this.position$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$EmptyMapEmitter", {
  Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.tag$1 = null;
    this.position$1 = null
  };
  productPrefix__T() {
    return "EntryPartEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter(x$1)) {
      const EntryPartEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === EntryPartEmitter$1.key$1)) {
        const x = this.value$1;
        const x$2 = EntryPartEmitter$1.value$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.tag$1;
        const x$4 = EntryPartEmitter$1.tag$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.position$1;
        const x$6 = EntryPartEmitter$1.position$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      case 2: {
        return this.tag$1;
        break
      }
      case 3: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, value, tag, position) {
    this.key$1 = key;
    this.value$1 = value;
    this.tag$1 = tag;
    this.position$1 = position;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.value$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.position$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$EntryPartEmitter", {
  Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter extends $c_O {
  constructor() {
    super();
    this.alias$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "LinkScalaEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$2 = this.alias$1;
    const this$2 = $m_Lorg_yaml_model_YType$().Include$1;
    const jsx$1 = this$2.org$yaml$model$YType$$tag$und$1;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$7 = new $c_sci_VectorBuilder().init___();
    const value = new $c_Lorg_yaml_model_YScalar$Builder().init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(jsx$2, jsx$1, "", this$7.result__sci_Vector(), $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).scalar$1;
    const tt = $m_Lorg_yaml_model_YType$().Include$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter(x$1)) {
      const LinkScalaEmitter$1 = x$1;
      if ((this.alias$1 === LinkScalaEmitter$1.alias$1)) {
        const x = this.annotations$1;
        const x$2 = LinkScalaEmitter$1.annotations$1;
        return (x === x$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.alias$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__Lamf_core_parser_Annotations(alias, annotations) {
    this.alias$1 = alias;
    this.annotations$1 = annotations;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$LinkScalaEmitter", {
  Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.value$1 = null;
    this.tag$1 = null;
    this.position$1 = null
  };
  productPrefix__T() {
    return "MapEntryEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter(x$1)) {
      const MapEntryEmitter$1 = x$1;
      let jsx$1;
      if (((this.key$1 === MapEntryEmitter$1.key$1) && (this.value$1 === MapEntryEmitter$1.value$1))) {
        const x = this.tag$1;
        const x$2 = MapEntryEmitter$1.tag$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.position$1;
        const x$4 = MapEntryEmitter$1.position$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.value$1;
        break
      }
      case 2: {
        return this.tag$1;
        break
      }
      case 3: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, this.value$1, this.tag$1);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, value, tag, position) {
    this.key$1 = key;
    this.value$1 = value;
    this.tag$1 = tag;
    this.position$1 = position;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.position$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$MapEntryEmitter", {
  Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$NullEmitter extends $c_O {
  constructor() {
    super();
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "NullEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().Null$1;
    const tt = $m_Lorg_yaml_model_YType$().Null$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$NullEmitter(x$1)) {
      const NullEmitter$1 = x$1;
      const x = this.annotations$1;
      const x$2 = NullEmitter$1.annotations$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_Annotations(annotations) {
    this.annotations$1 = annotations;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$NullEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$NullEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$NullEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$NullEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$NullEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$NullEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$NullEmitter", {
  Lamf_core_emitter_BaseEmitters_package$NullEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$NullEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$NullEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$RawEmitter extends $c_O {
  constructor() {
    super();
    this.content$1 = null;
    this.tag$1 = null;
    this.annotations$1 = null
  };
  productPrefix__T() {
    return "RawEmitter"
  };
  init___T__Lorg_yaml_model_YType__Lamf_core_parser_Annotations(content, tag, annotations) {
    this.content$1 = content;
    this.tag$1 = tag;
    this.annotations$1 = annotations;
    return this
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, this.content$1, this.tag$1)
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$RawEmitter(x$1)) {
      const RawEmitter$1 = x$1;
      let jsx$1;
      if ((this.content$1 === RawEmitter$1.content$1)) {
        const x = this.tag$1;
        const x$2 = RawEmitter$1.tag$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.annotations$1;
        const x$4 = RawEmitter$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.content$1;
        break
      }
      case 1: {
        return this.tag$1;
        break
      }
      case 2: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$RawEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$RawEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$RawEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$RawEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$RawEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$RawEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$RawEmitter", {
  Lamf_core_emitter_BaseEmitters_package$RawEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$RawEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$RawEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter extends $c_O {
  constructor() {
    super();
    this.v$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "ScalarEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(this.v$1.value$1);
    const tt = this.tag$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter(x$1)) {
      const ScalarEmitter$1 = x$1;
      const x = this.v$1;
      const x$2 = ScalarEmitter$1.v$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.tag$1;
        const x$4 = ScalarEmitter$1.tag$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.v$1;
        break
      }
      case 1: {
        return this.tag$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(v, tag) {
    this.v$1 = v;
    this.tag$1 = tag;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.v$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$ScalarEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$ScalarEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$ScalarEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$ScalarEmitter", {
  Lamf_core_emitter_BaseEmitters_package$ScalarEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter;
class $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.annotations$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "TextScalarEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const jsx$2 = this.value$1;
    const this$2 = this.tag$1;
    const jsx$1 = this$2.org$yaml$model$YType$$tag$und$1;
    $m_s_package$();
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    const this$7 = new $c_sci_VectorBuilder().init___();
    const value = new $c_Lorg_yaml_model_YScalar$Builder().init___T__Lorg_yaml_model_YTag__T__sc_IndexedSeq__Lorg_yaml_model_ParseErrorHandler(jsx$2, jsx$1, "", this$7.result__sci_Vector(), $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1).scalar$1;
    const tt = this.tag$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter(x$1)) {
      const TextScalarEmitter$1 = x$1;
      let jsx$1;
      if ((this.value$1 === TextScalarEmitter$1.value$1)) {
        const x = this.annotations$1;
        const x$2 = TextScalarEmitter$1.annotations$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.tag$1;
        const x$4 = TextScalarEmitter$1.tag$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.tag$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(value, annotations, tag) {
    this.value$1 = value;
    this.annotations$1 = annotations;
    this.tag$1 = tag;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$TextScalarEmitter", {
  Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter;
class $c_Lamf_core_metamodel_Type$Array extends $c_Lamf_core_metamodel_Type$ArrayLike {
  productPrefix__T() {
    return "Array"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Type$Array(x$1)) {
      const Array$1 = x$1;
      const x = this.element$1;
      const x$2 = Array$1.element$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  element__Lamf_core_metamodel_Type() {
    return this.element$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_metamodel_Type(element) {
    $c_Lamf_core_metamodel_Type$ArrayLike.prototype.init___Lamf_core_metamodel_Type.call(this, element);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_metamodel_Type$Array = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$Array)))
});
const $isArrayOf_Lamf_core_metamodel_Type$Array = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$Array)))
});
const $d_Lamf_core_metamodel_Type$Array = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Array: 0
}, false, "amf.core.metamodel.Type$Array", {
  Lamf_core_metamodel_Type$Array: 1,
  Lamf_core_metamodel_Type$ArrayLike: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Array.prototype.$classData = $d_Lamf_core_metamodel_Type$Array;
class $c_Lamf_core_metamodel_Type$Bool$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "boolean");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Bool$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Bool$: 0
}, false, "amf.core.metamodel.Type$Bool$", {
  Lamf_core_metamodel_Type$Bool$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Bool$.prototype.$classData = $d_Lamf_core_metamodel_Type$Bool$;
let $n_Lamf_core_metamodel_Type$Bool$ = (void 0);
const $m_Lamf_core_metamodel_Type$Bool$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Bool$)) {
    $n_Lamf_core_metamodel_Type$Bool$ = new $c_Lamf_core_metamodel_Type$Bool$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Bool$
});
class $c_Lamf_core_metamodel_Type$Date$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "date");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Date$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Date$: 0
}, false, "amf.core.metamodel.Type$Date$", {
  Lamf_core_metamodel_Type$Date$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Date$.prototype.$classData = $d_Lamf_core_metamodel_Type$Date$;
let $n_Lamf_core_metamodel_Type$Date$ = (void 0);
const $m_Lamf_core_metamodel_Type$Date$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Date$)) {
    $n_Lamf_core_metamodel_Type$Date$ = new $c_Lamf_core_metamodel_Type$Date$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Date$
});
class $c_Lamf_core_metamodel_Type$Double$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "double");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Double$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Double$: 0
}, false, "amf.core.metamodel.Type$Double$", {
  Lamf_core_metamodel_Type$Double$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Double$.prototype.$classData = $d_Lamf_core_metamodel_Type$Double$;
let $n_Lamf_core_metamodel_Type$Double$ = (void 0);
const $m_Lamf_core_metamodel_Type$Double$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Double$)) {
    $n_Lamf_core_metamodel_Type$Double$ = new $c_Lamf_core_metamodel_Type$Double$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Double$
});
class $c_Lamf_core_metamodel_Type$EncodedIri$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "encodedUrl");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$EncodedIri$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$EncodedIri$: 0
}, false, "amf.core.metamodel.Type$EncodedIri$", {
  Lamf_core_metamodel_Type$EncodedIri$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$EncodedIri$.prototype.$classData = $d_Lamf_core_metamodel_Type$EncodedIri$;
let $n_Lamf_core_metamodel_Type$EncodedIri$ = (void 0);
const $m_Lamf_core_metamodel_Type$EncodedIri$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$EncodedIri$)) {
    $n_Lamf_core_metamodel_Type$EncodedIri$ = new $c_Lamf_core_metamodel_Type$EncodedIri$().init___()
  };
  return $n_Lamf_core_metamodel_Type$EncodedIri$
});
class $c_Lamf_core_metamodel_Type$Float$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "float");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Float$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Float$: 0
}, false, "amf.core.metamodel.Type$Float$", {
  Lamf_core_metamodel_Type$Float$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Float$.prototype.$classData = $d_Lamf_core_metamodel_Type$Float$;
let $n_Lamf_core_metamodel_Type$Float$ = (void 0);
const $m_Lamf_core_metamodel_Type$Float$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Float$)) {
    $n_Lamf_core_metamodel_Type$Float$ = new $c_Lamf_core_metamodel_Type$Float$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Float$
});
class $c_Lamf_core_metamodel_Type$Int$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "int");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Int$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Int$: 0
}, false, "amf.core.metamodel.Type$Int$", {
  Lamf_core_metamodel_Type$Int$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Int$.prototype.$classData = $d_Lamf_core_metamodel_Type$Int$;
let $n_Lamf_core_metamodel_Type$Int$ = (void 0);
const $m_Lamf_core_metamodel_Type$Int$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Int$)) {
    $n_Lamf_core_metamodel_Type$Int$ = new $c_Lamf_core_metamodel_Type$Int$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Int$
});
class $c_Lamf_core_metamodel_Type$Iri$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "url");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Iri$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Iri$: 0
}, false, "amf.core.metamodel.Type$Iri$", {
  Lamf_core_metamodel_Type$Iri$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Iri$.prototype.$classData = $d_Lamf_core_metamodel_Type$Iri$;
let $n_Lamf_core_metamodel_Type$Iri$ = (void 0);
const $m_Lamf_core_metamodel_Type$Iri$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Iri$)) {
    $n_Lamf_core_metamodel_Type$Iri$ = new $c_Lamf_core_metamodel_Type$Iri$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Iri$
});
class $c_Lamf_core_metamodel_Type$RegExp$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "regexp");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$RegExp$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$RegExp$: 0
}, false, "amf.core.metamodel.Type$RegExp$", {
  Lamf_core_metamodel_Type$RegExp$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$RegExp$.prototype.$classData = $d_Lamf_core_metamodel_Type$RegExp$;
let $n_Lamf_core_metamodel_Type$RegExp$ = (void 0);
const $m_Lamf_core_metamodel_Type$RegExp$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$RegExp$)) {
    $n_Lamf_core_metamodel_Type$RegExp$ = new $c_Lamf_core_metamodel_Type$RegExp$().init___()
  };
  return $n_Lamf_core_metamodel_Type$RegExp$
});
class $c_Lamf_core_metamodel_Type$SortedArray extends $c_Lamf_core_metamodel_Type$ArrayLike {
  productPrefix__T() {
    return "SortedArray"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_metamodel_Type$SortedArray(x$1)) {
      const SortedArray$1 = x$1;
      const x = this.element$1;
      const x$2 = SortedArray$1.element$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  element__Lamf_core_metamodel_Type() {
    return this.element$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_metamodel_Type(element) {
    $c_Lamf_core_metamodel_Type$ArrayLike.prototype.init___Lamf_core_metamodel_Type.call(this, element);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_metamodel_Type$SortedArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_metamodel_Type$SortedArray)))
});
const $isArrayOf_Lamf_core_metamodel_Type$SortedArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_metamodel_Type$SortedArray)))
});
const $d_Lamf_core_metamodel_Type$SortedArray = new $TypeData().initClass({
  Lamf_core_metamodel_Type$SortedArray: 0
}, false, "amf.core.metamodel.Type$SortedArray", {
  Lamf_core_metamodel_Type$SortedArray: 1,
  Lamf_core_metamodel_Type$ArrayLike: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$SortedArray.prototype.$classData = $d_Lamf_core_metamodel_Type$SortedArray;
class $c_Lamf_core_metamodel_Type$Str$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "string");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Str$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Str$: 0
}, false, "amf.core.metamodel.Type$Str$", {
  Lamf_core_metamodel_Type$Str$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Str$.prototype.$classData = $d_Lamf_core_metamodel_Type$Str$;
let $n_Lamf_core_metamodel_Type$Str$ = (void 0);
const $m_Lamf_core_metamodel_Type$Str$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Str$)) {
    $n_Lamf_core_metamodel_Type$Str$ = new $c_Lamf_core_metamodel_Type$Str$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Str$
});
class $c_Lamf_core_metamodel_Type$Time$ extends $c_Lamf_core_metamodel_Type$Scalar {
  init___() {
    $c_Lamf_core_metamodel_Type$Scalar.prototype.init___T.call(this, "time");
    return this
  };
}
const $d_Lamf_core_metamodel_Type$Time$ = new $TypeData().initClass({
  Lamf_core_metamodel_Type$Time$: 0
}, false, "amf.core.metamodel.Type$Time$", {
  Lamf_core_metamodel_Type$Time$: 1,
  Lamf_core_metamodel_Type$Scalar: 1,
  O: 1,
  Lamf_core_metamodel_Type: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_metamodel_Type$Time$.prototype.$classData = $d_Lamf_core_metamodel_Type$Time$;
let $n_Lamf_core_metamodel_Type$Time$ = (void 0);
const $m_Lamf_core_metamodel_Type$Time$ = (function() {
  if ((!$n_Lamf_core_metamodel_Type$Time$)) {
    $n_Lamf_core_metamodel_Type$Time$ = new $c_Lamf_core_metamodel_Type$Time$().init___()
  };
  return $n_Lamf_core_metamodel_Type$Time$
});
const $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List = (function($thiz) {
  const x$1 = $thiz.Extends__Lamf_core_metamodel_Field();
  const this$1 = $m_Lamf_core_metamodel_document_DocumentModel$();
  const this$2 = $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List(this$1);
  return new $c_sci_$colon$colon().init___O__sci_List(x$1, this$2)
});
const $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "extends"), true))
});
class $c_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DefinedBy$1 = null;
    this.Extension$1 = null;
    this.Element$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__$$init$__V(this);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_extensions_DomainExtensionModel__fields__sci_List(this)
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_DomainExtensionModel$: 0
}, false, "amf.core.metamodel.domain.extensions.DomainExtensionModel$", {
  Lamf_core_metamodel_domain_extensions_DomainExtensionModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_extensions_DomainExtensionModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$;
let $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$ = new $c_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$
});
class $c_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.DataNode$1 = null;
    this.Variables$1 = null;
    this.Description$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "AbstractDeclaration");
    const this$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Description__Lamf_core_metamodel_Field() {
    return this.Description$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DataNode$1 = x$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("AbstractDeclarationModel is abstract and cannot be instantiated"))
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  DataNode__Lamf_core_metamodel_Field() {
    return this.DataNode$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$: 0
}, false, "amf.core.metamodel.domain.templates.AbstractDeclarationModel$", {
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$;
let $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$)) {
    $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$ = new $c_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$
});
class $c_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.Target$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParametrizedDeclaration");
    const this$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Target__Lamf_core_metamodel_Field() {
    return this.Target$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("ParametrizedDeclaration is abstract and cannot be instantiated by default"))
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
}
const $d_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$: 0
}, false, "amf.core.metamodel.domain.templates.ParametrizedDeclarationModel$", {
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$;
let $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$)) {
    $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$ = new $c_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$
});
class $c_Lamf_core_parser_DefaultScalarNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "DefaultScalarNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_DefaultScalarNode(x$1)) {
      const DefaultScalarNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DefaultScalarNode$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return this.negated__Lamf_core_model_domain_AmfScalar()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  string__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.iv$1), $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1))
  };
  negated__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((!(!(!arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.iv$1)))), $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  text__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.iv$1).text$3, $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1))
  };
  $boolean__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((!(!arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$BooleanYRead$(), this.iv$1))), $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1))
  };
  integer__Lamf_core_model_domain_AmfScalar() {
    const arg1 = this.node$1;
    return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((arg1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$IntYRead$(), this.iv$1) | 0), $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1))
  };
}
const $is_Lamf_core_parser_DefaultScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_DefaultScalarNode)))
});
const $isArrayOf_Lamf_core_parser_DefaultScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_DefaultScalarNode)))
});
const $d_Lamf_core_parser_DefaultScalarNode = new $TypeData().initClass({
  Lamf_core_parser_DefaultScalarNode: 0
}, false, "amf.core.parser.DefaultScalarNode", {
  Lamf_core_parser_DefaultScalarNode: 1,
  O: 1,
  Lamf_core_parser_ScalarNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_DefaultScalarNode.prototype.$classData = $d_Lamf_core_parser_DefaultScalarNode;
class $c_Lamf_core_parser_Position$ZERO$ extends $c_Lamf_core_parser_Position {
  init___() {
    $c_Lamf_core_parser_Position.prototype.init___I__I.call(this, 0, 0);
    return this
  };
  compareTo__Lamf_core_parser_Position__I(o) {
    return 1
  };
  compareTo__O__I(x$1) {
    return 1
  };
}
const $d_Lamf_core_parser_Position$ZERO$ = new $TypeData().initClass({
  Lamf_core_parser_Position$ZERO$: 0
}, false, "amf.core.parser.Position$ZERO$", {
  Lamf_core_parser_Position$ZERO$: 1,
  Lamf_core_parser_Position: 1,
  O: 1,
  jl_Comparable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Position$ZERO$.prototype.$classData = $d_Lamf_core_parser_Position$ZERO$;
let $n_Lamf_core_parser_Position$ZERO$ = (void 0);
const $m_Lamf_core_parser_Position$ZERO$ = (function() {
  if ((!$n_Lamf_core_parser_Position$ZERO$)) {
    $n_Lamf_core_parser_Position$ZERO$ = new $c_Lamf_core_parser_Position$ZERO$().init___()
  };
  return $n_Lamf_core_parser_Position$ZERO$
});
class $c_Lamf_core_remote_FileNotFound extends $c_jl_Exception {
  constructor() {
    super();
    this.cause$3 = null
  };
  productPrefix__T() {
    return "FileNotFound"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_remote_FileNotFound(x$1)) {
      const FileNotFound$1 = x$1;
      const x = this.cause$3;
      const x$2 = FileNotFound$1.cause$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.cause$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___jl_Exception(cause) {
    this.cause$3 = cause;
    $c_jl_Exception.prototype.init___jl_Throwable.call(this, cause);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_remote_FileNotFound = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_FileNotFound)))
});
const $isArrayOf_Lamf_core_remote_FileNotFound = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_FileNotFound)))
});
const $d_Lamf_core_remote_FileNotFound = new $TypeData().initClass({
  Lamf_core_remote_FileNotFound: 0
}, false, "amf.core.remote.FileNotFound", {
  Lamf_core_remote_FileNotFound: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lamf_core_remote_FileNotFound.prototype.$classData = $d_Lamf_core_remote_FileNotFound;
class $c_Lamf_core_remote_browser_JsBrowserHttpResourceLoader extends $c_Lamf_client_resource_BaseHttpResourceLoader {
  init___() {
    return this
  };
  productPrefix__T() {
    return "JsBrowserHttpResourceLoader"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_remote_browser_JsBrowserHttpResourceLoader(x$1) && true)
  };
  $$js$exported$meth$fetch__T__O(resource) {
    return this.fetch__T__sjs_js_Promise(resource)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fetch__T__sjs_js_Promise(resource) {
    const jsx$1 = $m_sjs_js_JSConverters$JSRichFuture$();
    const this$3 = $m_Lorg_scalajs_dom_ext_Ajax$();
    const headers = $m_sci_Map$EmptyMap$();
    const f = this$3.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("GET", resource, null, 0, headers, false, "").flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resource$1) {
      return (function(xhr$2) {
        const x1 = (xhr$2.status | 0);
        switch (x1) {
          case 200: {
            return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(new $c_Lamf_client_remote_Content().init___T__T(xhr$2.responseText, resource$1));
            break
          }
          default: {
            return $m_s_concurrent_Future$().failed__jl_Throwable__s_concurrent_Future(new $c_Lamf_core_remote_FileNotFound().init___jl_Exception(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unhandled status code ", " with ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1, xhr$2.statusText])))))
          }
        }
      })
    })(this, resource)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$1.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_remote_browser_JsBrowserHttpResourceLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_browser_JsBrowserHttpResourceLoader)))
});
const $isArrayOf_Lamf_core_remote_browser_JsBrowserHttpResourceLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_browser_JsBrowserHttpResourceLoader)))
});
const $d_Lamf_core_remote_browser_JsBrowserHttpResourceLoader = new $TypeData().initClass({
  Lamf_core_remote_browser_JsBrowserHttpResourceLoader: 0
}, false, "amf.core.remote.browser.JsBrowserHttpResourceLoader", {
  Lamf_core_remote_browser_JsBrowserHttpResourceLoader: 1,
  Lamf_client_resource_BaseHttpResourceLoader: 1,
  O: 1,
  Lamf_client_resource_ResourceLoader: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_browser_JsBrowserHttpResourceLoader.prototype.$classData = $d_Lamf_core_remote_browser_JsBrowserHttpResourceLoader;
class $c_Lamf_core_remote_server_JsServerFileResourceLoader extends $c_O {
  init___() {
    return this
  };
  productPrefix__T() {
    return "JsServerFileResourceLoader"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_remote_server_JsServerFileResourceLoader(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  $$js$exported$meth$fetch__T__O(resource) {
    return $f_Lamf_client_resource_BaseFileResourceLoader__fetch__T__sjs_js_Promise(this, resource)
  };
  ensureFileAuthority__T__T(str) {
    return ((((str.length | 0) >= 0) && (str.substring(0, ("file:".length | 0)) === "file:")) ? str : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["file://", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([str])))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fetchFile__T__sjs_js_Promise(resource) {
    const jsx$4 = $m_sjs_js_JSConverters$JSRichFuture$();
    const qual$1 = $m_Lorg_mulesoft_common_io_Fs$().asyncFile__T__Lorg_mulesoft_common_io_AsyncFile(resource);
    const f = qual$1.read__T__s_concurrent_Future("UTF-8").map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, resource$1) {
      return (function(content$2) {
        const content = content$2;
        const jsx$3 = new $c_Lamf_core_lexer_CharSequenceStream().init___T__jl_CharSequence(resource$1, content);
        const jsx$2 = $this.ensureFileAuthority__T__T(resource$1);
        const this$1 = $m_Lamf_core_remote_FileMediaType$();
        const this$2 = $f_Lamf_core_remote_FileMediaType__extension__T__s_Option(this$1, resource$1);
        let jsx$1;
        if (this$2.isEmpty__Z()) {
          jsx$1 = $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const extension = arg1;
          const this$3 = $m_Lamf_core_remote_FileMediaType$();
          jsx$1 = $f_Lamf_core_remote_FileMediaType__mimeFromExtension__T__s_Option(this$3, extension)
        };
        return new $c_Lamf_client_remote_Content().init___Lamf_core_lexer_CharStream__T__s_Option(jsx$3, jsx$2, jsx$1)
      })
    })(this, resource)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_Lamf_core_remote_server_JsServerFileResourceLoader$$anonfun$fetchFile$3().init___Lamf_core_remote_server_JsServerFileResourceLoader__T(this, resource), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
    return jsx$4.toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(f, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  fetch__T__sjs_js_Promise(resource) {
    return $f_Lamf_client_resource_BaseFileResourceLoader__fetch__T__sjs_js_Promise(this, resource)
  };
  $$js$exported$meth$fetchFile__T__O(resource) {
    return this.fetchFile__T__sjs_js_Promise(resource)
  };
  $$js$exported$meth$ensureFileAuthority__T__O(str) {
    return this.ensureFileAuthority__T__T(str)
  };
  $$js$exported$meth$accepts__T__O(resource) {
    return $f_Lamf_client_resource_BaseFileResourceLoader__accepts__T__Z(this, resource)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  accepts__T__Z(resource) {
    return $f_Lamf_client_resource_BaseFileResourceLoader__accepts__T__Z(this, resource)
  };
  "accepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$accepts__T__O(prep0)
  };
  "fetch"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$fetch__T__O(prep0)
  };
  "ensureFileAuthority"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$ensureFileAuthority__T__O(prep0)
  };
  "fetchFile"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$fetchFile__T__O(prep0)
  };
}
const $is_Lamf_core_remote_server_JsServerFileResourceLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_server_JsServerFileResourceLoader)))
});
const $isArrayOf_Lamf_core_remote_server_JsServerFileResourceLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_server_JsServerFileResourceLoader)))
});
const $d_Lamf_core_remote_server_JsServerFileResourceLoader = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerFileResourceLoader: 0
}, false, "amf.core.remote.server.JsServerFileResourceLoader", {
  Lamf_core_remote_server_JsServerFileResourceLoader: 1,
  O: 1,
  Lamf_client_resource_BaseFileResourceLoader: 1,
  Lamf_client_resource_ResourceLoader: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_server_JsServerFileResourceLoader.prototype.$classData = $d_Lamf_core_remote_server_JsServerFileResourceLoader;
class $c_Lamf_core_remote_server_JsServerHttpResourceLoader extends $c_Lamf_client_resource_BaseHttpResourceLoader {
  init___() {
    return this
  };
  productPrefix__T() {
    return "JsServerHttpResourceLoader"
  };
  amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$2__O__sr_ObjectRef__O(res, str$1) {
    str$1.elem$1 = (("" + str$1.elem$1) + $objectToString(res))
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_core_remote_server_JsServerHttpResourceLoader(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  $$js$exported$meth$fetch__T__O(resource) {
    return this.fetch__T__sjs_js_Promise(resource)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$5__O__sr_ObjectRef__O(res, str$2) {
    str$2.elem$1 = (("" + str$2.elem$1) + $objectToString(res))
  };
  fetch__T__sjs_js_Promise(resource) {
    const promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
    if ((((resource.length | 0) >= 0) && (resource.substring(0, ("https:".length | 0)) === "https:"))) {
      $i_https.get(resource, (function(arg$outer, resource$1, promise$1) {
        return (function(arg1$2) {
          return arg$outer.amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$1__sjs_js_Dynamic__T__s_concurrent_Promise__O(arg1$2, resource$1, promise$1)
        })
      })(this, resource, promise))
    } else {
      $i_http.get(resource, (function(arg$outer$1, resource$1$1, promise$1$1) {
        return (function(arg1$2$1) {
          return arg$outer$1.amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$4__sjs_js_Dynamic__T__s_concurrent_Promise__O(arg1$2$1, resource$1$1, promise$1$1)
        })
      })(this, resource, promise))
    };
    return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(promise, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$4__sjs_js_Dynamic__T__s_concurrent_Promise__O(response, resource$1, promise$1) {
    const str = new $c_sr_ObjectRef().init___O("");
    const dataCb = (function(arg$outer, str$2) {
      return (function(arg1$2) {
        return arg$outer.amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$5__O__sr_ObjectRef__O(arg1$2, str$2)
      })
    })(this, str);
    response.on("data", dataCb);
    const completedCb = (function($this, resource$1$1, promise$1$1, str$1, response$1) {
      return (function() {
        let mediaType;
        try {
          const dict = response$1.headers;
          let jsx$1;
          if ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, "content-type")))) {
            jsx$1 = dict["content-type"]
          } else {
            throw new $c_ju_NoSuchElementException().init___T("key not found: content-type")
          };
          mediaType = new $c_s_Some().init___O(jsx$1)
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            mediaType = $m_s_None$()
          } else {
            throw e
          }
        };
        const value = new $c_Lamf_client_remote_Content().init___T__T__s_Option(str$1.elem$1, resource$1$1, mediaType);
        return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1$1, value)
      })
    })(this, resource$1, promise$1, str, response);
    return response.on("end", completedCb)
  };
  amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$1__sjs_js_Dynamic__T__s_concurrent_Promise__O(response, resource$1, promise$1) {
    const str = new $c_sr_ObjectRef().init___O("");
    const dataCb = (function(arg$outer, str$1) {
      return (function(arg1$2) {
        return arg$outer.amf$core$remote$server$JsServerHttpResourceLoader$$$anonfun$fetch$2__O__sr_ObjectRef__O(arg1$2, str$1)
      })
    })(this, str);
    response.on("data", dataCb);
    const completedCb = (function($this, resource$1$1, promise$1$1, str$2, response$1) {
      return (function() {
        let mediaType;
        try {
          const dict = response$1.headers;
          let jsx$1;
          if ((!(!$m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, "content-type")))) {
            jsx$1 = dict["content-type"]
          } else {
            throw new $c_ju_NoSuchElementException().init___T("key not found: content-type")
          };
          mediaType = new $c_s_Some().init___O(jsx$1)
        } catch (e) {
          const e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            mediaType = $m_s_None$()
          } else {
            throw e
          }
        };
        const value = new $c_Lamf_client_remote_Content().init___T__T__s_Option(str$2.elem$1, resource$1$1, mediaType);
        return $f_s_concurrent_Promise__success__O__s_concurrent_Promise(promise$1$1, value)
      })
    })(this, resource$1, promise$1, str, response);
    return response.on("end", completedCb)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_remote_server_JsServerHttpResourceLoader = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_remote_server_JsServerHttpResourceLoader)))
});
const $isArrayOf_Lamf_core_remote_server_JsServerHttpResourceLoader = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_remote_server_JsServerHttpResourceLoader)))
});
const $d_Lamf_core_remote_server_JsServerHttpResourceLoader = new $TypeData().initClass({
  Lamf_core_remote_server_JsServerHttpResourceLoader: 0
}, false, "amf.core.remote.server.JsServerHttpResourceLoader", {
  Lamf_core_remote_server_JsServerHttpResourceLoader: 1,
  Lamf_client_resource_BaseHttpResourceLoader: 1,
  O: 1,
  Lamf_client_resource_ResourceLoader: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_remote_server_JsServerHttpResourceLoader.prototype.$classData = $d_Lamf_core_remote_server_JsServerHttpResourceLoader;
class $c_Lamf_core_resolution_stages_ResolvedLinkNode extends $c_Lamf_core_model_domain_LinkNode {
  constructor() {
    super();
    this.source$3 = null;
    this.resolved$3 = null
  };
  cloneNode__Lamf_core_model_domain_LinkNode() {
    return new $c_Lamf_core_resolution_stages_ResolvedLinkNode().init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(this.source$3, this.resolved$3)
  };
  init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(source, resolved) {
    this.source$3 = source;
    this.resolved$3 = resolved;
    $c_Lamf_core_model_domain_LinkNode.prototype.init___T__T__Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, source.value$2, source.value$2, source.fields$2, source.annotations$2);
    this.linkedDomainElement$2 = new $c_s_Some().init___O(resolved);
    return this
  };
  cloneNode__Lamf_core_model_domain_DataNode() {
    return new $c_Lamf_core_resolution_stages_ResolvedLinkNode().init___Lamf_core_model_domain_LinkNode__Lamf_core_model_domain_DomainElement(this.source$3, this.resolved$3)
  };
}
const $is_Lamf_core_resolution_stages_ResolvedLinkNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_resolution_stages_ResolvedLinkNode)))
});
const $isArrayOf_Lamf_core_resolution_stages_ResolvedLinkNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_resolution_stages_ResolvedLinkNode)))
});
const $d_Lamf_core_resolution_stages_ResolvedLinkNode = new $TypeData().initClass({
  Lamf_core_resolution_stages_ResolvedLinkNode: 0
}, false, "amf.core.resolution.stages.ResolvedLinkNode", {
  Lamf_core_resolution_stages_ResolvedLinkNode: 1,
  Lamf_core_model_domain_LinkNode: 1,
  Lamf_core_model_domain_DataNode: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1
});
$c_Lamf_core_resolution_stages_ResolvedLinkNode.prototype.$classData = $d_Lamf_core_resolution_stages_ResolvedLinkNode;
class $c_Lamf_core_validation_AMFValidationResult extends $c_O {
  constructor() {
    super();
    this.message$1 = null;
    this.level$1 = null;
    this.targetNode$1 = null;
    this.targetProperty$1 = null;
    this.validationId$1 = null;
    this.position$1 = null;
    this.source$1 = null;
    this.completeMessage$1 = null
  };
  productPrefix__T() {
    return "AMFValidationResult"
  };
  productArity__I() {
    return 7
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_validation_AMFValidationResult(x$1)) {
      const AMFValidationResult$1 = x$1;
      let jsx$2;
      if ((((this.message$1 === AMFValidationResult$1.message$1) && (this.level$1 === AMFValidationResult$1.level$1)) && (this.targetNode$1 === AMFValidationResult$1.targetNode$1))) {
        const x = this.targetProperty$1;
        const x$2 = AMFValidationResult$1.targetProperty$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if ((jsx$2 && (this.validationId$1 === AMFValidationResult$1.validationId$1))) {
        const x$3 = this.position$1;
        const x$4 = AMFValidationResult$1.position$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return $m_sr_BoxesRunTime$().equals__O__O__Z(this.source$1, AMFValidationResult$1.source$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.message$1;
        break
      }
      case 1: {
        return this.level$1;
        break
      }
      case 2: {
        return this.targetNode$1;
        break
      }
      case 3: {
        return this.targetProperty$1;
        break
      }
      case 4: {
        return this.validationId$1;
        break
      }
      case 5: {
        return this.position$1;
        break
      }
      case 6: {
        return this.source$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    let str = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n- Source: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.validationId$1]));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Message: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.message$1])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Level: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.level$1])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Target: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.targetNode$1])));
    const jsx$2 = str;
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Property: ", "\\n"]));
    const this$1 = this.targetProperty$1;
    str = (("" + jsx$2) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$1.isEmpty__Z() ? "" : this$1.get__O())])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Position: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.position$1])));
    return str
  };
  compareTo__O__I(that) {
    return this.compare__Lamf_core_validation_AMFValidationResult__I(that)
  };
  compare__O__I(that) {
    return this.compare__Lamf_core_validation_AMFValidationResult__I(that)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  compare__Lamf_core_validation_AMFValidationResult__I(that) {
    const this$1 = this.position$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.range__Lamf_core_parser_Range().start$1)
    };
    const jsx$1 = (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O());
    const this$3 = that.position$1;
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$3.get__O();
      const x$2 = arg1$1;
      this$4 = new $c_s_Some().init___O(x$2.range__Lamf_core_parser_Range().start$1)
    };
    const x1 = jsx$1.compareTo__Lamf_core_parser_Position__I((this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O()));
    switch (x1) {
      case 0: {
        const this$5 = this.position$1;
        let this$6;
        if (this$5.isEmpty__Z()) {
          this$6 = $m_s_None$()
        } else {
          const arg1$2 = this$5.get__O();
          const x$3 = arg1$2;
          this$6 = new $c_s_Some().init___O(x$3.range__Lamf_core_parser_Range().end$1)
        };
        const jsx$2 = (this$6.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$6.get__O());
        const this$7 = that.position$1;
        let this$8;
        if (this$7.isEmpty__Z()) {
          this$8 = $m_s_None$()
        } else {
          const arg1$3 = this$7.get__O();
          const x$4 = arg1$3;
          this$8 = new $c_s_Some().init___O(x$4.range__Lamf_core_parser_Range().end$1)
        };
        const x1$2 = jsx$2.compareTo__Lamf_core_parser_Position__I((this$8.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$8.get__O()));
        switch (x1$2) {
          case 0: {
            const this$9 = this.targetProperty$1;
            const thiz = (this$9.isEmpty__Z() ? "" : this$9.get__O());
            const this$10 = that.targetProperty$1;
            const anotherString = (this$10.isEmpty__Z() ? "" : this$10.get__O());
            return ((thiz === anotherString) ? 0 : ((!(!(thiz < anotherString))) ? (-1) : 1));
            break
          }
          default: {
            return x1$2
          }
        };
        break
      }
      default: {
        return x1
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__T__T__s_Option__T__s_Option__O(message, level, targetNode, targetProperty, validationId, position, source) {
    this.message$1 = message;
    this.level$1 = level;
    this.targetNode$1 = targetNode;
    this.targetProperty$1 = targetProperty;
    this.validationId$1 = validationId;
    this.position$1 = position;
    this.source$1 = source;
    let str = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["\\n- Source: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([validationId]));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Message: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([message])));
    str = (("" + str) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  Property: ", "\\n"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(targetProperty.isEmpty__Z() ? "" : targetProperty.get__O())])));
    this.completeMessage$1 = str;
    return this
  };
}
const $is_Lamf_core_validation_AMFValidationResult = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_validation_AMFValidationResult)))
});
const $isArrayOf_Lamf_core_validation_AMFValidationResult = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_validation_AMFValidationResult)))
});
const $d_Lamf_core_validation_AMFValidationResult = new $TypeData().initClass({
  Lamf_core_validation_AMFValidationResult: 0
}, false, "amf.core.validation.AMFValidationResult", {
  Lamf_core_validation_AMFValidationResult: 1,
  O: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_validation_AMFValidationResult.prototype.$classData = $d_Lamf_core_validation_AMFValidationResult;
class $c_Lamf_plugins_document_vocabularies_VocabulariesPlugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.registry$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.validationsProfilesMap$2 = null;
    this.allowRecursiveReferences$2 = false
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_vocabularies_VocabulariesPlugin$ = this;
    this.registry$2 = new $c_Lamf_plugins_document_vocabularies_DialectsRegistry().init___();
    this.ID$2 = "AMF Vocabularies";
    this.vendors$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMF Vocabularies"]));
    this.validationsProfilesMap$2 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.allowRecursiveReferences$2 = false;
    return this
  };
  modelEntitiesResolver__s_Option() {
    return new $c_s_Some().init___O(this.registry$2)
  };
  aggregatValidations__Lamf_core_validation_EffectiveValidations__sc_Seq__Lamf_core_validation_EffectiveValidations(validations, dependenciesValidations) {
    return dependenciesValidations.foldLeft__O__F2__O(validations, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$2$2, x1$2$2) {
        const x0$2 = x0$2$2;
        const x1$2 = x1$2$2;
        return x0$2.someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(x1$2)
      })
    })(this)))
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(unit)) {
      const x2 = unit;
      return new $c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(x2)
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(unit)) {
      const x3 = unit;
      return new $c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(x3)
    } else {
      return unit
    }
  };
  parseAndRegisterDialect__p2__Lamf_core_Root__Lamf_core_parser_ParserContext__s_Some(document, parentContext) {
    const x1 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(document, new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext().init___Lamf_core_parser_ParserContext__s_Option(parentContext, $m_s_None$())).parseDocument__Lamf_core_model_document_BaseUnit();
    if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(x1)) {
      const x2 = x1;
      this.registry$2.register__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_DialectsRegistry(x2);
      return new $c_s_Some().init___O(x2)
    } else {
      return new $c_s_Some().init___O(x1)
    }
  };
  computeValidationProfile__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_validation_core_ValidationProfile(dialect) {
    const profileName = dialect.nameAndVersion__T();
    const x1 = this.validationsProfilesMap$2.get__O__s_Option(profileName);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const profile = x2.value$2;
      return profile
    } else {
      const resolvedDialect = new $c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(dialect);
      const profile$2 = new $c_Lamf_plugins_document_vocabularies_validation_AMFDialectValidations().init___Lamf_plugins_document_vocabularies_model_document_Dialect(resolvedDialect).profile__Lamf_core_validation_core_ValidationProfile();
      this.validationsProfilesMap$2 = this.validationsProfilesMap$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(profileName, profile$2));
      return profile$2
    }
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(unit)) {
      const x5 = unit;
      return this.registry$2.knowsDialectInstance__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Z(x5)
    } else {
      return false
    }
  };
  modelEntities__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$(), $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$()]))
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/raml", "application/raml+json", "application/raml+yaml", "text/yaml", "text/x-yaml", "application/yaml", "application/x-yaml", "application/json"]))
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(baseUnit)) {
      const x2 = baseUnit;
      const resolvedModel = new $c_Lamf_plugins_document_vocabularies_resolution_pipelines_DialectInstanceResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(x2);
      const jsx$5 = $m_s_concurrent_Future$();
      const jsx$4 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().GraphDependencies$1);
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(instance$2) {
          const instance = instance$2;
          const jsx$3 = $this.registry$2;
          const this$1 = instance.option$1;
          return jsx$3.registerDialect__T__Lamf_internal_environment_Environment__s_concurrent_Future((this$1.isEmpty__Z() ? null : this$1.get__O()), $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment())
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      const jsx$1 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
      const this$4 = $m_sc_Seq$();
      const dependenciesValidations = jsx$5.sequence__sc_TraversableOnce__scg_CanBuildFrom__s_concurrent_ExecutionContext__s_concurrent_Future(jsx$1, this$4.ReusableCBFInstance$2, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(dialects$2) {
          const dialects = dialects$2;
          const jsx$6 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
            return (function(dialect$2) {
              const dialect = dialect$2;
              return $this$1.computeValidationProfile__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_validation_core_ValidationProfile(dialect)
            })
          })(this$2$1));
          const this$5 = $m_sc_Seq$();
          return dialects.map__F1__scg_CanBuildFrom__O(jsx$6, this$5.ReusableCBFInstance$2)
        })
      })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext());
      return dependenciesValidations.flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, baseUnit$1, profile$1, validations$1, resolvedModel$1) {
        return (function(validationsFromDeps$2) {
          const validationsFromDeps = validationsFromDeps$2;
          const this$6 = $m_Lamf_core_services_RuntimeValidator$();
          const validations$2 = this$3$1.aggregatValidations__Lamf_core_validation_EffectiveValidations__sc_Seq__Lamf_core_validation_EffectiveValidations(validations$1, validationsFromDeps);
          $m_Lamf_core_services_RuntimeValidator$();
          const messgeStyle = "AMF";
          return this$6.validator__p1__Lamf_core_services_RuntimeValidator().shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(resolvedModel$1, validations$2, messgeStyle).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, baseUnit$1$1, profile$1$1, validations$1$1) {
            return (function(shaclReport$2) {
              const shaclReport = shaclReport$2;
              const this$9 = shaclReport.results__sci_List();
              const f = (function($this$3, baseUnit$1$2, validations$1$2) {
                return (function(r$2) {
                  const r = r$2;
                  const messageStyle = $m_Lamf_ProfileNames$().RAML$1;
                  const xo = $f_Lamf_core_validation_ValidationResultProcessor__buildValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__T__Lamf_core_validation_EffectiveValidations__s_Option($this$3, baseUnit$1$2, r, messageStyle, validations$1$2);
                  return xo.toList__sci_List()
                })
              })($this$2, baseUnit$1$1, validations$1$1);
              const this$8 = $m_sci_List$();
              const bf = this$8.ReusableCBFInstance$2;
              let results;
              if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
                if ((this$9 === $m_sci_Nil$())) {
                  results = $m_sci_Nil$()
                } else {
                  let rest = this$9;
                  const found = new $c_sr_BooleanRef().init___Z(false);
                  const h = new $c_sr_ObjectRef().init___O(null);
                  const t = new $c_sr_ObjectRef().init___O(null);
                  while ((rest !== $m_sci_Nil$())) {
                    const arg1 = rest.head__O();
                    f(arg1).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$4, found$1, h$1, t$1) {
                      return (function(b$2) {
                        if ((!found$1.elem$1)) {
                          h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                          t$1.elem$1 = h$1.elem$1;
                          found$1.elem$1 = true
                        } else {
                          const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                          t$1.elem$1.tl$5 = nx;
                          t$1.elem$1 = nx
                        }
                      })
                    })(this$9, found, h, t)));
                    rest = rest.tail__O()
                  };
                  results = ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
                }
              } else {
                $m_sci_List$();
                const b = new $c_scm_ListBuffer().init___();
                let these = this$9;
                while ((!these.isEmpty__Z())) {
                  const arg1$1 = these.head__O();
                  const xs = f(arg1$1).seq__sc_TraversableOnce();
                  b.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
                  these = these.tail__O()
                };
                results = b.toList__sci_List()
              };
              let jsx$7;
              inlinereturn$49: {
                let these$1 = results;
                while ((!these$1.isEmpty__Z())) {
                  const arg1$2 = these$1.head__O();
                  const x$2 = arg1$2;
                  if ((x$2.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
                    jsx$7 = true;
                    break inlinereturn$49
                  };
                  these$1 = these$1.tail__O()
                };
                jsx$7 = false
              };
              return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$7), baseUnit$1$1.id__T(), profile$1$1, results)
            })
          })(this$3$1, baseUnit$1, profile$1, validations$1)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
        })
      })(this, baseUnit, profile, validations, resolvedModel)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot resolve base unit of type ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(baseUnit)]))))
    }
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_vocabularies_parser_common_SyntaxExtensionsReferenceHandler().init___Lamf_plugins_document_vocabularies_DialectsRegistry(this.registry$2)
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.registry$2.allDialects__sc_Seq().foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x0$1$2, x1$1$2) {
        const x0$1 = x0$1$2;
        const x1$1 = x1$1$2;
        const thiz = x1$1.nameAndVersion__T();
        if ((!((thiz.indexOf("Validation Profile") | 0) !== (-1)))) {
          return x0$1.updated__O__O__sci_Map(x1$1.nameAndVersion__T(), new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, dialect) {
            return (function() {
              return $this$1.computeValidationProfile__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_validation_core_ValidationProfile(dialect)
            })
          })($this, x1$1)))
        } else {
          return x0$1
        }
      })
    })(this)))
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  parseDialectInstance__T__Lamf_core_Root__Lamf_core_parser_ParserContext__s_Option(header, document, parentContext) {
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(header, "\\|", 0);
    const this$3 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const thiz = $f_sc_IndexedSeqOptimized__head__O(this$3);
    const headerKey = thiz.split(" ").join("");
    const this$6 = this.registry$2;
    const jsx$1 = this$6.map$1;
    const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(header, "\\|", 0);
    const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
    const x1 = jsx$1.get__O__s_Option(this$6.headerKey__T__T($f_sc_IndexedSeqOptimized__head__O(this$9)));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const dialect = x2.value$2;
      if ((headerKey === dialect.header__T())) {
        return new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(document, new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_parser_ParserContext__s_Option(dialect, parentContext, $m_s_None$())).parseDocument__s_Option()
      } else if (dialect.isFragmentHeader__T__Z(headerKey)) {
        return new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(document, new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_parser_ParserContext__s_Option(dialect, parentContext, $m_s_None$())).parseFragment__s_Option()
      } else {
        if ((!dialect.isLibraryHeader__T__Z(headerKey))) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown type of dialect header ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([header]))))
        };
        return new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(document, new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_parser_ParserContext__s_Option(dialect, parentContext, $m_s_None$())).parseLibrary__s_Option()
      }
    } else {
      return $m_s_None$()
    }
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_VocabularyEmitter().init___Lamf_plugins_document_vocabularies_model_document_Vocabulary(x2).emitVocabulary__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DialectEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect(x3).emitDialect__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(unit)) {
      const x4 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_dialects_RamlDialectLibraryEmitter().init___Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x4).emitDialectLibrary__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(unit)) {
      const x5 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectInstancesEmitter().init___Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect(x5, this.registry$2.dialectFor__Lamf_plugins_document_vocabularies_model_document_DialectInstance__s_Option(x5).get__O()).emitInstance__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(document) {
    return $m_Lamf_plugins_document_vocabularies_DialectHeader$().apply__Lamf_core_Root__Z(document)
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, parentContext, platform) {
    const x1 = document.parsed$1.comment$1;
    let maybeMetaText;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const comment = x2.value$2;
      maybeMetaText = new $c_s_Some().init___O(comment.metaText$3)
    } else {
      const x1$2 = $f_Lamf_plugins_document_vocabularies_JsonHeaderExtractor__dialect__Lamf_core_Root__s_Option(this, document);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const metaText = x2$2.value$2;
        maybeMetaText = new $c_s_Some().init___O(("%" + metaText))
      } else {
        const x = $m_s_None$();
        if ((!(x === x1$2))) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        maybeMetaText = $m_s_None$()
      }
    };
    const x$3 = $m_s_None$();
    if ((x$3 === maybeMetaText)) {
      return $m_s_None$()
    } else if ($is_s_Some(maybeMetaText)) {
      const x2$3 = maybeMetaText;
      const metaText$2 = x2$3.value$2;
      return (($m_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$().VocabularyHeader$1 === metaText$2) ? new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabulariesParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext(document, new $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext().init___Lamf_core_parser_ParserContext__s_Option(parentContext, $m_s_None$())).parseDocument__Lamf_core_model_document_BaseUnit()) : (($m_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$().DialectLibraryHeader$1 === metaText$2) ? new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(document, new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext().init___Lamf_core_parser_ParserContext__s_Option(parentContext, $m_s_None$())).parseLibrary__Lamf_core_model_document_BaseUnit()) : (($m_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$().DialectFragmentHeader$1 === metaText$2) ? new $c_s_Some().init___O(new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectsParser().init___Lamf_core_Root__Lamf_plugins_document_vocabularies_parser_dialects_DialectContext(document, new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext().init___Lamf_core_parser_ParserContext__s_Option(parentContext, $m_s_None$())).parseFragment__Lamf_core_model_document_BaseUnit()) : (($m_Lamf_plugins_document_vocabularies_parser_ExtensionHeader$().DialectHeader$1 === metaText$2) ? this.parseAndRegisterDialect__p2__Lamf_core_Root__Lamf_core_parser_ParserContext__s_Some(document, parentContext) : this.parseDialectInstance__T__Lamf_core_Root__Lamf_core_parser_ParserContext__s_Option(metaText$2, document, parentContext)))))
    } else {
      throw new $c_s_MatchError().init___O(maybeMetaText)
    }
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  serializableAnnotations__sci_Map() {
    const y = $m_Lamf_plugins_document_vocabularies_annotations_AliasesLocation$();
    const jsx$3 = new $c_T2().init___O__O("aliases-location", y);
    const y$1 = $m_Lamf_plugins_document_vocabularies_annotations_CustomId$();
    const jsx$2 = new $c_T2().init___O__O("custom-id", y$1);
    const y$2 = $m_Lamf_plugins_document_vocabularies_annotations_RefInclude$();
    const jsx$1 = new $c_T2().init___O__O("ref-include", y$2);
    const y$3 = $m_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef$();
    const array = [jsx$3, jsx$2, jsx$1, new $c_T2().init___O__O("json-pointer-ref", y$3)];
    const this$10 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = (array.length | 0);
    while ((i < len)) {
      const index = i;
      const arg1 = array[index];
      this$10.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return this$10.elems$1
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
}
const $d_Lamf_plugins_document_vocabularies_VocabulariesPlugin$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_VocabulariesPlugin$: 0
}, false, "amf.plugins.document.vocabularies.VocabulariesPlugin$", {
  Lamf_plugins_document_vocabularies_VocabulariesPlugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_vocabularies_RamlHeaderExtractor: 1,
  Lamf_plugins_document_vocabularies_JsonHeaderExtractor: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_core_validation_ValidationResultProcessor: 1
});
$c_Lamf_plugins_document_vocabularies_VocabulariesPlugin$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_VocabulariesPlugin$;
let $n_Lamf_plugins_document_vocabularies_VocabulariesPlugin$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_VocabulariesPlugin$)) {
    $n_Lamf_plugins_document_vocabularies_VocabulariesPlugin$ = new $c_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_VocabulariesPlugin$
});
class $c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation extends $c_O {
  constructor() {
    super();
    this.position$1 = 0;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "AliasesLocation"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_annotations_AliasesLocation(x$1)) {
      const AliasesLocation$1 = x$1;
      return (this.position$1 === AliasesLocation$1.position$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___I(position) {
    this.position$1 = position;
    this.name$1 = "aliases-location";
    this.value$1 = ("" + position);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.position$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_annotations_AliasesLocation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_annotations_AliasesLocation)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_annotations_AliasesLocation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_annotations_AliasesLocation)))
});
const $d_Lamf_plugins_document_vocabularies_annotations_AliasesLocation = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_AliasesLocation: 0
}, false, "amf.plugins.document.vocabularies.annotations.AliasesLocation", {
  Lamf_plugins_document_vocabularies_annotations_AliasesLocation: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_AliasesLocation.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_AliasesLocation;
class $c_Lamf_plugins_document_vocabularies_annotations_CustomId extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "custom-id";
    this.value$1 = "true";
    return this
  };
  productPrefix__T() {
    return "CustomId"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_vocabularies_annotations_CustomId(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_annotations_CustomId = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_annotations_CustomId)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_annotations_CustomId = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_annotations_CustomId)))
});
const $d_Lamf_plugins_document_vocabularies_annotations_CustomId = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_CustomId: 0
}, false, "amf.plugins.document.vocabularies.annotations.CustomId", {
  Lamf_plugins_document_vocabularies_annotations_CustomId: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_CustomId.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_CustomId;
class $c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "json-pointer-ref";
    this.value$1 = "true";
    return this
  };
  productPrefix__T() {
    return "JsonPointerRef"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_annotations_JsonPointerRef)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_annotations_JsonPointerRef)))
});
const $d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_JsonPointerRef: 0
}, false, "amf.plugins.document.vocabularies.annotations.JsonPointerRef", {
  Lamf_plugins_document_vocabularies_annotations_JsonPointerRef: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef;
class $c_Lamf_plugins_document_vocabularies_annotations_RefInclude extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "ref-include";
    this.value$1 = "true";
    return this
  };
  productPrefix__T() {
    return "RefInclude"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_vocabularies_annotations_RefInclude(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_vocabularies_annotations_RefInclude = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_annotations_RefInclude)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_annotations_RefInclude = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_annotations_RefInclude)))
});
const $d_Lamf_plugins_document_vocabularies_annotations_RefInclude = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_annotations_RefInclude: 0
}, false, "amf.plugins.document.vocabularies.annotations.RefInclude", {
  Lamf_plugins_document_vocabularies_annotations_RefInclude: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_annotations_RefInclude.prototype.$classData = $d_Lamf_plugins_document_vocabularies_annotations_RefInclude;
class $c_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter extends $c_O {
  constructor() {
    super();
    this.external$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "ExternalEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter(x$1)) {
      const ExternalEmitter$1 = x$1;
      const x = this.external$1;
      const x$2 = ExternalEmitter$1.external$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ExternalEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.external$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.external$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
    const this$3 = this$2.option$1;
    const jsx$1 = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const this$4 = this.external$1;
    const this$5 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
    const this$6 = this$5.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(jsx$1, (this$6.isEmpty__Z() ? null : this$6.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_External__Lamf_core_emitter_SpecOrdering(external, ordering) {
    this.external$1 = external;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.external$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      this$2 = new $c_s_Some().init___O(x$1.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.common.ExternalEmitter", {
  Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_common_ExternalEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "ReferenceEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter(x$1)) {
      const ReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = ReferenceEmitter$1.reference$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferenceEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = ReferenceEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const x1 = this.aliases$1.get__O__s_Option(this.reference$1.id__T());
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const p3 = x2.value$2;
        if ((p3 !== null)) {
          const alias = p3.$$und1__O();
          const location = p3.$$und2__O();
          new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(alias, location, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b);
          break matchEnd5
        }
      }
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(reference, ordering, aliases) {
    this.reference$1 = reference;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.ReferenceEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter extends $c_O {
  constructor() {
    super();
    this.baseUnit$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.modules$1 = null
  };
  productPrefix__T() {
    return "ReferencesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter(x$1)) {
      const ReferencesEmitter$1 = x$1;
      const x = this.baseUnit$1;
      const x$2 = ReferencesEmitter$1.baseUnit$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferencesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = ReferencesEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseUnit$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if (this.modules$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("uses");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$5 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$3 = this.ordering$1;
      const jsx$2 = this.modules$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(r$2) {
          const r = r$2;
          return new $c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferenceEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(r, $this.ordering$1, $this.aliases$1)
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$8 = v.builder$1;
      const array = [key];
      if ((this$8.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$8.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
      const len$1 = this$8.size0$6;
      const src = this$8.array$6;
      const dest = this$8.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$8.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$6 = j;
        const index = i;
        xs.u[jsx$6] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$8.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(baseUnit, ordering, aliases) {
    this.baseUnit$1 = baseUnit;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    const jsx$2 = baseUnit.references__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter$$anonfun$4().init___Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter(this);
    const this$1 = $m_sc_Seq$();
    this.modules$1 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.baseUnit$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_document_vocabularies_annotations_AliasesLocation.getClassOf());
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const annot = arg1;
      const _1$mcI$sp = annot.position$1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_core_parser_Position().init___I__I(_1$mcI$sp, 0))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.ReferencesEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_ReferencesEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "ReferenceEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter(x$1)) {
      const ReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = ReferenceEmitter$1.reference$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferenceEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = ReferenceEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const x1 = this.aliases$1.get__O__s_Option(this.reference$1.id__T());
    matchEnd5: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const p3 = x2.value$2;
        if ((p3 !== null)) {
          const alias = p3.$$und1__O();
          const location = p3.$$und2__O();
          new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(alias, location, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b);
          break matchEnd5
        }
      }
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(reference, ordering, aliases) {
    this.reference$1 = reference;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.ReferenceEmitter", {
  Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter extends $c_O {
  constructor() {
    super();
    this.baseUnit$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "ReferencesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter(x$1)) {
      const ReferencesEmitter$1 = x$1;
      const x = this.baseUnit$1;
      const x$2 = ReferencesEmitter$1.baseUnit$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferencesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = ReferencesEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseUnit$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.baseUnit$1.references__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter$$anonfun$1().init___Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter(this);
    const this$1 = $m_sc_Seq$();
    const modules = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    if (modules.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("uses");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$4 = this.ordering$1;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(r$2) {
          const r = r$2;
          return new $c_Lamf_plugins_document_vocabularies_emitters_instances_ReferenceEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(r, $this.ordering$1, $this.aliases$1)
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(modules.map__F1__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$9 = v.builder$1;
      const array = [key];
      if ((this$9.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$9.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
      const len$1 = this$9.size0$6;
      const src = this$9.array$6;
      const dest = this$9.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$9.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$7 = j;
        const index = i;
        xs.u[jsx$7] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$9.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(baseUnit, ordering, aliases) {
    this.baseUnit$1 = baseUnit;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.baseUnit$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_document_vocabularies_annotations_AliasesLocation.getClassOf());
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const annot = arg1;
      const _1$mcI$sp = annot.position$1;
      this$3 = new $c_s_Some().init___O(new $c_Lamf_core_parser_Position().init___I__I(_1$mcI$sp, 0))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.ReferencesEmitter", {
  Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter extends $c_O {
  constructor() {
    super();
    this.vocabularyReference$1 = null;
    this.vocabulary$1 = null;
    this.ordering$1 = null
  };
  init___Lamf_plugins_document_vocabularies_model_domain_VocabularyReference__Lamf_plugins_document_vocabularies_model_document_Vocabulary__Lamf_core_emitter_SpecOrdering(vocabularyReference, vocabulary, ordering) {
    this.vocabularyReference$1 = vocabularyReference;
    this.vocabulary$1 = vocabulary;
    this.ordering$1 = ordering;
    return this
  };
  productPrefix__T() {
    return "ImportEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter(x$1)) {
      const ImportEmitter$1 = x$1;
      const x = this.vocabularyReference$1;
      const x$2 = ImportEmitter$1.vocabularyReference$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.vocabulary$1;
        const x$4 = ImportEmitter$1.vocabulary$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = ImportEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.vocabularyReference$1;
        break
      }
      case 1: {
        return this.vocabulary$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.vocabulary$1;
    const thiz = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "/", 0);
    const this$4 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const vocabFile = $f_sc_IndexedSeqOptimized__last__O(this$4);
    const this$5 = this.vocabulary$1;
    const thiz$1 = this$5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
    const vocabFilePrefix = thiz$1.split(vocabFile).join("");
    const this$8 = this.vocabulary$1;
    const x1 = this$8.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().References$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        const jsx$1 = x$12.id__T();
        const this$9 = $this.vocabularyReference$1;
        const this$10 = this$9.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Reference$1);
        const this$11 = this$10.option$1;
        return (jsx$1 === (this$11.isEmpty__Z() ? null : this$11.get__O()))
      })
    })(this)));
    let vocabularyReferenceFile;
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const reference = x2.value$2;
        if ((reference !== null)) {
          vocabularyReferenceFile = reference.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
          break matchEnd6
        }
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot regenerate vocabulary link without reference"))
      };
      throw new $c_s_MatchError().init___O(x1)
    };
    const importLocation = (((vocabularyReferenceFile.indexOf(vocabFilePrefix) | 0) !== (-1)) ? vocabularyReferenceFile.split(vocabFilePrefix).join("") : vocabularyReferenceFile.split("file://").join(""));
    const this$19 = this.vocabularyReference$1;
    const this$20 = this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Alias$1);
    const this$21 = this$20.option$1;
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position((this$21.isEmpty__Z() ? null : this$21.get__O()), importLocation, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.vocabularyReference$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$13 = arg1;
      this$2 = new $c_s_Some().init___O(x$13.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.ImportEmitter", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ImportEmitter;
class $c_Lamf_plugins_document_webapi_annotations_DeclaredElement extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "declared-element";
    this.value$1 = "";
    return this
  };
  productPrefix__T() {
    return "DeclaredElement"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_DeclaredElement(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_DeclaredElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_DeclaredElement)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_DeclaredElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_DeclaredElement)))
});
const $d_Lamf_plugins_document_webapi_annotations_DeclaredElement = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_DeclaredElement: 0
}, false, "amf.plugins.document.webapi.annotations.DeclaredElement", {
  Lamf_plugins_document_webapi_annotations_DeclaredElement: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_DeclaredElement.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_DeclaredElement;
class $c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance extends $c_O {
  constructor() {
    super();
    this.baseId$1 = null;
    this.baseLocation$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ExtensionProvenance"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_annotations_ExtensionProvenance(x$1)) {
      const ExtensionProvenance$1 = x$1;
      if ((this.baseId$1 === ExtensionProvenance$1.baseId$1)) {
        const x = this.baseLocation$1;
        const x$2 = ExtensionProvenance$1.baseLocation$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseId$1;
        break
      }
      case 1: {
        return this.baseLocation$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$1
  };
  value__T() {
    return this.value$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__s_Option(baseId, baseLocation) {
    this.baseId$1 = baseId;
    this.baseLocation$1 = baseLocation;
    this.name$1 = "extension-provenance";
    let this$1;
    if (baseLocation.isEmpty__Z()) {
      this$1 = $m_s_None$()
    } else {
      const arg1 = baseLocation.get__O();
      const x$1 = arg1;
      this$1 = new $c_s_Some().init___O((",location->" + x$1))
    };
    this.value$1 = (("id->" + baseId) + (this$1.isEmpty__Z() ? "" : this$1.get__O()));
    return this
  };
}
const $is_Lamf_plugins_document_webapi_annotations_ExtensionProvenance = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_ExtensionProvenance)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_ExtensionProvenance = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_ExtensionProvenance)))
});
const $d_Lamf_plugins_document_webapi_annotations_ExtensionProvenance = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_ExtensionProvenance: 0
}, false, "amf.plugins.document.webapi.annotations.ExtensionProvenance", {
  Lamf_plugins_document_webapi_annotations_ExtensionProvenance: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_ExtensionProvenance.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_ExtensionProvenance;
class $c_Lamf_plugins_document_webapi_annotations_LocalLinkPath extends $c_O {
  constructor() {
    super();
    this.rawPath$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "LocalLinkPath"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_annotations_LocalLinkPath(x$1)) {
      const LocalLinkPath$1 = x$1;
      return (this.rawPath$1 === LocalLinkPath$1.rawPath$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rawPath$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(rawPath) {
    this.rawPath$1 = rawPath;
    this.name$1 = "local-link-path";
    this.value$1 = rawPath;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_LocalLinkPath = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_LocalLinkPath)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_LocalLinkPath = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_LocalLinkPath)))
});
const $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_LocalLinkPath: 0
}, false, "amf.plugins.document.webapi.annotations.LocalLinkPath", {
  Lamf_plugins_document_webapi_annotations_LocalLinkPath: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_LocalLinkPath.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_LocalLinkPath;
class $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory extends $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory {
  productPrefix__T() {
    return "Oas2SpecEmitterFactory"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(spec) {
    $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    return this
  };
  serversEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter(api, f, ordering, references) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersEmitter().init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(api, f, ordering, references, this.spec$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
}
const $is_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory)))
});
const $d_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Oas2SpecEmitterFactory", {
  Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory: 1,
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterFactory;
class $c_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Oas2VersionFactory"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  serversParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser(map, api) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser().init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, api, this.ctx$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx) {
    this.ctx$1 = ctx;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_Oas2VersionFactory)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_Oas2VersionFactory)))
});
const $d_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas2VersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Oas2VersionFactory", {
  Lamf_plugins_document_webapi_contexts_Oas2VersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_OasSpecVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecVersionFactory: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory;
class $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory extends $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory {
  productPrefix__T() {
    return "Oas3SpecEmitterFactory"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(spec) {
    $c_Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    return this
  };
  serversEmitter__Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_OasServersEmitter(api, f, ordering, references) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersEmitter().init___Lamf_plugins_domain_webapi_models_WebApi__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(api, f, ordering, references, this.spec$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
}
const $is_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory)))
});
const $d_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Oas3SpecEmitterFactory", {
  Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory: 1,
  Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_SpecEmitterFactory: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterFactory;
class $c_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory extends $c_O {
  constructor() {
    super();
    this.ctx$1 = null
  };
  productPrefix__T() {
    return "Oas3VersionFactory"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  serversParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser(map, api) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser().init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, api, this.ctx$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(ctx) {
    this.ctx$1 = ctx;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_Oas3VersionFactory)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_Oas3VersionFactory)))
});
const $d_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas3VersionFactory: 0
}, false, "amf.plugins.document.webapi.contexts.Oas3VersionFactory", {
  Lamf_plugins_document_webapi_contexts_Oas3VersionFactory: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_OasSpecVersionFactory: 1,
  Lamf_plugins_document_webapi_contexts_SpecVersionFactory: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory;
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 AnnotationTypeDeclaration");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10AnnotationTypeDeclaration$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 DataType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10DataType$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 DocumentationItem");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10DocumentationItem$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 NamedExample");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10NamedExample$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 ResourceType");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10ResourceType$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 SecurityScheme");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10SecurityScheme$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$
});
class $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ extends $c_Lamf_plugins_document_webapi_parser_RamlHeader {
  init___() {
    $c_Lamf_plugins_document_webapi_parser_RamlHeader.prototype.init___T.call(this, "%RAML 1.0 Trait");
    return this
  };
}
const $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$: 0
}, false, "amf.plugins.document.webapi.parser.RamlFragmentHeader$Raml10Trait$", {
  Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$: 1,
  Lamf_plugins_document_webapi_parser_RamlHeader: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_parser_RamlFragment: 1
});
$c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$;
let $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = (void 0);
const $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$)) {
    $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$ = new $c_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$().init___()
  };
  return $n_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$
});
class $c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode extends $c_O {
  constructor() {
    super();
    this.obj$1 = null;
    this.scalar$1 = null
  };
  productPrefix__T() {
    return "RamlScalarValuedNode"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode(x$1)) {
      const RamlScalarValuedNode$1 = x$1;
      if (this.obj$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlScalarValuedNode$1.obj$1)) {
        const x = this.scalar$1;
        const x$2 = RamlScalarValuedNode$1.scalar$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.obj$1;
        break
      }
      case 1: {
        return this.scalar$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return this.negated__Lamf_core_model_domain_AmfScalar()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMap__s_Option__Lamf_plugins_document_webapi_contexts_WebApiContext(obj, scalar, iv) {
    this.obj$1 = obj;
    this.scalar$1 = scalar;
    return this
  };
  negated__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      this$2 = new $c_s_Some().init___O(x$9.negated__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  text__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$5 = arg1;
      this$2 = new $c_s_Some().init___O(x$5.text__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
  $boolean__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$8 = arg1;
      this$2 = new $c_s_Some().init___O(x$8.$boolean__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
  integer__Lamf_core_model_domain_AmfScalar() {
    const this$1 = this.scalar$1;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$6 = arg1;
      this$2 = new $c_s_Some().init___O(x$6.integer__Lamf_core_model_domain_AmfScalar())
    };
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(null, new $c_Lamf_core_parser_Annotations().init___()) : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.RamlScalarValuedNode", {
  Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode: 1,
  O: 1,
  Lamf_core_parser_ScalarNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarValuedNode;
class $c_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "RamlSingleArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode(x$1)) {
      const RamlSingleArrayNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSingleArrayNode$1.node$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return this.negated__Lamf_core_model_domain_AmfArray()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  text__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.text__Lamf_core_model_domain_AmfScalar())
  };
  $boolean__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.$boolean__Lamf_core_model_domain_AmfScalar())
  };
  init___Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  integer__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.integer__Lamf_core_model_domain_AmfScalar())
  };
  negated__Lamf_core_model_domain_AmfArray() {
    const node = this.node$1;
    const iv = this.iv$1;
    const this$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(this$2.negated__Lamf_core_model_domain_AmfScalar())
  };
  obj__F1__Lamf_core_model_domain_AmfArray(fn) {
    return this.as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(fn.apply__O__O(this.node$1))
  };
  as__p1__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfArray(element) {
    return new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([element])), $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$1).$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___()))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.RamlSingleArrayNode", {
  Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode: 1,
  O: 1,
  Lamf_core_parser_ArrayNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_RamlSingleArrayNode;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter extends $c_O {
  constructor() {
    super();
    this.declaration$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter(x$1)) {
      const AbstractDeclarationEmitter$1 = x$1;
      const x = this.declaration$1;
      const x$2 = AbstractDeclarationEmitter$1.declaration$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = AbstractDeclarationEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = AbstractDeclarationEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(declaration, ordering, references, spec) {
    this.declaration$1 = declaration;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.declaration$1.name__Lamf_core_model_StrField().option$1;
    if (this$1.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare abstract declaration without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.declaration$1]))))
    };
    const name = this$1.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.declaration$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$3).isDefined__Z()) {
      const this$4 = this.declaration$1;
      const this$5 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4);
      if ((!this$5.isEmpty__Z())) {
        const arg1 = this$5.get__O();
        const l = arg1;
        const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
        const this$6 = this.declaration$1;
        jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$6), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
      }
    } else {
      const elem = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this.declaration$1.dataNode__Lamf_core_model_domain_DataNode(), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emitters__sc_Seq();
      let elem$1 = null;
      elem$1 = elem;
      const this$9 = this.declaration$1.description__Lamf_core_model_StrField().option$1;
      if ((!this$9.isEmpty__Z())) {
        const arg1$1 = this$9.get__O();
        const description = arg1$1;
        const jsx$5 = elem$1;
        const jsx$4 = $m_sc_Seq$();
        const jsx$3 = $m_Lorg_yaml_model_YType$().Str$1;
        const this$10 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const annotations = this.declaration$1.description__Lamf_core_model_StrField().annotations$1;
        const jsx$2 = jsx$4.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("usage", description, jsx$3, this$10.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))]));
        const this$11 = $m_sc_Seq$();
        elem$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2)
      };
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      this.ordering$1.sorted__sc_Seq__sc_Seq(elem$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          x$2.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    };
    const this$17 = v.builder$1;
    const array = [key];
    if ((this$17.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$17.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize);
    const len$1 = this$17.size0$6;
    const src = this$17.array$6;
    const dest = this$17.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$17.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$7 = j;
      const index = i;
      xs.u[jsx$7] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$17.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.declaration$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.declarations$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "AbstractDeclarationsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter(x$1)) {
      const AbstractDeclarationsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === AbstractDeclarationsEmitter$1.key$1)) {
        const x = this.declarations$1;
        const x$2 = AbstractDeclarationsEmitter$1.declarations$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = AbstractDeclarationsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = AbstractDeclarationsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.declarations$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.declarations$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(d$2) {
        const d = d$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationEmitter().init___Lamf_core_model_domain_templates_AbstractDeclaration__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(d, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, declarations, ordering, references, spec) {
    this.key$1 = key;
    this.declarations$1 = declarations;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.declarations$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations__Lamf_core_parser_Annotations();
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.AbstractDeclarationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter extends $c_O {
  constructor() {
    super();
    this.dataNode$1 = null;
    this.ordering$1 = null;
    this.resolvedLinks$1 = false;
    this.referencesCollector$1 = null;
    this.xsdString$1 = null;
    this.xsdInteger$1 = null;
    this.xsdFloat$1 = null;
    this.xsdDouble$1 = null;
    this.xsdBoolean$1 = null;
    this.xsdNil$1 = null
  };
  productPrefix__T() {
    return "DataNodeEmitter"
  };
  emitArray__Lamf_core_model_domain_ArrayNode__Lorg_yaml_model_YDocument$PartBuilder__V(arrayNode, b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.arrayEmitters__Lamf_core_model_domain_ArrayNode__sc_Seq(arrayNode)).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        x$9.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node)
  };
  productArity__I() {
    return 4
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.dataNode$1;
    if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
      const x2 = x1;
      this.emitScalar__Lamf_core_model_domain_ScalarNode__Lorg_yaml_model_YDocument$PartBuilder__V(x2, b)
    } else if ($is_Lamf_core_model_domain_ArrayNode(x1)) {
      const x3 = x1;
      this.emitArray__Lamf_core_model_domain_ArrayNode__Lorg_yaml_model_YDocument$PartBuilder__V(x3, b)
    } else if ($is_Lamf_core_model_domain_ObjectNode(x1)) {
      const x4 = x1;
      this.emitObject__Lamf_core_model_domain_ObjectNode__Lorg_yaml_model_YDocument$PartBuilder__V(x4, b)
    } else if ($is_Lamf_core_model_domain_LinkNode(x1)) {
      const x5 = x1;
      this.emitLink__Lamf_core_model_domain_LinkNode__Lorg_yaml_model_YDocument$PartBuilder__V(x5, b)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  scalarEmitter__Lamf_core_model_domain_ScalarNode__Lamf_core_emitter_PartEmitter(scalar) {
    let rc8 = false;
    let x2 = null;
    const x1 = scalar.dataType$2;
    if ($is_s_Some(x1)) {
      rc8 = true;
      x2 = x1;
      const t = x2.value$2;
      if ((t === this.xsdString$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Str$1)
      }
    };
    if (rc8) {
      const t$2 = x2.value$2;
      if ((t$2 === this.xsdInteger$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Int$1)
      }
    };
    if (rc8) {
      const t$3 = x2.value$2;
      if ((t$3 === this.xsdDouble$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Float$1)
      }
    };
    if (rc8) {
      const t$4 = x2.value$2;
      if ((t$4 === this.xsdBoolean$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, scalar.annotations$2, $m_Lorg_yaml_model_YType$().Bool$1)
      }
    };
    if (rc8) {
      const t$5 = x2.value$2;
      if ((t$5 === this.xsdNil$1)) {
        return new $c_Lamf_core_emitter_BaseEmitters_package$NullEmitter().init___Lamf_core_parser_Annotations(scalar.annotations$2)
      }
    };
    return new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(scalar.value$2, new $c_Lamf_core_parser_Annotations().init___(), $m_Lorg_yaml_model_YType$().Str$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter(x$1)) {
      const DataNodeEmitter$1 = x$1;
      const x = this.dataNode$1;
      const x$2 = DataNodeEmitter$1.dataNode$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = DataNodeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.resolvedLinks$1 === DataNodeEmitter$1.resolvedLinks$1))) {
        const x$5 = this.referencesCollector$1;
        const x$6 = DataNodeEmitter$1.referencesCollector$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  linkEmitters__Lamf_core_model_domain_LinkNode__sc_Seq(link) {
    const this$1 = link.linkedDomainElement$2;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const elem = arg1;
      this.referencesCollector$1.update__O__O__V(link.alias$2, elem)
    };
    return (this.resolvedLinks$1 ? $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter().init___T__Lamf_core_parser_Annotations(link.alias$2, link.annotations$2)])) : $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$LinkScalaEmitter().init___T__Lamf_core_parser_Annotations(link.value$2, link.annotations$2)])))
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dataNode$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.resolvedLinks$1;
        break
      }
      case 3: {
        return this.referencesCollector$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(dataNode, ordering, resolvedLinks, referencesCollector) {
    this.dataNode$1 = dataNode;
    this.ordering$1 = ordering;
    this.resolvedLinks$1 = resolvedLinks;
    this.referencesCollector$1 = referencesCollector;
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdString$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "string").iri__T();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdInteger$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "integer").iri__T();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdFloat$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "float").iri__T();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdDouble$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "double").iri__T();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdBoolean$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "boolean").iri__T();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
    this.xsdNil$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "nil").iri__T();
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const x1 = this.dataNode$1;
    let jsx$2;
    if ($is_Lamf_core_model_domain_ScalarNode(x1)) {
      const x2 = x1;
      jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.scalarEmitter__Lamf_core_model_domain_ScalarNode__Lamf_core_emitter_PartEmitter(x2)]))
    } else if ($is_Lamf_core_model_domain_ArrayNode(x1)) {
      const x3 = x1;
      jsx$2 = this.arrayEmitters__Lamf_core_model_domain_ArrayNode__sc_Seq(x3)
    } else if ($is_Lamf_core_model_domain_ObjectNode(x1)) {
      const x4 = x1;
      jsx$2 = this.objectEmitters__Lamf_core_model_domain_ObjectNode__sc_Seq(x4)
    } else {
      if ((!$is_Lamf_core_model_domain_LinkNode(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const x5 = x1;
      jsx$2 = this.linkEmitters__Lamf_core_model_domain_LinkNode__sc_Seq(x5)
    };
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter$$anonfun$emitters$10().init___Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  emitLink__Lamf_core_model_domain_LinkNode__Lorg_yaml_model_YDocument$PartBuilder__V(link, b) {
    this.linkEmitters__Lamf_core_model_domain_LinkNode__sc_Seq(link).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        x$10.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$1)
      })
    })(this, b)))
  };
  objectEmitters__Lamf_core_model_domain_ObjectNode__sc_Seq(objectNode) {
    const jsx$2 = objectNode.properties$2.keys__sc_Iterable();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, objectNode$1) {
      return (function(property$2) {
        const property = property$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter().init___T__Lamf_core_model_domain_ObjectNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(property, objectNode$1, $this.ordering$1, $this.resolvedLinks$1, $this.referencesCollector$1)
      })
    })(this, objectNode));
    const this$1 = $m_sc_Iterable$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).toSeq__sc_Seq()
  };
  emitScalar__Lamf_core_model_domain_ScalarNode__Lorg_yaml_model_YDocument$PartBuilder__V(scalar, b) {
    this.scalarEmitter__Lamf_core_model_domain_ScalarNode__Lamf_core_emitter_PartEmitter(scalar).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.dataNode$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.resolvedLinks$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.referencesCollector$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  arrayEmitters__Lamf_core_model_domain_ArrayNode__sc_Seq(arrayNode) {
    const this$2 = arrayNode.members$2;
    const this$1 = $m_scm_ListBuffer$();
    const bf = this$1.ReusableCBFInstance$2;
    const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
    const this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const x$8 = arg1;
      b.$$plus$eq__O__scm_Builder(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(x$8, this.ordering$1, this.resolvedLinks$1, this.referencesCollector$1));
      these = these.tail__O()
    };
    return b.result__O()
  };
  emitObject__Lamf_core_model_domain_ObjectNode__Lorg_yaml_model_YDocument$PartBuilder__V(objectNode, b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.objectEmitters__Lamf_core_model_domain_ObjectNode__sc_Seq(objectNode)).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$7$2) {
        const x$7 = x$7$2;
        x$7.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.dataNode$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataNodeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.dataNode$1 = null;
    this.ordering$1 = null;
    this.resolvedLinks$1 = false;
    this.referencesCollector$1 = null;
    this.annotations$1 = null;
    this.propertyValue$1 = null
  };
  productPrefix__T() {
    return "DataPropertyEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter(x$1)) {
      const DataPropertyEmitter$1 = x$1;
      let jsx$2;
      if ((this.property$1 === DataPropertyEmitter$1.property$1)) {
        const x = this.dataNode$1;
        const x$2 = DataPropertyEmitter$1.dataNode$1;
        jsx$2 = (x === x$2)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = DataPropertyEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.resolvedLinks$1 === DataPropertyEmitter$1.resolvedLinks$1))) {
        const x$5 = this.referencesCollector$1;
        const x$6 = DataPropertyEmitter$1.referencesCollector$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.dataNode$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.resolvedLinks$1;
        break
      }
      case 4: {
        return this.referencesCollector$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.property$1;
    const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$3 = this$2.platform$1;
    const url = this$2.str$1;
    const str$1 = $f_Lamf_core_remote_JsPlatform__decodeURIComponent__T__T(this$3, url);
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this.propertyValue$1, this.ordering$1, this.resolvedLinks$1, this.referencesCollector$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_model_domain_ObjectNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(property, dataNode, ordering, resolvedLinks, referencesCollector) {
    this.property$1 = property;
    this.dataNode$1 = dataNode;
    this.ordering$1 = ordering;
    this.resolvedLinks$1 = resolvedLinks;
    this.referencesCollector$1 = referencesCollector;
    this.annotations$1 = dataNode.propertyAnnotations$2.apply__O__O(property);
    this.propertyValue$1 = dataNode.properties$2.apply__O__O(property);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.property$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.dataNode$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.resolvedLinks$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.referencesCollector$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.DataPropertyEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_DataPropertyEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.resourceTypes$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "EndPointExtendsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter(x$1)) {
      const EndPointExtendsEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === EndPointExtendsEmitter$1.key$1)) {
        const x = this.resourceTypes$1;
        const x$2 = EndPointExtendsEmitter$1.resourceTypes$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = EndPointExtendsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.resourceTypes$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering(key, resourceTypes, ordering) {
    this.key$1 = key;
    this.resourceTypes$1 = resourceTypes;
    this.ordering$1 = ordering;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter().init___Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_core_emitter_SpecOrdering(this.resourceTypes$1.head__O(), this.ordering$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.resourceTypes$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const rt = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = rt.annotations$2;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.EndPointExtendsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_EndPointExtendsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "OasAndConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter(x$1)) {
      const OasAndConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasAndConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasAndConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasAndConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("allOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$60$2) {
        const x$60 = x$60$2;
        x$60.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$58$2) {
        const x$58 = x$58$2;
        const x$139 = $this.ordering$1;
        const x$140 = $this.references$1;
        const x$141 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$58, x$139, x$141, x$140, $this.spec$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.emitters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$61$2) {
        const x$61 = x$61$2;
        return x$61.position__Lamf_core_parser_Position()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$62$2) {
        const x$62 = x$62$2;
        return x$62.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAndConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAndConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter extends $c_O {
  constructor() {
    super();
    this.document$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(document, ordering, spec) {
    this.document$1 = document;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasCreativeWorkEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.document$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()) {
      const jsx$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const this$2 = this.document$1;
      const this$3 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$2);
      let jsx$1;
      if (this$3.isEmpty__Z()) {
        const this$4 = this.document$1;
        jsx$1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).get__O().id__T()
      } else {
        jsx$1 = this$3.get__O()
      };
      jsx$2.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, jsx$1, $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.document$1, this.ordering$1, this.spec$1).emitters__sc_Seq(), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter(x$1)) {
      const OasCreativeWorkEmitter$1 = x$1;
      const x = this.document$1;
      const x$2 = OasCreativeWorkEmitter$1.document$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = OasCreativeWorkEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.document$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCreativeWorkEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.documentation$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasEntryCreativeWorkEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter(x$1)) {
      const OasEntryCreativeWorkEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OasEntryCreativeWorkEmitter$1.key$1)) {
        const x = this.documentation$1;
        const x$2 = OasEntryCreativeWorkEmitter$1.documentation$1;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OasEntryCreativeWorkEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.documentation$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCreativeWorkEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.documentation$1, this.ordering$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, documentation, ordering, spec) {
    this.key$1 = key;
    this.documentation$1 = documentation;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.documentation$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasEntryCreativeWorkEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasEntryShapeEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter(x$1)) {
      const OasEntryShapeEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasEntryShapeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OasEntryShapeEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasEntryShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasEntryShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const x$150 = this$3.value$1.value$1;
    const x$151 = this.ordering$1;
    const x$152 = this.references$1;
    const x$153 = $m_sci_Nil$();
    const emitters = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$150, x$151, x$153, x$152, this.spec$1).entries__sc_Seq();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasEntryShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter extends $c_O {
  constructor() {
    super();
    this.securityScheme$1 = null;
    this.mapType$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter(x$1)) {
      const OasNamedSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$1;
      const x$2 = OasNamedSecuritySchemeEmitter$1.securityScheme$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.mapType$1;
        const x$4 = OasNamedSecuritySchemeEmitter$1.mapType$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = OasNamedSecuritySchemeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$1;
        break
      }
      case 1: {
        return this.mapType$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.securityScheme$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare security scheme without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.securityScheme$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.securityScheme$1;
    let vf_$_f$2;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$1_$_f$2 = f;
      vf_$_f$2 = jsx$1_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$2_$_f$2 = f$1;
      vf_$_f$2 = jsx$2_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.securityScheme$1;
    const this$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const l = arg1;
      const this$3 = this.securityScheme$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$3), $m_sci_Nil$(), this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(securityScheme, mapType, ordering, spec) {
    this.securityScheme$1 = securityScheme;
    this.mapType$1 = mapType;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.securityScheme$1, this.mapType$1, this.ordering$1, this.spec$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.securityScheme$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNamedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedTypeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter(x$1)) {
      const OasNamedTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasNamedTypeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasNamedTypeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasNamedTypeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.shape$1;
    const this$2 = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare shape without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.shape$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x$79 = this.shape$1;
    const x$80 = this.ordering$1;
    const x$81 = this.references$1;
    const x$82 = $m_sci_Nil$();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$79, x$80, x$82, x$81, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.shape$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNamedTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter extends $c_O {
  constructor() {
    super();
    this.nil$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasNilShapeEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering(nil, ordering) {
    this.nil$1 = nil;
    this.ordering$1 = ordering;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter(x$1)) {
      const OasNilShapeEmitter$1 = x$1;
      const x = this.nil$1;
      const x$2 = OasNilShapeEmitter$1.nil$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasNilShapeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nil$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("null");
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.nil$1;
    const annotations = this$1.annotations$2;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNilShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNilShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter {
  constructor() {
    super();
    this.node$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null
  };
  productPrefix__T() {
    return "OasNodeShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter(x$1)) {
      const OasNodeShapeEmitter$1 = x$1;
      const x = this.node$3;
      const x$2 = OasNodeShapeEmitter$1.node$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = OasNodeShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = OasNodeShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.node$3;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(this.spec$3.oasTypePropertyEmitter__T__Lamf_core_model_domain_Shape__Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter("object", this.node$3));
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minProperties", f, $m_s_None$())))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maxProperties", f$3, $m_s_None$())))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    let jsx$1;
    if (this$6.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1$2 = this$6.get__O();
      const x$69 = arg1$2;
      jsx$1 = x$69.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let x1;
    if (jsx$1) {
      x1 = this$6
    } else {
      x1 = $m_s_None$()
    };
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f$4 = x2.value$2;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("additionalProperties", f$4.negated__Lamf_core_parser_FieldEntry(), $m_s_None$()))
    } else {
      const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1);
      if ((!this$8.isEmpty__Z())) {
        const arg1$3 = this$8.get__O();
        const f$5 = arg1$3;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("additionalProperties", f$5, this.ordering$3, this.references$3, this.spec$3)))
      }
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$4 = this$9.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("discriminator", f$6, $m_s_None$())))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$5 = this$11.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("discriminatorValue").asOasExtension__T(), f$7, $m_s_None$())))
    };
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$6 = this$14.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter().init___Lamf_core_parser_FieldEntry__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$8, this.references$3, this.spec$3)))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$7 = this$15.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$9, this.ordering$3, this.references$3, this.spec$3)))
    };
    const jsx$4 = $m_sci_ListMap$();
    const this$16 = this.node$3;
    const jsx$3 = this$16.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$9$1) {
      return (function(p$2) {
        const p = p$2;
        const self = p.id$1;
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$19 = $m_sc_Seq$();
    const properties = jsx$4.apply__sc_Seq__sc_GenMap(jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$19.ReusableCBFInstance$2));
    const this$20 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1);
    if ((!this$20.isEmpty__Z())) {
      const arg1$8 = this$20.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap(f$10, this.ordering$3, properties)))
    };
    const this$21 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1);
    if ((!this$21.isEmpty__Z())) {
      const arg1$9 = this$21.get__O();
      const f$11 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$11, this.ordering$3, this.references$3, this.spec$3)))
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(node, ordering, references, spec) {
    this.node$3 = node;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, node, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNodeShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNodeShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.emitter$1 = null
  };
  productPrefix__T() {
    return "OasNotConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter(x$1)) {
      const OasNotConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasNotConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasNotConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasNotConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("not");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitter$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    const x$146 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1);
    const x$149 = $m_sci_Nil$();
    this.emitter$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$146, ordering, x$149, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.emitter$1.position__Lamf_core_parser_Position()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasNotConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasNotConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.orphanAnnotations$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasOAuth2ScopeEmitter"
  };
  scopesElementAnnotations__p1__sc_Seq() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.orphanAnnotations$1, this.ordering$1, this.spec$1).emitters__sc_Seq()
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter(x$1)) {
      const OasOAuth2ScopeEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasOAuth2ScopeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OasOAuth2ScopeEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasOAuth2ScopeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.orphanAnnotations$1;
        const x$6 = OasOAuth2ScopeEmitter$1.orphanAnnotations$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.orphanAnnotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScopeValuesEmitters().init___Lamf_core_parser_FieldEntry(this.f$1).emitters__sc_Seq();
    const jsx$1 = this.scopesElementAnnotations__p1__sc_Seq();
    const this$1 = $m_sc_Seq$();
    const emitters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, orphanAnnotations, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.orphanAnnotations$1 = orphanAnnotations;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOAuth2ScopeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOAuth2ScopeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "OasOrConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter(x$1)) {
      const OasOrConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasOrConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasOrConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasOrConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("anyOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$55$2) {
        const x$55 = x$55$2;
        x$55.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$53$2) {
        const x$53 = x$53$2;
        const x$135 = $this.ordering$1;
        const x$136 = $this.references$1;
        const x$137 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$53, x$135, x$137, x$136, $this.spec$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.emitters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$56$2) {
        const x$56 = x$56$2;
        return x$56.position__Lamf_core_parser_Position()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$57$2) {
        const x$57 = x$57$2;
        return x$57.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasOrConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasOrConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasPropertiesShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter(x$1)) {
      const OasPropertiesShapeEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasPropertiesShapeEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPropertiesShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPropertiesShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("properties");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(v$1, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasPropertiesShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertiesShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "OasPropertyDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter(x$1)) {
      const OasPropertyDependenciesEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = OasPropertyDependenciesEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPropertyDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.properties$1;
        const x$6 = OasPropertyDependenciesEmitter$1.properties$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap(property, ordering, properties) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.properties$1 = properties;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = this.properties$1;
    const this$1 = this.property$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1);
    const this$3 = this$2.option$1;
    const this$4 = jsx$1.get__O__s_Option((this$3.isEmpty__Z() ? null : this$3.get__O()));
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const p = arg1;
      $m_Lorg_yaml_model_YNode$();
      const this$5 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$6 = this$5.option$1;
      const str = (this$6.isEmpty__Z() ? null : this$6.get__O());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$7 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$9 = this.property$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1);
      let targets;
      if (this$9.isEmpty__Z()) {
        targets = $m_s_None$()
      } else {
        const arg1$1 = this$9.get__O();
        const f = arg1$1;
        const jsx$3 = f.value$1.value$1.scalars__sc_Seq();
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(iri$2) {
            const iri = iri$2;
            const this$10 = $this.properties$1.get__O__s_Option($objectToString(iri.value$1));
            let xo;
            if (this$10.isEmpty__Z()) {
              xo = $m_s_None$()
            } else {
              const arg1$2 = this$10.get__O();
              const p$1 = arg1$2;
              const this$11 = p$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
              const this$12 = this$11.option$1;
              xo = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((this$12.isEmpty__Z() ? null : this$12.get__O()), iri.annotations$1))
            };
            return xo.toList__sci_List()
          })
        })(this));
        const this$14 = $m_sc_Seq$();
        targets = new $c_s_Some().init___O(jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$14.ReusableCBFInstance$2))
      };
      if ((!targets.isEmpty__Z())) {
        const arg1$3 = targets.get__O();
        const target = arg1$3;
        const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$5 = this.ordering$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(t$2) {
            const t = t$2;
            return new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(t, $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this));
        const this$16 = $m_sc_Seq$();
        jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(target.map__F1__scg_CanBuildFrom__O(jsx$4, this$16.ReusableCBFInstance$2)), b$1)
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
      jsx$7.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$21 = v.builder$1;
      const array = [key];
      if ((this$21.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$21.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize);
      const len$1 = this$21.size0$6;
      const src = this$21.array$6;
      const dest = this$21.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$21.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$8 = j;
        const index = i;
        xs.u[jsx$8] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$21.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.property$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasPropertyDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.references$1 = null
  };
  productPrefix__T() {
    return "OasRequiredPropertiesShapeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter(x$1)) {
      const OasRequiredPropertiesShapeEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasRequiredPropertiesShapeEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = OasRequiredPropertiesShapeEmitter$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const requiredProperties = this$1.value$1.value$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_core_model_domain_extensions_PropertyShape(x0$4)) {
          const x2 = x0$4;
          const this$2 = x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
          return ($f_Lamf_core_model_IntField__value__I(this$2) > 0)
        } else {
          return false
        }
      })
    })(this)));
    if (requiredProperties.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("required");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      requiredProperties.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$2) {
        return (function(x0$5$2) {
          const x0$5 = x0$5$2;
          if ($is_Lamf_core_model_domain_extensions_PropertyShape(x0$5)) {
            const x2$1 = x0$5;
            const this$5 = x2$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
            const this$6 = this$5.option$1;
            new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType((this$6.isEmpty__Z() ? null : this$6.get__O()), new $c_Lamf_core_parser_Annotations().init___(), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
          } else {
            throw new $c_s_MatchError().init___O(x0$5)
          }
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$13 = v.builder$1;
      const array = [key];
      if ((this$13.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$13.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
      const len$1 = this$13.size0$6;
      const src = this$13.array$6;
      const dest = this$13.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$13.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$13.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_core_parser_FieldEntry__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, references, spec) {
    this.f$1 = f;
    this.references$1 = references;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasRequiredPropertiesShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasRequiredPropertiesShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSchemaEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter(x$1)) {
      const OasSchemaEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasSchemaEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSchemaEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasSchemaEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const shape = this.f$1.value$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("schema");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x$123 = this.ordering$1;
    const x$124 = this.references$1;
    const x$125 = $m_sci_Nil$();
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, x$123, x$125, x$124, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$3 = v.builder$1;
    const array = [key];
    if ((this$3.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$3.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
    const len$1 = this$3.size0$6;
    const src = this$3.array$6;
    const dest = this$3.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$3.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$3.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSchemaEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.OasSecuritySettingsParser$module$1 = null;
    this.ast$1 = null;
    this.key$1 = null;
    this.node$1 = null;
    this.adopt$1 = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, parsedUrl, annotations, adopt) {
    const scheme = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f.declarations$2.findSecuritySchemeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1, parsedUrl, $m_Lamf_core_parser_SearchScope$Fragments$());
    const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(scheme, parsedUrl, annotations);
    adopt.apply__O__O(copied);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name)
  };
  productPrefix__T() {
    return "OasSecuritySchemeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser(x$1)) {
      const OasSecuritySchemeParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = OasSecuritySchemeParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === OasSecuritySchemeParser$1.key$1)) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasSecuritySchemeParser$1.node$1))) {
        const x$3 = this.adopt$1;
        const x$4 = OasSecuritySchemeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.node$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext(ast, key, node, adopt, ctx) {
    this.ast$1 = ast;
    this.key$1 = key;
    this.node$1 = node;
    this.adopt$1 = adopt;
    this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme() {
    const x1 = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f.link__Lorg_yaml_model_YNode__s_util_Either(this.node$1);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const link = x2.value$2;
      return this.parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.key$1, link, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1), this.adopt$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const value = x3.value$2;
      const scheme = this.adopt$1.apply__O__O($m_Lamf_plugins_domain_webapi_models_security_SecurityScheme$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1));
      const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f);
      const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const this$3 = this$2.key__T__s_Option("type");
      if ((!this$3.isEmpty__Z())) {
        const arg1 = this$3.get__O();
        const entry = arg1;
        const x1$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).text$3;
        const t = ((x1$1 === "oauth2") ? "OAuth 2.0" : ((x1$1 === "basic") ? "Basic Authentication" : ((x1$1 === "apiKey") ? new $c_Lamf_core_utils_package$Strings().init___T("apiKey").asOasExtension__T() : x1$1)));
        const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(t, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme, field, value$1, annotations)
      };
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("displayName").asOasExtension__T();
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1;
      const iv = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme));
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1;
      const iv$1 = this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f;
      jsx$3.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme));
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(new $c_Lamf_core_utils_package$Strings().init___T("describedBy").asOasExtension__T(), map, scheme, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f)).parse__V();
      const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser$OasSecuritySettingsParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this, map, scheme).parse__s_Option();
      if ((!this$9.isEmpty__Z())) {
        const arg1$1 = this$9.get__O();
        const x$3 = arg1$1;
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(scheme, field$3, x$3, annotations$1)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(scheme, map, this.amf$plugins$document$webapi$parser$spec$declaration$OasSecuritySchemeParser$$ctx$f).parse__V();
      return scheme
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters extends $c_O {
  constructor() {
    super();
    this.securitySchemes$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasSecuritySchemesEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters(x$1)) {
      const OasSecuritySchemesEmitters$1 = x$1;
      const x = this.securitySchemes$1;
      const x$2 = OasSecuritySchemesEmitters$1.securitySchemes$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasSecuritySchemesEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securitySchemes$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$3 = this.securitySchemes$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        const jsx$2 = $m_Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeTypeMapping$();
        const this$1 = s.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
        const this$2 = this$1.option$1;
        const self = jsx$2.fromText__T__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType((this$2.isEmpty__Z() ? null : this$2.get__O()));
        return new $c_T2().init___O__O(self, s)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const securityTypes = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toMap__s_Predef$$less$colon$less__sci_Map($m_s_Predef$().singleton$und$less$colon$less$2);
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(m$2) {
        const m = m$2;
        return m.$$und1__O().isOas$1
      })
    })(this));
    const x1 = $f_sc_TraversableLike__partition__F1__T2(securityTypes, p);
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const oasSecurityDefinitions = x1.$$und1__O();
    const extensionDefinitions = x1.$$und2__O();
    if ($f_sc_TraversableOnce__nonEmpty__Z(oasSecurityDefinitions)) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("securityDefinitions");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$4 = this.ordering$1;
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(s$2$1) {
          const s$1 = s$2$1;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(s$1.$$und2__O(), s$1.$$und1__O(), $this$1.ordering$1, $this$1.spec$1)
        })
      })(this));
      const this$8 = $m_sci_Iterable$();
      const bf = this$8.ReusableCBFInstance$2;
      jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(oasSecurityDefinitions, f, bf).toSeq__sc_Seq()), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$13 = v.builder$1;
      const array = [key];
      if ((this$13.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$13.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
      const len$1 = this$13.size0$6;
      const src = this$13.array$6;
      const dest = this$13.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$13.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$7 = j;
        const index = i;
        xs.u[jsx$7] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$13.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    };
    if ($f_sc_TraversableOnce__nonEmpty__Z(extensionDefinitions)) {
      $m_Lorg_yaml_model_YNode$();
      const str = new $c_Lamf_core_utils_package$Strings().init___T("securitySchemes").asOasExtension__T();
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$10 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$9 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$8 = this.ordering$1;
      const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
        return (function(s$2$2) {
          const s$3 = s$2$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedSecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_parser_spec_oas_OasSecuritySchemeType__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(s$3.$$und2__O(), s$3.$$und1__O(), $this$2.ordering$1, $this$2.spec$1)
        })
      })(this));
      const this$27 = $m_sci_Iterable$();
      const bf$1 = this$27.ReusableCBFInstance$2;
      jsx$9.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$8.sorted__sc_Seq__sc_Seq($f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(extensionDefinitions, f$1, bf$1).toSeq__sc_Seq()), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$2.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$10.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
      const this$32 = v$1.builder$1;
      const array$1 = [key$1];
      if ((this$32.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$32.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$1);
      const len$4 = this$32.size0$6;
      const src$1 = this$32.array$6;
      const dest$1 = this$32.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$32.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$11 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$11] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$32.size0$6 = newSize$1;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(securitySchemes, ordering, spec) {
    this.securitySchemes$1 = securitySchemes;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.securitySchemes$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSecuritySchemesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSecuritySchemesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter extends $c_O {
  constructor() {
    super();
    this.settingsEntries$1 = null;
    this.settings$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasSettingsTypeEmitter"
  };
  init___sc_Seq__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_core_emitter_SpecOrdering(settingsEntries, settings, ordering) {
    this.settingsEntries$1 = settingsEntries;
    this.settings$1 = settings;
    this.ordering$1 = ordering;
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter(x$1)) {
      const OasSettingsTypeEmitter$1 = x$1;
      const x = this.settingsEntries$1;
      const x$2 = OasSettingsTypeEmitter$1.settingsEntries$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.settings$1;
        const x$4 = OasSettingsTypeEmitter$1.settings$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = OasSettingsTypeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.settingsEntries$1;
        break
      }
      case 1: {
        return this.settings$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    this.settings$1.annotations__Lamf_core_parser_Annotations();
    $m_Lorg_yaml_model_YNode$();
    const str = new $c_Lamf_core_utils_package$Strings().init___T("settings").asOasExtension__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.settingsEntries$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.settingsEntries$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$19 = arg1;
      this$2 = new $c_s_Some().init___O(x$19.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasSettingsTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasSettingsTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.propertiesMap$1 = null
  };
  productPrefix__T() {
    return "OasShapeDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter(x$1)) {
      const OasShapeDependenciesEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasShapeDependenciesEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasShapeDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.propertiesMap$1;
        const x$6 = OasShapeDependenciesEmitter$1.propertiesMap$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.propertiesMap$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("dependencies");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyDependenciesEmitter().init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap(v$1, $this.ordering$1, $this.propertiesMap$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap(f, ordering, propertiesMap) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.propertiesMap$1 = propertiesMap;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasShapeDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasShapeInheritsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter(x$1)) {
      const OasShapeInheritsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasShapeInheritsEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasShapeInheritsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasShapeInheritsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$71$2) {
        const x$71 = x$71$2;
        return x$71
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const inherits = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-amf-merge");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    inherits.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, b$2) {
      return (function(s$2) {
        const s = s$2;
        if (s.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$3 = $this$1.spec$1;
          const this$7 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const this$5 = s.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$6 = this$5.option$1;
          const url = (this$6.isEmpty__Z() ? null : this$6.get__O());
          jsx$3.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$2, this$7.appendPrefix__p1__T__T__T(this$7.definitionsPrefix$1, url))
        } else if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(s).isDefined__Z()) {
          const jsx$4 = $this$1.spec$1;
          const this$10 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const this$8 = s.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$9 = this$8.option$1;
          const url$1 = (this$9.isEmpty__Z() ? null : this$9.get__O());
          jsx$4.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b$2, this$10.appendPrefix__p1__T__T__T(this$10.definitionsPrefix$1, url$1))
        } else {
          const x$155 = $this$1.ordering$1;
          const x$156 = $this$1.references$1;
          const x$157 = $m_sci_Nil$();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(s, x$155, x$157, x$156, $this$1.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasShapeInheritsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeInheritsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null;
    this.options$3 = null
  };
  productPrefix__T() {
    return "AnyTypeShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnyTypeShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = AnyTypeShapeParser$1.shape$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnyTypeShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  options__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions() {
    return this.options$3
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    this.options$3 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, true);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$AnyTypeShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null;
    this.adopt$3 = null
  };
  productPrefix__T() {
    return "ArrayShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ArrayShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = ArrayShapeParser$1.shape$3;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ArrayShapeParser$1.map$3))) {
        const x$3 = this.adopt$3;
        const x$4 = ArrayShapeParser$1.adopt$3;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      case 2: {
        return this.adopt$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    this.adopt$3.apply__O__O(this.shape$3);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$1 = this.map$3;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$2 = this.map$3;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$6 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv$2 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$3 = this.map$3;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$8 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().CollectionFormat$1;
    const iv$3 = this.$$outer$1.ctx$2;
    jsx$4.key__T__F1__V("collectionFormat", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$8, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$4 = this.map$3;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4).key__T__s_Option("items");
    let this$12;
    if (this$10.isEmpty__Z()) {
      this$12 = $m_s_None$()
    } else {
      const arg1 = this$10.get__O();
      const x$20 = arg1;
      const node = x$20.value$1;
      this$12 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$())
    };
    if ((!this$12.isEmpty__Z())) {
      const arg1$1 = this$12.get__O();
      const x$21 = arg1$1;
      const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(x$21);
      const this$14 = this.$$outer$1;
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().CollectionFormat$1;
      const iv$4 = this.$$outer$1.ctx$2;
      jsx$5.key__T__F1__V("collectionFormat", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$14, field$4, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_plugins_document_webapi_annotations_CollectionFormatFromItems().init___()))
    };
    const map$5 = this.map$3;
    const this$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5).key__T__s_Option("items");
    let finalShape;
    if (this$16.isEmpty__Z()) {
      finalShape = $m_s_None$()
    } else {
      const arg1$2 = this$16.get__O();
      const entry = arg1$2;
      const this$17 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(items$2) {
          const items = items$2;
          items.adopted__T__Lamf_core_model_domain_AmfObject(($this.shape$3.id$1 + "/items"))
        })
      })(this)), this.$$outer$1.version$2, this.$$outer$1.ctx$2).parse__s_Option();
      if (this$17.isEmpty__Z()) {
        finalShape = $m_s_None$()
      } else {
        const arg1$3 = this$17.get__O();
        const item = arg1$3;
        let jsx$6;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(item)) {
          const x2 = item;
          const this$18 = this.shape$3;
          const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$19 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$18, field$5, x2);
          jsx$6 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$19.fields$2, this$19.annotations$2)
        } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(item)) {
          const x3 = item;
          const this$20 = this.shape$3;
          const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$21 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$20, field$6, x3);
          jsx$6 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$21.fields$2, this$21.annotations$2)
        } else {
          if ((item === null)) {
            throw new $c_s_MatchError().init___O(item)
          };
          const this$22 = this.shape$3;
          const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          jsx$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$22, field$7, item)
        };
        finalShape = new $c_s_Some().init___O(jsx$6)
      }
    };
    if ($is_s_Some(finalShape)) {
      const x2$1 = finalShape;
      const parsed = x2$1.value$2;
      if ((parsed !== null)) {
        return parsed
      }
    };
    const x = $m_s_None$();
    if ((x === finalShape)) {
      const this$27 = this.shape$3;
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const fields = new $c_Lamf_core_parser_Fields().init___();
      const items$1 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
      return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$27, field$8, items$1)
    };
    throw new $c_s_MatchError().init___O(finalShape)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$3 = shape;
    this.map$3 = map;
    this.adopt$3 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$ArrayShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ArrayShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null
  };
  productPrefix__T() {
    return "NodeShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NodeShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = NodeShapeParser$1.shape$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NodeShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  parse__Lamf_plugins_domain_shapes_models_NodeShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("type");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const this$4 = this.shape$3;
      const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$4, annotation)
    };
    const map$1 = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$6 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("minProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$2 = this.map$3;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$8 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("maxProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$8, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const this$9 = this.shape$3;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$9, field$2, false);
    const map$3 = this.map$3;
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("additionalProperties");
    if ((!this$11.isEmpty__Z())) {
      const arg1$1 = this$11.get__O();
      const entry = arg1$1;
      const this$12 = entry.value$1;
      const x1 = this$12.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Bool$1;
      if ((x === x1)) {
        const this$13 = this.$$outer$1;
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
        const iv$2 = this.$$outer$1.ctx$2;
        const this$14 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$13, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).negated__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField();
        this$14.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()).apply__Lorg_yaml_model_YMapEntry__V(entry)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x$3 === x1)) {
          const this$15 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(s$2) {
              const s = s$2;
              s.adopted__T__Lamf_core_model_domain_AmfObject($this.shape$3.id$1)
            })
          })(this)), this.$$outer$1.ctx$2).parse__s_Option();
          if ((!this$15.isEmpty__Z())) {
            const arg1$2 = this$15.get__O();
            const s$3 = arg1$2;
            const this$16 = this.shape$3;
            const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1;
            const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
            $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$16, field$4, s$3, annotations)
          }
        } else {
          const this$17 = this.$$outer$1.ctx$2;
          const node = this.shape$3.id$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$17, node, "Invalid part type for additional properties node", entry)
        }
      }
    };
    const map$4 = this.map$3;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$19 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
    const iv$3 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("discriminator", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$19, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$5 = this.map$3;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("discriminatorValue").asOasExtension__T();
    const this$22 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
    const iv$4 = this.$$outer$1.ctx$2;
    jsx$5.key__T__F1__V(jsx$4, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$22, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$6 = this.map$3;
    const this$24 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6).key__T__s_Option("required");
    let this$26;
    if (this$24.isEmpty__Z()) {
      this$26 = $m_s_None$()
    } else {
      const arg1$3 = this$24.get__O();
      const field$7 = arg1$3;
      const this$25 = field$7.value$1;
      const x1$1 = this$25.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$1 = $m_Lorg_yaml_model_YType$().Seq$1;
      this$26 = new $c_s_Some().init___O(((x$1 === x1$1) ? field$7.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.$$outer$1.ctx$2).nodes$3.foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1) {
        return (function(x0$7$2, x1$1$2) {
          const x0$7 = x0$7$2;
          const x1$1$1 = x1$1$2;
          return x0$7.updated__O__O__sci_Map(x1$1$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this$1.$$outer$1.ctx$2), x1$1$1)
        })
      })(this))) : $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$())))
    };
    const requiredFields = (this$26.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$26.get__O());
    const map$7 = this.map$3;
    const this$28 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const this$29 = this$28.key__T__s_Option("properties");
    if ((!this$29.isEmpty__Z())) {
      const arg1$4 = this$29.get__O();
      const entry$3 = arg1$4;
      const node$1 = entry$3.value$1;
      const x1$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$1).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_Some(x1$2)) {
        const x2 = x1$2;
        const m = x2.value$2;
        const properties = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lorg_yaml_model_YMap__F1__sci_Map(this.$$outer$1, m, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2) {
          return (function(name$2) {
            const name = name$2;
            return $this$2.shape$3.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name)
          })
        })(this)), requiredFields).parse__sc_Seq();
        const this$31 = this.shape$3;
        const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(properties, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$31, field$8, value, annotations$1)
      }
    };
    const properties$1 = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$32 = this.shape$3;
    this$32.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, properties$2) {
      return (function(p$2) {
        const p = p$2;
        const this$33 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$34 = this$33.option$1;
        const self = (this$34.isEmpty__Z() ? null : this$34.get__O());
        return properties$2.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, p))
      })
    })(this, properties$1)));
    const map$8 = this.map$3;
    const this$38 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$8);
    const this$39 = this$38.key__T__s_Option("dependencies");
    if ((!this$39.isEmpty__Z())) {
      const arg1$5 = this$39.get__O();
      const entry$4 = arg1$5;
      const dependencies = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser().init___Lorg_yaml_model_YMap__scm_ListMap(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx$2), properties$1).parse__sc_Seq();
      const this$40 = this.shape$3;
      const field$9 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(dependencies, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$40, field$9, value$1, annotations$2)
    };
    const map$9 = this.map$3;
    const this$42 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$9);
    const this$43 = this$42.key__T__s_Option("x-amf-merge");
    if ((!this$43.isEmpty__Z())) {
      const arg1$6 = this$43.get__O();
      const entry$5 = arg1$6;
      const inherits = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AllOfParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__sc_Seq__F1(this.$$outer$1, entry$5.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.$$outer$1.ctx$2), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3) {
        return (function(s$2$1) {
          const s$1 = s$2$1;
          s$1.adopted__T__Lamf_core_model_domain_AmfObject($this$3.shape$3.id$1)
        })
      })(this))).parse__sc_Seq();
      const this$44 = this.shape$3;
      const field$10 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(inherits, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5.value$1));
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$44, field$10, value$2, annotations$3)
    };
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$NodeShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null;
    this.adopt$3 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$3 = shape;
    this.map$3 = map;
    this.adopt$3 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    return this
  };
  productPrefix__T() {
    return "TupleShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TupleShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = TupleShapeParser$1.shape$3;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TupleShapeParser$1.map$3))) {
        const x$3 = this.adopt$3;
        const x$4 = TupleShapeParser$1.adopt$3;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      case 2: {
        return this.adopt$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    this.adopt$3.apply__O__O(this.shape$3);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$1.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$1 = this.map$3;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$1 = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$2 = this.map$3;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$6 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv$2 = this.$$outer$1.ctx$2;
    jsx$3.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$3 = this.map$3;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$8 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().AdditionalItems$2;
    const iv$3 = this.$$outer$1.ctx$2;
    jsx$4.key__T__F1__V("additionalItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$8, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$4 = this.map$3;
    const this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$11 = this$10.key__T__s_Option("items");
    if ((!this$11.isEmpty__Z())) {
      const arg1 = this$11.get__O();
      const entry = arg1;
      const jsx$9 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.$$outer$1.ctx$2).nodes$3;
      const jsx$8 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser(this);
      const this$12 = $m_sc_IndexedSeq$();
      const jsx$7 = jsx$9.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$8, this$12.ReusableCBF$6);
      const this$13 = $m_sc_IndexedSeq$();
      const jsx$6 = jsx$7.zipWithIndex__scg_CanBuildFrom__O(this$13.ReusableCBF$6);
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$6$2) {
          const x0$6 = x0$6$2;
          if ((x0$6 !== null)) {
            const elem = x0$6.$$und1__O();
            const index = x0$6.$$und2$mcI$sp__I();
            return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(elem, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["member", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
              return (function(item$2) {
                const item = item$2;
                item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$3.id$1 + "/items/") + index$1))
              })
            })($this, index)), $this.$$outer$1.version$2, $this.$$outer$1.ctx$2).parse__s_Option()
          } else {
            throw new $c_s_MatchError().init___O(x0$6)
          }
        })
      })(this));
      const this$14 = $m_sc_IndexedSeq$();
      const items = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$14.ReusableCBF$6);
      const this$16 = this.shape$3;
      const jsx$11 = items.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$18$2) {
          const x$18 = x$18$2;
          return x$18.isDefined__Z()
        })
      })(this)));
      const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
        return (function(x$19$2) {
          const x$19 = x$19$2;
          return x$19.get__O()
        })
      })(this));
      const this$15 = $m_sc_IndexedSeq$();
      const items$1 = jsx$11.map__F1__scg_CanBuildFrom__O(jsx$10, this$15.ReusableCBF$6);
      const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2;
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$16, field$4, items$1)
    };
    return this.shape$3
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$TupleShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$TupleShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.nodeOrEntry$3 = null;
    this.name$3 = null;
    this.node$3 = null;
    this.map$3 = null;
    this.shape$3 = null
  };
  productPrefix__T() {
    return "UnionShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UnionShapeParser$1 = x$1;
      const x = this.nodeOrEntry$3;
      const x$2 = UnionShapeParser$1.nodeOrEntry$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.name$3 === UnionShapeParser$1.name$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nodeOrEntry$3;
        break
      }
      case 1: {
        return this.name$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  parse__Lamf_plugins_domain_shapes_models_UnionShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("x-amf-union");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ((x0$2 !== null)) {
              const unionNode = x0$2.$$und1__O();
              const index = x0$2.$$und2$mcI$sp__I();
              const entry$1 = $m_Lorg_yaml_model_YMapEntry$().apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index]))), unionNode);
              return $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$3.id$1 + "/items/") + index$1))
                })
              })($this, index)), $this.$$outer$1.version$2, $this.$$outer$1.ctx$2).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$10$2) {
            const x$10 = x$10$2;
            return x$10.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$11$2) {
            const x$11 = x$11$2;
            return x$11.get__O()
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
        const this$8 = this.shape$3;
        const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field, unionNodes, annotations)
      } else {
        const this$9 = this.$$outer$1.ctx$2;
        const node = this.shape$3.id$1;
        const ast = entry.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node, "Unions are built from multiple shape nodes", ast)
      }
    };
    return this.shape$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__s_util_Either__T($$outer, nodeOrEntry, name) {
    this.nodeOrEntry$3 = nodeOrEntry;
    this.name$3 = name;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    let jsx$1;
    if ($is_s_util_Left(nodeOrEntry)) {
      const x2 = nodeOrEntry;
      const entry = x2.value$2;
      jsx$1 = entry.value$1
    } else if ($is_s_util_Right(nodeOrEntry)) {
      const x3 = nodeOrEntry;
      const node = x3.value$2;
      jsx$1 = node
    } else {
      throw new $c_s_MatchError().init___O(nodeOrEntry)
    };
    this.node$3 = jsx$1;
    this.map$3 = this.node$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $$outer.ctx$2);
    const annotations = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$3);
    const this$3 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    this.shape$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
    return this
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$UnionShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasUnionShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter(x$1)) {
      const OasUnionShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasUnionShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasUnionShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasUnionShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("x-amf-union");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.shape$1;
    const jsx$2 = this$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$51$2) {
        const x$51 = x$51$2;
        const x$131 = $this.ordering$1;
        const x$132 = $this.references$1;
        const x$133 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$51, x$131, x$133, x$132, $this.spec$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const emitters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    this.ordering$1.sorted__sc_Seq__sc_Seq(emitters).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$2) {
      return (function(x$52$2) {
        const x$52 = x$52$2;
        x$52.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    const annotations = this$1.annotations$2;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasUnionShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasUnionShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "OasXoneConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter(x$1)) {
      const OasXoneConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = OasXoneConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasXoneConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasXoneConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("oneOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$65$2) {
        const x$65 = x$65$2;
        x$65.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$63$2) {
        const x$63 = x$63$2;
        const x$143 = $this.ordering$1;
        const x$144 = $this.references$1;
        const x$145 = $m_sci_Nil$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$63, x$143, x$145, x$144, $this.spec$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.emitters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$66$2) {
        const x$66 = x$66$2;
        return x$66.position__Lamf_core_parser_Position()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$67$2) {
        const x$67 = x$67$2;
        return x$67.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasXoneConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasXoneConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter extends $c_O {
  constructor() {
    super();
    this.declaration$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "ParametrizedDeclarationEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    if (this.declaration$1.variables__sc_Seq().nonEmpty__Z()) {
      const jsx$5 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const this$2 = this.declaration$1.name__Lamf_core_model_StrField();
      const this$3 = this$2.option$1;
      const str = (this$3.isEmpty__Z() ? null : this$3.get__O());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$2 = this.declaration$1.variables__sc_Seq();
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(variable$2) {
          const variable = variable$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter().init___Lamf_core_model_domain_templates_VariableValue__Lamf_core_emitter_SpecOrdering(variable, $this.ordering$1)
        })
      })(this));
      const this$6 = $m_sc_Seq$();
      const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$11 = v.builder$1;
      const array = [key];
      if ((this$11.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$11.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
      const len$1 = this$11.size0$6;
      const src = this$11.array$6;
      const dest = this$11.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$11.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$4 = j;
        const index = i;
        xs.u[jsx$4] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$11.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1))
    } else {
      const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const this$26 = this.declaration$1.name__Lamf_core_model_StrField();
      const this$27 = this$26.option$1;
      jsx$6.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, (this$27.isEmpty__Z() ? null : this$27.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter(x$1)) {
      const ParametrizedDeclarationEmitter$1 = x$1;
      const x = this.declaration$1;
      const x$2 = ParametrizedDeclarationEmitter$1.declaration$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ParametrizedDeclarationEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declaration$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_core_emitter_SpecOrdering(declaration, ordering) {
    this.declaration$1 = declaration;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.declaration$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.ParametrizedDeclarationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "RamlAndConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter(x$1)) {
      const RamlAndConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlAndConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlAndConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlAndConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().And$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(s, $this.ordering$1, $m_s_None$(), $m_sci_Nil$(), $this.references$1, $this.spec$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("(amf-and)");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        x$8.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.emitters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        return x$9.position__Lamf_core_parser_Position()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        return x$10.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAndConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAndConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlAnyOfShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter(x$1)) {
      const RamlAnyOfShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlAnyOfShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlAnyOfShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlAnyOfShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("anyOf");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.shape$1;
    const jsx$2 = this$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$3)) {
          const x2 = x0$3;
          const x$100 = $this.ordering$1;
          const x$101 = $m_s_None$();
          const x$102 = $this.references$1;
          const x$103 = $m_sci_Nil$();
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, x$100, x$101, x$103, x$102, $this.spec$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$3)
        }
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const emitters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    this.ordering$1.sorted__sc_Seq__sc_Seq(emitters).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$2) {
      return (function(x$33$2) {
        const x$33 = x$33$2;
        x$33.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    const annotations = this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1).annotations$1;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnyOfShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter extends $c_O {
  constructor() {
    super();
    this.documentation$1 = null;
    this.ordering$1 = null;
    this.withExtension$1 = false;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlCreativeWorkEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkItemsEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.documentation$1, this.ordering$1, this.withExtension$1, this.spec$1).emitters__sc_Seq(), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(documentation, ordering, withExtension, spec) {
    this.documentation$1 = documentation;
    this.ordering$1 = ordering;
    this.withExtension$1 = withExtension;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter(x$1)) {
      const RamlCreativeWorkEmitter$1 = x$1;
      const x = this.documentation$1;
      const x$2 = RamlCreativeWorkEmitter$1.documentation$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = RamlCreativeWorkEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.withExtension$1 === RamlCreativeWorkEmitter$1.withExtension$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documentation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.withExtension$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.documentation$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.withExtension$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.documentation$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCreativeWorkEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.references$1 = null
  };
  productPrefix__T() {
    return "RamlExternalSourceEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.references$1;
    const pf = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter$$anonfun$emit$122().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter(this);
    const this$2 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$1, pf);
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const ex = arg1;
      this$3 = ex.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1).option$1
    };
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const x$6 = arg1$1;
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, x$6, $m_Lorg_yaml_model_YType$().Str$1)
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter(x$1)) {
      const RamlExternalSourceEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlExternalSourceEmitter$1.shape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = RamlExternalSourceEmitter$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_Shape__sc_Seq(shape, references) {
    this.shape$1 = shape;
    this.references$1 = references;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.shape$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlExternalSourceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalSourceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter extends $c_O {
  constructor() {
    super();
    this.array$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlItemsShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter(x$1)) {
      const RamlItemsShapeEmitter$1 = x$1;
      const x = this.array$1;
      const x$2 = RamlItemsShapeEmitter$1.array$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlItemsShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlItemsShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(array, ordering, references, spec) {
    this.array$1 = array;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.array$1;
    const x1 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x2).isDefined__Z()) {
        $m_Lorg_yaml_model_YNode$();
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("items");
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, this.ordering$1, $m_s_None$(), $m_sci_Nil$(), this.references$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
        const this$3 = v.builder$1;
        const array = [key];
        if ((this$3.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$3.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
        const len$1 = this$3.size0$6;
        const src = this$3.array$6;
        const dest = this$3.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$3.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$1 = j;
          const index = i;
          xs.u[jsx$1] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$3.size0$6 = newSize;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("items");
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$2 = v$1.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const x$105 = this.ordering$1;
        const x$106 = this.references$1;
        const x$107 = $m_sci_Nil$();
        new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, x$105, x$107, x$106, this.spec$1).entries__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
          return (function(x$39$2) {
            const x$39 = x$39$2;
            x$39.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
          })
        })(this, b$1)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        const this$21 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$21.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$21.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize$1);
        const len$4 = this$21.size0$6;
        const src$1 = this$21.array$6;
        const dest$1 = this$21.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$21.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$3 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$3] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$21.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.array$1;
    const annotations = this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1).annotations$1;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlItemsShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null
  };
  productPrefix__T() {
    return "RamlLocalReferenceEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.reference$1;
    const x1 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const label = x2.value$2;
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, label, $m_Lorg_yaml_model_YType$().Str$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Missing link label"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter(x$1)) {
      const RamlLocalReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = RamlLocalReferenceEmitter$1.reference$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_domain_Linkable(reference) {
    this.reference$1 = reference;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.reference$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlLocalReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlLocalReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.typesEmitter$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlNamedTypeEmitter"
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, typesEmitter, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.typesEmitter$1 = typesEmitter;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter(x$1)) {
      const RamlNamedTypeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlNamedTypeEmitter$1.shape$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlNamedTypeEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.references$1;
        const x$6 = RamlNamedTypeEmitter$1.references$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.typesEmitter$1;
        const x$8 = RamlNamedTypeEmitter$1.typesEmitter$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      case 3: {
        return this.typesEmitter$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.shape$1;
    const this$2 = this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare shape without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.shape$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.shape$1;
    let vf_$_f$2;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$1_$_f$2 = f;
      vf_$_f$2 = jsx$1_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$2_$_f$2 = f$1;
      vf_$_f$2 = jsx$2_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.shape$1;
    const this$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const l = arg1;
      const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
      const this$3 = this.shape$1;
      jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$3), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.shape$1;
    if ((x1 !== null)) {
      this.typesEmitter$1.apply__O__O__O__O__O__O(x1, this.ordering$1, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit inline shape that doesnt support type expressions"))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.shape$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNamedTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.emitter$1 = null
  };
  productPrefix__T() {
    return "RamlNotConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter(x$1)) {
      const RamlNotConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlNotConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlNotConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlNotConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.emitter$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Not$1), ordering, $m_s_None$(), $m_sci_Nil$(), references, spec);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("(amf-not)");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitter$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.emitter$1.position__Lamf_core_parser_Position()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNotConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNotConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "RamlOAuth2ScopeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter(x$1)) {
      const RamlOAuth2ScopeEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === RamlOAuth2ScopeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlOAuth2ScopeEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOAuth2ScopeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter(this);
    const this$2 = $m_sc_Seq$();
    const namesEmitters = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(namesEmitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOAuth2ScopeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOAuth2ScopeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "RamlOrConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter(x$1)) {
      const RamlOrConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlOrConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlOrConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlOrConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Or$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(s, $this.ordering$1, $m_s_None$(), $m_sci_Nil$(), $this.references$1, $this.spec$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("(amf-or)");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        x$12.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.emitters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$13$2) {
        const x$13 = x$13$2;
        return x$13.position__Lamf_core_parser_Position()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        return x$14.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlOrConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlOrConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlPropertiesShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter(x$1)) {
      const RamlPropertiesShapeEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlPropertiesShapeEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlPropertiesShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlPropertiesShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("properties");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(v$1, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlPropertiesShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.properties$1 = null
  };
  productPrefix__T() {
    return "RamlPropertyDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter(x$1)) {
      const RamlPropertyDependenciesEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = RamlPropertyDependenciesEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlPropertyDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.properties$1;
        const x$6 = RamlPropertyDependenciesEmitter$1.properties$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.properties$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$1 = this.properties$1;
    const this$1 = this.property$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1);
    const this$3 = this$2.option$1;
    const this$4 = jsx$1.get__O__s_Option((this$3.isEmpty__Z() ? null : this$3.get__O()));
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const p = arg1;
      $m_Lorg_yaml_model_YNode$();
      const this$5 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$6 = this$5.option$1;
      const str = (this$6.isEmpty__Z() ? null : this$6.get__O());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$8 = this.property$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1);
      let targets;
      if (this$8.isEmpty__Z()) {
        targets = $m_s_None$()
      } else {
        const arg1$1 = this$8.get__O();
        const f = arg1$1;
        const jsx$3 = f.value$1.value$1.scalars__sc_Seq();
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(iri$2) {
            const iri = iri$2;
            const this$9 = $this.properties$1.get__O__s_Option($objectToString(iri.value$1));
            let xo;
            if (this$9.isEmpty__Z()) {
              xo = $m_s_None$()
            } else {
              const arg1$2 = this$9.get__O();
              const p$1 = arg1$2;
              const this$10 = p$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
              const this$11 = this$10.option$1;
              xo = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((this$11.isEmpty__Z() ? null : this$11.get__O()), iri.annotations$1))
            };
            return xo.toList__sci_List()
          })
        })(this));
        const this$13 = $m_sc_Seq$();
        targets = new $c_s_Some().init___O(jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$13.ReusableCBFInstance$2))
      };
      if ((!targets.isEmpty__Z())) {
        const arg1$3 = targets.get__O();
        const target = arg1$3;
        const jsx$7 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$5 = this.ordering$1;
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(t$2) {
            const t = t$2;
            return new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(t, $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this));
        const this$16 = $m_sc_Seq$();
        jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(target.map__F1__scg_CanBuildFrom__O(jsx$4, this$16.ReusableCBFInstance$2)), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
        jsx$7.$$plus$eq__O__scm_ArrayBuffer(node)
      };
      const this$21 = v.builder$1;
      const array = [key];
      if ((this$21.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$21.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize);
      const len$1 = this$21.size0$6;
      const src = this$21.array$6;
      const dest = this$21.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$21.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$8 = j;
        const index = i;
        xs.u[jsx$8] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$21.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(property, ordering, properties, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.properties$1 = properties;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.property$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlPropertyDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter extends $c_O {
  constructor() {
    super();
    this.property$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlPropertyShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter(x$1)) {
      const RamlPropertyShapeEmitter$1 = x$1;
      const x = this.property$1;
      const x$2 = RamlPropertyShapeEmitter$1.property$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlPropertyShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlPropertyShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(property, ordering, references, spec) {
    this.property$1 = property;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.property$1.fields$2;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    let this$8;
    if (this$1.isEmpty__Z()) {
      this$8 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      let jsx$1;
      if ((((f.value$1.value$1.value$1 | 0) === 0) && (!f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())))) {
        const this$2 = this.property$1;
        const this$3 = this$2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$4 = this$3.option$1;
        jsx$1 = ((this$4.isEmpty__Z() ? null : this$4.get__O()) + "?")
      } else {
        const this$5 = this.property$1;
        const this$6 = this$5.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$7 = this$6.option$1;
        jsx$1 = (this$7.isEmpty__Z() ? null : this$7.get__O())
      };
      this$8 = new $c_s_Some().init___O(jsx$1)
    };
    let name;
    if (this$8.isEmpty__Z()) {
      const this$9 = this.property$1;
      const this$10 = this$9.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$11 = this$10.option$1;
      name = (this$11.isEmpty__Z() ? null : this$11.get__O())
    } else {
      name = this$8.get__O()
    };
    const this$12 = this.property$1;
    if (this$12.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, "", $m_Lorg_yaml_model_YType$().Null$1);
      const this$14 = v.builder$1;
      const array = [key];
      if ((this$14.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$14.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$14, newSize);
      const len$1 = this$14.size0$6;
      const src = this$14.array$6;
      const dest = this$14.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$14.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$14.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    } else {
      const this$25 = this.property$1.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().ReadOnly$1);
      let readOnlyEmitter;
      if (this$25.isEmpty__Z()) {
        readOnlyEmitter = $m_s_None$()
      } else {
        const arg1$1 = this$25.get__O();
        const fe = arg1$1;
        readOnlyEmitter = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("readOnly").asRamlAnnotation__T(), fe, $m_s_None$()))
      };
      const this$28 = this.property$1;
      const x1 = this$28.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
        const x2 = x1;
        $m_Lorg_yaml_model_YNode$();
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const x$113 = this.ordering$1;
        const x$114 = $m_s_None$();
        const x$115 = this.references$1;
        const x$116 = $m_sci_Nil$();
        const x1$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, x$113, x$114, x$116, x$115, this.spec$1).emitter$1;
        if ($is_s_util_Left(x1$1)) {
          const x2$1 = x1$1;
          const p = x2$1.value$2;
          p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1)
        } else if ($is_s_util_Right(x1$1)) {
          const x3 = x1$1;
          const entries = x3.value$2;
          const jsx$6 = v$1.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const jsx$4 = this.ordering$1;
          const jsx$3 = readOnlyEmitter.toList__sci_List();
          const this$33 = $m_sc_Seq$();
          jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(entries.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$33.ReusableCBFInstance$2)), b$1);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$1.builder$1;
          const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
        } else {
          throw new $c_s_MatchError().init___O(x1$1)
        };
        const this$38 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$38.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$38.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$38, newSize$1);
        const len$4 = this$38.size0$6;
        const src$1 = this$38.array$6;
        const dest$1 = this$38.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$38.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$7 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$7] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$38.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      } else {
        $m_Lorg_yaml_model_YNode$();
        const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
        const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$9 = v$2.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const jsx$8 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const this$52 = readOnlyEmitter.toList__sci_List();
        jsx$8.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this$52, b$2);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$1 = b$2.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
        const this$57 = v$2.builder$1;
        const array$2 = [key$2];
        if ((this$57.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$6 = (array$2.length | 0);
        const newSize$2 = ((this$57.size0$6 + len$6) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$57, newSize$2);
        const len$7 = this$57.size0$6;
        const src$2 = this$57.array$6;
        const dest$2 = this$57.array$6;
        $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
        const xs$2 = this$57.array$6;
        const len$8 = xs$2.u.length;
        let i$2 = 0;
        let j$2 = 0;
        const x$4 = (array$2.length | 0);
        const x$5 = ((x$4 < len$8) ? x$4 : len$8);
        const that$2 = xs$2.u.length;
        const end$2 = ((x$5 < that$2) ? x$5 : that$2);
        while ((i$2 < end$2)) {
          const jsx$10 = j$2;
          const index$2 = i$2;
          xs$2.u[jsx$10] = array$2[index$2];
          i$2 = ((1 + i$2) | 0);
          j$2 = ((1 + j$2) | 0)
        };
        this$57.size0$6 = newSize$2;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.property$1.annotations$2;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlPropertyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlSchemaShapeEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.shape$1;
    if (this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1).nonEmpty__Z()) {
      const this$2 = this.shape$1;
      const fs = this$2.fields$2;
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const shape = this.shape$1;
      const ordering = this.ordering$1;
      const references = this.references$1;
      const spec = this.spec$1;
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec).emitters__sc_Seq());
      const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1);
      if ((!this$4.isEmpty__Z())) {
        const arg1 = this$4.get__O();
        const f = arg1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("type", f, $m_s_None$()))
      };
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      const jsx$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const this$11 = this.shape$1;
      const this$12 = this$11.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1);
      const this$13 = this$12.option$1;
      jsx$2.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, (this$13.isEmpty__Z() ? null : this$13.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
    }
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter(x$1)) {
      const RamlSchemaShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlSchemaShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlSchemaShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlSchemaShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    const annotations = this$1.annotations$2;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSchemaShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSchemaShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser extends $c_O {
  constructor() {
    super();
    this.ast$1 = null;
    this.key$1 = null;
    this.node$1 = null;
    this.adopt$1 = null;
    this.ctx$1 = null;
    this.SingleTarget$module$1 = null;
    this.EmptyTarget$module$1 = null
  };
  parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(name, parsedUrl, annotations, adopt) {
    const scheme = this.ctx$1.declarations$2.findSecuritySchemeOrError__Lorg_yaml_model_YPart__T__Lamf_core_parser_SearchScope$Scope__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1, parsedUrl, $m_Lamf_core_parser_SearchScope$All$());
    const copied = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(scheme, parsedUrl, annotations);
    adopt.apply__O__O(copied);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(copied, field, name)
  };
  productPrefix__T() {
    return "RamlSecuritySchemeParser"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser(x$1)) {
      const RamlSecuritySchemeParser$1 = x$1;
      const x = this.ast$1;
      const x$2 = RamlSecuritySchemeParser$1.ast$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.key$1 === RamlSecuritySchemeParser$1.key$1)) && this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(RamlSecuritySchemeParser$1.node$1))) {
        const x$3 = this.adopt$1;
        const x$4 = RamlSecuritySchemeParser$1.adopt$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.ast$1;
        break
      }
      case 1: {
        return this.key$1;
        break
      }
      case 2: {
        return this.node$1;
        break
      }
      case 3: {
        return this.adopt$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YPart__T__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(ast, key, node, adopt, ctx) {
    this.ast$1 = ast;
    this.key$1 = key;
    this.node$1 = node;
    this.adopt$1 = adopt;
    this.ctx$1 = ctx;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme() {
    const x1 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.node$1);
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const link = x2.value$2;
      return this.parseReferenced__T__T__Lamf_core_parser_Annotations__F1__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.key$1, link, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$1), this.adopt$1)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const value = x3.value$2;
      const scheme = this.adopt$1.apply__O__O($m_Lamf_plugins_domain_webapi_models_security_SecurityScheme$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_security_SecurityScheme(this.ast$1));
      const map = value.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1);
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1;
      const iv = this.ctx$1;
      jsx$1.key__T__F1__V("type", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1;
      const iv$1 = this.ctx$1;
      jsx$2.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1;
      const iv$2 = this.ctx$1;
      jsx$3.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlDescribedByParser().init___T__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_plugins_document_webapi_contexts_RamlWebApiContext("describedBy", map, scheme, this.ctx$1).parse__V();
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
      const iv$3 = this.ctx$1;
      jsx$4.key__T__F1__V("settings", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(scheme).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, scheme$1) {
        return (function(node$2) {
          const node = node$2;
          return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlSecuritySettingsParser$().parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_Settings(scheme$1, node, $this.ctx$1)
        })
      })(this, scheme))));
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(scheme, map, this.ctx$1).parse__V();
      return scheme
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySchemeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters extends $c_O {
  constructor() {
    super();
    this.securitySchemes$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.namedSecurityEmitter$1 = null
  };
  init___sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering__F3__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(securitySchemes, references, ordering, namedSecurityEmitter, spec) {
    this.securitySchemes$1 = securitySchemes;
    this.references$1 = references;
    this.ordering$1 = ordering;
    this.namedSecurityEmitter$1 = namedSecurityEmitter;
    return this
  };
  productPrefix__T() {
    return "RamlSecuritySchemesEmitters"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters(x$1)) {
      const RamlSecuritySchemesEmitters$1 = x$1;
      const x = this.securitySchemes$1;
      const x$2 = RamlSecuritySchemesEmitters$1.securitySchemes$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = RamlSecuritySchemesEmitters$1.references$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = RamlSecuritySchemesEmitters$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.namedSecurityEmitter$1;
        const x$8 = RamlSecuritySchemesEmitters$1.namedSecurityEmitter$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securitySchemes$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.namedSecurityEmitter$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("securitySchemes");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.securitySchemes$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return $this.namedSecurityEmitter$1.apply__O__O__O__O(s, $this.references$1, $this.ordering$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.securitySchemes$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySchemesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySchemesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlSecuritySettingsEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter(x$1)) {
      const RamlSecuritySettingsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlSecuritySettingsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlSecuritySettingsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("settings");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.f$1, this.ordering$1, this.spec$1).emitters__sc_Seq()), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlSecuritySettingsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.props$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlShapeDependenciesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter(x$1)) {
      const RamlShapeDependenciesEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlShapeDependenciesEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlShapeDependenciesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.props$1;
        const x$6 = RamlShapeDependenciesEmitter$1.props$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.props$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = new $c_Lamf_core_utils_package$Strings().init___T("dependencies").asRamlAnnotation__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const jsx$2 = this$4.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v$1 = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyDependenciesEmitter().init___Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(v$1, $this.ordering$1, $this.props$1, $this.spec$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, props, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.props$1 = props;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlShapeDependenciesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlShapeInheritsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter(x$1)) {
      const RamlShapeInheritsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = RamlShapeInheritsEmitter$1.f$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlShapeInheritsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlShapeInheritsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  emitDeclared__p1__Lamf_core_model_domain_Shape__Lorg_yaml_model_YDocument$PartBuilder__V(shape, b) {
    matchEnd5: {
      if ((shape !== null)) {
        if (shape.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf())) {
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter().init___Lamf_core_model_domain_Shape(shape).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b);
          break matchEnd5
        }
      };
      if ((shape !== null)) {
        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(shape).isDefined__Z()) {
          this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(shape).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b);
          break matchEnd5
        } else {
          const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const this$1 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$2 = this$1.option$1;
          jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, (this$2.isEmpty__Z() ? null : this$2.get__O()), $m_Lorg_yaml_model_YType$().Str$1);
          break matchEnd5
        }
      };
      throw new $c_s_MatchError().init___O(shape)
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$26$2) {
        const x$26 = x$26$2;
        return x$26
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const x1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2).partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(s$2) {
        const s = s$2;
        return ((s.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf()) || s.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.getClassOf())) || $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(s).isDefined__Z())
      })
    })(this)));
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const declaredShapes = x1.$$und1__O();
    const inlineShapes = x1.$$und2__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    if (inlineShapes.nonEmpty__Z()) {
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$4 = this.ordering$1;
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$1)) {
            const x2 = x0$1;
            const x$92 = $this$1.ordering$1;
            const x$93 = $this$1.references$1;
            const x$94 = $m_sci_Nil$();
            return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, x$92, x$94, x$93, $this$1.spec$1).entries__sc_Seq()
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit for type shapes without WebAPI Shape support"))
          }
        })
      })(this));
      const this$6 = $m_sc_Seq$();
      jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(inlineShapes.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$6.ReusableCBFInstance$2)), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      matchEnd7: {
        if ($is_sci_$colon$colon(declaredShapes)) {
          const x2$1 = declaredShapes;
          const head = x2$1.head$5;
          const p3 = x2$1.tl$5;
          if ($is_Lamf_plugins_domain_shapes_models_ShapeHelpers(head)) {
            const x = $m_sci_Nil$();
            if (x.equals__O__Z(p3)) {
              this.emitDeclared__p1__Lamf_core_model_domain_Shape__Lorg_yaml_model_YDocument$PartBuilder__V(head, v);
              break matchEnd7
            }
          }
        };
        const jsx$7 = v.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        declaredShapes.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, b$3) {
          return (function(x0$2$2) {
            const x0$2 = x0$2$2;
            if ($is_Lamf_plugins_domain_shapes_models_ShapeHelpers(x0$2)) {
              $this$2.emitDeclared__p1__Lamf_core_model_domain_Shape__Lorg_yaml_model_YDocument$PartBuilder__V(x0$2, b$3)
            } else {
              throw new $c_s_MatchError().init___O(x0$2)
            }
          })
        })(this, b$2)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$1 = b$2.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
        jsx$7.$$plus$eq__O__scm_ArrayBuffer(node)
      }
    };
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$8 = j;
      const index = i;
      xs.u[jsx$8] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlShapeInheritsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeInheritsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter extends $c_O {
  constructor() {
    super();
    this.tuple$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlTupleItemsShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter(x$1)) {
      const RamlTupleItemsShapeEmitter$1 = x$1;
      const x = this.tuple$1;
      const x$2 = RamlTupleItemsShapeEmitter$1.tuple$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlTupleItemsShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlTupleItemsShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tuple$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(tuple, ordering, references, spec) {
    this.tuple$1 = tuple;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.tuple$1;
    const x1 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      const this$2 = this.tuple$1;
      this$2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1, x2$1) {
        return (function(item$2) {
          const x$109 = $this.ordering$1;
          const x$110 = $this.references$1;
          const x$111 = $m_sci_Nil$();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2$1, x$109, x$111, x$110, $this.spec$1).entries__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$10) {
            return (function(x$40$2) {
              const x$40 = x$40$2;
              return result$10.$$plus$eq__O__scm_ListBuffer(x$40)
            })
          })($this, result$1)))
        })
      })(this, result, x2)))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.tuple$1;
    const annotations = this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2).annotations$1;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTupleItemsShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector extends $c_O {
  constructor() {
    super();
    this.InheritsTypeDetecter$module$1 = null;
    this.ShapeClassTypeDefMatcher$module$1 = null;
    this.parent$1 = null;
    this.format$1 = null;
    this.defaultType$1 = null;
    this.recursive$1 = false;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "RamlTypeDetector"
  };
  ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$() {
    if ((this.ShapeClassTypeDefMatcher$module$1 === null)) {
      this.ShapeClassTypeDefMatcher$lzycompute$1__p1__V()
    };
    return this.ShapeClassTypeDefMatcher$module$1
  };
  productArity__I() {
    return 4
  };
  ShapeClassTypeDefMatcher$lzycompute$1__p1__V() {
    if ((this.ShapeClassTypeDefMatcher$module$1 === null)) {
      this.ShapeClassTypeDefMatcher$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(this)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(x$1)) {
      const RamlTypeDetector$1 = x$1;
      let jsx$2;
      if ((this.parent$1 === RamlTypeDetector$1.parent$1)) {
        const x = this.format$1;
        const x$2 = RamlTypeDetector$1.format$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.defaultType$1;
        const x$4 = RamlTypeDetector$1.defaultType$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.recursive$1 === RamlTypeDetector$1.recursive$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      case 1: {
        return this.format$1;
        break
      }
      case 2: {
        return this.defaultType$1;
        break
      }
      case 3: {
        return this.recursive$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  detectProperties__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("properties");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())
    }
  };
  collectTypeDefs__p1__sc_Seq__sc_Seq(sequence) {
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(node$2) {
        const node = node$2;
        const x$14 = $this.parent$1;
        const x$16 = $m_s_None$();
        const x$17 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$();
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector().init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(x$14, x$16, x$17, true, $this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f).detect__Lorg_yaml_model_YNode__s_Option(node)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$2 = sequence.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$$anonfun$collectTypeDefs$2().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(this);
    const this$4 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  InheritsTypeDetecter$lzycompute$1__p1__V() {
    if ((this.InheritsTypeDetecter$module$1 === null)) {
      this.InheritsTypeDetecter$module$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector(this)
    }
  };
  detectItems__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("items");
    if ($is_s_Some(x1)) {
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$())
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(parent, format, defaultType, recursive, ctx) {
    this.parent$1 = parent;
    this.format$1 = format;
    this.defaultType$1 = defaultType;
    this.recursive$1 = recursive;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f = ctx;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parent$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.format$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultType$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.recursive$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  detect__Lorg_yaml_model_YNode__s_Option(node) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x === x1)) {
      const sequence = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f);
      const this$1 = this.InheritsTypeDetecter__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$().apply__sc_Seq__Lorg_yaml_model_YPart__s_Option(this.collectTypeDefs__p1__sc_Seq__sc_Seq(sequence), node);
      return (this$1.isEmpty__Z() ? new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$()) : this$1)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x$3 === x1)) {
        const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f);
        $m_Lorg_yaml_model_YMap$();
        const c = map.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
          return (function(e$2) {
            const e = e$2;
            const thiz = e.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this$2.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f).text$3;
            if ((thiz === null)) {
              throw new $c_jl_NullPointerException().init___()
            };
            return (!$m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z(".*/.*", thiz))
          })
        })(this)));
        const filterMap = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const this$5 = this.detectItems__p1__Lorg_yaml_model_YMap__s_Option(filterMap);
        const this$6 = (this$5.isEmpty__Z() ? this.detectProperties__p1__Lorg_yaml_model_YMap__s_Option(filterMap) : this$5);
        const this$7 = (this$6.isEmpty__Z() ? this.detectAnyOf__p1__Lorg_yaml_model_YMap__s_Option(filterMap) : this$6);
        return (this$7.isEmpty__Z() ? this.detectTypeOrSchema__p1__Lorg_yaml_model_YMap__s_Option(filterMap) : this$7)
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((x$5 === x1)) {
          return new $c_s_Some().init___O(this.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef())
        } else {
          const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f);
          const x1$2 = scalar.text$3;
          if ((x1$2 !== null)) {
            if (((((x1$2.length | 0) >= 0) && (x1$2.substring(0, ("<<".length | 0)) === "<<")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(x1$2, ">>"))) {
              const this$13 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
              const node$1 = this.parent$1;
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$13, node$1, "Trait/Resource Type parameter in type", node);
              return $m_s_None$()
            }
          };
          if ((x1$2 !== null)) {
            let jsx$1;
            if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x1$2, "?")) {
              const str = x1$2.split("?").join("");
              jsx$1 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z(this, str)
            } else {
              jsx$1 = false
            };
            if (jsx$1) {
              return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$())
            }
          };
          const o16 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$().unapply__T__s_Option(x1$2);
          if ((!o16.isEmpty__Z())) {
            return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$())
          };
          const o18 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(x1$2);
          if ((!o18.isEmpty__Z())) {
            return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$())
          };
          const o20 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(x1$2);
          if ((!o20.isEmpty__Z())) {
            const text = o20.get__O();
            const adopt = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
              return (function(shape$2) {
                const shape = shape$2;
                return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape, "/")
              })
            })(this));
            const part = new $c_s_Some().init___O(node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f));
            const ctx = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
            const this$17 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, true, ctx).parse__T__s_Option(text);
            let this$18;
            if (this$17.isEmpty__Z()) {
              this$18 = $m_s_None$()
            } else {
              const arg1 = this$17.get__O();
              const s = arg1;
              this$18 = this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(s, node, this.recursive$1, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f)
            };
            if (this$18.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$1 = this$18.get__O();
              const x0$1 = arg1$1;
              const x$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$();
              let jsx$2;
              if ((x$1 === x0$1)) {
                jsx$2 = true
              } else {
                const x$3$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                jsx$2 = (x$3$1 === x0$1)
              };
              return new $c_s_Some().init___O(((jsx$2 && (!this.recursive$1)) ? $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$() : x0$1))
            }
          };
          if ((x1$2 !== null)) {
            const x$8 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
            $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
            const x$9 = "";
            const x$10 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(x1$2, x$9, x$8);
            const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
            if (((x$10 !== null) && (x$10 === x$11))) {
              let rc7 = false;
              let x2 = null;
              const x1$3 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(scalar.text$3, $m_Lamf_core_parser_SearchScope$All$());
              if ($is_s_Some(x1$3)) {
                rc7 = true;
                x2 = x1$3;
                const ancestor = x2.value$2;
                if (this.recursive$1) {
                  return this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().apply__Lamf_core_model_domain_Shape__Lorg_yaml_model_YNode__Z__Lamf_core_parser_ParserContext__s_Option(ancestor, node, this.recursive$1, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f)
                }
              };
              if ((rc7 && (!this.recursive$1))) {
                return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())
              };
              const x$12 = $m_s_None$();
              if ((x$12 === x1$3)) {
                return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$())
              };
              throw new $c_s_MatchError().init___O(x1$3)
            }
          };
          const t = scalar.text$3;
          if (this.format$1.isDefined__Z()) {
            const this$19 = this.format$1;
            if (this$19.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$2 = this$19.get__O();
              const f = arg1$2;
              return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(t, f, ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())))
            }
          } else {
            return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(t, ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), ""), ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$(), $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())))
          }
        }
      }
    }
  };
  InheritsTypeDetecter__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$InheritsTypeDetecter$() {
    if ((this.InheritsTypeDetecter$module$1 === null)) {
      this.InheritsTypeDetecter$lzycompute$1__p1__V()
    };
    return this.InheritsTypeDetecter$module$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  typeOrSchema__Lorg_yaml_model_YMap__s_Option(map) {
    const type = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
    const schema = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
    if ((!type.isEmpty__Z())) {
      const arg1 = type.get__O();
      if ((!schema.isEmpty__Z())) {
        const arg1$1 = schema.get__O();
        const s = arg1$1;
        const this$3 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
        const ast = s.key$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__Lorg_yaml_model_YPart__V(this$3, "'schema' and 'type' properties are mutually exclusive", ast)
      }
    };
    if ((!schema.isEmpty__Z())) {
      const arg1$2 = schema.get__O();
      const s$1 = arg1$2;
      const this$4 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f;
      const ast$1 = s$1.key$1;
      $f_Lamf_core_parser_ErrorHandler__warning__T__Lorg_yaml_model_YPart__V(this$4, "'schema' keyword it's deprecated for 1.0 version, should use 'type' instead", ast$1)
    };
    return (type.isEmpty__Z() ? schema : type)
  };
  detectTypeOrSchema__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$1 = map.entries$3;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      const this$2 = this.typeOrSchema__Lorg_yaml_model_YMap__s_Option(map);
      let fromExplicitType;
      if (this$2.isEmpty__Z()) {
        fromExplicitType = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const e = arg1;
        const x$10 = this.parent$1;
        const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("format");
        const this$7 = (this$4.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("format").asRamlAnnotation__T()) : this$4);
        let x$11;
        if (this$7.isEmpty__Z()) {
          x$11 = $m_s_None$()
        } else {
          const arg1$1 = this$7.get__O();
          const x$3 = arg1$1;
          x$11 = new $c_s_Some().init___O(x$3.value$1.toString__T())
        };
        const x$13 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$();
        const result = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector().init___T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(x$10, x$11, x$13, true, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeDetector$$ctx$f).detect__Lorg_yaml_model_YNode__s_Option(e.value$1);
        let rc6 = false;
        let x2 = null;
        matchEnd7: {
          if ($is_s_Some(result)) {
            rc6 = true;
            x2 = result;
            const t = x2.value$2;
            const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
            if (((t !== null) && (t === x$2))) {
              fromExplicitType = $m_s_None$();
              break matchEnd7
            }
          };
          if (rc6) {
            const other = x2.value$2;
            fromExplicitType = new $c_s_Some().init___O(other);
            break matchEnd7
          };
          const x$4 = $m_s_None$();
          if ((x$4 === result)) {
            fromExplicitType = result;
            break matchEnd7
          };
          throw new $c_s_MatchError().init___O(result)
        }
      };
      const x = $m_s_None$();
      if ((x === fromExplicitType)) {
        return this.ShapeClassTypeDefMatcher__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector$ShapeClassTypeDefMatcher$().fetchByRamlSyntax__Lorg_yaml_model_YMap__s_Option(map)
      } else {
        return fromExplicitType
      }
    } else {
      return new $c_s_Some().init___O(this.defaultType$1.typeDef__Lamf_plugins_domain_shapes_models_TypeDef())
    }
  };
  detectAnyOf__p1__Lorg_yaml_model_YMap__s_Option(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("anyOf");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$())
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeDetector", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetector;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null
  };
  productPrefix__T() {
    return "RamlTypeExpressionEmitter"
  };
  productArity__I() {
    return 1
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.shape$1;
    jsx$1.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__typeExpression__T(this$1), $m_Lorg_yaml_model_YType$().Str$1)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter(x$1)) {
      const RamlTypeExpressionEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlTypeExpressionEmitter$1.shape$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_Shape(shape) {
    this.shape$1 = shape;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.shape$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeExpressionEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeExpressionEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "RamlXoneConstraintEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter(x$1)) {
      const RamlXoneConstraintEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlXoneConstraintEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlXoneConstraintEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlXoneConstraintEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    const jsx$2 = shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Xone$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(s, $this.ordering$1, $m_s_None$(), $m_sci_Nil$(), $this.references$1, $this.spec$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("(amf-xone)");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(x$16$2) {
        const x$16 = x$16$2;
        x$16.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$2 = this.emitters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$17$2) {
        const x$17 = x$17$2;
        return x$17.position__Lamf_core_parser_Position()
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const this$3 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2).sortBy__F1__s_math_Ordering__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$18$2) {
        const x$18 = x$18$2;
        return x$18.line$1
      })
    })(this)), $m_s_math_Ordering$Int$()).headOption__s_Option();
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlXoneConstraintEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlXoneConstraintEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter extends $c_O {
  constructor() {
    super();
    this.variable$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "VariableEmitter"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_core_model_domain_templates_VariableValue__Lamf_core_emitter_SpecOrdering(variable, ordering) {
    this.variable$1 = variable;
    this.ordering$1 = ordering;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter(x$1)) {
      const VariableEmitter$1 = x$1;
      const x = this.variable$1;
      const x$2 = VariableEmitter$1.variable$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = VariableEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.variable$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.variable$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1);
    const this$3 = this$2.option$1;
    const str = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$5 = this.variable$1;
    new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.variable$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.VariableEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_VariableEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "XMLSerializerEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter(x$1)) {
      const XMLSerializerEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === XMLSerializerEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = XMLSerializerEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = XMLSerializerEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.f$1;
    const fs = this$3.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1);
    let jsx$1;
    if (this$4.isEmpty__Z()) {
      jsx$1 = true
    } else {
      const arg1 = this$4.get__O();
      const x$21 = arg1;
      jsx$1 = x$21.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let this$5;
    if (jsx$1) {
      this$5 = this$4
    } else {
      this$5 = $m_s_None$()
    };
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("attribute", f, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1);
    let jsx$2;
    if (this$7.isEmpty__Z()) {
      jsx$2 = true
    } else {
      const arg1$2 = this$7.get__O();
      const x$22 = arg1$2;
      jsx$2 = x$22.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let this$8;
    if (jsx$2) {
      this$8 = this$7
    } else {
      this$8 = $m_s_None$()
    };
    if ((!this$8.isEmpty__Z())) {
      const arg1$3 = this$8.get__O();
      const f$3 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("wrapped", f$3, $m_s_None$())))
    };
    const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1);
    let jsx$3;
    if (this$10.isEmpty__Z()) {
      jsx$3 = true
    } else {
      const arg1$4 = this$10.get__O();
      const x$23 = arg1$4;
      jsx$3 = x$23.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    };
    let this$11;
    if (jsx$3) {
      this$11 = this$10
    } else {
      this$11 = $m_s_None$()
    };
    if ((!this$11.isEmpty__Z())) {
      const arg1$5 = this$11.get__O();
      const f$4 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f$4, $m_s_None$())))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$6 = this$13.get__O();
      const f$5 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("namespace", f$5, $m_s_None$())))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$7 = this$15.get__O();
      const f$6 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("prefix", f$6, $m_s_None$())))
    };
    const this$17 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$17.value$1.value$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const jsx$4 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$23 = v.builder$1;
    const array = [key];
    if ((this$23.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$23.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$23, newSize);
    const len$1 = this$23.size0$6;
    const src = this$23.array$6;
    const dest = this$23.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$23.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$23.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.XMLSerializerEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_XMLSerializerEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null;
    this.entries$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "ExampleValuesEmitter"
  };
  productArity__I() {
    return 2
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.emitters$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const values = x3.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(values), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter(x$1)) {
      const ExampleValuesEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = ExampleValuesEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ExampleValuesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = example.fields$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1, $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1, $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1, $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().CustomDomainProperties__Lamf_core_metamodel_Field()]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const this$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    $m_sci_List$();
    const b = new $c_scm_ListBuffer().init___();
    let these = this$3;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const f = arg1;
      const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option(f);
      let jsx$1;
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const entry = x2.value$2;
        jsx$1 = (!entry.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
      } else {
        const x = $m_s_None$();
        if ((!(x === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        jsx$1 = false
      };
      if ((jsx$1 !== false)) {
        b.$$plus$eq__O__scm_ListBuffer(arg1)
      };
      these = these.tail__O()
    };
    const explicitFielMeta = b.toList__sci_List();
    const this$5 = fs.fieldsMeta__sci_List();
    let jsx$2;
    inlinereturn$26: {
      let these$1 = this$5;
      while ((!these$1.isEmpty__Z())) {
        const arg1$1 = these$1.head__O();
        const x$11 = arg1$1;
        if ($f_sc_LinearSeqOptimized__contains__O__Z(explicitFielMeta, x$11)) {
          jsx$2 = true;
          break inlinereturn$26
        };
        these$1 = these$1.tail__O()
      };
      jsx$2 = false
    };
    let isExpanded;
    if (jsx$2) {
      isExpanded = true
    } else {
      const this$6 = example.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1).option$1;
      if ((!this$6.isEmpty__Z())) {
        const arg1$2 = this$6.get__O();
        const x$12 = arg1$2;
        isExpanded = ((x$12.indexOf("value") | 0) !== (-1))
      } else {
        isExpanded = false
      }
    };
    if (isExpanded) {
      const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1);
      if ((!this$10.isEmpty__Z())) {
        const arg1$3 = this$10.get__O();
        const f$3 = arg1$3;
        results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("displayName", f$3, $m_s_None$(), this.spec$1))
      };
      const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1);
      if ((!this$12.isEmpty__Z())) {
        const arg1$4 = this$12.get__O();
        const f$4 = arg1$4;
        results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f$4, $m_s_None$(), this.spec$1))
      };
      if ((fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).isDefined__Z() && (!fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1).get__O().value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())))) {
        const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1);
        if ((!this$14.isEmpty__Z())) {
          const arg1$5 = this$14.get__O();
          const f$5 = arg1$5;
          results.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("strict", f$5, $m_s_None$(), this.spec$1))
        }
      };
      const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1);
      if (this$16.isEmpty__Z()) {
        const this$17 = this.example$1;
        const this$18 = this$17.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1).option$1;
        if ((!this$18.isEmpty__Z())) {
          const arg1$6 = this$18.get__O();
          const s = arg1$6;
          results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(s))
        }
      } else {
        const arg1$7 = this$16.get__O();
        const f$6 = arg1$7;
        const this$19 = this.example$1;
        const x$17 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
        const this$21 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const annotations = f$6.value$1.annotations$1;
        const x$18 = this$21.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
        const x$19 = $m_Lorg_yaml_model_YType$().Str$1;
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("value", x$17, x$19, x$18))
      };
      results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec).emitters__sc_Seq())
    } else {
      const this$23 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1);
      if (this$23.isEmpty__Z()) {
        const this$24 = this.example$1;
        const this$25 = this$24.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1).option$1;
        if ((!this$25.isEmpty__Z())) {
          const arg1$8 = this$25.get__O();
          const s$1 = arg1$8;
          results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(s$1))
        }
      } else {
        const arg1$9 = this$23.get__O();
        const this$26 = this.example$1;
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$26.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())))
      }
    };
    this.entries$1 = results;
    const x1$1 = this.entries$1;
    let jsx$3;
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1$1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_s_package$();
          jsx$3 = new $c_s_util_Left().init___O(x3);
          break matchEnd5
        }
      };
      if (x1$1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1) {
        return (function(x$13$2) {
          const x$13 = x$13$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$13)
        })
      })(this)))) {
        $m_s_package$();
        const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter(this);
        const this$30 = $m_sc_Seq$();
        const value = x1$1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$4, this$30.ReusableCBFInstance$2);
        jsx$3 = new $c_s_util_Right().init___O(value);
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$1]))))
    };
    this.emitters$1 = jsx$3;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.example$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ExampleValuesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.examples$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "MultipleExampleEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter(x$1)) {
      const MultipleExampleEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === MultipleExampleEmitter$1.key$1)) {
        const x = this.examples$1;
        const x$2 = MultipleExampleEmitter$1.examples$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = MultipleExampleEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = MultipleExampleEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.examples$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if (this.examples$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$2 = this.examples$1.head__O();
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2).isDefined__Z()) {
        const this$3 = this.examples$1.head__O();
        const this$4 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$3);
        if ((!this$4.isEmpty__Z())) {
          const arg1 = this$4.get__O();
          const l = arg1;
          const jsx$1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().tagToReferenceEmitter__F3();
          const this$5 = this.examples$1.head__O();
          jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
        }
      } else {
        const jsx$3 = this.examples$1;
        const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$7$2) {
            const x$7 = x$7$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x$7, this$2$1.ordering$1, this$2$1.spec$1)
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        const emitters = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$6.ReusableCBFInstance$2);
        const jsx$4 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      };
      const this$12 = v.builder$1;
      const array = [key];
      if ((this$12.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$12.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
      const len$1 = this$12.size0$6;
      const src = this$12.array$6;
      const dest = this$12.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$12.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$12.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, examples, ordering, references, spec) {
    this.key$1 = key;
    this.examples$1 = examples;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.examples$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const h = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = h.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.MultipleExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_MultipleExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "NamedExampleEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter(x$1)) {
      const NamedExampleEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = NamedExampleEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = NamedExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.example$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1);
    const this$3 = this$2.option$1;
    const str = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.example$1, this.ordering$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.example$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.NamedExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser {
  constructor() {
    super();
    this.map$2 = null;
    this.api$2 = null
  };
  productPrefix__T() {
    return "Oas2ServersParser"
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, api, ctx) {
    this.map$2 = map;
    this.api$2 = api;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser.prototype.init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, map, api, ctx);
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser(x$1)) {
      const Oas2ServersParser$1 = x$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Oas2ServersParser$1.map$2)) {
        const x = this.api$2;
        const x$2 = Oas2ServersParser$1.api$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.api$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext() {
    return this.ctx$1
  };
  parse__V() {
    if (this.baseUriExists__Lorg_yaml_model_YMap__Z(this.map$2)) {
      let elem$1 = null;
      elem$1 = "";
      let elem$1$1 = null;
      elem$1$1 = "";
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const map = this.map$2;
      const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("basePath");
      if ((!this$5.isEmpty__Z())) {
        const arg1 = this$5.get__O();
        const entry = arg1;
        const range = $m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(entry.range$1);
        annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_BasePathLexicalInformation().init___Lamf_core_parser_Range(range));
        elem$1$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1);
        const thiz = elem$1$1;
        if ((!(((thiz.length | 0) >= 0) && (thiz.substring(0, ("/".length | 0)) === "/")))) {
          const this$12 = this.ctx$1;
          const node = this.api$2.id$1;
          const ast = entry.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$12, node, "'basePath' property must start with '/'", ast);
          elem$1$1 = ("/" + elem$1$1)
        }
      };
      const map$1 = this.map$2;
      const this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("host");
      if ((!this$14.isEmpty__Z())) {
        const arg1$1 = this$14.get__O();
        const entry$3 = arg1$1;
        const range$1 = $m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(entry$3.range$1);
        annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_HostLexicalInformation().init___Lamf_core_parser_Range(range$1));
        elem$1 = entry$3.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$1)
      };
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$20 = new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((("" + elem$1) + elem$1$1), new $c_Lamf_core_parser_Annotations().init___());
      const server = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$20, field, value, annotations);
      const map$2 = this.map$2;
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
      const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("serverDescription").asOasExtension__T();
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1;
      const iv = this.ctx$1;
      jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(server));
      const map$3 = this.map$2;
      const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
      const keyword = new $c_Lamf_core_utils_package$Strings().init___T("baseUriParameters").asOasExtension__T();
      const this$26 = this$25.key__T__s_Option(keyword);
      if ((!this$26.isEmpty__Z())) {
        const arg1$2 = this$26.get__O();
        const entry$4 = arg1$2;
        const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersParser().init___Lorg_yaml_model_YMap__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$1), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, server$2) {
          return (function(name$2) {
            const name = name$2;
            return server$2.withVariable__T__Lamf_plugins_domain_webapi_models_Parameter(name)
          })
        })(this, server)), false, $m_Lamf_plugins_document_webapi_parser_spec_package$().toRaml__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.ctx$1)).parse__sc_Seq();
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$5$2) {
            const x$5 = x$5$2;
            const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(x$5, field$2, "path")
          })
        })(this));
        const this$27 = $m_sc_Seq$();
        const uriParameters = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$27.ReusableCBFInstance$2);
        const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(uriParameters, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
        const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(server, field$3, value$1, annotations$2)
      };
      const this$29 = this.api$2;
      const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1;
      const jsx$5 = $m_sc_Seq$();
      const annotation = new $c_Lamf_core_annotations_SynthesizedField().init___();
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$5.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(server, annotation)])), new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$29, field$4, value$2)
    };
    this.parseServers__T__V(new $c_Lamf_core_utils_package$Strings().init___T("servers").asOasExtension__T())
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  baseUriExists__Lorg_yaml_model_YMap__Z(map) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("host");
    return (this$2.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("basePath") : this$2).isDefined__Z()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Oas2ServersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas2ServersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser {
  constructor() {
    super();
    this.map$2 = null;
    this.api$2 = null
  };
  productPrefix__T() {
    return "Oas3ServersParser"
  };
  init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext(map, api, ctx) {
    this.map$2 = map;
    this.api$2 = api;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser.prototype.init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, map, api, ctx);
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser(x$1)) {
      const Oas3ServersParser$1 = x$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Oas3ServersParser$1.map$2)) {
        const x = this.api$2;
        const x$2 = Oas3ServersParser$1.api$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.api$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext() {
    return this.ctx$1
  };
  parse__V() {
    this.parseServers__T__V("servers")
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Oas3ServersParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_OasServersParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Oas3ServersParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter extends $c_O {
  constructor() {
    super();
    this.oasParameters$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__sc_Seq__sc_Seq($$outer, oasParameters, references) {
    this.oasParameters$1 = oasParameters;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "OasParameterEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OasParameterEmitter$1 = x$1;
      const x = this.oasParameters$1;
      const x$2 = OasParameterEmitter$1.oasParameters$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = OasParameterEmitter$1.references$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.oasParameters$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if ((this.oasParameters$1.nonEmpty__Z() || this.$$outer$1.payloads$1.nonEmpty__Z())) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.$$outer$1.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.$$outer$1.amf$plugins$document$webapi$parser$spec$domain$OasParametersEmitter$$parameters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.oasParameters$1, this.$$outer$1.ordering$1, this.references$1), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$7 = v.builder$1;
      const array = [key];
      if ((this$7.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$7.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
      const len$1 = this$7.size0$6;
      const src = this$7.array$6;
      const dest = this$7.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$7.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$7.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.oasParameters$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = p.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    if (this$3.isEmpty__Z()) {
      const this$4 = this.$$outer$1.payloads$1.headOption__s_Option();
      let this$6;
      if (this$4.isEmpty__Z()) {
        this$6 = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const p$1 = arg1$1;
        const this$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const annotations$1 = p$1.annotations$1;
        this$6 = new $c_s_Some().init___O(this$5.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations$1, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
      };
      return (this$6.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$6.get__O())
    } else {
      return this$3.get__O()
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersEmitter$OasParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$OasParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.ramlParameters$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "XRamlParameterEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const XRamlParameterEmitter$1 = x$1;
      if ((this.key$1 === XRamlParameterEmitter$1.key$1)) {
        const x = this.ramlParameters$1;
        const x$2 = XRamlParameterEmitter$1.ramlParameters$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.ramlParameters$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    if (this.ramlParameters$1.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$4 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const jsx$2 = this.ramlParameters$1;
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(p$2) {
          const p = p$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(p, $this.$$outer$1.ordering$1, $m_sci_Nil$(), new $c_Lamf_plugins_document_webapi_contexts_XRaml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$()))
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$9 = v.builder$1;
      const array = [key];
      if ((this$9.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$9.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
      const len$1 = this$9.size0$6;
      const src = this$9.array$6;
      const dest = this$9.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$9.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$9.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter__T__sc_Seq($$outer, key, ramlParameters) {
    this.key$1 = key;
    this.ramlParameters$1 = ramlParameters;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.ramlParameters$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = p.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametersEmitter$XRamlParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter$XRamlParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasPayloadEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const fs = this.payload$1.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("mediaType", f, $m_s_None$())))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(((!f$3.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$3, this.ordering$1, this.references$1, this.spec$1)) : (void 0)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter(x$1)) {
      const OasPayloadEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = OasPayloadEmitter$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasPayloadEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPayloadEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.payload$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloadEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.payloads$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasPayloadsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter(x$1)) {
      const OasPayloadsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasPayloadsEmitter$1.key$1)) {
        const x = this.payloads$1;
        const x$2 = OasPayloadsEmitter$1.payloads$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasPayloadsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasPayloadsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.payloads$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.payloads$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(p, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, payloads, ordering, references, spec) {
    this.key$1 = key;
    this.payloads$1 = payloads;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const filtered = this.payloads$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        const this$1 = p.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if ((!this$1.isEmpty__Z())) {
          const arg1 = this$1.get__O();
          const x$3 = arg1;
          return (!x$3.range__Lamf_core_parser_Range().start$1.isZero__Z())
        } else {
          return false
        }
      })
    })(this)));
    const result = filtered.foldLeft__O__F2__O($m_Lamf_core_parser_Position$ZERO$(), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2) {
      return (function(pos$2, p$3$2) {
        const pos = pos$2;
        const p$3 = p$3$2;
        const this$3 = p$3.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let this$4;
        if (this$3.isEmpty__Z()) {
          this$4 = $m_s_None$()
        } else {
          const arg1$1 = this$3.get__O();
          const x$4 = arg1$1;
          this$4 = new $c_s_Some().init___O(x$4.range__Lamf_core_parser_Range().start$1)
        };
        let jsx$1;
        if (this$4.isEmpty__Z()) {
          jsx$1 = true
        } else {
          const arg1$2 = this$4.get__O();
          const newPos = arg1$2;
          jsx$1 = (pos.isZero__Z() || pos.lt__Lamf_core_parser_Position__Z(newPos))
        };
        let this$5;
        if (jsx$1) {
          this$5 = this$4
        } else {
          this$5 = $m_s_None$()
        };
        return (this$5.isEmpty__Z() ? pos : this$5.get__O())
      })
    })(this)));
    return result
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasPayloadsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter extends $c_O {
  constructor() {
    super();
    this.response$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasResponseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter(x$1)) {
      const OasResponseEmitter$1 = x$1;
      const x = this.response$1;
      const x$2 = OasResponseEmitter$1.response$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasResponseEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasResponseEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.response$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.response$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.response$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      this.spec$1.localReference__Lamf_core_model_domain_Linkable__Lamf_core_emitter_PartEmitter(this.response$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      const jsx$5 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1);
      let this$10;
      if (this$6.isEmpty__Z()) {
        const jsx$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations("", new $c_Lamf_core_parser_Annotations().init___());
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        this$10 = new $c_s_Some().init___O(new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$1, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations$1)))
      } else {
        this$10 = this$6
      };
      if ((!this$10.isEmpty__Z())) {
        const arg1 = this$10.get__O();
        const f = arg1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f, $m_s_None$())))
      };
      const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
      if ((!this$12.isEmpty__Z())) {
        const arg1$1 = this$12.get__O();
        const f$3 = arg1$1;
        const jsx$3 = this.ordering$1;
        const jsx$2 = this.references$1;
        const spec = this.spec$1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("headers", f$3, jsx$3, jsx$2, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
      };
      const jsx$4 = $m_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$();
      const this$14 = this.response$1;
      const payloads = jsx$4.apply__sc_Seq__Z__Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1), false);
      const this$15 = payloads.default$1;
      if ((!this$15.isEmpty__Z())) {
        const arg1$2 = this$15.get__O();
        const payload = arg1$2;
        const this$16 = payload.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
        if ((!this$16.isEmpty__Z())) {
          const arg1$3 = this$16.get__O();
          const f$1 = arg1$3;
          new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("mediaType").asOasExtension__T(), f$1, $m_s_None$())))
        };
        const this$19 = payload.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
        if ((!this$19.isEmpty__Z())) {
          const arg1$4 = this$19.get__O();
          const f$3$1 = arg1$4;
          new $c_s_Some().init___O(((!f$3$1.value$1.value$1.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())) ? result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$3$1, this.ordering$1, this.references$1, this.spec$1)) : (void 0)))
        }
      };
      if (payloads.other$1.nonEmpty__Z()) {
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("responsePayloads").asOasExtension__T(), payloads.other$1, this.ordering$1, this.references$1, this.spec$1))
      };
      const this$21 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
      if ((!this$21.isEmpty__Z())) {
        const arg1$5 = this$21.get__O();
        const f$4 = arg1$5;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering("examples", f$4, this.ordering$1)))
      };
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.response$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
    };
    const this$26 = k.builder$1;
    const jsx$6 = $f_scm_ResizableArray__apply__I__O(this$26, 0);
    const this$27 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$6, $f_scm_ResizableArray__apply__I__O(this$27, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(response, ordering, references, spec) {
    this.response$1 = response;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.response$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter extends $c_O {
  constructor() {
    super();
    this.example$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasResponseExampleEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter(x$1)) {
      const OasResponseExampleEmitter$1 = x$1;
      const x = this.example$1;
      const x$2 = OasResponseExampleEmitter$1.example$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasResponseExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.example$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.example$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1);
    if (this$1.isEmpty__Z()) {
      const this$2 = this.example$1;
      const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1).option$1;
      if ((!this$3.isEmpty__Z())) {
        const arg1 = this$3.get__O();
        const s = arg1;
        $m_Lorg_yaml_model_YNode$();
        const this$4 = this.example$1;
        const this$5 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1);
        const this$6 = this$5.option$1;
        const str = (this$6.isEmpty__Z() ? null : this$6.get__O());
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
        const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter().init___T(s).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
        const this$8 = v.builder$1;
        const array = [key];
        if ((this$8.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$8.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
        const len$1 = this$8.size0$6;
        const src = this$8.array$6;
        const dest = this$8.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs = this$8.array$6;
        const len$2 = xs.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$1 = j;
          const index = i;
          xs.u[jsx$1] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$8.size0$6 = newSize;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
      }
    } else {
      const arg1$1 = this$1.get__O();
      $m_Lorg_yaml_model_YNode$();
      const this$19 = this.example$1;
      const this$20 = this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1);
      const this$21 = this$20.option$1;
      const str$1 = (this$21.isEmpty__Z() ? null : this$21.get__O());
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const this$23 = this.example$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(this$23.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
      const this$25 = v$1.builder$1;
      const array$1 = [key$1];
      if ((this$25.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$25.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$25, newSize$1);
      const len$4 = this$25.size0$6;
      const src$1 = this$25.array$6;
      const dest$1 = this$25.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$25.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$2 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$2] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$25.size0$6 = newSize$1;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    }
  };
  init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering(example, ordering) {
    this.example$1 = example;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.example$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasResponseExamplesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter(x$1)) {
      const OasResponseExamplesEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OasResponseExamplesEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OasResponseExamplesEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OasResponseExamplesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter(this);
    const this$2 = $m_sc_Seq$();
    const examples = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$6 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$4 = this.ordering$1;
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering(x$2, $this.ordering$1)
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    jsx$5.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$4.sorted__sc_Seq__sc_Seq(examples.map__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$7 = j;
      const index = i;
      xs.u[jsx$7] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.f$1;
    const this$2 = this$1.value$1.value$1.values$1.headOption__s_Option();
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const a = arg1;
      const this$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations__Lamf_core_parser_Annotations();
      this$4 = new $c_s_Some().init___O(this$3.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasResponseExamplesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter extends $c_O {
  constructor() {
    super();
    this.server$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasServerEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const fs = this.server$1.fields$1;
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("url", f, $m_s_None$())))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$4, this.ordering$1, this.spec$1)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.server$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
    const jsx$1 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter(x$1)) {
      const OasServerEmitter$1 = x$1;
      const x = this.server$1;
      const x$2 = OasServerEmitter$1.server$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasServerEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.server$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_Server__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(server, ordering, spec) {
    this.server$1 = server;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.server$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasServerEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter extends $c_O {
  constructor() {
    super();
    this.variable$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "OasServerVariableEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter(x$1)) {
      const OasServerVariableEmitter$1 = x$1;
      const x = this.variable$1;
      const x$2 = OasServerVariableEmitter$1.variable$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = OasServerVariableEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.variable$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  entries__p1__Lamf_plugins_domain_webapi_models_Parameter__sc_Seq(variable) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const shape = variable.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
    const fs = shape.fields__Lamf_core_parser_Fields();
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Description$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f, $m_s_None$())))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Values$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", f$3, this.ordering$1, false)))
    };
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f$4 = x2.value$2;
      const x$21 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_DataNodeEmitter().init___Lamf_core_model_domain_DataNode__Lamf_core_emitter_SpecOrdering__Z__scm_Map(shape.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Default$1), this.ordering$1, false, $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
      const this$5 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = f$4.value$1.annotations$1;
      const x$22 = this$5.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
      const x$23 = $m_Lorg_yaml_model_YType$().Str$1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", x$21, x$23, x$22))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("default", "", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    return result
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.variable$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    const this$3 = this$2.option$1;
    const str = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.entries__p1__Lamf_plugins_domain_webapi_models_Parameter__sc_Seq(this.variable$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$10 = v.builder$1;
    const array = [key];
    if ((this$10.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$10.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$10, newSize);
    const len$1 = this$10.size0$6;
    const src = this$10.array$6;
    const dest = this$10.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$10.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$10.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering(variable, ordering) {
    this.variable$1 = variable;
    this.ordering$1 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.variable$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasServerVariableEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasServerVariablesEmitter"
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter(x$1)) {
      const OasServerVariablesEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = OasServerVariablesEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasServerVariablesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.f$1;
    const all = this$1.arrayValues__sc_Seq();
    const hasNonOas3Variables = all.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return (!$m_Lamf_plugins_document_webapi_parser_spec_domain_Servers$().isVariable__Lamf_plugins_domain_webapi_models_Parameter__Z(x$5))
      })
    })(this)));
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("variables");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.variables__p1__sc_Seq__sc_Seq(all), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
    if (hasNonOas3Variables) {
      const jsx$6 = new $c_Lamf_core_utils_package$Strings().init___T("parameters").asOasExtension__T();
      const jsx$5 = this.f$1;
      const jsx$4 = this.ordering$1;
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const spec = this.spec$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(jsx$6, jsx$5, jsx$4, jsx$3, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  variables__p1__sc_Seq__sc_Seq(vars) {
    const jsx$2 = this.ordering$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(v$2) {
        const v = v$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariableEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering(v, $this.ordering$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.sorted__sc_Seq__sc_Seq(vars.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.f$1;
    const annotations = this$1.value$1.value$1.annotations__Lamf_core_parser_Annotations();
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasServerVariablesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasServerVariablesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "ParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$2 = this.parameter$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2).isDefined__Z()) {
      const jsx$1 = this.spec$1;
      const this$4 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
      const this$3 = this.parameter$1;
      const url = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$3).get__O();
      jsx$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$4.appendPrefix__p1__T__T__T(this$4.parameterDefinitionsPrefix$1, url))
    } else {
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const fs = this.parameter$1.fields$1;
      const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1);
      const this$6 = (this$5.isEmpty__Z() ? fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1) : this$5);
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const f = arg1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f, $m_s_None$())))
      };
      const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1);
      if ((!this$8.isEmpty__Z())) {
        const arg1$1 = this$8.get__O();
        const f$3 = arg1$1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
      };
      const this$10 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
      let jsx$2;
      if (this$10.isEmpty__Z()) {
        jsx$2 = true
      } else {
        const arg1$2 = this$10.get__O();
        const x$21 = arg1$2;
        if (x$21.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())) {
          jsx$2 = true
        } else {
          const this$11 = this.parameter$1;
          const this$12 = this$11.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
          jsx$2 = $f_Lamf_core_model_BoolField__value__Z(this$12)
        }
      };
      let this$13;
      if (jsx$2) {
        this$13 = this$10
      } else {
        this$13 = $m_s_None$()
      };
      if ((!this$13.isEmpty__Z())) {
        const arg1$3 = this$13.get__O();
        const f$4 = arg1$3;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("required", f$4, $m_s_None$())))
      };
      const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
      if ((!this$15.isEmpty__Z())) {
        const arg1$4 = this$15.get__O();
        const f$5 = arg1$4;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter("in", $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1, this.binding__Lamf_core_parser_FieldEntry__T(f$5), f$5.value$1.annotations$1)))
      };
      const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
      if ((!this$16.isEmpty__Z())) {
        const arg1$5 = this$16.get__O();
        const f$6 = arg1$5;
        const this$17 = this.parameter$1;
        const this$18 = this$17.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
        if ($f_Lamf_core_model_ValueField__is__O__Z(this$18, "body")) {
          result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$6, this.ordering$1, this.references$1, this.spec$1))
        } else {
          result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$6.value$1.value$1, this.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().Description$1])), this.references$1, this.spec$1).entries__sc_Seq())
        }
      };
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.parameter$1, this.ordering$1, this.spec$1).emitters__sc_Seq());
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter(x$1)) {
      const ParameterEmitter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = ParameterEmitter$1.parameter$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = ParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = ParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  binding__Lamf_core_parser_FieldEntry__T(f) {
    const x1 = f.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_InvalidBinding.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const invalid = x2.value$2;
      return invalid.value$1
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$1 = f.value$1;
        return this$1.value$1.toString__T()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.parameter$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$1 = parameter;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "PayloadAsParameterEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$3 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const jsx$1 = $m_s_Option$();
    const this$2 = this.payload$1;
    const this$3 = jsx$1.apply__O__s_Option(this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
    let jsx$2;
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const x$23 = arg1;
      jsx$2 = $is_Lamf_plugins_domain_shapes_models_FileShape(x$23)
    } else {
      jsx$2 = false
    };
    if ((jsx$2 || this.payload$1.annotations$1.find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_FormBodyParameter.getClassOf()).isDefined__Z())) {
      const this$4 = this.payload$1;
      const fs = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1).fields__Lamf_core_parser_Fields();
      const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().Name$1);
      if ((!this$5.isEmpty__Z())) {
        const arg1$1 = this$5.get__O();
        const f = arg1$1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f, $m_s_None$())))
      };
      const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().Description$1);
      if ((!this$7.isEmpty__Z())) {
        const arg1$2 = this$7.get__O();
        const f$3 = arg1$2;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
      };
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("in", "formData", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
      const this$11 = this.payload$1;
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this$11.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1), this.ordering$1, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_core_metamodel_domain_ShapeModel$().Description$1])), this.references$1, this.spec$1).entries__sc_Seq());
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1).emitters__sc_Seq())
    } else {
      const this$12 = this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
      if ((!this$12.isEmpty__Z())) {
        const arg1$3 = this$12.get__O();
        const f$4 = arg1$3;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("mediaType").asOasExtension__T(), f$4, $m_s_None$())))
      };
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("in", this.binding__T(), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
      const this$17 = this.payload$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
      if ((!this$17.isEmpty__Z())) {
        const arg1$4 = this$17.get__O();
        const f$5 = arg1$4;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasSchemaEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f$5, this.ordering$1, this.references$1, this.spec$1)))
      };
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1).emitters__sc_Seq())
    };
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter(x$1)) {
      const PayloadAsParameterEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = PayloadAsParameterEmitter$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = PayloadAsParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = PayloadAsParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.payload$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  binding__T() {
    const x1 = this.payload$1.annotations$1.find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_InvalidBinding.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const invalid = x2.value$2;
      return invalid.value$1
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return "body"
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.PayloadAsParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_PayloadAsParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parent$2 = null;
    this.collector$2 = null;
    this.parseOptionalOperations$2 = false
  };
  productPrefix__T() {
    return "Raml08EndpointParser"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser(x$1)) {
      const Raml08EndpointParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08EndpointParser$1.entry$2;
      let jsx$3;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08EndpointParser$1.producer$2;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.parent$2;
        const x$6 = Raml08EndpointParser$1.parent$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.collector$2;
        const x$8 = Raml08EndpointParser$1.collector$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptionalOperations$2 === Raml08EndpointParser$1.parseOptionalOperations$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  uriParametersKey__T() {
    return "uriParameters|baseUriParameters"
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parent$2;
        break
      }
      case 3: {
        return this.collector$2;
        break
      }
      case 4: {
        return this.parseOptionalOperations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parent$2 = parent;
    this.collector$2 = collector;
    this.parseOptionalOperations$2 = parseOptionalOperations;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parent, collector, parseOptionalOperations, ctx);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parent$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.collector$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptionalOperations$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08EndpointParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndpointParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter extends $c_O {
  constructor() {
    super();
    this.nodeShape$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml08FormPropertiesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter(x$1)) {
      const Raml08FormPropertiesEmitter$1 = x$1;
      const x = this.nodeShape$1;
      const x$2 = Raml08FormPropertiesEmitter$1.nodeShape$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08FormPropertiesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.nodeShape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("formParameters");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$3 = this.nodeShape$1;
    this$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ob) {
      return (function(p$2) {
        const p = p$2;
        const x1 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
          const x2 = x1;
          $m_Lorg_yaml_model_YNode$();
          const this$4 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$5 = this$4.option$1;
          const str = (this$5.isEmpty__Z() ? null : this$5.get__O());
          const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, $this.ordering$1, $m_s_None$(), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), $this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
          const this$7 = v$1.builder$1;
          const array = [key$1];
          if ((this$7.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$7.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
          const len$1 = this$7.size0$6;
          const src = this$7.array$6;
          const dest = this$7.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$7.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x = (array.length | 0);
          const x$1 = ((x < len$2) ? x : len$2);
          const that = xs.u.length;
          const end = ((x$1 < that) ? x$1 : that);
          while ((i < end)) {
            const jsx$1 = j;
            const index = i;
            xs.u[jsx$1] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$7.size0$6 = newSize;
          ob.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
        } else {
          $m_Lorg_yaml_model_YNode$();
          const this$18 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
          const this$19 = this$18.option$1;
          const str$1 = (this$19.isEmpty__Z() ? null : this$19.get__O());
          const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
          const v$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit property ", " in raml 08 form properties"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1).toString__T()]))).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$2);
          const this$21 = v$2.builder$1;
          const array$1 = [key$2];
          if ((this$21.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len$3 = (array$1.length | 0);
          const newSize$1 = ((this$21.size0$6 + len$3) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize$1);
          const len$4 = this$21.size0$6;
          const src$1 = this$21.array$6;
          const dest$1 = this$21.array$6;
          $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
          const xs$1 = this$21.array$6;
          const len$5 = xs$1.u.length;
          let i$1 = 0;
          let j$1 = 0;
          const x$2 = (array$1.length | 0);
          const x$3 = ((x$2 < len$5) ? x$2 : len$5);
          const that$1 = xs$1.u.length;
          const end$1 = ((x$3 < that$1) ? x$3 : that$1);
          while ((i$1 < end$1)) {
            const jsx$2 = j$1;
            const index$1 = i$1;
            xs$1.u[jsx$2] = array$1[index$1];
            i$1 = ((1 + i$1) | 0);
            j$1 = ((1 + j$1) | 0)
          };
          this$21.size0$6 = newSize$1;
          ob.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$2.builder$1))
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$36 = v.builder$1;
    const array$2 = [key];
    if ((this$36.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$6 = (array$2.length | 0);
    const newSize$2 = ((this$36.size0$6 + len$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$36, newSize$2);
    const len$7 = this$36.size0$6;
    const src$2 = this$36.array$6;
    const dest$2 = this$36.array$6;
    $systemArraycopy(src$2, 0, dest$2, len$6, len$7);
    const xs$2 = this$36.array$6;
    const len$8 = xs$2.u.length;
    let i$2 = 0;
    let j$2 = 0;
    const x$4 = (array$2.length | 0);
    const x$5 = ((x$4 < len$8) ? x$4 : len$8);
    const that$2 = xs$2.u.length;
    const end$2 = ((x$5 < that$2) ? x$5 : that$2);
    while ((i$2 < end$2)) {
      const jsx$4 = j$2;
      const index$2 = i$2;
      xs$2.u[jsx$4] = array$2[index$2];
      i$2 = ((1 + i$2) | 0);
      j$2 = ((1 + j$2) | 0)
    };
    this$36.size0$6 = newSize$2;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(nodeShape, ordering, spec) {
    this.nodeShape$1 = nodeShape;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const this$1 = this.nodeShape$1;
    const annotations = this$1.annotations$2;
    return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08FormPropertiesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08FormPropertiesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser {
  constructor() {
    super();
    this.map$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.baseUriParametersKey$2 = null;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml08RequestParser"
  };
  baseUriParametersKey__T() {
    return this.baseUriParametersKey$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser(x$1)) {
      const Raml08RequestParser$1 = x$1;
      let jsx$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml08RequestParser$1.map$2)) {
        const x = this.producer$2;
        const x$2 = Raml08RequestParser$1.producer$2;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08RequestParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_utils_Lazy__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__V(request, target) {
    /*<skip>*/
  };
  init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$2 = map;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser.prototype.init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, map, producer, parseOptional, ctx);
    this.baseUriParametersKey$2 = "baseUriParameters";
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$();
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.map$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08RequestParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08RequestParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml08ResponseParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$();
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser(x$1)) {
      const Raml08ResponseParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08ResponseParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08ResponseParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08ResponseParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parseMap__Lamf_plugins_domain_webapi_models_Response__Lorg_yaml_model_YMap__V(response, map) {
    /*<skip>*/
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ResponseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parent$2 = null;
    this.collector$2 = null;
    this.parseOptionalOperations$2 = false
  };
  productPrefix__T() {
    return "Raml10EndpointParser"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser(x$1)) {
      const Raml10EndpointParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10EndpointParser$1.entry$2;
      let jsx$3;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10EndpointParser$1.producer$2;
        jsx$3 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.parent$2;
        const x$6 = Raml10EndpointParser$1.parent$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.collector$2;
        const x$8 = Raml10EndpointParser$1.collector$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptionalOperations$2 === Raml10EndpointParser$1.parseOptionalOperations$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  uriParametersKey__T() {
    return "uriParameters"
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parent$2;
        break
      }
      case 3: {
        return this.collector$2;
        break
      }
      case 4: {
        return this.parseOptionalOperations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parent, collector, parseOptionalOperations, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parent$2 = parent;
    this.collector$2 = collector;
    this.parseOptionalOperations$2 = parseOptionalOperations;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__s_Option__scm_ListBuffer__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parent, collector, parseOptionalOperations, ctx);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.parent$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.collector$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptionalOperations$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10EndpointParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndpointParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndpointParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter extends $c_O {
  constructor() {
    super();
    this.payload$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10PayloadEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter(x$1)) {
      const Raml10PayloadEmitter$1 = x$1;
      const x = this.payload$1;
      const x$2 = Raml10PayloadEmitter$1.payload$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10PayloadEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml10PayloadEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.payload$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.payload$1.fields$1;
    let rc8 = false;
    let x2 = null;
    const jsx$1 = $m_s_Option$();
    const this$1 = this.payload$1;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1));
    matchEnd9: {
      if ($is_s_Some(x1)) {
        rc8 = true;
        x2 = x1;
        const shape = x2.value$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
          const x5 = shape;
          const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
          if ((!this$2.isEmpty__Z())) {
            const arg1 = this$2.get__O();
            const mediaType = arg1;
            const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(mediaType.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
            const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
            const x$16 = this.ordering$1;
            const x$17 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1));
            const x$18 = this.references$1;
            const x$19 = $m_sci_Nil$();
            new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, x$16, x$17, x$19, x$18, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
            const this$5 = k.builder$1;
            const jsx$2 = $f_scm_ResizableArray__apply__I__O(this$5, 0);
            const this$6 = v.builder$1;
            b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$2, $f_scm_ResizableArray__apply__I__O(this$6, 0))
          };
          break matchEnd9
        }
      };
      if (rc8) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit a non WebAPI Shape"))
      };
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
        if ((!this$7.isEmpty__Z())) {
          const arg1$1 = this$7.get__O();
          const mediaType$3 = arg1$1;
          const k$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(mediaType$3.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k$1);
          const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          const x$21 = this.ordering$1;
          const x$22 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.payload$1, this.ordering$1, this.spec$1));
          const x$23 = this.references$1;
          const x$24 = $m_sci_Nil$();
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(null, x$21, x$22, x$24, x$23, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
          const this$10 = k$1.builder$1;
          const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$10, 0);
          const this$11 = v$1.builder$1;
          b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$11, 0))
        };
        break matchEnd9
      };
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.payload$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(payload, ordering, references, spec) {
    this.payload$1 = payload;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser {
  constructor() {
    super();
    this.map$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null;
    this.baseUriParametersKey$2 = null;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml10RequestParser"
  };
  baseUriParametersKey__T() {
    return this.baseUriParametersKey$2
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser(x$1)) {
      const Raml10RequestParser$1 = x$1;
      let jsx$1;
      if (this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(Raml10RequestParser$1.map$2)) {
        const x = this.producer$2;
        const x$2 = Raml10RequestParser$1.producer$2;
        jsx$1 = (x === x$2)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10RequestParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__Lamf_core_utils_Lazy__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$Target__V(request, target) {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("queryString");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const queryEntry = arg1;
      const this$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(queryEntry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, request$1) {
        return (function(shape$2) {
          const shape = shape$2;
          return shape.adopted__T__Lamf_core_model_domain_AmfObject(request$1.getOrCreate__O().id__T())
        })
      })(this, request)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$2).parse__s_Option();
      if ((!this$5.isEmpty__Z())) {
        const arg1$1 = this$5.get__O();
        const q = arg1$1;
        const finalRequest = request.getOrCreate__O();
        const map$1 = this.map$2;
        if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("queryParameters").isDefined__Z()) {
          const this$7 = this.ctx$2;
          const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ExclusivePropertiesSpecification$1.id__T();
          const node = finalRequest.id$1;
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Properties 'queryString' and 'queryParameters' are exclusive and cannot be declared together"])).s__sc_Seq__T($m_sci_Nil$());
          const ast = this.map$2;
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$7, id, node, property, message, ast)
        };
        const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1;
        new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(finalRequest, field, q))
      }
    }
  };
  init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, producer, parseOptional, ctx) {
    this.map$2 = map;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser.prototype.init___Lorg_yaml_model_YMap__F0__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, map, producer, parseOptional, ctx);
    this.baseUriParametersKey$2 = new $c_Lamf_core_utils_package$Strings().init___T("baseUriParameters").asRamlAnnotation__T();
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$();
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.map$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10RequestParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlRequestParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10RequestParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false;
    this.ctx$2 = null;
    this.defaultType$2 = null
  };
  productPrefix__T() {
    return "Raml10ResponseParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, parseOptional, ctx);
    this.defaultType$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$();
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser(x$1)) {
      const Raml10ResponseParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10ResponseParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10ResponseParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10ResponseParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  parseMap__Lamf_plugins_domain_webapi_models_Response__Lorg_yaml_model_YMap__V(response, map) {
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(response, map, this.ctx$2).parse__V()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  defaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType() {
    return this.defaultType$2
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ResponseParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlParametersEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter(x$1)) {
      const RamlParametersEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === RamlParametersEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlParametersEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = RamlParametersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlParametersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const params = this.parameters__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1);
    if (params.nonEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const str = this.key$1;
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(params, b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$8 = v.builder$1;
      const array = [key];
      if ((this$8.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$8.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
      const len$1 = this$8.size0$6;
      const src = this$8.array$6;
      const dest = this$8.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$8.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$8.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  parameters__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    f.value$1.value$1.values$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return (!x$3.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
      })
    })(this))).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, ordering$1, references$1, result$1) {
      return (function(e$2) {
        const e = e$2;
        return result$1.$$plus$eq__O__scm_ListBuffer(this$2.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().parameterEmitter__F3().apply__O__O__O__O(e, ordering$1, references$1))
      })
    })(this, ordering, references, result)));
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlResponsesEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter(x$1)) {
      const RamlResponsesEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === RamlResponsesEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlResponsesEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = RamlResponsesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlResponsesEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return $this.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().responseEmitter__F3().apply__O__O__O__O(e, ordering$1, references$1)
      })
    })(this, ordering, references));
    const this$1 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlResponsesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponsesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.servers$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "ServersEmitters"
  };
  productArity__I() {
    return 3
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, servers, ordering, spec) {
    this.key$1 = key;
    this.servers$1 = servers;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters(x$1)) {
      const ServersEmitters$1 = x$1;
      let jsx$1;
      if ((this.key$1 === ServersEmitters$1.key$1)) {
        const x = this.servers$1;
        const x$2 = ServersEmitters$1.servers$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = ServersEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.servers$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.orderedServers__p1__sc_Seq__sc_Seq(this.servers$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  orderedServers__p1__sc_Seq__sc_Seq(servers) {
    const jsx$2 = this.ordering$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasServerEmitter().init___Lamf_plugins_domain_webapi_models_Server__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(e, $this.ordering$1, $this.spec$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    return jsx$2.sorted__sc_Seq__sc_Seq(servers.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.servers$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$3 = arg1;
      this$2 = new $c_s_Some().init___O(x$3.annotations$1)
    };
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      const annotations = arg1$1;
      const this$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
      this$4 = new $c_s_Some().init___O(this$3.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ServersEmitters", {
  Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ServersEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.example$1 = null;
    this.ordering$1 = null;
    this.valueEmitter$1 = null
  };
  productPrefix__T() {
    return "SingleExampleEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter(x$1)) {
      const SingleExampleEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === SingleExampleEmitter$1.key$1)) {
        const x = this.example$1;
        const x$2 = SingleExampleEmitter$1.example$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = SingleExampleEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.example$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x1 = this.valueEmitter$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const entry = x2.value$2;
      const jsx$1 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      entry.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const map = x3.value$2;
      map.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    };
    const this$7 = v.builder$1;
    const array = [key];
    if ((this$7.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$7.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$7, newSize);
    const len$1 = this$7.size0$6;
    const src = this$7.array$6;
    const dest = this$7.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$7.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$7.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.example$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  init___T__Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, example, ordering, spec) {
    this.key$1 = key;
    this.example$1 = example;
    this.ordering$1 = ordering;
    const x1 = example.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1);
    let jsx$1;
    if ($is_s_Some(x1)) {
      $m_s_package$();
      const value = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NamedExampleEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec);
      jsx$1 = new $c_s_util_Left().init___O(value)
    } else {
      $m_s_package$();
      const value$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleValuesEmitter().init___Lamf_plugins_domain_shapes_models_Example__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(example, ordering, spec);
      jsx$1 = new $c_s_util_Right().init___O(value$1)
    };
    this.valueEmitter$1 = jsx$1;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.SingleExampleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_SingleExampleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter extends $c_O {
  constructor() {
    super();
    this.value$1 = null
  };
  productPrefix__T() {
    return "StringToAstEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const jsx$2 = $m_Lamf_core_utils_package$MediaTypeMatcher$();
    const content = this.value$1;
    let jsx$1;
    if (jsx$2.isXml$extension__T__Z(content)) {
      jsx$1 = true
    } else {
      const jsx$3 = $m_Lamf_core_utils_package$MediaTypeMatcher$();
      const content$1 = this.value$1;
      jsx$1 = jsx$3.isJson$extension__T__Z(content$1)
    };
    let node;
    if (jsx$1) {
      node = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(this.value$1)
    } else {
      const qual$1 = $m_Lorg_yaml_parser_YamlParser$().apply__jl_CharSequence__Lorg_yaml_model_ParseErrorHandler__Lorg_yaml_parser_YamlParser(this.value$1, $m_Lorg_yaml_model_ParseErrorHandler$().parseErrorHandler$1);
      const this$3 = qual$1.parse__Z__sc_IndexedSeq(true);
      const pf = new $c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter$$anonfun$3().init___Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter(this);
      const this$4 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$3, pf);
      let this$5;
      if (this$4.isEmpty__Z()) {
        this$5 = $m_s_None$()
      } else {
        const arg1 = this$4.get__O();
        const x$14 = arg1;
        this$5 = new $c_s_Some().init___O(x$14.node$3)
      };
      node = (this$5.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(this.value$1) : this$5.get__O())
    };
    this.emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(node, b)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter(x$1)) {
      const StringToAstEmitter$1 = x$1;
      return (this.value$1 === StringToAstEmitter$1.value$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(node, b) {
    const x1 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      const jsx$2 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      map.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, e) {
        return (function(entry$2) {
          const entry = entry$2;
          $m_Lorg_yaml_model_YNode$();
          const str = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          $this.emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(entry.value$1, v);
          const this$3 = v.builder$1;
          const array = [key];
          if ((this$3.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$3.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$3, newSize);
          const len$1 = this$3.size0$6;
          const src = this$3.array$6;
          const dest = this$3.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$3.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x$1 = (array.length | 0);
          const x$2 = ((x$1 < len$2) ? x$1 : len$2);
          const that = xs.u.length;
          const end = ((x$2 < that) ? x$2 : that);
          while ((i < end)) {
            const jsx$1 = j;
            const index = i;
            xs.u[jsx$1] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$3.size0$6 = newSize;
          e.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const seq = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        const jsx$3 = b.builder$1;
        const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        seq.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, p) {
          return (function(x$15$2) {
            const x$15 = x$15$2;
            $this$1.emitNode__p1__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument$PartBuilder__V(x$15, p)
          })
        })(this, b$2)));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$1 = b$2.builder$1;
        const value$1 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
        const tt$1 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$1 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$1 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1);
        jsx$3.$$plus$eq__O__scm_ArrayBuffer(node$1)
      } else {
        const scalar = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        b.$$plus$eq__T__V(scalar.text$3)
      }
    }
  };
  init___T(value) {
    this.value$1 = value;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.StringToAstEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_StringToAstEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter extends $c_O {
  constructor() {
    super();
    this.properties$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasAnnotationsTypesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter(x$1)) {
      const OasAnnotationsTypesEmitter$1 = x$1;
      const x = this.properties$1;
      const x$2 = OasAnnotationsTypesEmitter$1.properties$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasAnnotationsTypesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.properties$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = new $c_Lamf_core_utils_package$Strings().init___T("annotationTypes").asOasExtension__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.properties$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter().init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$9, $this.ordering$1, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(properties, ordering, spec) {
    this.properties$1 = properties;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.properties$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = p.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasAnnotationsTypesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasAnnotationsTypesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters extends $c_O {
  constructor() {
    super();
    this.documents$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasCreativeWorkEmitters"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters(x$1)) {
      const OasCreativeWorkEmitters$1 = x$1;
      const x = this.documents$1;
      const x$2 = OasCreativeWorkEmitters$1.documents$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasCreativeWorkEmitters$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.documents$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = new $c_Lamf_core_utils_package$Strings().init___T("userDocumentation").asOasExtension__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.documents$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$12$2) {
        const x$12 = x$12$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x$12, $this.ordering$1, false, $this.spec$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(documents, ordering, spec) {
    this.documents$1 = documents;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.documents$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$14 = arg1;
      this$2 = new $c_s_Some().init___O(x$14.annotations$1)
    };
    let this$4;
    if (this$2.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      const annotations = arg1$1;
      const this$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
      this$4 = new $c_s_Some().init___O(this$3.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasCreativeWorkEmitters", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasCreativeWorkEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter extends $c_O {
  constructor() {
    super();
    this.parameters$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(parameters, ordering, references, spec) {
    this.parameters$1 = parameters;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasDeclaredParametersEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter(x$1)) {
      const OasDeclaredParametersEmitter$1 = x$1;
      const x = this.parameters$1;
      const x$2 = OasDeclaredParametersEmitter$1.parameters$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasDeclaredParametersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasDeclaredParametersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameters$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("parameters");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.parameters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$5, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.parameters$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDeclaredParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.responses$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasDeclaredResponsesEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter(x$1)) {
      const OasDeclaredResponsesEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === OasDeclaredResponsesEmitter$1.key$1)) {
        const x = this.responses$1;
        const x$2 = OasDeclaredResponsesEmitter$1.responses$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = OasDeclaredResponsesEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasDeclaredResponsesEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.responses$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.responses$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$16$2) {
        const x$16 = x$16$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$16, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, responses, ordering, references, spec) {
    this.key$1 = key;
    this.responses$1 = responses;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.responses$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDeclaredResponsesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredResponsesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters extends $c_O {
  constructor() {
    super();
    this.types$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(types, ordering, references, spec) {
    this.types$1 = types;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  productPrefix__T() {
    return "OasDeclaredTypesEmitters"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters(x$1)) {
      const OasDeclaredTypesEmitters$1 = x$1;
      const x = this.types$1;
      const x$2 = OasDeclaredTypesEmitters$1.types$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasDeclaredTypesEmitters$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasDeclaredTypesEmitters$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.types$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("definitions");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.types$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasNamedTypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$2, $this.ordering$1, $this.references$1, $this.spec$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.types$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations__Lamf_core_parser_Annotations();
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDeclaredTypesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclaredTypesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter extends $c_O {
  constructor() {
    super();
    this.endpoint$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "EndPointEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const EndPointEmitter$1 = x$1;
      const x = this.endpoint$1;
      const x$2 = EndPointEmitter$1.endpoint$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = EndPointEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = EndPointEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endpoint$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(f, ordering, endpointPayloadEmitted, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, endpointPayloadEmitted$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__Z__sc_Seq($this.$$outer$1, e, ordering$1, endpointPayloadEmitted$1, references$1)
      })
    })(this, ordering, endpointPayloadEmitted, references));
    const this$1 = $m_sc_Seq$();
    return jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.endpoint$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$8 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("displayName").asOasExtension__T(), f, $m_s_None$())))
    };
    const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1);
    if ((!this$8.isEmpty__Z())) {
      const arg1$1 = this$8.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("description").asOasExtension__T(), f$3, $m_s_None$())))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$11.isEmpty__Z())) {
      const arg1$2 = this$11.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(f$4, this.ordering$1, true).emitters__sc_Seq()))
    };
    const jsx$3 = $m_Lamf_plugins_document_webapi_parser_spec_domain_Parameters$();
    const this$12 = this.endpoint$1;
    const this$13 = this$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$14 = this$13.option$1;
    const jsx$2 = (this$14.isEmpty__Z() ? null : this$14.get__O());
    const this$15 = this.endpoint$1;
    const jsx$1 = this$15.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    const this$16 = this.endpoint$1;
    const parameters = jsx$3.classified__T__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_domain_Parameters(jsx$2, jsx$1, this$16.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1));
    if (parameters.nonEmpty__Z()) {
      const jsx$7 = parameters.query$1;
      const jsx$6 = parameters.path$1;
      const this$17 = $m_sc_Seq$();
      const jsx$5 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$17.ReusableCBFInstance$2);
      const jsx$4 = parameters.header$1;
      const this$18 = $m_sc_Seq$();
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("parameters", jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$18.ReusableCBFInstance$2), this.ordering$1, parameters.body$1, this.references$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).oasEndpointEmitters__sc_Seq())
    };
    const this$19 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1);
    if ((!this$19.isEmpty__Z())) {
      const arg1$3 = this$19.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.operations__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(f$5, this.ordering$1, parameters.body$1.nonEmpty__Z(), this.references$1)))
    };
    const this$20 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1);
    if ((!this$20.isEmpty__Z())) {
      const arg1$4 = this$20.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("security").asOasExtension__T(), f$6, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.endpoint$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$26 = k.builder$1;
    const jsx$9 = $f_scm_ResizableArray__apply__I__O(this$26, 0);
    const this$27 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$9, $f_scm_ResizableArray__apply__I__O(this$27, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.endpoint$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, endpoint, ordering, references) {
    this.endpoint$1 = endpoint;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$EndPointEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.orphanAnnotations$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "EndpointsEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const EndpointsEmitter$1 = x$1;
      let jsx$3;
      if ((this.key$1 === EndpointsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = EndpointsEmitter$1.f$1;
        jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$3 = this.ordering$1;
        const x$4 = EndpointsEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.references$1;
        const x$6 = EndpointsEmitter$1.references$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.orphanAnnotations$1;
        const x$8 = EndpointsEmitter$1.orphanAnnotations$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      case 4: {
        return this.orphanAnnotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq($$outer, key, f, ordering, references, orphanAnnotations) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.orphanAnnotations$1 = orphanAnnotations;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1);
    const jsx$1 = this.pathsElementAnnotations__p1__sc_Seq();
    const this$1 = $m_sc_Seq$();
    const emitters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(emitters, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  pathsElementAnnotations__p1__sc_Seq() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.orphanAnnotations$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  endpoints__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndPointEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__sc_Seq($this.$$outer$1, e, ordering$1, references$1)
      })
    })(this, ordering, references));
    const this$1 = $m_sc_Seq$();
    const result = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    return ordering.sorted__sc_Seq__sc_Seq(result)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$EndpointsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$EndpointsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "LicenseEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const LicenseEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === LicenseEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = LicenseEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = LicenseEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("url", f, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f$3, $m_s_None$())))
    };
    const this$9 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$9.value$1.value$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$14 = v.builder$1;
    const array = [key];
    if ((this$14.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$14.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$14, newSize);
    const len$1 = this$14.size0$6;
    const src = this$14.array$6;
    const dest = this$14.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$14.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$14.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$LicenseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter extends $c_O {
  constructor() {
    super();
    this.operation$1 = null;
    this.ordering$1 = null;
    this.endpointPayloadEmitted$1 = false;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OperationEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OperationEmitter$1 = x$1;
      const x = this.operation$1;
      const x$2 = OperationEmitter$1.operation$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OperationEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.endpointPayloadEmitted$1 === OperationEmitter$1.endpointPayloadEmitted$1))) {
        const x$5 = this.references$1;
        const x$6 = OperationEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.operation$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.endpointPayloadEmitted$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  ramlTypesEmitter__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter(s, o, a, fs, us) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(s, o, a, fs, us, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$()))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.operation$1.fields$1;
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$2.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("operationId", f, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$2 = this$9.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("deprecated", f$4, $m_s_None$())))
    };
    const this$11 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1);
    if ((!this$11.isEmpty__Z())) {
      const arg1$3 = this$11.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("summary", f$5, $m_s_None$())))
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Tags$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$4 = this$13.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("tags", f$6, this.ordering$1, false)))
    };
    const this$14 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$5 = this$14.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", f$7.value$1.value$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$6 = this$15.get__O();
      const f$8 = arg1$6;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("schemes", f$8, this.ordering$1, false)))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$7 = this$16.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("consumes", f$9, this.ordering$1, false)))
    };
    const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
    if ((!this$17.isEmpty__Z())) {
      const arg1$8 = this$17.get__O();
      const f$10 = arg1$8;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("produces", f$10, this.ordering$1, false)))
    };
    const this$18 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    if ((!this$18.isEmpty__Z())) {
      const arg1$9 = this$18.get__O();
      const f$11 = arg1$9;
      new $c_s_Some().init___O(result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ExtendsEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(f$11, this.ordering$1, true).emitters__sc_Seq()))
    };
    const jsx$1 = $m_s_Option$();
    const this$19 = this.operation$1;
    const this$20 = jsx$1.apply__O__s_Option(this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    if ((!this$20.isEmpty__Z())) {
      const arg1$10 = this$20.get__O();
      const req = arg1$10;
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this.requestEmitters__Lamf_plugins_domain_webapi_models_Request__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(req, this.ordering$1, this.endpointPayloadEmitted$1, this.references$1))
    };
    const this$21 = this.operation$1;
    const orphanAnnotations = this$21.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().CustomDomainProperties__Lamf_core_metamodel_Field()).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$12$1) {
      return (function(x$10$2) {
        const x$10 = x$10$2;
        return x$10.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension.getClassOf())
      })
    })(this)));
    const this$22 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1);
    if (this$22.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("responses", new $c_Lamf_core_emitter_BaseEmitters_package$EmptyMapEmitter().init___Lamf_core_parser_Position($m_Lamf_core_parser_Position$ZERO$()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1$11 = this$22.get__O();
      const f$12 = arg1$11;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.$$outer$1, "responses", f$12, this.ordering$1, this.references$1, orphanAnnotations))
    };
    const this$26 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
    if ((!this$26.isEmpty__Z())) {
      const arg1$12 = this$26.get__O();
      const f$13 = arg1$12;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("security", f$13, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.operation$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$31 = k.builder$1;
    const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$31, 0);
    const this$32 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$32, 0))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__Z__sc_Seq($$outer, operation, ordering, endpointPayloadEmitted, references) {
    this.operation$1 = operation;
    this.ordering$1 = ordering;
    this.endpointPayloadEmitted$1 = endpointPayloadEmitted;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  requestEmitters__Lamf_plugins_domain_webapi_models_Request__Lamf_core_emitter_SpecOrdering__Z__sc_Seq__sc_Seq(request, ordering, endpointPayloadEmitted, references) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const jsx$2 = request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1);
    const jsx$1 = request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
    const this$1 = $m_sc_Seq$();
    const parameters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const payloads = $m_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads$().apply__sc_Seq__Z__Lamf_plugins_document_webapi_parser_spec_domain_OasPayloads(request.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1), endpointPayloadEmitted);
    if ((parameters.nonEmpty__Z() || payloads.default$1.isDefined__Z())) {
      const xo = payloads.default$1;
      const this$3 = xo.toList__sci_List();
      result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext("parameters", parameters, ordering, this$3, references, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq())
    };
    if (payloads.other$1.nonEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasPayloadsEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("requestPayloads").asOasExtension__T(), payloads.other$1, ordering, references, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()))
    };
    const fs = request.fields$1;
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      let rc8 = false;
      let x2 = null;
      const x1 = $m_s_Option$().apply__O__s_Option(f.value$1.value$1);
      let jsx$3;
      matchEnd9: {
        if ($is_s_Some(x1)) {
          rc8 = true;
          x2 = x1;
          const shape = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
            const x5 = shape;
            jsx$3 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, ordering, $m_sci_Nil$(), new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
              return (function(s$2, o$2, a$2, fs$2, us$2) {
                const s = s$2;
                const o = o$2;
                const a = a$2;
                const fs$1 = fs$2;
                const us = us$2;
                return $this.ramlTypesEmitter__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter(s, o, a, fs$1, us)
              })
            })(this)), this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()));
            break matchEnd9
          }
        };
        if (rc8) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit a non WebApi Shape"))
        };
        const x = $m_s_None$();
        if ((x === x1)) {
          jsx$3 = (void 0);
          break matchEnd9
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      new $c_s_Some().init___O(jsx$3)
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$1 = this$6.get__O();
      const f$3 = arg1$1;
      let jsx$4;
      if (f$3.value$1.value$1.values$1.nonEmpty__Z()) {
        const jsx$5 = new $c_Lamf_core_utils_package$Strings().init___T("baseUriParameters").asOasExtension__T();
        const spec = this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext();
        jsx$4 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(jsx$5, f$3, ordering, references, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1)))
      } else {
        jsx$4 = (void 0)
      };
      new $c_s_Some().init___O(jsx$4)
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(request, ordering, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    return result
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.operation$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.endpointPayloadEmitted$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.references$1));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.operation$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$OperationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OperationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OrganizationEmitter"
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OrganizationEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OrganizationEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OrganizationEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OrganizationEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("url", f, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f$3, $m_s_None$())))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$2 = this$9.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("email", f$4, $m_s_None$())))
    };
    const this$11 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$11.value$1.value$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$OrganizationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.orphanAnnotations$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ResponsesEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ResponsesEmitter$1 = x$1;
      let jsx$3;
      if ((this.key$1 === ResponsesEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ResponsesEmitter$1.f$1;
        jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$3 = this.ordering$1;
        const x$4 = ResponsesEmitter$1.ordering$1;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.references$1;
        const x$6 = ResponsesEmitter$1.references$1;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.orphanAnnotations$1;
        const x$8 = ResponsesEmitter$1.orphanAnnotations$1;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      case 4: {
        return this.orphanAnnotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq($$outer, key, f, ordering, references, orphanAnnotations) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.orphanAnnotations$1 = orphanAnnotations;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(this.f$1, this.ordering$1);
    const jsx$1 = this.responsesElementsAnnotations__p1__sc_Seq();
    const this$1 = $m_sc_Seq$();
    const emitters = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(emitters, b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  responsesElementsAnnotations__p1__sc_Seq() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OrphanAnnotationsEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.orphanAnnotations$1, this.ordering$1, this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext()).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  responses__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq(f, ordering) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseEmitter().init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(e, ordering$1, $this.references$1, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext())
      })
    })(this, ordering));
    const this$1 = $m_sc_Seq$();
    return ordering.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$ResponsesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$ResponsesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter extends $c_O {
  constructor() {
    super();
    this.fs$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "InfoEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const InfoEmitter$1 = x$1;
      const x = this.fs$1;
      const x$2 = InfoEmitter$1.fs$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = InfoEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fs$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    if (this$1.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("title", "API", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1 = this$1.get__O();
      const f = arg1;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("title", f, $m_s_None$()))
    };
    const this$5 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$1 = this$5.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
    };
    const this$7 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$2 = this$7.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("termsOfService", f$4, $m_s_None$())))
    };
    const this$9 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    if (this$9.isEmpty__Z()) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("version", "1.0", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    } else {
      const arg1$3 = this$9.get__O();
      const f$5 = arg1$3;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("version", f$5, $m_s_None$()))
    };
    const this$13 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$4 = this$13.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$LicenseEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1.$$outer$1, "license", f$6, this.ordering$1)))
    };
    const this$14 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1);
    if ((!this$14.isEmpty__Z())) {
      const arg1$5 = this$14.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$OrganizationEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(this.$$outer$1.$$outer$1, "contact", f$7, this.ordering$1)))
    };
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("info");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$21 = v.builder$1;
    const array = [key];
    if ((this$21.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$21.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize);
    const len$1 = this$21.size0$6;
    const src = this$21.array$6;
    const dest = this$21.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$21.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$21.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter__Lamf_core_parser_Fields__Lamf_core_emitter_SpecOrdering($$outer, fs, ordering) {
    this.fs$1 = fs;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const elem = $m_Lamf_core_parser_Position$ZERO$();
    let elem$1 = null;
    elem$1 = elem;
    const this$2 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      const this$3 = f.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const x0$1 = arg1$1;
        if ((x0$1 !== null)) {
          const range = x0$1.range__Lamf_core_parser_Range();
          elem$1 = range.start$1
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      }
    };
    const this$4 = this.fs$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$2 = this$4.get__O();
      const f$3 = arg1$2;
      const this$5 = f$3.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
      if ((!this$5.isEmpty__Z())) {
        const arg1$3 = this$5.get__O();
        const x0$2 = arg1$3;
        if ((x0$2 !== null)) {
          const range$1 = x0$2.range__Lamf_core_parser_Range();
          if ((elem$1.isZero__Z() || range$1.start$1.lt__Lamf_core_parser_Position__Z(elem$1))) {
            elem$1 = range$1.start$1
          }
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      }
    };
    return elem$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasDocumentEmitter$WebApiEmitter$InfoEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter$WebApiEmitter$InfoEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter extends $c_O {
  constructor() {
    super();
    this.oasHeader$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "OasHeaderEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OasHeaderEmitter$1 = x$1;
      const x = this.oasHeader$1;
      const x$2 = OasHeaderEmitter$1.oasHeader$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.oasHeader$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(this.oasHeader$1.key$1, this.oasHeader$1.value$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter__Lamf_plugins_document_webapi_parser_OasHeader($$outer, oasHeader) {
    this.oasHeader$1 = oasHeader;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentEmitter$OasHeaderEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter$OasHeaderEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter {
  constructor() {
    super();
    this.module$2 = null
  };
  productPrefix__T() {
    return "OasModuleEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter(x$1)) {
      const OasModuleEmitter$1 = x$1;
      const x = this.module$2;
      const x$2 = OasModuleEmitter$1.module$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.module$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitModule__Lorg_yaml_model_YDocument() {
    const ordering = $m_Lamf_core_emitter_SpecOrdering$().ordering__Lamf_core_remote_Vendor__Lamf_core_parser_Annotations__Lamf_core_emitter_SpecOrdering($m_Lamf_core_remote_Oas$(), this.module$2.annotations$1);
    const references = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering(this, this.module$2, ordering)]));
    const this$1 = this.module$2;
    const jsx$1 = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1);
    const this$2 = this.module$2;
    const declares = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDeclarationsEmitter().init___sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$1, ordering, this$2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().References$1), this.spec$1).emitters$1;
    const this$3 = this.module$2.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_document_BaseUnitModel$().Usage$1);
    let usages;
    if (this$3.isEmpty__Z()) {
      usages = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      const f = arg1;
      usages = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("usage").asOasExtension__T(), f, $m_s_None$()))
    };
    const this$7 = $m_Lorg_yaml_model_YDocument$().apply__T__Lorg_yaml_model_YDocument$WithComment("");
    const b = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const x = this$7.comment$1;
    const this$9 = new $c_sci_StringOps().init___T(x);
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$9)) {
      b.comment__T__V(this$7.comment$1)
    };
    const jsx$5 = b.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    b$1.updateDynamic__T__Lorg_yaml_model_YNode__V("swagger", ($m_Lorg_yaml_model_YNode$(), $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("2.0")));
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = usages.toList__sci_List();
    const this$13 = $m_sc_Seq$();
    const jsx$2 = declares.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$13.ReusableCBFInstance$2);
    const this$14 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(ordering.sorted__sc_Seq__sc_Seq(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(references, this$14.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    return new $c_Lorg_yaml_model_YDocument().init___sc_IndexedSeq(b.builder$1)
  };
  init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(module, spec) {
    this.module$2 = module;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasModuleEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter(x$1)) {
      const OasNamedParameterEmitter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = OasNamedParameterEmitter$1.parameter$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = OasNamedParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = OasNamedParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.parameter$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare shape without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.parameter$1]))))
    };
    const str = this$2.get__O();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.parameter$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      const jsx$1 = this.parameter$1;
      const this$5 = this.parameter$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$1, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), $m_sci_Nil$(), this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(this.parameter$1, this.ordering$1, this.references$1, this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    };
    const this$6 = v.builder$1;
    const array = [key];
    if ((this$6.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$6.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$6, newSize);
    const len$1 = this$6.size0$6;
    const src = this$6.array$6;
    const dest = this$6.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$6.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$6.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.parameter$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$1 = parameter;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasNamedParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter extends $c_O {
  constructor() {
    super();
    this.annotationType$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedPropertyTypeEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter(x$1)) {
      const OasNamedPropertyTypeEmitter$1 = x$1;
      const x = this.annotationType$1;
      const x$2 = OasNamedPropertyTypeEmitter$1.annotationType$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = OasNamedPropertyTypeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotationType$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.annotationType$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot declare annotation type without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.annotationType$1]))))
    };
    const str = this$2.get__O();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.annotationType$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      const jsx$1 = this.annotationType$1;
      const this$5 = this.annotationType$1;
      new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter().init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$1, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), $m_sci_Nil$(), this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
    } else {
      const x1 = this.spec$1.factory__Lamf_plugins_document_webapi_contexts_OasSpecEmitterFactory().annotationTypeEmitter__F2().apply__O__O__O(this.annotationType$1, this.ordering$1).emitters__s_util_Either();
      if ($is_s_util_Left(x1)) {
        const x2 = x1;
        const emitters = x2.value$2;
        const jsx$2 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      } else if ($is_s_util_Right(x1)) {
        const x3 = x1;
        const part = x3.value$2;
        part.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(annotationType, ordering, spec) {
    this.annotationType$1 = annotationType;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotationType$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasNamedPropertyTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedPropertyTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.url$1 = null;
    this.pos$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "OasNamedRefEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter(x$1)) {
      const OasNamedRefEmitter$1 = x$1;
      if (((this.key$1 === OasNamedRefEmitter$1.key$1) && (this.url$1 === OasNamedRefEmitter$1.url$1))) {
        const x = this.pos$1;
        const x$2 = OasNamedRefEmitter$1.pos$1;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.url$1;
        break
      }
      case 2: {
        return this.pos$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.spec$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(v, this.url$1);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___T__T__Lamf_core_parser_Position__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(key, url, pos, spec) {
    this.key$1 = key;
    this.url$1 = url;
    this.pos$1 = pos;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return this.pos$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasNamedRefEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasNamedRefEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null;
    this.aliases$1 = null;
    this.ordering$1 = null;
    this.aliasGenerator$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ReferenceEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = ReferenceEmitter$1.reference$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.aliases$1;
        const x$4 = ReferenceEmitter$1.aliases$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = ReferenceEmitter$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.aliasGenerator$1;
        const x$8 = ReferenceEmitter$1.aliasGenerator$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      case 1: {
        return this.aliases$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.aliasGenerator$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__p1__T() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.reference$1;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const location = x2.value$2;
      return location
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.reference$1.id__T()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.aliases$1;
    const aliasesMap = (this$1.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$1.get__O()).aliases$1;
    const this$3 = aliasesMap.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ((x0$4 !== null)) {
          const p2 = x0$4.$$und2__O();
          if ((p2 !== null)) {
            const f = p2.$$und1__O();
            return (f === this$2.reference$1.id__T())
          }
        };
        throw new $c_s_MatchError().init___O(x0$4)
      })
    })(this)));
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      const x0$5 = arg1;
      let jsx$1;
      matchEnd4$2: {
        if ((x0$5 !== null)) {
          const a = x0$5.$$und1__O();
          const p2$1 = x0$5.$$und2__O();
          if ((p2$1 !== null)) {
            const r = p2$1.$$und2__O();
            jsx$1 = new $c_T2().init___O__O(a, r);
            break matchEnd4$2
          }
        };
        throw new $c_s_MatchError().init___O(x0$5)
      };
      this$4 = new $c_s_Some().init___O(jsx$1)
    };
    const effectiveAlias = (this$4.isEmpty__Z() ? new $c_T2().init___O__O(this.aliasGenerator$1.apply__O(), this.name__p1__T()) : this$4.get__O());
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(effectiveAlias.$$und1__O(), effectiveAlias.$$und2__O(), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__s_Option__Lamf_core_emitter_SpecOrdering__F0($$outer, reference, aliases, ordering, aliasGenerator) {
    this.reference$1 = reference;
    this.aliases$1 = aliases;
    this.ordering$1 = ordering;
    this.aliasGenerator$1 = aliasGenerator;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter extends $c_O {
  constructor() {
    super();
    this.baseUnit$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "ReferencesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ReferencesEmitter$1 = x$1;
      const x = this.baseUnit$1;
      const x$2 = ReferencesEmitter$1.baseUnit$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferencesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseUnit$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.baseUnit$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    const aliases = (this$1.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$1.get__O());
    const references = this.baseUnit$1.references__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter(this);
    const this$2 = $m_sc_Seq$();
    const modules = references.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    if (modules.nonEmpty__Z()) {
      const elem = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const modulesEmitted = new $c_sr_ObjectRef().init___O(elem);
      const idCounter = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const this$10 = aliases.aliases$1;
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, modules$1, modulesEmitted$1, idCounter$1) {
        return (function(x0$3$2) {
          const x0$3 = x0$3$2;
          if ((x0$3 !== null)) {
            const alias = x0$3.$$und1__O();
            const p2 = x0$3.$$und2__O();
            if ((p2 !== null)) {
              const fullUrl = p2.$$und1__O();
              const localUrl = p2.$$und2__O();
              const x1$2 = modules$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, fullUrl$1) {
                return (function(x$17$2) {
                  const x$17 = x$17$2;
                  return (x$17.id$1 === fullUrl$1)
                })
              })(this$2$1, fullUrl)));
              if ($is_s_Some(x1$2)) {
                const x2 = x1$2;
                const module = x2.value$2;
                const jsx$2 = modulesEmitted$1.elem$1;
                const self = module.id$1;
                modulesEmitted$1.elem$1 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, module));
                const jsx$4 = this$2$1.$$outer$1;
                const y = new $c_T2().init___O__O(fullUrl, localUrl);
                const array = [new $c_T2().init___O__O(alias, y)];
                let jsx$3;
                if (((array.length | 0) === 0)) {
                  jsx$3 = $m_sci_Set$EmptySet$()
                } else {
                  const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
                  let i = 0;
                  const len = (array.length | 0);
                  while ((i < len)) {
                    const index = i;
                    const arg1 = array[index];
                    b$1.$$plus$eq__O__scm_SetBuilder(arg1);
                    i = ((1 + i) | 0)
                  };
                  jsx$3 = b$1.elems$1
                };
                return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__s_Option__Lamf_core_emitter_SpecOrdering__F0(jsx$4, module, new $c_s_Some().init___O(new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$3)), this$2$1.ordering$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$2, idCounter$1$1) {
                  return (function() {
                    return idCounter$1$1.genId__T__T("uses")
                  })
                })(this$2$1, idCounter$1))))
              } else {
                return $m_s_None$()
              }
            }
          };
          throw new $c_s_MatchError().init___O(x0$3)
        })
      })(this, modules, modulesEmitted, idCounter));
      const this$9 = $m_sci_Set$();
      const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$9);
      const aliasesEmitters = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$10, f, bf).toSeq__sc_Seq();
      const jsx$6 = modules.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, modulesEmitted$2) {
        return (function(m$2) {
          const m = m$2;
          return modulesEmitted$2.elem$1.get__O__s_Option(m.id$1).isEmpty__Z()
        })
      })(this, modulesEmitted)));
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, idCounter$2) {
        return (function(module$2) {
          const module$1 = module$2;
          return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferenceEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__s_Option__Lamf_core_emitter_SpecOrdering__F0(this$4$1.$$outer$1, module$1, new $c_s_Some().init___O(new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))), this$4$1.ordering$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, idCounter$1$2) {
            return (function() {
              return idCounter$1$2.genId__T__T("uses")
            })
          })(this$4$1, idCounter$2))))
        })
      })(this, idCounter));
      const this$11 = $m_sc_Seq$();
      const missingModuleEmitters = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$5, this$11.ReusableCBFInstance$2);
      const this$12 = $m_sc_Seq$();
      const jsx$8 = aliasesEmitters.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(missingModuleEmitters, this$12.ReusableCBFInstance$2);
      const jsx$7 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter(this);
      const this$13 = $m_sc_Seq$();
      const finalEmitters = jsx$8.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$7, this$13.ReusableCBFInstance$2);
      $m_Lorg_yaml_model_YNode$();
      const str = new $c_Lamf_core_utils_package$Strings().init___T("uses").asOasExtension__T();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$9 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(finalEmitters), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$21 = v.builder$1;
      const array$1 = [key];
      if ((this$21.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$1 = (array$1.length | 0);
      const newSize = ((this$21.size0$6 + len$1) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$21, newSize);
      const len$2 = this$21.size0$6;
      const src = this$21.array$6;
      const dest = this$21.array$6;
      $systemArraycopy(src, 0, dest, len$1, len$2);
      const xs = this$21.array$6;
      const len$3 = xs.u.length;
      let i$1 = 0;
      let j = 0;
      const x = (array$1.length | 0);
      const x$1 = ((x < len$3) ? x : len$3);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i$1 < end)) {
        const jsx$10 = j;
        const index$1 = i$1;
        xs.u[jsx$10] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j = ((1 + j) | 0)
      };
      this$21.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering($$outer, baseUnit, ordering) {
    this.baseUnit$1 = baseUnit;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasSpecEmitter$ReferencesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter$ReferencesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter extends $c_O {
  constructor() {
    super();
    this.TagEmitter$module$1 = null;
    this.key$1 = null;
    this.tags$1 = null;
    this.ordering$1 = null;
    this.amf$plugins$document$webapi$parser$spec$oas$TagsEmitter$$spec$f = null
  };
  productPrefix__T() {
    return "TagsEmitter"
  };
  productArity__I() {
    return 3
  };
  init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, tags, ordering, spec) {
    this.key$1 = key;
    this.tags$1 = tags;
    this.ordering$1 = ordering;
    this.amf$plugins$document$webapi$parser$spec$oas$TagsEmitter$$spec$f = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter(x$1)) {
      const TagsEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === TagsEmitter$1.key$1)) {
        const x = this.tags$1;
        const x$2 = TagsEmitter$1.tags$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = TagsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.tags$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const jsx$2 = this.tags$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(t$2) {
        const t = t$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter().init___Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter__Lamf_plugins_domain_webapi_models_Tag__Lamf_core_emitter_SpecOrdering($this, t, $this.ordering$1)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const emitters = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a, cs);
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$4 = j;
      const index = i;
      xs.u[jsx$4] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.tags$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.TagsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter extends $c_O {
  constructor() {
    super();
    this.tag$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter__Lamf_plugins_domain_webapi_models_Tag__Lamf_core_emitter_SpecOrdering($$outer, tag, ordering) {
    this.tag$1 = tag;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "TagEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(p) {
    const jsx$1 = p.builder$1;
    const b = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const fs = this.tag$1.fields$1;
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Name$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f, $m_s_None$())))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Description$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("description", f$3, $m_s_None$())))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Documentation$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const this$7 = this.tag$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryCreativeWorkEmitter().init___T__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext("externalDocs", this$7.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Documentation$1), this.ordering$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$TagsEmitter$$spec$f)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.tag$1, this.ordering$1, this.$$outer$1.amf$plugins$document$webapi$parser$spec$oas$TagsEmitter$$spec$f).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TagEmitter$1 = x$1;
      const x = this.tag$1;
      const x$2 = TagEmitter$1.tag$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = TagEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tag$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.tag$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.TagsEmitter$TagEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_TagsEmitter$TagEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter extends $c_O {
  constructor() {
    super();
    this.element$1 = null;
    this.message$1 = null
  };
  productPrefix__T() {
    return "CommentEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const node = $m_Lorg_yaml_model_YNode$().Empty$1;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer(node);
    b.comment__T__V(this.message$1);
    const this$1 = this.element$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_SourceAST.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$18 = arg1;
      this$2 = new $c_s_Some().init___O(x$18.ast$1)
    };
    if ((!this$2.isEmpty__Z())) {
      const arg1$1 = this$2.get__O();
      const a = arg1$1;
      b.comment__T__V($m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(a, false))
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter(x$1)) {
      const CommentEmitter$1 = x$1;
      const x = this.element$1;
      const x$2 = CommentEmitter$1.element$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return (this.message$1 === CommentEmitter$1.message$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.element$1;
        break
      }
      case 1: {
        return this.message$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_AmfElement__T(element, message) {
    this.element$1 = element;
    this.message$1 = message;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.CommentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter extends $c_O {
  constructor() {
    super();
    this.properties$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnnotationsTypesEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnnotationsTypesEmitter$1 = x$1;
      const x = this.properties$1;
      const x$2 = AnnotationsTypesEmitter$1.properties$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = AnnotationsTypesEmitter$1.references$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = AnnotationsTypesEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.properties$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("annotationTypes");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.properties$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(p$2) {
        const p = p$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_core_model_domain_extensions_CustomDomainProperty__sc_Seq__Lamf_core_emitter_SpecOrdering($this.$$outer$1, p, $this.references$1, $this.ordering$1)
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, properties, references, ordering) {
    this.properties$1 = properties;
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.properties$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const p = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = p.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$AnnotationsTypesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$AnnotationsTypesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter extends $c_O {
  constructor() {
    super();
    this.parameters$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DeclaredParametersEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclaredParametersEmitter$1 = x$1;
      const x = this.parameters$1;
      const x$2 = DeclaredParametersEmitter$1.parameters$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DeclaredParametersEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = DeclaredParametersEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameters$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = new $c_Lamf_core_utils_package$Strings().init___T("parameters").asRamlAnnotation__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.parameters$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter().init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq($this.$$outer$1, x$3, $this.ordering$1, $this.references$1)
      })
    })(this));
    const this$4 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v.builder$1;
    const array = [key];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, parameters, ordering, references) {
    this.parameters$1 = parameters;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.parameters$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations$1;
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$DeclaredParametersEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$DeclaredParametersEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter extends $c_O {
  constructor() {
    super();
    this.parameter$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedParameterEmitter$1 = x$1;
      const x = this.parameter$1;
      const x$2 = NamedParameterEmitter$1.parameter$1;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$1;
        const x$4 = NamedParameterEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = NamedParameterEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    this.parameter$1.fields$1.get__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1).annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
    const jsx$3 = this.parameter$1;
    const jsx$2 = this.ordering$1;
    const jsx$1 = this.references$1;
    const this$1 = this.$$outer$1;
    new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter().init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(jsx$3, jsx$2, jsx$1, this$1.spec$1).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq($$outer, parameter, ordering, references) {
    this.parameter$1 = parameter;
    this.ordering$1 = ordering;
    this.references$1 = references;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.parameter$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$NamedParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter extends $c_O {
  constructor() {
    super();
    this.annotation$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "NamedPropertyTypeEmitter"
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters__Lamf_core_model_domain_extensions_CustomDomainProperty__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, annotation, references, ordering) {
    this.annotation$1 = annotation;
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NamedPropertyTypeEmitter$1 = x$1;
      const x = this.annotation$1;
      const x$2 = NamedPropertyTypeEmitter$1.annotation$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = NamedPropertyTypeEmitter$1.references$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = NamedPropertyTypeEmitter$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.annotation$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.annotation$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1).option$1;
    if (this$2.isEmpty__Z()) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Annotation type without name ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.annotation$1]))))
    };
    const name = this$2.get__O();
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(name);
    const this$4 = this.annotation$1;
    let vf_$_f$2;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$4).isDefined__Z()) {
      const f = (function(this$2$1) {
        return (function(b$2$2) {
          const b$2 = b$2$2;
          this$2$1.emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        })
      })(this);
      const jsx$1_$_f$2 = f;
      vf_$_f$2 = jsx$1_$_f$2
    } else {
      const f$1 = (function(this$3$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          this$3$1.emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this);
      const jsx$2_$_f$2 = f$1;
      vf_$_f$2 = jsx$2_$_f$2
    };
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$5 = v.builder$1;
    const array = [key];
    if ((this$5.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$5.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$5, newSize);
    const len$1 = this$5.size0$6;
    const src = this$5.array$6;
    const dest = this$5.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$5.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$5.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emitLink__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.annotation$1;
    const this$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const l = arg1;
      const this$3 = this.$$outer$1;
      const this$4 = this$3.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory();
      const jsx$1 = $f_Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory__tagToReferenceEmitter__F3(this$4);
      const this$5 = this.annotation$1;
      jsx$1.apply__O__O__O__O(l, $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$5), this.references$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  emitInline__p1__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.$$outer$1;
    const x1 = this$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().annotationTypeEmitter__F2().apply__O__O__O(this.annotation$1, this.ordering$1).emitters__s_util_Either();
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const emitters = x2.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(emitters), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const part = x3.value$2;
      part.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.annotation$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10RootLevelEmitters$NamedPropertyTypeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10RootLevelEmitters$NamedPropertyTypeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "LicenseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const LicenseEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === LicenseEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = LicenseEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = LicenseEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("url", f, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f$3, $m_s_None$())))
    };
    const this$9 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$9.value$1.value$1, this.ordering$1, this.$$outer$1.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$14 = v.builder$1;
    const array = [key];
    if ((this$14.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$14.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$14, newSize);
    const len$1 = this$14.size0$6;
    const src = this$14.array$6;
    const dest = this$14.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$14.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$14.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$LicenseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$LicenseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter__T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering($$outer, key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "OrganizationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const OrganizationEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === OrganizationEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = OrganizationEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = OrganizationEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const this$4 = this.f$1;
    const fs = this$4.value$1.value$1.fields__Lamf_core_parser_Fields();
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("url", f, $m_s_None$())))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("name", f$3, $m_s_None$())))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$2 = this$9.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("email", f$4, $m_s_None$())))
    };
    const this$11 = this.f$1;
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this$11.value$1.value$1, this.ordering$1, this.$$outer$1.spec$1).emitters__sc_Seq());
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(result), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs));
    const this$16 = v.builder$1;
    const array = [key];
    if ((this$16.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$16.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$16, newSize);
    const len$1 = this$16.size0$6;
    const src = this$16.array$6;
    const dest = this$16.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$16.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$16.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$OrganizationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$OrganizationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  compare__O__O__I(x, y) {
    return this.compare__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y)
  };
  compare__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y) {
    return this.$$outer$1.amf$plugins$document$webapi$parser$spec$raml$RamlDocumentEmitter$WebApiEmitter$$$anonfun$endpoints$1__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter__I(x, y)
  };
}
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1 = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter$WebApiEmitter$$anonfun$defaultOrder$1$1;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser {
  constructor() {
    super();
    this.root$3 = null;
    this.ctx$3 = null
  };
  parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(document) {
    const parent = this.root$3.location$1;
    const this$1 = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(document, parent);
    const location = this.root$3.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, location);
    const map = this.root$3.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(document, "uses", map, this.root$3.references$1, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$3.location$1);
    this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$3, map);
    const this$2 = this.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$3.vendor$1);
    const api = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation);
    const field$1 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(document, field$1, api);
    const declarables = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$2.declarables__sc_Seq();
    if (declarables.nonEmpty__Z()) {
      const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$2, declarables)
    };
    const this$3 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      const references$1 = references.solvedReferences__sc_Seq();
      const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(document, field$3, references$1)
    };
    const this$4 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$4);
    return document
  };
  parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map) {
    const this$1 = $m_Lamf_plugins_domain_webapi_models_WebApi$().apply__Lorg_yaml_model_YNode__Lamf_plugins_domain_webapi_models_WebApi(this.root$3.parsed$1.document$1.node$3);
    const parent = this.root$3.location$1;
    const api = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$1, parent);
    this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedShape__T__Lorg_yaml_model_YMap__T__Z__V(api.id$1, map, "webApi", (this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(), false));
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1;
    const iv = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("title", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1;
    const iv$1 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$6 = this$5.key__T__s_Option("mediaType");
    if ((!this$6.isEmpty__Z())) {
      const arg1 = this$6.get__O();
      const entry = arg1;
      this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().globalMediatype$3 = true;
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      const this$7 = entry.value$1;
      const x1 = this$7.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Seq$1;
      let value;
      if ((x === x1)) {
        const node = entry.value$1;
        const iv$2 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const this$9 = new $c_Lamf_core_parser_DefaultArrayNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv$2);
        value = $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this$9)
      } else {
        annotations.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SingleValueArray().init___());
        const jsx$3 = $m_sc_Seq$();
        const this$10 = $m_Lamf_plugins_document_webapi_parser_spec_common_RamlScalarNode$().apply__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_core_parser_ScalarNode(entry.value$1, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
        value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$3.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$10.text__Lamf_core_model_domain_AmfScalar()])), new $c_Lamf_core_parser_Annotations().init___())
      };
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$2, value, annotations);
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$3, value, annotations)
    };
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1;
    const iv$3 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$4.key__T__F1__V("version", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$4, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$5 = new $c_Lamf_core_utils_package$Strings().init___T("termsOfService").asRamlAnnotation__T();
    const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1;
    const iv$4 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$6.key__T__F1__V(jsx$5, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$5, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    const iv$5 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$7.key__T__F1__V("protocols", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv$5).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const jsx$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$8 = new $c_Lamf_core_utils_package$Strings().init___T("contact").asRamlAnnotation__T();
    const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1;
    const iv$6 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$9.key__T__F1__V(jsx$8, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$6).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(node$2) {
        const node$1 = node$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_OrganizationParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_Organization(node$1, this$2$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this))));
    const jsx$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$10 = new $c_Lamf_core_utils_package$Strings().init___T("license").asRamlAnnotation__T();
    const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1;
    const iv$7 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$11.key__T__F1__V(jsx$10, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$8, iv$7).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(node$3$2) {
        const node$3 = node$3$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_LicenseParser$().parse__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_License(node$3, this$3$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this))));
    const this$22 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("tags").asRamlAnnotation__T();
    const this$23 = this$22.key__T__s_Option(keyword);
    if ((!this$23.isEmpty__Z())) {
      const arg1$1 = this$23.get__O();
      const entry$3 = arg1$1;
      const jsx$15 = entry$3.value$1;
      const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const this$25 = $m_sc_IndexedSeq$();
      const bf = this$25.ReusableCBF$6;
      const jsx$14 = jsx$15.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
      const jsx$12 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, api$1) {
        return (function(tag$2) {
          const tag = tag$2;
          const jsx$13 = $m_Lamf_plugins_document_webapi_parser_spec_domain_TagsParser$();
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YNode$();
          const tt = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t = tt.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs = null;
          return jsx$13.apply__Lorg_yaml_model_YNode__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_domain_TagsParser(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(tag, t, a, cs), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, api$1$1) {
            return (function(tag$2$2) {
              const tag$2$1 = tag$2$2;
              const parent$1 = api$1$1.id$1;
              return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(tag$2$1, parent$1)
            })
          })($this, api$1)), $this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__Lamf_plugins_domain_webapi_models_Tag()
        })
      })(this, api));
      const this$31 = $m_sc_Seq$();
      const tags = jsx$14.map__F1__scg_CanBuildFrom__O(jsx$12, this$31.ReusableCBFInstance$2);
      const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Tags$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(tags, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$9, value$1, annotations$1)
    };
    const this$33 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const entries = this$33.regex__T__sc_Iterable("^/.*");
    if (entries.nonEmpty__Z()) {
      const endpoints = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, api$1$2, endpoints$1) {
        return (function(entry$2) {
          const entry$1 = entry$2;
          $this$2.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().endPointParser__F5().apply__O__O__O__O__O__O(entry$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$3, api$1$3) {
            return (function(path$2) {
              const path = path$2;
              return api$1$3.withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path)
            })
          })($this$2, api$1$2)), $m_s_None$(), endpoints$1, false).parse__V()
        })
      })(this, api, endpoints)));
      const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
      const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(endpoints, new $c_Lamf_core_parser_Annotations().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(api, field$10, value$2)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlServersParser().init___Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(map, api, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
    const eta$0$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1, api$2) {
      return (function(name$2) {
        const name = name$2;
        return api$2.withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name)
      })
    })(this, api));
    const SchemeParser = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1, eta$0$1$1) {
      return (function(node$4$2) {
        const node$4 = node$4$2;
        return $m_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeParser$().parse__F1__Lorg_yaml_model_YNode__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(eta$0$1$1, node$4, this$7$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())
      })
    })(this, eta$0$1));
    const jsx$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$11 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
    const iv$8 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$16.key__T__F1__V("securedBy", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$11, iv$8).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api).using__F1__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(SchemeParser).allowingSingleValue__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$37 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$38 = this$37.key__T__s_Option("documentation");
    if ((!this$38.isEmpty__Z())) {
      const arg1$2 = this$38.get__O();
      const entry$4 = arg1$2;
      const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
      const values = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UserDocumentationsParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__T(this, entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$2, api.id$1).parse__sc_Seq();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(api, field$12, values, annotations$2)
    };
    new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(api, map, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
    return api
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$3 = root;
    this.ctx$3 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters extends $c_O {
  constructor() {
    super();
    this.types$1 = null;
    this.references$1 = null;
    this.ordering$1 = null;
    this.$$outer$1 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters__sc_Seq__sc_Seq__Lamf_core_emitter_SpecOrdering($$outer, types, references, ordering) {
    this.types$1 = types;
    this.references$1 = references;
    this.ordering$1 = ordering;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  productPrefix__T() {
    return "DeclaredTypesEmitters"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DeclaredTypesEmitters$1 = x$1;
      const x = this.types$1;
      const x$2 = DeclaredTypesEmitters$1.types$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$1;
        const x$4 = DeclaredTypesEmitters$1.references$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$1;
        const x$6 = DeclaredTypesEmitters$1.ordering$1;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.types$1;
        break
      }
      case 1: {
        return this.references$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext().factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().typesKey__T();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$5 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const jsx$3 = this.ordering$1;
    const jsx$2 = this.types$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x0$1)) {
          const x2 = x0$1;
          return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, $this.ordering$1, $this.references$1, $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext().factory__Lamf_plugins_document_webapi_contexts_RamlEmitterVersionFactory().typesEmitter__F5(), $this.$$outer$1.spec__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext())
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit non WebApi shape"))
        }
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    jsx$4.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$8 = v.builder$1;
    const array = [key];
    if ((this$8.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$8.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$8, newSize);
    const len$1 = this$8.size0$6;
    const src = this$8.array$6;
    const dest = this$8.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$8.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$6 = j;
      const index = i;
      xs.u[jsx$6] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$8.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.types$1.headOption__s_Option();
    let this$3;
    if (this$1.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = a.annotations__Lamf_core_parser_Annotations();
      this$3 = new $c_s_Some().init___O(this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$3.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$3.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlRootLevelEmitters$DeclaredTypesEmitters", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlRootLevelEmitters$DeclaredTypesEmitters;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.reference$1 = null;
    this.aliases$1 = null;
    this.ordering$1 = null;
    this.aliasGenerator$1 = null
  };
  productPrefix__T() {
    return "ReferenceEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter(x$1)) {
      const ReferenceEmitter$1 = x$1;
      const x = this.reference$1;
      const x$2 = ReferenceEmitter$1.reference$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.aliases$1;
        const x$4 = ReferenceEmitter$1.aliases$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = ReferenceEmitter$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.aliasGenerator$1;
        const x$8 = ReferenceEmitter$1.aliasGenerator$1;
        return (x$7 === x$8)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.reference$1;
        break
      }
      case 1: {
        return this.aliases$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.aliasGenerator$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__p1__T() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.reference$1;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const location = x2.value$2;
      return location
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return this.reference$1.id__T()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.aliases$1;
    const aliasesMap = (this$1.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$1.get__O()).aliases$1;
    const this$3 = aliasesMap.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const p2 = x0$2.$$und2__O();
          if ((p2 !== null)) {
            const f = p2.$$und1__O();
            return (f === this$2.reference$1.id__T())
          }
        };
        throw new $c_s_MatchError().init___O(x0$2)
      })
    })(this)));
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      const x0$3 = arg1;
      let jsx$1;
      matchEnd4$2: {
        if ((x0$3 !== null)) {
          const a = x0$3.$$und1__O();
          const p2$1 = x0$3.$$und2__O();
          if ((p2$1 !== null)) {
            const r = p2$1.$$und2__O();
            jsx$1 = new $c_T2().init___O__O(a, r);
            break matchEnd4$2
          }
        };
        throw new $c_s_MatchError().init___O(x0$3)
      };
      this$4 = new $c_s_Some().init___O(jsx$1)
    };
    const effectiveAlias = (this$4.isEmpty__Z() ? new $c_T2().init___O__O(this.aliasGenerator$1.apply__O(), this.name__p1__T()) : this$4.get__O());
    new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(effectiveAlias.$$und1__O(), effectiveAlias.$$und2__O(), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  init___Lamf_core_model_document_BaseUnit__s_Option__Lamf_core_emitter_SpecOrdering__F0(reference, aliases, ordering, aliasGenerator) {
    this.reference$1 = reference;
    this.aliases$1 = aliases;
    this.ordering$1 = ordering;
    this.aliasGenerator$1 = aliasGenerator;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter extends $c_O {
  constructor() {
    super();
    this.baseUnit$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "ReferencesEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter(x$1)) {
      const ReferencesEmitter$1 = x$1;
      const x = this.baseUnit$1;
      const x$2 = ReferencesEmitter$1.baseUnit$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ReferencesEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseUnit$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.baseUnit$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_Aliases.getClassOf());
    const aliases = (this$1.isEmpty__Z() ? new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())) : this$1.get__O());
    const references = this.baseUnit$1.references__sc_Seq();
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter(this);
    const this$2 = $m_sc_Seq$();
    const modules = references.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    if (modules.nonEmpty__Z()) {
      const elem = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const modulesEmitted = new $c_sr_ObjectRef().init___O(elem);
      const idCounter = new $c_Lamf_plugins_document_webapi_parser_spec_common_IdCounter().init___();
      const this$10 = aliases.aliases$1;
      const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, modules$1, modulesEmitted$1, idCounter$1) {
        return (function(x0$4$2) {
          const x0$4 = x0$4$2;
          if ((x0$4 !== null)) {
            const alias = x0$4.$$und1__O();
            const p2 = x0$4.$$und2__O();
            if ((p2 !== null)) {
              const fullUrl = p2.$$und1__O();
              const localUrl = p2.$$und2__O();
              const x1$2 = modules$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, fullUrl$1) {
                return (function(x$6$2) {
                  const x$6 = x$6$2;
                  return (x$6.id$1 === fullUrl$1)
                })
              })(this$2$1, fullUrl)));
              if ($is_s_Some(x1$2)) {
                const x2 = x1$2;
                const module = x2.value$2;
                const jsx$2 = modulesEmitted$1.elem$1;
                const self = module.id$1;
                modulesEmitted$1.elem$1 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, module));
                const y = new $c_T2().init___O__O(fullUrl, localUrl);
                const array = [new $c_T2().init___O__O(alias, y)];
                let jsx$3;
                if (((array.length | 0) === 0)) {
                  jsx$3 = $m_sci_Set$EmptySet$()
                } else {
                  const b$1 = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
                  let i = 0;
                  const len = (array.length | 0);
                  while ((i < len)) {
                    const index = i;
                    const arg1 = array[index];
                    b$1.$$plus$eq__O__scm_SetBuilder(arg1);
                    i = ((1 + i) | 0)
                  };
                  jsx$3 = b$1.elems$1
                };
                return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter().init___Lamf_core_model_document_BaseUnit__s_Option__Lamf_core_emitter_SpecOrdering__F0(module, new $c_s_Some().init___O(new $c_Lamf_core_annotations_Aliases().init___sci_Set(jsx$3)), this$2$1.ordering$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$2, idCounter$1$1) {
                  return (function() {
                    return idCounter$1$1.genId__T__T("uses")
                  })
                })(this$2$1, idCounter$1))))
              } else {
                return $m_s_None$()
              }
            }
          };
          throw new $c_s_MatchError().init___O(x0$4)
        })
      })(this, modules, modulesEmitted, idCounter));
      const this$9 = $m_sci_Set$();
      const bf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$9);
      const aliasesEmitters = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$10, f, bf).toSeq__sc_Seq();
      const jsx$5 = modules.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, modulesEmitted$2) {
        return (function(m$2) {
          const m = m$2;
          return modulesEmitted$2.elem$1.get__O__s_Option(m.id$1).isEmpty__Z()
        })
      })(this, modulesEmitted)));
      const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, idCounter$2) {
        return (function(module$2) {
          const module$1 = module$2;
          return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferenceEmitter().init___Lamf_core_model_document_BaseUnit__s_Option__Lamf_core_emitter_SpecOrdering__F0(module$1, new $c_s_Some().init___O(new $c_Lamf_core_annotations_Aliases().init___sci_Set($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))), this$4$1.ordering$1, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, idCounter$1$2) {
            return (function() {
              return idCounter$1$2.genId__T__T("uses")
            })
          })(this$4$1, idCounter$2))))
        })
      })(this, idCounter));
      const this$11 = $m_sc_Seq$();
      const missingModuleEmitters = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2);
      const this$12 = $m_sc_Seq$();
      const jsx$7 = aliasesEmitters.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(missingModuleEmitters, this$12.ReusableCBFInstance$2);
      const jsx$6 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter$$anonfun$2().init___Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter(this);
      const this$13 = $m_sc_Seq$();
      const finalEmitters = jsx$7.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$6, this$13.ReusableCBFInstance$2);
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("uses");
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$8 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(finalEmitters), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$20 = v.builder$1;
      const array$1 = [key];
      if ((this$20.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$1 = (array$1.length | 0);
      const newSize = ((this$20.size0$6 + len$1) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$20, newSize);
      const len$2 = this$20.size0$6;
      const src = this$20.array$6;
      const dest = this$20.array$6;
      $systemArraycopy(src, 0, dest, len$1, len$2);
      const xs = this$20.array$6;
      const len$3 = xs.u.length;
      let i$1 = 0;
      let j = 0;
      const x = (array$1.length | 0);
      const x$1 = ((x < len$3) ? x : len$3);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i$1 < end)) {
        const jsx$9 = j;
        const index$1 = i$1;
        xs.u[jsx$9] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j = ((1 + j) | 0)
      };
      this$20.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering(baseUnit, ordering) {
    this.baseUnit$1 = baseUnit;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $m_Lamf_core_parser_Position$ZERO$()
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.ReferencesEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_ReferencesEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter extends $c_O {
  constructor() {
    super();
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "UserDocumentationsEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter(x$1)) {
      const UserDocumentationsEmitter$1 = x$1;
      const x = this.f$1;
      const x$2 = UserDocumentationsEmitter$1.f$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = UserDocumentationsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, spec) {
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("documentation");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$4 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$3 = this.f$1;
    const jsx$2 = this$3.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter$$anonfun$$nestedInanonfun$emit$38$1().init___Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter(this);
    const this$4 = $m_sc_Seq$();
    jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(c$2) {
        const c = c$2;
        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(c).isDefined__Z()) {
          const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const this$5 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(c);
          jsx$3.raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b$2, (this$5.isEmpty__Z() ? $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(c).get__O().id__T() : this$5.get__O()), $m_Lorg_yaml_model_YType$().Str$1)
        } else {
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCreativeWorkEmitter().init___Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_core_emitter_SpecOrdering__Z__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(c, $this.ordering$1, true, $this.spec$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$2)
        }
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YSequence$();
    const c$1 = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$1);
    const tt = $m_Lorg_yaml_model_YType$().Seq$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
    jsx$4.$$plus$eq__O__scm_ArrayBuffer(node);
    const this$11 = v.builder$1;
    const array = [key];
    if ((this$11.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$11.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
    const len$1 = this$11.size0$6;
    const src = this$11.array$6;
    const dest = this$11.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$11.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$5 = j;
      const index = i;
      xs.u[jsx$5] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$11.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.f$1;
    const this$2 = this$1.value$1.value$1.values$1.headOption__s_Option();
    let this$3;
    if (this$2.isEmpty__Z()) {
      this$3 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x$16 = arg1;
      this$3 = new $c_s_Some().init___O(x$16.annotations__Lamf_core_parser_Annotations())
    };
    let this$5;
    if (this$3.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1$1 = this$3.get__O();
      const annotations = arg1$1;
      const this$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
      this$5 = new $c_s_Some().init___O(this$4.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf()))
    };
    return (this$5.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$5.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.UserDocumentationsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_UserDocumentationsEmitter;
class $c_Lamf_plugins_document_webapi_validation_PayloadValidation extends $c_O {
  constructor() {
    super();
    this.validationCandidates$1 = null;
    this.validations$1 = null;
    this.profiles$1 = null;
    this.aggregatedReport$1 = null;
    this.defaultValidationProfiles$1 = null
  };
  productPrefix__T() {
    return "PayloadValidation"
  };
  productArity__I() {
    return 2
  };
  validate__s_concurrent_Future() {
    this.validationCandidates$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(vc$2) {
        const vc = vc$2;
        const this$1 = vc.payload$1;
        const dataNode = this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1);
        $this.addProfileTargets__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_Shape__V(dataNode, vc.shape$1)
      })
    })(this)));
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, "http://test.com/payload");
    const jsx$2 = this.validationCandidates$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        const this$6 = x$1.payload$1;
        return this$6.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1)
      })
    })(this));
    const this$7 = $m_sc_Seq$();
    const declarations = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2);
    const field = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
    const bu = $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$8, field, declarations);
    const finalValidations = new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()));
    const this$15 = this.profiles$1;
    const this$16 = this$15.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$16;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      const p = arg1;
      finalValidations.someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(p);
      these = these.tail__O()
    };
    const this$17 = $m_Lamf_core_services_RuntimeValidator$();
    $m_Lamf_core_services_RuntimeValidator$();
    const messgeStyle = "AMF";
    return this$17.validator__p1__Lamf_core_services_RuntimeValidator().shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(bu, finalValidations, messgeStyle).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, bu$1, finalValidations$1) {
      return (function(report$2) {
        const report = report$2;
        const this$19 = report.results__sci_List();
        const f = (function($this$1, bu$1$1, finalValidations$1$1) {
          return (function(r$2) {
            const r = r$2;
            return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__buildPayloadValidationResult__Lamf_core_model_document_BaseUnit__Lamf_core_validation_core_ValidationResult__Lamf_core_validation_EffectiveValidations__s_Option($this$1, bu$1$1, r, finalValidations$1$1)
          })
        })(this$4$1, bu$1, finalValidations$1);
        const this$18 = $m_sci_List$();
        const bf = this$18.ReusableCBFInstance$2;
        let jsx$3;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$19 === $m_sci_Nil$())) {
            jsx$3 = $m_sci_Nil$()
          } else {
            const arg1$1 = this$19.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            let t = h;
            let rest = this$19.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$2 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$2), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              rest = rest.tail__O()
            };
            jsx$3 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$19, bf);
          let these$1 = this$19;
          while ((!these$1.isEmpty__Z())) {
            const arg1$3 = these$1.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$3));
            these$1 = these$1.tail__O()
          };
          jsx$3 = b.result__O()
        };
        const this$21 = jsx$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
          return (function(x$2$2) {
            const x$2 = x$2$2;
            return x$2.isDefined__Z()
          })
        })(this$4$1)));
        const f$1 = (function(this$3$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return x$3.get__O()
          })
        })(this$4$1);
        const this$20 = $m_sci_List$();
        const bf$1 = this$20.ReusableCBFInstance$2;
        let results;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$21 === $m_sci_Nil$())) {
            results = $m_sci_Nil$()
          } else {
            const arg1$4 = this$21.head__O();
            const h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
            let t$1 = h$1;
            let rest$1 = this$21.tail__O();
            while ((rest$1 !== $m_sci_Nil$())) {
              const arg1$5 = rest$1.head__O();
              const nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$5), $m_sci_Nil$());
              t$1.tl$5 = nx$1;
              t$1 = nx$1;
              rest$1 = rest$1.tail__O()
            };
            results = h$1
          }
        } else {
          const b$1 = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$21, bf$1);
          let these$2 = this$21;
          while ((!these$2.isEmpty__Z())) {
            const arg1$6 = these$2.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$1(arg1$6));
            these$2 = these$2.tail__O()
          };
          results = b$1.result__O()
        };
        let jsx$5;
        inlinereturn$58: {
          let these$3 = results;
          while ((!these$3.isEmpty__Z())) {
            const arg1$7 = these$3.head__O();
            const x$4 = arg1$7;
            if ((x$4.level$1 === $m_Lamf_core_validation_SeverityLevels$().VIOLATION$1)) {
              jsx$5 = true;
              break inlinereturn$58
            };
            these$3 = these$3.tail__O()
          };
          jsx$5 = false
        };
        const jsx$4 = bu$1.id$1;
        const this$22 = this$4$1.profiles$1;
        return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq((!jsx$5), jsx$4, this$22.scala$collection$mutable$ListBuffer$$start$6.head__O().name$1, results)
      })
    })(this, bu, finalValidations)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_validation_PayloadValidation(x$1)) {
      const PayloadValidation$1 = x$1;
      const x = this.validationCandidates$1;
      const x$2 = PayloadValidation$1.validationCandidates$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.validations$1;
        const x$4 = PayloadValidation$1.validations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.validationCandidates$1;
        break
      }
      case 1: {
        return this.validations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$1 = x$1
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$1
  };
  processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(validation, node, validations) {
    const validationsAcc = new $c_sr_ObjectRef().init___O(validations);
    if ($is_Lamf_core_model_domain_ObjectNode(node)) {
      const x2 = node;
      x2.properties$2.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, validation$1, validations$1, validationsAcc$1) {
        return (function(x0$1$2) {
          const x0$1 = x0$1$2;
          if ((x0$1 !== null)) {
            const propName = x0$1.$$und1__O();
            const nodes = x0$1.$$und2__O();
            const x1$2 = validation$1.propertyConstraints$1.filterNot__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
              return (function(p$2) {
                const p = p$2;
                const thiz = p.ramlPropertyId$1;
                const prefix = $m_Lamf_core_vocabulary_Namespace$().Rdf$1.base$1;
                return (((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))
              })
            })($this))).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, propName$1) {
              return (function(p$3$2) {
                const p$3 = p$3$2;
                return $m_sjsr_RuntimeString$().endsWith__T__T__Z(p$3.ramlPropertyId$1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["#", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propName$1])))
              })
            })($this, propName)));
            matchEnd5: {
              if ($is_s_Some(x1$2)) {
                const x2$1 = x1$2;
                const propertyConstraint = x2$1.value$2;
                if (propertyConstraint.node$1.isDefined__Z()) {
                  const x1$3 = validations$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, propertyConstraint$1) {
                    return (function(v$2) {
                      const v = v$2;
                      return (v.id__T() === propertyConstraint$1.node$1.get__O())
                    })
                  })($this, propertyConstraint)));
                  if ($is_s_Some(x1$3)) {
                    const x2$2 = x1$3;
                    const targetValidation = x2$2.value$2;
                    validationsAcc$1.elem$1 = $this.processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(targetValidation, nodes, validationsAcc$1.elem$1)
                  };
                  break matchEnd5
                }
              };
              const x$2 = $m_s_None$();
              if ((x$2 === x1$2)) {
                break matchEnd5
              };
              throw new $c_s_MatchError().init___O(x1$2)
            }
          } else {
            throw new $c_s_MatchError().init___O(x0$1)
          }
        })
      })(this, validation, validations, validationsAcc)))
    } else if ($is_Lamf_core_model_domain_ArrayNode(node)) {
      const x3 = node;
      const x1$2$1 = validation.propertyConstraints$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2) {
        return (function(p$2$1) {
          const p$1 = p$2$1;
          const jsx$1 = p$1.ramlPropertyId$1;
          const this$7 = $m_Lamf_core_vocabulary_Namespace$().Rdf$1;
          return (jsx$1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "member").iri__T())
        })
      })(this)));
      matchEnd4$2: {
        if ($is_s_Some(x1$2$1)) {
          const x2$2$1 = x1$2$1;
          const memberPropertyValidation = x2$2$1.value$2;
          if (memberPropertyValidation.node$1.isDefined__Z()) {
            const itemsValidationId = memberPropertyValidation.node$1.get__O();
            const x1$3$1 = validationsAcc.elem$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$2, itemsValidationId$1) {
              return (function(v$2$1) {
                const v$1 = v$2$1;
                return (v$1.id__T() === itemsValidationId$1)
              })
            })(this, itemsValidationId)));
            if ($is_s_Some(x1$3$1)) {
              const x2$3 = x1$3$1;
              const itemsValidation = x2$3.value$2;
              const this$9 = x3.members$2;
              const this$10 = this$9.scala$collection$mutable$ListBuffer$$start$6;
              let these = this$10;
              while ((!these.isEmpty__Z())) {
                const arg1 = these.head__O();
                const memberShape = arg1;
                validationsAcc.elem$1 = this.processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(itemsValidation, memberShape, validationsAcc.elem$1);
                these = these.tail__O()
              }
            };
            break matchEnd4$2
          }
        }
      }
    } else if ((!$is_Lamf_core_model_domain_ScalarNode(node))) {
      throw new $c_s_MatchError().init___O(node)
    };
    const jsx$3 = validation.targetInstance$1;
    const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([node.id$1]));
    const this$11 = $m_sc_Seq$();
    const x$29 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2).distinct__O();
    const x$30 = validation.name$1;
    const x$31 = validation.message$1;
    const x$32 = validation.ramlMessage$1;
    const x$33 = validation.oasMessage$1;
    const x$34 = validation.targetClass$1;
    const x$35 = validation.targetObject$1;
    const x$36 = validation.unionConstraints$1;
    const x$37 = validation.andConstraints$1;
    const x$38 = validation.xoneConstraints$1;
    const x$39 = validation.notConstraint$1;
    const x$40 = validation.propertyConstraints$1;
    const x$41 = validation.nodeConstraints$1;
    const x$42 = validation.closed$1;
    const x$43 = validation.functionConstraint$1;
    const x$44 = validation.custom$1;
    const newValidation = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$30, x$31, x$32, x$33, x$29, x$34, x$35, x$36, x$37, x$38, x$39, x$40, x$41, x$42, x$43, x$44);
    const jsx$5 = validationsAcc.elem$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, newValidation$1) {
      return (function(v$3$2) {
        const v$3 = v$3$2;
        return (v$3.id__T() !== newValidation$1.id__T())
      })
    })(this, newValidation)));
    const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([newValidation]));
    const this$12 = $m_sc_Seq$();
    validationsAcc.elem$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$12.ReusableCBFInstance$2);
    return validationsAcc.elem$1
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$1 = x$1
  };
  init___sc_Seq__Lamf_core_validation_EffectiveValidations(validationCandidates, validations) {
    this.validationCandidates$1 = validationCandidates;
    this.validations$1 = validations;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    this.profiles$1 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  addProfileTargets__Lamf_core_model_domain_DataNode__Lamf_core_model_domain_Shape__V(dataNode, shape) {
    const localProfile = new $c_Lamf_plugins_document_webapi_validation_AMFShapeValidations().init___Lamf_core_model_domain_Shape(shape).profile__Lamf_core_validation_core_ValidationProfile();
    const entryValidation = localProfile.validations$1.head__O();
    const x$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([dataNode.id$1]));
    const x$6 = entryValidation.name$1;
    const x$7 = entryValidation.message$1;
    const x$8 = entryValidation.ramlMessage$1;
    const x$9 = entryValidation.oasMessage$1;
    const x$10 = entryValidation.targetClass$1;
    const x$11 = entryValidation.targetObject$1;
    const x$12 = entryValidation.unionConstraints$1;
    const x$13 = entryValidation.andConstraints$1;
    const x$14 = entryValidation.xoneConstraints$1;
    const x$15 = entryValidation.notConstraint$1;
    const x$16 = entryValidation.propertyConstraints$1;
    const x$17 = entryValidation.nodeConstraints$1;
    const x$18 = entryValidation.closed$1;
    const x$19 = entryValidation.functionConstraint$1;
    const x$20 = entryValidation.custom$1;
    const entryValidationWithTarget = new $c_Lamf_core_validation_core_ValidationSpecification().init___T__T__s_Option__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__s_Option__sc_Seq__sc_Seq__s_Option__s_Option__s_Option(x$6, x$7, x$8, x$9, x$5, x$10, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$19, x$20);
    const restValidations = localProfile.validations$1.tail__O();
    const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entryValidationWithTarget]));
    const this$1 = $m_sc_Seq$();
    let finalValidations = jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(restValidations, this$1.ReusableCBFInstance$2);
    finalValidations = this.processTargets__Lamf_core_validation_core_ValidationSpecification__Lamf_core_model_domain_DataNode__sc_Seq__sc_Seq(entryValidation, dataNode, finalValidations);
    const jsx$2 = this.profiles$1;
    const x$21 = finalValidations;
    const x$22 = localProfile.name$1;
    const x$23 = localProfile.baseProfileName$1;
    const x$24 = localProfile.violationLevel$1;
    const x$25 = localProfile.infoLevel$1;
    const x$26 = localProfile.warningLevel$1;
    const x$27 = localProfile.disabled$1;
    const x$28 = localProfile.prefixes$1;
    jsx$2.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_validation_core_ValidationProfile().init___T__s_Option__sc_Seq__sc_Seq__sc_Seq__sc_Seq__sc_Seq__scm_Map(x$22, x$23, x$24, x$25, x$26, x$27, x$21, x$28))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_validation_PayloadValidation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_validation_PayloadValidation)))
});
const $isArrayOf_Lamf_plugins_document_webapi_validation_PayloadValidation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_validation_PayloadValidation)))
});
const $d_Lamf_plugins_document_webapi_validation_PayloadValidation = new $TypeData().initClass({
  Lamf_plugins_document_webapi_validation_PayloadValidation: 0
}, false, "amf.plugins.document.webapi.validation.PayloadValidation", {
  Lamf_plugins_document_webapi_validation_PayloadValidation: 1,
  O: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_validation_PayloadValidation.prototype.$classData = $d_Lamf_plugins_document_webapi_validation_PayloadValidation;
class $c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance extends $c_O {
  constructor() {
    super();
    this.baseId$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "InheritanceProvenance"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance(x$1)) {
      const InheritanceProvenance$1 = x$1;
      return (this.baseId$1 === InheritanceProvenance$1.baseId$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(baseId) {
    this.baseId$1 = baseId;
    this.name$1 = "inheritance-provenance";
    this.value$1 = baseId;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_annotations_InheritanceProvenance)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_annotations_InheritanceProvenance)))
});
const $d_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_InheritanceProvenance: 0
}, false, "amf.plugins.domain.shapes.annotations.InheritanceProvenance", {
  Lamf_plugins_domain_shapes_annotations_InheritanceProvenance: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_InheritanceProvenance;
class $c_Lamf_plugins_domain_shapes_annotations_InheritedShapes extends $c_O {
  constructor() {
    super();
    this.baseIds$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "InheritedShapes"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_annotations_InheritedShapes(x$1)) {
      const InheritedShapes$1 = x$1;
      const x = this.baseIds$1;
      const x$2 = InheritedShapes$1.baseIds$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.baseIds$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___sc_Seq(baseIds) {
    this.baseIds$1 = baseIds;
    this.name$1 = "inherited-shapes";
    this.value$1 = baseIds.mkString__T__T(",");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_shapes_annotations_InheritedShapes = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_annotations_InheritedShapes)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_annotations_InheritedShapes = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_annotations_InheritedShapes)))
});
const $d_Lamf_plugins_domain_shapes_annotations_InheritedShapes = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_InheritedShapes: 0
}, false, "amf.plugins.domain.shapes.annotations.InheritedShapes", {
  Lamf_plugins_domain_shapes_annotations_InheritedShapes: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_InheritedShapes.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_InheritedShapes;
class $c_Lamf_plugins_domain_shapes_annotations_NilUnion extends $c_O {
  constructor() {
    super();
    this.position$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "NilUnion"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_annotations_NilUnion(x$1)) {
      const NilUnion$1 = x$1;
      return (this.position$1 === NilUnion$1.position$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.position$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(position) {
    this.position$1 = position;
    this.name$1 = "nil-union";
    this.value$1 = position;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_shapes_annotations_NilUnion = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_annotations_NilUnion)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_annotations_NilUnion = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_annotations_NilUnion)))
});
const $d_Lamf_plugins_domain_shapes_annotations_NilUnion = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_NilUnion: 0
}, false, "amf.plugins.domain.shapes.annotations.NilUnion", {
  Lamf_plugins_domain_shapes_annotations_NilUnion: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_NilUnion.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_NilUnion;
class $c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression extends $c_O {
  constructor() {
    super();
    this.expression$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParsedFromTypeExpression"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression(x$1)) {
      const ParsedFromTypeExpression$1 = x$1;
      return (this.expression$1 === ParsedFromTypeExpression$1.expression$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.expression$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(expression) {
    this.expression$1 = expression;
    this.name$1 = "type-expression";
    this.value$1 = expression;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression)))
});
const $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression: 0
}, false, "amf.plugins.domain.shapes.annotations.ParsedFromTypeExpression", {
  Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression.prototype.$classData = $d_Lamf_plugins_domain_shapes_annotations_ParsedFromTypeExpression;
class $c_Lamf_plugins_domain_webapi_annotations_InvalidBinding extends $c_O {
  constructor() {
    super();
    this.value$1 = null;
    this.name$1 = null
  };
  productPrefix__T() {
    return "InvalidBinding"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_annotations_InvalidBinding(x$1)) {
      const InvalidBinding$1 = x$1;
      return (this.value$1 === InvalidBinding$1.value$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.value$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$1
  };
  value__T() {
    return this.value$1
  };
  init___T(value) {
    this.value$1 = value;
    this.name$1 = "invalid-binding";
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_webapi_annotations_InvalidBinding = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_annotations_InvalidBinding)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_annotations_InvalidBinding = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_annotations_InvalidBinding)))
});
const $d_Lamf_plugins_domain_webapi_annotations_InvalidBinding = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_InvalidBinding: 0
}, false, "amf.plugins.domain.webapi.annotations.InvalidBinding", {
  Lamf_plugins_domain_webapi_annotations_InvalidBinding: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_InvalidBinding.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_InvalidBinding;
class $c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension extends $c_O {
  constructor() {
    super();
    this.location$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "OrphanOasExtension"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension(x$1)) {
      const OrphanOasExtension$1 = x$1;
      return (this.location$1 === OrphanOasExtension$1.location$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.location$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(location) {
    this.location$1 = location;
    this.name$1 = "orphan-oas-extension";
    this.value$1 = location;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_annotations_OrphanOasExtension)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_annotations_OrphanOasExtension)))
});
const $d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_OrphanOasExtension: 0
}, false, "amf.plugins.domain.webapi.annotations.OrphanOasExtension", {
  Lamf_plugins_domain_webapi_annotations_OrphanOasExtension: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_OrphanOasExtension;
class $c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint extends $c_O {
  constructor() {
    super();
    this.parent$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParentEndPoint"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_annotations_ParentEndPoint(x$1)) {
      const ParentEndPoint$1 = x$1;
      const x = this.parent$1;
      const x$2 = ParentEndPoint$1.parent$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parent$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint(parent) {
    this.parent$1 = parent;
    this.name$1 = "parent-end-point";
    this.value$1 = parent.id$1;
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_annotations_ParentEndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_annotations_ParentEndPoint)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_annotations_ParentEndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_annotations_ParentEndPoint)))
});
const $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint: 0
}, false, "amf.plugins.domain.webapi.annotations.ParentEndPoint", {
  Lamf_plugins_domain_webapi_annotations_ParentEndPoint: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_ParentEndPoint.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_ParentEndPoint;
class $c_Lamf_plugins_domain_webapi_metamodel_OperationModel$ extends $c_O {
  constructor() {
    super();
    this.Method$1 = null;
    this.Name$1 = null;
    this.Description$1 = null;
    this.Deprecated$1 = null;
    this.Summary$1 = null;
    this.Documentation$1 = null;
    this.Schemes$1 = null;
    this.Accepts$1 = null;
    this.ContentType$1 = null;
    this.Request$1 = null;
    this.Responses$1 = null;
    this.Security$1 = null;
    this.Tags$1 = null;
    this.Callbacks$1 = null;
    this.Servers$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.fields$1 = null;
    this.Optional$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Method$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "method"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "name"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Deprecated$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "deprecated"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Summary$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "guiSummary"), true);
    const jsx$6 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Documentation$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "documentation"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schemes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "scheme"), true);
    const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Accepts$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "accepts"), true);
    const jsx$9 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ContentType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "contentType"), true);
    const jsx$10 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Request$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "expects"), true);
    const jsx$11 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$());
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Responses$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "returns"), true);
    const jsx$12 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$());
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Security$1;
    this.Security$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "security"), true);
    const jsx$13 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Tags$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$13, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "tag"), true);
    const jsx$14 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$());
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Callbacks$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$14, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "callback"), true);
    const jsx$15 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$());
    const this$29 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Servers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$15, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$29, "server"), true);
    this.key$1 = this.Method$1;
    const this$31 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$31, "Operation");
    const this$33 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$33);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Method$1, this.Name$1, this.Description$1, this.Deprecated$1, this.Summary$1, this.Documentation$1, this.Schemes$1, this.Accepts$1, this.ContentType$1, this.Request$1, this.Responses$1, this.Security$1, this.Tags$1, this.Callbacks$1, this.Servers$1]);
    const this$35 = $m_sci_List$();
    const cbf = this$35.ReusableCBFInstance$2;
    const jsx$17 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$16 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$36 = $m_sci_List$();
    this.fields$1 = jsx$17.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$16, this$36.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_OperationModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.OperationModel$", {
  Lamf_plugins_domain_webapi_metamodel_OperationModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_OperationModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_OperationModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_OperationModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_OperationModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_OperationModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.Target$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParametrizedResourceType");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Target__Lamf_core_metamodel_Field() {
    return this.Target$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.ParametrizedResourceTypeModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.Target$1 = null;
    this.Variables$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ParametrizedTrait");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Target__Lamf_core_metamodel_Field() {
    return this.Target$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$templates$ParametrizedDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.ParametrizedTraitModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_ParametrizedDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.DataNode$1 = null;
    this.Variables$1 = null;
    this.Description$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ResourceType");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Description__Lamf_core_metamodel_Field() {
    return this.Description$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DataNode$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  DataNode__Lamf_core_metamodel_Field() {
    return this.DataNode$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.ResourceTypeModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Name$1 = null;
    this.DataNode$1 = null;
    this.Variables$1 = null;
    this.Description$1 = null;
    this.key$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__$$init$__V(this);
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Trait");
    const this$3 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3);
    return this
  };
  Description__Lamf_core_metamodel_Field() {
    return this.Description$1
  };
  Variables__Lamf_core_metamodel_Field() {
    return this.Variables$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$DataNode$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DataNode$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  DataNode__Lamf_core_metamodel_Field() {
    return this.DataNode$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$templates$AbstractDeclarationModel$$undsetter$und$Variables$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Variables$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.templates.TraitModel$", {
  Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_templates_AbstractDeclarationModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$
});
class $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$()
  };
  withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "fragment" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url)
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1)
  };
  withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent) {
    if (((parent.indexOf("#") | 0) !== (-1))) {
      const str = this.componentId__T();
      const this$5 = new $c_Lamf_core_utils_package$Strings().init___T(str);
      const this$6 = this$5.platform$1;
      const url = this$5.str$1;
      return this.withId__T__Lamf_core_model_domain_AmfObject(((parent + "/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$6, url)))
    } else {
      const str$1 = this.componentId__T();
      const this$8 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
      const this$9 = this$8.platform$1;
      const url$1 = this$8.str$1;
      return this.withId__T__Lamf_core_model_domain_AmfObject(((parent + "#") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$9, url$1)))
    }
  };
  withHttpSettings__Lamf_plugins_domain_webapi_models_security_HttpSettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_HttpSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  cloneScheme__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent) {
    const annotations = this.annotations$1;
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$6 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const this$4 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
    const this$5 = this$4.option$1;
    const name = (this$5.isEmpty__Z() ? null : this$5.get__O());
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    const cloned = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field, name).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent);
    const this$8 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_plugins_domain_webapi_models_security_Settings(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneSettings__T__Lamf_plugins_domain_webapi_models_security_Settings(cloned$1.id$1)
          } else if ($is_Lamf_core_model_domain_AmfArray(x1$2)) {
            const x3 = x1$2;
            const jsx$2 = x3.values$1;
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, cloned$1$1) {
              return (function(x0$2$2) {
                const x0$2 = x0$2$2;
                if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$2)) {
                  const x2$1 = x0$2;
                  return x2$1.cloneParameter__T__Lamf_plugins_domain_webapi_models_Parameter(cloned$1$1.id$1)
                } else if ($is_Lamf_plugins_domain_webapi_models_Response(x0$2)) {
                  const x3$1 = x0$2;
                  return x3$1.cloneResponse__T__Lamf_plugins_domain_webapi_models_Response(cloned$1$1.id$1)
                } else {
                  return x0$2
                }
              })
            })($this, cloned$1));
            const this$7 = $m_sc_Seq$();
            clonedValue = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$7.ReusableCBFInstance$2), x3.annotations$1)
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$8.fs$1.foreach__F1__V(fn);
    return cloned
  };
  refName__T() {
    return this.refName$1
  };
  withResponse__T__Lamf_plugins_domain_webapi_models_Response(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const statusCode = ((name === "default") ? "200" : name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, statusCode);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$2, result);
    return result
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  withOpenIdConnectSettings__Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_SecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_SecurityScheme)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_SecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_SecurityScheme)))
});
const $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_SecurityScheme: 0
}, false, "amf.plugins.domain.webapi.models.security.SecurityScheme", {
  Lamf_plugins_domain_webapi_models_security_SecurityScheme: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_webapi_models_security_WithSettings: 1
});
$c_Lamf_plugins_domain_webapi_models_security_SecurityScheme.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_SecurityScheme;
class $c_Lamf_plugins_domain_webapi_models_templates_ResourceType extends $c_Lamf_core_model_domain_templates_AbstractDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_ResourceTypeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_plugins_domain_webapi_models_EndPoint(unit, profile) {
    const x1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this);
    if ($is_s_Some(x1)) {
      return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this).asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_plugins_domain_webapi_models_EndPoint(unit, profile)
    } else {
      const jsx$2 = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$();
      const jsx$1 = this.dataNode__Lamf_core_model_domain_DataNode();
      const this$1 = this.name__Lamf_core_model_StrField();
      const this$2 = this$1.option$1;
      return jsx$2.asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_domain_DataNode__T__T__s_Option__Z__s_Option__Lamf_plugins_domain_webapi_models_EndPoint(unit, profile, jsx$1, (this$2.isEmpty__Z() ? null : this$2.get__O()), this.id$1, $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(this.id$1, unit), false, $m_s_None$())
    }
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_AbstractDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_ResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_ResourceType)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_ResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_ResourceType)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_ResourceType = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ResourceType: 0
}, false, "amf.plugins.domain.webapi.models.templates.ResourceType", {
  Lamf_plugins_domain_webapi_models_templates_ResourceType: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ResourceType.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ResourceType;
class $c_Lamf_plugins_domain_webapi_models_templates_Trait extends $c_Lamf_core_model_domain_templates_AbstractDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_TraitModel$()
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  asOperation__Lamf_core_model_document_BaseUnit__T__Lamf_plugins_domain_webapi_models_Operation(unit, profile) {
    const x1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this);
    if ($is_s_Some(x1)) {
      return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this).asOperation__Lamf_core_model_document_BaseUnit__T__Lamf_plugins_domain_webapi_models_Operation(unit, profile)
    } else {
      const jsx$2 = $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$();
      const jsx$1 = this.dataNode__Lamf_core_model_domain_DataNode();
      const this$1 = this.name__Lamf_core_model_StrField().option$1;
      return jsx$2.asOperation__T__Lamf_core_model_domain_DataNode__Lamf_core_model_document_BaseUnit__T__T__s_Option__Z__s_Option__Lamf_plugins_domain_webapi_models_Operation(profile, jsx$1, unit, (this$1.isEmpty__Z() ? "" : this$1.get__O()), this.id$1, $m_Lamf_plugins_domain_webapi_resolution_ExtendsHelper$().findUnitLocationOfElement__T__Lamf_core_model_document_BaseUnit__s_Option(this.id$1, unit), false, $m_s_None$())
    }
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_AbstractDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_Trait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_Trait)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_Trait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_Trait)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_Trait = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_Trait: 0
}, false, "amf.plugins.domain.webapi.models.templates.Trait", {
  Lamf_plugins_domain_webapi_models_templates_Trait: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_Trait.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_Trait;
class $c_Lamf_plugins_features_validation_AMFValidatorPlugin$ extends $c_Lamf_plugins_features_validation_ParserSideValidationPlugin {
  constructor() {
    super();
    this.ID$2 = null;
    this.url$2 = null;
    this.customValidationProfiles$2 = null;
    this.customValidationProfilesPlugins$2 = null;
    this.platform$2 = null
  };
  init___() {
    $c_Lamf_plugins_features_validation_ParserSideValidationPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_features_validation_AMFValidatorPlugin$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.ID$2 = "AMF Validation";
    this.url$2 = "http://raml.org/dialects/profile.raml";
    this.customValidationProfiles$2 = $m_sci_Map$EmptyMap$();
    this.customValidationProfilesPlugins$2 = $m_sci_Map$EmptyMap$();
    return this
  };
  profileNotFoundWarningReport__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_AMFValidationReport(model, profileName) {
    return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq(true, model.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1), profileName, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()))
  };
  profiles__sci_Map() {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
    const this$2 = this$1.documentPluginIDRegistry$1;
    const this$3 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$2);
    const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = z;
    const this$5 = this$3.$$outer$4;
    const iterTable = this$5.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$5);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const this$6 = es;
      const next = this$6.next$1;
      const arg1 = es;
      const e = arg1;
      const arg1$1 = e.value$1;
      const arg1$2 = elem$1;
      const x0$1 = arg1$2;
      const x1$1 = arg1$1;
      elem$1 = ($is_Lamf_core_plugins_AMFValidationPlugin(x1$1) ? x0$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(x1$1.domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(this.platform$2)) : x0$1);
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    };
    return elem$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(this.customValidationProfiles$2)
  };
  loadValidationProfile__T__s_concurrent_Future(validationProfilePath) {
    return $m_Lamf_core_services_RuntimeCompiler$().apply__T__s_Option__T__Lamf_core_remote_Context__Lamf_core_parser_ReferenceKind__Lamf_core_remote_Cache__s_Option__Lamf_internal_environment_Environment__s_concurrent_Future(validationProfilePath, new $c_s_Some().init___O("application/yaml"), $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().ID$2, $m_Lamf_core_remote_Context$().apply__Lamf_core_remote_Platform__Lamf_core_remote_Context(this.platform$2), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_core_parser_UnspecifiedReference$()), ($m_Lamf_core_services_RuntimeCompiler$(), new $c_Lamf_core_remote_Cache().init___()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_s_None$()), ($m_Lamf_core_services_RuntimeCompiler$(), $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment())).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$4$2) {
        const x0$4 = x0$4$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(x0$4)) {
          const x2 = x0$4;
          const this$6 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().DefinedBy$1);
          if ($f_Lamf_core_model_ValueField__is__O__Z(this$6, "http://raml.org/dialects/profile.raml#")) {
            return x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1)
          }
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Trying to load as a validation profile that does not match the Validation Profile dialect"))
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x0$5$2) {
        const x0$5 = x0$5$2;
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$5)) {
          const x2$1 = x0$5;
          const this$7 = x2$1.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
          const this$8 = this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
          if ($f_Lamf_core_model_ValueField__is__O__Z(this$8, "profileNode")) {
            const profile = $m_Lamf_plugins_features_validation_model_ParsedValidationProfile$().apply__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_core_validation_core_ValidationProfile(x2$1);
            const x1$2 = this$2$1.profilesPlugins__sci_Map().get__O__s_Option(profile.name$1);
            let domainPlugin;
            if ($is_s_Some(x1$2)) {
              const x2$2 = x1$2;
              const plugin = x2$2.value$2;
              domainPlugin = plugin
            } else {
              const x = $m_s_None$();
              if ((!(x === x1$2))) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              const jsx$1 = this$2$1.profilesPlugins__sci_Map();
              const this$9 = profile.baseProfileName$1;
              const x1$3 = jsx$1.get__O__s_Option((this$9.isEmpty__Z() ? "AMF" : this$9.get__O()));
              if ($is_s_Some(x1$3)) {
                const x2$3 = x1$3;
                const plugin$2 = x2$3.value$2;
                domainPlugin = plugin$2
              } else {
                const x$3 = $m_s_None$();
                if ((!(x$3 === x1$3))) {
                  throw new $c_s_MatchError().init___O(x1$3)
                };
                domainPlugin = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$()
              }
            };
            const jsx$2 = this$2$1.customValidationProfiles$2;
            const self = profile.name$1;
            const y = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$2, profile$1) {
              return (function() {
                return profile$1
              })
            })(this$2$1, profile));
            this$2$1.customValidationProfiles$2 = jsx$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, y));
            const jsx$3 = this$2$1.customValidationProfilesPlugins$2;
            const self$1 = profile.name$1;
            this$2$1.customValidationProfilesPlugins$2 = jsx$3.$$plus__T2__sci_Map(new $c_T2().init___O__O(self$1, domainPlugin));
            return profile.name$1
          }
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Trying to load as a validation profile that does not match the Validation Profile dialect"))
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  ID__T() {
    return this.ID$2
  };
  dependencies__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_syntax_SYamlSyntaxPlugin$(), $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$(), $m_Lamf_plugins_document_graph_AMFGraphPlugin$()]))
  };
  validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future(model, profileName, messageStyle) {
    const x1 = this.profilesPlugins__sci_Map().get__O__s_Option(profileName);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainPlugin = x2.value$2;
      if ($is_Lamf_core_plugins_AMFValidationPlugin(domainPlugin)) {
        const validations = this.computeValidations__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_EffectiveValidations(profileName, new $c_Lamf_core_validation_EffectiveValidations().init___scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap__scm_HashMap($m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$()), $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$())));
        return domainPlugin.validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(model, profileName, validations, this.platform$2).flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, model$1, profileName$1, messageStyle$1) {
          return (function(modelValidations$2) {
            const modelValidations = modelValidations$2;
            return $c_Lamf_plugins_features_validation_ParserSideValidationPlugin.prototype.validate__Lamf_core_model_document_BaseUnit__T__T__s_concurrent_Future.call($this, model$1, profileName$1, messageStyle$1).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, modelValidations$1) {
              return (function(parserSideValidation$2) {
                const parserSideValidation = parserSideValidation$2;
                const x$3 = (modelValidations$1.conforms$1 && parserSideValidation.conforms$1);
                const jsx$2 = modelValidations$1.results$1;
                const jsx$1 = parserSideValidation.results$1;
                const this$6 = $m_sc_Seq$();
                const x$4 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
                const x$5 = modelValidations$1.model$1;
                const x$6 = modelValidations$1.profile$1;
                return new $c_Lamf_core_validation_AMFValidationReport().init___Z__T__T__sc_Seq(x$3, x$5, x$6, x$4)
              })
            })($this, modelValidations)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
          })
        })(this, model, profileName, messageStyle)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
      }
    };
    return $m_s_concurrent_Future$().apply__F0__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, model$2, profileName$2) {
      return (function() {
        return this$2$1.profileNotFoundWarningReport__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_AMFValidationReport(model$2, profileName$2)
      })
    })(this, model, profileName)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  profilesPlugins__sci_Map() {
    const this$1 = $m_Lamf_core_registries_AMFPluginsRegistry$();
    const this$2 = this$1.documentPluginIDRegistry$1;
    const this$3 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$2);
    const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = z;
    const this$5 = this$3.$$outer$4;
    const iterTable = this$5.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$5);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const this$6 = es;
      const next = this$6.next$1;
      const arg1 = es;
      const e = arg1;
      const arg1$1 = e.value$1;
      const arg1$2 = elem$1;
      const x0$2 = arg1$2;
      const x1$2 = arg1$1;
      if ($is_Lamf_core_plugins_AMFValidationPlugin(x1$2)) {
        const this$7 = x1$2.domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(this.platform$2);
        const this$8 = new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this$7);
        const z$1 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
        const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, x3) {
          return (function(x0$3$2, x1$3$2) {
            const x0$3 = x0$3$2;
            const x1$3 = x1$3$2;
            return x0$3.updated__O__O__sci_Map(x1$3, x3)
          })
        })(this, x1$2));
        elem$1 = x0$2.$$plus$plus__sc_GenTraversableOnce__sci_Map($f_sc_TraversableOnce__foldLeft__O__F2__O(this$8, z$1, op))
      } else {
        elem$1 = x0$2
      };
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    };
    return elem$1.$$plus$plus__sc_GenTraversableOnce__sci_Map(this.customValidationProfilesPlugins$2)
  };
  init__s_concurrent_Future() {
    $m_Lamf_core_services_RuntimeValidator$().register__Lamf_core_services_RuntimeValidator__V($m_Lamf_plugins_features_validation_AMFValidatorPlugin$());
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#init: registering validation dialect"])).s__sc_Seq__T($m_sci_Nil$()));
    const this$1 = $m_Lamf_plugins_document_vocabularies_VocabulariesPlugin$().registry$2;
    const code = $m_Lamf_plugins_features_validation_model_ValidationDialectText$().text__T();
    return this$1.registerDialect__T__T__Lamf_internal_environment_Environment__s_concurrent_Future("http://raml.org/dialects/profile.raml", code, $m_Lamf_internal_environment_Environment$().apply__Lamf_internal_environment_Environment()).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#init: validation dialect registered"])).s__sc_Seq__T($m_sci_Nil$()));
        return $this
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
  shapesGraph__Lamf_core_validation_EffectiveValidations__T__T(validations, messageStyle) {
    const jsx$1 = new $c_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter().init___T(messageStyle);
    const this$1 = validations.effective$1;
    const this$2 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    const this$3 = this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(s$2) {
        const s = s$2;
        return (!s.isParserSide__Z())
      })
    })(this));
    return jsx$1.emitJSON__sc_Seq__T(this$3.filterImpl__F1__Z__sci_Stream(p, false))
  };
  computeValidations__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_EffectiveValidations(profileName, computed) {
    const x1 = this.profiles__sci_Map().get__O__s_Option(profileName);
    let maybeProfile;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const profileGenerator = x2.value$2;
      maybeProfile = new $c_s_Some().init___O(profileGenerator.apply__O())
    } else {
      maybeProfile = $m_s_None$()
    };
    if ($is_s_Some(maybeProfile)) {
      const x2$2 = maybeProfile;
      const foundProfile = x2$2.value$2;
      return (foundProfile.baseProfileName$1.isDefined__Z() ? this.computeValidations__T__Lamf_core_validation_EffectiveValidations__Lamf_core_validation_EffectiveValidations(foundProfile.baseProfileName$1.get__O(), computed).someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(foundProfile) : computed.someEffective__Lamf_core_validation_core_ValidationProfile__Lamf_core_validation_EffectiveValidations(foundProfile))
    } else {
      const x = $m_s_None$();
      if ((x === maybeProfile)) {
        return computed
      } else {
        throw new $c_s_MatchError().init___O(maybeProfile)
      }
    }
  };
  shaclValidation__Lamf_core_model_document_BaseUnit__Lamf_core_validation_EffectiveValidations__T__s_concurrent_Future(model, validations, messageStyle) {
    const jsx$2 = $m_Lamf_core_benchmark_ExecutionLog$();
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#shaclValidation: shacl validation for ", " validations"]));
    const this$1 = validations.effective$1;
    const this$2 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$1);
    jsx$2.log__T__Lamf_core_benchmark_ExecutionLog$(jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$2.$$outer$3.size__I()])));
    const shapesJSON = this.shapesGraph__Lamf_core_validation_EffectiveValidations__T__T(validations, messageStyle);
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#shaclValidation: shapes graph JSON generated"])).s__sc_Seq__T($m_sci_Nil$()));
    const jsx$3 = new $c_Lamf_plugins_features_validation_emitters_JSLibraryEmitter().init___s_Option($m_s_None$());
    const this$3 = validations.effective$1;
    const this$4 = new $c_scm_HashMap$$anon$2().init___scm_HashMap(this$3);
    const jsLibrary = jsx$3.emitJS__sc_Seq__s_Option(this$4.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream());
    if ($is_s_Some(jsLibrary)) {
      const x2 = jsLibrary;
      const code = x2.value$2;
      $m_Lamf_plugins_features_validation_PlatformValidator$().instance$1.registerLibrary__T__T__V($m_Lamf_plugins_features_validation_emitters_ValidationJSONLDEmitter$().validationLibraryUrl__T(), code)
    };
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#shaclValidation: jsLibrary generated"])).s__sc_Seq__T($m_sci_Nil$()));
    const modelJSON = $m_Lamf_core_services_RuntimeSerializer$().apply__Lamf_core_model_document_BaseUnit__T__T__Lamf_core_emitter_RenderOptions__T(model, "application/ld+json", "AMF Graph", new $c_Lamf_core_emitter_RenderOptions().init___().withoutSourceMaps__Lamf_core_emitter_RenderOptions().withCustomEmitter__Lamf_plugins_document_graph_parser_ScalarEmitter__Lamf_core_emitter_RenderOptions($m_Lamf_plugins_features_validation_AMFValidatorPlugin$CustomScalarEmitter$()));
    $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#shaclValidation: data graph generated"])).s__sc_Seq__T($m_sci_Nil$()));
    return $m_Lamf_plugins_features_validation_PlatformValidator$().instance$1.report__T__T__T__T__s_concurrent_Future(modelJSON, "application/ld+json", shapesJSON, "application/ld+json").map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$6$2) {
        const x0$6 = x0$6$2;
        $m_Lamf_core_benchmark_ExecutionLog$().log__T__Lamf_core_benchmark_ExecutionLog$(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["AMFValidatorPlugin#shaclValidation: validation finished"])).s__sc_Seq__T($m_sci_Nil$()));
        return x0$6
      })
    })(this)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
  };
}
const $d_Lamf_plugins_features_validation_AMFValidatorPlugin$ = new $TypeData().initClass({
  Lamf_plugins_features_validation_AMFValidatorPlugin$: 0
}, false, "amf.plugins.features.validation.AMFValidatorPlugin$", {
  Lamf_plugins_features_validation_AMFValidatorPlugin$: 1,
  Lamf_plugins_features_validation_ParserSideValidationPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFFeaturePlugin: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_core_services_RuntimeValidator: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_features_validation_AMFValidatorPlugin$.prototype.$classData = $d_Lamf_plugins_features_validation_AMFValidatorPlugin$;
let $n_Lamf_plugins_features_validation_AMFValidatorPlugin$ = (void 0);
const $m_Lamf_plugins_features_validation_AMFValidatorPlugin$ = (function() {
  if ((!$n_Lamf_plugins_features_validation_AMFValidatorPlugin$)) {
    $n_Lamf_plugins_features_validation_AMFValidatorPlugin$ = new $c_Lamf_plugins_features_validation_AMFValidatorPlugin$().init___()
  };
  return $n_Lamf_plugins_features_validation_AMFValidatorPlugin$
});
class $c_Ljava_nio_HeapCharBuffer extends $c_Ljava_nio_CharBuffer {
  constructor() {
    super();
    this.$$undreadOnly$3 = false
  };
  put__C__Ljava_nio_CharBuffer(c) {
    if (this.$$undreadOnly$3) {
      throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferOverflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)] = c;
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    return this.subSequence__I__I__Ljava_nio_CharBuffer(start, end)
  };
  get__C() {
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    const value = this.$$undarray$2.u[((this.$$undarrayOffset$2 + p) | 0)];
    return value
  };
  init___I__AC__I__I__I__Z(_capacity, _array0, _arrayOffset0, _initialPosition, _initialLimit, _readOnly) {
    this.$$undreadOnly$3 = _readOnly;
    $c_Ljava_nio_CharBuffer.prototype.init___I__AC__I.call(this, _capacity, _array0, _arrayOffset0);
    this.position__I__Ljava_nio_Buffer(_initialPosition);
    this.limit__I__Ljava_nio_Buffer(_initialLimit);
    return this
  };
  subSequence__I__I__Ljava_nio_CharBuffer(start, end) {
    if ((((start < 0) || (end < start)) || (end > ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_HeapCharBuffer().init___I__AC__I__I__I__Z(this.$$undcapacity$1, this.$$undarray$2, this.$$undarrayOffset$2, ((this.java$nio$Buffer$$$undposition$1 + start) | 0), ((this.java$nio$Buffer$$$undposition$1 + end) | 0), this.$$undreadOnly$3)
  };
  get__AC__I__I__Ljava_nio_CharBuffer(dst, offset, length) {
    if ((((offset < 0) || (length < 0)) || (offset > ((dst.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    $systemArraycopy(this.$$undarray$2, ((this.$$undarrayOffset$2 + p) | 0), dst, offset, length);
    return this
  };
  get__I__C(index) {
    if (((index < 0) || (index >= this.$$undlimit$1))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const value = this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)];
    return value
  };
  store__I__C__V(index, elem) {
    this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)] = elem
  };
  load__I__C(index) {
    const value = this.$$undarray$2.u[((this.$$undarrayOffset$2 + index) | 0)];
    return value
  };
  store__I__AC__I__I__V(startIndex, src, offset, length) {
    $systemArraycopy(src, offset, this.$$undarray$2, ((this.$$undarrayOffset$2 + startIndex) | 0), length)
  };
  isReadOnly__Z() {
    return this.$$undreadOnly$3
  };
}
const $d_Ljava_nio_HeapCharBuffer = new $TypeData().initClass({
  Ljava_nio_HeapCharBuffer: 0
}, false, "java.nio.HeapCharBuffer", {
  Ljava_nio_HeapCharBuffer: 1,
  Ljava_nio_CharBuffer: 1,
  Ljava_nio_Buffer: 1,
  O: 1,
  jl_Comparable: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  jl_Readable: 1
});
$c_Ljava_nio_HeapCharBuffer.prototype.$classData = $d_Ljava_nio_HeapCharBuffer;
class $c_Ljava_nio_StringCharBuffer extends $c_Ljava_nio_CharBuffer {
  constructor() {
    super();
    this.java$nio$StringCharBuffer$$$undcsq$f = null;
    this.java$nio$StringCharBuffer$$$undcsqOffset$f = 0
  };
  put__C__Ljava_nio_CharBuffer(c) {
    throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    return this.subSequence__I__I__Ljava_nio_CharBuffer(start, end)
  };
  get__C() {
    const p = this.java$nio$Buffer$$$undposition$1;
    if ((p === this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = ((1 + p) | 0);
    const c = $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + p) | 0));
    return c
  };
  toString__T() {
    const offset = this.java$nio$StringCharBuffer$$$undcsqOffset$f;
    return $objectToString($charSequenceSubSequence(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$Buffer$$$undposition$1 + offset) | 0), ((this.$$undlimit$1 + offset) | 0)))
  };
  init___I__jl_CharSequence__I__I__I(_capacity, _csq, _csqOffset, _initialPosition, _initialLimit) {
    this.java$nio$StringCharBuffer$$$undcsq$f = _csq;
    this.java$nio$StringCharBuffer$$$undcsqOffset$f = _csqOffset;
    $c_Ljava_nio_CharBuffer.prototype.init___I__AC__I.call(this, _capacity, null, (-1));
    this.position__I__Ljava_nio_Buffer(_initialPosition);
    this.limit__I__Ljava_nio_Buffer(_initialLimit);
    return this
  };
  subSequence__I__I__Ljava_nio_CharBuffer(start, end) {
    if ((((start < 0) || (end < start)) || (end > ((this.$$undlimit$1 - this.java$nio$Buffer$$$undposition$1) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    return new $c_Ljava_nio_StringCharBuffer().init___I__jl_CharSequence__I__I__I(this.$$undcapacity$1, this.java$nio$StringCharBuffer$$$undcsq$f, this.java$nio$StringCharBuffer$$$undcsqOffset$f, ((this.java$nio$Buffer$$$undposition$1 + start) | 0), ((this.java$nio$Buffer$$$undposition$1 + end) | 0))
  };
  get__AC__I__I__Ljava_nio_CharBuffer(dst, offset, length) {
    if ((((offset < 0) || (length < 0)) || (offset > ((dst.u.length - length) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const p = this.java$nio$Buffer$$$undposition$1;
    const newPos = ((p + length) | 0);
    if ((newPos > this.$$undlimit$1)) {
      throw new $c_Ljava_nio_BufferUnderflowException().init___()
    };
    this.java$nio$Buffer$$$undposition$1 = newPos;
    let selfPos = p;
    const endPos = ((selfPos + length) | 0);
    let arrayIndex = offset;
    while ((selfPos !== endPos)) {
      const jsx$1 = arrayIndex;
      const index = selfPos;
      const c = $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + index) | 0));
      dst.u[jsx$1] = c;
      selfPos = ((1 + selfPos) | 0);
      arrayIndex = ((1 + arrayIndex) | 0)
    };
    return this
  };
  get__I__C(index) {
    if (((index < 0) || (index >= this.$$undlimit$1))) {
      throw new $c_jl_IndexOutOfBoundsException().init___()
    };
    const c = $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + index) | 0));
    return c
  };
  store__I__C__V(index, elem) {
    throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
  };
  load__I__C(index) {
    return $charSequenceCharAt(this.java$nio$StringCharBuffer$$$undcsq$f, ((this.java$nio$StringCharBuffer$$$undcsqOffset$f + index) | 0))
  };
  store__I__AC__I__I__V(startIndex, src, offset, length) {
    throw new $c_Ljava_nio_ReadOnlyBufferException().init___()
  };
  isReadOnly__Z() {
    return true
  };
}
const $d_Ljava_nio_StringCharBuffer = new $TypeData().initClass({
  Ljava_nio_StringCharBuffer: 0
}, false, "java.nio.StringCharBuffer", {
  Ljava_nio_StringCharBuffer: 1,
  Ljava_nio_CharBuffer: 1,
  Ljava_nio_Buffer: 1,
  O: 1,
  jl_Comparable: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  jl_Readable: 1
});
$c_Ljava_nio_StringCharBuffer.prototype.$classData = $d_Ljava_nio_StringCharBuffer;
class $c_Lorg_scalajs_dom_ext_AjaxException extends $c_jl_Exception {
  constructor() {
    super();
    this.xhr$3 = null
  };
  productPrefix__T() {
    return "AjaxException"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_scalajs_dom_ext_AjaxException(x$1)) {
      const AjaxException$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.xhr$3, AjaxException$1.xhr$3)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.xhr$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lorg_scalajs_dom_raw_XMLHttpRequest(xhr) {
    this.xhr$3 = xhr;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_scalajs_dom_ext_AjaxException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
});
const $isArrayOf_Lorg_scalajs_dom_ext_AjaxException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
});
const $d_Lorg_scalajs_dom_ext_AjaxException = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_AjaxException: 0
}, false, "org.scalajs.dom.ext.AjaxException", {
  Lorg_scalajs_dom_ext_AjaxException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.$classData = $d_Lorg_scalajs_dom_ext_AjaxException;
class $c_Lorg_yaml_model_YTag extends $c_Lorg_yaml_model_YTokens {
  constructor() {
    super();
    this.text$2 = null;
    this.tagType$2 = null
  };
  productPrefix__T() {
    return "YTag"
  };
  init___T__Lorg_yaml_model_YType__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(text, tagType, range, tokens) {
    this.text$2 = text;
    this.tagType$2 = tagType;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, tokens);
    return this
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_YTag(x$1)) {
      const YTag$1 = x$1;
      let jsx$2;
      if ((this.text$2 === YTag$1.text$2)) {
        const x = this.tagType$2;
        const x$2 = YTag$1.tagType$2;
        jsx$2 = (x === x$2)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.range$1;
        const x$4 = YTag$1.range$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.tokens$1;
        const x$6 = YTag$1.tokens$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  synthesized__Z() {
    if (this.tagType$2.synthesized$1) {
      const this$1 = this.tagType$2;
      const x = this$1.org$yaml$model$YType$$tag$und$1;
      return ((x !== null) && x.equals__O__Z(this))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$2;
        break
      }
      case 1: {
        return this.tagType$2;
        break
      }
      case 2: {
        return this.range$1;
        break
      }
      case 3: {
        return this.tokens$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.text$2
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YTag = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YTag)))
});
const $isArrayOf_Lorg_yaml_model_YTag = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YTag)))
});
const $d_Lorg_yaml_model_YTag = new $TypeData().initClass({
  Lorg_yaml_model_YTag: 0
}, false, "org.yaml.model.YTag", {
  Lorg_yaml_model_YTag: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YTag.prototype.$classData = $d_Lorg_yaml_model_YTag;
class $c_jl_JSConsoleBasedPrintStream extends $c_Ljava_io_PrintStream {
  constructor() {
    super();
    this.isErr$4 = null;
    this.flushed$4 = false;
    this.buffer$4 = null
  };
  init___jl_Boolean(isErr) {
    this.isErr$4 = isErr;
    const out = new $c_jl_JSConsoleBasedPrintStream$DummyOutputStream().init___();
    $c_Ljava_io_PrintStream.prototype.init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset.call(this, out, false, null);
    this.flushed$4 = true;
    this.buffer$4 = "";
    return this
  };
  print__T__V(s) {
    this.java$lang$JSConsoleBasedPrintStream$$printString__T__V(((s === null) ? "null" : s))
  };
  java$lang$JSConsoleBasedPrintStream$$printString__T__V(s) {
    let rest = s;
    while ((rest !== "")) {
      const thiz = rest;
      const nlPos = (thiz.indexOf("\n") | 0);
      if ((nlPos < 0)) {
        this.buffer$4 = (("" + this.buffer$4) + rest);
        this.flushed$4 = false;
        rest = ""
      } else {
        const jsx$1 = this.buffer$4;
        const thiz$1 = rest;
        this.doWriteLine__p4__T__V((("" + jsx$1) + thiz$1.substring(0, nlPos)));
        this.buffer$4 = "";
        this.flushed$4 = true;
        const thiz$2 = rest;
        const beginIndex = ((1 + nlPos) | 0);
        rest = thiz$2.substring(beginIndex)
      }
    }
  };
  doWriteLine__p4__T__V(line) {
    const x = $g.console;
    if ((!(!(!(!x))))) {
      const x$1 = this.isErr$4;
      let jsx$1;
      if ((!(!x$1))) {
        const x$2 = $g.console.error;
        jsx$1 = (!(!(!(!x$2))))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        $g.console.error(line)
      } else {
        $g.console.log(line)
      }
    }
  };
  print__C__V(c) {
    this.java$lang$JSConsoleBasedPrintStream$$printString__T__V($m_sjsr_RuntimeString$().valueOf__C__T(c))
  };
  close__V() {
    /*<skip>*/
  };
}
const $d_jl_JSConsoleBasedPrintStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream", {
  jl_JSConsoleBasedPrintStream: 1,
  Ljava_io_PrintStream: 1,
  Ljava_io_FilterOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1,
  jl_Appendable: 1
});
$c_jl_JSConsoleBasedPrintStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream;
class $c_ju_Arrays$$anon$3 extends $c_O {
  constructor() {
    super();
    this.cmp$1$1 = null
  };
  init___ju_Comparator(cmp$1) {
    this.cmp$1$1 = cmp$1;
    return this
  };
  compare__O__O__I(x, y) {
    return this.cmp$1$1.compare__O__O__I(x, y)
  };
}
const $d_ju_Arrays$$anon$3 = new $TypeData().initClass({
  ju_Arrays$$anon$3: 0
}, false, "java.util.Arrays$$anon$3", {
  ju_Arrays$$anon$3: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_ju_Arrays$$anon$3.prototype.$classData = $d_ju_Arrays$$anon$3;
class $c_ju_FormatFlagsConversionMismatchException extends $c_ju_IllegalFormatException {
  constructor() {
    super();
    this.c$6 = 0;
    this.f$6 = null
  };
  getMessage__T() {
    const c = this.c$6;
    return ((("Conversion = " + new $c_jl_Character().init___C(c)) + ", Flags = ") + this.f$6)
  };
  init___C(c) {
    this.c$6 = c;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    this.f$6 = null;
    return this
  };
  init___T__C(f, c) {
    $c_ju_FormatFlagsConversionMismatchException.prototype.init___C.call(this, c);
    if ((f === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    this.f$6 = f;
    return this
  };
}
const $d_ju_FormatFlagsConversionMismatchException = new $TypeData().initClass({
  ju_FormatFlagsConversionMismatchException: 0
}, false, "java.util.FormatFlagsConversionMismatchException", {
  ju_FormatFlagsConversionMismatchException: 1,
  ju_IllegalFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_FormatFlagsConversionMismatchException.prototype.$classData = $d_ju_FormatFlagsConversionMismatchException;
class $c_ju_IllegalFormatFlagsException extends $c_ju_IllegalFormatException {
  constructor() {
    super();
    this.flags$6 = null
  };
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    this.flags$6 = null;
    return this
  };
  getMessage__T() {
    return (("Flags = '" + this.flags$6) + "'")
  };
  init___T(f) {
    $c_ju_IllegalFormatFlagsException.prototype.init___.call(this);
    if ((f === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    this.flags$6 = f;
    return this
  };
}
const $d_ju_IllegalFormatFlagsException = new $TypeData().initClass({
  ju_IllegalFormatFlagsException: 0
}, false, "java.util.IllegalFormatFlagsException", {
  ju_IllegalFormatFlagsException: 1,
  ju_IllegalFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_IllegalFormatFlagsException.prototype.$classData = $d_ju_IllegalFormatFlagsException;
class $c_ju_MissingFormatArgumentException extends $c_ju_IllegalFormatException {
  constructor() {
    super();
    this.s$6 = null
  };
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    this.s$6 = null;
    return this
  };
  getMessage__T() {
    return (("Format specifier '" + this.s$6) + "'")
  };
  init___T(s) {
    $c_ju_MissingFormatArgumentException.prototype.init___.call(this);
    if ((s === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    this.s$6 = s;
    return this
  };
}
const $d_ju_MissingFormatArgumentException = new $TypeData().initClass({
  ju_MissingFormatArgumentException: 0
}, false, "java.util.MissingFormatArgumentException", {
  ju_MissingFormatArgumentException: 1,
  ju_IllegalFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_MissingFormatArgumentException.prototype.$classData = $d_ju_MissingFormatArgumentException;
class $c_ju_MissingFormatWidthException extends $c_ju_IllegalFormatException {
  constructor() {
    super();
    this.s$6 = null
  };
  init___() {
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    this.s$6 = null;
    return this
  };
  getMessage__T() {
    return this.s$6
  };
  init___T(s) {
    $c_ju_MissingFormatWidthException.prototype.init___.call(this);
    if ((s === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    this.s$6 = s;
    return this
  };
}
const $d_ju_MissingFormatWidthException = new $TypeData().initClass({
  ju_MissingFormatWidthException: 0
}, false, "java.util.MissingFormatWidthException", {
  ju_MissingFormatWidthException: 1,
  ju_IllegalFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_MissingFormatWidthException.prototype.$classData = $d_ju_MissingFormatWidthException;
class $c_s_Tuple2$mcIC$sp extends $c_T2 {
  constructor() {
    super();
    this.$$und1$mcI$sp$f = 0;
    this.$$und2$mcC$sp$f = 0
  };
  $$und1$mcI$sp__I() {
    return this.$$und1$mcI$sp$f
  };
  $$und2$mcC$sp__C() {
    return this.$$und2$mcC$sp$f
  };
  init___I__C(_1$mcI$sp, _2$mcC$sp) {
    this.$$und1$mcI$sp$f = _1$mcI$sp;
    this.$$und2$mcC$sp$f = _2$mcC$sp;
    $c_T2.prototype.init___O__O.call(this, null, null);
    return this
  };
  $$und2__O() {
    const c = this.$$und2$mcC$sp$f;
    return new $c_jl_Character().init___C(c)
  };
  $$und1__O() {
    return this.$$und1$mcI$sp$f
  };
}
const $d_s_Tuple2$mcIC$sp = new $TypeData().initClass({
  s_Tuple2$mcIC$sp: 0
}, false, "scala.Tuple2$mcIC$sp", {
  s_Tuple2$mcIC$sp: 1,
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Tuple2$mcIC$sp.prototype.$classData = $d_s_Tuple2$mcIC$sp;
class $c_s_concurrent_duration_Duration$$anon$1 extends $c_s_concurrent_duration_Duration$Infinite {
  init___() {
    return this
  };
  equals__O__Z(other) {
    return false
  };
  toString__T() {
    return "Duration.Undefined"
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    return ((other === this) ? 0 : 1)
  };
}
const $d_s_concurrent_duration_Duration$$anon$1 = new $TypeData().initClass({
  s_concurrent_duration_Duration$$anon$1: 0
}, false, "scala.concurrent.duration.Duration$$anon$1", {
  s_concurrent_duration_Duration$$anon$1: 1,
  s_concurrent_duration_Duration$Infinite: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_Duration$$anon$1.prototype.$classData = $d_s_concurrent_duration_Duration$$anon$1;
class $c_s_concurrent_duration_Duration$$anon$2 extends $c_s_concurrent_duration_Duration$Infinite {
  init___() {
    return this
  };
  toString__T() {
    return "Duration.Inf"
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    return ((other === $m_s_concurrent_duration_Duration$().Undefined$1) ? (-1) : ((other === this) ? 0 : 1))
  };
}
const $d_s_concurrent_duration_Duration$$anon$2 = new $TypeData().initClass({
  s_concurrent_duration_Duration$$anon$2: 0
}, false, "scala.concurrent.duration.Duration$$anon$2", {
  s_concurrent_duration_Duration$$anon$2: 1,
  s_concurrent_duration_Duration$Infinite: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_Duration$$anon$2.prototype.$classData = $d_s_concurrent_duration_Duration$$anon$2;
class $c_s_concurrent_duration_Duration$$anon$3 extends $c_s_concurrent_duration_Duration$Infinite {
  init___() {
    return this
  };
  toString__T() {
    return "Duration.MinusInf"
  };
  compare__O__I(that) {
    return this.compare__s_concurrent_duration_Duration__I(that)
  };
  compare__s_concurrent_duration_Duration__I(other) {
    return ((other === this) ? 0 : (-1))
  };
}
const $d_s_concurrent_duration_Duration$$anon$3 = new $TypeData().initClass({
  s_concurrent_duration_Duration$$anon$3: 0
}, false, "scala.concurrent.duration.Duration$$anon$3", {
  s_concurrent_duration_Duration$$anon$3: 1,
  s_concurrent_duration_Duration$Infinite: 1,
  s_concurrent_duration_Duration: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_concurrent_duration_Duration$$anon$3.prototype.$classData = $d_s_concurrent_duration_Duration$$anon$3;
class $c_s_math_LowPriorityOrderingImplicits$$anon$6 extends $c_O {
  constructor() {
    super();
    this.evidence$1$1$1 = null
  };
  init___s_math_LowPriorityOrderingImplicits__F1($$outer, evidence$1$1) {
    this.evidence$1$1$1 = evidence$1$1;
    return this
  };
  compare__O__O__I(x, y) {
    return $comparableCompareTo(this.evidence$1$1$1.apply__O__O(x), y)
  };
}
const $d_s_math_LowPriorityOrderingImplicits$$anon$6 = new $TypeData().initClass({
  s_math_LowPriorityOrderingImplicits$$anon$6: 0
}, false, "scala.math.LowPriorityOrderingImplicits$$anon$6", {
  s_math_LowPriorityOrderingImplicits$$anon$6: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_LowPriorityOrderingImplicits$$anon$6.prototype.$classData = $d_s_math_LowPriorityOrderingImplicits$$anon$6;
class $c_s_math_Ordering$$anon$5 extends $c_O {
  constructor() {
    super();
    this.$$outer$1 = null;
    this.f$1$1 = null
  };
  compare__O__O__I(x, y) {
    return this.$$outer$1.compare__O__O__I(this.f$1$1.apply__O__O(x), this.f$1$1.apply__O__O(y))
  };
  init___s_math_Ordering__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    this.f$1$1 = f$1;
    return this
  };
}
const $d_s_math_Ordering$$anon$5 = new $TypeData().initClass({
  s_math_Ordering$$anon$5: 0
}, false, "scala.math.Ordering$$anon$5", {
  s_math_Ordering$$anon$5: 1,
  O: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$$anon$5.prototype.$classData = $d_s_math_Ordering$$anon$5;
class $c_s_reflect_ClassTag$GenericClassTag extends $c_O {
  constructor() {
    super();
    this.runtimeClass$1 = null
  };
  newArray__I__O(len) {
    return $f_s_reflect_ClassTag__newArray__I__O(this, len)
  };
  equals__O__Z(x) {
    return $f_s_reflect_ClassTag__equals__O__Z(this, x)
  };
  toString__T() {
    const clazz = this.runtimeClass$1;
    return $f_s_reflect_ClassTag__prettyprint$1__ps_reflect_ClassTag__jl_Class__T(this, clazz)
  };
  runtimeClass__jl_Class() {
    return this.runtimeClass$1
  };
  init___jl_Class(runtimeClass) {
    this.runtimeClass$1 = runtimeClass;
    return this
  };
  hashCode__I() {
    return $m_sr_Statics$().anyHash__O__I(this.runtimeClass$1)
  };
}
const $d_s_reflect_ClassTag$GenericClassTag = new $TypeData().initClass({
  s_reflect_ClassTag$GenericClassTag: 0
}, false, "scala.reflect.ClassTag$GenericClassTag", {
  s_reflect_ClassTag$GenericClassTag: 1,
  O: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ClassTag$GenericClassTag.prototype.$classData = $d_s_reflect_ClassTag$GenericClassTag;
const $is_sc_GenIterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenIterable)))
});
const $isArrayOf_sc_GenIterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenIterable)))
});
class $c_sc_Seq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Seq$();
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sc_Seq$ = new $TypeData().initClass({
  sc_Seq$: 0
}, false, "scala.collection.Seq$", {
  sc_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Seq$.prototype.$classData = $d_sc_Seq$;
let $n_sc_Seq$ = (void 0);
const $m_sc_Seq$ = (function() {
  if ((!$n_sc_Seq$)) {
    $n_sc_Seq$ = new $c_sc_Seq$().init___()
  };
  return $n_sc_Seq$
});
class $c_scg_IndexedSeqFactory extends $c_scg_SeqFactory {
}
class $c_sci_HashMap$ extends $c_scg_ImmutableMapFactory {
  constructor() {
    super();
    this.defaultMerger$4 = null
  };
  init___() {
    $n_sci_HashMap$ = this;
    const mergef = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(a$2, b$2) {
        const a = a$2;
        return a
      })
    })(this));
    this.defaultMerger$4 = new $c_sci_HashMap$$anon$2().init___F2(mergef);
    return this
  };
  scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(hash0, elem0, hash1, elem1, level, size) {
    const index0 = (31 & ((hash0 >>> level) | 0));
    const index1 = (31 & ((hash1 >>> level) | 0));
    if ((index0 !== index1)) {
      const bitmap = ((1 << index0) | (1 << index1));
      const elems = $newArrayObject($d_sci_HashMap.getArrayOf(), [2]);
      if ((index0 < index1)) {
        elems.u[0] = elem0;
        elems.u[1] = elem1
      } else {
        elems.u[0] = elem1;
        elems.u[1] = elem0
      };
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap, elems, size)
    } else {
      const elems$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [1]);
      const bitmap$2 = (1 << index0);
      elems$2.u[0] = this.scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(hash0, elem0, hash1, elem1, ((5 + level) | 0), size);
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap$2, elems$2, size)
    }
  };
  scala$collection$immutable$HashMap$$keepBits__I__I__I(bitmap, keep) {
    let result = 0;
    let current = bitmap;
    let kept = keep;
    while ((kept !== 0)) {
      const lsb = (current ^ (current & (((-1) + current) | 0)));
      if (((1 & kept) !== 0)) {
        result = (result | lsb)
      };
      current = (current & (~lsb));
      kept = ((kept >>> 1) | 0)
    };
    return result
  };
  empty__sc_GenMap() {
    return $m_sci_HashMap$EmptyHashMap$()
  };
}
const $d_sci_HashMap$ = new $TypeData().initClass({
  sci_HashMap$: 0
}, false, "scala.collection.immutable.HashMap$", {
  sci_HashMap$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  scg_BitOperations$Int: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashMap$.prototype.$classData = $d_sci_HashMap$;
let $n_sci_HashMap$ = (void 0);
const $m_sci_HashMap$ = (function() {
  if ((!$n_sci_HashMap$)) {
    $n_sci_HashMap$ = new $c_sci_HashMap$().init___()
  };
  return $n_sci_HashMap$
});
class $c_sci_Seq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_Seq$ = new $TypeData().initClass({
  sci_Seq$: 0
}, false, "scala.collection.immutable.Seq$", {
  sci_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Seq$.prototype.$classData = $d_sci_Seq$;
let $n_sci_Seq$ = (void 0);
const $m_sci_Seq$ = (function() {
  if ((!$n_sci_Seq$)) {
    $n_sci_Seq$ = new $c_sci_Seq$().init___()
  };
  return $n_sci_Seq$
});
class $c_scm_ArrayBuilder extends $c_O {
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
}
class $c_scm_IndexedSeq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuffer().init___()
  };
}
const $d_scm_IndexedSeq$ = new $TypeData().initClass({
  scm_IndexedSeq$: 0
}, false, "scala.collection.mutable.IndexedSeq$", {
  scm_IndexedSeq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_IndexedSeq$.prototype.$classData = $d_scm_IndexedSeq$;
let $n_scm_IndexedSeq$ = (void 0);
const $m_scm_IndexedSeq$ = (function() {
  if ((!$n_scm_IndexedSeq$)) {
    $n_scm_IndexedSeq$ = new $c_scm_IndexedSeq$().init___()
  };
  return $n_scm_IndexedSeq$
});
class $c_sjs_js_WrappedArray$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_sjs_js_WrappedArray().init___()
  };
}
const $d_sjs_js_WrappedArray$ = new $TypeData().initClass({
  sjs_js_WrappedArray$: 0
}, false, "scala.scalajs.js.WrappedArray$", {
  sjs_js_WrappedArray$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sjs_js_WrappedArray$.prototype.$classData = $d_sjs_js_WrappedArray$;
let $n_sjs_js_WrappedArray$ = (void 0);
const $m_sjs_js_WrappedArray$ = (function() {
  if ((!$n_sjs_js_WrappedArray$)) {
    $n_sjs_js_WrappedArray$ = new $c_sjs_js_WrappedArray$().init___()
  };
  return $n_sjs_js_WrappedArray$
});
class $c_Lamf_client_model_AnyField extends $c_O {
  constructor() {
    super();
    this.amf$client$model$AnyField$$$undinternal$1 = null;
    this.$$undoption$1 = null;
    this.option$1 = null
  };
  productPrefix__T() {
    return "AnyField"
  };
  $$js$exported$meth$is__O__O(other) {
    return $f_Lamf_client_model_ValueField__is__O__Z(this, other)
  };
  productArity__I() {
    return 1
  };
  init___Lamf_core_model_AnyField(_internal) {
    this.amf$client$model$AnyField$$$undinternal$1 = _internal;
    this.$$undoption$1 = _internal.option$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undoption$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$();
    this.option$1 = new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_AnyField(x$1)) {
      const AnyField$1 = x$1;
      const x = this.amf$client$model$AnyField$$$undinternal$1;
      const x$2 = AnyField$1.amf$client$model$AnyField$$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$client$model$AnyField$$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  $$js$exported$prop$nonNull__O() {
    return this.$$undoption$1.isDefined__Z()
  };
  annotations__Lamf_client_model_Annotations() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.amf$client$model$AnyField$$$undinternal$1.annotations$1;
    $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher__Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$();
    return new $c_Lamf_client_model_Annotations().init___Lamf_core_parser_Annotations(from)
  };
  $$js$exported$meth$value__O() {
    const this$1 = this.$$undoption$1;
    return (this$1.isEmpty__Z() ? null : this$1.get__O())
  };
  $$js$exported$meth$annotations__O() {
    return this.annotations__Lamf_client_model_Annotations()
  };
  $$js$exported$meth$is__F1__O(accepts) {
    return $f_Lamf_client_model_ValueField__is__F1__Z(this, accepts)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$option__O() {
    return this.option$1
  };
  $$js$exported$prop$isNull__O() {
    return this.$$undoption$1.isEmpty__Z()
  };
  $$js$exported$meth$remove__O() {
    const this$1 = this.amf$client$model$AnyField$$$undinternal$1;
    this$1.$$outer$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(this$1.field$1)
  };
  $$undoption__s_Option() {
    return this.$$undoption$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "nonNull"() {
    return this.$$js$exported$prop$nonNull__O()
  };
  get "isNull"() {
    return this.$$js$exported$prop$isNull__O()
  };
  "is"(arg$1) {
    if ($is_F1(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__F1__O(prep0)
    } else {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__O__O(prep0)
    }
  };
  "remove"() {
    return this.$$js$exported$meth$remove__O()
  };
  "value"() {
    return this.$$js$exported$meth$value__O()
  };
  "annotations"() {
    return this.$$js$exported$meth$annotations__O()
  };
  get "option"() {
    return this.$$js$exported$prop$option__O()
  };
}
const $is_Lamf_client_model_AnyField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_AnyField)))
});
const $isArrayOf_Lamf_client_model_AnyField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_AnyField)))
});
const $d_Lamf_client_model_AnyField = new $TypeData().initClass({
  Lamf_client_model_AnyField: 0
}, false, "amf.client.model.AnyField", {
  Lamf_client_model_AnyField: 1,
  O: 1,
  Lamf_client_model_BaseField: 1,
  Lamf_client_model_Annotable: 1,
  Lamf_client_model_ValueField: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_AnyField.prototype.$classData = $d_Lamf_client_model_AnyField;
class $c_Lamf_client_model_StrField extends $c_O {
  constructor() {
    super();
    this.amf$client$model$StrField$$$undinternal$1 = null;
    this.$$undoption$1 = null;
    this.option$1 = null
  };
  productPrefix__T() {
    return "StrField"
  };
  $$js$exported$meth$is__O__O(other) {
    return $f_Lamf_client_model_ValueField__is__O__Z(this, other)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_StrField(x$1)) {
      const StrField$1 = x$1;
      const x = this.amf$client$model$StrField$$$undinternal$1;
      const x$2 = StrField$1.amf$client$model$StrField$$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$client$model$StrField$$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  isNullOrEmpty__Z() {
    const this$1 = this.$$undoption$1;
    if (this$1.isEmpty__Z()) {
      return true
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      if ((x$1 === null)) {
        throw new $c_jl_NullPointerException().init___()
      };
      return (x$1 === "")
    }
  };
  toString__T() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  $$js$exported$prop$nonNull__O() {
    return this.$$undoption$1.isDefined__Z()
  };
  annotations__Lamf_client_model_Annotations() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.amf$client$model$StrField$$$undinternal$1.annotations$1;
    $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher__Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$();
    return new $c_Lamf_client_model_Annotations().init___Lamf_core_parser_Annotations(from)
  };
  $$js$exported$prop$nonEmpty__O() {
    return this.nonEmpty__Z()
  };
  $$js$exported$meth$value__O() {
    const this$1 = this.$$undoption$1;
    return (this$1.isEmpty__Z() ? null : this$1.get__O())
  };
  $$js$exported$meth$annotations__O() {
    return this.annotations__Lamf_client_model_Annotations()
  };
  $$js$exported$meth$is__F1__O(accepts) {
    return $f_Lamf_client_model_ValueField__is__F1__Z(this, accepts)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_model_StrField(_internal) {
    this.amf$client$model$StrField$$$undinternal$1 = _internal;
    this.$$undoption$1 = _internal.option$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undoption$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    this.option$1 = new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return this
  };
  $$js$exported$prop$isNullOrEmpty__O() {
    return this.isNullOrEmpty__Z()
  };
  $$js$exported$prop$option__O() {
    return this.option$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  nonEmpty__Z() {
    return (!this.isNullOrEmpty__Z())
  };
  $$js$exported$prop$isNull__O() {
    return this.$$undoption$1.isEmpty__Z()
  };
  $$js$exported$meth$remove__O() {
    const this$1 = this.amf$client$model$StrField$$$undinternal$1;
    this$1.$$outer$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(this$1.field$1)
  };
  $$undoption__s_Option() {
    return this.$$undoption$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "nonNull"() {
    return this.$$js$exported$prop$nonNull__O()
  };
  get "isNull"() {
    return this.$$js$exported$prop$isNull__O()
  };
  "is"(arg$1) {
    if ($is_F1(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__F1__O(prep0)
    } else {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__O__O(prep0)
    }
  };
  "remove"() {
    return this.$$js$exported$meth$remove__O()
  };
  get "nonEmpty"() {
    return this.$$js$exported$prop$nonEmpty__O()
  };
  get "isNullOrEmpty"() {
    return this.$$js$exported$prop$isNullOrEmpty__O()
  };
  "value"() {
    return this.$$js$exported$meth$value__O()
  };
  "annotations"() {
    return this.$$js$exported$meth$annotations__O()
  };
  get "option"() {
    return this.$$js$exported$prop$option__O()
  };
}
const $is_Lamf_client_model_StrField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_StrField)))
});
const $isArrayOf_Lamf_client_model_StrField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_StrField)))
});
const $d_Lamf_client_model_StrField = new $TypeData().initClass({
  Lamf_client_model_StrField: 0
}, false, "amf.client.model.StrField", {
  Lamf_client_model_StrField: 1,
  O: 1,
  Lamf_client_model_BaseField: 1,
  Lamf_client_model_Annotable: 1,
  Lamf_client_model_ValueField: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_StrField.prototype.$classData = $d_Lamf_client_model_StrField;
class $c_Lamf_client_model_domain_Callback extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withEndpoint__Lamf_client_model_domain_EndPoint() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withEndpoint__Lamf_plugins_domain_webapi_models_EndPoint();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_client_model_domain_EndPoint(from)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Callback.prototype.init___Lamf_plugins_domain_webapi_models_Callback.call(this, new $c_Lamf_plugins_domain_webapi_models_Callback().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Callback"
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExpression__T__O(expression) {
    return this.withExpression__T__Lamf_client_model_domain_Callback(expression)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Callback(x$1)) {
      const Callback$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Callback$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withName__T__Lamf_client_model_domain_Callback(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  endpoint__Lamf_client_model_domain_EndPoint() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Endpoint$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_client_model_domain_EndPoint(from)
  };
  expression__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Expression$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  withEndpoint__Lamf_client_model_domain_EndPoint__Lamf_client_model_domain_Callback(endpoint) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    const endpoint$1 = endpoint.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Endpoint$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, endpoint$1);
    return this
  };
  init___Lamf_plugins_domain_webapi_models_Callback(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$endpoint__O() {
    return this.endpoint__Lamf_client_model_domain_EndPoint()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withEndpoint__Lamf_client_model_domain_EndPoint__O(endpoint) {
    return this.withEndpoint__Lamf_client_model_domain_EndPoint__Lamf_client_model_domain_Callback(endpoint)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withExpression__T__Lamf_client_model_domain_Callback(expression) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Expression$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, expression);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Callback(name)
  };
  $$js$exported$meth$withEndpoint__O() {
    return this.withEndpoint__Lamf_client_model_domain_EndPoint()
  };
  $$js$exported$prop$expression__O() {
    return this.expression__Lamf_client_model_StrField()
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withEndpoint"(...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$rest[0];
        return this.$$js$exported$meth$withEndpoint__Lamf_client_model_domain_EndPoint__O(prep0);
        break
      }
      case 0: {
        return this.$$js$exported$meth$withEndpoint__O();
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "withExpression"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExpression__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "endpoint"() {
    return this.$$js$exported$prop$endpoint__O()
  };
  get "expression"() {
    return this.$$js$exported$prop$expression__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_Callback = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Callback)))
});
const $isArrayOf_Lamf_client_model_domain_Callback = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Callback)))
});
const $d_Lamf_client_model_domain_Callback = new $TypeData().initClass({
  Lamf_client_model_domain_Callback: 0
}, false, "amf.client.model.domain.Callback", {
  Lamf_client_model_domain_Callback: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Callback.prototype.$classData = $d_Lamf_client_model_domain_Callback;
class $c_Lamf_client_model_domain_ClassTerm extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "ClassTerm"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ClassTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_ClassTerm.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_ClassTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withSubClassOf__sjs_js_Array__O(superClasses) {
    return this.withSubClassOf__sjs_js_Array__Lamf_client_model_domain_ClassTerm(superClasses)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$displayName__O() {
    return this.displayName__Lamf_client_model_StrField()
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  properties__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Properties$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ClassTerm(x$1)) {
      const ClassTerm$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ClassTerm$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  withSubClassOf__sjs_js_Array__Lamf_client_model_domain_ClassTerm(superClasses) {
    const jsx$1 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    jsx$1.withSubClassOf__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_ClassTerm(new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, superClasses, m).asInternal__sc_Seq());
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$subClassOf__O() {
    return this.subClassOf__sjs_js_Array()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withName__T__Lamf_client_model_domain_ClassTerm(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  withProperties__sjs_js_Array__Lamf_client_model_domain_ClassTerm(properties) {
    const jsx$1 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    jsx$1.withProperties__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_ClassTerm(new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, properties, m).asInternal__sc_Seq());
    return this
  };
  withDescription__T__Lamf_client_model_domain_ClassTerm(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Description$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_client_model_domain_ClassTerm(displayName)
  };
  subClassOf__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$properties__O() {
    return this.properties__sjs_js_Array()
  };
  init___Lamf_plugins_document_vocabularies_model_domain_ClassTerm(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_ClassTerm(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  withDisplayName__T__Lamf_client_model_domain_ClassTerm(displayName) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$withProperties__sjs_js_Array__O(properties) {
    return this.withProperties__sjs_js_Array__Lamf_client_model_domain_ClassTerm(properties)
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  displayName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().DisplayName$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_ClassTerm(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withSubClassOf"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSubClassOf__sjs_js_Array__O(prep0)
  };
  "withProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProperties__sjs_js_Array__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "subClassOf"() {
    return this.$$js$exported$prop$subClassOf__O()
  };
  get "properties"() {
    return this.$$js$exported$prop$properties__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_ClassTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ClassTerm)))
});
const $isArrayOf_Lamf_client_model_domain_ClassTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ClassTerm)))
});
const $d_Lamf_client_model_domain_ClassTerm = new $TypeData().initClass({
  Lamf_client_model_domain_ClassTerm: 0
}, false, "amf.client.model.domain.ClassTerm", {
  Lamf_client_model_domain_ClassTerm: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ClassTerm.prototype.$classData = $d_Lamf_client_model_domain_ClassTerm;
class $c_Lamf_client_model_domain_CreativeWork extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withUrl__T__Lamf_client_model_domain_CreativeWork(url) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_CreativeWork.prototype.init___Lamf_plugins_domain_shapes_models_CreativeWork.call(this, new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  productPrefix__T() {
    return "CreativeWork"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withTitle__T__O(title) {
    return this.withTitle__T__Lamf_client_model_domain_CreativeWork(title)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$url__O() {
    return this.url__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_CreativeWork(x$1)) {
      const CreativeWork$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = CreativeWork$1.$$undinternal$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  url__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_client_model_domain_CreativeWork(url)
  };
  title__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_CreativeWork(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withTitle__T__Lamf_client_model_domain_CreativeWork(title) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, title);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_CreativeWork(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withDescription__T__Lamf_client_model_domain_CreativeWork(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$title__O() {
    return this.title__Lamf_client_model_StrField()
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withTitle"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTitle__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "title"() {
    return this.$$js$exported$prop$title__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_client_model_domain_CreativeWork = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_CreativeWork)))
});
const $isArrayOf_Lamf_client_model_domain_CreativeWork = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_CreativeWork)))
});
const $d_Lamf_client_model_domain_CreativeWork = new $TypeData().initClass({
  Lamf_client_model_domain_CreativeWork: 0
}, false, "amf.client.model.domain.CreativeWork", {
  Lamf_client_model_domain_CreativeWork: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_CreativeWork.prototype.$classData = $d_Lamf_client_model_domain_CreativeWork;
class $c_Lamf_client_model_domain_DataArrangeShape extends $c_Lamf_client_model_domain_AnyShape {
  minItems__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape();
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  $$js$exported$meth$withUniqueItems__Z__O(uniqueItems) {
    return this.withUniqueItems__Z__Lamf_client_model_domain_DataArrangeShape(uniqueItems)
  };
  $$js$exported$prop$minItems__O() {
    return this.minItems__Lamf_client_model_IntField()
  };
  withMinItems__I__Lamf_client_model_domain_DataArrangeShape(minItems) {
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, minItems);
    return this
  };
  withMaxItems__I__Lamf_client_model_domain_DataArrangeShape(maxItems) {
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, maxItems);
    return this
  };
  maxItems__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape();
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  $$js$exported$meth$withMinItems__I__O(minItems) {
    return this.withMinItems__I__Lamf_client_model_domain_DataArrangeShape(minItems)
  };
  $$js$exported$meth$withMaxItems__I__O(maxItems) {
    return this.withMaxItems__I__Lamf_client_model_domain_DataArrangeShape(maxItems)
  };
  uniqueItems__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape();
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  withUniqueItems__Z__Lamf_client_model_domain_DataArrangeShape(uniqueItems) {
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, uniqueItems);
    return this
  };
  $$js$exported$prop$maxItems__O() {
    return this.maxItems__Lamf_client_model_IntField()
  };
  $$js$exported$prop$uniqueItems__O() {
    return this.uniqueItems__Lamf_client_model_BoolField()
  };
  "withUniqueItems"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withUniqueItems__Z__O(prep0)
  };
  "withMaxItems"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxItems__I__O(prep0)
  };
  "withMinItems"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinItems__I__O(prep0)
  };
  get "uniqueItems"() {
    return this.$$js$exported$prop$uniqueItems__O()
  };
  get "maxItems"() {
    return this.$$js$exported$prop$maxItems__O()
  };
  get "minItems"() {
    return this.$$js$exported$prop$minItems__O()
  };
}
class $c_Lamf_client_model_domain_DialectDomainElement extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "DialectDomainElement"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_DialectDomainElement.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  definedBy__Lamf_client_model_domain_NodeMapping() {
    return new $c_Lamf_client_model_domain_NodeMapping().init___Lamf_plugins_document_vocabularies_model_domain_NodeMapping(this.$$undinternal$1.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping())
  };
  getPropertyUris__sjs_js_Array() {
    const this$3 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$2 = this.$$undinternal$1.dynamicFields__sci_List();
    const f = (function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return x$2.value$1.iri__T()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let from;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        from = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        from = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      from = b.result__O()
    };
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$3, from, m).asClient__O()
  };
  setObjectProperty__T__Lamf_client_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return this.$$undinternal$1.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, value.$$undinternal$1, $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  setLiteralProperty__T__I__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return this.$$undinternal$1.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__I__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, value, $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$getTypeUris__O() {
    return this.getTypeUris__sjs_js_Array()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_DialectDomainElement(x$1)) {
      const DialectDomainElement$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DialectDomainElement$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withInstanceTypes__sjs_js_Array__O(types) {
    return this.withInstanceTypes__sjs_js_Array__Lamf_client_model_domain_DialectDomainElement(types)
  };
  $$js$exported$meth$definedBy__O() {
    return this.definedBy__Lamf_client_model_domain_NodeMapping()
  };
  $$js$exported$meth$setObjectProperty__T__Lamf_client_model_domain_DialectDomainElement__O(propertyId, value) {
    return this.setObjectProperty__T__Lamf_client_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$setLiteralProperty__T__I__O(propertyId, value) {
    return this.setLiteralProperty__T__I__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  withInstanceTypes__sjs_js_Array__Lamf_client_model_domain_DialectDomainElement(types) {
    const jsx$1 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    jsx$1.withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, types, m).asInternal__sc_Seq());
    return this
  };
  setLiteralProperty__T__D__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return this.$$undinternal$1.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__D__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, value, $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withDefinedby__Lamf_client_model_domain_NodeMapping__O(nodeMapping) {
    return this.withDefinedby__Lamf_client_model_domain_NodeMapping__Lamf_client_model_domain_DialectDomainElement(nodeMapping)
  };
  setObjectCollectionProperty__T__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      const jsx$1 = this.$$undinternal$1;
      const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
      const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej__Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$();
      return jsx$1.setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, value, m).asInternal__sc_Seq(), $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  setLiteralProperty__T__Z__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return this.$$undinternal$1.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, value, $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  $$js$exported$meth$localRefName__O() {
    return this.$$undinternal$1.localRefName__T()
  };
  $$js$exported$meth$setLiteralProperty__T__sjs_js_Array__O(propertyId, value) {
    return this.setLiteralProperty__T__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$meth$setLiteralProperty__T__Z__O(propertyId, value) {
    return this.setLiteralProperty__T__Z__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  $$js$exported$meth$includeName__O() {
    return this.$$undinternal$1.includeName__T()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$getObjectPropertyUri__T__O(propertyId) {
    return this.getObjectPropertyUri__T__sjs_js_Array(propertyId)
  };
  $$js$exported$meth$getPropertyUris__O() {
    return this.getPropertyUris__sjs_js_Array()
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$setLiteralProperty__T__T__O(propertyId, value) {
    return this.setLiteralProperty__T__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  $$js$exported$meth$setLiteralProperty__T__D__O(propertyId, value) {
    return this.setLiteralProperty__T__D__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  getObjectPropertyUri__T__sjs_js_Array(propertyId) {
    const expanded = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T();
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option(expanded);
    let res;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      const x1$2 = this.$$undinternal$1.objectProperties$1.get__O__s_Option(mapping.id$1);
      matchEnd6: {
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const value = x2$2.value$2;
          if ((value !== null)) {
            const jsx$1 = $m_sc_Seq$();
            $m_Lamf_client_convert_VocabulariesClientConverter$();
            const from = new $c_Lamf_client_model_domain_DialectDomainElement().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(value);
            $m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej__Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$();
            res = new $c_s_Some().init___O(jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([from.$$undinternal$1])));
            break matchEnd6
          }
        };
        const x = $m_s_None$();
        if ((x === x1$2)) {
          const this$2 = this.$$undinternal$1.objectCollectionProperties$1.get__O__s_Option(mapping.id$1);
          if (this$2.isEmpty__Z()) {
            res = $m_s_None$();
            break matchEnd6
          } else {
            const arg1 = this$2.get__O();
            const elems = arg1;
            const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
              return (function(elem$2) {
                const elem = elem$2;
                return elem
              })
            })(this));
            const this$3 = $m_sc_Seq$();
            res = new $c_s_Some().init___O(elems.map__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2));
            break matchEnd6
          }
        };
        throw new $c_s_MatchError().init___O(x1$2)
      }
    } else {
      res = $m_s_None$()
    };
    const this$4 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from$1 = (res.isEmpty__Z() ? $m_sci_Nil$() : res.get__O());
    const m$1 = $m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej__Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$4, from$1, m$1).asClient__O()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$setLiteralProperty__T__F__O(propertyId, value) {
    return this.setLiteralProperty__T__F__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  setLiteralProperty__T__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      const jsx$1 = this.$$undinternal$1;
      const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
      const m = $m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$();
      return jsx$1.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, value, m).asInternal__sc_Seq(), $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  getScalarByPropertyUri__T__sjs_js_Array(propertyId) {
    const expanded = $m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T();
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option(expanded);
    let res$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      const this$1 = this.$$undinternal$1.literalProperties$1.get__O__s_Option(mapping.id$1);
      if (this$1.isEmpty__Z()) {
        res$1 = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        let rc7 = false;
        let x2$1 = null;
        matchEnd8: {
          if ($is_s_Some(arg1)) {
            rc7 = true;
            x2$1 = arg1;
            const res = x2$1.value$2;
            if ($is_sc_Seq(res)) {
              const x4 = res;
              res$1 = new $c_s_Some().init___O(x4);
              break matchEnd8
            }
          };
          if (rc7) {
            const value = x2$1.value$2;
            res$1 = new $c_s_Some().init___O($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([value])));
            break matchEnd8
          };
          const x = $m_s_None$();
          if ((x === arg1)) {
            const this$2 = this.$$undinternal$1.mapKeyProperties$1.get__O__s_Option(mapping.id$1);
            if (this$2.isEmpty__Z()) {
              res$1 = $m_s_None$();
              break matchEnd8
            } else {
              const arg1$1 = this$2.get__O();
              if ($is_s_Some(arg1$1)) {
                const x2$2 = arg1$1;
                const value$1 = x2$2.value$2;
                res$1 = new $c_s_Some().init___O($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([value$1])));
                break matchEnd8
              } else {
                res$1 = $m_s_None$();
                break matchEnd8
              }
            }
          };
          throw new $c_s_MatchError().init___O(arg1)
        }
      }
    } else {
      res$1 = $m_s_None$()
    };
    const this$3 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = (res$1.isEmpty__Z() ? $m_sci_Nil$() : res$1.get__O());
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$3, from, m).asClient__O()
  };
  $$js$exported$meth$setMapKeyProperty__T__T__O(propertyId, value) {
    return this.$$undinternal$1.setMapKeyField__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value, $m_Lorg_yaml_model_YNode$().Empty$1)
  };
  setLiteralProperty__T__F__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return this.$$undinternal$1.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__F__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, value, $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  getTypeUris__sjs_js_Array() {
    const this$3 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$2 = this.$$undinternal$1.dynamicType__sci_List();
    const f = (function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.iri__T()
      })
    })(this);
    const this$1 = $m_sci_List$();
    const bf = this$1.ReusableCBFInstance$2;
    let from;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$2 === $m_sci_Nil$())) {
        from = $m_sci_Nil$()
      } else {
        const arg1 = this$2.head__O();
        const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        let t = h;
        let rest = this$2.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const arg1$1 = rest.head__O();
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        from = h
      }
    } else {
      const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$2, bf);
      let these = this$2;
      while ((!these.isEmpty__Z())) {
        const arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        these = these.tail__O()
      };
      from = b.result__O()
    };
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$3, from, m).asClient__O()
  };
  withDefinedby__Lamf_client_model_domain_NodeMapping__Lamf_client_model_domain_DialectDomainElement(nodeMapping) {
    this.$$undinternal$1.withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(nodeMapping.$$undinternal$1);
    return this
  };
  $$js$exported$meth$getScalarByPropertyUri__T__O(propertyId) {
    return this.getScalarByPropertyUri__T__sjs_js_Array(propertyId)
  };
  $$js$exported$meth$setObjectCollectionProperty__T__sjs_js_Array__O(propertyId, value) {
    return this.setObjectCollectionProperty__T__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value)
  };
  setLiteralProperty__T__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value) {
    const x1 = this.$$undinternal$1.findPropertyMappingByTermPropertyId__T__s_Option($m_Lamf_core_vocabulary_Namespace$().expand__T__Lamf_core_vocabulary_ValueType(propertyId).iri__T());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return this.$$undinternal$1.setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(mapping, value, $m_Lorg_yaml_model_YNode$().Empty$1)
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find node mapping for propertyId ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([propertyId]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "setMapKeyProperty"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$setMapKeyProperty__T__T__O(prep0, prep1)
  };
  "setLiteralProperty"(arg$1, arg$2) {
    if (((typeof arg$2) === "boolean")) {
      const prep0 = arg$1;
      const prep1 = (!(!arg$2));
      return this.$$js$exported$meth$setLiteralProperty__T__Z__O(prep0, prep1)
    } else if ($isInt(arg$2)) {
      const prep0 = arg$1;
      const prep1 = (arg$2 | 0);
      return this.$$js$exported$meth$setLiteralProperty__T__I__O(prep0, prep1)
    } else if ($isFloat(arg$2)) {
      const prep0 = arg$1;
      const prep1 = (+arg$2);
      return this.$$js$exported$meth$setLiteralProperty__T__F__O(prep0, prep1)
    } else if (((typeof arg$2) === "number")) {
      const prep0 = arg$1;
      const prep1 = (+arg$2);
      return this.$$js$exported$meth$setLiteralProperty__T__D__O(prep0, prep1)
    } else if ($is_T(arg$2)) {
      const prep0 = arg$1;
      const prep1 = arg$2;
      return this.$$js$exported$meth$setLiteralProperty__T__T__O(prep0, prep1)
    } else {
      const prep0 = arg$1;
      const prep1 = arg$2;
      return this.$$js$exported$meth$setLiteralProperty__T__sjs_js_Array__O(prep0, prep1)
    }
  };
  "getObjectPropertyUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$getObjectPropertyUri__T__O(prep0)
  };
  "getScalarByPropertyUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$getScalarByPropertyUri__T__O(prep0)
  };
  "getPropertyUris"() {
    return this.$$js$exported$meth$getPropertyUris__O()
  };
  "getTypeUris"() {
    return this.$$js$exported$meth$getTypeUris__O()
  };
  "setObjectCollectionProperty"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$setObjectCollectionProperty__T__sjs_js_Array__O(prep0, prep1)
  };
  "setObjectProperty"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$setObjectProperty__T__Lamf_client_model_domain_DialectDomainElement__O(prep0, prep1)
  };
  "includeName"() {
    return this.$$js$exported$meth$includeName__O()
  };
  "localRefName"() {
    return this.$$js$exported$meth$localRefName__O()
  };
  "definedBy"() {
    return this.$$js$exported$meth$definedBy__O()
  };
  "withDefinedby"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefinedby__Lamf_client_model_domain_NodeMapping__O(prep0)
  };
  "withInstanceTypes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInstanceTypes__sjs_js_Array__O(prep0)
  };
}
const $is_Lamf_client_model_domain_DialectDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DialectDomainElement)))
});
const $isArrayOf_Lamf_client_model_domain_DialectDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DialectDomainElement)))
});
const $d_Lamf_client_model_domain_DialectDomainElement = new $TypeData().initClass({
  Lamf_client_model_domain_DialectDomainElement: 0
}, false, "amf.client.model.domain.DialectDomainElement", {
  Lamf_client_model_domain_DialectDomainElement: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_DialectDomainElement.prototype.$classData = $d_Lamf_client_model_domain_DialectDomainElement;
class $c_Lamf_client_model_domain_DocumentMapping extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$encoded__O() {
    return this.encoded__Lamf_client_model_StrField()
  };
  $$js$exported$meth$documentName__O() {
    return this.documentName__Lamf_client_model_StrField()
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_DocumentMapping.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DocumentMapping.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DocumentMapping"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_DocumentMapping(x$1)) {
      const DocumentMapping$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DocumentMapping$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withDocumentName__T__Lamf_client_model_domain_DocumentMapping(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  declaredNodes__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().PublicNodeMappingConverter__Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withDocumentName__T__O(name) {
    return this.withDocumentName__T__Lamf_client_model_domain_DocumentMapping(name)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withDeclaredNodes__sjs_js_Array__O(declarations) {
    return this.withDeclaredNodes__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(declarations)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withEncoded__T__O(encodedNode) {
    return this.withEncoded__T__Lamf_client_model_domain_DocumentMapping(encodedNode)
  };
  withEncoded__T__Lamf_client_model_domain_DocumentMapping(encodedNode) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, encodedNode);
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$declaredNodes__O() {
    return this.declaredNodes__sjs_js_Array()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  documentName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withDeclaredNodes__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(declarations) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().PublicNodeMappingConverter__Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$();
    const fragments = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, declarations, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1;
    return $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, fragments)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  encoded__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withDeclaredNodes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredNodes__sjs_js_Array__O(prep0)
  };
  "declaredNodes"() {
    return this.$$js$exported$meth$declaredNodes__O()
  };
  "withEncoded"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEncoded__T__O(prep0)
  };
  "encoded"() {
    return this.$$js$exported$meth$encoded__O()
  };
  "withDocumentName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentName__T__O(prep0)
  };
  "documentName"() {
    return this.$$js$exported$meth$documentName__O()
  };
}
const $is_Lamf_client_model_domain_DocumentMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DocumentMapping)))
});
const $isArrayOf_Lamf_client_model_domain_DocumentMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DocumentMapping)))
});
const $d_Lamf_client_model_domain_DocumentMapping = new $TypeData().initClass({
  Lamf_client_model_domain_DocumentMapping: 0
}, false, "amf.client.model.domain.DocumentMapping", {
  Lamf_client_model_domain_DocumentMapping: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_DocumentMapping.prototype.$classData = $d_Lamf_client_model_domain_DocumentMapping;
class $c_Lamf_client_model_domain_DocumentsModel extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_DocumentsModel.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DocumentsModel.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DocumentsModel"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_DocumentsModel(x$1)) {
      const DocumentsModel$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DocumentsModel$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  library__Lamf_client_model_domain_DocumentMapping() {
    const this$1 = this.$$undinternal$1;
    return new $c_Lamf_client_model_domain_DocumentMapping().init___Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1))
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withFragments__sjs_js_Array__O(fragments) {
    return this.withFragments__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(fragments)
  };
  fragments__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DocumentMappingConverter__Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  root__Lamf_client_model_domain_DocumentMapping() {
    const this$1 = this.$$undinternal$1;
    return new $c_Lamf_client_model_domain_DocumentMapping().init___Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1))
  };
  $$js$exported$meth$library__O() {
    return this.library__Lamf_client_model_domain_DocumentMapping()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$root__O() {
    return this.root__Lamf_client_model_domain_DocumentMapping()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$withLibrary__Lamf_client_model_domain_DocumentMapping__O(library) {
    const this$1 = this.$$undinternal$1;
    const library$1 = library.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, library$1)
  };
  $$js$exported$meth$fragments__O() {
    return this.fragments__sjs_js_Array()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withFragments__sjs_js_Array__Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(fragments) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().DocumentMappingConverter__Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$();
    const fragments$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, fragments, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1;
    return $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, fragments$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withRoot__Lamf_client_model_domain_DocumentMapping__O(documentMapping) {
    const this$1 = this.$$undinternal$1;
    const documentMapping$1 = documentMapping.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, documentMapping$1)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withLibrary"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLibrary__Lamf_client_model_domain_DocumentMapping__O(prep0)
  };
  "library"() {
    return this.$$js$exported$meth$library__O()
  };
  "withFragments"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFragments__sjs_js_Array__O(prep0)
  };
  "fragments"() {
    return this.$$js$exported$meth$fragments__O()
  };
  "withRoot"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRoot__Lamf_client_model_domain_DocumentMapping__O(prep0)
  };
  "root"() {
    return this.$$js$exported$meth$root__O()
  };
}
const $is_Lamf_client_model_domain_DocumentsModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DocumentsModel)))
});
const $isArrayOf_Lamf_client_model_domain_DocumentsModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DocumentsModel)))
});
const $d_Lamf_client_model_domain_DocumentsModel = new $TypeData().initClass({
  Lamf_client_model_domain_DocumentsModel: 0
}, false, "amf.client.model.domain.DocumentsModel", {
  Lamf_client_model_domain_DocumentsModel: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_DocumentsModel.prototype.$classData = $d_Lamf_client_model_domain_DocumentsModel;
class $c_Lamf_client_model_domain_DomainExtension extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___Lamf_core_model_domain_extensions_DomainExtension(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_DomainExtension.prototype.init___Lamf_core_model_domain_extensions_DomainExtension.call(this, new $c_Lamf_core_model_domain_extensions_DomainExtension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DomainExtension"
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  definedBy__Lamf_client_model_domain_CustomDomainProperty() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1);
    $m_Lamf_client_convert_CoreClientConverters$().CustomDomainPropertyMatcher__Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$();
    return new $c_Lamf_client_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(from)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$extension__O() {
    return this.extension__Lamf_client_model_domain_DataNode()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_DomainExtension(x$1)) {
      const DomainExtension$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DomainExtension$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withName__T__Lamf_client_model_domain_DomainExtension(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  withDefinedBy__Lamf_client_model_domain_CustomDomainProperty__Lamf_client_model_domain_DomainExtension(property) {
    const this$1 = this.$$undinternal$1;
    const customProperty = property.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().DefinedBy$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, customProperty);
    return this
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$definedBy__O() {
    return this.definedBy__Lamf_client_model_domain_CustomDomainProperty()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withExtension__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_DomainExtension(node) {
    const this$1 = this.$$undinternal$1;
    const extension = node.$$undinternal__Lamf_core_model_domain_DataNode();
    const field = $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, extension);
    return this
  };
  $$js$exported$meth$withExtension__Lamf_client_model_domain_DataNode__O(node) {
    return this.withExtension__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_DomainExtension(node)
  };
  extension__Lamf_client_model_domain_DataNode() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Extension$1);
    const m = $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return m.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withDefinedBy__Lamf_client_model_domain_CustomDomainProperty__O(property) {
    return this.withDefinedBy__Lamf_client_model_domain_CustomDomainProperty__Lamf_client_model_domain_DomainExtension(property)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_DomainExtension(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withExtension"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtension__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withDefinedBy"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefinedBy__Lamf_client_model_domain_CustomDomainProperty__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "extension"() {
    return this.$$js$exported$prop$extension__O()
  };
  get "definedBy"() {
    return this.$$js$exported$prop$definedBy__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_DomainExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DomainExtension)))
});
const $isArrayOf_Lamf_client_model_domain_DomainExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DomainExtension)))
});
const $d_Lamf_client_model_domain_DomainExtension = new $TypeData().initClass({
  Lamf_client_model_domain_DomainExtension: 0
}, false, "amf.client.model.domain.DomainExtension", {
  Lamf_client_model_domain_DomainExtension: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_DomainExtension.prototype.$classData = $d_Lamf_client_model_domain_DomainExtension;
class $c_Lamf_client_model_domain_Encoding extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_client_model_domain_Parameter(name)
  };
  productPrefix__T() {
    return "Encoding"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Encoding.prototype.init___Lamf_plugins_domain_webapi_models_Encoding.call(this, new $c_Lamf_plugins_domain_webapi_models_Encoding().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  withExplode__Z__Lamf_client_model_domain_Encoding(explode) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Explode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, explode);
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withHeaders__sjs_js_Array__O(headers) {
    return this.withHeaders__sjs_js_Array__Lamf_client_model_domain_Encoding(headers)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  explode__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Explode$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$prop$allowReserved__O() {
    return this.allowReserved__Lamf_client_model_BoolField()
  };
  withPropertyName__T__Lamf_client_model_domain_Encoding(propertyName) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().PropertyName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, propertyName);
    return this
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Encoding(x$1)) {
      const Encoding$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Encoding$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$contentType__O() {
    return this.contentType__Lamf_client_model_StrField()
  };
  withHeader__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withContentType__T__O(contentType) {
    return this.withContentType__T__Lamf_client_model_domain_Encoding(contentType)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  style__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Style$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withStyle__T__O(style) {
    return this.withStyle__T__Lamf_client_model_domain_Encoding(style)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withExplode__Z__O(explode) {
    return this.withExplode__Z__Lamf_client_model_domain_Encoding(explode)
  };
  contentType__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().ContentType$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$explode__O() {
    return this.explode__Lamf_client_model_BoolField()
  };
  withAllowReserved__Z__Lamf_client_model_domain_Encoding(allowReserved) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().AllowReserved$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, allowReserved);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  headers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Headers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$propertyName__O() {
    return this.propertyName__Lamf_client_model_StrField()
  };
  withContentType__T__Lamf_client_model_domain_Encoding(contentType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().ContentType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, contentType);
    return this
  };
  $$js$exported$meth$withPropertyName__T__O(propertyName) {
    return this.withPropertyName__T__Lamf_client_model_domain_Encoding(propertyName)
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Array()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withAllowReserved__Z__O(allowReserved) {
    return this.withAllowReserved__Z__Lamf_client_model_domain_Encoding(allowReserved)
  };
  init___Lamf_plugins_domain_webapi_models_Encoding(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  propertyName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().PropertyName$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withHeaders__sjs_js_Array__Lamf_client_model_domain_Encoding(headers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const headers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, headers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, headers$1);
    return this
  };
  $$js$exported$prop$style__O() {
    return this.style__Lamf_client_model_StrField()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withStyle__T__Lamf_client_model_domain_Encoding(style) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Style$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, style);
    return this
  };
  allowReserved__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().AllowReserved$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withAllowReserved"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAllowReserved__Z__O(prep0)
  };
  "withExplode"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withExplode__Z__O(prep0)
  };
  "withStyle"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withStyle__T__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Array__O(prep0)
  };
  "withContentType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withContentType__T__O(prep0)
  };
  "withPropertyName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertyName__T__O(prep0)
  };
  get "allowReserved"() {
    return this.$$js$exported$prop$allowReserved__O()
  };
  get "explode"() {
    return this.$$js$exported$prop$explode__O()
  };
  get "style"() {
    return this.$$js$exported$prop$style__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "contentType"() {
    return this.$$js$exported$prop$contentType__O()
  };
  get "propertyName"() {
    return this.$$js$exported$prop$propertyName__O()
  };
}
const $is_Lamf_client_model_domain_Encoding = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Encoding)))
});
const $isArrayOf_Lamf_client_model_domain_Encoding = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Encoding)))
});
const $d_Lamf_client_model_domain_Encoding = new $TypeData().initClass({
  Lamf_client_model_domain_Encoding: 0
}, false, "amf.client.model.domain.Encoding", {
  Lamf_client_model_domain_Encoding: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Encoding.prototype.$classData = $d_Lamf_client_model_domain_Encoding;
class $c_Lamf_client_model_domain_EndPoint extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "EndPoint"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_EndPoint.prototype.init___Lamf_plugins_domain_webapi_models_EndPoint.call(this, new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withServers__sjs_js_Array__Lamf_client_model_domain_EndPoint(servers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    const servers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, servers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Servers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, servers$1);
    return this
  };
  $$js$exported$meth$withParameters__sjs_js_Array__O(parameters) {
    return this.withParameters__sjs_js_Array__Lamf_client_model_domain_EndPoint(parameters)
  };
  $$js$exported$meth$withPath__T__O(path) {
    return this.withPath__T__Lamf_client_model_domain_EndPoint(path)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$prop$operations__O() {
    return this.operations__sjs_js_Array()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$prop$parameters__O() {
    return this.parameters__sjs_js_Array()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_EndPoint(x$1)) {
      const EndPoint$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = EndPoint$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  path__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$payloads__O() {
    return this.payloads__sjs_js_Array()
  };
  withSummary__T__Lamf_client_model_domain_EndPoint(summary) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Summary$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, summary);
    return this
  };
  withOperation__T__Lamf_client_model_domain_Operation(method) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOperation__T__Lamf_plugins_domain_webapi_models_Operation(method);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher__Lamf_client_convert_OperationConverter$OperationMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Operation__Lamf_client_model_domain_Operation(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withSecurity__sjs_js_Array__Lamf_client_model_domain_EndPoint(security) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher__Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$();
    const security$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, security, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, security$1);
    return this
  };
  withOperations__sjs_js_Array__Lamf_client_model_domain_EndPoint(operations) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher__Lamf_client_convert_OperationConverter$OperationMatcher$();
    const operations$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, operations, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, operations$1);
    return this
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  payloads__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withPath__T__Lamf_client_model_domain_EndPoint(path) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, path);
    return this
  };
  $$js$exported$prop$servers__O() {
    return this.servers__sjs_js_Array()
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  parameters__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withOperations__sjs_js_Array__O(operations) {
    return this.withOperations__sjs_js_Array__Lamf_client_model_domain_EndPoint(operations)
  };
  $$js$exported$meth$withOperation__T__O(method) {
    return this.withOperation__T__Lamf_client_model_domain_Operation(method)
  };
  servers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Servers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withServer__T__Lamf_client_model_domain_Server(url) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withServer__T__Lamf_plugins_domain_webapi_models_Server(url);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$meth$withServer__T__O(url) {
    return this.withServer__T__Lamf_client_model_domain_Server(url)
  };
  $$js$exported$meth$withSecurity__sjs_js_Array__O(security) {
    return this.withSecurity__sjs_js_Array__Lamf_client_model_domain_EndPoint(security)
  };
  withName__T__Lamf_client_model_domain_EndPoint(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withDescription__T__Lamf_client_model_domain_EndPoint(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  summary__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Summary$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withPayload__T__Lamf_client_model_domain_Payload(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(new $c_s_Some().init___O(name));
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_EndPoint(description)
  };
  $$js$exported$meth$withPayload__T__O(name) {
    return this.withPayload__T__Lamf_client_model_domain_Payload(name)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  operations__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Operations$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher__Lamf_client_convert_OperationConverter$OperationMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$relativePath__O() {
    return this.$$undinternal$1.relativePath__T()
  };
  $$js$exported$prop$security__O() {
    return this.security__sjs_js_Array()
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withParameters__sjs_js_Array__Lamf_client_model_domain_EndPoint(parameters) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const parameters$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, parameters, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, parameters$1);
    return this
  };
  $$js$exported$prop$summary__O() {
    return this.summary__Lamf_client_model_StrField()
  };
  $$js$exported$prop$path__O() {
    return this.path__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withParameter__T__O(name) {
    return this.withParameter__T__Lamf_client_model_domain_Parameter(name)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withSummary__T__O(summary) {
    return this.withSummary__T__Lamf_client_model_domain_EndPoint(summary)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_EndPoint(name)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withServers__sjs_js_Array__O(servers) {
    return this.withServers__sjs_js_Array__Lamf_client_model_domain_EndPoint(servers)
  };
  withParameter__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  $$js$exported$meth$withPayloads__sjs_js_Array__O(payloads) {
    return this.withPayloads__sjs_js_Array__Lamf_client_model_domain_EndPoint(payloads)
  };
  security__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Security$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher__Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withPayloads__sjs_js_Array__Lamf_client_model_domain_EndPoint(payloads) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    const payloads$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, payloads, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, payloads$1);
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withServer"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServer__T__O(prep0)
  };
  "withPayload"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayload__T__O(prep0)
  };
  "withParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withParameter__T__O(prep0)
  };
  "withOperation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOperation__T__O(prep0)
  };
  "withSecurity"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSecurity__sjs_js_Array__O(prep0)
  };
  "withServers"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServers__sjs_js_Array__O(prep0)
  };
  "withPayloads"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayloads__sjs_js_Array__O(prep0)
  };
  "withParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withParameters__sjs_js_Array__O(prep0)
  };
  "withOperations"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOperations__sjs_js_Array__O(prep0)
  };
  "withPath"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPath__T__O(prep0)
  };
  "withSummary"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSummary__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "relativePath"() {
    return this.$$js$exported$prop$relativePath__O()
  };
  get "security"() {
    return this.$$js$exported$prop$security__O()
  };
  get "servers"() {
    return this.$$js$exported$prop$servers__O()
  };
  get "payloads"() {
    return this.$$js$exported$prop$payloads__O()
  };
  get "parameters"() {
    return this.$$js$exported$prop$parameters__O()
  };
  get "operations"() {
    return this.$$js$exported$prop$operations__O()
  };
  get "path"() {
    return this.$$js$exported$prop$path__O()
  };
  get "summary"() {
    return this.$$js$exported$prop$summary__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_EndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_EndPoint)))
});
const $isArrayOf_Lamf_client_model_domain_EndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_EndPoint)))
});
const $d_Lamf_client_model_domain_EndPoint = new $TypeData().initClass({
  Lamf_client_model_domain_EndPoint: 0
}, false, "amf.client.model.domain.EndPoint", {
  Lamf_client_model_domain_EndPoint: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_EndPoint.prototype.$classData = $d_Lamf_client_model_domain_EndPoint;
class $c_Lamf_client_model_domain_External extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_External.prototype.init___Lamf_plugins_document_vocabularies_model_domain_External.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_External().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "External"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_External(x$1)) {
      const External$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = External$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withBase__T__O(base) {
    return this.withBase__T__Lamf_client_model_domain_External(base)
  };
  $$js$exported$prop$base__O() {
    return this.base__Lamf_client_model_StrField()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withAlias__T__O(alias) {
    return this.withAlias__T__Lamf_client_model_domain_External(alias)
  };
  alias__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$alias__O() {
    return this.alias__Lamf_client_model_StrField()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  base__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withBase__T__Lamf_client_model_domain_External(base) {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1;
    const from = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, base);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    return m.asClient__Lamf_plugins_document_vocabularies_model_domain_External__Lamf_client_model_domain_External(from)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  withAlias__T__Lamf_client_model_domain_External(alias) {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1;
    const from = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, alias);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    return m.asClient__Lamf_plugins_document_vocabularies_model_domain_External__Lamf_client_model_domain_External(from)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_External(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withBase"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBase__T__O(prep0)
  };
  "withAlias"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAlias__T__O(prep0)
  };
  get "base"() {
    return this.$$js$exported$prop$base__O()
  };
  get "alias"() {
    return this.$$js$exported$prop$alias__O()
  };
}
const $is_Lamf_client_model_domain_External = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_External)))
});
const $isArrayOf_Lamf_client_model_domain_External = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_External)))
});
const $d_Lamf_client_model_domain_External = new $TypeData().initClass({
  Lamf_client_model_domain_External: 0
}, false, "amf.client.model.domain.External", {
  Lamf_client_model_domain_External: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_External.prototype.$classData = $d_Lamf_client_model_domain_External;
class $c_Lamf_client_model_domain_ExternalDomainElement extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___Lamf_core_model_domain_ExternalDomainElement(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ExternalDomainElement.prototype.init___Lamf_core_model_domain_ExternalDomainElement.call(this, new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ExternalDomainElement"
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return this.withRaw__T__Lamf_client_model_domain_ExternalDomainElement(raw)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  mediaType__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ExternalDomainElement(x$1)) {
      const ExternalDomainElement$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ExternalDomainElement$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withMediaType__T__Lamf_client_model_domain_ExternalDomainElement(mediaType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  raw__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$raw__O() {
    return this.raw__Lamf_client_model_StrField()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withMediaType__T__O(mediaType) {
    return this.withMediaType__T__Lamf_client_model_domain_ExternalDomainElement(mediaType)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$mediaType__O() {
    return this.mediaType__Lamf_client_model_StrField()
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withRaw__T__Lamf_client_model_domain_ExternalDomainElement(raw) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, raw);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withMediaType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediaType__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
}
const $is_Lamf_client_model_domain_ExternalDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ExternalDomainElement)))
});
const $isArrayOf_Lamf_client_model_domain_ExternalDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ExternalDomainElement)))
});
const $d_Lamf_client_model_domain_ExternalDomainElement = new $TypeData().initClass({
  Lamf_client_model_domain_ExternalDomainElement: 0
}, false, "amf.client.model.domain.ExternalDomainElement", {
  Lamf_client_model_domain_ExternalDomainElement: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ExternalDomainElement.prototype.$classData = $d_Lamf_client_model_domain_ExternalDomainElement;
class $c_Lamf_client_model_domain_IriTemplateMapping extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withTemplateVariable__T__O(variable) {
    return this.withTemplateVariable__T__Lamf_client_model_domain_IriTemplateMapping(variable)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_IriTemplateMapping.prototype.init___Lamf_plugins_domain_webapi_models_IriTemplateMapping.call(this, new $c_Lamf_plugins_domain_webapi_models_IriTemplateMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  withTemplateVariable__T__Lamf_client_model_domain_IriTemplateMapping(variable) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$().TemplateVariable$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, variable);
    return this
  };
  productPrefix__T() {
    return "IriTemplateMapping"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$templateVariable__O() {
    return this.templateVariable__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_IriTemplateMapping(x$1)) {
      const IriTemplateMapping$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = IriTemplateMapping$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  templateVariable__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$().TemplateVariable$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withLinkExpression__T__Lamf_client_model_domain_IriTemplateMapping(expression) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$().LinkExpression$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, expression);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$linkExpression__O() {
    return this.linkExpression__Lamf_client_model_StrField()
  };
  init___Lamf_plugins_domain_webapi_models_IriTemplateMapping(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withLinkExpression__T__O(expression) {
    return this.withLinkExpression__T__Lamf_client_model_domain_IriTemplateMapping(expression)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkExpression__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$().LinkExpression$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withLinkExpression"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkExpression__T__O(prep0)
  };
  "withTemplateVariable"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTemplateVariable__T__O(prep0)
  };
  get "linkExpression"() {
    return this.$$js$exported$prop$linkExpression__O()
  };
  get "templateVariable"() {
    return this.$$js$exported$prop$templateVariable__O()
  };
}
const $is_Lamf_client_model_domain_IriTemplateMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_IriTemplateMapping)))
});
const $isArrayOf_Lamf_client_model_domain_IriTemplateMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_IriTemplateMapping)))
});
const $d_Lamf_client_model_domain_IriTemplateMapping = new $TypeData().initClass({
  Lamf_client_model_domain_IriTemplateMapping: 0
}, false, "amf.client.model.domain.IriTemplateMapping", {
  Lamf_client_model_domain_IriTemplateMapping: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_IriTemplateMapping.prototype.$classData = $d_Lamf_client_model_domain_IriTemplateMapping;
class $c_Lamf_client_model_domain_License extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_License.prototype.init___Lamf_plugins_domain_webapi_models_License.call(this, new $c_Lamf_plugins_domain_webapi_models_License().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productPrefix__T() {
    return "License"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$url__O() {
    return this.url__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_License(x$1)) {
      const License$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = License$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  url__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_client_model_domain_License(url)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  init___Lamf_plugins_domain_webapi_models_License(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  withUrl__T__Lamf_client_model_domain_License(url) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  withName__T__Lamf_client_model_domain_License(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_License(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_client_model_domain_License = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_License)))
});
const $isArrayOf_Lamf_client_model_domain_License = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_License)))
});
const $d_Lamf_client_model_domain_License = new $TypeData().initClass({
  Lamf_client_model_domain_License: 0
}, false, "amf.client.model.domain.License", {
  Lamf_client_model_domain_License: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_License.prototype.$classData = $d_Lamf_client_model_domain_License;
class $c_Lamf_client_model_domain_NodeMapping extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  idTemplate__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withNodeTypeMapping__T__Lamf_client_model_domain_NodeMapping(nodeType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, nodeType);
    return this
  };
  withName__T__Lamf_client_model_domain_NodeMapping(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_NodeMapping.prototype.init___Lamf_plugins_document_vocabularies_model_domain_NodeMapping.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "NodeMapping"
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_NodeMapping(x$1)) {
      const NodeMapping$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = NodeMapping$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_NodeMapping(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withNodeTypeMapping__T__O(nodeType) {
    return this.withNodeTypeMapping__T__Lamf_client_model_domain_NodeMapping(nodeType)
  };
  $$js$exported$prop$nodetypeMapping__O() {
    return this.nodetypeMapping__Lamf_client_model_StrField()
  };
  $$js$exported$prop$idTemplate__O() {
    return this.idTemplate__Lamf_client_model_StrField()
  };
  withIdTemplate__T__Lamf_client_model_domain_NodeMapping(idTemplate) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, idTemplate);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withPropertiesMapping__sjs_js_Array__O(props) {
    return this.withPropertiesMapping__sjs_js_Array__Lamf_client_model_domain_NodeMapping(props)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$propertiesMapping__O() {
    return this.propertiesMapping__sjs_js_Array()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withIdTemplate__T__O(idTemplate) {
    return this.withIdTemplate__T__Lamf_client_model_domain_NodeMapping(idTemplate)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_NodeMapping(name)
  };
  nodetypeMapping__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  propertiesMapping__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().PropertyMappingConverter__Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withPropertiesMapping__sjs_js_Array__Lamf_client_model_domain_NodeMapping(props) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().PropertyMappingConverter__Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$();
    const props$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, props, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1;
    $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, props$1);
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withIdTemplate"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withIdTemplate__T__O(prep0)
  };
  "withPropertiesMapping"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertiesMapping__sjs_js_Array__O(prep0)
  };
  "withNodeTypeMapping"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNodeTypeMapping__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "idTemplate"() {
    return this.$$js$exported$prop$idTemplate__O()
  };
  "propertiesMapping"() {
    return this.$$js$exported$meth$propertiesMapping__O()
  };
  get "nodetypeMapping"() {
    return this.$$js$exported$prop$nodetypeMapping__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_NodeMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_NodeMapping)))
});
const $isArrayOf_Lamf_client_model_domain_NodeMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_NodeMapping)))
});
const $d_Lamf_client_model_domain_NodeMapping = new $TypeData().initClass({
  Lamf_client_model_domain_NodeMapping: 0
}, false, "amf.client.model.domain.NodeMapping", {
  Lamf_client_model_domain_NodeMapping: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_NodeMapping.prototype.$classData = $d_Lamf_client_model_domain_NodeMapping;
class $c_Lamf_client_model_domain_Operation extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withDeprecated__Z__Lamf_client_model_domain_Operation(deprecated) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, deprecated);
    return this
  };
  withResponse__T__Lamf_client_model_domain_Response(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Response__Lamf_client_model_domain_Response(from)
  };
  productPrefix__T() {
    return "Operation"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Operation.prototype.init___Lamf_plugins_domain_webapi_models_Operation.call(this, new $c_Lamf_plugins_domain_webapi_models_Operation().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$accepts__O() {
    return this.accepts__sjs_js_Array()
  };
  $$js$exported$prop$deprecated__O() {
    return this.deprecated__Lamf_client_model_BoolField()
  };
  withMethod__T__Lamf_client_model_domain_Operation(method) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, method);
    return this
  };
  withName__T__Lamf_client_model_domain_Operation(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  productArity__I() {
    return 1
  };
  withCallback__T__Lamf_client_model_domain_Callback(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withCallback__T__Lamf_plugins_domain_webapi_models_Callback(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher__Lamf_client_convert_CallbackConverter$CallbackMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Callback__Lamf_client_model_domain_Callback(from)
  };
  documentation__Lamf_client_model_domain_CreativeWork() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_client_model_domain_CreativeWork(from)
  };
  withSummary__T__Lamf_client_model_domain_Operation(summary) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, summary);
    return this
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withSchemes__sjs_js_Array__O(schemes) {
    return this.withSchemes__sjs_js_Array__Lamf_client_model_domain_Operation(schemes)
  };
  withRequest__Lamf_client_model_domain_Request__Lamf_client_model_domain_Operation(request) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher__Lamf_client_convert_RequestConverter$RequestMatcher$();
    const request$1 = request.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, request$1);
    return this
  };
  withDescription__T__Lamf_client_model_domain_Operation(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  deprecated__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Deprecated$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  contentType__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Operation(x$1)) {
      const Operation$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Operation$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$contentType__O() {
    return this.contentType__sjs_js_Array()
  };
  $$js$exported$meth$withCallback__T__O(name) {
    return this.withCallback__T__Lamf_client_model_domain_Callback(name)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withDocumentation__Lamf_client_model_domain_CreativeWork__Lamf_client_model_domain_Operation(documentation) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    const documentation$1 = documentation.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Documentation$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, documentation$1);
    return this
  };
  request__Lamf_client_model_domain_Request() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher__Lamf_client_convert_RequestConverter$RequestMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Request__Lamf_client_model_domain_Request(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  callbacks__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Callbacks$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher__Lamf_client_convert_CallbackConverter$CallbackMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  accepts__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withRequest__O() {
    return this.withRequest__Lamf_client_model_domain_Request()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  withAccepts__sjs_js_Array__Lamf_client_model_domain_Operation(accepts) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const accepts$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, accepts, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Accepts$1;
    const values = accepts$1.toList__sci_List();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values);
    return this
  };
  withServers__sjs_js_Array__Lamf_client_model_domain_Operation(servers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    const servers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, servers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Servers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, servers$1);
    return this
  };
  $$js$exported$prop$servers__O() {
    return this.servers__sjs_js_Array()
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  init___Lamf_plugins_domain_webapi_models_Operation(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$documentation__O() {
    return this.documentation__Lamf_client_model_domain_CreativeWork()
  };
  $$js$exported$meth$withResponses__sjs_js_Array__O(responses) {
    return this.withResponses__sjs_js_Array__Lamf_client_model_domain_Operation(responses)
  };
  withSchemes__sjs_js_Array__Lamf_client_model_domain_Operation(schemes) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const schemes$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, schemes, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1;
    const values = schemes$1.toList__sci_List();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values);
    return this
  };
  $$js$exported$meth$withMethod__T__O(method) {
    return this.withMethod__T__Lamf_client_model_domain_Operation(method)
  };
  withSecurity__sjs_js_Array__Lamf_client_model_domain_Operation(security) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
    const security$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, security, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, security$1);
    return this
  };
  $$js$exported$meth$withDocumentation__Lamf_client_model_domain_CreativeWork__O(documentation) {
    return this.withDocumentation__Lamf_client_model_domain_CreativeWork__Lamf_client_model_domain_Operation(documentation)
  };
  servers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Servers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withContentType__sjs_js_Array__O(contentType) {
    return this.withContentType__sjs_js_Array__Lamf_client_model_domain_Operation(contentType)
  };
  withServer__T__Lamf_client_model_domain_Server(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withServer__T__Lamf_plugins_domain_webapi_models_Server(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$meth$withCallbacks__sjs_js_Array__O(callbacks) {
    return this.withCallbacks__sjs_js_Array__Lamf_client_model_domain_Operation(callbacks)
  };
  $$js$exported$meth$withServer__T__O(name) {
    return this.withServer__T__Lamf_client_model_domain_Server(name)
  };
  $$js$exported$meth$withSecurity__sjs_js_Array__O(security) {
    return this.withSecurity__sjs_js_Array__Lamf_client_model_domain_Operation(security)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  withCallbacks__sjs_js_Array__Lamf_client_model_domain_Operation(callbacks) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher__Lamf_client_convert_CallbackConverter$CallbackMatcher$();
    const callbacks$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, callbacks, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Callbacks$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, callbacks$1);
    return this
  };
  $$js$exported$prop$responses__O() {
    return this.responses__sjs_js_Array()
  };
  summary__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Summary$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$schemes__O() {
    return this.schemes__sjs_js_Array()
  };
  $$js$exported$meth$withRequest__Lamf_client_model_domain_Request__O(request) {
    return this.withRequest__Lamf_client_model_domain_Request__Lamf_client_model_domain_Operation(request)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Operation(description)
  };
  schemes__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Schemes$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  method__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$security__O() {
    return this.security__sjs_js_Array()
  };
  withContentType__sjs_js_Array__Lamf_client_model_domain_Operation(contentType) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const contentType$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, contentType, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().ContentType$1;
    const values = contentType$1.toList__sci_List();
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, values);
    return this
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$summary__O() {
    return this.summary__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withResponse__T__O(name) {
    return this.withResponse__T__Lamf_client_model_domain_Response(name)
  };
  $$js$exported$meth$withAccepts__sjs_js_Array__O(accepts) {
    return this.withAccepts__sjs_js_Array__Lamf_client_model_domain_Operation(accepts)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withSummary__T__O(summary) {
    return this.withSummary__T__Lamf_client_model_domain_Operation(summary)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Operation(name)
  };
  $$js$exported$prop$request__O() {
    return this.request__Lamf_client_model_domain_Request()
  };
  responses__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$method__O() {
    return this.method__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withServers__sjs_js_Array__O(servers) {
    return this.withServers__sjs_js_Array__Lamf_client_model_domain_Operation(servers)
  };
  withResponses__sjs_js_Array__Lamf_client_model_domain_Operation(responses) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$();
    const responses$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, responses, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, responses$1);
    return this
  };
  $$js$exported$prop$callbacks__O() {
    return this.callbacks__sjs_js_Array()
  };
  security__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withRequest__Lamf_client_model_domain_Request() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withRequest__Lamf_plugins_domain_webapi_models_Request();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher__Lamf_client_convert_RequestConverter$RequestMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Request__Lamf_client_model_domain_Request(from)
  };
  $$js$exported$meth$withDeprecated__Z__O(deprecated) {
    return this.withDeprecated__Z__Lamf_client_model_domain_Operation(deprecated)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withServer"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServer__T__O(prep0)
  };
  "withCallback"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCallback__T__O(prep0)
  };
  "withRequest"(...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$rest[0];
        return this.$$js$exported$meth$withRequest__Lamf_client_model_domain_Request__O(prep0);
        break
      }
      case 0: {
        return this.$$js$exported$meth$withRequest__O();
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "withResponse"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponse__T__O(prep0)
  };
  "withServers"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServers__sjs_js_Array__O(prep0)
  };
  "withCallbacks"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCallbacks__sjs_js_Array__O(prep0)
  };
  "withSecurity"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSecurity__sjs_js_Array__O(prep0)
  };
  "withResponses"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponses__sjs_js_Array__O(prep0)
  };
  "withContentType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withContentType__sjs_js_Array__O(prep0)
  };
  "withAccepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAccepts__sjs_js_Array__O(prep0)
  };
  "withSchemes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchemes__sjs_js_Array__O(prep0)
  };
  "withDocumentation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentation__Lamf_client_model_domain_CreativeWork__O(prep0)
  };
  "withSummary"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSummary__T__O(prep0)
  };
  "withDeprecated"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withDeprecated__Z__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withMethod"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMethod__T__O(prep0)
  };
  get "servers"() {
    return this.$$js$exported$prop$servers__O()
  };
  get "callbacks"() {
    return this.$$js$exported$prop$callbacks__O()
  };
  get "security"() {
    return this.$$js$exported$prop$security__O()
  };
  get "responses"() {
    return this.$$js$exported$prop$responses__O()
  };
  get "request"() {
    return this.$$js$exported$prop$request__O()
  };
  get "contentType"() {
    return this.$$js$exported$prop$contentType__O()
  };
  get "accepts"() {
    return this.$$js$exported$prop$accepts__O()
  };
  get "schemes"() {
    return this.$$js$exported$prop$schemes__O()
  };
  get "documentation"() {
    return this.$$js$exported$prop$documentation__O()
  };
  get "summary"() {
    return this.$$js$exported$prop$summary__O()
  };
  get "deprecated"() {
    return this.$$js$exported$prop$deprecated__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "method"() {
    return this.$$js$exported$prop$method__O()
  };
}
const $is_Lamf_client_model_domain_Operation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Operation)))
});
const $isArrayOf_Lamf_client_model_domain_Operation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Operation)))
});
const $d_Lamf_client_model_domain_Operation = new $TypeData().initClass({
  Lamf_client_model_domain_Operation: 0
}, false, "amf.client.model.domain.Operation", {
  Lamf_client_model_domain_Operation: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Operation.prototype.$classData = $d_Lamf_client_model_domain_Operation;
class $c_Lamf_client_model_domain_Organization extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Organization.prototype.init___Lamf_plugins_domain_webapi_models_Organization.call(this, new $c_Lamf_plugins_domain_webapi_models_Organization().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Organization"
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withEmail__T__O(email) {
    return this.withEmail__T__Lamf_client_model_domain_Organization(email)
  };
  productArity__I() {
    return 1
  };
  withName__T__Lamf_client_model_domain_Organization(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$url__O() {
    return this.url__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Organization(x$1)) {
      const Organization$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Organization$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  url__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_client_model_domain_Organization(url)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Organization(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$email__O() {
    return this.email__Lamf_client_model_StrField()
  };
  withUrl__T__Lamf_client_model_domain_Organization(url) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  email__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withEmail__T__Lamf_client_model_domain_Organization(email) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$().Email$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, email);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Organization(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withEmail"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEmail__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "email"() {
    return this.$$js$exported$prop$email__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_client_model_domain_Organization = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Organization)))
});
const $isArrayOf_Lamf_client_model_domain_Organization = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Organization)))
});
const $d_Lamf_client_model_domain_Organization = new $TypeData().initClass({
  Lamf_client_model_domain_Organization: 0
}, false, "amf.client.model.domain.Organization", {
  Lamf_client_model_domain_Organization: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Organization.prototype.$classData = $d_Lamf_client_model_domain_Organization;
class $c_Lamf_client_model_domain_Parameter extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$prop$allowEmptyValue__O() {
    return this.allowEmptyValue__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$withScalarSchema__T__O(name) {
    return this.withScalarSchema__T__Lamf_client_model_domain_ScalarShape(name)
  };
  productPrefix__T() {
    return "Parameter"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Parameter.prototype.init___Lamf_plugins_domain_webapi_models_Parameter.call(this, new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_plugins_domain_webapi_models_Parameter(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withSchema__Lamf_client_model_domain_Shape__O(schema) {
    return this.withSchema__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Parameter(schema)
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withObjectSchema__T__O(name) {
    return this.withObjectSchema__T__Lamf_client_model_domain_NodeShape(name)
  };
  $$js$exported$prop$deprecated__O() {
    return this.deprecated__Lamf_client_model_BoolField()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  withScalarSchema__T__Lamf_client_model_domain_ScalarShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher__Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_client_model_domain_ScalarShape(from)
  };
  $$js$exported$prop$examples__O() {
    return this.examples__sjs_js_Array()
  };
  withAllowReserved__Z__Lamf_client_model_domain_Parameter(allowReserved) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().AllowReserved$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, allowReserved);
    return this
  };
  explode__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Explode$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$prop$allowReserved__O() {
    return this.allowReserved__Lamf_client_model_BoolField()
  };
  deprecated__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Deprecated$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  examples__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Examples$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Parameter(x$1)) {
      const Parameter$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Parameter$1.$$undinternal$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$payloads__O() {
    return this.payloads__sjs_js_Array()
  };
  $$js$exported$meth$withExamples__sjs_js_Array__O(examples) {
    return this.withExamples__sjs_js_Array__Lamf_client_model_domain_Parameter(examples)
  };
  $$js$exported$prop$schema__O() {
    return this.schema__Lamf_client_model_domain_Shape()
  };
  allowEmptyValue__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().AllowEmptyValue$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withAllowEmptyValue__Z__O(allowEmptyValue) {
    return this.withAllowEmptyValue__Z__Lamf_client_model_domain_Parameter(allowEmptyValue)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  style__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Style$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  required__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withStyle__T__O(style) {
    return this.withStyle__T__Lamf_client_model_domain_Parameter(style)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  payloads__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Payloads$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withStyle__T__Lamf_client_model_domain_Parameter(style) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Style$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, style);
    return this
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withExplode__Z__O(explode) {
    return this.withExplode__Z__Lamf_client_model_domain_Parameter(explode)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withExample__T__O(name) {
    return this.withExample__T__Lamf_client_model_domain_Example(name)
  };
  withBinding__T__Lamf_client_model_domain_Parameter(binding) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, binding);
    return this
  };
  $$js$exported$prop$explode__O() {
    return this.explode__Lamf_client_model_BoolField()
  };
  withAllowEmptyValue__Z__Lamf_client_model_domain_Parameter(allowEmptyValue) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().AllowEmptyValue$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, allowEmptyValue);
    return this
  };
  binding__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withDescription__T__Lamf_client_model_domain_Parameter(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  withRequired__Z__Lamf_client_model_domain_Parameter(required) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, required);
    return this
  };
  $$js$exported$prop$required__O() {
    return this.required__Lamf_client_model_BoolField()
  };
  schema__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  $$js$exported$meth$withRequired__Z__O(required) {
    return this.withRequired__Z__Lamf_client_model_domain_Parameter(required)
  };
  withExplode__Z__Lamf_client_model_domain_Parameter(explode) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Explode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, explode);
    return this
  };
  withDeprecated__Z__Lamf_client_model_domain_Parameter(deprecated) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Deprecated$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, deprecated);
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  withPayload__T__Lamf_client_model_domain_Payload(mediaType) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withPayload__T__Lamf_plugins_domain_webapi_models_Payload(mediaType);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Parameter(description)
  };
  $$js$exported$meth$withAllowReserved__Z__O(allowReserved) {
    return this.withAllowReserved__Z__Lamf_client_model_domain_Parameter(allowReserved)
  };
  $$js$exported$meth$withPayload__T__O(mediaType) {
    return this.withPayload__T__Lamf_client_model_domain_Payload(mediaType)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  withName__T__Lamf_client_model_domain_Parameter(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$binding__O() {
    return this.binding__Lamf_client_model_StrField()
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withPayloads__sjs_js_Array__Lamf_client_model_domain_Parameter(payloads) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    const payloads$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, payloads, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, payloads$1);
    return this
  };
  $$js$exported$prop$style__O() {
    return this.style__Lamf_client_model_StrField()
  };
  withExamples__sjs_js_Array__Lamf_client_model_domain_Parameter(examples) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    const examples$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, examples, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, examples$1);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Parameter(name)
  };
  $$js$exported$meth$withBinding__T__O(binding) {
    return this.withBinding__T__Lamf_client_model_domain_Parameter(binding)
  };
  withSchema__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Parameter(schema) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const schema$1 = schema.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, schema$1);
    return this
  };
  withObjectSchema__T__Lamf_client_model_domain_NodeShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher__Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_client_model_domain_NodeShape(from)
  };
  withExample__T__Lamf_client_model_domain_Example(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(new $c_s_Some().init___O(name));
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_Example__Lamf_client_model_domain_Example(from)
  };
  $$js$exported$meth$withPayloads__sjs_js_Array__O(payloads) {
    return this.withPayloads__sjs_js_Array__Lamf_client_model_domain_Parameter(payloads)
  };
  allowReserved__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().AllowReserved$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withDeprecated__Z__O(deprecated) {
    return this.withDeprecated__Z__Lamf_client_model_domain_Parameter(deprecated)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withExample"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExample__T__O(prep0)
  };
  "withPayload"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayload__T__O(prep0)
  };
  "withScalarSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScalarSchema__T__O(prep0)
  };
  "withObjectSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withObjectSchema__T__O(prep0)
  };
  "withSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchema__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withExamples"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExamples__sjs_js_Array__O(prep0)
  };
  "withPayloads"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayloads__sjs_js_Array__O(prep0)
  };
  "withBinding"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBinding__T__O(prep0)
  };
  "withAllowReserved"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAllowReserved__Z__O(prep0)
  };
  "withExplode"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withExplode__Z__O(prep0)
  };
  "withStyle"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withStyle__T__O(prep0)
  };
  "withAllowEmptyValue"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAllowEmptyValue__Z__O(prep0)
  };
  "withDeprecated"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withDeprecated__Z__O(prep0)
  };
  "withRequired"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withRequired__Z__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "examples"() {
    return this.$$js$exported$prop$examples__O()
  };
  get "payloads"() {
    return this.$$js$exported$prop$payloads__O()
  };
  get "schema"() {
    return this.$$js$exported$prop$schema__O()
  };
  get "binding"() {
    return this.$$js$exported$prop$binding__O()
  };
  get "allowReserved"() {
    return this.$$js$exported$prop$allowReserved__O()
  };
  get "explode"() {
    return this.$$js$exported$prop$explode__O()
  };
  get "style"() {
    return this.$$js$exported$prop$style__O()
  };
  get "allowEmptyValue"() {
    return this.$$js$exported$prop$allowEmptyValue__O()
  };
  get "deprecated"() {
    return this.$$js$exported$prop$deprecated__O()
  };
  get "required"() {
    return this.$$js$exported$prop$required__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_Parameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Parameter)))
});
const $isArrayOf_Lamf_client_model_domain_Parameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Parameter)))
});
const $d_Lamf_client_model_domain_Parameter = new $TypeData().initClass({
  Lamf_client_model_domain_Parameter: 0
}, false, "amf.client.model.domain.Parameter", {
  Lamf_client_model_domain_Parameter: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Parameter.prototype.$classData = $d_Lamf_client_model_domain_Parameter;
class $c_Lamf_client_model_domain_ParametrizedSecurityScheme extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  settings__Lamf_client_model_domain_Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_client_model_domain_Settings(from)
  };
  $$js$exported$meth$withOAuth1Settings__O() {
    return this.withOAuth1Settings__Lamf_client_model_domain_OAuth1Settings()
  };
  productPrefix__T() {
    return "ParametrizedSecurityScheme"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ParametrizedSecurityScheme.prototype.init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme.call(this, new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ParametrizedSecurityScheme(x$1)) {
      const ParametrizedSecurityScheme$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ParametrizedSecurityScheme$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withOAuth1Settings__Lamf_client_model_domain_OAuth1Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings();
    $m_Lamf_client_convert_WebApiClientConverters$().OAuth1SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$();
    return new $c_Lamf_client_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$scheme__O() {
    return this.scheme__Lamf_client_model_domain_SecurityScheme()
  };
  withHttpSettings__Lamf_client_model_domain_HttpSettings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withHttpSettings__Lamf_plugins_domain_webapi_models_security_HttpSettings();
    $m_Lamf_client_convert_WebApiClientConverters$().HttpSettingsMatcher__Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$();
    return new $c_Lamf_client_model_domain_HttpSettings().init___Lamf_plugins_domain_webapi_models_security_HttpSettings(from)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  withName__T__Lamf_client_model_domain_ParametrizedSecurityScheme(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withApiKeySettings__Lamf_client_model_domain_ApiKeySettings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings();
    $m_Lamf_client_convert_WebApiClientConverters$().ApiKeySettingsMatcher__Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$();
    return new $c_Lamf_client_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(from)
  };
  withScheme__Lamf_client_model_domain_SecurityScheme__Lamf_client_model_domain_ParametrizedSecurityScheme(scheme) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher__Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$();
    const scheme$1 = scheme.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, scheme$1);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$meth$withOAuth2Settings__O() {
    return this.withOAuth2Settings__Lamf_client_model_domain_OAuth2Settings()
  };
  init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withOpenIdConnectSettings__O() {
    return this.withOpenIdConnectSettings__Lamf_client_model_domain_OpenIdConnectSettings()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withScheme__Lamf_client_model_domain_SecurityScheme__O(scheme) {
    return this.withScheme__Lamf_client_model_domain_SecurityScheme__Lamf_client_model_domain_ParametrizedSecurityScheme(scheme)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  withOpenIdConnectSettings__Lamf_client_model_domain_OpenIdConnectSettings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOpenIdConnectSettings__Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings();
    $m_Lamf_client_convert_WebApiClientConverters$().OpenIdConnectSettingsMatcher__Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$();
    return new $c_Lamf_client_model_domain_OpenIdConnectSettings().init___Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(from)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$withApiKeySettings__O() {
    return this.withApiKeySettings__Lamf_client_model_domain_ApiKeySettings()
  };
  withSettings__Lamf_client_model_domain_Settings__Lamf_client_model_domain_ParametrizedSecurityScheme(settings) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$();
    const settings$1 = settings.$$undinternal__Lamf_plugins_domain_webapi_models_security_Settings();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, settings$1);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withOAuth2Settings__Lamf_client_model_domain_OAuth2Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings();
    $m_Lamf_client_convert_WebApiClientConverters$().OAuth2SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$();
    return new $c_Lamf_client_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(from)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_ParametrizedSecurityScheme(name)
  };
  scheme__Lamf_client_model_domain_SecurityScheme() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Scheme$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher__Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_client_model_domain_SecurityScheme(from)
  };
  $$js$exported$meth$withSettings__Lamf_client_model_domain_Settings__O(settings) {
    return this.withSettings__Lamf_client_model_domain_Settings__Lamf_client_model_domain_ParametrizedSecurityScheme(settings)
  };
  withDefaultSettings__Lamf_client_model_domain_Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_client_model_domain_Settings(from)
  };
  $$js$exported$prop$settings__O() {
    return this.settings__Lamf_client_model_domain_Settings()
  };
  $$js$exported$meth$withDefaultSettings__O() {
    return this.withDefaultSettings__Lamf_client_model_domain_Settings()
  };
  $$js$exported$meth$withHttpSettings__O() {
    return this.withHttpSettings__Lamf_client_model_domain_HttpSettings()
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withOpenIdConnectSettings"() {
    return this.$$js$exported$meth$withOpenIdConnectSettings__O()
  };
  "withHttpSettings"() {
    return this.$$js$exported$meth$withHttpSettings__O()
  };
  "withApiKeySettings"() {
    return this.$$js$exported$meth$withApiKeySettings__O()
  };
  "withOAuth2Settings"() {
    return this.$$js$exported$meth$withOAuth2Settings__O()
  };
  "withOAuth1Settings"() {
    return this.$$js$exported$meth$withOAuth1Settings__O()
  };
  "withDefaultSettings"() {
    return this.$$js$exported$meth$withDefaultSettings__O()
  };
  "withSettings"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSettings__Lamf_client_model_domain_Settings__O(prep0)
  };
  "withScheme"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScheme__Lamf_client_model_domain_SecurityScheme__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "settings"() {
    return this.$$js$exported$prop$settings__O()
  };
  get "scheme"() {
    return this.$$js$exported$prop$scheme__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_ParametrizedSecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ParametrizedSecurityScheme)))
});
const $isArrayOf_Lamf_client_model_domain_ParametrizedSecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ParametrizedSecurityScheme)))
});
const $d_Lamf_client_model_domain_ParametrizedSecurityScheme = new $TypeData().initClass({
  Lamf_client_model_domain_ParametrizedSecurityScheme: 0
}, false, "amf.client.model.domain.ParametrizedSecurityScheme", {
  Lamf_client_model_domain_ParametrizedSecurityScheme: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ParametrizedSecurityScheme.prototype.$classData = $d_Lamf_client_model_domain_ParametrizedSecurityScheme;
class $c_Lamf_client_model_domain_Payload extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withScalarSchema__T__O(name) {
    return this.withScalarSchema__T__Lamf_client_model_domain_ScalarShape(name)
  };
  productPrefix__T() {
    return "Payload"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Payload.prototype.init___Lamf_plugins_domain_webapi_models_Payload.call(this, new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withSchema__Lamf_client_model_domain_Shape__O(schema) {
    return this.withSchema__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Payload(schema)
  };
  $$js$exported$meth$withObjectSchema__T__O(name) {
    return this.withObjectSchema__T__Lamf_client_model_domain_NodeShape(name)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  mediaType__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withScalarSchema__T__Lamf_client_model_domain_ScalarShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher__Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_client_model_domain_ScalarShape(from)
  };
  $$js$exported$prop$examples__O() {
    return this.examples__sjs_js_Array()
  };
  examples__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Examples$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Payload(x$1)) {
      const Payload$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Payload$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withExamples__sjs_js_Array__Lamf_client_model_domain_Payload(examples) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    const examples$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, examples, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, examples$1);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withExamples__sjs_js_Array__O(examples) {
    return this.withExamples__sjs_js_Array__Lamf_client_model_domain_Payload(examples)
  };
  $$js$exported$prop$schema__O() {
    return this.schema__Lamf_client_model_domain_Shape()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$meth$withExample__T__O(name) {
    return this.withExample__T__Lamf_client_model_domain_Example(name)
  };
  $$js$exported$meth$withEncoding__T__O(name) {
    return this.withEncoding__T__Lamf_client_model_domain_Encoding(name)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  encoding__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Encoding$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher__Lamf_client_convert_EncodingConverter$EncodingMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  schema__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  init___Lamf_plugins_domain_webapi_models_Payload(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  withEncoding__T__Lamf_client_model_domain_Encoding(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withEncoding__T__Lamf_plugins_domain_webapi_models_Encoding(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher__Lamf_client_convert_EncodingConverter$EncodingMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Encoding__Lamf_client_model_domain_Encoding(from)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withMediaType__T__O(mediaType) {
    return this.withMediaType__T__Lamf_client_model_domain_Payload(mediaType)
  };
  $$js$exported$meth$withEncoding__sjs_js_Array__O(encoding) {
    return this.withEncoding__sjs_js_Array__Lamf_client_model_domain_Payload(encoding)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$mediaType__O() {
    return this.mediaType__Lamf_client_model_StrField()
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  withMediaType__T__Lamf_client_model_domain_Payload(mediaType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withSchema__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Payload(schema) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const schema$1 = schema.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, schema$1);
    return this
  };
  withEncoding__sjs_js_Array__Lamf_client_model_domain_Payload(encoding) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher__Lamf_client_convert_EncodingConverter$EncodingMatcher$();
    const encoding$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, encoding, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Encoding$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, encoding$1);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$encoding__O() {
    return this.encoding__sjs_js_Array()
  };
  withObjectSchema__T__Lamf_client_model_domain_NodeShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher__Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_client_model_domain_NodeShape(from)
  };
  withExample__T__Lamf_client_model_domain_Example(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(new $c_s_Some().init___O(name));
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_Example__Lamf_client_model_domain_Example(from)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withEncoding"(arg$1) {
    if ($is_T(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncoding__T__O(prep0)
    } else {
      const prep0 = arg$1;
      return this.$$js$exported$meth$withEncoding__sjs_js_Array__O(prep0)
    }
  };
  "withExample"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExample__T__O(prep0)
  };
  "withScalarSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScalarSchema__T__O(prep0)
  };
  "withObjectSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withObjectSchema__T__O(prep0)
  };
  "withExamples"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExamples__sjs_js_Array__O(prep0)
  };
  "withSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchema__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withMediaType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediaType__T__O(prep0)
  };
  get "encoding"() {
    return this.$$js$exported$prop$encoding__O()
  };
  get "examples"() {
    return this.$$js$exported$prop$examples__O()
  };
  get "schema"() {
    return this.$$js$exported$prop$schema__O()
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
}
const $is_Lamf_client_model_domain_Payload = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Payload)))
});
const $isArrayOf_Lamf_client_model_domain_Payload = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Payload)))
});
const $d_Lamf_client_model_domain_Payload = new $TypeData().initClass({
  Lamf_client_model_domain_Payload: 0
}, false, "amf.client.model.domain.Payload", {
  Lamf_client_model_domain_Payload: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Payload.prototype.$classData = $d_Lamf_client_model_domain_Payload;
class $c_Lamf_client_model_domain_PropertyDependencies extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_PropertyDependencies.prototype.init___Lamf_plugins_domain_shapes_models_PropertyDependencies.call(this, new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_plugins_domain_shapes_models_PropertyDependencies(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  productPrefix__T() {
    return "PropertyDependencies"
  };
  withPropertyTarget__sjs_js_Array__Lamf_client_model_domain_PropertyDependencies(propertyTarget) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const propertyTarget$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, propertyTarget, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, propertyTarget$1);
    return this
  };
  $$js$exported$prop$target__O() {
    return this.target__sjs_js_Array()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_PropertyDependencies(x$1)) {
      const PropertyDependencies$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = PropertyDependencies$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  source__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$source__O() {
    return this.source__Lamf_client_model_StrField()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withPropertySource__T__O(propertySource) {
    return this.withPropertySource__T__Lamf_client_model_domain_PropertyDependencies(propertySource)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  target__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertyTarget$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withPropertySource__T__Lamf_client_model_domain_PropertyDependencies(propertySource) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$().PropertySource$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, propertySource);
    return this
  };
  $$js$exported$meth$withPropertyTarget__sjs_js_Array__O(propertyTarget) {
    return this.withPropertyTarget__sjs_js_Array__Lamf_client_model_domain_PropertyDependencies(propertyTarget)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withPropertyTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertyTarget__sjs_js_Array__O(prep0)
  };
  "withPropertySource"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPropertySource__T__O(prep0)
  };
  get "target"() {
    return this.$$js$exported$prop$target__O()
  };
  get "source"() {
    return this.$$js$exported$prop$source__O()
  };
}
const $is_Lamf_client_model_domain_PropertyDependencies = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_PropertyDependencies)))
});
const $isArrayOf_Lamf_client_model_domain_PropertyDependencies = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_PropertyDependencies)))
});
const $d_Lamf_client_model_domain_PropertyDependencies = new $TypeData().initClass({
  Lamf_client_model_domain_PropertyDependencies: 0
}, false, "amf.client.model.domain.PropertyDependencies", {
  Lamf_client_model_domain_PropertyDependencies: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_PropertyDependencies.prototype.$classData = $d_Lamf_client_model_domain_PropertyDependencies;
class $c_Lamf_client_model_domain_PropertyMapping extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$nodePropertyMapping__O() {
    return this.nodePropertyMapping__Lamf_client_model_StrField()
  };
  $$js$exported$meth$mapValueProperty__O() {
    return this.mapValueProperty__Lamf_client_model_StrField()
  };
  $$js$exported$meth$pattern__O() {
    return this.pattern__Lamf_client_model_StrField()
  };
  productPrefix__T() {
    return "PropertyMapping"
  };
  withMapKeyProperty__T__Lamf_client_model_domain_PropertyMapping(key) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, key);
    return this
  };
  withTypeDiscriminatorName__T__Lamf_client_model_domain_PropertyMapping(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_PropertyMapping.prototype.init___Lamf_plugins_document_vocabularies_model_domain_PropertyMapping.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  minCount__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  $$js$exported$meth$enum__O() {
    return this.$enum__sjs_js_Array()
  };
  $$js$exported$meth$minimum__O() {
    return this.minimum__Lamf_client_model_DoubleField()
  };
  $$js$exported$meth$withPattern__T__O(pattern) {
    return this.withPattern__T__Lamf_client_model_domain_PropertyMapping(pattern)
  };
  $$js$exported$meth$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_PropertyMapping(x$1)) {
      const PropertyMapping$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = PropertyMapping$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withSorted__Z__Lamf_client_model_domain_PropertyMapping(sorted) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Sorted$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, sorted);
    return this
  };
  withMaximum__D__Lamf_client_model_domain_PropertyMapping(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  $$js$exported$meth$classification__O() {
    return this.classification__T()
  };
  $$js$exported$meth$minCount__O() {
    return this.minCount__Lamf_client_model_IntField()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  typeDiscriminator__sjs_js_Dictionary() {
    const x1 = $m_s_Option$().apply__O__s_Option(this.$$undinternal$1.typeDiscriminator__sci_Map());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const m = x2.value$2;
      const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
      const z = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const op = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
        return (function(x0$1$2, x1$1$2) {
          const x0$1 = x0$1$2;
          const x1$1 = x1$1$2;
          const x1$2 = new $c_T2().init___O__O(x0$1, x1$1);
          const acc = x1$2.$$und1$f;
          const p2 = x1$2.$$und2$f;
          if ((p2 !== null)) {
            const k = p2.$$und1__O();
            const v = p2.$$und2__O();
            acc.put__O__O__s_Option(k, v);
            return acc
          };
          throw new $c_s_MatchError().init___O(x1$2)
        })
      })(this));
      const from = $f_sc_TraversableOnce__foldLeft__O__F2__O(m, z, op);
      const m$1 = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
      return new $c_Lamf_client_convert_CollectionConverter$InternalMapOps().init___Lamf_client_convert_CollectionConverter__scm_Map__Lamf_client_convert_InternalClientMatcher(this$1, from, m$1).asClient__O()
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
        const from$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
        const m$2 = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
        return new $c_Lamf_client_convert_CollectionConverter$InternalMapOps().init___Lamf_client_convert_CollectionConverter__scm_Map__Lamf_client_convert_InternalClientMatcher(this$2, from$1, m$2).asClient__O()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  $$js$exported$meth$withMapValueProperty__T__O(value) {
    return this.withMapValueProperty__T__Lamf_client_model_domain_PropertyMapping(value)
  };
  $enum__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Enum$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().AnyFieldMatcher__Lamf_client_convert_FieldConverter$AnyFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withSorted__Z__O(sorted) {
    return this.withSorted__Z__Lamf_client_model_domain_PropertyMapping(sorted)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  pattern__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Pattern$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withLiteralRange__T__O(range) {
    return this.withLiteralRange__T__Lamf_client_model_domain_PropertyMapping(range)
  };
  $$js$exported$meth$typeDiscriminator__O() {
    return this.typeDiscriminator__sjs_js_Dictionary()
  };
  withMapValueProperty__T__Lamf_client_model_domain_PropertyMapping(value) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    return this
  };
  $$js$exported$meth$allowMultiple__O() {
    return this.allowMultiple__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$withMapKeyProperty__T__O(key) {
    return this.withMapKeyProperty__T__Lamf_client_model_domain_PropertyMapping(key)
  };
  $$js$exported$meth$withTypeDiscriminatorName__T__O(name) {
    return this.withTypeDiscriminatorName__T__Lamf_client_model_domain_PropertyMapping(name)
  };
  $$js$exported$meth$objectRange__O() {
    return this.objectRange__sjs_js_Array()
  };
  nodePropertyMapping__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  objectRange__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  typeDiscriminatorName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withObjectRange__sjs_js_Array__O(range) {
    return this.withObjectRange__sjs_js_Array__Lamf_client_model_domain_PropertyMapping(range)
  };
  $$js$exported$meth$withTypeDiscriminator__sjs_js_Dictionary__O(typesMapping) {
    this.withTypeDiscriminator__sjs_js_Dictionary__sr_Nothing$(typesMapping)
  };
  $$js$exported$meth$sorted__O() {
    return this.sorted__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$maximum__O() {
    return this.maximum__Lamf_client_model_DoubleField()
  };
  classification__T() {
    const x1 = this.$$undinternal$1.classification__Lamf_plugins_document_vocabularies_model_domain_PropertyClassification();
    const x = $m_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$();
    if ((x === x1)) {
      return "extension_property"
    } else {
      const x$3 = $m_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$();
      if ((x$3 === x1)) {
        return "literal_property"
      } else {
        const x$5 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$();
        if ((x$5 === x1)) {
          return "object_property"
        } else {
          const x$7 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$();
          if ((x$7 === x1)) {
            return "object_property_collection"
          } else {
            const x$9 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$();
            if ((x$9 === x1)) {
              return "object_map_property"
            } else {
              const x$11 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapInheritanceProperty$();
              if ((x$11 === x1)) {
                return "object_map_inheritance"
              } else {
                const x$13 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$();
                if ((x$13 === x1)) {
                  return "object_pair_property"
                } else {
                  const x$15 = $m_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$();
                  if ((x$15 === x1)) {
                    return "literal_property_collection"
                  } else {
                    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unknown property classification ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
                  }
                }
              }
            }
          }
        }
      }
    }
  };
  maximum__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  withAllowMultiple__Z__Lamf_client_model_domain_PropertyMapping(allow) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, allow);
    return this
  };
  $$js$exported$meth$withEnum__sjs_js_Array__O(values) {
    return this.withEnum__sjs_js_Array__Lamf_client_model_domain_PropertyMapping(values)
  };
  $$js$exported$meth$withNodePropertyMapping__T__O(propertyId) {
    return this.withNodePropertyMapping__T__Lamf_client_model_domain_PropertyMapping(propertyId)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  literalRange__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withName__T__Lamf_client_model_domain_PropertyMapping(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withMaximum__D__O(max) {
    return this.withMaximum__D__Lamf_client_model_domain_PropertyMapping(max)
  };
  $$js$exported$meth$withMinimum__D__O(min) {
    return this.withMinimum__D__Lamf_client_model_domain_PropertyMapping(min)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  withPattern__T__Lamf_client_model_domain_PropertyMapping(pattern) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Pattern$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, pattern);
    return this
  };
  $$js$exported$meth$withAllowMultiple__Z__O(allow) {
    return this.withAllowMultiple__Z__Lamf_client_model_domain_PropertyMapping(allow)
  };
  withMinCount__I__Lamf_client_model_domain_PropertyMapping(minCount) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, minCount);
    return this
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  withTypeDiscriminator__sjs_js_Dictionary__sr_Nothing$(typesMapping) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Not implemented yet"))
  };
  withMinimum__D__Lamf_client_model_domain_PropertyMapping(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  minimum__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  $$js$exported$meth$withMinCount__I__O(minCount) {
    return this.withMinCount__I__Lamf_client_model_domain_PropertyMapping(minCount)
  };
  allowMultiple__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$typeDiscriminatorName__O() {
    return this.typeDiscriminatorName__Lamf_client_model_StrField()
  };
  mapValueProperty__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  mapKeyProperty__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_PropertyMapping(name)
  };
  withObjectRange__sjs_js_Array__Lamf_client_model_domain_PropertyMapping(range) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const range$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, range, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, range$1);
    return this
  };
  withLiteralRange__T__Lamf_client_model_domain_PropertyMapping(range) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, range);
    return this
  };
  withEnum__sjs_js_Array__Lamf_client_model_domain_PropertyMapping(values) {
    const jsx$1 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$();
    jsx$1.withEnum__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, values, m).asInternal__sc_Seq());
    return this
  };
  sorted__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Sorted$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$literalRange__O() {
    return this.literalRange__Lamf_client_model_StrField()
  };
  $$js$exported$meth$mapKeyProperty__O() {
    return this.mapKeyProperty__Lamf_client_model_StrField()
  };
  withNodePropertyMapping__T__Lamf_client_model_domain_PropertyMapping(propertyId) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, propertyId);
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "classification"() {
    return this.$$js$exported$meth$classification__O()
  };
  "withTypeDiscriminatorName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTypeDiscriminatorName__T__O(prep0)
  };
  "typeDiscriminatorName"() {
    return this.$$js$exported$meth$typeDiscriminatorName__O()
  };
  "withTypeDiscriminator"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTypeDiscriminator__sjs_js_Dictionary__O(prep0)
  };
  "typeDiscriminator"() {
    return this.$$js$exported$meth$typeDiscriminator__O()
  };
  "withSorted"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withSorted__Z__O(prep0)
  };
  "sorted"() {
    return this.$$js$exported$meth$sorted__O()
  };
  "withEnum"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEnum__sjs_js_Array__O(prep0)
  };
  "enum"() {
    return this.$$js$exported$meth$enum__O()
  };
  "withAllowMultiple"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAllowMultiple__Z__O(prep0)
  };
  "allowMultiple"() {
    return this.$$js$exported$meth$allowMultiple__O()
  };
  "withMaximum"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMaximum__D__O(prep0)
  };
  "maximum"() {
    return this.$$js$exported$meth$maximum__O()
  };
  "withMinimum"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMinimum__D__O(prep0)
  };
  "minimum"() {
    return this.$$js$exported$meth$minimum__O()
  };
  "withPattern"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPattern__T__O(prep0)
  };
  "pattern"() {
    return this.$$js$exported$meth$pattern__O()
  };
  "withMinCount"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinCount__I__O(prep0)
  };
  "minCount"() {
    return this.$$js$exported$meth$minCount__O()
  };
  "withMapValueProperty"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMapValueProperty__T__O(prep0)
  };
  "mapValueProperty"() {
    return this.$$js$exported$meth$mapValueProperty__O()
  };
  "withMapKeyProperty"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMapKeyProperty__T__O(prep0)
  };
  "mapKeyProperty"() {
    return this.$$js$exported$meth$mapKeyProperty__O()
  };
  "objectRange"() {
    return this.$$js$exported$meth$objectRange__O()
  };
  "withObjectRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withObjectRange__sjs_js_Array__O(prep0)
  };
  "literalRange"() {
    return this.$$js$exported$meth$literalRange__O()
  };
  "withLiteralRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLiteralRange__T__O(prep0)
  };
  "nodePropertyMapping"() {
    return this.$$js$exported$meth$nodePropertyMapping__O()
  };
  "withNodePropertyMapping"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNodePropertyMapping__T__O(prep0)
  };
  "name"() {
    return this.$$js$exported$meth$name__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
}
const $is_Lamf_client_model_domain_PropertyMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_PropertyMapping)))
});
const $isArrayOf_Lamf_client_model_domain_PropertyMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_PropertyMapping)))
});
const $d_Lamf_client_model_domain_PropertyMapping = new $TypeData().initClass({
  Lamf_client_model_domain_PropertyMapping: 0
}, false, "amf.client.model.domain.PropertyMapping", {
  Lamf_client_model_domain_PropertyMapping: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_PropertyMapping.prototype.$classData = $d_Lamf_client_model_domain_PropertyMapping;
class $c_Lamf_client_model_domain_PublicNodeMapping extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$mappedNode__O() {
    return this.mappedNode__Lamf_client_model_StrField()
  };
  withMappedNode__T__Lamf_client_model_domain_PublicNodeMapping(mappedNode) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mappedNode);
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_PublicNodeMapping.prototype.init___Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productPrefix__T() {
    return "PublicNodeMapping"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_PublicNodeMapping(x$1)) {
      const PublicNodeMapping$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = PublicNodeMapping$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  mappedNode__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withMappedNode__T__O(mappedNode) {
    return this.withMappedNode__T__Lamf_client_model_domain_PublicNodeMapping(mappedNode)
  };
  withName__T__Lamf_client_model_domain_PublicNodeMapping(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_PublicNodeMapping(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withMappedNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMappedNode__T__O(prep0)
  };
  "mappedNode"() {
    return this.$$js$exported$meth$mappedNode__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "name"() {
    return this.$$js$exported$meth$name__O()
  };
}
const $is_Lamf_client_model_domain_PublicNodeMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_PublicNodeMapping)))
});
const $isArrayOf_Lamf_client_model_domain_PublicNodeMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_PublicNodeMapping)))
});
const $d_Lamf_client_model_domain_PublicNodeMapping = new $TypeData().initClass({
  Lamf_client_model_domain_PublicNodeMapping: 0
}, false, "amf.client.model.domain.PublicNodeMapping", {
  Lamf_client_model_domain_PublicNodeMapping: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_PublicNodeMapping.prototype.$classData = $d_Lamf_client_model_domain_PublicNodeMapping;
class $c_Lamf_client_model_domain_Request extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$prop$cookieParameters__O() {
    return this.cookieParameters__sjs_js_Array()
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_client_model_domain_Parameter(name)
  };
  withUriParameters__sjs_js_Array__Lamf_client_model_domain_Request(uriParameters) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const uriParameters$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, uriParameters, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, uriParameters$1);
    return this
  };
  withQueryParameters__sjs_js_Array__Lamf_client_model_domain_Request(parameters) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const parameters$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, parameters, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, parameters$1);
    return this
  };
  productPrefix__T() {
    return "Request"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Request.prototype.init___Lamf_plugins_domain_webapi_models_Request.call(this, new $c_Lamf_plugins_domain_webapi_models_Request().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withPayload__O() {
    return this.withPayload__Lamf_client_model_domain_Payload()
  };
  $$js$exported$meth$withHeaders__sjs_js_Array__O(headers) {
    return this.withHeaders__sjs_js_Array__Lamf_client_model_domain_Request(headers)
  };
  productArity__I() {
    return 1
  };
  withCookieParameters__sjs_js_Array__Lamf_client_model_domain_Request(cookieParameters) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const cookieParameters$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, cookieParameters, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().CookieParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, cookieParameters$1);
    return this
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  withPayloads__sjs_js_Array__Lamf_client_model_domain_Request(payloads) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    const payloads$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, payloads, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, payloads$1);
    return this
  };
  withPayload__Lamf_client_model_domain_Payload() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Request(x$1)) {
      const Request$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Request$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withQueryParameter__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  withHeader__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$payloads__O() {
    return this.payloads__sjs_js_Array()
  };
  $$js$exported$meth$withQueryParameter__T__O(name) {
    return this.withQueryParameter__T__Lamf_client_model_domain_Parameter(name)
  };
  withQueryString__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Request(queryString) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const queryString$1 = queryString.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, queryString$1);
    return this
  };
  cookieParameters__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().CookieParameters$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  required__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Required$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  init___Lamf_plugins_domain_webapi_models_Request(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  payloads__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$uriParameters__O() {
    return this.uriParameters__sjs_js_Array()
  };
  $$js$exported$meth$withCookieParameters__sjs_js_Array__O(cookieParameters) {
    return this.withCookieParameters__sjs_js_Array__Lamf_client_model_domain_Request(cookieParameters)
  };
  $$js$exported$meth$withUriParameters__sjs_js_Array__O(uriParameters) {
    return this.withUriParameters__sjs_js_Array__Lamf_client_model_domain_Request(uriParameters)
  };
  $$js$exported$prop$queryParameters__O() {
    return this.queryParameters__sjs_js_Array()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$required__O() {
    return this.required__Lamf_client_model_BoolField()
  };
  headers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withRequired__Z__O(required) {
    return this.withRequired__Z__Lamf_client_model_domain_Request(required)
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Array()
  };
  withRequired__Z__Lamf_client_model_domain_Request(required) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Required$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, required);
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  withPayload__T__Lamf_client_model_domain_Payload(mediaType) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(new $c_s_Some().init___O(mediaType));
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Request(description)
  };
  queryParameters__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withCookieParameter__T__O(name) {
    return this.withCookieParameter__T__Lamf_client_model_domain_Parameter(name)
  };
  withUriParameter__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  $$js$exported$meth$withPayload__T__O(mediaType) {
    return this.withPayload__T__Lamf_client_model_domain_Payload(mediaType)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  queryString__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$withUriParameter__T__O(name) {
    return this.withUriParameter__T__Lamf_client_model_domain_Parameter(name)
  };
  $$js$exported$meth$withQueryString__Lamf_client_model_domain_Shape__O(queryString) {
    return this.withQueryString__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Request(queryString)
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  withCookieParameter__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withCookieParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withDescription__T__Lamf_client_model_domain_Request(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$prop$queryString__O() {
    return this.queryString__Lamf_client_model_domain_Shape()
  };
  withHeaders__sjs_js_Array__Lamf_client_model_domain_Request(headers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const headers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, headers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, headers$1);
    return this
  };
  $$js$exported$meth$withQueryParameters__sjs_js_Array__O(parameters) {
    return this.withQueryParameters__sjs_js_Array__Lamf_client_model_domain_Request(parameters)
  };
  uriParameters__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withPayloads__sjs_js_Array__O(payloads) {
    return this.withPayloads__sjs_js_Array__Lamf_client_model_domain_Request(payloads)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withCookieParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCookieParameter__T__O(prep0)
  };
  "withUriParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUriParameter__T__O(prep0)
  };
  "withPayload"(...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$rest[0];
        return this.$$js$exported$meth$withPayload__T__O(prep0);
        break
      }
      case 0: {
        return this.$$js$exported$meth$withPayload__O();
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withQueryParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameter__T__O(prep0)
  };
  "withCookieParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCookieParameters__sjs_js_Array__O(prep0)
  };
  "withUriParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUriParameters__sjs_js_Array__O(prep0)
  };
  "withQueryString"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryString__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withPayloads"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayloads__sjs_js_Array__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Array__O(prep0)
  };
  "withQueryParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameters__sjs_js_Array__O(prep0)
  };
  "withRequired"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withRequired__Z__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  get "cookieParameters"() {
    return this.$$js$exported$prop$cookieParameters__O()
  };
  get "uriParameters"() {
    return this.$$js$exported$prop$uriParameters__O()
  };
  get "queryString"() {
    return this.$$js$exported$prop$queryString__O()
  };
  get "payloads"() {
    return this.$$js$exported$prop$payloads__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "queryParameters"() {
    return this.$$js$exported$prop$queryParameters__O()
  };
  get "required"() {
    return this.$$js$exported$prop$required__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
}
const $is_Lamf_client_model_domain_Request = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Request)))
});
const $isArrayOf_Lamf_client_model_domain_Request = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Request)))
});
const $d_Lamf_client_model_domain_Request = new $TypeData().initClass({
  Lamf_client_model_domain_Request: 0
}, false, "amf.client.model.domain.Request", {
  Lamf_client_model_domain_Request: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Request.prototype.$classData = $d_Lamf_client_model_domain_Request;
class $c_Lamf_client_model_domain_Response extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_client_model_domain_Parameter(name)
  };
  withDescription__T__Lamf_client_model_domain_Response(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  withName__T__Lamf_client_model_domain_Response(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  productPrefix__T() {
    return "Response"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Response.prototype.init___Lamf_plugins_domain_webapi_models_Response.call(this, new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withExamples__sjs_js_Array__Lamf_client_model_domain_Response(examples) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    const examples$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, examples, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, examples$1);
    return this
  };
  init___Lamf_plugins_domain_webapi_models_Response(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withPayload__O() {
    return this.withPayload__Lamf_client_model_domain_Payload()
  };
  links__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Links$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().TemplatedLinkConverter__Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withHeaders__sjs_js_Array__O(headers) {
    return this.withHeaders__sjs_js_Array__Lamf_client_model_domain_Response(headers)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  withPayload__Lamf_client_model_domain_Payload() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload($m_s_None$());
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$prop$examples__O() {
    return this.examples__sjs_js_Array()
  };
  withPayloads__sjs_js_Array__Lamf_client_model_domain_Response(payloads) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    const payloads$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, payloads, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, payloads$1);
    return this
  };
  examples__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Response(x$1)) {
      const Response$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Response$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withHeader__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$payloads__O() {
    return this.payloads__sjs_js_Array()
  };
  withHeaders__sjs_js_Array__Lamf_client_model_domain_Response(headers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const headers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, headers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, headers$1);
    return this
  };
  $$js$exported$meth$withExamples__sjs_js_Array__O(examples) {
    return this.withExamples__sjs_js_Array__Lamf_client_model_domain_Response(examples)
  };
  withLinks__sjs_js_Array__Lamf_client_model_domain_Response(links) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().TemplatedLinkConverter__Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$();
    const links$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, links, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Links$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, links$1);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$links__O() {
    return this.links__sjs_js_Array()
  };
  payloads__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Payloads$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withLinks__sjs_js_Array__O(links) {
    return this.withLinks__sjs_js_Array__Lamf_client_model_domain_Response(links)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  headers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Headers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withStatusCode__T__O(statusCode) {
    return this.withStatusCode__T__Lamf_client_model_domain_Response(statusCode)
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Array()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  withPayload__T__Lamf_client_model_domain_Payload(mediaType) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(new $c_s_Some().init___O(mediaType));
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Payload__Lamf_client_model_domain_Payload(from)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Response(description)
  };
  $$js$exported$meth$withPayload__T__O(mediaType) {
    return this.withPayload__T__Lamf_client_model_domain_Payload(mediaType)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$statusCode__O() {
    return this.statusCode__Lamf_client_model_StrField()
  };
  withStatusCode__T__Lamf_client_model_domain_Response(statusCode) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, statusCode);
    return this
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Response(name)
  };
  $$js$exported$meth$withPayloads__sjs_js_Array__O(payloads) {
    return this.withPayloads__sjs_js_Array__Lamf_client_model_domain_Response(payloads)
  };
  statusCode__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withPayload"(...arg$rest) {
    switch ((arg$rest.length | 0)) {
      case 1: {
        const prep0 = arg$rest[0];
        return this.$$js$exported$meth$withPayload__T__O(prep0);
        break
      }
      case 0: {
        return this.$$js$exported$meth$withPayload__O();
        break
      }
      default: {
        throw "No matching overload"
      }
    }
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withLinks"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinks__sjs_js_Array__O(prep0)
  };
  "withExamples"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExamples__sjs_js_Array__O(prep0)
  };
  "withPayloads"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPayloads__sjs_js_Array__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Array__O(prep0)
  };
  "withStatusCode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withStatusCode__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "links"() {
    return this.$$js$exported$prop$links__O()
  };
  get "examples"() {
    return this.$$js$exported$prop$examples__O()
  };
  get "payloads"() {
    return this.$$js$exported$prop$payloads__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "statusCode"() {
    return this.$$js$exported$prop$statusCode__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_Response = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Response)))
});
const $isArrayOf_Lamf_client_model_domain_Response = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Response)))
});
const $d_Lamf_client_model_domain_Response = new $TypeData().initClass({
  Lamf_client_model_domain_Response: 0
}, false, "amf.client.model.domain.Response", {
  Lamf_client_model_domain_Response: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Response.prototype.$classData = $d_Lamf_client_model_domain_Response;
class $c_Lamf_client_model_domain_Scope extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Scope.prototype.init___Lamf_plugins_domain_webapi_models_security_Scope.call(this, new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productPrefix__T() {
    return "Scope"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Scope(x$1)) {
      const Scope$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Scope$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withDescription__T__Lamf_client_model_domain_Scope(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Scope(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_webapi_models_security_Scope(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Scope(name)
  };
  withName__T__Lamf_client_model_domain_Scope(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_Scope = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Scope)))
});
const $isArrayOf_Lamf_client_model_domain_Scope = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Scope)))
});
const $d_Lamf_client_model_domain_Scope = new $TypeData().initClass({
  Lamf_client_model_domain_Scope: 0
}, false, "amf.client.model.domain.Scope", {
  Lamf_client_model_domain_Scope: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Scope.prototype.$classData = $d_Lamf_client_model_domain_Scope;
class $c_Lamf_client_model_domain_Server extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_Server.prototype.init___Lamf_plugins_domain_webapi_models_Server.call(this, new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Server"
  };
  productArity__I() {
    return 1
  };
  withVariables__sjs_js_Array__Lamf_client_model_domain_Server(variables) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const variables$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, variables, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, variables$1);
    return this
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$url__O() {
    return this.url__Lamf_client_model_StrField()
  };
  variables__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Server(x$1)) {
      const Server$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Server$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  url__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_client_model_domain_Server(url)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  init___Lamf_plugins_domain_webapi_models_Server(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withUrl__T__Lamf_client_model_domain_Server(url) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  withVariable__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withVariable__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Server(description)
  };
  withDescription__T__Lamf_client_model_domain_Server(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$variables__O() {
    return this.variables__sjs_js_Array()
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withVariable__T__O(name) {
    return this.withVariable__T__Lamf_client_model_domain_Parameter(name)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withVariables__sjs_js_Array__O(variables) {
    return this.withVariables__sjs_js_Array__Lamf_client_model_domain_Server(variables)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withVariable"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariable__T__O(prep0)
  };
  "withVariables"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariables__sjs_js_Array__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "variables"() {
    return this.$$js$exported$prop$variables__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_client_model_domain_Server = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Server)))
});
const $isArrayOf_Lamf_client_model_domain_Server = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Server)))
});
const $d_Lamf_client_model_domain_Server = new $TypeData().initClass({
  Lamf_client_model_domain_Server: 0
}, false, "amf.client.model.domain.Server", {
  Lamf_client_model_domain_Server: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Server.prototype.$classData = $d_Lamf_client_model_domain_Server;
class $c_Lamf_client_model_domain_TemplatedLink extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  mapping__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Mapping$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().IriTemplateMappingConverter__Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  server__Lamf_client_model_domain_Server() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Server$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from)
  };
  $$js$exported$prop$operationId__O() {
    return this.operationId__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withServer__Lamf_client_model_domain_Server__O(server) {
    return this.withServer__Lamf_client_model_domain_Server__Lamf_client_model_domain_TemplatedLink(server)
  };
  productPrefix__T() {
    return "TemplatedLink"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_TemplatedLink.prototype.init___Lamf_plugins_domain_webapi_models_TemplatedLink.call(this, new $c_Lamf_plugins_domain_webapi_models_TemplatedLink().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withServer__Lamf_client_model_domain_Server__Lamf_client_model_domain_TemplatedLink(server) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    const server$1 = server.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Server$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, server$1);
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_TemplatedLink(x$1)) {
      const TemplatedLink$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = TemplatedLink$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$server__O() {
    return this.server__Lamf_client_model_domain_Server()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withTemplate__T__Lamf_client_model_domain_TemplatedLink(template) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Template$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, template);
    return this
  };
  $$js$exported$meth$withRequestBody__T__O(requestBody) {
    return this.withRequestBody__T__Lamf_client_model_domain_TemplatedLink(requestBody)
  };
  operationId__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().OperationId$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  init___Lamf_plugins_domain_webapi_models_TemplatedLink(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withOperationId__T__Lamf_client_model_domain_TemplatedLink(operationId) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().OperationId$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, operationId);
    return this
  };
  withMapping__sjs_js_Array__Lamf_client_model_domain_TemplatedLink(mapping) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().IriTemplateMappingConverter__Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$();
    const mapping$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, mapping, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Mapping$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, mapping$1);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  withName__T__Lamf_client_model_domain_TemplatedLink(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withTemplate__T__O(template) {
    return this.withTemplate__T__Lamf_client_model_domain_TemplatedLink(template)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_TemplatedLink(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$meth$withMapping__sjs_js_Array__O(mapping) {
    return this.withMapping__sjs_js_Array__Lamf_client_model_domain_TemplatedLink(mapping)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  withRequestBody__T__Lamf_client_model_domain_TemplatedLink(requestBody) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().RequestBody$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, requestBody);
    return this
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$requestBody__O() {
    return this.requestBody__Lamf_client_model_StrField()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$mapping__O() {
    return this.mapping__sjs_js_Array()
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_TemplatedLink(name)
  };
  $$js$exported$prop$template__O() {
    return this.template__Lamf_client_model_StrField()
  };
  template__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().OperationId$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withDescription__T__Lamf_client_model_domain_TemplatedLink(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withOperationId__T__O(operationId) {
    return this.withOperationId__T__Lamf_client_model_domain_TemplatedLink(operationId)
  };
  requestBody__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().RequestBody$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withServer"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServer__Lamf_client_model_domain_Server__O(prep0)
  };
  "withRequestBody"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRequestBody__T__O(prep0)
  };
  "withMapping"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMapping__sjs_js_Array__O(prep0)
  };
  "withOperationId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOperationId__T__O(prep0)
  };
  "withTemplate"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTemplate__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "server"() {
    return this.$$js$exported$prop$server__O()
  };
  get "requestBody"() {
    return this.$$js$exported$prop$requestBody__O()
  };
  get "mapping"() {
    return this.$$js$exported$prop$mapping__O()
  };
  get "operationId"() {
    return this.$$js$exported$prop$operationId__O()
  };
  get "template"() {
    return this.$$js$exported$prop$template__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_TemplatedLink = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_TemplatedLink)))
});
const $isArrayOf_Lamf_client_model_domain_TemplatedLink = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_TemplatedLink)))
});
const $d_Lamf_client_model_domain_TemplatedLink = new $TypeData().initClass({
  Lamf_client_model_domain_TemplatedLink: 0
}, false, "amf.client.model.domain.TemplatedLink", {
  Lamf_client_model_domain_TemplatedLink: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_TemplatedLink.prototype.$classData = $d_Lamf_client_model_domain_TemplatedLink;
class $c_Lamf_client_model_domain_VariableValue extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productPrefix__T() {
    return "VariableValue"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  withName__T__Lamf_client_model_domain_VariableValue(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  withValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_VariableValue(value) {
    const this$1 = this.$$undinternal$1;
    const value$1 = value.$$undinternal__Lamf_core_model_domain_DataNode();
    const field = $m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, value$1);
    return this
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_VariableValue(x$1)) {
      const VariableValue$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = VariableValue$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withValue__Lamf_client_model_domain_DataNode__O(value) {
    return this.withValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_VariableValue(value)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_templates_VariableValue(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  value__Lamf_client_model_domain_DataNode() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Value$1);
    const m = $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return m.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$prop$value__O() {
    return this.value__Lamf_client_model_domain_DataNode()
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_VariableValue(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValue__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_VariableValue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_VariableValue)))
});
const $isArrayOf_Lamf_client_model_domain_VariableValue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_VariableValue)))
});
const $d_Lamf_client_model_domain_VariableValue = new $TypeData().initClass({
  Lamf_client_model_domain_VariableValue: 0
}, false, "amf.client.model.domain.VariableValue", {
  Lamf_client_model_domain_VariableValue: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_VariableValue.prototype.$classData = $d_Lamf_client_model_domain_VariableValue;
class $c_Lamf_client_model_domain_VocabularyReference extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withReference__T__Lamf_client_model_domain_VocabularyReference(reference) {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Reference$1;
    const from = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, reference);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter__Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$();
    return m.asClient__Lamf_plugins_document_vocabularies_model_domain_VocabularyReference__Lamf_client_model_domain_VocabularyReference(from)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_VocabularyReference.prototype.init___Lamf_plugins_document_vocabularies_model_domain_VocabularyReference.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "VocabularyReference"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_VocabularyReference(x$1)) {
      const VocabularyReference$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = VocabularyReference$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  reference__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Reference$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$reference__O() {
    return this.reference__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withAlias__T__O(alias) {
    return this.withAlias__T__Lamf_client_model_domain_VocabularyReference(alias)
  };
  alias__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Alias$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_VocabularyReference(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$alias__O() {
    return this.alias__Lamf_client_model_StrField()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withAlias__T__Lamf_client_model_domain_VocabularyReference(alias) {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Alias$1;
    const from = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, alias);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter__Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$();
    return m.asClient__Lamf_plugins_document_vocabularies_model_domain_VocabularyReference__Lamf_client_model_domain_VocabularyReference(from)
  };
  $$js$exported$meth$withReference__T__O(reference) {
    return this.withReference__T__Lamf_client_model_domain_VocabularyReference(reference)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withReference"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReference__T__O(prep0)
  };
  "withAlias"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAlias__T__O(prep0)
  };
  get "reference"() {
    return this.$$js$exported$prop$reference__O()
  };
  get "alias"() {
    return this.$$js$exported$prop$alias__O()
  };
}
const $is_Lamf_client_model_domain_VocabularyReference = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_VocabularyReference)))
});
const $isArrayOf_Lamf_client_model_domain_VocabularyReference = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_VocabularyReference)))
});
const $d_Lamf_client_model_domain_VocabularyReference = new $TypeData().initClass({
  Lamf_client_model_domain_VocabularyReference: 0
}, false, "amf.client.model.domain.VocabularyReference", {
  Lamf_client_model_domain_VocabularyReference: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_VocabularyReference.prototype.$classData = $d_Lamf_client_model_domain_VocabularyReference;
class $c_Lamf_client_model_domain_WebApi extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withProvider__Lamf_client_model_domain_Organization__Lamf_client_model_domain_WebApi(provider) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().OrganizationMatcher__Lamf_client_convert_OrganizationConverter$OrganizationMatcher$();
    const provider$1 = provider.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, provider$1);
    return this
  };
  withDefaultServer__T__Lamf_client_model_domain_Server(url) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withDefaultServer__T__Lamf_plugins_domain_webapi_models_Server(url);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from)
  };
  $$js$exported$meth$withLicense__Lamf_client_model_domain_License__O(license) {
    return this.withLicense__Lamf_client_model_domain_License__Lamf_client_model_domain_WebApi(license)
  };
  productPrefix__T() {
    return "WebApi"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_WebApi.prototype.init___Lamf_plugins_domain_webapi_models_WebApi.call(this, new $c_Lamf_plugins_domain_webapi_models_WebApi().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withVersion__T__Lamf_client_model_domain_WebApi(version) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, version);
    return this
  };
  $$js$exported$prop$accepts__O() {
    return this.accepts__sjs_js_Array()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withSchemes__sjs_js_Array__O(schemes) {
    return this.withSchemes__sjs_js_Array__Lamf_client_model_domain_WebApi(schemes)
  };
  withSecurity__sjs_js_Array__Lamf_client_model_domain_WebApi(security) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher__Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$();
    const security$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, security, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, security$1);
    return this
  };
  contentType__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_WebApi(x$1)) {
      const WebApi$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = WebApi$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$contentType__O() {
    return this.contentType__sjs_js_Array()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withDefaultServer__T__O(url) {
    return this.withDefaultServer__T__Lamf_client_model_domain_Server(url)
  };
  termsOfService__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withEndPoints__sjs_js_Array__O(endPoints) {
    return this.withEndPoints__sjs_js_Array__Lamf_client_model_domain_WebApi(endPoints)
  };
  init___Lamf_plugins_domain_webapi_models_WebApi(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withLicense__Lamf_client_model_domain_License__Lamf_client_model_domain_WebApi(license) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().LicenseMatcher__Lamf_client_convert_LicenseConverter$LicenseMatcher$();
    const license$1 = license.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, license$1);
    return this
  };
  accepts__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  withDocumentationUrl__T__Lamf_client_model_domain_CreativeWork(url) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withDocumentationUrl__T__Lamf_plugins_domain_shapes_models_CreativeWork(url);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_client_model_domain_CreativeWork(from)
  };
  $$js$exported$meth$withProvider__Lamf_client_model_domain_Organization__O(provider) {
    return this.withProvider__Lamf_client_model_domain_Organization__Lamf_client_model_domain_WebApi(provider)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$prop$servers__O() {
    return this.servers__sjs_js_Array()
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withServers__sjs_js_Array__Lamf_client_model_domain_WebApi(servers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    const servers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, servers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, servers$1);
    return this
  };
  $$js$exported$prop$version__O() {
    return this.version__Lamf_client_model_StrField()
  };
  withEndPoint__T__Lamf_client_model_domain_EndPoint(path) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_client_model_domain_EndPoint(from)
  };
  $$js$exported$prop$termsOfService__O() {
    return this.termsOfService__Lamf_client_model_StrField()
  };
  withDescription__T__Lamf_client_model_domain_WebApi(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  servers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withContentType__sjs_js_Array__O(contentType) {
    return this.withContentType__sjs_js_Array__Lamf_client_model_domain_WebApi(contentType)
  };
  withServer__T__Lamf_client_model_domain_Server(url) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withServer__T__Lamf_plugins_domain_webapi_models_Server(url);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Server__Lamf_client_model_domain_Server(from)
  };
  withSchemes__sjs_js_Array__Lamf_client_model_domain_WebApi(schemes) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const schemes$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, schemes, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, schemes$1);
    return this
  };
  withAccepts__sjs_js_Array__Lamf_client_model_domain_WebApi(accepts) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const accepts$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, accepts, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, accepts$1);
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$meth$withServer__T__O(url) {
    return this.withServer__T__Lamf_client_model_domain_Server(url)
  };
  $$js$exported$meth$withSecurity__sjs_js_Array__O(security) {
    return this.withSecurity__sjs_js_Array__Lamf_client_model_domain_WebApi(security)
  };
  $$js$exported$prop$license__O() {
    return this.license__Lamf_client_model_domain_License()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$prop$schemes__O() {
    return this.schemes__sjs_js_Array()
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_WebApi(description)
  };
  schemes__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withDocumentation__sjs_js_Array__O(documentations) {
    return this.withDocumentation__sjs_js_Array__Lamf_client_model_domain_WebApi(documentations)
  };
  $$js$exported$meth$withVersion__T__O(version) {
    return this.withVersion__T__Lamf_client_model_domain_WebApi(version)
  };
  endPoints__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  withContentType__sjs_js_Array__Lamf_client_model_domain_WebApi(contentType) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const contentType$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, contentType, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, contentType$1);
    return this
  };
  version__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Version$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$security__O() {
    return this.security__sjs_js_Array()
  };
  $$js$exported$meth$withDocumentationTitle__T__O(title) {
    return this.withDocumentationTitle__T__Lamf_client_model_domain_CreativeWork(title)
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withDocumentation__sjs_js_Array__Lamf_client_model_domain_WebApi(documentations) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    const documentations$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, documentations, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, documentations$1);
    return this
  };
  license__Lamf_client_model_domain_License() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().License$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().LicenseMatcher__Lamf_client_convert_LicenseConverter$LicenseMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_License__Lamf_client_model_domain_License(from)
  };
  $$js$exported$meth$withTermsOfService__T__O(terms) {
    return this.withTermsOfService__T__Lamf_client_model_domain_WebApi(terms)
  };
  provider__Lamf_client_model_domain_Organization() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Provider$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().OrganizationMatcher__Lamf_client_convert_OrganizationConverter$OrganizationMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Organization__Lamf_client_model_domain_Organization(from)
  };
  $$js$exported$meth$withEndPoint__T__O(path) {
    return this.withEndPoint__T__Lamf_client_model_domain_EndPoint(path)
  };
  withDocumentationTitle__T__Lamf_client_model_domain_CreativeWork(title) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withDocumentationTitle__T__Lamf_plugins_domain_shapes_models_CreativeWork(title);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_CreativeWork__Lamf_client_model_domain_CreativeWork(from)
  };
  $$js$exported$meth$withAccepts__sjs_js_Array__O(accepts) {
    return this.withAccepts__sjs_js_Array__Lamf_client_model_domain_WebApi(accepts)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withTermsOfService__T__Lamf_client_model_domain_WebApi(terms) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().TermsOfService$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, terms);
    return this
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_WebApi(name)
  };
  $$js$exported$prop$sourceVendor__O() {
    return this.$$undinternal$1.sourceVendor__s_Option()
  };
  $$js$exported$prop$endPoints__O() {
    return this.endPoints__sjs_js_Array()
  };
  withName__T__Lamf_client_model_domain_WebApi(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withEndPoints__sjs_js_Array__Lamf_client_model_domain_WebApi(endPoints) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    const endPoints$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, endPoints, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, endPoints$1);
    return this
  };
  $$js$exported$prop$provider__O() {
    return this.provider__Lamf_client_model_domain_Organization()
  };
  $$js$exported$meth$withServers__sjs_js_Array__O(servers) {
    return this.withServers__sjs_js_Array__Lamf_client_model_domain_WebApi(servers)
  };
  $$js$exported$prop$documentations__O() {
    return this.documentations__sjs_js_Array()
  };
  security__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher__Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withDocumentationUrl__T__O(url) {
    return this.withDocumentationUrl__T__Lamf_client_model_domain_CreativeWork(url)
  };
  documentations__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  get "sourceVendor"() {
    return this.$$js$exported$prop$sourceVendor__O()
  };
  "withDefaultServer"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultServer__T__O(prep0)
  };
  "withServer"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServer__T__O(prep0)
  };
  "withEndPoint"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEndPoint__T__O(prep0)
  };
  "withDocumentationUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentationUrl__T__O(prep0)
  };
  "withDocumentationTitle"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentationTitle__T__O(prep0)
  };
  "withSecurity"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSecurity__sjs_js_Array__O(prep0)
  };
  "withServers"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withServers__sjs_js_Array__O(prep0)
  };
  "withDocumentation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocumentation__sjs_js_Array__O(prep0)
  };
  "withLicense"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLicense__Lamf_client_model_domain_License__O(prep0)
  };
  "withProvider"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProvider__Lamf_client_model_domain_Organization__O(prep0)
  };
  "withTermsOfService"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTermsOfService__T__O(prep0)
  };
  "withVersion"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVersion__T__O(prep0)
  };
  "withContentType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withContentType__sjs_js_Array__O(prep0)
  };
  "withAccepts"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAccepts__sjs_js_Array__O(prep0)
  };
  "withEndPoints"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEndPoints__sjs_js_Array__O(prep0)
  };
  "withSchemes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchemes__sjs_js_Array__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "security"() {
    return this.$$js$exported$prop$security__O()
  };
  get "servers"() {
    return this.$$js$exported$prop$servers__O()
  };
  get "documentations"() {
    return this.$$js$exported$prop$documentations__O()
  };
  get "license"() {
    return this.$$js$exported$prop$license__O()
  };
  get "provider"() {
    return this.$$js$exported$prop$provider__O()
  };
  get "termsOfService"() {
    return this.$$js$exported$prop$termsOfService__O()
  };
  get "version"() {
    return this.$$js$exported$prop$version__O()
  };
  get "contentType"() {
    return this.$$js$exported$prop$contentType__O()
  };
  get "accepts"() {
    return this.$$js$exported$prop$accepts__O()
  };
  get "endPoints"() {
    return this.$$js$exported$prop$endPoints__O()
  };
  get "schemes"() {
    return this.$$js$exported$prop$schemes__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_WebApi = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_WebApi)))
});
const $isArrayOf_Lamf_client_model_domain_WebApi = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_WebApi)))
});
const $d_Lamf_client_model_domain_WebApi = new $TypeData().initClass({
  Lamf_client_model_domain_WebApi: 0
}, false, "amf.client.model.domain.WebApi", {
  Lamf_client_model_domain_WebApi: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_WebApi.prototype.$classData = $d_Lamf_client_model_domain_WebApi;
class $c_Lamf_client_model_domain_XMLSerializer extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  namespace__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withNamespace__T__Lamf_client_model_domain_XMLSerializer(namespace) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Namespace$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, namespace);
    return this
  };
  productPrefix__T() {
    return "XMLSerializer"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_XMLSerializer.prototype.init___Lamf_plugins_domain_shapes_models_XMLSerializer.call(this, new $c_Lamf_plugins_domain_shapes_models_XMLSerializer().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withPrefix__T__O(prefix) {
    return this.withPrefix__T__Lamf_client_model_domain_XMLSerializer(prefix)
  };
  withWrapped__Z__Lamf_client_model_domain_XMLSerializer(wrapped) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, wrapped);
    return this
  };
  $$js$exported$meth$withNamespace__T__O(namespace) {
    return this.withNamespace__T__Lamf_client_model_domain_XMLSerializer(namespace)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$prop$namespace__O() {
    return this.namespace__Lamf_client_model_StrField()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_XMLSerializer(x$1)) {
      const XMLSerializer$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = XMLSerializer$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$prefix__O() {
    return this.prefix__Lamf_client_model_StrField()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  withAttribute__Z__Lamf_client_model_domain_XMLSerializer(attribute) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, attribute);
    return this
  };
  internal__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Wrapped$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  init___Lamf_plugins_domain_shapes_models_XMLSerializer(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  attribute__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Attribute$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$prop$internal__O() {
    return this.internal__Lamf_client_model_BoolField()
  };
  withPrefix__T__Lamf_client_model_domain_XMLSerializer(prefix) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, prefix);
    return this
  };
  withName__T__Lamf_client_model_domain_XMLSerializer(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  prefix__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$().Prefix$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$prop$attribute__O() {
    return this.attribute__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$withAttribute__Z__O(attribute) {
    return this.withAttribute__Z__Lamf_client_model_domain_XMLSerializer(attribute)
  };
  $$js$exported$meth$withWrapped__Z__O(wrapped) {
    return this.withWrapped__Z__Lamf_client_model_domain_XMLSerializer(wrapped)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_XMLSerializer(name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withPrefix"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPrefix__T__O(prep0)
  };
  "withNamespace"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNamespace__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "withWrapped"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withWrapped__Z__O(prep0)
  };
  "withAttribute"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAttribute__Z__O(prep0)
  };
  get "prefix"() {
    return this.$$js$exported$prop$prefix__O()
  };
  get "namespace"() {
    return this.$$js$exported$prop$namespace__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "internal"() {
    return this.$$js$exported$prop$internal__O()
  };
  get "attribute"() {
    return this.$$js$exported$prop$attribute__O()
  };
}
const $is_Lamf_client_model_domain_XMLSerializer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_XMLSerializer)))
});
const $isArrayOf_Lamf_client_model_domain_XMLSerializer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_XMLSerializer)))
});
const $d_Lamf_client_model_domain_XMLSerializer = new $TypeData().initClass({
  Lamf_client_model_domain_XMLSerializer: 0
}, false, "amf.client.model.domain.XMLSerializer", {
  Lamf_client_model_domain_XMLSerializer: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_XMLSerializer.prototype.$classData = $d_Lamf_client_model_domain_XMLSerializer;
class $c_Lamf_core_annotations_LexicalInformation extends $c_O {
  constructor() {
    super();
    this.range$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "LexicalInformation"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_annotations_LexicalInformation(x$1)) {
      const LexicalInformation$1 = x$1;
      const x = this.range__Lamf_core_parser_Range();
      const x$2 = LexicalInformation$1.range__Lamf_core_parser_Range();
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.range__Lamf_core_parser_Range();
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___Lamf_core_parser_Range(range) {
    this.range$1 = range;
    this.name$1 = "lexical";
    this.value$1 = range.toString__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  range__Lamf_core_parser_Range() {
    return this.range$1
  };
}
const $is_Lamf_core_annotations_LexicalInformation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_annotations_LexicalInformation)))
});
const $isArrayOf_Lamf_core_annotations_LexicalInformation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_annotations_LexicalInformation)))
});
const $d_Lamf_core_annotations_LexicalInformation = new $TypeData().initClass({
  Lamf_core_annotations_LexicalInformation: 0
}, false, "amf.core.annotations.LexicalInformation", {
  Lamf_core_annotations_LexicalInformation: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_LexicalInformation.prototype.$classData = $d_Lamf_core_annotations_LexicalInformation;
class $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.dataType$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "ValueEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_emitter_BaseEmitters_package$ValueEmitter(x$1)) {
      const ValueEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === ValueEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ValueEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.dataType$1;
        const x$4 = ValueEmitter$1.dataType$1;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  simpleScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const x1 = this.dataType$1;
    let value;
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const p3 = x2.value$2;
        const x = $m_Lorg_yaml_model_YType$().Int$1;
        if ((x === p3)) {
          const this$1 = this.f$1;
          const x$1 = $objectToString(this$1.value$1.value$1.value$1);
          const this$3 = new $c_sci_StringOps().init___T(x$1);
          const jsx$1 = $m_jl_Double$();
          const $$this = this$3.repr$1;
          const x$2 = jsx$1.parseDouble__T__D($$this);
          value = $doubleToInt((+$g.Math.floor(x$2)));
          break matchEnd6
        }
      };
      const this$9 = this.f$1;
      value = this$9.value$1.value$1.value$1
    };
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    $m_Lorg_yaml_model_YNode$();
    const value$1 = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar(value);
    const this$11 = this.dataType$1;
    const tt = (this$11.isEmpty__Z() ? this.tag$1 : this$11.get__O());
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const value$2 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs);
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value$2)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.dataType$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    this.simpleScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__Lamf_core_parser_FieldEntry__s_Option(key, f, dataType) {
    this.key$1 = key;
    this.f$1 = f;
    this.dataType$1 = dataType;
    $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__$$init$__V(this);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__position__Lamf_core_parser_Position(this)
  };
  amf$core$emitter$BaseEmitters$BaseValueEmitter$$undsetter$und$tag$und$eq__Lorg_yaml_model_YType__V(x$1) {
    this.tag$1 = x$1
  };
}
const $is_Lamf_core_emitter_BaseEmitters_package$ValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_emitter_BaseEmitters_package$ValueEmitter)))
});
const $isArrayOf_Lamf_core_emitter_BaseEmitters_package$ValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_emitter_BaseEmitters_package$ValueEmitter)))
});
const $d_Lamf_core_emitter_BaseEmitters_package$ValueEmitter = new $TypeData().initClass({
  Lamf_core_emitter_BaseEmitters_package$ValueEmitter: 0
}, false, "amf.core.emitter.BaseEmitters.package$ValueEmitter", {
  Lamf_core_emitter_BaseEmitters_package$ValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter.prototype.$classData = $d_Lamf_core_emitter_BaseEmitters_package$ValueEmitter;
class $c_Lamf_core_emitter_SpecOrdering$Default$ extends $c_O {
  init___() {
    return this
  };
  sorted__sc_Seq__sc_Seq(values) {
    return values
  };
  compare__O__O__I(x, y) {
    return 1
  };
}
const $d_Lamf_core_emitter_SpecOrdering$Default$ = new $TypeData().initClass({
  Lamf_core_emitter_SpecOrdering$Default$: 0
}, false, "amf.core.emitter.SpecOrdering$Default$", {
  Lamf_core_emitter_SpecOrdering$Default$: 1,
  O: 1,
  Lamf_core_emitter_SpecOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_SpecOrdering$Default$.prototype.$classData = $d_Lamf_core_emitter_SpecOrdering$Default$;
let $n_Lamf_core_emitter_SpecOrdering$Default$ = (void 0);
const $m_Lamf_core_emitter_SpecOrdering$Default$ = (function() {
  if ((!$n_Lamf_core_emitter_SpecOrdering$Default$)) {
    $n_Lamf_core_emitter_SpecOrdering$Default$ = new $c_Lamf_core_emitter_SpecOrdering$Default$().init___()
  };
  return $n_Lamf_core_emitter_SpecOrdering$Default$
});
class $c_Lamf_core_emitter_SpecOrdering$Lexical$ extends $c_O {
  init___() {
    return this
  };
  sorted__sc_Seq__sc_Seq(values) {
    const x1 = values.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.position__Lamf_core_parser_Position().isZero__Z()
      })
    })(this)));
    if ((x1 !== null)) {
      const without = x1.$$und1__O();
      const lexical = x1.$$und2__O();
      const jsx$1 = lexical.sorted__s_math_Ordering__O(this);
      const this$1 = $m_sc_Seq$();
      return jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(without, this$1.ReusableCBFInstance$2)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  compare__O__O__I(x, y) {
    const x$1 = x;
    const y$1 = y;
    return x$1.position__Lamf_core_parser_Position().compareTo__Lamf_core_parser_Position__I(y$1.position__Lamf_core_parser_Position())
  };
}
const $d_Lamf_core_emitter_SpecOrdering$Lexical$ = new $TypeData().initClass({
  Lamf_core_emitter_SpecOrdering$Lexical$: 0
}, false, "amf.core.emitter.SpecOrdering$Lexical$", {
  Lamf_core_emitter_SpecOrdering$Lexical$: 1,
  O: 1,
  Lamf_core_emitter_SpecOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_emitter_SpecOrdering$Lexical$.prototype.$classData = $d_Lamf_core_emitter_SpecOrdering$Lexical$;
let $n_Lamf_core_emitter_SpecOrdering$Lexical$ = (void 0);
const $m_Lamf_core_emitter_SpecOrdering$Lexical$ = (function() {
  if ((!$n_Lamf_core_emitter_SpecOrdering$Lexical$)) {
    $n_Lamf_core_emitter_SpecOrdering$Lexical$ = new $c_Lamf_core_emitter_SpecOrdering$Lexical$().init___()
  };
  return $n_Lamf_core_emitter_SpecOrdering$Lexical$
});
class $c_Lamf_core_metamodel_document_DocumentModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_DocumentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Document().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    this.type$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_DocumentModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_DocumentModel$: 0
}, false, "amf.core.metamodel.document.DocumentModel$", {
  Lamf_core_metamodel_document_DocumentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_core_metamodel_document_DocumentModel$.prototype.$classData = $d_Lamf_core_metamodel_document_DocumentModel$;
let $n_Lamf_core_metamodel_document_DocumentModel$ = (void 0);
const $m_Lamf_core_metamodel_document_DocumentModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_DocumentModel$)) {
    $n_Lamf_core_metamodel_document_DocumentModel$ = new $c_Lamf_core_metamodel_document_DocumentModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_DocumentModel$
});
class $c_Lamf_core_metamodel_domain_RecursiveShapeModel$ extends $c_O {
  constructor() {
    super();
    this.FixPoint$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_RecursiveShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.FixPoint$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "fixPoint"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "RecursiveShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Shape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.FixPoint$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_core_metamodel_domain_RecursiveShapeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_RecursiveShapeModel$: 0
}, false, "amf.core.metamodel.domain.RecursiveShapeModel$", {
  Lamf_core_metamodel_domain_RecursiveShapeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_RecursiveShapeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_RecursiveShapeModel$;
let $n_Lamf_core_metamodel_domain_RecursiveShapeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_RecursiveShapeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_RecursiveShapeModel$)) {
    $n_Lamf_core_metamodel_domain_RecursiveShapeModel$ = new $c_Lamf_core_metamodel_domain_RecursiveShapeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_RecursiveShapeModel$
});
class $c_Lamf_core_metamodel_domain_ShapeModel$ extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  CustomShapeProperties$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.CustomShapeProperties$1 = $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapeProperties__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomShapeProperties$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_ShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    const jsx$2 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.DisplayName$1, this.Description$1, this.Default$1, this.Values$1, this.Inherits$1, this.DefaultValueString$1, this.Not$1, this.And$1, this.Or$1, this.Xone$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_sci_List$();
    this.fields$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
    $m_sci_List$();
    const this$4 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$4, "Shape");
    const this$6 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$6, "Shape")]);
    const this$9 = $m_sci_List$();
    const cbf$1 = this$9.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  CustomShapePropertyDefinitions__Lamf_core_metamodel_Field() {
    return (((1 & this.bitmap$0$1) === 0) ? this.CustomShapePropertyDefinitions$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomShapePropertyDefinitions$1)
  };
  CustomShapePropertyDefinitions$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((1 & this.bitmap$0$1) === 0)) {
      this.CustomShapePropertyDefinitions$1 = $f_Lamf_core_metamodel_domain_ShapeModel__CustomShapePropertyDefinitions__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((1 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomShapePropertyDefinitions$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  modelInstance__sr_Nothing$() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Shape is abstract and it cannot be instantiated by default"))
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    this.modelInstance__sr_Nothing$()
  };
  CustomShapeProperties__Lamf_core_metamodel_Field() {
    return (((2 & this.bitmap$0$1) === 0) ? this.CustomShapeProperties$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomShapeProperties$1)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_core_metamodel_domain_ShapeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_ShapeModel$: 0
}, false, "amf.core.metamodel.domain.ShapeModel$", {
  Lamf_core_metamodel_domain_ShapeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_ShapeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_ShapeModel$;
let $n_Lamf_core_metamodel_domain_ShapeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_ShapeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_ShapeModel$)) {
    $n_Lamf_core_metamodel_domain_ShapeModel$ = new $c_Lamf_core_metamodel_domain_ShapeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_ShapeModel$
});
class $c_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ extends $c_O {
  constructor() {
    super();
    this.Path$1 = null;
    this.Range$1 = null;
    this.MinCount$1 = null;
    this.MaxCount$1 = null;
    this.ReadOnly$1 = null;
    this.WriteOnly$1 = null;
    this.Deprecated$1 = null;
    this.type$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Path$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "path"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Range$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "range"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Int$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MinCount$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "minCount"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Int$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MaxCount$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "maxCount"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.ReadOnly$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "readOnly"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.WriteOnly$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "writeOnly"), true);
    const jsx$7 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Deprecated$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "deprecated"), true);
    $m_sci_List$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "PropertyShape")]);
    const this$18 = $m_sci_List$();
    const cbf = this$18.ReusableCBFInstance$2;
    const jsx$9 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$19 = $m_sci_List$();
    this.type$1 = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$19.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Path$1, this.Range$1, this.MinCount$1, this.MaxCount$1, this.ReadOnly$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
}
const $d_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_domain_extensions_PropertyShapeModel$: 0
}, false, "amf.core.metamodel.domain.extensions.PropertyShapeModel$", {
  Lamf_core_metamodel_domain_extensions_PropertyShapeModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1
});
$c_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$.prototype.$classData = $d_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$;
let $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = (void 0);
const $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$)) {
    $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$ = new $c_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().init___()
  };
  return $n_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$
});
class $c_Lamf_core_model_domain_ExternalDomainElement extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parsed$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ExternalDomainElement"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_ExternalDomainElement(x$1)) {
      const ExternalDomainElement$1 = x$1;
      const x = this.fields$1;
      const x$2 = ExternalDomainElement$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ExternalDomainElement$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "#/external"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.parsed$1 = $m_s_None$();
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_ExternalDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_ExternalDomainElement)))
});
const $isArrayOf_Lamf_core_model_domain_ExternalDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_ExternalDomainElement)))
});
const $d_Lamf_core_model_domain_ExternalDomainElement = new $TypeData().initClass({
  Lamf_core_model_domain_ExternalDomainElement: 0
}, false, "amf.core.model.domain.ExternalDomainElement", {
  Lamf_core_model_domain_ExternalDomainElement: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_ExternalDomainElement.prototype.$classData = $d_Lamf_core_model_domain_ExternalDomainElement;
class $c_Lamf_core_model_domain_extensions_DomainExtension extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DomainExtension"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_DomainExtension(x$1)) {
      const DomainExtension$1 = x$1;
      const x = this.fields$1;
      const x$2 = DomainExtension$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DomainExtension$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    return "/extension"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  isScalarExtension__Z() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Element$1);
    return (!$f_Lamf_core_model_StrField__isNullOrEmpty__Z(this$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_extensions_DomainExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_DomainExtension)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_DomainExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_DomainExtension)))
});
const $d_Lamf_core_model_domain_extensions_DomainExtension = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_DomainExtension: 0
}, false, "amf.core.model.domain.extensions.DomainExtension", {
  Lamf_core_model_domain_extensions_DomainExtension: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_DomainExtension.prototype.$classData = $d_Lamf_core_model_domain_extensions_DomainExtension;
class $c_Lamf_core_model_domain_extensions_ShapeExtension extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ShapeExtension"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_ShapeExtension(x$1)) {
      const ShapeExtension$1 = x$1;
      const x = this.fields$1;
      const x$2 = ShapeExtension$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ShapeExtension$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/shapeExtension"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    this.id$1 = "http://raml.org/vocabularies#document/shape_extension";
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_extensions_ShapeExtension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_ShapeExtension)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_ShapeExtension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_ShapeExtension)))
});
const $d_Lamf_core_model_domain_extensions_ShapeExtension = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_ShapeExtension: 0
}, false, "amf.core.model.domain.extensions.ShapeExtension", {
  Lamf_core_model_domain_extensions_ShapeExtension: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_ShapeExtension.prototype.$classData = $d_Lamf_core_model_domain_extensions_ShapeExtension;
class $c_Lamf_core_model_domain_templates_VariableValue extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "VariableValue"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_templates_VariableValue(x$1)) {
      const VariableValue$1 = x$1;
      const x = this.fields$1;
      const x$2 = VariableValue$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = VariableValue$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_templates_VariableValueModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_templates_VariableValueModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-variable" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_domain_templates_VariableValue = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_templates_VariableValue)))
});
const $isArrayOf_Lamf_core_model_domain_templates_VariableValue = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_templates_VariableValue)))
});
const $d_Lamf_core_model_domain_templates_VariableValue = new $TypeData().initClass({
  Lamf_core_model_domain_templates_VariableValue: 0
}, false, "amf.core.model.domain.templates.VariableValue", {
  Lamf_core_model_domain_templates_VariableValue: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_templates_VariableValue.prototype.$classData = $d_Lamf_core_model_domain_templates_VariableValue;
class $c_Lamf_core_parser_DefaultArrayNode extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "DefaultArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_DefaultArrayNode(x$1)) {
      const DefaultArrayNode$1 = x$1;
      return this.node$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(DefaultArrayNode$1.node$1)
    } else {
      return false
    }
  };
  nodes__T2() {
    return new $c_T2().init___O__O(this.node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.iv$1), this.node$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return $f_Lamf_core_parser_BaseArrayNode__negated__Lamf_core_model_domain_AmfArray(this)
  };
  text__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $boolean__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__$boolean__Lamf_core_model_domain_AmfArray(this)
  };
  iv__Lorg_yaml_model_IllegalTypeHandler() {
    return this.iv$1
  };
  integer__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__integer__Lamf_core_model_domain_AmfArray(this)
  };
  init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv) {
    this.node$1 = node;
    this.iv$1 = iv;
    return this
  };
  obj__F1__Lamf_core_model_domain_AmfArray(fn) {
    return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray(this, fn)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_core_parser_DefaultArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_DefaultArrayNode)))
});
const $isArrayOf_Lamf_core_parser_DefaultArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_DefaultArrayNode)))
});
const $d_Lamf_core_parser_DefaultArrayNode = new $TypeData().initClass({
  Lamf_core_parser_DefaultArrayNode: 0
}, false, "amf.core.parser.DefaultArrayNode", {
  Lamf_core_parser_DefaultArrayNode: 1,
  O: 1,
  Lamf_core_parser_BaseArrayNode: 1,
  Lamf_core_parser_ArrayNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_DefaultArrayNode.prototype.$classData = $d_Lamf_core_parser_DefaultArrayNode;
class $c_Lamf_core_parser_ParserContext extends $c_O {
  constructor() {
    super();
    this.rootContextDocument$1 = null;
    this.refs$1 = null;
    this.futureDeclarations$1 = null;
    this.parserCount$1 = 0;
    this.currentFile$1 = null;
    this.globalSpace$1 = null
  };
  productPrefix__T() {
    return "ParserContext"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_ParserContext(x$1)) {
      const ParserContext$1 = x$1;
      let jsx$2;
      if ((this.rootContextDocument$1 === ParserContext$1.rootContextDocument$1)) {
        const x = this.refs$1;
        const x$2 = ParserContext$1.refs$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.futureDeclarations$1;
        const x$4 = ParserContext$1.futureDeclarations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parserCount$1 === ParserContext$1.parserCount$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    return $f_Lamf_core_parser_ErrorHandler__handle__Lorg_yaml_model_YError__O__O(this, error, defaultValue)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rootContextDocument$1;
        break
      }
      case 1: {
        return this.refs$1;
        break
      }
      case 2: {
        return this.futureDeclarations$1;
        break
      }
      case 3: {
        return this.parserCount$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    const parserRun = this.parserCount$1;
    this$1.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, message, lexical, parserRun)
  };
  currentFile__T() {
    return this.currentFile$1
  };
  parserCount__I() {
    return this.parserCount$1
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.rootContextDocument$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.refs$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.futureDeclarations$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, this.parserCount$1);
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I(rootContextDocument, refs, futureDeclarations, parserCount) {
    this.rootContextDocument$1 = rootContextDocument;
    this.refs$1 = refs;
    this.futureDeclarations$1 = futureDeclarations;
    this.parserCount$1 = parserCount;
    this.currentFile$1 = rootContextDocument;
    this.globalSpace$1 = $m_scm_Map$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    return this
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    $f_Lamf_core_parser_ErrorHandler__handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(this, node, e)
  };
}
const $is_Lamf_core_parser_ParserContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_ParserContext)))
});
const $isArrayOf_Lamf_core_parser_ParserContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_ParserContext)))
});
const $d_Lamf_core_parser_ParserContext = new $TypeData().initClass({
  Lamf_core_parser_ParserContext: 0
}, false, "amf.core.parser.ParserContext", {
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_ParserContext.prototype.$classData = $d_Lamf_core_parser_ParserContext;
class $c_Lamf_core_parser_WarningOnlyHandler extends $c_O {
  constructor() {
    super();
    this.currentFile$1 = null;
    this.parserCount$1 = 0;
    this.warningRegister$1 = false
  };
  productPrefix__T() {
    return "WarningOnlyHandler"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_parser_WarningOnlyHandler(x$1)) {
      const WarningOnlyHandler$1 = x$1;
      return (this.currentFile$1 === WarningOnlyHandler$1.currentFile$1)
    } else {
      return false
    }
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    const message = error.error__T();
    const ast = $f_Lamf_core_parser_ErrorHandler__part__Lorg_yaml_model_YError__Lorg_yaml_model_YPart(this, error);
    $f_Lamf_core_parser_ErrorHandler__warning__T__T__Lorg_yaml_model_YPart__V(this, "", message, ast);
    this.warningRegister$1 = true;
    return defaultValue
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.currentFile$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    const level = $m_Lamf_core_validation_SeverityLevels$().WARNING$1;
    const this$1 = $m_Lamf_core_services_RuntimeValidator$();
    const parserRun = this.parserCount$1;
    this$1.validator__p1__Lamf_core_services_RuntimeValidator().reportConstraintFailure__T__T__T__s_Option__T__s_Option__I__V(level, id, node, property, message, lexical, parserRun)
  };
  currentFile__T() {
    return this.currentFile$1
  };
  parserCount__I() {
    return this.parserCount$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T(currentFile) {
    this.currentFile$1 = currentFile;
    this.parserCount$1 = $m_Lamf_core_AMFCompilerRunCount$().count$1;
    this.warningRegister$1 = false;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    const message = e.s$1;
    $f_Lamf_core_parser_ErrorHandler__warning__T__T__Lorg_yaml_model_YPart__V(this, "", message, node);
    this.warningRegister$1 = true
  };
}
const $is_Lamf_core_parser_WarningOnlyHandler = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_WarningOnlyHandler)))
});
const $isArrayOf_Lamf_core_parser_WarningOnlyHandler = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_WarningOnlyHandler)))
});
const $d_Lamf_core_parser_WarningOnlyHandler = new $TypeData().initClass({
  Lamf_core_parser_WarningOnlyHandler: 0
}, false, "amf.core.parser.WarningOnlyHandler", {
  Lamf_core_parser_WarningOnlyHandler: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_WarningOnlyHandler.prototype.$classData = $d_Lamf_core_parser_WarningOnlyHandler;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter extends $c_O {
  constructor() {
    super();
    this.declared$1 = null;
    this.publicNodeMapping$1 = null;
    this.nodeMapping$1 = null;
    this.instance$1 = null;
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.keyPropertyId$1 = null
  };
  productPrefix__T() {
    return "DeclarationsGroupEmitter"
  };
  productArity__I() {
    return 8
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter(x$1)) {
      const DeclarationsGroupEmitter$1 = x$1;
      const x = this.declared$1;
      const x$2 = DeclarationsGroupEmitter$1.declared$1;
      let jsx$6;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.publicNodeMapping$1;
        const x$4 = DeclarationsGroupEmitter$1.publicNodeMapping$1;
        jsx$6 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$5 = this.nodeMapping$1;
        const x$6 = DeclarationsGroupEmitter$1.nodeMapping$1;
        jsx$5 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$7 = this.instance$1;
        const x$8 = DeclarationsGroupEmitter$1.instance$1;
        jsx$4 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$9 = this.dialect$1;
        const x$10 = DeclarationsGroupEmitter$1.dialect$1;
        jsx$3 = ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$11 = this.ordering$1;
        const x$12 = DeclarationsGroupEmitter$1.ordering$1;
        jsx$2 = (x$11 === x$12)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$13 = this.aliases$1;
        const x$14 = DeclarationsGroupEmitter$1.aliases$1;
        jsx$1 = ((x$13 === null) ? (x$14 === null) : $f_sc_GenMapLike__equals__O__Z(x$13, x$14))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$15 = this.keyPropertyId$1;
        const x$16 = DeclarationsGroupEmitter$1.keyPropertyId$1;
        return ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.declared$1;
        break
      }
      case 1: {
        return this.publicNodeMapping$1;
        break
      }
      case 2: {
        return this.nodeMapping$1;
        break
      }
      case 3: {
        return this.instance$1;
        break
      }
      case 4: {
        return this.dialect$1;
        break
      }
      case 5: {
        return this.ordering$1;
        break
      }
      case 6: {
        return this.aliases$1;
        break
      }
      case 7: {
        return this.keyPropertyId$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.publicNodeMapping$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
    const this$3 = this$2.option$1;
    const declarationKey = (this$3.isEmpty__Z() ? null : this$3.get__O());
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(declarationKey);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.sortedDeclarations__sc_Seq().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
      return (function(decl$2) {
        const decl = decl$2;
        const jsx$1 = $m_Lorg_yaml_model_YNode$();
        const thiz = decl.id$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
        const this$8 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const thiz$1 = $f_sc_IndexedSeqOptimized__last__O(this$8);
        const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$1, "/", 0);
        const this$11 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
        const str = $f_sc_IndexedSeqOptimized__last__O(this$11);
        const this$13 = new $c_Lamf_core_utils_package$Strings().init___T(str);
        const this$14 = this$13.platform$1;
        const url = this$13.str$1;
        const key$1 = jsx$1.apply__T__Lorg_yaml_model_YNode($f_Lamf_core_remote_JsPlatform__decodeURI__T__T(this$14, url));
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(decl, $this.nodeMapping$1, $this.instance$1, $this.dialect$1, $this.ordering$1, $this.aliases$1, $m_s_None$(), false, $m_s_None$(), false).emit__Lorg_yaml_model_YDocument$PartBuilder__V(v$1);
        const this$17 = v$1.builder$1;
        const array = [key$1];
        if ((this$17.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len = (array.length | 0);
        const newSize = ((this$17.size0$6 + len) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$17, newSize);
        const len$1 = this$17.size0$6;
        const src = this$17.array$6;
        const dest = this$17.array$6;
        $systemArraycopy(src, 0, dest, len, len$1);
        const xs$2 = this$17.array$6;
        const len$2 = xs$2.u.length;
        let i = 0;
        let j = 0;
        const x = (array.length | 0);
        const x$1 = ((x < len$2) ? x : len$2);
        const that = xs$2.u.length;
        const end = ((x$1 < that) ? x$1 : that);
        while ((i < end)) {
          const jsx$2 = j;
          const index = i;
          xs$2.u[jsx$2] = array[index];
          i = ((1 + i) | 0);
          j = ((1 + j) | 0)
        };
        this$17.size0$6 = newSize;
        b$2.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$32 = v.builder$1;
    const array$1 = [key];
    if ((this$32.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$32.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$32, newSize$1);
    const len$4 = this$32.size0$6;
    const src$1 = this$32.array$6;
    const dest$1 = this$32.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$3 = this$32.array$6;
    const len$5 = xs$3.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$3.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$4 = j$1;
      const index$1 = i$1;
      xs$3.u[jsx$4] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$32.size0$6 = newSize$1;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option(declared, publicNodeMapping, nodeMapping, instance, dialect, ordering, aliases, keyPropertyId) {
    this.declared$1 = declared;
    this.publicNodeMapping$1 = publicNodeMapping;
    this.nodeMapping$1 = nodeMapping;
    this.instance$1 = instance;
    this.dialect$1 = dialect;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    this.keyPropertyId$1 = keyPropertyId;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  sortedDeclarations__sc_Seq() {
    const jsx$2 = this.declared$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        const this$1 = x$5.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let this$2;
        if (this$1.isEmpty__Z()) {
          this$2 = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const lexInfo = arg1;
          this$2 = new $c_s_Some().init___O(lexInfo.range__Lamf_core_parser_Range().start$1)
        };
        return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
      })
    })(this));
    const this$3 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    return jsx$2.sortBy__F1__s_math_Ordering__O(jsx$1, new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$3, evidence$1))
  };
  position__Lamf_core_parser_Position() {
    const jsx$3 = this.declared$1;
    const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const this$1 = x$4.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let xo;
        if (this$1.isEmpty__Z()) {
          xo = $m_s_None$()
        } else {
          const arg1 = this$1.get__O();
          const lexInfo = arg1;
          xo = new $c_s_Some().init___O(lexInfo.range__Lamf_core_parser_Range().start$1)
        };
        return xo.toList__sci_List()
      })
    })(this));
    const this$3 = $m_sc_Seq$();
    const jsx$1 = jsx$3.flatMap__F1__scg_CanBuildFrom__O(jsx$2, this$3.ReusableCBFInstance$2);
    const this$4 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    const this$5 = jsx$1.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$4, evidence$1)).headOption__s_Option();
    return (this$5.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$5.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DeclarationsGroupEmitter", {
  Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter extends $c_O {
  constructor() {
    super();
    this.node$1 = null;
    this.nodeMapping$1 = null;
    this.instance$1 = null;
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.keyPropertyId$1 = null;
    this.rootNode$1 = false;
    this.discriminator$1 = null;
    this.emitDialect$1 = false
  };
  emitObject__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, element, propertyMapping) {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(element, element.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping(), this.instance$1, this.dialect$1, this.ordering$1, this.aliases$1, $m_s_None$(), false, $m_s_None$(), false), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
  };
  productPrefix__T() {
    return "DialectNodeEmitter"
  };
  productArity__I() {
    return 10
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const this$1 = this.node$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()) {
      if (this.isFragment__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Z(this.node$1, this.instance$1)) {
        const node = this.node$1;
        new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$1().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this, node).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
      } else if (this.isLibrary__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Z(this.node$1, this.instance$1)) {
        this.emitLibrarRef__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lorg_yaml_model_YDocument$PartBuilder__V(this.node$1, this.instance$1, b)
      } else {
        this.emitRef__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YDocument$PartBuilder__V(this.node$1, b)
      }
    } else {
      const elem = $m_sci_Nil$();
      let elem$1 = null;
      elem$1 = elem;
      if (this.emitDialect$1) {
        const jsx$2 = elem$1;
        const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("$dialect", this.nodeMapping$1.id$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
        const this$5 = $m_sc_Seq$();
        elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
      };
      if (this.discriminator$1.isDefined__Z()) {
        const x1 = this.discriminator$1.get__O();
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const discriminatorName = x1.$$und1__O();
        const discriminatorValue = x1.$$und2__O();
        const jsx$4 = elem$1;
        const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(discriminatorName, discriminatorValue, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
        const this$8 = $m_sc_Seq$();
        elem$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$8.ReusableCBFInstance$2)
      };
      if (this.node$1.annotations$1.find__jl_Class__s_Option($d_Lamf_plugins_document_vocabularies_annotations_CustomId.getClassOf()).isDefined__Z()) {
        const thiz = this.node$1.id$1;
        const this$9 = this.dialect$1;
        const s = this$9.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1);
        let customId;
        if (((thiz.indexOf(s) | 0) !== (-1))) {
          const thiz$1 = this.node$1.id$1;
          const target = this.dialect$1.id$1;
          customId = thiz$1.split(target).join("")
        } else {
          customId = this.node$1.id$1
        };
        const jsx$6 = elem$1;
        const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("$id", customId, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
        const this$17 = $m_sc_Seq$();
        elem$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$17.ReusableCBFInstance$2)
      };
      const this$18 = this.node$1.dynamicFields__sci_List();
      let these = this$18;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const field = arg1;
        const this$19 = this.findPropertyMapping__Lamf_core_metamodel_Field__s_Option(field);
        if ((!this$19.isEmpty__Z())) {
          const arg1$1 = this$19.get__O();
          const propertyMapping = arg1$1;
          let jsx$7;
          if (this.keyPropertyId$1.isEmpty__Z()) {
            jsx$7 = true
          } else {
            const this$20 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
            const this$21 = this$20.option$1;
            jsx$7 = ((this$21.isEmpty__Z() ? null : this$21.get__O()) !== this.keyPropertyId$1.get__O())
          };
          if (jsx$7) {
            const this$22 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
            const this$23 = this$22.option$1;
            const key = (this$23.isEmpty__Z() ? null : this$23.get__O());
            const propertyClassification = propertyMapping.classification__Lamf_plugins_document_vocabularies_model_domain_PropertyClassification();
            let rc21 = false;
            let x2 = null;
            const this$24 = this.node$1.valueForField__Lamf_core_metamodel_Field__s_Option(field);
            let x1$1;
            if (this$24.isEmpty__Z()) {
              x1$1 = $m_s_None$()
            } else {
              const arg1$2 = this$24.get__O();
              const x$7 = arg1$2;
              x1$1 = new $c_s_Some().init___O(x$7.value$1)
            };
            let nextEmitter;
            matchEnd22: {
              if ($is_s_Some(x1$1)) {
                rc21 = true;
                x2 = x1$1;
                const scalar = x2.value$2;
                if ($is_Lamf_core_model_domain_AmfScalar(scalar)) {
                  const x11 = scalar;
                  nextEmitter = this.emitScalar__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfScalar__sc_Seq(key, field, x11);
                  break matchEnd22
                }
              };
              if (rc21) {
                const array = x2.value$2;
                if ($is_Lamf_core_model_domain_AmfArray(array)) {
                  const x12 = array;
                  const x$2 = $m_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$();
                  if (((propertyClassification !== null) && (propertyClassification === x$2))) {
                    nextEmitter = this.emitScalarArray__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__sc_Seq(key, field, x12);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const element = x2.value$2;
                if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(element)) {
                  const x13 = element;
                  const x$4 = $m_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$();
                  if (((propertyClassification !== null) && (propertyClassification === x$4))) {
                    nextEmitter = this.emitExternalObject__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x13, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const element$2 = x2.value$2;
                if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(element$2)) {
                  const x14 = element$2;
                  const x$6 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$();
                  if ((((propertyClassification !== null) && (propertyClassification === x$6)) && (!propertyMapping.nodesInRange__sc_Seq().nonEmpty__Z()))) {
                    nextEmitter = this.emitObject__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x14, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const array$2 = x2.value$2;
                if ($is_Lamf_core_model_domain_AmfArray(array$2)) {
                  const x15 = array$2;
                  const x$9 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$();
                  if ((((propertyClassification !== null) && (propertyClassification === x$9)) && (!propertyMapping.nodesInRange__sc_Seq().nonEmpty__Z()))) {
                    nextEmitter = this.emitObjectArray__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x15, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const array$3 = x2.value$2;
                if ($is_Lamf_core_model_domain_AmfArray(array$3)) {
                  const x16 = array$3;
                  const x$11 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$();
                  if (((propertyClassification !== null) && (propertyClassification === x$11))) {
                    nextEmitter = this.emitObjectMap__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x16, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const element$3 = x2.value$2;
                if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(element$3)) {
                  const x17 = element$3;
                  const x$13 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$();
                  if ((((propertyClassification !== null) && (propertyClassification === x$13)) && propertyMapping.nodesInRange__sc_Seq().nonEmpty__Z())) {
                    nextEmitter = this.emitObjectUnion__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x17, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const array$4 = x2.value$2;
                if ($is_Lamf_core_model_domain_AmfArray(array$4)) {
                  const x18 = array$4;
                  const x$15 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$();
                  if ((((propertyClassification !== null) && (propertyClassification === x$15)) && propertyMapping.nodesInRange__sc_Seq().nonEmpty__Z())) {
                    nextEmitter = this.emitObjectUnionArray__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x18, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              if (rc21) {
                const array$5 = x2.value$2;
                if ($is_Lamf_core_model_domain_AmfArray(array$5)) {
                  const x19 = array$5;
                  const x$17 = $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$();
                  if (((propertyClassification !== null) && (propertyClassification === x$17))) {
                    nextEmitter = this.emitObjectPairs__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, x19, propertyMapping);
                    break matchEnd22
                  }
                }
              };
              throw new $c_s_MatchError().init___O(x1$1)
            };
            const jsx$8 = elem$1;
            const this$25 = $m_sc_Seq$();
            elem$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(nextEmitter, this$25.ReusableCBFInstance$2)
          }
        };
        these = these.tail__O()
      };
      if (this.rootNode$1) {
        const jsx$10 = elem$1;
        const jsx$9 = this.declarationsEmitters__Lorg_yaml_model_YDocument$PartBuilder__sc_Seq(b);
        const this$26 = $m_sc_Seq$();
        elem$1 = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$26.ReusableCBFInstance$2)
      };
      if (this.rootNode$1) {
        const jsx$12 = elem$1;
        const jsx$11 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_instances_ReferencesEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_core_emitter_SpecOrdering__sci_Map(this.instance$1, this.ordering$1, this.aliases$1)]));
        const this$27 = $m_sc_Seq$();
        elem$1 = jsx$12.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$11, this$27.ReusableCBFInstance$2)
      };
      const jsx$13 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      this.ordering$1.sorted__sc_Seq__sc_Seq(elem$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$2) {
        return (function(x$8$2) {
          const x$8 = x$8$2;
          x$8.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
        })
      })(this, b$1)));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$13.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter(x$1)) {
      const DialectNodeEmitter$1 = x$1;
      const x = this.node$1;
      const x$2 = DialectNodeEmitter$1.node$1;
      let jsx$7;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.nodeMapping$1;
        const x$4 = DialectNodeEmitter$1.nodeMapping$1;
        jsx$7 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$7 = false
      };
      let jsx$6;
      if (jsx$7) {
        const x$5 = this.instance$1;
        const x$6 = DialectNodeEmitter$1.instance$1;
        jsx$6 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$6 = false
      };
      let jsx$5;
      if (jsx$6) {
        const x$7 = this.dialect$1;
        const x$8 = DialectNodeEmitter$1.dialect$1;
        jsx$5 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$5 = false
      };
      let jsx$4;
      if (jsx$5) {
        const x$9 = this.ordering$1;
        const x$10 = DialectNodeEmitter$1.ordering$1;
        jsx$4 = (x$9 === x$10)
      } else {
        jsx$4 = false
      };
      let jsx$3;
      if (jsx$4) {
        const x$11 = this.aliases$1;
        const x$12 = DialectNodeEmitter$1.aliases$1;
        jsx$3 = ((x$11 === null) ? (x$12 === null) : $f_sc_GenMapLike__equals__O__Z(x$11, x$12))
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$13 = this.keyPropertyId$1;
        const x$14 = DialectNodeEmitter$1.keyPropertyId$1;
        jsx$2 = ((x$13 === null) ? (x$14 === null) : x$13.equals__O__Z(x$14))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if ((jsx$2 && (this.rootNode$1 === DialectNodeEmitter$1.rootNode$1))) {
        const x$15 = this.discriminator$1;
        const x$16 = DialectNodeEmitter$1.discriminator$1;
        jsx$1 = ((x$15 === null) ? (x$16 === null) : x$15.equals__O__Z(x$16))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.emitDialect$1 === DialectNodeEmitter$1.emitDialect$1)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$1;
        break
      }
      case 1: {
        return this.nodeMapping$1;
        break
      }
      case 2: {
        return this.instance$1;
        break
      }
      case 3: {
        return this.dialect$1;
        break
      }
      case 4: {
        return this.ordering$1;
        break
      }
      case 5: {
        return this.aliases$1;
        break
      }
      case 6: {
        return this.keyPropertyId$1;
        break
      }
      case 7: {
        return this.rootNode$1;
        break
      }
      case 8: {
        return this.discriminator$1;
        break
      }
      case 9: {
        return this.emitDialect$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(node, nodeMapping, instance, dialect, ordering, aliases, keyPropertyId, rootNode, discriminator, emitDialect) {
    this.node$1 = node;
    this.nodeMapping$1 = nodeMapping;
    this.instance$1 = instance;
    this.dialect$1 = dialect;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    this.keyPropertyId$1 = keyPropertyId;
    this.rootNode$1 = rootNode;
    this.discriminator$1 = discriminator;
    this.emitDialect$1 = emitDialect;
    return this
  };
  emitObjectPairs__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, array, propertyMapping) {
    const this$1 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
    const this$2 = this$1.option$1;
    const keyProperty = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const this$3 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1);
    const this$4 = this$3.option$1;
    const valueProperty = (this$4.isEmpty__Z() ? null : this$4.get__O());
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$5().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__T__T(this, key, array, keyProperty, valueProperty)]))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitObjectMap__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, array, propertyMapping) {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$4().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(this, key, array, propertyMapping)]))
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  emitObjectUnionArray__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, array, propertyMapping) {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$2().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(this, key, array, propertyMapping)]))
  };
  isFragment__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Z(elem, instance) {
    const x1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(elem);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const domainElement = x2.value$2;
      return instance.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, domainElement$1) {
        return (function(x0$10$2) {
          const x0$10 = x0$10$2;
          if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(x0$10)) {
            const x2$1 = x0$10;
            return (x2$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1).id__T() === domainElement$1.id__T())
          } else {
            return false
          }
        })
      })(this, domainElement)))
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot check fragment for an element without target for element ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([elem.id$1]))))
    }
  };
  emitScalarArray__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfArray__sc_Seq(key, field, array) {
    const jsx$1 = $m_sc_Seq$();
    const annotations = array.annotations$1;
    return jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(key, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(array, annotations)), this.ordering$1, false)]))
  };
  isLibrary__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Z(elem, instance) {
    return instance.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$1) {
      return (function(x0$11$2) {
        const x0$11 = x0$11$2;
        return ($is_Lamf_core_model_document_DeclaresModel(x0$11) && x0$11.declares__sc_Seq().exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, elem$1$1) {
          return (function(x$31$2) {
            const x$31 = x$31$2;
            return (x$31.id__T() === $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(elem$1$1).get__O().id__T())
          })
        })($this, elem$1))))
      })
    })(this, elem)))
  };
  emitRef__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YDocument$PartBuilder__V(node, b) {
    if (node.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef.getClassOf())) {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$ref");
      $m_Lorg_yaml_model_YNode$();
      const this$3 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(node);
      const str = (this$3.isEmpty__Z() ? $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(node).get__O().id__T() : this$3.get__O());
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
    } else {
      new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(node.localRefName__T(), node.annotations$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  findPropertyMapping__Lamf_core_metamodel_Field__s_Option(field) {
    const iri = field.value$1.iri__T();
    const this$1 = this.nodeMapping$1;
    return this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, iri$1) {
      return (function(x$33$2) {
        const x$33 = x$33$2;
        const this$2 = x$33.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
        const this$3 = this$2.option$1;
        return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === iri$1)
      })
    })(this, iri)))
  };
  emitExternalObject__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, element, propertyMapping) {
    const nodeMappingId = element.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping().id$1;
    const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2(this, nodeMappingId);
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const externalDialect = x1.$$und1__O();
    const nextNodeMapping = x1.$$und2__O();
    const jsx$1 = $m_sc_Seq$();
    const x$46 = this.instance$1;
    const x$48 = this.ordering$1;
    const x$49 = this.aliases$1;
    const x$51 = $m_s_None$();
    const x$53 = $m_s_None$();
    return jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(element, nextNodeMapping, x$46, externalDialect, x$48, x$49, x$51, false, x$53, true), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
  };
  emitObjectArray__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, array, propertyMapping) {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anon$3().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__T__Lamf_core_model_domain_AmfArray__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(this, key, array, propertyMapping)]))
  };
  emitScalar__T__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfScalar__sc_Seq(key, field, scalar) {
    const x1 = scalar.value$1;
    let formatted;
    if ($is_Lorg_mulesoft_common_time_SimpleDateTime(x1)) {
      const x2 = x1;
      const arg$macro$1 = x2.year$1;
      const arg$macro$2 = x2.month$1;
      const arg$macro$3 = x2.day$1;
      const this$1 = new $c_sci_StringOps().init___T("%04d-%02d-%02d");
      const array = [arg$macro$1, arg$macro$2, arg$macro$3];
      const jsx$2 = $m_sjsr_RuntimeString$();
      const $$this = this$1.repr$1;
      $m_sc_Seq$();
      $m_sjs_js_WrappedArray$();
      const array$1 = [];
      const x1$1 = (array.length | 0);
      switch (x1$1) {
        case (-1): {
          break
        }
      };
      let i = 0;
      const len = (array.length | 0);
      while ((i < len)) {
        const index = i;
        const arg1 = array[index];
        const elem = $f_sci_StringLike__unwrapArg__psci_StringLike__O__O(this$1, arg1);
        array$1.push(elem);
        i = ((1 + i) | 0)
      };
      $m_s_reflect_ManifestFactory$ObjectManifest$();
      const len$1 = (array$1.length | 0);
      const result = $newArrayObject($d_O.getArrayOf(), [len$1]);
      const len$2 = result.u.length;
      let i$1 = 0;
      let j = 0;
      const x = (array$1.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = result.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i$1 < end)) {
        const jsx$1 = j;
        const index$1 = i$1;
        result.u[jsx$1] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j = ((1 + j) | 0)
      };
      formatted = jsx$2.format__T__AO__T($$this, result)
    } else {
      formatted = x1
    };
    const jsx$3 = $m_sc_Seq$();
    const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(formatted, new $c_Lamf_core_parser_Annotations().init___());
    const annotations = scalar.annotations$1;
    return jsx$3.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(key, new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(field, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations)), $m_s_None$())]))
  };
  emitLibrarRef__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lorg_yaml_model_YDocument$PartBuilder__V(elem, instance, b) {
    if (elem.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_vocabularies_annotations_JsonPointerRef.getClassOf())) {
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("$ref");
      $m_Lorg_yaml_model_YNode$();
      const this$3 = this.node$1;
      const this$4 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$3);
      let str;
      if (this$4.isEmpty__Z()) {
        const this$5 = this.node$1;
        str = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$5).get__O().id__T()
      } else {
        str = this$4.get__O()
      };
      const value = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t, a, cs))
    } else {
      const lib = instance.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, elem$1) {
        return (function(x0$12$2) {
          const x0$12 = x0$12$2;
          return ($is_Lamf_core_model_document_DeclaresModel(x0$12) && x0$12.declares__sc_Seq().exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$2) {
            return (function(x$32$2) {
              const x$32 = x$32$2;
              return (x$32.id__T() === $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(elem$2).get__O().id__T())
            })
          })(this$2$1, elem$1))))
        })
      })(this, elem)));
      const alias = this.aliases$1.apply__O__O(lib.get__O().id__T()).$$und1__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$TextScalarEmitter().init___T__Lamf_core_parser_Annotations__Lorg_yaml_model_YType(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ".", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([alias, elem.localRefName__T()])), elem.annotations$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.node$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.nodeMapping$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.instance$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.dialect$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.ordering$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.aliases$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.keyPropertyId$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.rootNode$1 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.discriminator$1));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.emitDialect$1 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 10)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  emitObjectUnion__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq(key, element, propertyMapping) {
    const jsx$2 = propertyMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(rangeNodeMapping$2) {
        const rangeNodeMapping = rangeNodeMapping$2;
        const this$1 = rangeNodeMapping.option$1;
        const nodeMappingId = (this$1.isEmpty__Z() ? null : this$1.get__O());
        const x1 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2($this, nodeMappingId);
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const nodeMapping = x1.$$und2__O();
        return nodeMapping
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const nodeMappings = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    const x1$1 = nodeMappings.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, element$1) {
      return (function(nodeMapping$2) {
        const nodeMapping$1 = nodeMapping$2;
        const this$4 = element$1.dynamicType__sci_List();
        const f = (function($this$1) {
          return (function(x$11$2) {
            const x$11 = x$11$2;
            return x$11.iri__T()
          })
        })(this$2$1);
        const this$3 = $m_sci_List$();
        const bf = this$3.ReusableCBFInstance$2;
        let this$7;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((this$4 === $m_sci_Nil$())) {
            this$7 = $m_sci_Nil$()
          } else {
            const arg1 = this$4.head__O();
            const h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            let t = h;
            let rest = this$4.tail__O();
            while ((rest !== $m_sci_Nil$())) {
              const arg1$1 = rest.head__O();
              const nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              rest = rest.tail__O()
            };
            this$7 = h
          }
        } else {
          const b = $f_sc_TraversableLike__builder$1__psc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
          let these = this$4;
          while ((!these.isEmpty__Z())) {
            const arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            these = these.tail__O()
          };
          this$7 = b.result__O()
        };
        const this$5 = nodeMapping$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
        const this$6 = this$5.option$1;
        const elem = (this$6.isEmpty__Z() ? null : this$6.get__O());
        return $f_sc_LinearSeqOptimized__contains__O__Z(this$7, elem)
      })
    })(this, element)));
    if ($is_s_Some(x1$1)) {
      const x2 = x1$1;
      const nextNodeMapping = x2.value$2;
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position(key, new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter().init___Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option__Z__s_Option__Z(element, nextNodeMapping, this.instance$1, this.dialect$1, this.ordering$1, this.aliases$1, $m_s_None$(), false, $m_s_None$(), false), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]))
    } else {
      return $m_sci_Nil$()
    }
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.node$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      this$2 = new $c_s_Some().init___O(x$9.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
  declarationsEmitters__Lorg_yaml_model_YDocument$PartBuilder__sc_Seq(b) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.dialect$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1));
    let emitters;
    if (this$2.isEmpty__Z()) {
      emitters = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const docs = arg1;
      const this$3 = $m_s_Option$().apply__O__s_Option(docs.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1));
      if (this$3.isEmpty__Z()) {
        emitters = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const root = arg1$1;
        const this$4 = root.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
        const this$5 = this$4.option$1;
        emitters = new $c_s_Some().init___O((((this$5.isEmpty__Z() ? null : this$5.get__O()) === this.node$1.id$1) ? $m_sci_Nil$() : root.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1).foldLeft__O__F2__O($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
          return (function(x0$13$2, x1$5$2) {
            const x0$13 = x0$13$2;
            const x1$5 = x1$5$2;
            const this$6 = $this.instance$1;
            const jsx$3 = this$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Declares$1);
            const jsx$2 = new $c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter$$anonfun$4().init___Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping($this, x1$5);
            const this$7 = $m_sc_Seq$();
            const declared = jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$7.ReusableCBFInstance$2);
            if (declared.nonEmpty__Z()) {
              const this$8 = x1$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
              const this$9 = this$8.option$1;
              const nodeMappingId = (this$9.isEmpty__Z() ? null : this$9.get__O());
              const x1$2 = $f_Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper__findNodeMappingById__T__T2($this, nodeMappingId);
              if ((x1$2 === null)) {
                throw new $c_s_MatchError().init___O(x1$2)
              };
              const nodeMapping = x1$2.$$und2__O();
              const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_instances_DeclarationsGroupEmitter().init___sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_document_DialectInstance__Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map__s_Option(declared, x1$5, nodeMapping, $this.instance$1, $this.dialect$1, $this.ordering$1, $this.aliases$1, $m_s_None$())]));
              const this$11 = $m_sc_Seq$();
              return x0$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2)
            } else {
              return x0$13
            }
          })
        })(this)))))
      }
    };
    return (emitters.isEmpty__Z() ? $m_sci_Nil$() : emitters.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.instances.DialectNodeEmitter", {
  Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_instances_DialectNodeEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter extends $c_O {
  constructor() {
    super();
    this.classTerm$1 = null;
    this.ordering$1 = null;
    this.aliasMapping$1 = null
  };
  productPrefix__T() {
    return "ClassTermEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter(x$1)) {
      const ClassTermEmitter$1 = x$1;
      const x = this.classTerm$1;
      const x$2 = ClassTermEmitter$1.classTerm$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = ClassTermEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliasMapping$1;
        const x$6 = ClassTermEmitter$1.aliasMapping$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.classTerm$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliasMapping$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_ClassTerm__Lamf_core_emitter_SpecOrdering__sci_Map(classTerm, ordering, aliasMapping) {
    this.classTerm$1 = classTerm;
    this.ordering$1 = ordering;
    this.aliasMapping$1 = aliasMapping;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const id = this.classTerm$1.id$1;
    const aliasMapping = this.aliasMapping$1;
    const classAlias = $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this, id, aliasMapping);
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = elem;
    const this$2 = this.classTerm$1;
    const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().DisplayName$1).option$1;
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const displayName = arg1;
      const jsx$2 = elem$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("displayName", displayName, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
      const this$6 = $m_sc_Seq$();
      elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
    };
    const this$7 = this.classTerm$1;
    const this$8 = this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Description$1).option$1;
    if ((!this$8.isEmpty__Z())) {
      const arg1$1 = this$8.get__O();
      const description = arg1$1;
      const jsx$4 = elem$1;
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("description", description, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
      const this$11 = $m_sc_Seq$();
      elem$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2)
    };
    const this$12 = this.classTerm$1;
    if (this$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1).nonEmpty__Z()) {
      const jsx$6 = elem$1;
      const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$1().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter(this)]));
      const this$13 = $m_sc_Seq$();
      elem$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2)
    };
    const this$14 = this.classTerm$1;
    if (this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Properties$1).nonEmpty__Z()) {
      const jsx$8 = elem$1;
      const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter$$anon$2().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter(this)]));
      const this$15 = $m_sc_Seq$();
      elem$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$15.ReusableCBFInstance$2)
    };
    if (elem$1.isEmpty__Z()) {
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(classAlias, "", $m_Lorg_yaml_model_YType$().Null$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(classAlias);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$9 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(elem$1), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$23 = v.builder$1;
      const array = [key];
      if ((this$23.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$23.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$23, newSize);
      const len$1 = this$23.size0$6;
      const src = this$23.array$6;
      const dest = this$23.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$23.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$10 = j;
        const index = i;
        xs.u[jsx$10] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$23.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.classTerm$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$6 = arg1;
      this$2 = new $c_s_Some().init___O(x$6.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.ClassTermEmitter", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_ClassTermEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter extends $c_O {
  constructor() {
    super();
    this.propertyTerm$1 = null;
    this.ordering$1 = null;
    this.aliasMapping$1 = null
  };
  productPrefix__T() {
    return "PropertyTermEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter(x$1)) {
      const PropertyTermEmitter$1 = x$1;
      const x = this.propertyTerm$1;
      const x$2 = PropertyTermEmitter$1.propertyTerm$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = PropertyTermEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliasMapping$1;
        const x$6 = PropertyTermEmitter$1.aliasMapping$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.propertyTerm$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliasMapping$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const id = this.propertyTerm$1.id$1;
    const aliasMapping = this.aliasMapping$1;
    const propertyAlias = $f_Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper__aliasFor__T__sci_Map__T(this, id, aliasMapping);
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = elem;
    const this$2 = this.propertyTerm$1;
    const this$3 = this$2.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().DisplayName$1).option$1;
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const displayName = arg1;
      const jsx$2 = elem$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("displayName", displayName, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
      const this$6 = $m_sc_Seq$();
      elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
    };
    const this$7 = this.propertyTerm$1;
    const this$8 = this$7.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Description$1).option$1;
    if ((!this$8.isEmpty__Z())) {
      const arg1$1 = this$8.get__O();
      const description = arg1$1;
      const jsx$4 = elem$1;
      const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("description", description, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
      const this$11 = $m_sc_Seq$();
      elem$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2)
    };
    const this$12 = this.propertyTerm$1;
    if (this$12.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().SubPropertyOf$1).nonEmpty__Z()) {
      const jsx$6 = elem$1;
      const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$3().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter(this)]));
      const this$13 = $m_sc_Seq$();
      elem$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$13.ReusableCBFInstance$2)
    };
    const this$14 = this.propertyTerm$1;
    const this$15 = this$14.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$().Range$1);
    if (this$15.option$1.isDefined__Z()) {
      const jsx$8 = elem$1;
      const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter$$anon$4().init___Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter(this)]));
      const this$16 = $m_sc_Seq$();
      elem$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$16.ReusableCBFInstance$2)
    };
    if (elem$1.isEmpty__Z()) {
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(propertyAlias, "", $m_Lorg_yaml_model_YType$().Null$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      $m_Lorg_yaml_model_YNode$();
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(propertyAlias);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$9 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(elem$1), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$24 = v.builder$1;
      const array = [key];
      if ((this$24.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$24.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$24, newSize);
      const len$1 = this$24.size0$6;
      const src = this$24.array$6;
      const dest = this$24.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$24.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$10 = j;
        const index = i;
        xs.u[jsx$10] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$24.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  init___Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__Lamf_core_emitter_SpecOrdering__sci_Map(propertyTerm, ordering, aliasMapping) {
    this.propertyTerm$1 = propertyTerm;
    this.ordering$1 = ordering;
    this.aliasMapping$1 = aliasMapping;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.propertyTerm$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$11 = arg1;
      this$2 = new $c_s_Some().init___O(x$11.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.vocabularies.PropertyTermEmitter", {
  Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_vocabularies_AliasMapper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_vocabularies_PropertyTermEmitter;
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$ extends $c_O {
  constructor() {
    super();
    this.DefinedBy$1 = null;
    this.GraphDependencies$1 = null;
    this.type$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "definedBy"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.GraphDependencies$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "graphDependencies"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$7 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "DialectInstanceFragment");
    const this$7 = $m_Lamf_core_metamodel_document_FragmentModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$7);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    const x$9 = this.DefinedBy$1;
    const x$8 = this.GraphDependencies$1;
    const this$1 = $m_Lamf_core_metamodel_document_FragmentModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$8, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$9, this$2)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectInstanceFragmentModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$ extends $c_O {
  constructor() {
    super();
    this.DefinedBy$1 = null;
    this.GraphDependencies$1 = null;
    this.type$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "definedBy"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.GraphDependencies$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "graphDependencies"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "DialectInstanceLibrary");
    const this$7 = $m_Lamf_core_metamodel_document_ModuleModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$7);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    const x$6 = this.DefinedBy$1;
    const x$5 = this.GraphDependencies$1;
    const this$1 = $m_Lamf_core_metamodel_document_ModuleModel$().fields__sci_List();
    const this$2 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$1);
    return new $c_sci_$colon$colon().init___O__sci_List(x$6, this$2)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectInstanceLibraryModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$ extends $c_O {
  constructor() {
    super();
    this.DefinedBy$1 = null;
    this.GraphDependencies$1 = null;
    this.type$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.DefinedBy$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "definedBy"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Iri$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.GraphDependencies$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "graphDependencies"), true);
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "DialectInstance");
    const this$7 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$7);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    const x$3 = this.DefinedBy$1;
    const x$2 = this.GraphDependencies$1;
    const this$1 = $m_Lamf_core_metamodel_document_DocumentModel$();
    const this$2 = $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List(this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    return new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectInstanceModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$
});
class $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Version$1 = null;
    this.Externals$1 = null;
    this.Documents$1 = null;
    this.type$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Version$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "version"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Externals$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "externals"), true);
    const jsx$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    this.Documents$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "documents"), true);
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Dialect");
    const this$11 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$11);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    const x$5 = this.Name$1;
    const x$4 = this.Version$1;
    const x$3 = this.Externals$1;
    const x$2 = this.Documents$1;
    const this$1 = $m_Lamf_core_metamodel_document_DocumentModel$();
    const this$2 = $f_Lamf_core_metamodel_document_DocumentModel__fields__sci_List(this$1);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4);
    return new $c_sci_$colon$colon().init___O__sci_List(x$5, this$5)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_vocabularies_model_document_Dialect().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$ = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$: 0
}, false, "amf.plugins.document.vocabularies.metamodel.document.DialectModel$", {
  Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$.prototype.$classData = $d_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$;
let $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$ = (void 0);
const $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$ = (function() {
  if ((!$n_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$)) {
    $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$ = new $c_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().init___()
  };
  return $n_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$
});
class $c_Lamf_plugins_document_vocabularies_model_domain_ClassTerm extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ClassTerm"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_plugins_document_vocabularies_model_domain_ClassTerm(parent) {
    if ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z()) {
      $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
    };
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm(x$1)) {
      const ClassTerm$1 = x$1;
      const x = this.fields$1;
      const x$2 = ClassTerm$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ClassTerm$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withProperties__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_ClassTerm(properties) {
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().Properties$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$1, new $c_Lamf_core_parser_Annotations().init___())
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(properties.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2), new $c_Lamf_core_parser_Annotations().init___());
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    return ""
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withSubClassOf__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_ClassTerm(superClasses) {
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_ClassTermModel$().SubClassOf$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$2, new $c_Lamf_core_parser_Annotations().init___())
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(superClasses.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2), new $c_Lamf_core_parser_Annotations().init___());
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, value)
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_document_vocabularies_model_domain_ClassTerm(parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_ClassTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_ClassTerm)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_ClassTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_ClassTerm)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_ClassTerm = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ClassTerm: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ClassTerm", {
  Lamf_plugins_document_vocabularies_model_domain_ClassTerm: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ClassTerm.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ClassTerm;
class $c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DocumentMapping"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping(x$1)) {
      const DocumentMapping$1 = x$1;
      const x = this.fields$1;
      const x$2 = DocumentMapping$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DocumentMapping$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return ""
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_DocumentMapping)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_DocumentMapping)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DocumentMapping: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DocumentMapping", {
  Lamf_plugins_document_vocabularies_model_domain_DocumentMapping: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DocumentMapping;
class $c_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DocumentsModel"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(x$1)) {
      const DocumentsModel$1 = x$1;
      const x = this.fields$1;
      const x$2 = DocumentsModel$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DocumentsModel$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return ""
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_DocumentsModel)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_DocumentsModel)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DocumentsModel: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DocumentsModel", {
  Lamf_plugins_document_vocabularies_model_domain_DocumentsModel: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DocumentsModel;
class $c_Lamf_plugins_document_vocabularies_model_domain_External extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "External"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_External(x$1)) {
      const External$1 = x$1;
      const x = this.fields$1;
      const x$2 = External$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = External$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const x1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Alias$1).option$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const alias = x2.value$2;
      const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(alias);
      const this$3 = this$2.platform$1;
      const url = this$2.str$1;
      return ("/externals/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$3, url))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot set ID of external without alias"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_External = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_External)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_External = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_External)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_External = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_External: 0
}, false, "amf.plugins.document.vocabularies.model.domain.External", {
  Lamf_plugins_document_vocabularies_model_domain_External: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_External.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_External;
class $c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "PropertyMapping"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(x$1)) {
      const PropertyMapping$1 = x$1;
      const x = this.fields$1;
      const x$2 = PropertyMapping$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = PropertyMapping$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  withEnum__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(values) {
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Enum$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(x$1$2, new $c_Lamf_core_parser_Annotations().init___())
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    const values$1 = values.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this, field, values$1)
  };
  componentId__T() {
    return ""
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  toField__Lamf_core_metamodel_Field() {
    const jsx$1 = $m_Lamf_core_vocabulary_ValueType$();
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
    const this$2 = this$1.option$1;
    const propertyIdValue = jsx$1.apply__T__Lamf_core_vocabulary_ValueType((this$2.isEmpty__Z() ? null : this$2.get__O()));
    const isObjectRange = (this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).nonEmpty__Z() || $m_s_Option$().apply__O__s_Option(this.typeDiscriminator__sci_Map()).isDefined__Z());
    if (isObjectRange) {
      const this$3 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1);
      let jsx$2;
      if ($f_Lamf_core_model_BoolField__value__Z(this$3)) {
        jsx$2 = true
      } else {
        const this$4 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
        jsx$2 = this$4.option$1.isDefined__Z()
      };
      if (jsx$2) {
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type(new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel().init___T__sc_Seq__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$().$$lessinit$greater$default$1__T(), $m_sci_Nil$(), $m_s_None$())), propertyIdValue, true)
      } else {
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel().init___T__sc_Seq__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$().$$lessinit$greater$default$1__T(), $m_sci_Nil$(), $m_s_None$()), propertyIdValue, true)
      }
    } else {
      const this$11 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
      const this$12 = this$11.option$1;
      const x1 = (this$12.isEmpty__Z() ? null : this$12.get__O());
      let fieldType;
      if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x1, "anyUri")) {
        fieldType = $m_Lamf_core_metamodel_Type$Iri$()
      } else if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x1, "anyType")) {
        fieldType = $m_Lamf_core_metamodel_Type$Any$()
      } else if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x1, "number")) {
        fieldType = $m_Lamf_core_metamodel_Type$Float$()
      } else {
        const this$13 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
        if ((x1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "integer").iri__T())) {
          fieldType = $m_Lamf_core_metamodel_Type$Int$()
        } else {
          const this$15 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
          if ((x1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "float").iri__T())) {
            fieldType = $m_Lamf_core_metamodel_Type$Float$()
          } else {
            const this$17 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
            if ((x1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "boolean").iri__T())) {
              fieldType = $m_Lamf_core_metamodel_Type$Bool$()
            } else {
              const this$19 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
              if ((x1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "decimal").iri__T())) {
                fieldType = $m_Lamf_core_metamodel_Type$Int$()
              } else {
                const this$21 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                if ((x1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "time").iri__T())) {
                  fieldType = $m_Lamf_core_metamodel_Type$Time$()
                } else {
                  const this$23 = $m_Lamf_core_vocabulary_Namespace$().Xsd$1;
                  if ((x1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "date").iri__T())) {
                    fieldType = $m_Lamf_core_metamodel_Type$Date$()
                  } else {
                    fieldType = $m_Lamf_core_metamodel_Type$Str$()
                  }
                }
              }
            }
          }
        }
      };
      const this$25 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1);
      if ($f_Lamf_core_model_BoolField__value__Z(this$25)) {
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type(fieldType), propertyIdValue, true)
      } else {
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(fieldType, propertyIdValue, true)
      }
    }
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  typeDiscriminator__sci_Map() {
    const this$1 = $m_s_Option$().apply__O__s_Option(this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminator$1));
    let this$9;
    if (this$1.isEmpty__Z()) {
      this$9 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const disambiguator = arg1;
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(disambiguator, ",", 0);
      const z = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      let start = 0;
      const end = xs.u.length;
      let z$1 = z;
      let start$1 = start;
      let z$2 = z$1;
      let jsx$1;
      _foldl: while (true) {
        if ((start$1 !== end)) {
          const temp$start = ((1 + start$1) | 0);
          const arg1$1 = z$2;
          const index = start$1;
          const arg2 = xs.u[index];
          const x0$1 = arg1$1;
          const x1$1 = arg2;
          const pair = $m_sjsr_RuntimeString$().split__T__T__I__AT(x1$1, "->", 0);
          const self = pair.u[1];
          const y = pair.u[0];
          const temp$z = x0$1.$$plus__T2__sci_Map(new $c_T2().init___O__O(self, y));
          start$1 = temp$start;
          z$2 = temp$z;
          continue _foldl
        };
        jsx$1 = z$2;
        break
      };
      this$9 = new $c_s_Some().init___O(jsx$1)
    };
    return (this$9.isEmpty__Z() ? null : this$9.get__O())
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  nodesInRange__sc_Seq() {
    const range = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    if (range.isEmpty__Z()) {
      const this$1 = $m_s_Option$().apply__O__s_Option(this.typeDiscriminator__sci_Map());
      return (this$1.isEmpty__Z() ? $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()) : this$1.get__O()).values__sc_Iterable().toSeq__sc_Seq()
    } else {
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
        return (function(x$2$2) {
          const x$2 = x$2$2;
          const this$3 = x$2.option$1;
          return (this$3.isEmpty__Z() ? null : this$3.get__O())
        })
      })(this));
      const this$4 = $m_sc_Seq$();
      return range.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
    }
  };
  withTypeDiscriminator__sci_Map__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping(typesMapping) {
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminator$1;
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$2$2) {
        const x0$2 = x0$2$2;
        if ((x0$2 !== null)) {
          const a = x0$2.$$und1__O();
          const b = x0$2.$$und2__O();
          return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "->", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([a, b]))
        } else {
          throw new $c_s_MatchError().init___O(x0$2)
        }
      })
    })(this));
    const this$1 = $m_sci_Iterable$();
    const bf = this$1.ReusableCBFInstance$2;
    const value = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(typesMapping, f, bf).mkString__T__T(",");
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, value)
  };
  classification__Lamf_plugins_document_vocabularies_model_domain_PropertyClassification() {
    const isAnyNode = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(obj$2) {
        const obj = obj$2;
        const this$1 = obj.option$1;
        const jsx$1 = (this$1.isEmpty__Z() ? null : this$1.get__O());
        const this$2 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
        return (jsx$1 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$2, "anyNode").iri__T())
      })
    })(this)));
    const this$4 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1);
    const isLiteral = this$4.option$1.isDefined__Z();
    const isObject = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1).nonEmpty__Z();
    const this$5 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1).option$1;
    const multiple = (!(!(this$5.isEmpty__Z() ? false : this$5.get__O())));
    const this$6 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1);
    const isMap = this$6.option$1.isDefined__Z();
    const this$7 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1);
    const isMapValue = this$7.option$1.isDefined__Z();
    return (isAnyNode ? $m_Lamf_plugins_document_vocabularies_model_domain_ExtensionPointProperty$() : ((isLiteral && (!multiple)) ? $m_Lamf_plugins_document_vocabularies_model_domain_LiteralProperty$() : (isLiteral ? $m_Lamf_plugins_document_vocabularies_model_domain_LiteralPropertyCollection$() : (((isObject && isMap) && isMapValue) ? $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPairProperty$() : ((isObject && isMap) ? $m_Lamf_plugins_document_vocabularies_model_domain_ObjectMapProperty$() : ((isObject && (!multiple)) ? $m_Lamf_plugins_document_vocabularies_model_domain_ObjectProperty$() : $m_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyCollection$()))))))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_PropertyMapping)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_PropertyMapping)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_PropertyMapping: 0
}, false, "amf.plugins.document.vocabularies.model.domain.PropertyMapping", {
  Lamf_plugins_document_vocabularies_model_domain_PropertyMapping: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_PropertyMapping;
class $c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "PublicNodeMapping"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping(x$1)) {
      const PublicNodeMapping$1 = x$1;
      const x = this.fields$1;
      const x$2 = PublicNodeMapping$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = PublicNodeMapping$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return ""
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping: 0
}, false, "amf.plugins.document.vocabularies.model.domain.PublicNodeMapping", {
  Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_PublicNodeMapping;
class $c_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "VocabularyReference"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference(x$1)) {
      const VocabularyReference$1 = x$1;
      const x = this.fields$1;
      const x$2 = VocabularyReference$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = VocabularyReference$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const x1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_VocabularyReferenceModel$().Alias$1).option$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const alias = x2.value$2;
      const this$2 = new $c_Lamf_core_utils_package$Strings().init___T(alias);
      const this$3 = this$2.platform$1;
      const url = this$2.str$1;
      return ("/vocabularyReference/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$3, url))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot set ID of VocabularyReference without alias"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_VocabularyReference)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_VocabularyReference)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_VocabularyReference: 0
}, false, "amf.plugins.document.vocabularies.model.domain.VocabularyReference", {
  Lamf_plugins_document_vocabularies_model_domain_VocabularyReference: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_VocabularyReference;
class $c_Lamf_plugins_document_webapi_annotations_FormBodyParameter extends $c_O {
  constructor() {
    super();
    this.name$1 = null;
    this.value$1 = null
  };
  init___() {
    this.name$1 = "form-body-parameter";
    this.value$1 = "true";
    return this
  };
  productPrefix__T() {
    return "FormBodyParameter"
  };
  productArity__I() {
    return 0
  };
  equals__O__Z(x$1) {
    return ($is_Lamf_plugins_document_webapi_annotations_FormBodyParameter(x$1) && true)
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_FormBodyParameter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_FormBodyParameter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_FormBodyParameter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_FormBodyParameter)))
});
const $d_Lamf_plugins_document_webapi_annotations_FormBodyParameter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_FormBodyParameter: 0
}, false, "amf.plugins.document.webapi.annotations.FormBodyParameter", {
  Lamf_plugins_document_webapi_annotations_FormBodyParameter: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_FormBodyParameter.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_FormBodyParameter;
class $c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema extends $c_O {
  constructor() {
    super();
    this.rawText$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParsedJSONSchema"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema(x$1)) {
      const ParsedJSONSchema$1 = x$1;
      return (this.rawText$1 === ParsedJSONSchema$1.rawText$1)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.rawText$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___T(rawText) {
    this.rawText$1 = rawText;
    this.name$1 = "parsed-json-schema";
    this.value$1 = rawText;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_annotations_ParsedJSONSchema)))
});
const $isArrayOf_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_annotations_ParsedJSONSchema)))
});
const $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema = new $TypeData().initClass({
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema: 0
}, false, "amf.plugins.document.webapi.annotations.ParsedJSONSchema", {
  Lamf_plugins_document_webapi_annotations_ParsedJSONSchema: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.prototype.$classData = $d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema;
class $c_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.extensions$1 = null;
    this.mediaType$1 = null;
    this.spec$1 = null;
    this.tag$1 = null
  };
  productPrefix__T() {
    return "RamlScalarValueEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter(x$1)) {
      const RamlScalarValueEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === RamlScalarValueEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = RamlScalarValueEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.extensions$1;
        const x$4 = RamlScalarValueEmitter$1.extensions$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.mediaType$1;
        const x$6 = RamlScalarValueEmitter$1.mediaType$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.extensions$1;
        break
      }
      case 3: {
        return this.mediaType$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotatedScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const str = this.key$1;
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$2 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const jsx$1 = $m_Lorg_yaml_model_YScalar$();
    const this$3 = this.f$1;
    const value = jsx$1.apply__O__Lorg_yaml_model_YScalar(this$3.value$1.value$1.value$1);
    const this$4 = this.mediaType$1;
    const tt = (this$4.isEmpty__Z() ? this.tag$1 : this$4.get__O());
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    b$1.updateDynamic__T__Lorg_yaml_model_YNode__V("value", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    this.extensions$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, b$2) {
      return (function(e$2) {
        const e = e$2;
        this$2$1.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().annotationEmitter__F2().apply__O__O__O(e, $m_Lamf_core_emitter_SpecOrdering$Default$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$2.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
    const this$12 = v.builder$1;
    const array = [key];
    if ((this$12.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$12.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$12, newSize);
    const len$1 = this$12.size0$6;
    const src = this$12.array$6;
    const dest = this$12.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$12.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$3 = j;
      const index = i;
      xs.u[jsx$3] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$12.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const value = this.f$1.value$1;
    this.annotatedScalar__p1__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___T__Lamf_core_parser_FieldEntry__sc_Seq__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, extensions, mediaType, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.extensions$1 = extensions;
    this.mediaType$1 = mediaType;
    this.spec$1 = spec;
    $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__$$init$__V(this);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter__position__Lamf_core_parser_Position(this)
  };
  amf$core$emitter$BaseEmitters$BaseValueEmitter$$undsetter$und$tag$und$eq__Lorg_yaml_model_YType__V(x$1) {
    this.tag$1 = x$1
  };
}
const $is_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter)))
});
const $d_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter: 0
}, false, "amf.plugins.document.webapi.contexts.RamlScalarValueEmitter", {
  Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter: 1,
  O: 1,
  Lamf_core_emitter_BaseEmitters_package$BaseValueEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_RamlScalarValueEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode extends $c_O {
  constructor() {
    super();
    this.obj$1 = null;
    this.iv$1 = null
  };
  productPrefix__T() {
    return "MapEntriesArrayNode"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode(x$1)) {
      const MapEntriesArrayNode$1 = x$1;
      return this.obj$1.$$eq$eq__Lorg_yaml_model_YValueLike__Z(MapEntriesArrayNode$1.obj$1)
    } else {
      return false
    }
  };
  nodes__T2() {
    const jsx$2 = this.obj$1.entries$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        $m_s_package$();
        const array = [e];
        let c;
        if (((array.length | 0) === 0)) {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const this$4 = new $c_sci_VectorBuilder().init___();
          c = this$4.result__sci_Vector()
        } else {
          $m_sci_IndexedSeq$();
          $m_sci_Vector$();
          const b = new $c_sci_VectorBuilder().init___();
          let i = 0;
          const len = (array.length | 0);
          while ((i < len)) {
            const index = i;
            const arg1 = array[index];
            b.$$plus$eq__O__sci_VectorBuilder(arg1);
            i = ((1 + i) | 0)
          };
          c = b.result__sci_Vector()
        };
        const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        $m_Lorg_yaml_model_YNode$();
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        return new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs)
      })
    })(this));
    const this$12 = $m_sc_IndexedSeq$();
    const maps = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$12.ReusableCBF$6);
    $m_Lorg_yaml_model_YNode$();
    const map$1 = this.obj$1;
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    return new $c_T2().init___O__O(maps, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$1, t$1, a$1, cs$1))
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.obj$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  negated__Lamf_core_model_domain_AmfElement() {
    return $f_Lamf_core_parser_BaseArrayNode__negated__Lamf_core_model_domain_AmfArray(this)
  };
  text__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__text__Lamf_core_model_domain_AmfArray(this)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $boolean__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__$boolean__Lamf_core_model_domain_AmfArray(this)
  };
  iv__Lorg_yaml_model_IllegalTypeHandler() {
    return this.iv$1
  };
  integer__Lamf_core_model_domain_AmfArray() {
    return $f_Lamf_core_parser_BaseArrayNode__integer__Lamf_core_model_domain_AmfArray(this)
  };
  obj__F1__Lamf_core_model_domain_AmfArray(fn) {
    return $f_Lamf_core_parser_BaseArrayNode__array__pLamf_core_parser_BaseArrayNode__F1__Lamf_core_model_domain_AmfArray(this, fn)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_yaml_model_YMap__Lorg_yaml_model_IllegalTypeHandler(obj, iv) {
    this.obj$1 = obj;
    this.iv$1 = iv;
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode: 0
}, false, "amf.plugins.document.webapi.parser.spec.common.MapEntriesArrayNode", {
  Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode: 1,
  O: 1,
  Lamf_core_parser_BaseArrayNode: 1,
  Lamf_core_parser_ArrayNode: 1,
  Lamf_core_parser_TypedNode: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_common_MapEntriesArrayNode;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter {
  constructor() {
    super();
    this.domainExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "OasAnnotationEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter(x$1)) {
      const OasAnnotationEmitter$1 = x$1;
      const x = this.domainExtension$2;
      const x$2 = OasAnnotationEmitter$1.domainExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasAnnotationEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, spec) {
    this.domainExtension$2 = domainExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter.prototype.init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, domainExtension, ordering, spec);
    const this$1 = domainExtension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
    const this$2 = this$1.option$1;
    this.name$2 = ("x-" + (this$2.isEmpty__Z() ? null : this$2.get__O()));
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasAnnotationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnnotationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter {
  constructor() {
    super();
    this.f$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.key$2 = null
  };
  productPrefix__T() {
    return "OasCustomFacetsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter(x$1)) {
      const OasCustomFacetsEmitter$1 = x$1;
      const x = this.f$2;
      const x$2 = OasCustomFacetsEmitter$1.f$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasCustomFacetsEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasCustomFacetsEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  shapeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(property$2, ordering$2, references$2) {
        const property = property$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, references, $this.spec$2)
      })
    })(this))
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(f, ordering, references, spec) {
    this.f$2 = f;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter.prototype.init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, f, ordering, references, spec);
    this.key$2 = new $c_Lamf_core_utils_package$Strings().init___T("facets").asOasExtension__T();
    return this
  };
  key__T() {
    return this.key$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasCustomFacetsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasCustomFacetsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter {
  constructor() {
    super();
    this.shapeExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "OasFacetsInstanceEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter(x$1)) {
      const OasFacetsInstanceEmitter$1 = x$1;
      const x = this.shapeExtension$2;
      const x$2 = OasFacetsInstanceEmitter$1.shapeExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasFacetsInstanceEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shapeExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, spec) {
    this.shapeExtension$2 = shapeExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter.prototype.init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shapeExtension, ordering, spec);
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["facet-", ""]));
    const this$1 = shapeExtension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1);
    const this$2 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    const this$3 = this$2.option$1;
    const str = jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$3.isEmpty__Z() ? null : this$3.get__O())]));
    this.name$2 = new $c_Lamf_core_utils_package$Strings().init___T(str).asOasExtension__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasFacetsInstanceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFacetsInstanceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter {
  constructor() {
    super();
    this.scalar$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null
  };
  productPrefix__T() {
    return "OasFileShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeDef__s_Option() {
    return $m_s_None$()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter(x$1)) {
      const OasFileShapeEmitter$1 = x$1;
      const x = this.scalar$3;
      const x$2 = OasFileShapeEmitter$1.scalar$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = OasFileShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = OasFileShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.scalar$3;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(this.spec$3.oasTypePropertyEmitter__T__Lamf_core_model_domain_Shape__Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter("file", this.scalar$3));
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter__emitCommonFields__Lamf_core_parser_Fields__scm_ListBuffer__s_Option(this, fs, result);
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z(new $c_Lamf_core_utils_package$Strings().init___T("fileTypes").asOasExtension__T(), f, this.ordering$3, false)))
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$3 = scalar;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, scalar, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasFileShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasFileShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector {
  constructor() {
    super();
    this.array$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.additionalEntry$2 = null
  };
  productPrefix__T() {
    return "OasItemsShapeEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter(x$1)) {
      const OasItemsShapeEmitter$1 = x$1;
      const x = this.array$2;
      const x$2 = OasItemsShapeEmitter$1.array$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasItemsShapeEmitter$1.ordering$2;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.references$2;
        const x$6 = OasItemsShapeEmitter$1.references$2;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.additionalEntry$2;
        const x$8 = OasItemsShapeEmitter$1.additionalEntry$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      case 3: {
        return this.additionalEntry$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitPart__Lorg_yaml_model_YDocument$PartBuilder__V(part) {
    const x1 = this.emitter$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(part)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const entries = x3.value$2;
      const jsx$3 = part.builder$1;
      const b = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const xo = this.additionalEntry$2;
      const jsx$1 = xo.toList__sci_List();
      const this$3 = $m_sc_Seq$();
      jsx$2.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(entries.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2), b);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("items");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitPart__Lorg_yaml_model_YDocument$PartBuilder__V(v);
    const this$2 = v.builder$1;
    const array = [key];
    if ((this$2.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$2.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$2, newSize);
    const len$1 = this$2.size0$6;
    const src = this$2.array$6;
    const dest = this$2.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$2.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$1 = j;
      const index = i;
      xs.u[jsx$1] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$2.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__s_Option__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(array, ordering, references, additionalEntry, spec) {
    this.array$2 = array;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.additionalEntry$2 = additionalEntry;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, array.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1), ordering, $m_sci_Nil$(), references, spec);
    return this
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.array$2;
    const x1 = jsx$1.apply__O__s_Option(this$1.fields$2.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1));
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const value = x2.value$2;
      const this$2 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const annotations = value.annotations$1;
      return this$2.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
    } else {
      return $m_Lamf_core_parser_Position$ZERO$()
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasItemsShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasItemsShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector {
  constructor() {
    super();
    this.property$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(property, ordering, references, spec) {
    this.property$2 = property;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, property.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1), ordering, $m_sci_Nil$(), references, spec);
    return this
  };
  productPrefix__T() {
    return "OasPropertyShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter(x$1)) {
      const OasPropertyShapeEmitter$1 = x$1;
      const x = this.property$2;
      const x$2 = OasPropertyShapeEmitter$1.property$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasPropertyShapeEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = OasPropertyShapeEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.property$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.property$2.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().ReadOnly$1);
    let readOnlyEmitter;
    if (this$1.isEmpty__Z()) {
      readOnlyEmitter = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const fe = arg1;
      readOnlyEmitter = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("readOnly", fe, $m_s_None$()))
    };
    const this$3 = this.property$2;
    const x1 = this$3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      $m_Lorg_yaml_model_YNode$();
      const this$4 = this.property$2;
      const this$5 = this$4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$6 = this$5.option$1;
      const str = (this$6.isEmpty__Z() ? null : this$6.get__O());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const x1$1 = this.emitter$1;
      if ($is_s_util_Left(x1$1)) {
        const x2 = x1$1;
        const p = x2.value$2;
        p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v)
      } else if ($is_s_util_Right(x1$1)) {
        const x3 = x1$1;
        const entries = x3.value$2;
        const jsx$4 = v.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$2 = this.ordering$2;
        const jsx$1 = readOnlyEmitter.toList__sci_List();
        const this$10 = $m_sc_Seq$();
        jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$2.sorted__sc_Seq__sc_Seq(entries.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$10.ReusableCBFInstance$2)), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      } else {
        throw new $c_s_MatchError().init___O(x1$1)
      };
      const this$15 = v.builder$1;
      const array = [key];
      if ((this$15.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$15.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize);
      const len$1 = this$15.size0$6;
      const src = this$15.array$6;
      const dest = this$15.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$15.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$15.size0$6 = newSize;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    } else {
      $m_Lorg_yaml_model_YNode$();
      const this$26 = this.property$2;
      const this$27 = this$26.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
      const this$28 = this$27.option$1;
      const str$1 = (this$28.isEmpty__Z() ? null : this$28.get__O());
      const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$7 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
      const this$32 = readOnlyEmitter.toList__sci_List();
      jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this$32, b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$2.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
      const this$37 = v$1.builder$1;
      const array$1 = [key$1];
      if ((this$37.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$37.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$37, newSize$1);
      const len$4 = this$37.size0$6;
      const src$1 = this$37.array$6;
      const dest$1 = this$37.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$37.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$2 = (array$1.length | 0);
      const x$3 = ((x$2 < len$5) ? x$2 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$3 < that$1) ? x$3 : that$1);
      while ((i$1 < end$1)) {
        const jsx$8 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$8] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$37.size0$6 = newSize$1;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1))
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.property$2.annotations$2;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasPropertyShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasPropertyShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter {
  constructor() {
    super();
    this.scalar$3 = null;
    this.ordering$3 = null;
    this.references$3 = null
  };
  productPrefix__T() {
    return "OasScalarShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeDef__s_Option() {
    const this$1 = this.scalar$3;
    const this$2 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1).option$1;
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const iri = arg1;
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$().typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef(iri))
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter(x$1)) {
      const OasScalarShapeEmitter$1 = x$1;
      const x = this.scalar$3;
      const x$2 = OasScalarShapeEmitter$1.scalar$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = OasScalarShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = OasScalarShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.scalar$3;
    const fs = this$1.fields$2;
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      if ((!f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_Inferred.getClassOf()))) {
        const typeDefStr = $m_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$().matchType__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef__s_Option().get__O());
        const this$3 = this.scalar$3;
        const x1 = this$3.annotations$2.find__jl_Class__s_Option($d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo.getClassOf());
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const lexicalInfo = x2.value$2;
          result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeDefStr, $m_Lorg_yaml_model_YType$().Str$1, lexicalInfo.range$1.start$1))
        } else {
          const this$4 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const annotations = f.value$1.annotations$1;
          const x$160 = this$4.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
          const x$161 = $m_Lorg_yaml_model_YType$().Str$1;
          result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeDefStr, x$161, x$160))
        }
      }
    };
    const x1$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
    if ((!$is_s_Some(x1$1))) {
      const x = $m_s_None$();
      if ((x === x1$1)) {
        const jsx$1 = $m_Lamf_plugins_document_webapi_parser_OasTypeDefStringValueMatcher$();
        const this$6 = this.typeDef__s_Option();
        const x1$2 = jsx$1.matchFormat__Lamf_plugins_domain_shapes_models_TypeDef__s_Option((this$6.isEmpty__Z() ? $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$() : this$6.get__O()));
        if ($is_s_Some(x1$2)) {
          const x2$1 = x1$2;
          const format = x2$1.value$2;
          result.$$plus$eq__O__scm_ListBuffer($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter("format", $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1, format, new $c_Lamf_core_parser_Annotations().init___()))
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$2))) {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      } else {
        throw new $c_s_MatchError().init___O(x1$1)
      }
    };
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter__emitCommonFields__Lamf_core_parser_Fields__scm_ListBuffer__s_Option(this, fs, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$3 = scalar;
    this.ordering$3 = ordering;
    this.references$3 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, scalar, ordering, references, spec);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasScalarShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasScalarShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.typeDef$3 = null;
    this.shape$3 = null;
    this.map$3 = null
  };
  productPrefix__T() {
    return "FileShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const FileShapeParser$1 = x$1;
      const x = this.typeDef$3;
      const x$2 = FileShapeParser$1.typeDef$3;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$3;
        const x$4 = FileShapeParser$1.shape$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(FileShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.typeDef$3;
        break
      }
      case 1: {
        return this.shape$3;
        break
      }
      case 2: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap($$outer, typeDef, shape, map) {
    this.typeDef$3 = typeDef;
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  parse__Lamf_plugins_domain_shapes_models_FileShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const shape = this.shape$3;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic__parseScalar__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map, shape);
    const map$1 = this.map$3;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("fileTypes").asOasExtension__T();
    const this$3 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
    const iv = this.$$outer$1.ctx$2;
    jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$3, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    return this.shape$3
  };
  amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser() {
    return this.$$outer$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$FileShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.typeDef$3 = null;
    this.shape$3 = null;
    this.map$3 = null
  };
  productPrefix__T() {
    return "ScalarShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ScalarShapeParser$1 = x$1;
      const x = this.typeDef$3;
      const x$2 = ScalarShapeParser$1.typeDef$3;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$3;
        const x$4 = ScalarShapeParser$1.shape$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ScalarShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.typeDef$3;
        break
      }
      case 1: {
        return this.shape$3;
        break
      }
      case 2: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  parse__Lamf_plugins_domain_shapes_models_ScalarShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
    if (this$2.isEmpty__Z()) {
      const this$5 = this.shape$3;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$3), new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value, annotations)
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$7 = this.shape$3;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$3), new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations$1)
    };
    const map$1 = this.map$3;
    const shape = this.shape$3;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic__parseScalar__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map$1, shape);
    return this.shape$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap($$outer, typeDef, shape, map) {
    this.typeDef$3 = typeDef;
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser() {
    return this.$$outer$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$ScalarShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null
  };
  productPrefix__T() {
    return "SchemaShapeParser"
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_SchemaShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.call(this, $$outer);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const SchemaShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = SchemaShapeParser$1.shape$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(SchemaShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    const map = this.map$3;
    const this$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("schema").asOasExtension__T();
    const this$4 = this$3.key__T__s_Option(keyword);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const entry = arg1;
      const this$5 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$StringYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$5);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const str = x2.value$2;
        const this$6 = this.shape$3;
        const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field, str)
      } else {
        const this$7 = this.$$outer$1.ctx$2;
        const node = this.shape$3.id$1;
        const ast = entry.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, node, "Cannot parse non string schema shape", ast);
        const this$8 = this.shape$3;
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field$1, "")
      }
    };
    const map$1 = this.map$3;
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const keyword$1 = new $c_Lamf_core_utils_package$Strings().init___T("mediaType").asOasExtension__T();
    const this$12 = this$11.key__T__s_Option(keyword$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$1 = this$12.get__O();
      const entry$3 = arg1$1;
      const this$13 = entry$3.value$1;
      const conversion$1 = $m_Lorg_yaml_convert_YRead$StringYRead$();
      const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$13);
      if ($is_s_util_Right(x1$1)) {
        const x2$1 = x1$1;
        const str$1 = x2$1.value$2;
        const this$14 = this.shape$3;
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$14, field$2, str$1)
      } else {
        const this$15 = this.$$outer$1.ctx$2;
        const node$1 = this.shape$3.id$1;
        const ast$1 = entry$3.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$15, node$1, "Cannot parse non string schema shape", ast$1);
        const this$16 = this.shape$3;
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field$3, "*/*")
      }
    };
    return this.shape$3
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  amf$plugins$document$webapi$parser$spec$declaration$OasTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser() {
    return this.$$outer$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser$SchemaShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.ignored$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "OasTypePartEmitter"
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(shape, ordering, ignored, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.ignored$2 = ignored;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, shape, ordering, ignored, references, spec);
    return this
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.emitter$1;
    if ($is_s_util_Left(x1)) {
      const x2 = x1;
      const p = x2.value$2;
      p.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else if ($is_s_util_Right(x1)) {
      const x3 = x1;
      const entries = x3.value$2;
      const jsx$1 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(entries, b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter(x$1)) {
      const OasTypePartEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = OasTypePartEmitter$1.shape$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasTypePartEmitter$1.ordering$2;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ignored$2;
        const x$6 = OasTypePartEmitter$1.ignored$2;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = OasTypePartEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.ignored$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.emitters$1.headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$48 = arg1;
      this$2 = new $c_s_Some().init___O(x$48.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypePartEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartCollector: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypePartEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08NamedSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter(x$1)) {
      const Raml08NamedSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml08NamedSecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml08NamedSecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml08NamedSecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  securitySchemeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08SecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$2)
      })
    })(this))
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08NamedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08NamedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.annotations$2 = null;
    this.ignored$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08TypePartEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(x$1)) {
      const Raml08TypePartEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = Raml08TypePartEmitter$1.shape$2;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08TypePartEmitter$1.ordering$2;
        jsx$3 = (x$3 === x$4)
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.annotations$2;
        const x$6 = Raml08TypePartEmitter$1.annotations$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.ignored$2;
        const x$8 = Raml08TypePartEmitter$1.ignored$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$9 = this.references$2;
        const x$10 = Raml08TypePartEmitter$1.references$2;
        return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.annotations$2;
        break
      }
      case 3: {
        return this.ignored$2;
        break
      }
      case 4: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$2, this.ordering$2, this.spec$2).emitters__sc_Seq()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, annotations, ignored, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.annotations$2 = annotations;
    this.ignored$2 = ignored;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, annotations, ignored, references, spec);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypePartEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter {
  constructor() {
    super();
    this.key$2 = null;
    this.securityScheme$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10DescribedByEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter(x$1)) {
      const Raml10DescribedByEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$2 === Raml10DescribedByEmitter$1.key$2)) {
        const x = this.securityScheme$2;
        const x$2 = Raml10DescribedByEmitter$1.securityScheme$2;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10DescribedByEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10DescribedByEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$2;
        break
      }
      case 1: {
        return this.securityScheme$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      const x1 = f.value$1.value$1;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
        const x2 = x1;
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x2, this.ordering$2, this.references$2, new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
          return (function(shape$2, ordering$2, annotations$2, ignored$2, references$2) {
            const shape = shape$2;
            const ordering = ordering$2;
            const annotations = annotations$2;
            const ignored = ignored$2;
            const references = references$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, annotations, ignored, references, $this.spec$2)
          })
        })(this)), this.spec$2))
      }
    };
    results.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.securityScheme$2, this.ordering$2, this.spec$2).emitters__sc_Seq());
    const jsx$1 = $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter.prototype.entries__Lamf_core_parser_Fields__sc_Seq.call(this, fs);
    const this$2 = $m_sc_Seq$();
    return jsx$1.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(results, this$2.ReusableCBFInstance$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, securityScheme, ordering, references, spec) {
    this.key$2 = key;
    this.securityScheme$2 = securityScheme;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter.prototype.init___T__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, key, securityScheme, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10DescribedByEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_DescribedByEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10DescribedByEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter {
  constructor() {
    super();
    this.securityScheme$2 = null;
    this.references$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10NamedSecuritySchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter(x$1)) {
      const Raml10NamedSecuritySchemeEmitter$1 = x$1;
      const x = this.securityScheme$2;
      const x$2 = Raml10NamedSecuritySchemeEmitter$1.securityScheme$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.references$2;
        const x$4 = Raml10NamedSecuritySchemeEmitter$1.references$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.ordering$2;
        const x$6 = Raml10NamedSecuritySchemeEmitter$1.ordering$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.securityScheme$2;
        break
      }
      case 1: {
        return this.references$2;
        break
      }
      case 2: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  securitySchemeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(securityScheme$2, references$2, ordering$2) {
        const securityScheme = securityScheme$2;
        const references = references$2;
        const ordering = ordering$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10SecuritySchemeEmitter().init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, $this.spec$2)
      })
    })(this))
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(securityScheme, references, ordering, spec) {
    this.securityScheme$2 = securityScheme;
    this.references$2 = references;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme__sc_Seq__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, securityScheme, references, ordering, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10NamedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10NamedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter {
  constructor() {
    super();
    this.shape$2 = null;
    this.ordering$2 = null;
    this.annotations$2 = null;
    this.ignored$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10TypePartEmitter"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter(x$1)) {
      const Raml10TypePartEmitter$1 = x$1;
      const x = this.shape$2;
      const x$2 = Raml10TypePartEmitter$1.shape$2;
      let jsx$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10TypePartEmitter$1.ordering$2;
        jsx$3 = (x$3 === x$4)
      } else {
        jsx$3 = false
      };
      let jsx$2;
      if (jsx$3) {
        const x$5 = this.annotations$2;
        const x$6 = Raml10TypePartEmitter$1.annotations$2;
        jsx$2 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$7 = this.ignored$2;
        const x$8 = Raml10TypePartEmitter$1.ignored$2;
        jsx$1 = ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$9 = this.references$2;
        const x$10 = Raml10TypePartEmitter$1.references$2;
        return ((x$9 === null) ? (x$10 === null) : x$9.equals__O__Z(x$10))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.annotations$2;
        break
      }
      case 3: {
        return this.ignored$2;
        break
      }
      case 4: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const jsx$3 = this.ordering$2;
    const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$2, this.ordering$2, this.ignored$2, this.references$2, this.spec$2).emitters__sc_Seq();
    const this$1 = this.annotations$2;
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$2 = arg1;
      this$2 = new $c_s_Some().init___O(x$2.emitters__sc_Seq())
    };
    const jsx$1 = (this$2.isEmpty__Z() ? $m_sci_Nil$() : this$2.get__O());
    const this$3 = $m_sc_Seq$();
    return jsx$3.sorted__sc_Seq__sc_Seq(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, annotations, ignored, references, spec) {
    this.shape$2 = shape;
    this.ordering$2 = ordering;
    this.annotations$2 = annotations;
    this.ignored$2 = ignored;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter.prototype.init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shape, ordering, annotations, ignored, references, spec);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypePartEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypePartEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter {
  constructor() {
    super();
    this.domainExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "RamlAnnotationEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter(x$1)) {
      const RamlAnnotationEmitter$1 = x$1;
      const x = this.domainExtension$2;
      const x$2 = RamlAnnotationEmitter$1.domainExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlAnnotationEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.domainExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(domainExtension, ordering, spec) {
    this.domainExtension$2 = domainExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter.prototype.init___Lamf_core_model_domain_extensions_DomainExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, domainExtension, ordering, spec);
    const this$1 = domainExtension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_DomainExtensionModel$().Name$1);
    const this$2 = this$1.option$1;
    this.name$2 = (("(" + (this$2.isEmpty__Z() ? null : this$2.get__O())) + ")");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlAnnotationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnnotationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.array$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlArrayShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter(x$1)) {
      const RamlArrayShapeEmitter$1 = x$1;
      const x = this.array$3;
      const x$2 = RamlArrayShapeEmitter$1.array$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlArrayShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlArrayShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.array$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(array, ordering, references, spec) {
    this.array$3 = array;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, array, ordering, references, spec);
    const this$1 = array.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O("array")
    };
    this.typeName$3 = jsx$1;
    return this
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.array$3;
    const fs = this$1.fields$2;
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      this.typeEmitted$1 = true;
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_ArrayShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.array$3, this.ordering$3, this.references$3, this.spec$3))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxItems", f, $m_s_None$(), this.spec$3)))
    };
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1$2 = this$5.get__O();
      const f$3 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minItems", f$3, $m_s_None$(), this.spec$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$3 = this$7.get__O();
      const f$4 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("uniqueItems", f$4, $m_s_None$(), this.spec$3)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().CollectionFormat$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$4 = this$9.get__O();
      const f$5 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("collectionFormat").asRamlAnnotation__T(), f$5, $m_s_None$())))
    };
    if ((!this.typeEmitted$1)) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "array", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlArrayShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlArrayShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter {
  constructor() {
    super();
    this.f$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.key$2 = null
  };
  productPrefix__T() {
    return "RamlCustomFacetsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter(x$1)) {
      const RamlCustomFacetsEmitter$1 = x$1;
      const x = this.f$2;
      const x$2 = RamlCustomFacetsEmitter$1.f$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlCustomFacetsEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = RamlCustomFacetsEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.f$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f, ordering, references, spec) {
    this.f$2 = f;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter.prototype.init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, f, ordering, references, spec);
    this.key$2 = "facets";
    return this
  };
  shapeEmitter__F3() {
    return new $c_sjsr_AnonFunction3().init___sjs_js_Function3((function($this) {
      return (function(property$2, ordering$2, references$2) {
        const property = property$2;
        const ordering = ordering$2;
        const references = references$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertyShapeEmitter().init___Lamf_core_model_domain_extensions_PropertyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(property, ordering, references, $this.spec$2)
      })
    })(this))
  };
  key__T() {
    return this.key$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlCustomFacetsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_CustomFacetsEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCustomFacetsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter {
  constructor() {
    super();
    this.shapeExtension$2 = null;
    this.ordering$2 = null;
    this.name$2 = null
  };
  productPrefix__T() {
    return "RamlFacetsInstanceEmitter"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter(x$1)) {
      const RamlFacetsInstanceEmitter$1 = x$1;
      const x = this.shapeExtension$2;
      const x$2 = RamlFacetsInstanceEmitter$1.shapeExtension$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlFacetsInstanceEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shapeExtension$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shapeExtension, ordering, spec) {
    this.shapeExtension$2 = shapeExtension;
    this.ordering$2 = ordering;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter.prototype.init___Lamf_core_model_domain_extensions_ShapeExtension__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, shapeExtension, ordering, spec);
    const this$1 = shapeExtension.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_ShapeExtensionModel$().DefinedBy$1);
    const this$2 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    const this$3 = this$2.option$1;
    this.name$2 = (this$3.isEmpty__Z() ? null : this$3.get__O());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlFacetsInstanceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_FacetsInstanceEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFacetsInstanceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter extends $c_O {
  constructor() {
    super();
    this.shape$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "RamlJsonShapeEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.shape$1.annotations__Lamf_core_parser_Annotations().find__jl_Class__s_Option($d_Lamf_plugins_document_webapi_annotations_ParsedJSONSchema.getClassOf());
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const json = x2.value$2;
      const this$1 = this.shape$1;
      if (this$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1).nonEmpty__Z()) {
        const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
        const shape = this.shape$1;
        const ordering = this.ordering$1;
        const references = this.references$1;
        const spec = this.spec$1;
        $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter__emitExamples__Lamf_plugins_domain_shapes_models_AnyShape__scm_ListBuffer__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, shape, results, ordering, references, spec);
        results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", json.rawText$1, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
        const jsx$1 = b.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(results), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
      } else {
        $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, json.rawText$1, $m_Lorg_yaml_model_YType$().Str$1)
      }
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productArity__I() {
    return 3
  };
  init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(shape, ordering, references, spec) {
    this.shape$1 = shape;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter(x$1)) {
      const RamlJsonShapeEmitter$1 = x$1;
      const x = this.shape$1;
      const x$2 = RamlJsonShapeEmitter$1.shape$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RamlJsonShapeEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlJsonShapeEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.shape$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlJsonShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlJsonShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.shape$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlNilShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter(x$1)) {
      const RamlNilShapeEmitter$1 = x$1;
      const x = this.shape$3;
      const x$2 = RamlNilShapeEmitter$1.shape$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlNilShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlNilShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    let result = $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this);
    if ((!this.typeEmitted$1)) {
      const entry = new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "nil", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$());
      const jsx$2 = result;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry]));
      const this$3 = $m_sc_Seq$();
      result = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2)
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_NilShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$3 = shape;
    this.ordering$3 = ordering;
    this.references$3 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$3 = new $c_s_Some().init___O("nil");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNilShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNilShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.node$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlNodeShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter(x$1)) {
      const RamlNodeShapeEmitter$1 = x$1;
      const x = this.node$3;
      const x$2 = RamlNodeShapeEmitter$1.node$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlNodeShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlNodeShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.node$3;
    const fs = this$1.fields$2;
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minProperties", f, $m_s_None$(), this.spec$3)))
    };
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1$1 = this$4.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxProperties", f$3, $m_s_None$(), this.spec$3)))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      const this$7 = this.node$3;
      const this$8 = this$7.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
      const closed = $f_Lamf_core_model_BoolField__value__Z(this$8);
      if ((closed || f$4.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf()))) {
        const this$9 = (!closed);
        const x$88 = ("" + this$9);
        const this$11 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const annotations = f$4.value$1.annotations$1;
        const x$89 = this$11.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
        const x$90 = $m_Lorg_yaml_model_YType$().Str$1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("additionalProperties", x$88, x$90, x$89))
      }
    };
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$3 = this$13.get__O();
      const f$5 = arg1$3;
      const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("additionalProperties").asRamlAnnotation__T();
      const jsx$2 = this.ordering$3;
      const jsx$1 = this.references$3;
      const spec = this.spec$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasEntryShapeEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(jsx$3, f$5, jsx$2, jsx$1, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1))))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$4 = this$16.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("discriminator", f$6, $m_s_None$(), this.spec$3)))
    };
    const this$18 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1);
    if ((!this$18.isEmpty__Z())) {
      const arg1$5 = this$18.get__O();
      const f$7 = arg1$5;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("discriminatorValue", f$7, $m_s_None$(), this.spec$3)))
    };
    const this$20 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    if ((!this$20.isEmpty__Z())) {
      const arg1$6 = this$20.get__O();
      const f$8 = arg1$6;
      this.typeEmitted$1 = true;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlPropertiesShapeEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(f$8, this.ordering$3, this.references$3, this.spec$3)))
    };
    const jsx$6 = $m_sci_ListMap$();
    const this$21 = this.node$3;
    const jsx$5 = this$21.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
      return (function(p$2) {
        const p = p$2;
        const self = p.id$1;
        return new $c_T2().init___O__O(self, p)
      })
    })(this));
    const this$24 = $m_sc_Seq$();
    const propertiesMap = jsx$6.apply__sc_Seq__sc_GenMap(jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$24.ReusableCBFInstance$2));
    const this$25 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1);
    if ((!this$25.isEmpty__Z())) {
      const arg1$7 = this$25.get__O();
      const f$9 = arg1$7;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeDependenciesEmitter().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sci_ListMap__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f$9, this.ordering$3, propertiesMap, this.spec$3)))
    };
    if ((!this.typeEmitted$1)) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "object", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    };
    return result
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(node, ordering, references, spec) {
    this.node$3 = node;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, node, ordering, references, spec);
    const this$1 = node.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O("object")
    };
    this.typeName$3 = jsx$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlNodeShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNodeShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter extends $c_O {
  constructor() {
    super();
    this.target$1 = null;
    this.label$1 = null;
    this.references$1 = null;
    this.spec$1 = null;
    this.referenceLabel$1 = null
  };
  target__Lamf_core_model_domain_DomainElement() {
    return this.target$1
  };
  productPrefix__T() {
    return "RamlTagToReferenceEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ($is_Lamf_core_model_document_Module(x0$1)) {
          const x2 = x0$1;
          return x2.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).contains__O__Z($this.target$1)
        } else if ($is_Lamf_core_model_document_Fragment(x0$1)) {
          const x3 = x0$1;
          const x = x3.encodes__Lamf_core_model_domain_DomainElement();
          const x$2 = $this.target$1;
          return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this)));
    matchEnd6: {
      if ($is_s_Some(x1)) {
        const x2$1 = x1;
        if ($is_Lamf_core_model_document_Fragment(x2$1.value$2)) {
          this.spec$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this.referenceLabel$1);
          break matchEnd6
        }
      };
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(b, this.referenceLabel$1, $m_Lorg_yaml_model_YType$().Str$1)
    }
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter(x$1)) {
      const RamlTagToReferenceEmitter$1 = x$1;
      const x = this.target$1;
      const x$2 = RamlTagToReferenceEmitter$1.target$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.label$1;
        const x$4 = RamlTagToReferenceEmitter$1.label$1;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = RamlTagToReferenceEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.target$1;
        break
      }
      case 1: {
        return this.label$1;
        break
      }
      case 2: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  amf$plugins$document$webapi$contexts$TagToReferenceEmitter$$undsetter$und$referenceLabel$und$eq__T__V(x$1) {
    this.referenceLabel$1 = x$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(target, label, references, spec) {
    this.target$1 = target;
    this.label$1 = label;
    this.references$1 = references;
    this.spec$1 = spec;
    $f_Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter__$$init$__V(this);
    return this
  };
  label__s_Option() {
    return this.label$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.target$1.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTagToReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTagToReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.tuple$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlTupleShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter(x$1)) {
      const RamlTupleShapeEmitter$1 = x$1;
      const x = this.tuple$3;
      const x$2 = RamlTupleShapeEmitter$1.tuple$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlTupleShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlTupleShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tuple$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(tuple, ordering, references, spec) {
    this.tuple$3 = tuple;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, tuple, ordering, references, spec);
    const this$1 = tuple.annotations$2.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O("array")
    };
    this.typeName$3 = jsx$1;
    return this
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.tuple$3;
    const fs = this$1.fields$2;
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleItemsShapeEmitter().init___Lamf_plugins_domain_shapes_models_TupleShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.tuple$3, this.ordering$3, this.references$3, this.spec$3));
    result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(new $c_Lamf_core_utils_package$Strings().init___T("tuple").asRamlAnnotation__T(), "true", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()));
    const this$5 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1);
    if ((!this$5.isEmpty__Z())) {
      const arg1 = this$5.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("maxItems", f, $m_s_None$(), this.spec$3)))
    };
    const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1);
    if ((!this$7.isEmpty__Z())) {
      const arg1$1 = this$7.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("minItems", f$3, $m_s_None$(), this.spec$3)))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$2 = this$9.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("uniqueItems", f$4, $m_s_None$(), this.spec$3)))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTupleShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTupleShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.shape$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlUnionShapeEmitter"
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter(x$1)) {
      const RamlUnionShapeEmitter$1 = x$1;
      const x = this.shape$3;
      const x$2 = RamlUnionShapeEmitter$1.shape$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlUnionShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlUnionShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const jsx$2 = $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this);
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyOfShapeEmitter().init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(this.shape$3, this.ordering$3, this.references$3, this.spec$3);
    const this$1 = $m_sc_Seq$();
    return jsx$2.$$colon$plus__O__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape, ordering, references, spec) {
    this.shape$3 = shape;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, shape, ordering, references, spec);
    this.typeName$3 = new $c_s_Some().init___O("union");
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlUnionShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlUnionShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null
  };
  productPrefix__T() {
    return "TraitExtendsEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter(x$1)) {
      const TraitExtendsEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === TraitExtendsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = TraitExtendsEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = TraitExtendsEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__emit__Lorg_yaml_model_YDocument$EntryBuilder__V(this, b)
  };
  emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(element) {
    const element$1 = element;
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ParametrizedDeclarationEmitter().init___Lamf_core_model_domain_templates_ParametrizedDeclaration__Lamf_core_emitter_SpecOrdering(element$1, this.ordering$1)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  collect__sc_Seq__sc_Seq(elements) {
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter$$anonfun$collect$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter(this);
    const this$1 = $m_sc_Seq$();
    return elements.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  ordering__Lamf_core_emitter_SpecOrdering() {
    return this.ordering$1
  };
  key__T() {
    return this.key$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(key, f, ordering) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    return this
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__position__Lamf_core_parser_Position(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.TraitExtendsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_TraitExtendsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter {
  constructor() {
    super();
    this.parametrizedScheme$2 = null;
    this.ordering$2 = null
  };
  productPrefix__T() {
    return "OasParametrizedSecuritySchemeEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const fs = this.parametrizedScheme$2.fields$1;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f = x2.value$2;
      const x1$2 = f.value$1.value$1;
      let scopes;
      if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(x1$2)) {
        const x2$2 = x1$2;
        const jsx$2 = x2$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(s$2) {
            const s = s$2;
            const this$1 = s.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1);
            const this$2 = this$1.option$1;
            return new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations((this$2.isEmpty__Z() ? null : this$2.get__O()), s.annotations$1), $m_Lorg_yaml_model_YType$().Str$1)
          })
        })(this));
        const this$4 = $m_sc_Seq$();
        scopes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
      } else {
        scopes = $m_sci_Nil$()
      };
      const jsx$5 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const this$6 = this.parametrizedScheme$2;
      const this$7 = this$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
      const this$8 = this$7.option$1;
      const str = (this$8.isEmpty__Z() ? null : this$8.get__O());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$3 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$PartBuilder__V(this.ordering$2.sorted__sc_Seq__sc_Seq(scopes), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YSequence$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Seq$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs);
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(node);
      const this$15 = v.builder$1;
      const array = [key];
      if ((this$15.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$15.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$15, newSize);
      const len$1 = this$15.size0$6;
      const src = this$15.array$6;
      const dest = this$15.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$15.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$4 = j;
        const index = i;
        xs.u[jsx$4] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$15.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$5.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1))
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        const jsx$8 = b.builder$1;
        const b$3 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        const this$31 = this.parametrizedScheme$2;
        const this$32 = this$31.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
        const this$33 = this$32.option$1;
        const str$1 = (this$33.isEmpty__Z() ? null : this$33.get__O());
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$6 = v$1.builder$1;
        const b$4 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YSequence$();
        const c$2 = b$4.builder$1;
        const value$2 = new $c_Lorg_yaml_model_YSequence().init___sc_IndexedSeq(c$2);
        const tt$2 = $m_Lorg_yaml_model_YType$().Seq$1;
        $m_Lorg_yaml_model_YNode$();
        const t$2 = tt$2.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$2 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$2 = null;
        const node$1 = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t$2, a$2, cs$2);
        jsx$6.$$plus$eq__O__scm_ArrayBuffer(node$1);
        const this$40 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$40.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$40.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$40, newSize$1);
        const len$4 = this$40.size0$6;
        const src$1 = this$40.array$6;
        const dest$1 = this$40.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$40.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$3 = (array$1.length | 0);
        const x$4 = ((x$3 < len$5) ? x$3 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$4 < that$1) ? x$4 : that$1);
        while ((i$1 < end$1)) {
          const jsx$7 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$7] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$40.size0$6 = newSize$1;
        b$3.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c$3 = b$3.builder$1;
        const value$3 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$3);
        const tt$3 = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t$3 = tt$3.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a$3 = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs$3 = null;
        jsx$8.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$3, t$3, a$3, cs$3))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter(x$1)) {
      const OasParametrizedSecuritySchemeEmitter$1 = x$1;
      const x = this.parametrizedScheme$2;
      const x$2 = OasParametrizedSecuritySchemeEmitter$1.parametrizedScheme$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = OasParametrizedSecuritySchemeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parametrizedScheme$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering(parametrizedScheme, ordering) {
    this.parametrizedScheme$2 = parametrizedScheme;
    this.ordering$2 = ordering;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.parametrizedScheme$2.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.OasParametrizedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_OasParametrizedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "ParametrizedSecuritiesSchemeEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter(x$1)) {
      const ParametrizedSecuritiesSchemeEmitter$1 = x$1;
      let jsx$1;
      if ((this.key$1 === ParametrizedSecuritiesSchemeEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = ParametrizedSecuritiesSchemeEmitter$1.f$1;
        jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$3 = this.ordering$1;
        const x$4 = ParametrizedSecuritiesSchemeEmitter$1.ordering$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  emit__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_PartEmitter(scheme) {
    return this.spec$1.factory__Lamf_plugins_document_webapi_contexts_SpecEmitterFactory().parametrizedSecurityEmitter__F2().apply__O__O__O(scheme, this.ordering$1)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__emit__Lorg_yaml_model_YDocument$EntryBuilder__V(this, b)
  };
  emit__Lamf_core_model_domain_AmfElement__Lamf_core_emitter_PartEmitter(element) {
    return this.emit__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_PartEmitter(element)
  };
  f__Lamf_core_parser_FieldEntry() {
    return this.f$1
  };
  collect__sc_Seq__sc_Seq(elements) {
    const this$1 = this.f$1;
    const jsx$2 = this$1.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter$$anonfun$collect$1().init___Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter(this);
    const this$2 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  ordering__Lamf_core_emitter_SpecOrdering() {
    return this.ordering$1
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(key, f, ordering, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.spec$1 = spec;
    return this
  };
  key__T() {
    return this.key$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    return $f_Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter__position__Lamf_core_parser_Position(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.ParametrizedSecuritiesSchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_SingleValueArrayEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritiesSchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter {
  constructor() {
    super();
    this.endpoint$2 = null;
    this.ordering$2 = null;
    this.children$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Raml08EndPointEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter(x$1)) {
      const Raml08EndPointEmitter$1 = x$1;
      const x = this.endpoint$2;
      const x$2 = Raml08EndPointEmitter$1.endpoint$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08EndPointEmitter$1.ordering$2;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.children$2;
        const x$6 = Raml08EndPointEmitter$1.children$2;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = Raml08EndPointEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endpoint$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.children$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, ctx) {
    this.endpoint$2 = endpoint;
    this.ordering$2 = ordering;
    this.children$2 = children;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.init___Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, ordering, children, references, ctx);
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.emitters__Lamf_core_parser_Fields__scm_ListBuffer.call(this, fs);
    const jsx$1 = $m_Lamf_core_utils_package$TemplateUri$();
    const this$1 = this.endpoint$2;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1);
    const this$3 = this$2.option$1;
    const variables = jsx$1.variables__T__sc_Seq((this$3.isEmpty__Z() ? null : this$3.get__O()));
    const this$4 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    if ((!this$4.isEmpty__Z())) {
      const arg1 = this$4.get__O();
      const f = arg1;
      let jsx$2;
      if (f.value$1.value$1.values$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2$2) {
          const f$2 = f$2$2;
          return (!f$2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
        })
      })(this)))) {
        const elem = $m_sci_Nil$();
        const uriParameters = new $c_sr_ObjectRef().init___O(elem);
        const elem$1 = $m_sci_Nil$();
        const pathParameters = new $c_sr_ObjectRef().init___O(elem$1);
        f.value$1.value$1.values$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, variables$1, uriParameters$1, pathParameters$1) {
          return (function(x0$1$2) {
            const x0$1 = x0$1$2;
            if ($is_Lamf_plugins_domain_webapi_models_Parameter(x0$1)) {
              const x2 = x0$1;
              const this$7 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
              const this$8 = this$7.option$1;
              let jsx$3;
              if (variables$1.contains__O__Z((this$8.isEmpty__Z() ? null : this$8.get__O()))) {
                jsx$3 = true
              } else {
                const this$9 = x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1);
                const this$10 = this$9.option$1;
                jsx$3 = variables$1.contains__O__Z((this$10.isEmpty__Z() ? null : this$10.get__O()))
              };
              if (jsx$3) {
                const jsx$5 = pathParameters$1.elem$1;
                const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]));
                const this$11 = $m_sc_Seq$();
                pathParameters$1.elem$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2)
              } else {
                const jsx$7 = uriParameters$1.elem$1;
                const jsx$6 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x2]));
                const this$12 = $m_sc_Seq$();
                uriParameters$1.elem$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$12.ReusableCBFInstance$2)
              }
            } else {
              throw new $c_s_MatchError().init___O(x0$1)
            }
          })
        })(this, variables, uriParameters, pathParameters)));
        const jsx$8 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(pathParameters.elem$1, new $c_Lamf_core_parser_Annotations().init___());
        const annotations = f.value$1.annotations$1;
        result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("uriParameters", new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$8, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations)), this.ordering$2, this.references$2, this.spec$1));
        const jsx$9 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
        const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(uriParameters.elem$1, new $c_Lamf_core_parser_Annotations().init___());
        const annotations$1 = f.value$1.annotations$1;
        jsx$2 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("baseUriParameters", new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$9, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value$1, annotations$1)), this.ordering$2, this.references$2, this.spec$1))
      } else {
        jsx$2 = (void 0)
      };
      new $c_s_Some().init___O(jsx$2)
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  endpoint__Lamf_plugins_domain_webapi_models_EndPoint() {
    return this.endpoint$2
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08EndPointEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08EndPointEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter {
  constructor() {
    super();
    this.operation$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.baseUriParameterKey$2 = null
  };
  productPrefix__T() {
    return "Raml08OperationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter(x$1)) {
      const Raml08OperationEmitter$1 = x$1;
      const x = this.operation$2;
      const x$2 = Raml08OperationEmitter$1.operation$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08OperationEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml08OperationEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.operation$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  baseUriParameterKey__T() {
    return this.baseUriParameterKey$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, spec) {
    this.operation$2 = operation;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, operation, ordering, references, spec);
    this.baseUriParameterKey$2 = "baseUriParameters";
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08OperationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08OperationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter {
  constructor() {
    super();
    this.parameter$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml08ParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter(x$1)) {
      const Raml08ParameterEmitter$1 = x$1;
      const x = this.parameter$2;
      const x$2 = Raml08ParameterEmitter$1.parameter$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08ParameterEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml08ParameterEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fields, builder) {
    const this$1 = fields.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1).get__O();
    new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$1.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(builder)
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$2 = parameter;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, parameter, ordering, references, spec);
    return this
  };
  emitParameter__Lorg_yaml_model_YDocument$EntryBuilder__V(builder) {
    const this$1 = this.parameter$2;
    const x1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
    let vf_$_f$2;
    if ($is_Lamf_plugins_domain_shapes_models_AnyShape(x1)) {
      const x2 = x1;
      const eta$0$1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter$().apply__Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypePartEmitter(x2, this.ordering$2, this.references$2, this.spec$2);
      const f = (function(this$2, eta$0$1$1) {
        return (function(b$2) {
          const b = b$2;
          eta$0$1$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
        })
      })(this, eta$0$1);
      const jsx$1_$_f$2 = f;
      vf_$_f$2 = jsx$1_$_f$2
    } else {
      const eta$0$2 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_CommentEmitter().init___Lamf_core_model_domain_AmfElement__T(x1, new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot emit ", " type of shape in raml 08"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$objectGetClass(x1).toString__T()])));
      const f$1 = (function(this$3, eta$0$2$1) {
        return (function(b$3$2) {
          const b$3 = b$3$2;
          eta$0$2$1.emit__Lorg_yaml_model_YDocument$PartBuilder__V(b$3)
        })
      })(this, eta$0$2);
      const jsx$2_$_f$2 = f$1;
      vf_$_f$2 = jsx$2_$_f$2
    };
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(this.parameter$2.fields$1, k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    vf_$_f$2(v);
    const this$4 = k.builder$1;
    const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$4, 0);
    const this$5 = v.builder$1;
    builder.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$5, 0))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false
  };
  parse__Lamf_plugins_domain_webapi_models_Parameter() {
    const elem = this.entry$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const name = new $c_sr_ObjectRef().init___O(elem);
    const this$2 = this.producer$2.apply__O__O(name.elem$1);
    const name$1 = name.elem$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
    const this$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, name$1);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
    const parameter = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$3, other);
    const this$4 = this.entry$2.value$1;
    const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Null$1;
    if ((x === x1)) {
      const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parameter$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$1, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
        })
      })(this, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const schema = arg1;
        schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
        const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$2, schema, annotations)
      }
    } else {
      const this$7 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, name$2, parameter$2) {
        return (function(s$2) {
          const s = s$2;
          const name$3 = name$2.elem$1;
          const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(s, field$3, name$3).adopted__T__Lamf_core_model_domain_AmfObject(parameter$2.id$1)
        })
      })(this, name, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$7.isEmpty__Z())) {
        const arg1$1 = this$7.get__O();
        const schema$3 = arg1$1;
        const field$4 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$4, schema$3)
      }
    };
    const x1$2 = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1).fields__Lamf_core_parser_Fields().entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_core_metamodel_domain_ShapeModel$().RequiredShape$1);
    if ($is_s_Some(x1$2)) {
      const x2 = x1$2;
      const e = x2.value$2;
      const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
      const value = e.value$1.value$1.toBool__Z();
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field$5, value)
    } else {
      const x$3 = $m_s_None$();
      if ((x$3 === x1$2)) {
        const field$6 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field$6, false)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    };
    if ((this.parseOptional$2 && $m_sjsr_RuntimeString$().endsWith__T__T__Z(name.elem$1, "?"))) {
      const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Optional$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(parameter, field$7, true);
      const x$1 = name.elem$1;
      const this$9 = new $c_sci_StringOps().init___T(x$1);
      name.elem$1 = $f_sci_StringLike__stripSuffix__T__T(this$9, "?");
      const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
      const value$1 = name.elem$1;
      const this$10 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(parameter, field$8, value$1);
      const field$9 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
      const value$2 = name.elem$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field$9, value$2)
    };
    return parameter
  };
  productPrefix__T() {
    return "Raml08ParameterParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser(x$1)) {
      const Raml08ParameterParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml08ParameterParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml08ParameterParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml08ParameterParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml08PayloadsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter(x$1)) {
      const Raml08PayloadsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === Raml08PayloadsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = Raml08PayloadsEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = Raml08PayloadsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml08PayloadsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    new $c_Lamf_core_emitter_BaseEmitters_package$RawEmitter().init___T__Lorg_yaml_model_YType__Lamf_core_parser_Annotations(this.key$1, $m_Lorg_yaml_model_YType$().Str$1, new $c_Lamf_core_parser_Annotations().init___()).emit__Lorg_yaml_model_YDocument$PartBuilder__V(k);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const this$4 = this.f$1;
    const jsx$2 = this$4.value$1.value$1.values$1;
    const jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter(this);
    const this$5 = $m_sc_Seq$();
    const payloads = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    if (payloads.isEmpty__Z()) {
      $m_Lorg_yaml_model_YNode$();
      const map = $m_Lorg_yaml_model_YMap$().empty$1;
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const node = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs);
      v.builder$1.$$plus$eq__O__scm_ArrayBuffer(node)
    } else {
      const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(p$2) {
          const p = p$2;
          return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadEmitter().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(p, $this.ordering$1, $this.spec$1).emitters__sc_Seq()
        })
      })(this));
      const this$11 = $m_sc_Seq$();
      const emitters = payloads.flatMap__F1__scg_CanBuildFrom__O(jsx$3, this$11.ReusableCBFInstance$2);
      matchEnd5: {
        $m_sc_Seq$();
        const o8 = new $c_s_Some().init___O(emitters);
        if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
          const pe = o8.value$2.apply__I__O(0);
          if ($is_Lamf_core_emitter_PartEmitter(pe)) {
            const x3 = pe;
            x3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
            break matchEnd5
          }
        };
        if (emitters.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$6$2) {
            const x$6 = x$6$2;
            return $is_Lamf_core_emitter_EntryEmitter(x$6)
          })
        })(this)))) {
          const jsx$7 = v.builder$1;
          const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
          const jsx$6 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const jsx$5 = this.ordering$1;
          const jsx$4 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter$$anonfun$$nestedInanonfun$emit$11$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter(this);
          const this$14 = $m_sc_Seq$();
          jsx$6.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(jsx$5.sorted__sc_Seq__sc_Seq(emitters.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$4, this$14.ReusableCBFInstance$2)), b$1);
          $m_Lorg_yaml_model_YNode$();
          $m_Lorg_yaml_model_YMap$();
          const c = b$1.builder$1;
          const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
          const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
          $m_Lorg_yaml_model_YNode$();
          const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
          $m_Lorg_yaml_model_YNode$();
          const a$1 = $m_s_None$();
          $m_Lorg_yaml_model_YNode$();
          const cs$1 = null;
          jsx$7.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t$1, a$1, cs$1));
          break matchEnd5
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([emitters]))))
      }
    };
    const this$19 = k.builder$1;
    const jsx$8 = $f_scm_ResizableArray__apply__I__O(this$19, 0);
    const this$20 = v.builder$1;
    b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$8, $f_scm_ResizableArray__apply__I__O(this$20, 0))
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08PayloadsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadsEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08PayloadsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter {
  constructor() {
    super();
    this.response$2 = null;
    this.ordering$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Raml08ResponseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter(x$1)) {
      const Raml08ResponseEmitter$1 = x$1;
      const x = this.response$2;
      const x$2 = Raml08ResponseEmitter$1.response$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml08ResponseEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml08ResponseEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.response$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, spec) {
    this.response$2 = response;
    this.ordering$2 = ordering;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, response, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml08ResponseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ResponseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter {
  constructor() {
    super();
    this.endpoint$2 = null;
    this.ordering$2 = null;
    this.children$2 = null;
    this.references$2 = null
  };
  productPrefix__T() {
    return "Raml10EndPointEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter(x$1)) {
      const Raml10EndPointEmitter$1 = x$1;
      const x = this.endpoint$2;
      const x$2 = Raml10EndPointEmitter$1.endpoint$2;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10EndPointEmitter$1.ordering$2;
        jsx$2 = (x$3 === x$4)
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.children$2;
        const x$6 = Raml10EndPointEmitter$1.children$2;
        jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.references$2;
        const x$8 = Raml10EndPointEmitter$1.references$2;
        return ((x$7 === null) ? (x$8 === null) : x$7.equals__O__Z(x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.endpoint$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.children$2;
        break
      }
      case 3: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_EndPoint__Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(endpoint, ordering, children, references, spec) {
    this.endpoint$2 = endpoint;
    this.ordering$2 = ordering;
    this.children$2 = children;
    this.references$2 = references;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.init___Lamf_core_emitter_SpecOrdering__scm_ListBuffer__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, ordering, children, references, spec);
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter.prototype.emitters__Lamf_core_parser_Fields__scm_ListBuffer.call(this, fs);
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Payloads$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(new $c_Lamf_core_utils_package$Strings().init___T("payloads").asRamlAnnotation__T(), f, this.ordering$2, this.references$2, this.spec$1)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      let jsx$1;
      if (f$3.value$1.value$1.values$1.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(f$2$2) {
          const f$2 = f$2$2;
          return (!f$2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf()))
        })
      })(this)))) {
        const x1 = f$3.value$1.value$1.values$1.partition__F1__T2(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(p$2) {
            const p = p$2;
            const this$4 = p.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
            return $f_Lamf_core_model_ValueField__is__O__Z(this$4, "path")
          })
        })(this)));
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const path = x1.$$und1__O();
        const other = x1.$$und2__O();
        const x$4 = new $c_Lamf_core_utils_package$Strings().init___T("parameters").asRamlAnnotation__T();
        const x$6 = this.ordering$2;
        const x$7 = this.references$2;
        const x$8 = $m_sci_Nil$();
        const spec = this.spec$1;
        const x$9 = new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter(spec.refEmitter$1);
        result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasParametersEmitter().init___T__sc_Seq__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x$4, other, x$6, x$8, x$7, x$9).ramlEndpointEmitters__sc_Seq());
        if (path.nonEmpty__Z()) {
          const jsx$2 = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Parameters$1;
          const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(path, f$3.value$1.value$1.annotations__Lamf_core_parser_Annotations());
          const annotations = f$3.value$1.annotations$1;
          const entry = new $c_Lamf_core_parser_FieldEntry().init___Lamf_core_metamodel_Field__Lamf_core_parser_Value(jsx$2, new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations));
          jsx$1 = result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametersEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext("uriParameters", entry, this.ordering$2, this.references$2, this.spec$1))
        } else {
          jsx$1 = (void 0)
        }
      } else {
        jsx$1 = (void 0)
      };
      new $c_s_Some().init___O(jsx$1)
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  endpoint__Lamf_plugins_domain_webapi_models_EndPoint() {
    return this.endpoint$2
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10EndPointEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlEndPointEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10EndPointEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter {
  constructor() {
    super();
    this.operation$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null;
    this.baseUriParameterKey$2 = null
  };
  productPrefix__T() {
    return "Raml10OperationEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter(x$1)) {
      const Raml10OperationEmitter$1 = x$1;
      const x = this.operation$2;
      const x$2 = Raml10OperationEmitter$1.operation$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10OperationEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10OperationEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.operation$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  entries__Lamf_core_parser_Fields__sc_Seq(fs) {
    const emitters = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter.prototype.entries__Lamf_core_parser_Fields__sc_Seq.call(this, fs);
    const results = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const jsx$1 = $m_s_Option$();
    const this$1 = this.operation$2;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1));
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const req = arg1;
      const this$3 = req.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryString$1);
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const f = arg1$1;
        let rc7 = false;
        let x2 = null;
        const x1 = $m_s_Option$().apply__O__s_Option(f.value$1.value$1);
        let jsx$2;
        matchEnd8: {
          if ($is_s_Some(x1)) {
            rc7 = true;
            x2 = x1;
            const shape = x2.value$2;
            if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
              const x5 = shape;
              jsx$2 = results.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlNamedTypeEmitter().init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__F5__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(x5, this.ordering$2, this.references$2, new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
                return (function(shape$2$2, ordering$2, annotations$2, ignored$2, references$2) {
                  const shape$2 = shape$2$2;
                  const ordering = ordering$2;
                  const annotations = annotations$2;
                  const ignored = ignored$2;
                  const references = references$2;
                  return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypePartEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__s_Option__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(shape$2, ordering, annotations, ignored, references, $this.spec$2)
                })
              })(this)), this.spec$2));
              break matchEnd8
            }
          };
          if (rc7) {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit non WebApi Shape"))
          };
          jsx$2 = (void 0)
        };
        new $c_s_Some().init___O(jsx$2)
      }
    };
    const this$4 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(results);
    const xs = emitters.seq__sc_TraversableOnce();
    const this$5 = this$4.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs);
    const xs$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.operation$2, this.ordering$2, this.spec$2).emitters__sc_Seq();
    const this$6 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$5);
    const xs$2 = xs$1.seq__sc_TraversableOnce();
    return this$6.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs$2)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  baseUriParameterKey__T() {
    return this.baseUriParameterKey$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(operation, ordering, references, spec) {
    this.operation$2 = operation;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Operation__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, operation, ordering, references, spec);
    this.baseUriParameterKey$2 = new $c_Lamf_core_utils_package$Strings().init___T("baseUriParameters").asRamlAnnotation__T();
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10OperationEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlOperationEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10OperationEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter {
  constructor() {
    super();
    this.parameter$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10ParameterEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter(x$1)) {
      const Raml10ParameterEmitter$1 = x$1;
      const x = this.parameter$2;
      const x$2 = Raml10ParameterEmitter$1.parameter$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10ParameterEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10ParameterEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parameter$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, b) {
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
    let explicit;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x$9 = arg1;
      explicit = x$9.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
    } else {
      explicit = false
    };
    let jsx$1;
    if ((!explicit)) {
      const this$2 = this.parameter$2;
      const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
      jsx$1 = (!$f_Lamf_core_model_BoolField__value__Z(this$3))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const this$4 = this.parameter$2;
      const this$5 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1);
      const this$6 = this$5.option$1;
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(((this$6.isEmpty__Z() ? null : this$6.get__O()) + "?"), new $c_Lamf_core_parser_Annotations().init___()), $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    } else {
      const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1).get__O();
      new $c_Lamf_core_emitter_BaseEmitters_package$ScalarEmitter().init___Lamf_core_model_domain_AmfScalar__Lorg_yaml_model_YType(this$9.value$1.value$1, $m_Lorg_yaml_model_YType$().Str$1).emit__Lorg_yaml_model_YDocument$PartBuilder__V(b)
    }
  };
  init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(parameter, ordering, references, spec) {
    this.parameter$2 = parameter;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Parameter__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_SpecEmitterContext.call(this, parameter, ordering, references, spec);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  emitParameter__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const fs = this.parameter$2.fields$1;
    const jsx$2 = $m_s_Option$();
    const this$1 = this.parameter$2;
    let jsx$1;
    if (jsx$2.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1)).isDefined__Z()) {
      const this$2 = this.parameter$2;
      jsx$1 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1).annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_core_annotations_SynthesizedField.getClassOf())
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      const k = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, k);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().raw__Lorg_yaml_model_YDocument$PartBuilder__T__Lorg_yaml_model_YType__V(v, "", $m_Lorg_yaml_model_YType$().Null$1);
      const this$3 = k.builder$1;
      const jsx$3 = $f_scm_ResizableArray__apply__I__O(this$3, 0);
      const this$4 = v.builder$1;
      b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$3, $f_scm_ResizableArray__apply__I__O(this$4, 0))
    } else {
      const k$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      this.emitParameterKey__Lamf_core_parser_Fields__Lorg_yaml_model_YDocument$PartBuilder__V(fs, k$1);
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$6 = v$1.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
      const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1);
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const f = arg1;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("description", f, $m_s_None$(), this.spec$2)))
      };
      const this$8 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1);
      let jsx$4;
      if (this$8.isEmpty__Z()) {
        jsx$4 = true
      } else {
        const arg1$1 = this$8.get__O();
        const x$8 = arg1$1;
        jsx$4 = x$8.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_core_annotations_ExplicitField.getClassOf())
      };
      let this$9;
      if (jsx$4) {
        this$9 = this$8
      } else {
        this$9 = $m_s_None$()
      };
      if ((!this$9.isEmpty__Z())) {
        const arg1$2 = this$9.get__O();
        const f$3 = arg1$2;
        new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("required", f$3, $m_s_None$(), this.spec$2)))
      };
      let rc10 = false;
      let x2 = null;
      const jsx$5 = $m_s_Option$();
      const this$11 = this.parameter$2;
      const x1 = jsx$5.apply__O__s_Option(this$11.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1));
      matchEnd11: {
        if ($is_s_Some(x1)) {
          rc10 = true;
          x2 = x1;
          const shape = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
            const x6 = shape;
            if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x6).isDefined__Z()) {
              const this$12 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x6, this.ordering$2, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Description$1])), this.references$2, this.spec$2).emitters__sc_Seq().headOption__s_Option();
              if ((!this$12.isEmpty__Z())) {
                const arg1$3 = this$12.get__O();
                const h = arg1$3;
                result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$EntryPartEmitter().init___T__Lamf_core_emitter_PartEmitter__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", h, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
              };
              break matchEnd11
            }
          }
        };
        if (rc10) {
          const shape$2 = x2.value$2;
          if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape$2)) {
            const x7 = shape$2;
            result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeEmitter().init___Lamf_core_model_domain_Shape__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x7, this.ordering$2, $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Description$1])), this.references$2, this.spec$2).entries__sc_Seq());
            break matchEnd11
          }
        };
        if (rc10) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Cannot emit parameter for a non WebAPI shape"))
        };
        const x = $m_s_None$();
        if ((x === x1)) {
          result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.parameter$2, this.ordering$2, this.spec$2).emitters__sc_Seq());
          break matchEnd11
        };
        throw new $c_s_MatchError().init___O(x1)
      };
      const x1$2 = $m_s_Option$().apply__O__s_Option(this.parameter$2.fields$1.getValue__Lamf_core_metamodel_Field__Lamf_core_parser_Value($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1));
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const v$2 = x2$2.value$2;
        const x1$3 = v$2.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_ExplicitField.getClassOf());
        if ($is_s_Some(x1$3)) {
          const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1);
          if ((!this$15.isEmpty__Z())) {
            const arg1$4 = this$15.get__O();
            const f$4 = arg1$4;
            new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("binding").asRamlAnnotation__T(), f$4, $m_s_None$())))
          }
        } else {
          const x$3 = $m_s_None$();
          if ((!(x$3 === x1$3))) {
            throw new $c_s_MatchError().init___O(x1$3)
          }
        }
      };
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$2.sorted__sc_Seq__sc_Seq(result), b$1);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$1.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$22 = k$1.builder$1;
      const jsx$7 = $f_scm_ResizableArray__apply__I__O(this$22, 0);
      const this$23 = v$1.builder$1;
      b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(jsx$7, $f_scm_ResizableArray__apply__I__O(this$23, 0))
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ParameterEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.producer$2 = null;
    this.parseOptional$2 = false
  };
  parse__Lamf_plugins_domain_webapi_models_Parameter() {
    const name = this.entry$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$1).text$3;
    const this$1 = this.producer$2.apply__O__O(name);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
    const this$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
    const parameter = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$2, other);
    const this$3 = this.entry$2.value$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
    let p;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
      const iv = this.ctx$1;
      const this$5 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
      jsx$1.key__T__F1__V("required", this$5.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Description$1;
      const iv$1 = this.ctx$1;
      jsx$2.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
      const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
      const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("binding").asRamlAnnotation__T();
      const field$3 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1;
      const iv$2 = this.ctx$1;
      const this$9 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parameter);
      jsx$4.key__T__F1__V(jsx$3, this$9.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
      const this$11 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parameter$1) {
        return (function(shape$2) {
          const shape = shape$2;
          const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$4, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$1.id$1)
        })
      })(this, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
      if ((!this$11.isEmpty__Z())) {
        const arg1 = this$11.get__O();
        const x$1 = arg1;
        const field$5 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$5, x$1, annotations)
      };
      new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(parameter, map, this.ctx$1).parse__V();
      p = parameter
    } else {
      const x1$2 = this.ctx$1.link__Lorg_yaml_model_YNode__s_util_Either(this.entry$2.value$1);
      const scope = ($is_s_util_Left(x1$2) ? $m_Lamf_core_parser_SearchScope$Fragments$() : $m_Lamf_core_parser_SearchScope$Named$());
      const this$12 = this.entry$2.value$1;
      const x1$3 = this$12.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1$3)) {
        const this$14 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, parameter$2) {
          return (function(shape$3$2) {
            const shape$3 = shape$3$2;
            const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$3, field$6, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$2.id$1)
          })
        })(this, parameter)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$1).parse__s_Option();
        if ((!this$14.isEmpty__Z())) {
          const arg1$1 = this$14.get__O();
          const schema = arg1$1;
          schema.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_SynthesizedField().init___());
          const field$7 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parameter, field$7, schema, annotations$1)
        };
        p = parameter
      } else {
        let rc7 = false;
        let x2$2 = null;
        const this$15 = this.entry$2.value$1;
        const conversion$1 = $m_Lamf_core_parser_package$YScalarYRead$();
        const x1$4 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$15);
        matchEnd8: {
          if ($is_s_util_Right(x1$4)) {
            rc7 = true;
            x2$2 = x1$4;
            const ref = x2$2.value$2;
            if (this.ctx$1.declarations$2.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref.text$3, scope).isDefined__Z()) {
              const this$16 = this.ctx$1.declarations$2.findParameter__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref.text$3, scope).get__O();
              const label = ref.text$3;
              const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
              const this$17 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this$16, label, annotations$2);
              const field$8 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
              p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$8, name);
              break matchEnd8
            }
          };
          if (rc7) {
            const ref$2 = x2$2.value$2;
            if (this.ctx$1.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref$2.text$3, scope).isDefined__Z()) {
              const this$18 = this.ctx$1.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(ref$2.text$3, scope).get__O();
              const label$1 = ref$2.text$3;
              const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
              const this$19 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this$18, label$1, annotations$3);
              const field$9 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const schema$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$9, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter.id$1);
              const field$10 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
              p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$10, schema$3);
              break matchEnd8
            }
          };
          if (rc7) {
            const ref$3 = x2$2.value$2;
            const str = ref$3.text$3;
            if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z(this, str)) {
              const ramlType = ref$3.text$3;
              const this$20 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__parseWellKnownTypeRef__T__Lamf_core_model_domain_Shape(this, ramlType);
              const field$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const schema$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$20, field$11, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter.id$1);
              const field$12 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
              p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$12, schema$4);
              break matchEnd8
            }
          };
          if (rc7) {
            const ref$4 = x2$2.value$2;
            const str$1 = ref$4.text$3;
            if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__isTypeExpression__T__Z(this, str$1)) {
              const adopt = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$5$1, parameter$3) {
                return (function(shape$4$2) {
                  const shape$4 = shape$4$2;
                  const field$13 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                  return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$13, "schema").adopted__T__Lamf_core_model_domain_AmfObject(parameter$3.id$1)
                })
              })(this, parameter));
              const part = $m_s_None$();
              const ctx = this.ctx$1;
              const x1$5 = new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, false, ctx).parse__T__s_Option(ref$4.text$3);
              if ($is_s_Some(x1$5)) {
                const x2$3 = x1$5;
                const schema$5 = x2$3.value$2;
                const field$14 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1;
                p = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(parameter, field$14, schema$5);
                break matchEnd8
              } else {
                const this$23 = this.ctx$1;
                const node = parameter.id$1;
                const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse type expression for unresolved parameter '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1)]));
                const ast = this.entry$2.value$1;
                $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$23, node, message, ast);
                p = parameter;
                break matchEnd8
              }
            }
          };
          const this$24 = this.ctx$1;
          const node$1 = parameter.id$1;
          const ast$1 = this.entry$2.value$1;
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$24, node$1, "Cannot declare unresolved parameter", ast$1);
          p = parameter
        }
      }
    };
    if (p.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1).isEmpty__Z()) {
      const required = (!$m_sjsr_RuntimeString$().endsWith__T__T__Z(name, "?"));
      let paramName;
      if (required) {
        paramName = name
      } else {
        const this$26 = new $c_sci_StringOps().init___T(name);
        paramName = $f_sci_StringLike__stripSuffix__T__T(this$26, "?")
      };
      const field$15 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Required$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(p, field$15, required);
      const field$16 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
      const this$27 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(p, field$16, paramName);
      const field$17 = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().ParameterName$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$27, field$17, paramName)
    };
    return p
  };
  productPrefix__T() {
    return "Raml10ParameterParser"
  };
  init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entry, producer, parseOptional, ctx) {
    this.entry$2 = entry;
    this.producer$2 = producer;
    this.parseOptional$2 = parseOptional;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser.prototype.init___Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entry, producer, ctx);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser(x$1)) {
      const Raml10ParameterParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = Raml10ParameterParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.producer$2;
        const x$4 = Raml10ParameterParser$1.producer$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return (this.parseOptional$2 === Raml10ParameterParser$1.parseOptional$2)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.producer$2;
        break
      }
      case 2: {
        return this.parseOptional$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entry$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.producer$2));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.parseOptional$2 ? 1231 : 1237));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ParameterParser", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParameterParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ParameterParser;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter extends $c_O {
  constructor() {
    super();
    this.key$1 = null;
    this.f$1 = null;
    this.ordering$1 = null;
    this.references$1 = null;
    this.spec$1 = null
  };
  productPrefix__T() {
    return "Raml10PayloadsEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter(x$1)) {
      const Raml10PayloadsEmitter$1 = x$1;
      let jsx$2;
      if ((this.key$1 === Raml10PayloadsEmitter$1.key$1)) {
        const x = this.f$1;
        const x$2 = Raml10PayloadsEmitter$1.f$1;
        jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$3 = this.ordering$1;
        const x$4 = Raml10PayloadsEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$1;
        const x$6 = Raml10PayloadsEmitter$1.references$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.key$1;
        break
      }
      case 1: {
        return this.f$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.references$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const x1 = this.payloads__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(this.f$1, this.ordering$1, this.references$1);
    matchEnd5: {
      $m_sc_Seq$();
      const o8 = new $c_s_Some().init___O(x1);
      if (((o8.value$2 !== null) && (o8.value$2.lengthCompare__I__I(1) === 0))) {
        const p = o8.value$2.apply__I__O(0);
        if ($is_Lamf_core_emitter_PartEmitter(p)) {
          const x3 = p;
          $m_Lorg_yaml_model_YNode$();
          const str = this.key$1;
          const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
          const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
          x3.emit__Lorg_yaml_model_YDocument$PartBuilder__V(v);
          const this$4 = v.builder$1;
          const array = [key];
          if ((this$4.size0$6 < 0)) {
            throw new $c_jl_IndexOutOfBoundsException().init___T("0")
          };
          const len = (array.length | 0);
          const newSize = ((this$4.size0$6 + len) | 0);
          $f_scm_ResizableArray__ensureSize__I__V(this$4, newSize);
          const len$1 = this$4.size0$6;
          const src = this$4.array$6;
          const dest = this$4.array$6;
          $systemArraycopy(src, 0, dest, len, len$1);
          const xs = this$4.array$6;
          const len$2 = xs.u.length;
          let i = 0;
          let j = 0;
          const x = (array.length | 0);
          const x$1 = ((x < len$2) ? x : len$2);
          const that = xs.u.length;
          const end = ((x$1 < that) ? x$1 : that);
          while ((i < end)) {
            const jsx$1 = j;
            const index = i;
            xs.u[jsx$1] = array[index];
            i = ((1 + i) | 0);
            j = ((1 + j) | 0)
          };
          this$4.size0$6 = newSize;
          b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
          break matchEnd5
        }
      };
      if (x1.forall__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$12$2) {
          const x$12 = x$12$2;
          return $is_Lamf_core_emitter_EntryEmitter(x$12)
        })
      })(this)))) {
        $m_Lorg_yaml_model_YNode$();
        const str$1 = this.key$1;
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
        const jsx$4 = v$1.builder$1;
        const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
        const jsx$3 = $m_Lamf_core_emitter_BaseEmitters_package$();
        const jsx$2 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter$$anonfun$$nestedInanonfun$emit$24$1().init___Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter(this);
        const this$17 = $m_sc_Seq$();
        jsx$3.traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(x1.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$17.ReusableCBFInstance$2), b$1);
        $m_Lorg_yaml_model_YNode$();
        $m_Lorg_yaml_model_YMap$();
        const c = b$1.builder$1;
        const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
        const tt = $m_Lorg_yaml_model_YType$().Map$1;
        $m_Lorg_yaml_model_YNode$();
        const t = tt.org$yaml$model$YType$$tag$und$1;
        $m_Lorg_yaml_model_YNode$();
        const a = $m_s_None$();
        $m_Lorg_yaml_model_YNode$();
        const cs = null;
        jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
        const this$22 = v$1.builder$1;
        const array$1 = [key$1];
        if ((this$22.size0$6 < 0)) {
          throw new $c_jl_IndexOutOfBoundsException().init___T("0")
        };
        const len$3 = (array$1.length | 0);
        const newSize$1 = ((this$22.size0$6 + len$3) | 0);
        $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize$1);
        const len$4 = this$22.size0$6;
        const src$1 = this$22.array$6;
        const dest$1 = this$22.array$6;
        $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
        const xs$1 = this$22.array$6;
        const len$5 = xs$1.u.length;
        let i$1 = 0;
        let j$1 = 0;
        const x$2 = (array$1.length | 0);
        const x$3 = ((x$2 < len$5) ? x$2 : len$5);
        const that$1 = xs$1.u.length;
        const end$1 = ((x$3 < that$1) ? x$3 : that$1);
        while ((i$1 < end$1)) {
          const jsx$5 = j$1;
          const index$1 = i$1;
          xs$1.u[jsx$5] = array$1[index$1];
          i$1 = ((1 + i$1) | 0);
          j$1 = ((1 + j$1) | 0)
        };
        this$22.size0$6 = newSize$1;
        b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
        break matchEnd5
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["IllegalTypeDeclarations found: ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]))))
    }
  };
  init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(key, f, ordering, references, spec) {
    this.key$1 = key;
    this.f$1 = f;
    this.ordering$1 = ordering;
    this.references$1 = references;
    this.spec$1 = spec;
    return this
  };
  payloads__p1__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__sc_Seq__sc_Seq(f, ordering, references) {
    const jsx$2 = f.value$1.value$1.values$1;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ordering$1, references$1) {
      return (function(e$2) {
        const e = e$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10Payloads().init___Lamf_plugins_domain_webapi_models_Payload__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(e, ordering$1, references$1, $this.spec$1).emitters__sc_Seq()
      })
    })(this, ordering, references));
    const this$1 = $m_sc_Seq$();
    return ordering.sorted__sc_Seq__sc_Seq(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.f$1.value$1.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10PayloadsEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlPayloadsEmitter: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10PayloadsEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter {
  constructor() {
    super();
    this.response$2 = null;
    this.ordering$2 = null;
    this.references$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "Raml10ResponseEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter(x$1)) {
      const Raml10ResponseEmitter$1 = x$1;
      const x = this.response$2;
      const x$2 = Raml10ResponseEmitter$1.response$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = Raml10ResponseEmitter$1.ordering$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$2;
        const x$6 = Raml10ResponseEmitter$1.references$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.response$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      case 2: {
        return this.references$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(response, ordering, references, spec) {
    this.response$2 = response;
    this.ordering$2 = ordering;
    this.references$2 = references;
    this.spec$2 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter.prototype.init___Lamf_plugins_domain_webapi_models_Response__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, response, ordering, references, spec);
    return this
  };
  emitters__Lamf_core_parser_Fields__scm_ListBuffer(fs) {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    const this$1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Examples$1);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_domain_OasResponseExamplesEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering(new $c_Lamf_core_utils_package$Strings().init___T("examples").asRamlAnnotation__T(), f, this.ordering$2)))
    };
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_AnnotationsEmitter().init___Lamf_core_model_domain_DomainElement__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(this.response$2, this.ordering$2, this.spec$2).emitters__sc_Seq());
    const this$3 = $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter.prototype.emitters__Lamf_core_parser_Fields__scm_ListBuffer.call(this, fs);
    const this$4 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this$3);
    return this$4.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(result)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.Raml10ResponseEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_RamlResponseEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_Raml10ResponseEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter {
  constructor() {
    super();
    this.parametrizedScheme$2 = null;
    this.ordering$2 = null;
    this.spec$2 = null
  };
  productPrefix__T() {
    return "RamlParametrizedSecuritySchemeEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const fs = this.parametrizedScheme$2.fields$1;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const f = x2.value$2;
      const jsx$3 = b.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lorg_yaml_model_YNode$();
      const this$2 = this.parametrizedScheme$2;
      const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
      const this$4 = this$3.option$1;
      const str = (this$4.isEmpty__Z() ? null : this$4.get__O());
      const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$1 = v.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$2.sorted__sc_Seq__sc_Seq(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlSecuritySettingsValuesEmitters().init___Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(f, this.ordering$2, this.spec$2).emitters__sc_Seq()), b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
      const this$11 = v.builder$1;
      const array = [key];
      if ((this$11.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$11.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$11, newSize);
      const len$1 = this$11.size0$6;
      const src = this$11.array$6;
      const dest = this$11.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$11.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x = (array.length | 0);
      const x$1 = ((x < len$2) ? x : len$2);
      const that = xs.u.length;
      const end = ((x$1 < that) ? x$1 : that);
      while ((i < end)) {
        const jsx$2 = j;
        const index = i;
        xs.u[jsx$2] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$11.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1));
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1))
    } else {
      const x$2 = $m_s_None$();
      if ((x$2 === x1)) {
        const this$26 = this.parametrizedScheme$2;
        const this$27 = this$26.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1);
        const this$28 = this$27.option$1;
        b.$$plus$eq__T__V((this$28.isEmpty__Z() ? null : this$28.get__O()))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  productArity__I() {
    return 2
  };
  init___Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme__Lamf_core_emitter_SpecOrdering__Lamf_plugins_document_webapi_contexts_SpecEmitterContext(parametrizedScheme, ordering, spec) {
    this.parametrizedScheme$2 = parametrizedScheme;
    this.ordering$2 = ordering;
    this.spec$2 = spec;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter(x$1)) {
      const RamlParametrizedSecuritySchemeEmitter$1 = x$1;
      const x = this.parametrizedScheme$2;
      const x$2 = RamlParametrizedSecuritySchemeEmitter$1.parametrizedScheme$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$2;
        const x$4 = RamlParametrizedSecuritySchemeEmitter$1.ordering$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.parametrizedScheme$2;
        break
      }
      case 1: {
        return this.ordering$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.parametrizedScheme$2.annotations$1;
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.domain.RamlParametrizedSecuritySchemeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_domain_ParametrizedSecuritySchemeEmitter: 1,
  O: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_domain_RamlParametrizedSecuritySchemeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter {
  constructor() {
    super();
    this.document$3 = null
  };
  productPrefix__T() {
    return "Oas2DocumentEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter(x$1)) {
      const Oas2DocumentEmitter$1 = x$1;
      const x = this.document$3;
      const x$2 = Oas2DocumentEmitter$1.document$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(document, spec) {
    this.document$3 = document;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, document, spec);
    return this
  };
  versionEntry__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar("2.0");
    const tt = $m_Lorg_yaml_model_YType$().Str$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    b.updateDynamic__T__Lorg_yaml_model_YNode__V("swagger", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.Oas2DocumentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter {
  constructor() {
    super();
    this.document$3 = null
  };
  productPrefix__T() {
    return "Oas3DocumentEmitter"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter(x$1)) {
      const Oas3DocumentEmitter$1 = x$1;
      const x = this.document$3;
      const x$2 = Oas3DocumentEmitter$1.document$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.document$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(document, spec) {
    this.document$3 = document;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter.prototype.init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, document, spec);
    return this
  };
  versionEntry__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const value = $m_Lorg_yaml_model_YScalar$().apply__O__Lorg_yaml_model_YScalar("3.0.0");
    const tt = $m_Lorg_yaml_model_YType$().Str$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    b.updateDynamic__T__Lorg_yaml_model_YNode__V("openapi", new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  spec__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext() {
    return this.spec$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.Oas3DocumentEmitter", {
  Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter;
const $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List = (function($thiz) {
  const jsx$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().fields$1;
  const jsx$3 = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().fields$1;
  const this$1 = $m_sci_List$();
  const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
  $m_sci_List$();
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$thiz.Documentation__Lamf_core_metamodel_Field(), $thiz.XMLSerialization__Lamf_core_metamodel_Field(), $thiz.Examples__Lamf_core_metamodel_Field()]);
  const this$3 = $m_sci_List$();
  const cbf = this$3.ReusableCBFInstance$2;
  const jsx$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
  const this$4 = $m_sci_List$();
  return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
});
const $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V = (function($thiz) {
  const jsx$1 = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$();
  const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "documentation"), true));
  const jsx$2 = $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$();
  const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "xmlSerialization"), true));
  const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$());
  const this$5 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "examples"), true));
  $m_sci_List$();
  const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  const jsx$5 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "AnyShape");
  const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
  const jsx$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Shape");
  const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
  const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$5, jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "Shape")]);
  const this$14 = $m_sci_List$();
  const cbf = this$14.ReusableCBFInstance$2;
  $thiz.amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V($f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf))
});
class $c_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Summary$1 = null;
    this.Description$1 = null;
    this.ExternalValue$1 = null;
    this.StructuredValue$1 = null;
    this.Strict$1 = null;
    this.MediaType$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.DisplayName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "displayName"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Summary$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "guiSummary"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Str$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "description"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.ExternalValue$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "externalValue"), true);
    const jsx$6 = $m_Lamf_core_metamodel_domain_DataNodeModel$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.StructuredValue$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "structuredValue"), true);
    const jsx$7 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Strict$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "strict"), true);
    const jsx$8 = $m_Lamf_core_metamodel_Type$Str$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "mediaType"), true);
    this.key$1 = this.Name$1;
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "Example");
    const this$19 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$19);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  CustomDomainProperties__Lamf_core_metamodel_Field() {
    return (((2 & this.bitmap$0$1) === 0) ? this.CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() : this.CustomDomainProperties$1)
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.DisplayName$1, this.Summary$1, this.Description$1, this.ExternalValue$1, this.Strict$1, this.MediaType$1, this.StructuredValue$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$3 = $m_sci_List$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$3.ReusableCBFInstance$2);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$4 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().fields$1;
    const this$5 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  CustomDomainProperties$lzycompute__p1__Lamf_core_metamodel_Field() {
    if (((2 & this.bitmap$0$1) === 0)) {
      this.CustomDomainProperties$1 = $f_Lamf_core_metamodel_domain_DomainElementModel__CustomDomainProperties__Lamf_core_metamodel_Field(this);
      this.bitmap$0$1 = (((2 | this.bitmap$0$1) << 24) >> 24)
    };
    return this.CustomDomainProperties$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_ExampleModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.ExampleModel$", {
  Lamf_plugins_domain_shapes_metamodel_ExampleModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_ExampleModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_ExampleModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_ExampleModel$
});
class $c_Lamf_plugins_domain_shapes_models_Example extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $f_Lamf_core_model_domain_DynamicDomainElement__dynamicTypes__sc_Seq(this)
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-example" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/example/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  dynamicFields__sci_List() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().fields__sci_List()
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  afterResolve__V() {
    /*<skip>*/
  };
  dynamicType__sci_List() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().type$1
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    return $f_Lamf_core_model_domain_ExternalSourceElement__valueForField__Lamf_core_metamodel_Field__s_Option(this, f)
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_Example = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_Example)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_Example = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_Example)))
});
const $d_Lamf_plugins_domain_shapes_models_Example = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_Example: 0
}, false, "amf.plugins.domain.shapes.models.Example", {
  Lamf_plugins_domain_shapes_models_Example: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1
});
$c_Lamf_plugins_domain_shapes_models_Example.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_Example;
class $c_Lamf_plugins_domain_shapes_models_PropertyDependencies extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "PropertyDependencies"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_PropertyDependencies(x$1)) {
      const PropertyDependencies$1 = x$1;
      const x = this.fields$1;
      const x$2 = PropertyDependencies$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = PropertyDependencies$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/dependency"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_PropertyDependencies = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_PropertyDependencies)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_PropertyDependencies = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_PropertyDependencies)))
});
const $d_Lamf_plugins_domain_shapes_models_PropertyDependencies = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_PropertyDependencies: 0
}, false, "amf.plugins.domain.shapes.models.PropertyDependencies", {
  Lamf_plugins_domain_shapes_models_PropertyDependencies: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_PropertyDependencies.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_PropertyDependencies;
class $c_Lamf_plugins_domain_shapes_models_XMLSerializer extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "XMLSerializer"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_XMLSerializer(x$1)) {
      const XMLSerializer$1 = x$1;
      const x = this.fields$1;
      const x$2 = XMLSerializer$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = XMLSerializer$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_XMLSerializerModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    return "/xml"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_XMLSerializer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_XMLSerializer)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_XMLSerializer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_XMLSerializer)))
});
const $d_Lamf_plugins_domain_shapes_models_XMLSerializer = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_XMLSerializer: 0
}, false, "amf.plugins.domain.shapes.models.XMLSerializer", {
  Lamf_plugins_domain_shapes_models_XMLSerializer: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_XMLSerializer.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_XMLSerializer;
class $c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo extends $c_O {
  constructor() {
    super();
    this.range$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "ParameterBindingInBodyLexicalInfo"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo(x$1)) {
      const ParameterBindingInBodyLexicalInfo$1 = x$1;
      const x = this.range$1;
      const x$2 = ParameterBindingInBodyLexicalInfo$1.range$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.range$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___Lamf_core_parser_Range(range) {
    this.range$1 = range;
    this.name$1 = "parameter-binding-in-body-lexical-info";
    this.value$1 = range.toString__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo)))
});
const $d_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo: 0
}, false, "amf.plugins.domain.webapi.annotations.ParameterBindingInBodyLexicalInfo", {
  Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_ParameterBindingInBodyLexicalInfo;
class $c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo extends $c_O {
  constructor() {
    super();
    this.range$1 = null;
    this.name$1 = null;
    this.value$1 = null
  };
  productPrefix__T() {
    return "TypePropertyLexicalInfo"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo(x$1)) {
      const TypePropertyLexicalInfo$1 = x$1;
      const x = this.range$1;
      const x$2 = TypePropertyLexicalInfo$1.range$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.range$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  value__T() {
    return this.value$1
  };
  name__T() {
    return this.name$1
  };
  init___Lamf_core_parser_Range(range) {
    this.range$1 = range;
    this.name$1 = "type-property-lexical-info";
    this.value$1 = range.toString__T();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo)))
});
const $d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo: 0
}, false, "amf.plugins.domain.webapi.annotations.TypePropertyLexicalInfo", {
  Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo.prototype.$classData = $d_Lamf_plugins_domain_webapi_annotations_TypePropertyLexicalInfo;
class $c_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.ParameterName$1 = null;
    this.Description$1 = null;
    this.Required$1 = null;
    this.Deprecated$1 = null;
    this.AllowEmptyValue$1 = null;
    this.Style$1 = null;
    this.Explode$1 = null;
    this.AllowReserved$1 = null;
    this.Binding$1 = null;
    this.Schema$1 = null;
    this.Payloads$1 = null;
    this.Examples$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.Optional$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.ParameterName$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "paramName"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "description"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.Required$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "required"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Deprecated$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "deprecated"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.AllowEmptyValue$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "allowEmptyValue"), true);
    const jsx$7 = $m_Lamf_core_metamodel_Type$Str$();
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Style$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "style"), true);
    const jsx$8 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Explode$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "explode"), true);
    const jsx$9 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.AllowReserved$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "allowReserved"), true);
    const jsx$10 = $m_Lamf_core_metamodel_Type$Str$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Binding$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$10, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "binding"), true);
    const jsx$11 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$21 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$11, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$21, "schema"), true);
    const jsx$12 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$23 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$12, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$23, "payload"), true);
    const jsx$13 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$());
    const this$25 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Examples$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$13, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$25, "example"), true);
    this.key$1 = this.Name$1;
    const this$27 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$27, "Parameter");
    const this$29 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$29);
    return this
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.ParameterName$1, this.Description$1, this.Required$1, this.Deprecated$1, this.AllowEmptyValue$1, this.Style$1, this.Explode$1, this.AllowReserved$1, this.Binding$1, this.Schema$1, this.Payloads$1, this.Examples$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_ParameterModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.ParameterModel$", {
  Lamf_plugins_domain_webapi_metamodel_ParameterModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_ParameterModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_ParameterModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_ParameterModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ extends $c_O {
  constructor() {
    super();
    this.MediaType$1 = null;
    this.Schema$1 = null;
    this.Examples$1 = null;
    this.Encoding$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Optional$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "mediaType"), true);
    const jsx$2 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Schema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "schema"), true);
    const jsx$3 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$());
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Examples$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "example"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Encoding$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "encoding"), true);
    this.key$1 = this.MediaType$1;
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "Payload");
    const this$11 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$11);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    const x$5 = this.MediaType$1;
    const x$4 = this.Schema$1;
    const x$3 = this.Examples$1;
    const x$2 = this.Encoding$1;
    const jsx$2 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const jsx$1 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$1 = $m_sci_List$();
    const this$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const this$3 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2);
    const this$4 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
    const this$5 = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$4);
    return new $c_sci_$colon$colon().init___O__sci_List(x$5, this$5)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_PayloadModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.PayloadModel$", {
  Lamf_plugins_domain_webapi_metamodel_PayloadModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_PayloadModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_PayloadModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_PayloadModel$
});
class $c_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ extends $c_O {
  constructor() {
    super();
    this.Name$1 = null;
    this.Description$1 = null;
    this.StatusCode$1 = null;
    this.Headers$1 = null;
    this.Payloads$1 = null;
    this.Links$1 = null;
    this.Examples$1 = null;
    this.key$1 = null;
    this.type$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Optional$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_templates_OptionalField__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Name$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "name"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Str$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Schema$1;
    this.Description$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "description"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Str$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Hydra$1;
    this.StatusCode$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "statusCode"), true);
    const jsx$4 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$());
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Headers$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "header"), true);
    const jsx$5 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$());
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Payloads$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "payload"), true);
    const jsx$6 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$());
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Links$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "link"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    this.Examples$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "examples"), true);
    this.key$1 = this.StatusCode$1;
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    const x$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "Response");
    const this$17 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    this.type$1 = new $c_sci_$colon$colon().init___O__sci_List(x$1, this$17);
    return this
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  amf$core$metamodel$domain$templates$OptionalField$$undsetter$und$Optional$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Optional$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  fields__sci_List() {
    const jsx$4 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Name$1, this.Description$1, this.StatusCode$1, this.Headers$1, this.Payloads$1, this.Links$1, this.Examples$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$3 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$4 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Optional__Lamf_core_metamodel_Field() {
    return this.Optional$1
  };
  type__sci_List() {
    return this.type$1
  };
}
const $d_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_metamodel_ResponseModel$: 0
}, false, "amf.plugins.domain.webapi.metamodel.ResponseModel$", {
  Lamf_plugins_domain_webapi_metamodel_ResponseModel$: 1,
  O: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_templates_OptionalField: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1
});
$c_Lamf_plugins_domain_webapi_metamodel_ResponseModel$.prototype.$classData = $d_Lamf_plugins_domain_webapi_metamodel_ResponseModel$;
let $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = (void 0);
const $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$)) {
    $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$ = new $c_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().init___()
  };
  return $n_Lamf_plugins_domain_webapi_metamodel_ResponseModel$
});
class $c_Lamf_plugins_domain_webapi_models_Callback extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Callback"
  };
  productArity__I() {
    return 2
  };
  withEndpoint__Lamf_plugins_domain_webapi_models_EndPoint() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Endpoint$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, result);
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Callback(x$1)) {
      const Callback$1 = x$1;
      const x = this.fields$1;
      const x$2 = Callback$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Callback$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-callback" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Callback = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Callback)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Callback = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Callback)))
});
const $d_Lamf_plugins_domain_webapi_models_Callback = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Callback: 0
}, false, "amf.plugins.domain.webapi.models.Callback", {
  Lamf_plugins_domain_webapi_models_Callback: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Callback.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Callback;
class $c_Lamf_plugins_domain_webapi_models_Encoding extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Encoding"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Encoding(x$1)) {
      const Encoding$1 = x$1;
      const x = this.fields$1;
      const x$2 = Encoding$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Encoding$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().PropertyName$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-encoding" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Encoding = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Encoding)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Encoding = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Encoding)))
});
const $d_Lamf_plugins_domain_webapi_models_Encoding = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Encoding: 0
}, false, "amf.plugins.domain.webapi.models.Encoding", {
  Lamf_plugins_domain_webapi_models_Encoding: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Encoding.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Encoding;
class $c_Lamf_plugins_domain_webapi_models_IriTemplateMapping extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "IriTemplateMapping"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_IriTemplateMapping(x$1)) {
      const IriTemplateMapping$1 = x$1;
      const x = this.fields$1;
      const x$2 = IriTemplateMapping$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = IriTemplateMapping$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/mapping/", ""]));
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$().TemplateVariable$1).option$1;
    const str = (this$1.isEmpty__Z() ? "unknownVar" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url)]))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_IriTemplateMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_IriTemplateMapping)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_IriTemplateMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_IriTemplateMapping)))
});
const $d_Lamf_plugins_domain_webapi_models_IriTemplateMapping = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_IriTemplateMapping: 0
}, false, "amf.plugins.domain.webapi.models.IriTemplateMapping", {
  Lamf_plugins_domain_webapi_models_IriTemplateMapping: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_IriTemplateMapping.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_IriTemplateMapping;
class $c_Lamf_plugins_domain_webapi_models_License extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "License"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_License(x$1)) {
      const License$1 = x$1;
      const x = this.fields$1;
      const x$2 = License$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = License$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_LicenseModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/license"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_License = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_License)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_License = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_License)))
});
const $d_Lamf_plugins_domain_webapi_models_License = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_License: 0
}, false, "amf.plugins.domain.webapi.models.License", {
  Lamf_plugins_domain_webapi_models_License: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_License.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_License;
class $c_Lamf_plugins_domain_webapi_models_Organization extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Organization"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Organization(x$1)) {
      const Organization$1 = x$1;
      const x = this.fields$1;
      const x$2 = Organization$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Organization$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_OrganizationModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/organization"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Organization = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Organization)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Organization = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Organization)))
});
const $d_Lamf_plugins_domain_webapi_models_Organization = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Organization: 0
}, false, "amf.plugins.domain.webapi.models.Organization", {
  Lamf_plugins_domain_webapi_models_Organization: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Organization.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Organization;
class $c_Lamf_plugins_domain_webapi_models_Request extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Request"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Request(x$1)) {
      const Request$1 = x$1;
      const x = this.fields$1;
      const x$2 = Request$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Request$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withCookieParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().CookieParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/request"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
  withUriParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().UriParameters$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withPayload__s_Option__Lamf_plugins_domain_webapi_models_Payload(mediaType) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    if ((!mediaType.isEmpty__Z())) {
      const arg1 = mediaType.get__O();
      const mediaType$2 = arg1;
      const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
      new $c_s_Some().init___O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(result, field, mediaType$2))
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_RequestModel$().Payloads$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
}
const $is_Lamf_plugins_domain_webapi_models_Request = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Request)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Request = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Request)))
});
const $d_Lamf_plugins_domain_webapi_models_Request = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Request: 0
}, false, "amf.plugins.domain.webapi.models.Request", {
  Lamf_plugins_domain_webapi_models_Request: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Request.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Request;
class $c_Lamf_plugins_domain_webapi_models_Server extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Server"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Server(x$1)) {
      const Server$1 = x$1;
      const x = this.fields$1;
      const x$2 = Server$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Server$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1).option$1;
    const str = (this$1.isEmpty__Z() ? null : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  withVariable__T__Lamf_plugins_domain_webapi_models_Parameter(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Variables$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Server = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Server)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Server = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Server)))
});
const $d_Lamf_plugins_domain_webapi_models_Server = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Server: 0
}, false, "amf.plugins.domain.webapi.models.Server", {
  Lamf_plugins_domain_webapi_models_Server: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Server.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Server;
class $c_Lamf_plugins_domain_webapi_models_Tag extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Tag"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Tag(x$1)) {
      const Tag$1 = x$1;
      const x = this.fields$1;
      const x$2 = Tag$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Tag$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_TagModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TagModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-type" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/tag/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Tag = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Tag)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Tag = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Tag)))
});
const $d_Lamf_plugins_domain_webapi_models_Tag = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Tag: 0
}, false, "amf.plugins.domain.webapi.models.Tag", {
  Lamf_plugins_domain_webapi_models_Tag: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Tag.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Tag;
class $c_Lamf_plugins_domain_webapi_models_WebApi extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "WebApi"
  };
  withServer__T__Lamf_plugins_domain_webapi_models_Server(url) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, url);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Servers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productArity__I() {
    return 2
  };
  withDocumentationUrl__T__Lamf_plugins_domain_shapes_models_CreativeWork(url) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Url$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, url);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_WebApi(x$1)) {
      const WebApi$1 = x$1;
      const x = this.fields$1;
      const x$2 = WebApi$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = WebApi$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "#/web-api"
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  withEndPoint__T__Lamf_plugins_domain_webapi_models_EndPoint(path) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_EndPoint().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EndPointModel$().Path$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, path);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().EndPoints$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  withDefaultServer__T__Lamf_plugins_domain_webapi_models_Server(url) {
    const this$1 = this.withServer__T__Lamf_plugins_domain_webapi_models_Server(url);
    const annotation = new $c_Lamf_core_annotations_SynthesizedField().init___();
    return $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$1, annotation)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withDocumentationTitle__T__Lamf_plugins_domain_shapes_models_CreativeWork(title) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_CreativeWork().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_CreativeWorkModel$().Title$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, title);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Documentations$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
  sourceVendor__s_Option() {
    const this$1 = this.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_SourceVendor.getClassOf());
    if (this$1.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const a = arg1;
      return new $c_s_Some().init___O(a.vendor$1)
    }
  };
}
const $is_Lamf_plugins_domain_webapi_models_WebApi = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_WebApi)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_WebApi = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_WebApi)))
});
const $d_Lamf_plugins_domain_webapi_models_WebApi = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_WebApi: 0
}, false, "amf.plugins.domain.webapi.models.WebApi", {
  Lamf_plugins_domain_webapi_models_WebApi: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_WebApi.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_WebApi;
class $c_Lamf_plugins_domain_webapi_models_security_Scope extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Scope"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_Scope(x$1)) {
      const Scope$1 = x$1;
      const x = this.fields$1;
      const x$2 = Scope$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Scope$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ScopeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-scope" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  cloneScope__Lamf_plugins_domain_webapi_models_security_Scope() {
    const annotations = this.annotations$1;
    const cloned = new $c_Lamf_plugins_domain_webapi_models_security_Scope().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$3 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const value = v.value$1;
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, value, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$3.fs$1.foreach__F1__V(fn);
    return cloned
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_Scope = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_Scope)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_Scope = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_Scope)))
});
const $d_Lamf_plugins_domain_webapi_models_security_Scope = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_Scope: 0
}, false, "amf.plugins.domain.webapi.models.security.Scope", {
  Lamf_plugins_domain_webapi_models_security_Scope: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_Scope.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_Scope;
class $c_Lorg_yaml_model_YComment extends $c_Lorg_yaml_model_YIgnorable {
  constructor() {
    super();
    this.metaText$3 = null;
    this.range$3 = null;
    this.tokens$3 = null
  };
  productPrefix__T() {
    return "YComment"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(obj) {
    if ($is_Lorg_yaml_model_YComment(obj)) {
      const x2 = obj;
      return (this.metaText$3 === x2.metaText$3)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.metaText$3;
        break
      }
      case 1: {
        return this.range$3;
        break
      }
      case 2: {
        return this.tokens$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.metaText$3
  };
  init___T__Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(metaText, range, tokens) {
    this.metaText$3 = metaText;
    this.range$3 = range;
    this.tokens$3 = tokens;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, tokens);
    return this
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  hashCode__I() {
    const this$1 = this.metaText$3;
    return $m_sjsr_RuntimeString$().hashCode__T__I(this$1)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YComment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YComment)))
});
const $isArrayOf_Lorg_yaml_model_YComment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YComment)))
});
const $d_Lorg_yaml_model_YComment = new $TypeData().initClass({
  Lorg_yaml_model_YComment: 0
}, false, "org.yaml.model.YComment", {
  Lorg_yaml_model_YComment: 1,
  Lorg_yaml_model_YIgnorable: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YComment.prototype.$classData = $d_Lorg_yaml_model_YComment;
class $c_Lorg_yaml_model_YDocument extends $c_Lorg_yaml_model_YNodeLike {
  constructor() {
    super();
    this.children$3 = null;
    this.node$3 = null;
    this.tagType$3 = null;
    this.headComment$3 = null;
    this.range$3 = null
  };
  productPrefix__T() {
    return "YDocument"
  };
  children__sc_IndexedSeq() {
    return this.children$3
  };
  productArity__I() {
    return 1
  };
  org$yaml$model$YPart$$undsetter$und$range$und$eq__Lorg_mulesoft_lexer_InputRange__V(x$1) {
    this.range$3 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_YDocument(x$1)) {
      const YDocument$1 = x$1;
      const x = this.children$3;
      const x$2 = YDocument$1.children$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.children$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return ("Document: " + this.node$3.toString__T())
  };
  init___sc_IndexedSeq(children) {
    this.children$3 = children;
    $f_Lorg_yaml_model_YPart__$$init$__V(this);
    const pf = new $c_Lorg_yaml_model_YDocument$$anonfun$1().init___Lorg_yaml_model_YDocument(this);
    const this$1 = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(children, pf);
    this.node$3 = (this$1.isEmpty__Z() ? $m_Lorg_yaml_model_YNode$().Null$1 : this$1.get__O());
    this.tagType$3 = this.node$3.tag__Lorg_yaml_model_YTag().tagType$2;
    const jsx$2 = children.takeWhile__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return (!$is_Lorg_yaml_model_YNode(x$1))
      })
    })(this)));
    const jsx$1 = new $c_Lorg_yaml_model_YDocument$$anonfun$2().init___Lorg_yaml_model_YDocument(this);
    const this$3 = $m_sc_IndexedSeq$();
    this.headComment$3 = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBF$6).mkString__T__T("\n");
    return this
  };
  to__Lorg_yaml_convert_YRead__s_util_Either(conversion) {
    return this.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion)
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  obj__Lorg_yaml_model_YObj() {
    return (this.node$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z($m_Lorg_yaml_model_YNode$().Null$1) ? $m_Lorg_yaml_model_YFail$().apply__Lorg_yaml_model_YNodeLike__F0__Lorg_yaml_model_YFail(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return "Empty Document"
      })
    })(this))) : new $c_Lorg_yaml_model_YSuccess().init___Lorg_yaml_model_YNode(this.node$3))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  thisNode__Lorg_yaml_model_YNode() {
    return this.node$3
  };
}
const $is_Lorg_yaml_model_YDocument = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YDocument)))
});
const $isArrayOf_Lorg_yaml_model_YDocument = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YDocument)))
});
const $d_Lorg_yaml_model_YDocument = new $TypeData().initClass({
  Lorg_yaml_model_YDocument: 0
}, false, "org.yaml.model.YDocument", {
  Lorg_yaml_model_YDocument: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YDocument.prototype.$classData = $d_Lorg_yaml_model_YDocument;
class $c_Lorg_yaml_model_YNonContent extends $c_Lorg_yaml_model_YIgnorable {
  constructor() {
    super();
    this.range$3 = null;
    this.tokens$3 = null
  };
  productPrefix__T() {
    return "YNonContent"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_YNonContent(x$1)) {
      const YNonContent$1 = x$1;
      const x = this.range$3;
      const x$2 = YNonContent$1.range$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.tokens$3;
        const x$4 = YNonContent$1.tokens$3;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.range$3;
        break
      }
      case 1: {
        return this.tokens$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.tokens$3.mkString__T__T(", ")
  };
  range__Lorg_mulesoft_lexer_InputRange() {
    return this.range$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq(range, tokens) {
    this.range$3 = range;
    this.tokens$3 = tokens;
    $c_Lorg_yaml_model_YTokens.prototype.init___Lorg_mulesoft_lexer_InputRange__sc_IndexedSeq.call(this, range, tokens);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_YNonContent = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YNonContent)))
});
const $isArrayOf_Lorg_yaml_model_YNonContent = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YNonContent)))
});
const $d_Lorg_yaml_model_YNonContent = new $TypeData().initClass({
  Lorg_yaml_model_YNonContent: 0
}, false, "org.yaml.model.YNonContent", {
  Lorg_yaml_model_YNonContent: 1,
  Lorg_yaml_model_YIgnorable: 1,
  Lorg_yaml_model_YTokens: 1,
  O: 1,
  Lorg_yaml_model_YPart: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YNonContent.prototype.$classData = $d_Lorg_yaml_model_YNonContent;
class $c_s_Tuple2$mcII$sp extends $c_T2 {
  constructor() {
    super();
    this.$$und1$mcI$sp$f = 0;
    this.$$und2$mcI$sp$f = 0
  };
  $$und1$mcI$sp__I() {
    return this.$$und1$mcI$sp$f
  };
  init___I__I(_1$mcI$sp, _2$mcI$sp) {
    this.$$und1$mcI$sp$f = _1$mcI$sp;
    this.$$und2$mcI$sp$f = _2$mcI$sp;
    $c_T2.prototype.init___O__O.call(this, null, null);
    return this
  };
  $$und2__O() {
    return this.$$und2$mcI$sp$f
  };
  $$und2$mcI$sp__I() {
    return this.$$und2$mcI$sp$f
  };
  $$und1__O() {
    return this.$$und1$mcI$sp$f
  };
}
const $d_s_Tuple2$mcII$sp = new $TypeData().initClass({
  s_Tuple2$mcII$sp: 0
}, false, "scala.Tuple2$mcII$sp", {
  s_Tuple2$mcII$sp: 1,
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Product2$mcII$sp: 1
});
$c_s_Tuple2$mcII$sp.prototype.$classData = $d_s_Tuple2$mcII$sp;
class $c_s_concurrent_impl_Promise$DefaultPromise extends $c_ju_concurrent_atomic_AtomicReference {
  compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(linked) {
    _compressedRoot: while (true) {
      const target = linked.root__p2__s_concurrent_impl_Promise$DefaultPromise();
      if ((linked === target)) {
        return target
      } else if (this.compareAndSet__O__O__Z(linked, target)) {
        return target
      } else {
        const x1 = this.value$1;
        if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          const x2 = x1;
          linked = x2;
          continue _compressedRoot
        } else {
          return this
        }
      }
    }
  };
  init___() {
    $c_ju_concurrent_atomic_AtomicReference.prototype.init___O.call(this, $m_sci_Nil$());
    return this
  };
  dispatchOrAddCallback__p2__s_concurrent_impl_CallbackRunnable__V(runnable) {
    let _$this = this;
    _dispatchOrAddCallback: while (true) {
      const x1 = _$this.value$1;
      if ($is_s_util_Try(x1)) {
        const x2 = x1;
        runnable.executeWithValue__s_util_Try__V(x2)
      } else {
        if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
          const x3 = x1;
          _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
          continue _dispatchOrAddCallback
        };
        if ((!$is_sci_List(x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        const x4 = x1;
        if ((!_$this.compareAndSet__O__O__Z(x4, new $c_sci_$colon$colon().init___O__sci_List(runnable, x4)))) {
          continue _dispatchOrAddCallback
        }
      };
      break
    }
  };
  foreach__F1__s_concurrent_ExecutionContext__V(f, executor) {
    $f_s_concurrent_Future__foreach__F1__s_concurrent_ExecutionContext__V(this, f, executor)
  };
  tryComplete__s_util_Try__Z(value) {
    const resolved = $m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(value);
    const x1 = this.tryCompleteAndGetListeners__p2__s_util_Try__sci_List(resolved);
    if ((x1 !== null)) {
      if (x1.isEmpty__Z()) {
        return true
      } else {
        let these = x1;
        while ((!these.isEmpty__Z())) {
          const arg1 = these.head__O();
          const r = arg1;
          r.executeWithValue__s_util_Try__V(resolved);
          these = these.tail__O()
        };
        return true
      }
    } else {
      return false
    }
  };
  link__p2__s_concurrent_impl_Promise$DefaultPromise__V(target) {
    let _$this = this;
    _link: while (true) {
      if ((_$this !== target)) {
        const x1 = _$this.value$1;
        matchEnd6: {
          if ($is_s_util_Try(x1)) {
            const x2 = x1;
            if ((!target.tryComplete__s_util_Try__Z(x2))) {
              throw new $c_jl_IllegalStateException().init___T("Cannot link completed promises together")
            };
            break matchEnd6
          };
          if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
            const x3 = x1;
            _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
            continue _link
          };
          if ($is_sci_List(x1)) {
            const x4 = x1;
            if (_$this.compareAndSet__O__O__Z(x4, target)) {
              if ($f_sc_TraversableOnce__nonEmpty__Z(x4)) {
                let these = x4;
                while ((!these.isEmpty__Z())) {
                  const arg1 = these.head__O();
                  const x$2 = arg1;
                  target.dispatchOrAddCallback__p2__s_concurrent_impl_CallbackRunnable__V(x$2);
                  these = these.tail__O()
                };
                break matchEnd6
              } else {
                break matchEnd6
              }
            }
          };
          continue _link
        }
      };
      break
    }
  };
  toString__T() {
    return $f_s_concurrent_impl_Promise__toString__T(this)
  };
  root__p2__s_concurrent_impl_Promise$DefaultPromise() {
    let _$this = this;
    _root: while (true) {
      const x1 = _$this.value$1;
      if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        const x2 = x1;
        _$this = x2;
        continue _root
      } else {
        return _$this
      }
    }
  };
  flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__flatMap__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise() {
    const x1 = this.value$1;
    if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      const x2 = x1;
      return this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x2)
    } else {
      return this
    }
  };
  tryCompleteAndGetListeners__p2__s_util_Try__sci_List(v) {
    let _$this = this;
    _tryCompleteAndGetListeners: while (true) {
      const x1 = _$this.value$1;
      if ($is_sci_List(x1)) {
        const x2 = x1;
        if (_$this.compareAndSet__O__O__Z(x2, v)) {
          return x2
        } else {
          continue _tryCompleteAndGetListeners
        }
      } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        const x3 = x1;
        _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
        continue _tryCompleteAndGetListeners
      } else {
        return null
      }
    }
  };
  onComplete__F1__s_concurrent_ExecutionContext__V(func, executor) {
    this.dispatchOrAddCallback__p2__s_concurrent_impl_CallbackRunnable__V(new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func))
  };
  zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(that, f, executor) {
    return $f_s_concurrent_Future__zipWith__s_concurrent_Future__F2__s_concurrent_ExecutionContext__s_concurrent_Future(this, that, f, executor)
  };
  map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(f, executor) {
    return $f_s_concurrent_Future__map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this, f, executor)
  };
  value__s_Option() {
    return this.value0__p2__s_Option()
  };
  recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return $f_s_concurrent_Future__recover__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this, pf, executor)
  };
  value0__p2__s_Option() {
    let _$this = this;
    _value0: while (true) {
      const x1 = _$this.value$1;
      if ($is_s_util_Try(x1)) {
        const x2 = x1;
        return new $c_s_Some().init___O(x2)
      } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        const x3 = x1;
        _$this = _$this.compressedRoot__p2__s_concurrent_impl_Promise$DefaultPromise__s_concurrent_impl_Promise$DefaultPromise(x3);
        continue _value0
      } else {
        return $m_s_None$()
      }
    }
  };
  recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(pf, executor) {
    return $f_s_concurrent_Future__recoverWith__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this, pf, executor)
  };
  failed__s_concurrent_Future() {
    return $f_s_concurrent_Future__failed__s_concurrent_Future(this)
  };
}
const $is_s_concurrent_impl_Promise$DefaultPromise = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
});
const $isArrayOf_s_concurrent_impl_Promise$DefaultPromise = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
});
const $d_s_concurrent_impl_Promise$DefaultPromise = new $TypeData().initClass({
  s_concurrent_impl_Promise$DefaultPromise: 0
}, false, "scala.concurrent.impl.Promise$DefaultPromise", {
  s_concurrent_impl_Promise$DefaultPromise: 1,
  ju_concurrent_atomic_AtomicReference: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.$classData = $d_s_concurrent_impl_Promise$DefaultPromise;
class $c_s_math_Ordering$Int$ extends $c_O {
  init___() {
    return this
  };
  compare__O__O__I(x, y) {
    const x$1 = (x | 0);
    const y$1 = (y | 0);
    return ((x$1 === y$1) ? 0 : ((x$1 < y$1) ? (-1) : 1))
  };
}
const $d_s_math_Ordering$Int$ = new $TypeData().initClass({
  s_math_Ordering$Int$: 0
}, false, "scala.math.Ordering$Int$", {
  s_math_Ordering$Int$: 1,
  O: 1,
  s_math_Ordering$IntOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$Int$.prototype.$classData = $d_s_math_Ordering$Int$;
let $n_s_math_Ordering$Int$ = (void 0);
const $m_s_math_Ordering$Int$ = (function() {
  if ((!$n_s_math_Ordering$Int$)) {
    $n_s_math_Ordering$Int$ = new $c_s_math_Ordering$Int$().init___()
  };
  return $n_s_math_Ordering$Int$
});
class $c_s_math_Ordering$String$ extends $c_O {
  init___() {
    return this
  };
  compare__O__O__I(x, y) {
    const x$1 = x;
    const y$1 = y;
    return ((x$1 === y$1) ? 0 : ((!(!(x$1 < y$1))) ? (-1) : 1))
  };
}
const $d_s_math_Ordering$String$ = new $TypeData().initClass({
  s_math_Ordering$String$: 0
}, false, "scala.math.Ordering$String$", {
  s_math_Ordering$String$: 1,
  O: 1,
  s_math_Ordering$StringOrdering: 1,
  s_math_Ordering: 1,
  ju_Comparator: 1,
  s_math_PartialOrdering: 1,
  s_math_Equiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$String$.prototype.$classData = $d_s_math_Ordering$String$;
let $n_s_math_Ordering$String$ = (void 0);
const $m_s_math_Ordering$String$ = (function() {
  if ((!$n_s_math_Ordering$String$)) {
    $n_s_math_Ordering$String$ = new $c_s_math_Ordering$String$().init___()
  };
  return $n_s_math_Ordering$String$
});
class $c_s_reflect_AnyValManifest extends $c_O {
  constructor() {
    super();
    this.toString$1 = null
  };
  equals__O__Z(that) {
    return (this === that)
  };
  toString__T() {
    return this.toString$1
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
}
class $c_s_reflect_ManifestFactory$ClassTypeManifest extends $c_O {
  constructor() {
    super();
    this.prefix$1 = null;
    this.runtimeClass1$1 = null;
    this.typeArguments$1 = null
  };
}
class $c_sc_IndexedSeq$ extends $c_scg_IndexedSeqFactory {
  constructor() {
    super();
    this.ReusableCBF$6 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sc_IndexedSeq$ = this;
    this.ReusableCBF$6 = new $c_sc_IndexedSeq$$anon$1().init___();
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_IndexedSeq$();
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sc_IndexedSeq$ = new $TypeData().initClass({
  sc_IndexedSeq$: 0
}, false, "scala.collection.IndexedSeq$", {
  sc_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_IndexedSeq$.prototype.$classData = $d_sc_IndexedSeq$;
let $n_sc_IndexedSeq$ = (void 0);
const $m_sc_IndexedSeq$ = (function() {
  if ((!$n_sc_IndexedSeq$)) {
    $n_sc_IndexedSeq$ = new $c_sc_IndexedSeq$().init___()
  };
  return $n_sc_IndexedSeq$
});
class $c_sc_IndexedSeqLike$Elements extends $c_sc_AbstractIterator {
  constructor() {
    super();
    this.end$2 = 0;
    this.index$2 = 0;
    this.$$outer$2 = null
  };
  next__O() {
    if ((this.index$2 >= this.end$2)) {
      $m_sc_Iterator$().empty$1.next__O()
    };
    const x = this.$$outer$2.apply__I__O(this.index$2);
    this.index$2 = ((1 + this.index$2) | 0);
    return x
  };
  take__I__sc_Iterator(n) {
    return ((n <= 0) ? $m_sc_Iterator$().empty$1 : ((n <= this.available__p2__I()) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.index$2, ((this.index$2 + n) | 0)) : new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.index$2, this.end$2)))
  };
  init___sc_IndexedSeqLike__I__I($$outer, start, end) {
    this.end$2 = end;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.index$2 = start;
    return this
  };
  hasNext__Z() {
    return (this.index$2 < this.end$2)
  };
  available__p2__I() {
    const x = ((this.end$2 - this.index$2) | 0);
    return ((x > 0) ? x : 0)
  };
  drop__I__sc_Iterator(n) {
    return ((n <= 0) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.index$2, this.end$2) : ((((this.index$2 + n) | 0) >= this.end$2) ? new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, this.end$2, this.end$2) : new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this.$$outer$2, ((this.index$2 + n) | 0), this.end$2)))
  };
}
const $d_sc_IndexedSeqLike$Elements = new $TypeData().initClass({
  sc_IndexedSeqLike$Elements: 0
}, false, "scala.collection.IndexedSeqLike$Elements", {
  sc_IndexedSeqLike$Elements: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_BufferedIterator: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_IndexedSeqLike$Elements.prototype.$classData = $d_sc_IndexedSeqLike$Elements;
class $c_sci_HashSet$ extends $c_scg_ImmutableSetFactory {
  init___() {
    return this
  };
  scala$collection$immutable$HashSet$$keepBits__I__I__I(bitmap, keep) {
    let result = 0;
    let current = bitmap;
    let kept = keep;
    while ((kept !== 0)) {
      const lsb = (current ^ (current & (((-1) + current) | 0)));
      if (((1 & kept) !== 0)) {
        result = (result | lsb)
      };
      current = (current & (~lsb));
      kept = ((kept >>> 1) | 0)
    };
    return result
  };
  scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(hash0, elem0, hash1, elem1, level) {
    const index0 = (31 & ((hash0 >>> level) | 0));
    const index1 = (31 & ((hash1 >>> level) | 0));
    if ((index0 !== index1)) {
      const bitmap = ((1 << index0) | (1 << index1));
      const elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [2]);
      if ((index0 < index1)) {
        elems.u[0] = elem0;
        elems.u[1] = elem1
      } else {
        elems.u[0] = elem1;
        elems.u[1] = elem0
      };
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap, elems, ((elem0.size__I() + elem1.size__I()) | 0))
    } else {
      const elems$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [1]);
      const bitmap$2 = (1 << index0);
      const child = this.scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(hash0, elem0, hash1, elem1, ((5 + level) | 0));
      elems$2.u[0] = child;
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap$2, elems$2, child.size0$5)
    }
  };
  emptyInstance__sci_Set() {
    return $m_sci_HashSet$EmptyHashSet$()
  };
}
const $d_sci_HashSet$ = new $TypeData().initClass({
  sci_HashSet$: 0
}, false, "scala.collection.immutable.HashSet$", {
  sci_HashSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$.prototype.$classData = $d_sci_HashSet$;
let $n_sci_HashSet$ = (void 0);
const $m_sci_HashSet$ = (function() {
  if ((!$n_sci_HashSet$)) {
    $n_sci_HashSet$ = new $c_sci_HashSet$().init___()
  };
  return $n_sci_HashSet$
});
class $c_sci_IndexedSeq$ extends $c_scg_IndexedSeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    $m_sci_Vector$();
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sci_IndexedSeq$ = new $TypeData().initClass({
  sci_IndexedSeq$: 0
}, false, "scala.collection.immutable.IndexedSeq$", {
  sci_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_IndexedSeq$.prototype.$classData = $d_sci_IndexedSeq$;
let $n_sci_IndexedSeq$ = (void 0);
const $m_sci_IndexedSeq$ = (function() {
  if ((!$n_sci_IndexedSeq$)) {
    $n_sci_IndexedSeq$ = new $c_sci_IndexedSeq$().init___()
  };
  return $n_sci_IndexedSeq$
});
class $c_sci_ListSet$ extends $c_scg_ImmutableSetFactory {
  init___() {
    return this
  };
  emptyInstance__sci_Set() {
    return $m_sci_ListSet$EmptyListSet$()
  };
}
const $d_sci_ListSet$ = new $TypeData().initClass({
  sci_ListSet$: 0
}, false, "scala.collection.immutable.ListSet$", {
  sci_ListSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$.prototype.$classData = $d_sci_ListSet$;
let $n_sci_ListSet$ = (void 0);
const $m_sci_ListSet$ = (function() {
  if ((!$n_sci_ListSet$)) {
    $n_sci_ListSet$ = new $c_sci_ListSet$().init___()
  };
  return $n_sci_ListSet$
});
class $c_scm_ArrayBuilder$ofBoolean extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  mkArray__p2__I__AZ(size) {
    const newelems = $newArrayObject($d_Z.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofBoolean(xs) {
    if ($is_scm_WrappedArray$ofBoolean(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofBoolean(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__Z__scm_ArrayBuilder$ofBoolean((!(!elem)))
  };
  toString__T() {
    return "ArrayBuilder.ofBoolean"
  };
  result__O() {
    return this.result__AZ()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AZ(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__Z__scm_ArrayBuilder$ofBoolean((!(!elem)))
  };
  result__AZ() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AZ(this.size$2)
    }
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$eq__Z__scm_ArrayBuilder$ofBoolean(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofBoolean(xs)
  };
}
const $is_scm_ArrayBuilder$ofBoolean = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofBoolean)))
});
const $isArrayOf_scm_ArrayBuilder$ofBoolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofBoolean)))
});
const $d_scm_ArrayBuilder$ofBoolean = new $TypeData().initClass({
  scm_ArrayBuilder$ofBoolean: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofBoolean", {
  scm_ArrayBuilder$ofBoolean: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofBoolean.prototype.$classData = $d_scm_ArrayBuilder$ofBoolean;
class $c_scm_ArrayBuilder$ofByte extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofByte(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofByte(xs) {
    if ($is_scm_WrappedArray$ofByte(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__B__scm_ArrayBuilder$ofByte((elem | 0))
  };
  mkArray__p2__I__AB(size) {
    const newelems = $newArrayObject($d_B.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  toString__T() {
    return "ArrayBuilder.ofByte"
  };
  result__O() {
    return this.result__AB()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AB(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__B__scm_ArrayBuilder$ofByte((elem | 0))
  };
  $$plus$eq__B__scm_ArrayBuilder$ofByte(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  result__AB() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AB(this.size$2)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofByte(xs)
  };
}
const $is_scm_ArrayBuilder$ofByte = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofByte)))
});
const $isArrayOf_scm_ArrayBuilder$ofByte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofByte)))
});
const $d_scm_ArrayBuilder$ofByte = new $TypeData().initClass({
  scm_ArrayBuilder$ofByte: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofByte", {
  scm_ArrayBuilder$ofByte: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofByte.prototype.$classData = $d_scm_ArrayBuilder$ofByte;
class $c_scm_ArrayBuilder$ofChar extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofChar(xs) {
    if ($is_scm_WrappedArray$ofChar(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofChar(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_ArrayBuilder$ofChar(jsx$1)
  };
  toString__T() {
    return "ArrayBuilder.ofChar"
  };
  result__O() {
    return this.result__AC()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AC(size);
    this.capacity$2 = size
  };
  result__AC() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AC(this.size$2)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_ArrayBuilder$ofChar(jsx$1)
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  mkArray__p2__I__AC(size) {
    const newelems = $newArrayObject($d_C.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$eq__C__scm_ArrayBuilder$ofChar(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofChar(xs)
  };
}
const $is_scm_ArrayBuilder$ofChar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofChar)))
});
const $isArrayOf_scm_ArrayBuilder$ofChar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofChar)))
});
const $d_scm_ArrayBuilder$ofChar = new $TypeData().initClass({
  scm_ArrayBuilder$ofChar: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofChar", {
  scm_ArrayBuilder$ofChar: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofChar.prototype.$classData = $d_scm_ArrayBuilder$ofChar;
class $c_scm_ArrayBuilder$ofDouble extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofDouble(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__D__scm_ArrayBuilder$ofDouble((+elem))
  };
  toString__T() {
    return "ArrayBuilder.ofDouble"
  };
  result__AD() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AD(this.size$2)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofDouble(xs) {
    if ($is_scm_WrappedArray$ofDouble(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  result__O() {
    return this.result__AD()
  };
  mkArray__p2__I__AD(size) {
    const newelems = $newArrayObject($d_D.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AD(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__D__scm_ArrayBuilder$ofDouble((+elem))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  $$plus$eq__D__scm_ArrayBuilder$ofDouble(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofDouble(xs)
  };
}
const $is_scm_ArrayBuilder$ofDouble = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofDouble)))
});
const $isArrayOf_scm_ArrayBuilder$ofDouble = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofDouble)))
});
const $d_scm_ArrayBuilder$ofDouble = new $TypeData().initClass({
  scm_ArrayBuilder$ofDouble: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofDouble", {
  scm_ArrayBuilder$ofDouble: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofDouble.prototype.$classData = $d_scm_ArrayBuilder$ofDouble;
class $c_scm_ArrayBuilder$ofFloat extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofFloat(xs) {
    if ($is_scm_WrappedArray$ofFloat(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofFloat(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__F__scm_ArrayBuilder$ofFloat((+elem))
  };
  toString__T() {
    return "ArrayBuilder.ofFloat"
  };
  result__O() {
    return this.result__AF()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AF(size);
    this.capacity$2 = size
  };
  $$plus$eq__F__scm_ArrayBuilder$ofFloat(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  result__AF() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AF(this.size$2)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__F__scm_ArrayBuilder$ofFloat((+elem))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  mkArray__p2__I__AF(size) {
    const newelems = $newArrayObject($d_F.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofFloat(xs)
  };
}
const $is_scm_ArrayBuilder$ofFloat = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofFloat)))
});
const $isArrayOf_scm_ArrayBuilder$ofFloat = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofFloat)))
});
const $d_scm_ArrayBuilder$ofFloat = new $TypeData().initClass({
  scm_ArrayBuilder$ofFloat: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofFloat", {
  scm_ArrayBuilder$ofFloat: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofFloat.prototype.$classData = $d_scm_ArrayBuilder$ofFloat;
class $c_scm_ArrayBuilder$ofInt extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofInt(xs) {
    if ($is_scm_WrappedArray$ofInt(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofInt(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__I__scm_ArrayBuilder$ofInt((elem | 0))
  };
  toString__T() {
    return "ArrayBuilder.ofInt"
  };
  result__O() {
    return this.result__AI()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AI(size);
    this.capacity$2 = size
  };
  result__AI() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AI(this.size$2)
    }
  };
  $$plus$eq__I__scm_ArrayBuilder$ofInt(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__I__scm_ArrayBuilder$ofInt((elem | 0))
  };
  mkArray__p2__I__AI(size) {
    const newelems = $newArrayObject($d_I.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofInt(xs)
  };
}
const $is_scm_ArrayBuilder$ofInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofInt)))
});
const $isArrayOf_scm_ArrayBuilder$ofInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofInt)))
});
const $d_scm_ArrayBuilder$ofInt = new $TypeData().initClass({
  scm_ArrayBuilder$ofInt: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofInt", {
  scm_ArrayBuilder$ofInt: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofInt.prototype.$classData = $d_scm_ArrayBuilder$ofInt;
class $c_scm_ArrayBuilder$ofLong extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofLong(xs) {
    if ($is_scm_WrappedArray$ofLong(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$eq__J__scm_ArrayBuilder$ofLong(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofLong(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__J__scm_ArrayBuilder$ofLong($uJ(elem))
  };
  result__AJ() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AJ(this.size$2)
    }
  };
  toString__T() {
    return "ArrayBuilder.ofLong"
  };
  result__O() {
    return this.result__AJ()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AJ(size);
    this.capacity$2 = size
  };
  mkArray__p2__I__AJ(size) {
    const newelems = $newArrayObject($d_J.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__J__scm_ArrayBuilder$ofLong($uJ(elem))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofLong(xs)
  };
}
const $is_scm_ArrayBuilder$ofLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofLong)))
});
const $isArrayOf_scm_ArrayBuilder$ofLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofLong)))
});
const $d_scm_ArrayBuilder$ofLong = new $TypeData().initClass({
  scm_ArrayBuilder$ofLong: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofLong", {
  scm_ArrayBuilder$ofLong: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofLong.prototype.$classData = $d_scm_ArrayBuilder$ofLong;
class $c_scm_ArrayBuilder$ofRef extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.evidence$2$2 = null;
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___s_reflect_ClassTag(evidence$2) {
    this.evidence$2$2 = evidence$2;
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofRef(xs) {
    if ($is_scm_WrappedArray$ofRef(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofRef(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
  };
  toString__T() {
    return "ArrayBuilder.ofRef"
  };
  result__O() {
    return this.result__AO()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AO(size);
    this.capacity$2 = size
  };
  $$plus$eq__O__scm_ArrayBuilder$ofRef(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  result__AO() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AO(this.size$2)
    }
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_ArrayBuilder$ofRef(elem)
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  mkArray__p2__I__AO(size) {
    const newelems = this.evidence$2$2.newArray__I__O(size);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofRef(xs)
  };
}
const $is_scm_ArrayBuilder$ofRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofRef)))
});
const $isArrayOf_scm_ArrayBuilder$ofRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofRef)))
});
const $d_scm_ArrayBuilder$ofRef = new $TypeData().initClass({
  scm_ArrayBuilder$ofRef: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofRef", {
  scm_ArrayBuilder$ofRef: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofRef.prototype.$classData = $d_scm_ArrayBuilder$ofRef;
class $c_scm_ArrayBuilder$ofShort extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.elems$2 = null;
    this.capacity$2 = 0;
    this.size$2 = 0
  };
  init___() {
    this.capacity$2 = 0;
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofShort(other)) {
      const x2 = other;
      return ((this.size$2 === x2.size$2) && (this.elems$2 === x2.elems$2))
    } else {
      return false
    }
  };
  $$plus$eq__S__scm_ArrayBuilder$ofShort(elem) {
    this.ensureSize__p2__I__V(((1 + this.size$2) | 0));
    this.elems$2.u[this.size$2] = elem;
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  result__AS() {
    if (((this.capacity$2 !== 0) && (this.capacity$2 === this.size$2))) {
      this.capacity$2 = 0;
      return this.elems$2
    } else {
      return this.mkArray__p2__I__AS(this.size$2)
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__S__scm_ArrayBuilder$ofShort((elem | 0))
  };
  toString__T() {
    return "ArrayBuilder.ofShort"
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofShort(xs) {
    if ($is_scm_WrappedArray$ofShort(xs)) {
      const x2 = xs;
      this.ensureSize__p2__I__V(((this.size$2 + x2.length__I()) | 0));
      $m_s_Array$().copy__O__I__O__I__I__V(x2.array$6, 0, this.elems$2, this.size$2, x2.length__I());
      this.size$2 = ((this.size$2 + x2.length__I()) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  result__O() {
    return this.result__AS()
  };
  resize__p2__I__V(size) {
    this.elems$2 = this.mkArray__p2__I__AS(size);
    this.capacity$2 = size
  };
  mkArray__p2__I__AS(size) {
    const newelems = $newArrayObject($d_S.getArrayOf(), [size]);
    if ((this.size$2 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$2, 0, newelems, 0, this.size$2)
    };
    return newelems
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__S__scm_ArrayBuilder$ofShort((elem | 0))
  };
  sizeHint__I__V(size) {
    if ((this.capacity$2 < size)) {
      this.resize__p2__I__V(size)
    }
  };
  ensureSize__p2__I__V(size) {
    if (((this.capacity$2 < size) || (this.capacity$2 === 0))) {
      let newsize = ((this.capacity$2 === 0) ? 16 : (this.capacity$2 << 1));
      while ((newsize < size)) {
        newsize = (newsize << 1)
      };
      this.resize__p2__I__V(newsize)
    }
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofShort(xs)
  };
}
const $is_scm_ArrayBuilder$ofShort = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofShort)))
});
const $isArrayOf_scm_ArrayBuilder$ofShort = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofShort)))
});
const $d_scm_ArrayBuilder$ofShort = new $TypeData().initClass({
  scm_ArrayBuilder$ofShort: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofShort", {
  scm_ArrayBuilder$ofShort: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofShort.prototype.$classData = $d_scm_ArrayBuilder$ofShort;
class $c_scm_ArrayBuilder$ofUnit extends $c_scm_ArrayBuilder {
  constructor() {
    super();
    this.size$2 = 0
  };
  init___() {
    this.size$2 = 0;
    return this
  };
  equals__O__Z(other) {
    if ($is_scm_ArrayBuilder$ofUnit(other)) {
      const x2 = other;
      return (this.size$2 === x2.size$2)
    } else {
      return false
    }
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__sr_BoxedUnit__scm_ArrayBuilder$ofUnit(elem)
  };
  toString__T() {
    return "ArrayBuilder.ofUnit"
  };
  $$plus$eq__sr_BoxedUnit__scm_ArrayBuilder$ofUnit(elem) {
    this.size$2 = ((1 + this.size$2) | 0);
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofUnit(xs) {
    this.size$2 = ((this.size$2 + xs.size__I()) | 0);
    return this
  };
  result__O() {
    return this.result__Asr_BoxedUnit()
  };
  result__Asr_BoxedUnit() {
    const ans = $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [this.size$2]);
    let i = 0;
    while ((i < this.size$2)) {
      ans.u[i] = (void 0);
      i = ((1 + i) | 0)
    };
    return ans
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__sr_BoxedUnit__scm_ArrayBuilder$ofUnit(elem)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuilder$ofUnit(xs)
  };
}
const $is_scm_ArrayBuilder$ofUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuilder$ofUnit)))
});
const $isArrayOf_scm_ArrayBuilder$ofUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuilder$ofUnit)))
});
const $d_scm_ArrayBuilder$ofUnit = new $TypeData().initClass({
  scm_ArrayBuilder$ofUnit: 0
}, false, "scala.collection.mutable.ArrayBuilder$ofUnit", {
  scm_ArrayBuilder$ofUnit: 1,
  scm_ArrayBuilder: 1,
  O: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuilder$ofUnit.prototype.$classData = $d_scm_ArrayBuilder$ofUnit;
class $c_scm_HashSet$ extends $c_scg_MutableSetFactory {
  init___() {
    return this
  };
  empty__sc_GenTraversable() {
    return new $c_scm_HashSet().init___()
  };
}
const $d_scm_HashSet$ = new $TypeData().initClass({
  scm_HashSet$: 0
}, false, "scala.collection.mutable.HashSet$", {
  scm_HashSet$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet$.prototype.$classData = $d_scm_HashSet$;
let $n_scm_HashSet$ = (void 0);
const $m_scm_HashSet$ = (function() {
  if ((!$n_scm_HashSet$)) {
    $n_scm_HashSet$ = new $c_scm_HashSet$().init___()
  };
  return $n_scm_HashSet$
});
class $c_sjs_js_JavaScriptException extends $c_jl_RuntimeException {
  constructor() {
    super();
    this.exception$4 = null
  };
  productPrefix__T() {
    return "JavaScriptException"
  };
  productArity__I() {
    return 1
  };
  fillInStackTrace__jl_Throwable() {
    const e = this.exception$4;
    this.stackdata = e;
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_sjs_js_JavaScriptException(x$1)) {
      const JavaScriptException$1 = x$1;
      return $m_sr_BoxesRunTime$().equals__O__O__Z(this.exception$4, JavaScriptException$1.exception$4)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.exception$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  getMessage__T() {
    return $objectToString(this.exception$4)
  };
  init___O(exception) {
    this.exception$4 = exception;
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_sjs_js_JavaScriptException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_JavaScriptException)))
});
const $isArrayOf_sjs_js_JavaScriptException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_JavaScriptException)))
});
const $d_sjs_js_JavaScriptException = new $TypeData().initClass({
  sjs_js_JavaScriptException: 0
}, false, "scala.scalajs.js.JavaScriptException", {
  sjs_js_JavaScriptException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_sjs_js_JavaScriptException.prototype.$classData = $d_sjs_js_JavaScriptException;
class $c_Lamf_client_model_BoolField extends $c_O {
  constructor() {
    super();
    this.amf$client$model$BoolField$$$undinternal$1 = null;
    this.$$undoption$1 = null;
    this.option$1 = null
  };
  productPrefix__T() {
    return "BoolField"
  };
  $$js$exported$meth$is__O__O(other) {
    return $f_Lamf_client_model_ValueField__is__O__Z(this, other)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_BoolField(x$1)) {
      const BoolField$1 = x$1;
      const x = this.amf$client$model$BoolField$$$undinternal$1;
      const x$2 = BoolField$1.amf$client$model$BoolField$$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$client$model$BoolField$$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  value__Z() {
    const x1 = this.$$undoption$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = (!(!x2.value$2));
      return v
    } else {
      return false
    }
  };
  $$js$exported$prop$nonNull__O() {
    return this.$$undoption$1.isDefined__Z()
  };
  annotations__Lamf_client_model_Annotations() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.amf$client$model$BoolField$$$undinternal$1.annotations$1;
    $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher__Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$();
    return new $c_Lamf_client_model_Annotations().init___Lamf_core_parser_Annotations(from)
  };
  $$js$exported$meth$value__O() {
    return this.value__Z()
  };
  init___Lamf_core_model_BoolField(_internal) {
    this.amf$client$model$BoolField$$$undinternal$1 = _internal;
    this.$$undoption$1 = _internal.option$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undoption$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().BooleanMatcher__Lamf_client_convert_CoreBaseConverter$BooleanMatcher$();
    this.option$1 = new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return this
  };
  $$js$exported$meth$annotations__O() {
    return this.annotations__Lamf_client_model_Annotations()
  };
  $$js$exported$meth$is__F1__O(accepts) {
    return $f_Lamf_client_model_ValueField__is__F1__Z(this, accepts)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$option__O() {
    return this.option$1
  };
  $$js$exported$prop$isNull__O() {
    return this.$$undoption$1.isEmpty__Z()
  };
  $$js$exported$meth$remove__O() {
    const this$1 = this.amf$client$model$BoolField$$$undinternal$1;
    this$1.$$outer$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(this$1.field$1)
  };
  $$undoption__s_Option() {
    return this.$$undoption$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "nonNull"() {
    return this.$$js$exported$prop$nonNull__O()
  };
  get "isNull"() {
    return this.$$js$exported$prop$isNull__O()
  };
  "is"(arg$1) {
    if ($is_F1(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__F1__O(prep0)
    } else {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__O__O(prep0)
    }
  };
  "remove"() {
    return this.$$js$exported$meth$remove__O()
  };
  "value"() {
    return this.$$js$exported$meth$value__O()
  };
  "annotations"() {
    return this.$$js$exported$meth$annotations__O()
  };
  get "option"() {
    return this.$$js$exported$prop$option__O()
  };
}
const $is_Lamf_client_model_BoolField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_BoolField)))
});
const $isArrayOf_Lamf_client_model_BoolField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_BoolField)))
});
const $d_Lamf_client_model_BoolField = new $TypeData().initClass({
  Lamf_client_model_BoolField: 0
}, false, "amf.client.model.BoolField", {
  Lamf_client_model_BoolField: 1,
  O: 1,
  Lamf_client_model_BaseAnyValField: 1,
  Lamf_client_model_BaseField: 1,
  Lamf_client_model_Annotable: 1,
  Lamf_client_model_ValueField: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_BoolField.prototype.$classData = $d_Lamf_client_model_BoolField;
class $c_Lamf_client_model_DoubleField extends $c_O {
  constructor() {
    super();
    this.amf$client$model$DoubleField$$$undinternal$1 = null;
    this.$$undoption$1 = null;
    this.option$1 = null
  };
  productPrefix__T() {
    return "DoubleField"
  };
  $$js$exported$meth$is__O__O(other) {
    return $f_Lamf_client_model_ValueField__is__O__Z(this, other)
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_DoubleField(x$1)) {
      const DoubleField$1 = x$1;
      const x = this.amf$client$model$DoubleField$$$undinternal$1;
      const x$2 = DoubleField$1.amf$client$model$DoubleField$$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$client$model$DoubleField$$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  $$js$exported$prop$nonNull__O() {
    return this.$$undoption$1.isDefined__Z()
  };
  annotations__Lamf_client_model_Annotations() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.amf$client$model$DoubleField$$$undinternal$1.annotations$1;
    $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher__Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$();
    return new $c_Lamf_client_model_Annotations().init___Lamf_core_parser_Annotations(from)
  };
  $$js$exported$meth$value__O() {
    return this.value__D()
  };
  init___Lamf_core_model_DoubleField(_internal) {
    this.amf$client$model$DoubleField$$$undinternal$1 = _internal;
    this.$$undoption$1 = _internal.option$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undoption$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().DoubleMatcher__Lamf_client_convert_CoreBaseConverter$DoubleMatcher$();
    this.option$1 = new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return this
  };
  $$js$exported$meth$annotations__O() {
    return this.annotations__Lamf_client_model_Annotations()
  };
  $$js$exported$meth$is__F1__O(accepts) {
    return $f_Lamf_client_model_ValueField__is__F1__Z(this, accepts)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  value__D() {
    const x1 = this.$$undoption$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = (+x2.value$2);
      return v
    } else {
      return 0.0
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$option__O() {
    return this.option$1
  };
  $$js$exported$prop$isNull__O() {
    return this.$$undoption$1.isEmpty__Z()
  };
  $$js$exported$meth$remove__O() {
    const this$1 = this.amf$client$model$DoubleField$$$undinternal$1;
    this$1.$$outer$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(this$1.field$1)
  };
  $$undoption__s_Option() {
    return this.$$undoption$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "nonNull"() {
    return this.$$js$exported$prop$nonNull__O()
  };
  get "isNull"() {
    return this.$$js$exported$prop$isNull__O()
  };
  "is"(arg$1) {
    if ($is_F1(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__F1__O(prep0)
    } else {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__O__O(prep0)
    }
  };
  "remove"() {
    return this.$$js$exported$meth$remove__O()
  };
  "value"() {
    return this.$$js$exported$meth$value__O()
  };
  "annotations"() {
    return this.$$js$exported$meth$annotations__O()
  };
  get "option"() {
    return this.$$js$exported$prop$option__O()
  };
}
const $is_Lamf_client_model_DoubleField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_DoubleField)))
});
const $isArrayOf_Lamf_client_model_DoubleField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_DoubleField)))
});
const $d_Lamf_client_model_DoubleField = new $TypeData().initClass({
  Lamf_client_model_DoubleField: 0
}, false, "amf.client.model.DoubleField", {
  Lamf_client_model_DoubleField: 1,
  O: 1,
  Lamf_client_model_BaseAnyValField: 1,
  Lamf_client_model_BaseField: 1,
  Lamf_client_model_Annotable: 1,
  Lamf_client_model_ValueField: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_DoubleField.prototype.$classData = $d_Lamf_client_model_DoubleField;
class $c_Lamf_client_model_IntField extends $c_O {
  constructor() {
    super();
    this.amf$client$model$IntField$$$undinternal$1 = null;
    this.$$undoption$1 = null;
    this.option$1 = null
  };
  productPrefix__T() {
    return "IntField"
  };
  $$js$exported$meth$is__O__O(other) {
    return $f_Lamf_client_model_ValueField__is__O__Z(this, other)
  };
  productArity__I() {
    return 1
  };
  value__I() {
    const x1 = this.$$undoption$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = (x2.value$2 | 0);
      return v
    } else {
      return 0
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_IntField(x$1)) {
      const IntField$1 = x$1;
      const x = this.amf$client$model$IntField$$$undinternal$1;
      const x$2 = IntField$1.amf$client$model$IntField$$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.amf$client$model$IntField$$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_client_model_ValueField__toString__T(this)
  };
  init___Lamf_core_model_IntField(_internal) {
    this.amf$client$model$IntField$$$undinternal$1 = _internal;
    this.$$undoption$1 = _internal.option$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undoption$1;
    const m = $m_Lamf_client_convert_CoreClientConverters$().IntMatcher__Lamf_client_convert_CoreBaseConverter$IntMatcher$();
    this.option$1 = new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O();
    return this
  };
  $$js$exported$prop$nonNull__O() {
    return this.$$undoption$1.isDefined__Z()
  };
  annotations__Lamf_client_model_Annotations() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.amf$client$model$IntField$$$undinternal$1.annotations$1;
    $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher__Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$();
    return new $c_Lamf_client_model_Annotations().init___Lamf_core_parser_Annotations(from)
  };
  $$js$exported$meth$value__O() {
    return this.value__I()
  };
  $$js$exported$meth$annotations__O() {
    return this.annotations__Lamf_client_model_Annotations()
  };
  $$js$exported$meth$is__F1__O(accepts) {
    return $f_Lamf_client_model_ValueField__is__F1__Z(this, accepts)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$option__O() {
    return this.option$1
  };
  $$js$exported$prop$isNull__O() {
    return this.$$undoption$1.isEmpty__Z()
  };
  $$js$exported$meth$remove__O() {
    const this$1 = this.amf$client$model$IntField$$$undinternal$1;
    this$1.$$outer$1.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields(this$1.field$1)
  };
  $$undoption__s_Option() {
    return this.$$undoption$1
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "nonNull"() {
    return this.$$js$exported$prop$nonNull__O()
  };
  get "isNull"() {
    return this.$$js$exported$prop$isNull__O()
  };
  "is"(arg$1) {
    if ($is_F1(arg$1)) {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__F1__O(prep0)
    } else {
      const prep0 = arg$1;
      return this.$$js$exported$meth$is__O__O(prep0)
    }
  };
  "remove"() {
    return this.$$js$exported$meth$remove__O()
  };
  "value"() {
    return this.$$js$exported$meth$value__O()
  };
  "annotations"() {
    return this.$$js$exported$meth$annotations__O()
  };
  get "option"() {
    return this.$$js$exported$prop$option__O()
  };
}
const $is_Lamf_client_model_IntField = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_IntField)))
});
const $isArrayOf_Lamf_client_model_IntField = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_IntField)))
});
const $d_Lamf_client_model_IntField = new $TypeData().initClass({
  Lamf_client_model_IntField: 0
}, false, "amf.client.model.IntField", {
  Lamf_client_model_IntField: 1,
  O: 1,
  Lamf_client_model_BaseAnyValField: 1,
  Lamf_client_model_BaseField: 1,
  Lamf_client_model_Annotable: 1,
  Lamf_client_model_ValueField: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_IntField.prototype.$classData = $d_Lamf_client_model_IntField;
class $c_Lamf_client_model_document_Module extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_Module.prototype.init___Lamf_core_model_document_Module.call(this, new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Module"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_Module(x$1)) {
      const Module$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Module$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  init___Lamf_core_model_document_Module(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
}
const $is_Lamf_client_model_document_Module = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_Module)))
});
const $isArrayOf_Lamf_client_model_document_Module = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_Module)))
});
const $d_Lamf_client_model_document_Module = new $TypeData().initClass({
  Lamf_client_model_document_Module: 0
}, false, "amf.client.model.document.Module", {
  Lamf_client_model_document_Module: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Module.prototype.$classData = $d_Lamf_client_model_document_Module;
class $c_Lamf_client_model_domain_ApiKeySettings extends $c_Lamf_client_model_domain_Settings {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ApiKeySettings.prototype.init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productPrefix__T() {
    return "ApiKeySettings"
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $in__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ApiKeySettings(x$1)) {
      const ApiKeySettings$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ApiKeySettings$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withName__T__Lamf_client_model_domain_ApiKeySettings(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$meth$withIn__T__O($in) {
    return this.withIn__T__Lamf_client_model_domain_ApiKeySettings($in)
  };
  $$js$exported$prop$in__O() {
    return this.$in__Lamf_client_model_StrField()
  };
  withIn__T__Lamf_client_model_domain_ApiKeySettings($in) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$().In$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, $in);
    return this
  };
  $$undinternal__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_ApiKeySettings(name)
  };
  init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(_internal) {
    $c_Lamf_client_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, _internal);
    return this
  };
  "withIn"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withIn__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "in"() {
    return this.$$js$exported$prop$in__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_ApiKeySettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ApiKeySettings)))
});
const $isArrayOf_Lamf_client_model_domain_ApiKeySettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ApiKeySettings)))
});
const $d_Lamf_client_model_domain_ApiKeySettings = new $TypeData().initClass({
  Lamf_client_model_domain_ApiKeySettings: 0
}, false, "amf.client.model.domain.ApiKeySettings", {
  Lamf_client_model_domain_ApiKeySettings: 1,
  Lamf_client_model_domain_Settings: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ApiKeySettings.prototype.$classData = $d_Lamf_client_model_domain_ApiKeySettings;
class $c_Lamf_client_model_domain_ArrayNode extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    $m_Lamf_core_model_domain_ArrayNode$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ArrayNode.prototype.init___Lamf_core_model_domain_ArrayNode.call(this, new $c_Lamf_core_model_domain_ArrayNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ArrayNode"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_DataNode__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$addMember__Lamf_client_model_domain_DataNode__O(member) {
    return this.addMember__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_ArrayNode(member)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  addMember__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_ArrayNode(member) {
    this.$$undinternal$1.addMember__Lamf_core_model_domain_DataNode__scm_ListBuffer(member.$$undinternal__Lamf_core_model_domain_DataNode());
    return this
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ArrayNode(x$1)) {
      const ArrayNode$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ArrayNode$1.$$undinternal$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$some__O() {
    return "Some"
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  members__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.members$2;
    const m = $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$undinternal__Lamf_core_model_domain_DataNode() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$members__O() {
    return this.members__sjs_js_Array()
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  init___Lamf_core_model_domain_ArrayNode(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_DataNode__withName__T__Lamf_client_model_domain_DataNode(this, name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  get "some"() {
    return this.$$js$exported$prop$some__O()
  };
  "addMember"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$addMember__Lamf_client_model_domain_DataNode__O(prep0)
  };
  get "members"() {
    return this.$$js$exported$prop$members__O()
  };
}
const $is_Lamf_client_model_domain_ArrayNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ArrayNode)))
});
const $isArrayOf_Lamf_client_model_domain_ArrayNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ArrayNode)))
});
const $d_Lamf_client_model_domain_ArrayNode = new $TypeData().initClass({
  Lamf_client_model_domain_ArrayNode: 0
}, false, "amf.client.model.domain.ArrayNode", {
  Lamf_client_model_domain_ArrayNode: 1,
  O: 1,
  Lamf_client_model_domain_DataNode: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ArrayNode.prototype.$classData = $d_Lamf_client_model_domain_ArrayNode;
class $c_Lamf_client_model_domain_CustomDomainProperty extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "CustomDomainProperty"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_CustomDomainProperty.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty.call(this, new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withSchema__Lamf_client_model_domain_Shape__O(schema) {
    return this.withSchema__Lamf_client_model_domain_Shape__Lamf_client_model_domain_CustomDomainProperty(schema)
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$linkTarget__O() {
    return $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr(this)
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$displayName__O() {
    return this.displayName__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_CustomDomainProperty(x$1)) {
      const CustomDomainProperty$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = CustomDomainProperty$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$schema__O() {
    return this.schema__Lamf_client_model_domain_Shape()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withDescription__T__Lamf_client_model_domain_CustomDomainProperty(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Description$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_client_model_domain_CustomDomainProperty(displayName)
  };
  withDisplayName__T__Lamf_client_model_domain_CustomDomainProperty(displayName) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_CustomDomainProperty()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  linkCopy__Lamf_client_model_domain_CustomDomainProperty() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    $m_Lamf_client_convert_CoreClientConverters$().CustomDomainPropertyMatcher__Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$();
    return new $c_Lamf_client_model_domain_CustomDomainProperty().init___Lamf_core_model_domain_extensions_CustomDomainProperty(from)
  };
  schema__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1);
    const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  withName__T__Lamf_client_model_domain_CustomDomainProperty(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_CustomDomainProperty()
  };
  withDomain__sjs_js_Array__Lamf_client_model_domain_CustomDomainProperty(domain) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const m = $m_Lamf_client_convert_CoreClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const domain$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, domain, m).asInternal__sc_Seq();
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, domain$1);
    return this
  };
  withSchema__Lamf_client_model_domain_Shape__Lamf_client_model_domain_CustomDomainProperty(schema) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_CoreClientConverters$();
    $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const schema$1 = schema.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, schema$1);
    return this
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_CustomDomainProperty(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  init___Lamf_core_model_domain_extensions_CustomDomainProperty(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  displayName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().DisplayName$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  domain__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Domain$1);
    const m = $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_CustomDomainProperty(name)
  };
  $$js$exported$meth$withDomain__sjs_js_Array__O(domain) {
    return this.withDomain__sjs_js_Array__Lamf_client_model_domain_CustomDomainProperty(domain)
  };
  $$js$exported$prop$domain__O() {
    return this.domain__sjs_js_Array()
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal$1;
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withSchema"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSchema__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withDomain"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDomain__sjs_js_Array__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "schema"() {
    return this.$$js$exported$prop$schema__O()
  };
  get "domain"() {
    return this.$$js$exported$prop$domain__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_CustomDomainProperty = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_CustomDomainProperty)))
});
const $isArrayOf_Lamf_client_model_domain_CustomDomainProperty = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_CustomDomainProperty)))
});
const $d_Lamf_client_model_domain_CustomDomainProperty = new $TypeData().initClass({
  Lamf_client_model_domain_CustomDomainProperty: 0
}, false, "amf.client.model.domain.CustomDomainProperty", {
  Lamf_client_model_domain_CustomDomainProperty: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_CustomDomainProperty.prototype.$classData = $d_Lamf_client_model_domain_CustomDomainProperty;
class $c_Lamf_client_model_domain_DatatypePropertyTerm extends $c_Lamf_client_model_domain_PropertyTerm {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_DatatypePropertyTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DatatypePropertyTerm"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_DatatypePropertyTerm(x$1)) {
      const DatatypePropertyTerm$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DatatypePropertyTerm$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm(_internal) {
    $c_Lamf_client_model_domain_PropertyTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_PropertyTerm.call(this, _internal);
    return this
  };
}
const $is_Lamf_client_model_domain_DatatypePropertyTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_DatatypePropertyTerm)))
});
const $isArrayOf_Lamf_client_model_domain_DatatypePropertyTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_DatatypePropertyTerm)))
});
const $d_Lamf_client_model_domain_DatatypePropertyTerm = new $TypeData().initClass({
  Lamf_client_model_domain_DatatypePropertyTerm: 0
}, false, "amf.client.model.domain.DatatypePropertyTerm", {
  Lamf_client_model_domain_DatatypePropertyTerm: 1,
  Lamf_client_model_domain_PropertyTerm: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_DatatypePropertyTerm.prototype.$classData = $d_Lamf_client_model_domain_DatatypePropertyTerm;
class $c_Lamf_client_model_domain_Example extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withStructuredValue__Lamf_client_model_domain_DataNode__O(value) {
    return this.withStructuredValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Example(value)
  };
  $$js$exported$prop$structuredValue__O() {
    return this.structuredValue__Lamf_client_model_domain_DataNode()
  };
  productPrefix__T() {
    return "Example"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_Example.prototype.init___Lamf_plugins_domain_shapes_models_Example.call(this, new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$linkTarget__O() {
    return $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr(this)
  };
  structuredValue__Lamf_client_model_domain_DataNode() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return m.asClient__Lamf_core_model_domain_DataNode__Lamf_client_model_domain_DataNode(from)
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  withDisplayName__T__Lamf_client_model_domain_Example(displayName) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$displayName__O() {
    return this.displayName__Lamf_client_model_StrField()
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  mediaType__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withStrict__Z__Lamf_client_model_domain_Example(strict) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, strict);
    return this
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Example(x$1)) {
      const Example$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Example$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  strict__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Strict$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  value__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withValue__T__O(value) {
    return this.withValue__T__Lamf_client_model_domain_Example(value)
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_client_model_domain_Example(displayName)
  };
  linkCopy__Lamf_client_model_domain_Example() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$6 = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_Example__Lamf_client_model_domain_Example(from)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_Example()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_Example()
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withMediaType__T__O(mediaType) {
    return this.withMediaType__T__Lamf_client_model_domain_Example(mediaType)
  };
  withMediaType__T__Lamf_client_model_domain_Example(mediaType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_Example(description)
  };
  $$js$exported$prop$value__O() {
    return this.value__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  withName__T__Lamf_client_model_domain_Example(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  $$js$exported$prop$mediaType__O() {
    return this.mediaType__Lamf_client_model_StrField()
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  withStructuredValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Example(value) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    const value$1 = value.$$undinternal__Lamf_core_model_domain_DataNode();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().StructuredValue$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, value$1);
    return this
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_domain_shapes_models_Example(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withStrict__Z__O(strict) {
    return this.withStrict__Z__Lamf_client_model_domain_Example(strict)
  };
  displayName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().DisplayName$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$strict__O() {
    return this.strict__Lamf_client_model_BoolField()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_Example(name)
  };
  withDescription__T__Lamf_client_model_domain_Example(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  withValue__T__Lamf_client_model_domain_Example(value) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    return this
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal$1;
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withMediaType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediaType__T__O(prep0)
  };
  "withStrict"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withStrict__Z__O(prep0)
  };
  "withStructuredValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withStructuredValue__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValue__T__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
  get "strict"() {
    return this.$$js$exported$prop$strict__O()
  };
  get "structuredValue"() {
    return this.$$js$exported$prop$structuredValue__O()
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_Example = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Example)))
});
const $isArrayOf_Lamf_client_model_domain_Example = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Example)))
});
const $d_Lamf_client_model_domain_Example = new $TypeData().initClass({
  Lamf_client_model_domain_Example: 0
}, false, "amf.client.model.domain.Example", {
  Lamf_client_model_domain_Example: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Example.prototype.$classData = $d_Lamf_client_model_domain_Example;
class $c_Lamf_client_model_domain_HttpSettings extends $c_Lamf_client_model_domain_Settings {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_HttpSettings.prototype.init___Lamf_plugins_domain_webapi_models_security_HttpSettings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_HttpSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "HttpSettings"
  };
  productArity__I() {
    return 1
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_HttpSettings(x$1)) {
      const HttpSettings$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = HttpSettings$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withScheme__T__Lamf_client_model_domain_HttpSettings(scheme) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$().Scheme$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, scheme);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_security_HttpSettings(_internal) {
    $c_Lamf_client_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, _internal);
    return this
  };
  bearerFormat__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$().BearerFormat$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$scheme__O() {
    return this.scheme__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withBearerFormat__T__O(bearerFormat) {
    return this.withBearerFormat__T__Lamf_client_model_domain_HttpSettings(bearerFormat)
  };
  scheme__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$().Scheme$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withBearerFormat__T__Lamf_client_model_domain_HttpSettings(bearerFormat) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$().BearerFormat$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, bearerFormat);
    return this
  };
  $$undinternal__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$bearerFormat__O() {
    return this.bearerFormat__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withScheme__T__O(scheme) {
    return this.withScheme__T__Lamf_client_model_domain_HttpSettings(scheme)
  };
  "withBearerFormat"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withBearerFormat__T__O(prep0)
  };
  "withScheme"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScheme__T__O(prep0)
  };
  get "bearerFormat"() {
    return this.$$js$exported$prop$bearerFormat__O()
  };
  get "scheme"() {
    return this.$$js$exported$prop$scheme__O()
  };
}
const $is_Lamf_client_model_domain_HttpSettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_HttpSettings)))
});
const $isArrayOf_Lamf_client_model_domain_HttpSettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_HttpSettings)))
});
const $d_Lamf_client_model_domain_HttpSettings = new $TypeData().initClass({
  Lamf_client_model_domain_HttpSettings: 0
}, false, "amf.client.model.domain.HttpSettings", {
  Lamf_client_model_domain_HttpSettings: 1,
  Lamf_client_model_domain_Settings: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_HttpSettings.prototype.$classData = $d_Lamf_client_model_domain_HttpSettings;
class $c_Lamf_client_model_domain_OAuth1Settings extends $c_Lamf_client_model_domain_Settings {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_OAuth1Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "OAuth1Settings"
  };
  $$js$exported$prop$tokenCredentialsUri__O() {
    return this.tokenCredentialsUri__Lamf_client_model_StrField()
  };
  productArity__I() {
    return 1
  };
  authorizationUri__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withAuthorizationUri__T__O(authorizationUri) {
    return this.withAuthorizationUri__T__Lamf_client_model_domain_OAuth1Settings(authorizationUri)
  };
  $$js$exported$prop$requestTokenUri__O() {
    return this.requestTokenUri__Lamf_client_model_StrField()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_OAuth1Settings(x$1)) {
      const OAuth1Settings$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = OAuth1Settings$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withTokenCredentialsUri__T__Lamf_client_model_domain_OAuth1Settings(tokenCredentialsUri) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, tokenCredentialsUri);
    return this
  };
  $$js$exported$meth$withTokenCredentialsUri__T__O(tokenCredentialsUri) {
    return this.withTokenCredentialsUri__T__Lamf_client_model_domain_OAuth1Settings(tokenCredentialsUri)
  };
  withSignatures__sjs_js_Array__Lamf_client_model_domain_OAuth1Settings(signatures) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const signatures$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, signatures, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, signatures$1);
    return this
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(_internal) {
    $c_Lamf_client_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, _internal);
    return this
  };
  withAuthorizationUri__T__Lamf_client_model_domain_OAuth1Settings(authorizationUri) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().AuthorizationUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, authorizationUri);
    return this
  };
  requestTokenUri__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  tokenCredentialsUri__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().TokenCredentialsUri$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$undinternal__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$authorizationUri__O() {
    return this.authorizationUri__Lamf_client_model_StrField()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withRequestTokenUri__T__O(requestTokenUri) {
    return this.withRequestTokenUri__T__Lamf_client_model_domain_OAuth1Settings(requestTokenUri)
  };
  withRequestTokenUri__T__Lamf_client_model_domain_OAuth1Settings(requestTokenUri) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().RequestTokenUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, requestTokenUri);
    return this
  };
  $$js$exported$prop$signatures__O() {
    return this.signatures__sjs_js_Array()
  };
  $$js$exported$meth$withSignatures__sjs_js_Array__O(signatures) {
    return this.withSignatures__sjs_js_Array__Lamf_client_model_domain_OAuth1Settings(signatures)
  };
  signatures__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$().Signatures$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  "withSignatures"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSignatures__sjs_js_Array__O(prep0)
  };
  "withTokenCredentialsUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTokenCredentialsUri__T__O(prep0)
  };
  "withAuthorizationUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAuthorizationUri__T__O(prep0)
  };
  "withRequestTokenUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRequestTokenUri__T__O(prep0)
  };
  get "signatures"() {
    return this.$$js$exported$prop$signatures__O()
  };
  get "tokenCredentialsUri"() {
    return this.$$js$exported$prop$tokenCredentialsUri__O()
  };
  get "authorizationUri"() {
    return this.$$js$exported$prop$authorizationUri__O()
  };
  get "requestTokenUri"() {
    return this.$$js$exported$prop$requestTokenUri__O()
  };
}
const $is_Lamf_client_model_domain_OAuth1Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_OAuth1Settings)))
});
const $isArrayOf_Lamf_client_model_domain_OAuth1Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_OAuth1Settings)))
});
const $d_Lamf_client_model_domain_OAuth1Settings = new $TypeData().initClass({
  Lamf_client_model_domain_OAuth1Settings: 0
}, false, "amf.client.model.domain.OAuth1Settings", {
  Lamf_client_model_domain_OAuth1Settings: 1,
  Lamf_client_model_domain_Settings: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_OAuth1Settings.prototype.$classData = $d_Lamf_client_model_domain_OAuth1Settings;
class $c_Lamf_client_model_domain_OAuth2Settings extends $c_Lamf_client_model_domain_Settings {
  $$js$exported$prop$flow__O() {
    return this.flow__Lamf_client_model_StrField()
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_OAuth2Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "OAuth2Settings"
  };
  $$js$exported$meth$withAuthorizationUri__T__O(uri) {
    return this.withAuthorizationUri__T__Lamf_client_model_domain_OAuth2Settings(uri)
  };
  authorizationUri__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_OAuth2Settings(x$1)) {
      const OAuth2Settings$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = OAuth2Settings$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(_internal) {
    $c_Lamf_client_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, _internal);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$withRefreshUri__T__O(refreshUri) {
    return this.withRefreshUri__T__Lamf_client_model_domain_OAuth2Settings(refreshUri)
  };
  withAuthorizationUri__T__Lamf_client_model_domain_OAuth2Settings(uri) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, uri);
    return this
  };
  $$js$exported$prop$accessTokenUri__O() {
    return this.accessTokenUri__Lamf_client_model_StrField()
  };
  scopes__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ScopeMatcher__Lamf_client_convert_ScopeConverter$ScopeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withScopes__sjs_js_Array__O(scopes) {
    return this.withScopes__sjs_js_Array__Lamf_client_model_domain_OAuth2Settings(scopes)
  };
  withAccessTokenUri__T__Lamf_client_model_domain_OAuth2Settings(token) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, token);
    return this
  };
  $$js$exported$meth$withFlow__T__O(flow) {
    return this.withFlow__T__Lamf_client_model_domain_OAuth2Settings(flow)
  };
  $$js$exported$meth$withAuthorizationGrants__sjs_js_Array__O(grants) {
    return this.withAuthorizationGrants__sjs_js_Array__Lamf_client_model_domain_OAuth2Settings(grants)
  };
  authorizationGrants__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  refreshUri__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().RefreshUri$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$refreshUri__O() {
    return this.refreshUri__Lamf_client_model_StrField()
  };
  $$js$exported$prop$authorizationGrants__O() {
    return this.authorizationGrants__sjs_js_Array()
  };
  withAuthorizationGrants__sjs_js_Array__Lamf_client_model_domain_OAuth2Settings(grants) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const authorizationGrants = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, grants, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AuthorizationGrants$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, authorizationGrants);
    return this
  };
  withScopes__sjs_js_Array__Lamf_client_model_domain_OAuth2Settings(scopes) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ScopeMatcher__Lamf_client_convert_ScopeConverter$ScopeMatcher$();
    const scopes$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, scopes, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Scopes$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, scopes$1);
    return this
  };
  $$undinternal__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withAccessTokenUri__T__O(token) {
    return this.withAccessTokenUri__T__Lamf_client_model_domain_OAuth2Settings(token)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  accessTokenUri__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().AccessTokenUri$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withRefreshUri__T__Lamf_client_model_domain_OAuth2Settings(refreshUri) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().RefreshUri$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, refreshUri);
    return this
  };
  $$js$exported$prop$authorizationUri__O() {
    return this.authorizationUri__Lamf_client_model_StrField()
  };
  withFlow__T__Lamf_client_model_domain_OAuth2Settings(flow) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, flow);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  flow__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$().Flow$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$prop$scopes__O() {
    return this.scopes__sjs_js_Array()
  };
  "withScopes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withScopes__sjs_js_Array__O(prep0)
  };
  "withRefreshUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRefreshUri__T__O(prep0)
  };
  "withFlow"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFlow__T__O(prep0)
  };
  "withAuthorizationGrants"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAuthorizationGrants__sjs_js_Array__O(prep0)
  };
  "withAccessTokenUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAccessTokenUri__T__O(prep0)
  };
  "withAuthorizationUri"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAuthorizationUri__T__O(prep0)
  };
  get "scopes"() {
    return this.$$js$exported$prop$scopes__O()
  };
  get "refreshUri"() {
    return this.$$js$exported$prop$refreshUri__O()
  };
  get "flow"() {
    return this.$$js$exported$prop$flow__O()
  };
  get "authorizationGrants"() {
    return this.$$js$exported$prop$authorizationGrants__O()
  };
  get "accessTokenUri"() {
    return this.$$js$exported$prop$accessTokenUri__O()
  };
  get "authorizationUri"() {
    return this.$$js$exported$prop$authorizationUri__O()
  };
}
const $is_Lamf_client_model_domain_OAuth2Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_OAuth2Settings)))
});
const $isArrayOf_Lamf_client_model_domain_OAuth2Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_OAuth2Settings)))
});
const $d_Lamf_client_model_domain_OAuth2Settings = new $TypeData().initClass({
  Lamf_client_model_domain_OAuth2Settings: 0
}, false, "amf.client.model.domain.OAuth2Settings", {
  Lamf_client_model_domain_OAuth2Settings: 1,
  Lamf_client_model_domain_Settings: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_OAuth2Settings.prototype.$classData = $d_Lamf_client_model_domain_OAuth2Settings;
class $c_Lamf_client_model_domain_ObjectNode extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ObjectNode.prototype.init___Lamf_core_model_domain_ObjectNode.call(this, new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ObjectNode"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_DataNode__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  init___Lamf_core_model_domain_ObjectNode(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ObjectNode(x$1)) {
      const ObjectNode$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ObjectNode$1.$$undinternal$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  addProperty__T__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_ObjectNode(property, node) {
    this.$$undinternal$1.addProperty__T__Lamf_core_model_domain_DataNode__Lamf_core_parser_Annotations__Lamf_core_model_domain_ObjectNode(property, node.$$undinternal__Lamf_core_model_domain_DataNode(), new $c_Lamf_core_parser_Annotations().init___());
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  properties__sjs_js_Dictionary() {
    const this$1 = $m_Lamf_client_convert_CoreClientConverters$();
    const from = this.$$undinternal$1.properties$2;
    const m = $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalMapOps().init___Lamf_client_convert_CollectionConverter__scm_Map__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$properties__O() {
    return this.properties__sjs_js_Dictionary()
  };
  $$undinternal__Lamf_core_model_domain_DataNode() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$addProperty__T__Lamf_client_model_domain_DataNode__O(property, node) {
    return this.addProperty__T__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_ObjectNode(property, node)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_DataNode__withName__T__Lamf_client_model_domain_DataNode(this, name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  "addProperty"(arg$1, arg$2) {
    const prep0 = arg$1;
    const prep1 = arg$2;
    return this.$$js$exported$meth$addProperty__T__Lamf_client_model_domain_DataNode__O(prep0, prep1)
  };
  get "properties"() {
    return this.$$js$exported$prop$properties__O()
  };
}
const $is_Lamf_client_model_domain_ObjectNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ObjectNode)))
});
const $isArrayOf_Lamf_client_model_domain_ObjectNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ObjectNode)))
});
const $d_Lamf_client_model_domain_ObjectNode = new $TypeData().initClass({
  Lamf_client_model_domain_ObjectNode: 0
}, false, "amf.client.model.domain.ObjectNode", {
  Lamf_client_model_domain_ObjectNode: 1,
  O: 1,
  Lamf_client_model_domain_DataNode: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ObjectNode.prototype.$classData = $d_Lamf_client_model_domain_ObjectNode;
class $c_Lamf_client_model_domain_ObjectPropertyTerm extends $c_Lamf_client_model_domain_PropertyTerm {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ObjectPropertyTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm.call(this, new $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ObjectPropertyTerm"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ObjectPropertyTerm(x$1)) {
      const ObjectPropertyTerm$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ObjectPropertyTerm$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm() {
    return this.$$undinternal$1
  };
  init___Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm(_internal) {
    $c_Lamf_client_model_domain_PropertyTerm.prototype.init___Lamf_plugins_document_vocabularies_model_domain_PropertyTerm.call(this, _internal);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_domain_ObjectPropertyTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ObjectPropertyTerm)))
});
const $isArrayOf_Lamf_client_model_domain_ObjectPropertyTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ObjectPropertyTerm)))
});
const $d_Lamf_client_model_domain_ObjectPropertyTerm = new $TypeData().initClass({
  Lamf_client_model_domain_ObjectPropertyTerm: 0
}, false, "amf.client.model.domain.ObjectPropertyTerm", {
  Lamf_client_model_domain_ObjectPropertyTerm: 1,
  Lamf_client_model_domain_PropertyTerm: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ObjectPropertyTerm.prototype.$classData = $d_Lamf_client_model_domain_ObjectPropertyTerm;
class $c_Lamf_client_model_domain_OpenIdConnectSettings extends $c_Lamf_client_model_domain_Settings {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_OpenIdConnectSettings.prototype.init___Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings.call(this, new $c_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "OpenIdConnectSettings"
  };
  init___Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(_internal) {
    $c_Lamf_client_model_domain_Settings.prototype.init___Lamf_plugins_domain_webapi_models_security_Settings.call(this, _internal);
    return this
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$url__O() {
    return this.url__Lamf_client_model_StrField()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_OpenIdConnectSettings(x$1)) {
      const OpenIdConnectSettings$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = OpenIdConnectSettings$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withUrl__T__O(url) {
    return this.withUrl__T__Lamf_client_model_domain_OpenIdConnectSettings(url)
  };
  url__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$().Url$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withUrl__T__Lamf_client_model_domain_OpenIdConnectSettings(url) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$().Url$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, url);
    return this
  };
  $$undinternal__Lamf_plugins_domain_webapi_models_security_Settings() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  "withUrl"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUrl__T__O(prep0)
  };
  get "url"() {
    return this.$$js$exported$prop$url__O()
  };
}
const $is_Lamf_client_model_domain_OpenIdConnectSettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_OpenIdConnectSettings)))
});
const $isArrayOf_Lamf_client_model_domain_OpenIdConnectSettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_OpenIdConnectSettings)))
});
const $d_Lamf_client_model_domain_OpenIdConnectSettings = new $TypeData().initClass({
  Lamf_client_model_domain_OpenIdConnectSettings: 0
}, false, "amf.client.model.domain.OpenIdConnectSettings", {
  Lamf_client_model_domain_OpenIdConnectSettings: 1,
  Lamf_client_model_domain_Settings: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_OpenIdConnectSettings.prototype.$classData = $d_Lamf_client_model_domain_OpenIdConnectSettings;
class $c_Lamf_client_model_domain_ParametrizedResourceType extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ParametrizedResourceType.prototype.init___Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ParametrizedResourceType"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$target__O() {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__target__Lamf_client_model_domain_AbstractDeclaration(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ParametrizedResourceType(x$1)) {
      const ParametrizedResourceType$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ParametrizedResourceType$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$withTarget__Lamf_client_model_domain_AbstractDeclaration__O(target) {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__withTarget__Lamf_client_model_domain_AbstractDeclaration__Lamf_client_model_domain_ParametrizedDeclaration(this, target)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    return this.$$undinternal$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  init___Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$variables__O() {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__variables__sjs_js_Array(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__withName__T__Lamf_client_model_domain_ParametrizedDeclaration(this, name)
  };
  $$js$exported$meth$withVariables__sjs_js_Array__O(variables) {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__withVariables__sjs_js_Array__Lamf_client_model_domain_ParametrizedDeclaration(this, variables)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withVariables"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariables__sjs_js_Array__O(prep0)
  };
  "withTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTarget__Lamf_client_model_domain_AbstractDeclaration__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "variables"() {
    return this.$$js$exported$prop$variables__O()
  };
  get "target"() {
    return this.$$js$exported$prop$target__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_ParametrizedResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ParametrizedResourceType)))
});
const $isArrayOf_Lamf_client_model_domain_ParametrizedResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ParametrizedResourceType)))
});
const $d_Lamf_client_model_domain_ParametrizedResourceType = new $TypeData().initClass({
  Lamf_client_model_domain_ParametrizedResourceType: 0
}, false, "amf.client.model.domain.ParametrizedResourceType", {
  Lamf_client_model_domain_ParametrizedResourceType: 1,
  O: 1,
  Lamf_client_model_domain_ParametrizedDeclaration: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ParametrizedResourceType.prototype.$classData = $d_Lamf_client_model_domain_ParametrizedResourceType;
class $c_Lamf_client_model_domain_ParametrizedTrait extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ParametrizedTrait.prototype.init___Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ParametrizedTrait"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$target__O() {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__target__Lamf_client_model_domain_AbstractDeclaration(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ParametrizedTrait(x$1)) {
      const ParametrizedTrait$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ParametrizedTrait$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$withTarget__Lamf_client_model_domain_AbstractDeclaration__O(target) {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__withTarget__Lamf_client_model_domain_AbstractDeclaration__Lamf_client_model_domain_ParametrizedDeclaration(this, target)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$undinternal__Lamf_core_model_domain_templates_ParametrizedDeclaration() {
    return this.$$undinternal$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  init___Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$variables__O() {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__variables__sjs_js_Array(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__withName__T__Lamf_client_model_domain_ParametrizedDeclaration(this, name)
  };
  $$js$exported$meth$withVariables__sjs_js_Array__O(variables) {
    return $f_Lamf_client_model_domain_ParametrizedDeclaration__withVariables__sjs_js_Array__Lamf_client_model_domain_ParametrizedDeclaration(this, variables)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withVariables"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVariables__sjs_js_Array__O(prep0)
  };
  "withTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withTarget__Lamf_client_model_domain_AbstractDeclaration__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "variables"() {
    return this.$$js$exported$prop$variables__O()
  };
  get "target"() {
    return this.$$js$exported$prop$target__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_ParametrizedTrait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ParametrizedTrait)))
});
const $isArrayOf_Lamf_client_model_domain_ParametrizedTrait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ParametrizedTrait)))
});
const $d_Lamf_client_model_domain_ParametrizedTrait = new $TypeData().initClass({
  Lamf_client_model_domain_ParametrizedTrait: 0
}, false, "amf.client.model.domain.ParametrizedTrait", {
  Lamf_client_model_domain_ParametrizedTrait: 1,
  O: 1,
  Lamf_client_model_domain_ParametrizedDeclaration: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ParametrizedTrait.prototype.$classData = $d_Lamf_client_model_domain_ParametrizedTrait;
class $c_Lamf_client_model_domain_ScalarNode extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.value$1 = null;
    this.dataType$1 = null;
    this.platform$1 = null
  };
  init___T__T(value, dataType) {
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType$1 = $m_s_Option$().apply__O__s_Option(dataType);
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ScalarNode.prototype.init___Lamf_core_model_domain_ScalarNode.call(this, new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations(value, dataType$1, new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___() {
    $m_Lamf_core_model_domain_ScalarNode$();
    const dataType = $m_s_None$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ScalarNode.prototype.init___Lamf_core_model_domain_ScalarNode.call(this, new $c_Lamf_core_model_domain_ScalarNode().init___T__s_Option__Lamf_core_parser_Fields__Lamf_core_parser_Annotations("", dataType, new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ScalarNode"
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_DataNode__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ScalarNode(x$1)) {
      const ScalarNode$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ScalarNode$1.$$undinternal$1;
      return (x === x$2)
    } else {
      return false
    }
  };
  $$js$exported$meth$toString__O() {
    return this.toString__T()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", ":", "=", ""]));
    const this$1 = $f_Lamf_client_model_domain_DataNode__name__Lamf_client_model_StrField(this);
    const this$2 = this$1.$$undoption$1;
    return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$2.isEmpty__Z() ? null : this$2.get__O()), this.dataType$1, this.value$1]))
  };
  $$js$exported$prop$dataType__O() {
    return this.dataType$1
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  init___Lamf_core_model_domain_ScalarNode(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    this.value$1 = _internal.value$2;
    const this$2 = _internal.dataType$2;
    this.dataType$1 = (this$2.isEmpty__Z() ? null : this$2.get__O());
    return this
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  $$undinternal__Lamf_core_model_domain_DataNode() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$prop$value__O() {
    return this.value$1
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_DataNode__withName__T__Lamf_client_model_domain_DataNode(this, name)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  "toString"() {
    return this.$$js$exported$meth$toString__O()
  };
  get "dataType"() {
    return this.$$js$exported$prop$dataType__O()
  };
  get "value"() {
    return this.$$js$exported$prop$value__O()
  };
}
const $is_Lamf_client_model_domain_ScalarNode = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ScalarNode)))
});
const $isArrayOf_Lamf_client_model_domain_ScalarNode = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ScalarNode)))
});
const $d_Lamf_client_model_domain_ScalarNode = new $TypeData().initClass({
  Lamf_client_model_domain_ScalarNode: 0
}, false, "amf.client.model.domain.ScalarNode", {
  Lamf_client_model_domain_ScalarNode: 1,
  O: 1,
  Lamf_client_model_domain_DataNode: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ScalarNode.prototype.$classData = $d_Lamf_client_model_domain_ScalarNode;
class $c_Lamf_client_model_domain_SecurityScheme extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  withResponse__T__Lamf_client_model_domain_Response(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withResponse__T__Lamf_plugins_domain_webapi_models_Response(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Response__Lamf_client_model_domain_Response(from)
  };
  settings__Lamf_client_model_domain_Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_client_model_domain_Settings(from)
  };
  $$js$exported$meth$withHeader__T__O(name) {
    return this.withHeader__T__Lamf_client_model_domain_Parameter(name)
  };
  $$js$exported$meth$withOAuth1Settings__O() {
    return this.withOAuth1Settings__Lamf_client_model_domain_OAuth1Settings()
  };
  withDisplayName__T__Lamf_client_model_domain_SecurityScheme(displayName) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, displayName);
    return this
  };
  productPrefix__T() {
    return "SecurityScheme"
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_SecurityScheme.prototype.init___Lamf_plugins_domain_webapi_models_security_SecurityScheme.call(this, new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr(this)
  };
  init___Lamf_plugins_domain_webapi_models_security_SecurityScheme(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  $$js$exported$meth$withHeaders__sjs_js_Array__O(headers) {
    return this.withHeaders__sjs_js_Array__Lamf_client_model_domain_SecurityScheme(headers)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$displayName__O() {
    return this.displayName__Lamf_client_model_StrField()
  };
  withSettings__Lamf_client_model_domain_Settings__Lamf_client_model_domain_SecurityScheme(settings) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$();
    const settings$1 = settings.$$undinternal__Lamf_plugins_domain_webapi_models_security_Settings();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, settings$1);
    return this
  };
  $$js$exported$prop$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_SecurityScheme(x$1)) {
      const SecurityScheme$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = SecurityScheme$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withQueryParameter__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withQueryParameter__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  withHeader__T__Lamf_client_model_domain_Parameter(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withHeader__T__Lamf_plugins_domain_webapi_models_Parameter(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_Parameter__Lamf_client_model_domain_Parameter(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withOAuth1Settings__Lamf_client_model_domain_OAuth1Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings();
    $m_Lamf_client_convert_WebApiClientConverters$().OAuth1SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$();
    return new $c_Lamf_client_model_domain_OAuth1Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth1Settings(from)
  };
  $$js$exported$meth$withQueryParameter__T__O(name) {
    return this.withQueryParameter__T__Lamf_client_model_domain_Parameter(name)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withHeaders__sjs_js_Array__Lamf_client_model_domain_SecurityScheme(headers) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const headers$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, headers, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, headers$1);
    return this
  };
  withHttpSettings__Lamf_client_model_domain_HttpSettings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withHttpSettings__Lamf_plugins_domain_webapi_models_security_HttpSettings();
    $m_Lamf_client_convert_WebApiClientConverters$().HttpSettingsMatcher__Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$();
    return new $c_Lamf_client_model_domain_HttpSettings().init___Lamf_plugins_domain_webapi_models_security_HttpSettings(from)
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  description__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withResponses__sjs_js_Array__Lamf_client_model_domain_SecurityScheme(responses) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$();
    const responses$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, responses, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, responses$1);
    return this
  };
  $$js$exported$meth$withResponses__sjs_js_Array__O(responses) {
    return this.withResponses__sjs_js_Array__Lamf_client_model_domain_SecurityScheme(responses)
  };
  $$js$exported$meth$withDisplayName__T__O(displayName) {
    return this.withDisplayName__T__Lamf_client_model_domain_SecurityScheme(displayName)
  };
  withName__T__Lamf_client_model_domain_SecurityScheme(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withQueryString__Lamf_client_model_domain_Shape__Lamf_client_model_domain_SecurityScheme(queryString) {
    const this$2 = this.$$undinternal$1;
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const queryString$1 = queryString.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, queryString$1);
    return this
  };
  type__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withApiKeySettings__Lamf_client_model_domain_ApiKeySettings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings();
    $m_Lamf_client_convert_WebApiClientConverters$().ApiKeySettingsMatcher__Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$();
    return new $c_Lamf_client_model_domain_ApiKeySettings().init___Lamf_plugins_domain_webapi_models_security_ApiKeySettings(from)
  };
  $$js$exported$prop$queryParameters__O() {
    return this.queryParameters__sjs_js_Array()
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_SecurityScheme()
  };
  $$js$exported$meth$withOAuth2Settings__O() {
    return this.withOAuth2Settings__Lamf_client_model_domain_OAuth2Settings()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  headers__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Headers$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withType__T__O(type) {
    return this.withType__T__Lamf_client_model_domain_SecurityScheme(type)
  };
  $$js$exported$meth$withOpenIdConnectSettings__O() {
    return this.withOpenIdConnectSettings__Lamf_client_model_domain_OpenIdConnectSettings()
  };
  withType__T__Lamf_client_model_domain_SecurityScheme(type) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Type$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, type);
    return this
  };
  $$js$exported$prop$headers__O() {
    return this.headers__sjs_js_Array()
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_SecurityScheme()
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$prop$type__O() {
    return this.type__Lamf_client_model_StrField()
  };
  $$js$exported$prop$responses__O() {
    return this.responses__sjs_js_Array()
  };
  queryParameters__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return this.withDescription__T__Lamf_client_model_domain_SecurityScheme(description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  withOpenIdConnectSettings__Lamf_client_model_domain_OpenIdConnectSettings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOpenIdConnectSettings__Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings();
    $m_Lamf_client_convert_WebApiClientConverters$().OpenIdConnectSettingsMatcher__Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$();
    return new $c_Lamf_client_model_domain_OpenIdConnectSettings().init___Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(from)
  };
  queryString__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryString$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$meth$withQueryString__Lamf_client_model_domain_Shape__O(queryString) {
    return this.withQueryString__Lamf_client_model_domain_Shape__Lamf_client_model_domain_SecurityScheme(queryString)
  };
  withDescription__T__Lamf_client_model_domain_SecurityScheme(description) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Description$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, description);
    return this
  };
  $$js$exported$meth$withApiKeySettings__O() {
    return this.withApiKeySettings__Lamf_client_model_domain_ApiKeySettings()
  };
  $$js$exported$prop$description__O() {
    return this.description__Lamf_client_model_StrField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  displayName__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().DisplayName$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  linkCopy__Lamf_client_model_domain_SecurityScheme() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$6 = new $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher__Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_security_SecurityScheme__Lamf_client_model_domain_SecurityScheme(from)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withResponse__T__O(name) {
    return this.withResponse__T__Lamf_client_model_domain_Response(name)
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_domain_SecurityScheme(name)
  };
  withOAuth2Settings__Lamf_client_model_domain_OAuth2Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings();
    $m_Lamf_client_convert_WebApiClientConverters$().OAuth2SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$();
    return new $c_Lamf_client_model_domain_OAuth2Settings().init___Lamf_plugins_domain_webapi_models_security_OAuth2Settings(from)
  };
  $$js$exported$prop$queryString__O() {
    return this.queryString__Lamf_client_model_domain_Shape()
  };
  responses__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Responses$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withSettings__Lamf_client_model_domain_Settings__O(settings) {
    return this.withSettings__Lamf_client_model_domain_Settings__Lamf_client_model_domain_SecurityScheme(settings)
  };
  $$js$exported$meth$withQueryParameters__sjs_js_Array__O(queryParameters) {
    return this.withQueryParameters__sjs_js_Array__Lamf_client_model_domain_SecurityScheme(queryParameters)
  };
  withDefaultSettings__Lamf_client_model_domain_Settings() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_security_Settings__Lamf_client_model_domain_Settings(from)
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal$1;
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$prop$settings__O() {
    return this.settings__Lamf_client_model_domain_Settings()
  };
  $$js$exported$meth$withDefaultSettings__O() {
    return this.withDefaultSettings__Lamf_client_model_domain_Settings()
  };
  withQueryParameters__sjs_js_Array__Lamf_client_model_domain_SecurityScheme(queryParameters) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$();
    const queryParameters$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, queryParameters, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().QueryParameters$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, queryParameters$1);
    return this
  };
  $$js$exported$meth$withHttpSettings__O() {
    return this.withHttpSettings__Lamf_client_model_domain_HttpSettings()
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withOpenIdConnectSettings"() {
    return this.$$js$exported$meth$withOpenIdConnectSettings__O()
  };
  "withHttpSettings"() {
    return this.$$js$exported$meth$withHttpSettings__O()
  };
  "withApiKeySettings"() {
    return this.$$js$exported$meth$withApiKeySettings__O()
  };
  "withOAuth2Settings"() {
    return this.$$js$exported$meth$withOAuth2Settings__O()
  };
  "withOAuth1Settings"() {
    return this.$$js$exported$meth$withOAuth1Settings__O()
  };
  "withDefaultSettings"() {
    return this.$$js$exported$meth$withDefaultSettings__O()
  };
  "withResponse"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponse__T__O(prep0)
  };
  "withQueryParameter"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameter__T__O(prep0)
  };
  "withHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeader__T__O(prep0)
  };
  "withQueryString"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryString__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withSettings"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withSettings__Lamf_client_model_domain_Settings__O(prep0)
  };
  "withResponses"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withResponses__sjs_js_Array__O(prep0)
  };
  "withQueryParameters"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withQueryParameters__sjs_js_Array__O(prep0)
  };
  "withHeaders"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withHeaders__sjs_js_Array__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withType__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "queryString"() {
    return this.$$js$exported$prop$queryString__O()
  };
  get "settings"() {
    return this.$$js$exported$prop$settings__O()
  };
  get "responses"() {
    return this.$$js$exported$prop$responses__O()
  };
  get "queryParameters"() {
    return this.$$js$exported$prop$queryParameters__O()
  };
  get "headers"() {
    return this.$$js$exported$prop$headers__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "type"() {
    return this.$$js$exported$prop$type__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
}
const $is_Lamf_client_model_domain_SecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_SecurityScheme)))
});
const $isArrayOf_Lamf_client_model_domain_SecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_SecurityScheme)))
});
const $d_Lamf_client_model_domain_SecurityScheme = new $TypeData().initClass({
  Lamf_client_model_domain_SecurityScheme: 0
}, false, "amf.client.model.domain.SecurityScheme", {
  Lamf_client_model_domain_SecurityScheme: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_SecurityScheme.prototype.$classData = $d_Lamf_client_model_domain_SecurityScheme;
class $c_Lamf_core_annotations_BasePathLexicalInformation extends $c_Lamf_core_annotations_LexicalInformation {
  constructor() {
    super();
    this.name$2 = null
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_parser_Range(range) {
    $c_Lamf_core_annotations_LexicalInformation.prototype.init___Lamf_core_parser_Range.call(this, range);
    this.name$2 = "base-path-lexical";
    return this
  };
  range__Lamf_core_parser_Range() {
    return this.range$1
  };
}
const $d_Lamf_core_annotations_BasePathLexicalInformation = new $TypeData().initClass({
  Lamf_core_annotations_BasePathLexicalInformation: 0
}, false, "amf.core.annotations.BasePathLexicalInformation", {
  Lamf_core_annotations_BasePathLexicalInformation: 1,
  Lamf_core_annotations_LexicalInformation: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_BasePathLexicalInformation.prototype.$classData = $d_Lamf_core_annotations_BasePathLexicalInformation;
class $c_Lamf_core_annotations_HostLexicalInformation extends $c_Lamf_core_annotations_LexicalInformation {
  constructor() {
    super();
    this.name$2 = null
  };
  name__T() {
    return this.name$2
  };
  init___Lamf_core_parser_Range(range) {
    $c_Lamf_core_annotations_LexicalInformation.prototype.init___Lamf_core_parser_Range.call(this, range);
    this.name$2 = "host-lexical";
    return this
  };
  range__Lamf_core_parser_Range() {
    return this.range$1
  };
}
const $d_Lamf_core_annotations_HostLexicalInformation = new $TypeData().initClass({
  Lamf_core_annotations_HostLexicalInformation: 0
}, false, "amf.core.annotations.HostLexicalInformation", {
  Lamf_core_annotations_HostLexicalInformation: 1,
  Lamf_core_annotations_LexicalInformation: 1,
  O: 1,
  Lamf_core_model_domain_SerializableAnnotation: 1,
  Lamf_core_model_domain_Annotation: 1,
  Lamf_core_model_domain_PerpetualAnnotation: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_annotations_HostLexicalInformation.prototype.$classData = $d_Lamf_core_annotations_HostLexicalInformation;
class $c_Lamf_core_metamodel_document_ExtensionLikeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_core_metamodel_document_ExtensionLikeModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "DocumentExtension")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return this.Extends$1
  };
  amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Extends$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_core_metamodel_document_ExtensionLikeModel$ = new $TypeData().initClass({
  Lamf_core_metamodel_document_ExtensionLikeModel$: 0
}, false, "amf.core.metamodel.document.ExtensionLikeModel$", {
  Lamf_core_metamodel_document_ExtensionLikeModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ExtensionLikeModel: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_core_metamodel_document_ExtensionLikeModel$.prototype.$classData = $d_Lamf_core_metamodel_document_ExtensionLikeModel$;
let $n_Lamf_core_metamodel_document_ExtensionLikeModel$ = (void 0);
const $m_Lamf_core_metamodel_document_ExtensionLikeModel$ = (function() {
  if ((!$n_Lamf_core_metamodel_document_ExtensionLikeModel$)) {
    $n_Lamf_core_metamodel_document_ExtensionLikeModel$ = new $c_Lamf_core_metamodel_document_ExtensionLikeModel$().init___()
  };
  return $n_Lamf_core_metamodel_document_ExtensionLikeModel$
});
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.documents$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "DocumentsModelEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter(x$1)) {
      const DocumentsModelEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = DocumentsModelEmitter$1.dialect$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = DocumentsModelEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = DocumentsModelEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("documents");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$9 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const jsx$1 = $m_s_Option$();
    const this$3 = this.documents$1;
    if (jsx$1.apply__O__s_Option(this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1)).isDefined__Z()) {
      const jsx$3 = this.emitters$1;
      const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(this.dialect$1, this.ordering$1, this.aliases$1)]));
      const this$4 = $m_sc_Seq$();
      this.emitters$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$4.ReusableCBFInstance$2)
    };
    const this$5 = this.documents$1;
    if (this$5.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1).nonEmpty__Z()) {
      const jsx$5 = this.emitters$1;
      const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(this.dialect$1, this.ordering$1, this.aliases$1)]));
      const this$6 = $m_sc_Seq$();
      this.emitters$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$6.ReusableCBFInstance$2)
    };
    const jsx$6 = $m_s_Option$();
    const this$7 = this.documents$1;
    if (jsx$6.apply__O__s_Option(this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1)).isDefined__Z()) {
      const jsx$8 = this.emitters$1;
      const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(this.dialect$1, this.ordering$1, this.aliases$1)]));
      const this$8 = $m_sc_Seq$();
      this.emitters$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$8.ReusableCBFInstance$2)
    };
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$13 = v.builder$1;
    const array = [key];
    if ((this$13.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$13.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$13, newSize);
    const len$1 = this$13.size0$6;
    const src = this$13.array$6;
    const dest = this$13.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$13.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$10 = j;
      const index = i;
      xs.u[jsx$10] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$13.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, ordering, aliases) {
    this.dialect$1 = dialect;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    this.documents$1 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    this.emitters$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.documents$1;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1));
    let this$6;
    if (this$2.isEmpty__Z()) {
      this$6 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const this$3 = this.documents$1;
      const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1).fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
      if (this$4.isEmpty__Z()) {
        this$6 = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const enc = arg1$1;
        const this$5 = enc.value$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$5.isEmpty__Z()) {
          this$6 = $m_s_None$()
        } else {
          const arg1$2 = this$5.get__O();
          const x$16 = arg1$2;
          this$6 = new $c_s_Some().init___O(x$16.range__Lamf_core_parser_Range().start$1)
        }
      }
    };
    let this$7;
    if (this$6.isEmpty__Z()) {
      this$7 = $m_s_None$()
    } else {
      const arg1$3 = this$6.get__O();
      const pos = arg1$3;
      this$7 = new $c_s_Some().init___O($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([pos])))
    };
    const rootEncodedPosition = (this$7.isEmpty__Z() ? $m_sci_Nil$() : this$7.get__O());
    const jsx$2 = $m_s_Option$();
    const this$8 = this.documents$1;
    const this$9 = jsx$2.apply__O__s_Option(this$8.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1));
    let this$10;
    if (this$9.isEmpty__Z()) {
      this$10 = $m_s_None$()
    } else {
      const arg1$4 = this$9.get__O();
      const x$17 = arg1$4;
      this$10 = new $c_s_Some().init___O(x$17.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1))
    };
    const rootDeclared = (this$10.isEmpty__Z() ? $m_sci_Nil$() : this$10.get__O());
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$6$1) {
      return (function(x$18$2) {
        const x$18 = x$18$2;
        const xo = x$18.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        return xo.toList__sci_List()
      })
    })(this));
    const this$12 = $m_sc_Seq$();
    const jsx$4 = rootDeclared.flatMap__F1__scg_CanBuildFrom__O(jsx$5, this$12.ReusableCBFInstance$2);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$7$1) {
      return (function(x$19$2) {
        const x$19 = x$19$2;
        return x$19.range__Lamf_core_parser_Range().start$1
      })
    })(this));
    const this$13 = $m_sc_Seq$();
    const rootDeclaredPositions = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$13.ReusableCBFInstance$2);
    const jsx$6 = $m_s_Option$();
    const this$14 = this.documents$1;
    const this$15 = jsx$6.apply__O__s_Option(this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1));
    let this$16;
    if (this$15.isEmpty__Z()) {
      this$16 = $m_s_None$()
    } else {
      const arg1$5 = this$15.get__O();
      const x$20 = arg1$5;
      this$16 = new $c_s_Some().init___O(x$20.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1))
    };
    const libraryDeclarations = (this$16.isEmpty__Z() ? $m_sci_Nil$() : this$16.get__O());
    const jsx$9 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$10$1) {
      return (function(x$21$2) {
        const x$21 = x$21$2;
        const this$17 = x$21.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$17.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1$6 = this$17.get__O();
          const x$22 = arg1$6;
          return new $c_s_Some().init___O(x$22.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$18 = $m_sc_Seq$();
    const jsx$8 = libraryDeclarations.map__F1__scg_CanBuildFrom__O(jsx$9, this$18.ReusableCBFInstance$2);
    const jsx$7 = new $c_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter$$anonfun$2().init___Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter(this);
    const this$19 = $m_sc_Seq$();
    const libraryDeclarationPositions = jsx$8.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$7, this$19.ReusableCBFInstance$2);
    const this$20 = this.documents$1;
    const jsx$11 = this$20.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1);
    const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$11$1) {
      return (function(fragment$2) {
        const fragment = fragment$2;
        const this$21 = fragment.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        let xo$1;
        if (this$21.isEmpty__Z()) {
          xo$1 = $m_s_None$()
        } else {
          const arg1$7 = this$21.get__O();
          const x$23 = arg1$7;
          xo$1 = new $c_s_Some().init___O(x$23.range__Lamf_core_parser_Range().start$1)
        };
        return xo$1.toList__sci_List()
      })
    })(this));
    const this$23 = $m_sc_Seq$();
    const fragmentPositions = jsx$11.flatMap__F1__scg_CanBuildFrom__O(jsx$10, this$23.ReusableCBFInstance$2);
    const this$24 = $m_sc_Seq$();
    const jsx$14 = rootEncodedPosition.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(rootDeclaredPositions, this$24.ReusableCBFInstance$2);
    const this$25 = $m_sc_Seq$();
    const jsx$13 = jsx$14.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(fragmentPositions, this$25.ReusableCBFInstance$2);
    const this$26 = $m_sc_Seq$();
    const jsx$12 = jsx$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(libraryDeclarationPositions, this$26.ReusableCBFInstance$2);
    const this$27 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    const this$28 = jsx$12.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$27, evidence$1)).headOption__s_Option();
    return (this$28.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$28.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.DocumentsModelEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_DocumentsModelEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.fragment$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "FragmentMappingEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter(x$1)) {
      const FragmentMappingEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = FragmentMappingEmitter$1.dialect$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.fragment$1;
        const x$4 = FragmentMappingEmitter$1.fragment$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = FragmentMappingEmitter$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.aliases$1;
        const x$8 = FragmentMappingEmitter$1.aliases$1;
        return ((x$7 === null) ? (x$8 === null) : $f_sc_GenMapLike__equals__O__Z(x$7, x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.fragment$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, fragment, ordering, aliases) {
    this.dialect$1 = dialect;
    this.fragment$1 = fragment;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    return this
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.fragment$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
    const this$3 = this$2.option$1;
    const id = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const x1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this, id);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const alias = x2.value$2;
      const this$4 = this.fragment$1;
      const this$5 = this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1);
      const this$6 = this$5.option$1;
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position((this$6.isEmpty__Z() ? null : this$6.get__O()), alias, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    } else {
      const this$9 = this.fragment$1;
      const this$10 = this$9.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1);
      const this$11 = this$10.option$1;
      const jsx$1 = (this$11.isEmpty__Z() ? null : this$11.get__O());
      const this$12 = this.fragment$1;
      const this$13 = this$12.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1);
      const this$14 = this$13.option$1;
      new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(jsx$1, (this$14.isEmpty__Z() ? null : this$14.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b)
    }
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.fragment$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$11 = arg1;
      this$2 = new $c_s_Some().init___O(x$11.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.FragmentMappingEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "FragmentsDocumentModelEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter(x$1)) {
      const FragmentsDocumentModelEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = FragmentsDocumentModelEmitter$1.dialect$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = FragmentsDocumentModelEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = FragmentsDocumentModelEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("fragments");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$3 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lorg_yaml_model_YNode$();
    const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("encodes");
    const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$1 = v$1.builder$1;
    const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$3) {
      return (function(x$14$2) {
        const x$14 = x$14$2;
        x$14.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$3)
      })
    })(this, b$2)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$2.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$1.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$9 = v$1.builder$1;
    const array = [key$1];
    if ((this$9.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$9.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$9, newSize);
    const len$1 = this$9.size0$6;
    const src = this$9.array$6;
    const dest = this$9.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$9.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$2 = j;
      const index = i;
      xs.u[jsx$2] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$9.size0$6 = newSize;
    b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c$1 = b$1.builder$1;
    const value$1 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a$1 = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs$1 = null;
    jsx$3.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$1, t$1, a$1, cs$1));
    const this$24 = v.builder$1;
    const array$1 = [key];
    if ((this$24.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len$3 = (array$1.length | 0);
    const newSize$1 = ((this$24.size0$6 + len$3) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$24, newSize$1);
    const len$4 = this$24.size0$6;
    const src$1 = this$24.array$6;
    const dest$1 = this$24.array$6;
    $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
    const xs$1 = this$24.array$6;
    const len$5 = xs$1.u.length;
    let i$1 = 0;
    let j$1 = 0;
    const x$2 = (array$1.length | 0);
    const x$3 = ((x$2 < len$5) ? x$2 : len$5);
    const that$1 = xs$1.u.length;
    const end$1 = ((x$3 < that$1) ? x$3 : that$1);
    while ((i$1 < end$1)) {
      const jsx$4 = j$1;
      const index$1 = i$1;
      xs$1.u[jsx$4] = array$1[index$1];
      i$1 = ((1 + i$1) | 0);
      j$1 = ((1 + j$1) | 0)
    };
    this$24.size0$6 = newSize$1;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, ordering, aliases) {
    this.dialect$1 = dialect;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    const this$1 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    const jsx$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(fragmentMapping$2) {
        const fragmentMapping = fragmentMapping$2;
        return new $c_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentMappingEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_domain_DocumentMapping__Lamf_core_emitter_SpecOrdering__sci_Map($this.dialect$1, fragmentMapping, $this.ordering$1, $this.aliases$1)
      })
    })(this));
    const this$2 = $m_sc_Seq$();
    this.emitters$1 = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1).headOption__s_Option();
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const e = arg1;
      this$2 = new $c_s_Some().init___O(e.position__Lamf_core_parser_Position())
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.FragmentsDocumentModelEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_FragmentsDocumentModelEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.mapping$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "LibraryDocumentModelEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter(x$1)) {
      const LibraryDocumentModelEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = LibraryDocumentModelEmitter$1.dialect$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = LibraryDocumentModelEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = LibraryDocumentModelEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.mapping$1;
    const jsx$3 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(declaration$2) {
        const declaration = declaration$2;
        const this$2 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
        const this$3 = this$2.option$1;
        const id = (this$3.isEmpty__Z() ? null : this$3.get__O());
        const x1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option($this, id);
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const declaredId = x2.value$2;
          const this$4 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
          const this$5 = this$4.option$1;
          return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position((this$5.isEmpty__Z() ? null : this$5.get__O()), declaredId, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
        } else {
          const this$8 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
          const this$9 = this$8.option$1;
          const jsx$2 = (this$9.isEmpty__Z() ? null : this$9.get__O());
          const this$10 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
          const this$11 = this$10.option$1;
          return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(jsx$2, (this$11.isEmpty__Z() ? null : this$11.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
        }
      })
    })(this));
    const this$14 = $m_sc_Seq$();
    const declaredNodes = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$14.ReusableCBFInstance$2);
    const sortedNodes = this.ordering$1.sorted__sc_Seq__sc_Seq(declaredNodes);
    const jsx$5 = this.emitters$1;
    const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anon$1().init___Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter__sc_Seq(this, sortedNodes)]));
    const this$15 = $m_sc_Seq$();
    this.emitters$1 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$15.ReusableCBFInstance$2);
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("library");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$6 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$22 = v.builder$1;
    const array = [key];
    if ((this$22.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$22.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$22, newSize);
    const len$1 = this$22.size0$6;
    const src = this$22.array$6;
    const dest = this$22.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$22.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x = (array.length | 0);
    const x$1 = ((x < len$2) ? x : len$2);
    const that = xs.u.length;
    const end = ((x$1 < that) ? x$1 : that);
    while ((i < end)) {
      const jsx$7 = j;
      const index = i;
      xs.u[jsx$7] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$22.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, ordering, aliases) {
    this.dialect$1 = dialect;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    const this$1 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    this.mapping$1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1);
    this.emitters$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1);
    const jsx$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1);
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(lib$2) {
        const lib = lib$2;
        const this$4 = lib.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
        if (this$4.isEmpty__Z()) {
          return $m_s_None$()
        } else {
          const arg1 = this$4.get__O();
          const x$7 = arg1;
          return new $c_s_Some().init___O(x$7.range__Lamf_core_parser_Range().start$1)
        }
      })
    })(this));
    const this$5 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter$$anonfun$1().init___Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter(this);
    const this$6 = $m_sc_Seq$();
    const allPos = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
    const this$7 = $m_s_math_Ordering$();
    const evidence$1 = $m_s_Predef$().singleton$und$less$colon$less$2;
    const this$8 = allPos.sorted__s_math_Ordering__O(new $c_s_math_LowPriorityOrderingImplicits$$anon$6().init___s_math_LowPriorityOrderingImplicits__F1(this$7, evidence$1)).headOption__s_Option();
    return (this$8.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$8.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.LibraryDocumentModelEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_LibraryDocumentModelEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.nodeMapping$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "NodeMappingEmitter"
  };
  isFragment__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_vocabularies_model_document_Dialect__Z(elem, dialect) {
    return dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x0$3)) {
          const x2 = x0$3;
          return (x2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1).id$1 === elem$1.id__T())
        } else {
          return false
        }
      })
    })(this, elem)))
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter(x$1)) {
      const NodeMappingEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = NodeMappingEmitter$1.dialect$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.nodeMapping$1;
        const x$4 = NodeMappingEmitter$1.nodeMapping$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = NodeMappingEmitter$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.aliases$1;
        const x$8 = NodeMappingEmitter$1.aliases$1;
        return ((x$7 === null) ? (x$8 === null) : $f_sc_GenMapLike__equals__O__Z(x$7, x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.nodeMapping$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.nodeMapping$1;
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()) {
      const this$2 = this.nodeMapping$1;
      if (this.isFragment__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_vocabularies_model_document_Dialect__Z($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2).get__O(), this.dialect$1)) {
        $m_Lorg_yaml_model_YNode$();
        const this$3 = this.nodeMapping$1;
        const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
        const this$5 = this$4.option$1;
        const str = (this$5.isEmpty__Z() ? null : this$5.get__O());
        const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
        const jsx$1 = $m_Lorg_yaml_model_YNode$();
        const this$7 = this.nodeMapping$1;
        const value = jsx$1.include__T__Lorg_yaml_model_YNode$MutRef($f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$7).get__O());
        b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key, value)
      } else {
        $m_Lorg_yaml_model_YNode$();
        const this$8 = this.nodeMapping$1;
        const this$9 = this$8.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
        const this$10 = this$9.option$1;
        const str$1 = (this$10.isEmpty__Z() ? null : this$10.get__O());
        const key$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$1);
        $m_Lorg_yaml_model_YNode$();
        const this$12 = this.nodeMapping$1;
        const str$2 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$12).get__O();
        const value$1 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$2);
        b.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$1, value$1)
      }
    } else {
      $m_Lorg_yaml_model_YNode$();
      const this$14 = this.nodeMapping$1;
      const this$15 = this$14.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
      const this$16 = this$15.option$1;
      const str$3 = (this$16.isEmpty__Z() ? null : this$16.get__O());
      const key$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str$3);
      const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$6 = v.builder$1;
      const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const this$19 = this.nodeMapping$1;
      const this$20 = this$19.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1);
      const this$21 = this$20.option$1;
      const id = (this$21.isEmpty__Z() ? null : this$21.get__O());
      const x1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this, id);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const classTermAlias = x2.value$2;
        new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("classTerm", classTermAlias, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()).emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$1)
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const this$24 = this.nodeMapping$1;
          this$24.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().NodeTypeMapping$1)
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      };
      $m_Lorg_yaml_model_YNode$();
      const key$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("mapping");
      const v$1 = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
      const jsx$4 = v$1.builder$1;
      const b$2 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
      const this$27 = this.nodeMapping$1;
      const jsx$3 = this$27.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1);
      const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(pm$2) {
          const pm = pm$2;
          return new $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter().init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_core_emitter_SpecOrdering__sci_Map($this.dialect$1, pm, $this.ordering$1, $this.aliases$1)
        })
      })(this));
      const this$28 = $m_sc_Seq$();
      const propertiesEmitters = jsx$3.map__F1__scg_CanBuildFrom__O(jsx$2, this$28.ReusableCBFInstance$2);
      $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(propertiesEmitters, b$2);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c = b$2.builder$1;
      const value$2 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      jsx$4.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$2, t, a, cs));
      const this$33 = v$1.builder$1;
      const array = [key$3];
      if ((this$33.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len = (array.length | 0);
      const newSize = ((this$33.size0$6 + len) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$33, newSize);
      const len$1 = this$33.size0$6;
      const src = this$33.array$6;
      const dest = this$33.array$6;
      $systemArraycopy(src, 0, dest, len, len$1);
      const xs = this$33.array$6;
      const len$2 = xs.u.length;
      let i = 0;
      let j = 0;
      const x$1 = (array.length | 0);
      const x$2 = ((x$1 < len$2) ? x$1 : len$2);
      const that = xs.u.length;
      const end = ((x$2 < that) ? x$2 : that);
      while ((i < end)) {
        const jsx$5 = j;
        const index = i;
        xs.u[jsx$5] = array[index];
        i = ((1 + i) | 0);
        j = ((1 + j) | 0)
      };
      this$33.size0$6 = newSize;
      b$1.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v$1.builder$1));
      const this$44 = this.nodeMapping$1;
      const this$45 = this$44.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().IdTemplate$1).option$1;
      if ((!this$45.isEmpty__Z())) {
        const arg1 = this$45.get__O();
        const idTemplate = arg1;
        $m_Lorg_yaml_model_YNode$();
        const key$4 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("idTemplate");
        $m_Lorg_yaml_model_YNode$();
        const value$3 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(idTemplate);
        b$1.addEntry__p2__Lorg_yaml_model_YPart__Lorg_yaml_model_YPart__V(key$4, value$3)
      };
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const c$1 = b$1.builder$1;
      const value$4 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
      const tt$1 = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t$1 = tt$1.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a$1 = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs$1 = null;
      jsx$6.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$4, t$1, a$1, cs$1));
      const this$52 = v.builder$1;
      const array$1 = [key$2];
      if ((this$52.size0$6 < 0)) {
        throw new $c_jl_IndexOutOfBoundsException().init___T("0")
      };
      const len$3 = (array$1.length | 0);
      const newSize$1 = ((this$52.size0$6 + len$3) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this$52, newSize$1);
      const len$4 = this$52.size0$6;
      const src$1 = this$52.array$6;
      const dest$1 = this$52.array$6;
      $systemArraycopy(src$1, 0, dest$1, len$3, len$4);
      const xs$1 = this$52.array$6;
      const len$5 = xs$1.u.length;
      let i$1 = 0;
      let j$1 = 0;
      const x$3 = (array$1.length | 0);
      const x$4 = ((x$3 < len$5) ? x$3 : len$5);
      const that$1 = xs$1.u.length;
      const end$1 = ((x$4 < that$1) ? x$4 : that$1);
      while ((i$1 < end$1)) {
        const jsx$7 = j$1;
        const index$1 = i$1;
        xs$1.u[jsx$7] = array$1[index$1];
        i$1 = ((1 + i$1) | 0);
        j$1 = ((1 + j$1) | 0)
      };
      this$52.size0$6 = newSize$1;
      b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
    }
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.nodeMapping$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$31 = arg1;
      this$2 = new $c_s_Some().init___O(x$31.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, nodeMapping, ordering, aliases) {
    this.dialect$1 = dialect;
    this.nodeMapping$1 = nodeMapping;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    return this
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.NodeMappingEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_NodeMappingEmitter;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null;
    this.mapping$1 = null;
    this.emitters$1 = null
  };
  productPrefix__T() {
    return "RootDocumentModelEmitter"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter(x$1)) {
      const RootDocumentModelEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = RootDocumentModelEmitter$1.dialect$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$1;
        const x$4 = RootDocumentModelEmitter$1.ordering$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.aliases$1;
        const x$6 = RootDocumentModelEmitter$1.aliases$1;
        return ((x$5 === null) ? (x$6 === null) : $f_sc_GenMapLike__equals__O__Z(x$5, x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.ordering$1;
        break
      }
      case 2: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    const this$1 = this.mapping$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().EncodedNode$1).option$1;
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const encodedId = arg1;
      const x1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this, encodedId);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const alias = x2.value$2;
        const jsx$2 = this.emitters$1;
        const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("encodes", alias, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
        const this$5 = $m_sc_Seq$();
        this.emitters$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const jsx$4 = this.emitters$1;
          const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("encodes", encodedId, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())]));
          const this$8 = $m_sc_Seq$();
          this.emitters$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$8.ReusableCBFInstance$2)
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    };
    const this$9 = this.mapping$1;
    const decls = this$9.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1);
    if (decls.nonEmpty__Z()) {
      const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(declaration$2) {
          const declaration = declaration$2;
          const this$10 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
          const this$11 = this$10.option$1;
          const id = (this$11.isEmpty__Z() ? null : this$11.get__O());
          const x1$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this$2$1, id);
          if ($is_s_Some(x1$1)) {
            const x2$1 = x1$1;
            const declaredId = x2$1.value$2;
            const this$12 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
            const this$13 = this$12.option$1;
            return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position((this$13.isEmpty__Z() ? null : this$13.get__O()), declaredId, $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
          } else {
            const this$16 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
            const this$17 = this$16.option$1;
            const jsx$6 = (this$17.isEmpty__Z() ? null : this$17.get__O());
            const this$18 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
            const this$19 = this$18.option$1;
            return new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position(jsx$6, (this$19.isEmpty__Z() ? null : this$19.get__O()), $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$())
          }
        })
      })(this));
      const this$22 = $m_sc_Seq$();
      const declaredNodes = decls.map__F1__scg_CanBuildFrom__O(jsx$5, this$22.ReusableCBFInstance$2);
      const sortedNodes = this.ordering$1.sorted__sc_Seq__sc_Seq(declaredNodes);
      const jsx$8 = this.emitters$1;
      const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter$$anon$2().init___Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter__sc_Seq(this, sortedNodes)]));
      const this$23 = $m_sc_Seq$();
      this.emitters$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$23.ReusableCBFInstance$2)
    };
    $m_Lorg_yaml_model_YNode$();
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("root");
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$9 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    $m_Lamf_core_emitter_BaseEmitters_package$().traverse__sc_Seq__Lorg_yaml_model_YDocument$EntryBuilder__V(this.ordering$1.sorted__sc_Seq__sc_Seq(this.emitters$1), b$1);
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$9.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value, t, a, cs));
    const this$30 = v.builder$1;
    const array = [key];
    if ((this$30.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$30.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$30, newSize);
    const len$1 = this$30.size0$6;
    const src = this$30.array$6;
    const dest = this$30.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs = this$30.array$6;
    const len$2 = xs.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$10 = j;
      const index = i;
      xs.u[jsx$10] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$30.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, ordering, aliases) {
    this.dialect$1 = dialect;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    const this$1 = dialect.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    this.mapping$1 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1);
    this.emitters$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.dialect$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    const this$3 = this$2.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1).annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      const x$10 = arg1;
      this$4 = new $c_s_Some().init___O(x$10.range__Lamf_core_parser_Range().start$1)
    };
    return (this$4.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$4.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.RootDocumentModelEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_RootDocumentModelEmitter;
class $c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "DatatypePropertyTerm"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm(x$1)) {
      const DatatypePropertyTerm$1 = x$1;
      const x = this.fields$2;
      const x$2 = DatatypePropertyTerm$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = DatatypePropertyTerm$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_DatatypePropertyTermModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    return this
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DatatypePropertyTerm", {
  Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyTerm: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DatatypePropertyTerm;
class $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "NodeMapping"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping(x$1)) {
      const NodeMapping$1 = x$1;
      const x = this.fields$1;
      const x$2 = NodeMapping$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = NodeMapping$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
    const this$2 = this$1.option$1;
    const str = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const this$4 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$5 = this$4.platform$1;
    const url = this$4.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$5, url))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    const unresolvedNodeMapping = unresolved;
    const this$1 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(unresolvedNodeMapping, label, annotations);
    const value = unresolvedNodeMapping.id$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$1, value);
    const this$2 = unresolvedNodeMapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1);
    const this$3 = this$2.option$1;
    const name = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_NodeMapping = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_NodeMapping)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_NodeMapping = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_NodeMapping)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_NodeMapping = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_NodeMapping: 0
}, false, "amf.plugins.document.vocabularies.model.domain.NodeMapping", {
  Lamf_plugins_document_vocabularies_model_domain_NodeMapping: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_NodeMapping.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_NodeMapping;
class $c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm extends $c_Lamf_plugins_document_vocabularies_model_domain_PropertyTerm {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "ObjectPropertyTerm"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm(x$1)) {
      const ObjectPropertyTerm$1 = x$1;
      const x = this.fields$2;
      const x$2 = ObjectPropertyTerm$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ObjectPropertyTerm$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_domain_ObjectPropertyTermModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    return this
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm: 0
}, false, "amf.plugins.document.vocabularies.model.domain.ObjectPropertyTerm", {
  Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm: 1,
  Lamf_plugins_document_vocabularies_model_domain_PropertyTerm: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_ObjectPropertyTerm;
class $c_Lamf_plugins_document_webapi_OAS20Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.validationProfile$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.allowRecursiveReferences$2 = false;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_webapi_OAS20Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.allowRecursiveReferences$2 = false;
    $f_Lamf_plugins_document_webapi_OASPlugin__$$init$__V(this);
    this.validationProfile$2 = $m_Lamf_ProfileNames$().OAS$1;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    if (($m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1 === pipelineId)) {
      const this$1 = new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline().init___();
      return $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit.call(this$1, unit)
    } else if (($m_Lamf_core_resolution_pipelines_ResolutionPipeline$().EDITING$undPIPELINE$1 === pipelineId)) {
      return new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasEditingPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
    } else {
      throw new $c_s_MatchError().init___O(pipelineId)
    }
  };
  amf$plugins$document$webapi$OASPlugin$$undsetter$und$ID$und$eq__T__V(x$1) {
    this.ID$2 = x$1
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_plugins_document_webapi_model_Overlay(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_Extension(unit)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x4 = unit;
      return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
    } else if ($is_Lamf_core_model_document_Module(unit)) {
      const x5 = unit;
      return x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          return (x0$2 !== null)
        })
      })(this)))
    } else {
      return $is_Lamf_core_model_document_Fragment(unit)
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  documentSyntaxes__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_OASPlugin__documentSyntaxes__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  amf$plugins$document$webapi$OASPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V(x$1) {
    this.vendors$2 = x$1
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  version__T() {
    return "2.0"
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Module(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter().init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitModule__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_ExternalFragment(unit)) {
      const x4 = unit;
      const jsx$2 = $m_Lorg_yaml_model_YDocument$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$();
      const this$3 = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
      const this$5 = this$4.option$1;
      return new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(jsx$1.apply__T__Lorg_yaml_model_YNode((this$5.isEmpty__Z() ? null : this$5.get__O()))))
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x5 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x5, new $c_Lamf_plugins_document_webapi_contexts_Oas2SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(root);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      const x$2 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$();
      return (!((x$1 !== null) && (x$1 === x$2)))
    } else {
      return false
    }
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, parentContext, platform) {
    return $f_Lamf_plugins_document_webapi_OASPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(this, document, parentContext, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
  context__T__sc_Seq__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(loc, refs, wrapped, ds) {
    return new $c_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds)
  };
}
const $d_Lamf_plugins_document_webapi_OAS20Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_OAS20Plugin$: 0
}, false, "amf.plugins.document.webapi.OAS20Plugin$", {
  Lamf_plugins_document_webapi_OAS20Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_OASPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_OAS20Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_OAS20Plugin$;
let $n_Lamf_plugins_document_webapi_OAS20Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_OAS20Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_OAS20Plugin$)) {
    $n_Lamf_plugins_document_webapi_OAS20Plugin$ = new $c_Lamf_plugins_document_webapi_OAS20Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_OAS20Plugin$
});
class $c_Lamf_plugins_document_webapi_OAS30Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.validationProfile$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.allowRecursiveReferences$2 = false;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_webapi_OAS30Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.allowRecursiveReferences$2 = false;
    $f_Lamf_plugins_document_webapi_OASPlugin__$$init$__V(this);
    this.validationProfile$2 = $m_Lamf_ProfileNames$().OAS3$1;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    const this$1 = new $c_Lamf_plugins_document_webapi_resolution_pipelines_OasResolutionPipeline().init___();
    return $c_Lamf_plugins_document_webapi_resolution_pipelines_AmfResolutionPipeline.prototype.resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit.call(this$1, unit)
  };
  amf$plugins$document$webapi$OASPlugin$$undsetter$und$ID$und$eq__T__V(x$1) {
    this.ID$2 = x$1
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_plugins_document_webapi_model_Overlay(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_Extension(unit)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x4 = unit;
      return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
    } else if ($is_Lamf_core_model_document_Module(unit)) {
      const x5 = unit;
      return x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$3$2) {
          const x0$3 = x0$3$2;
          return (x0$3 !== null)
        })
      })(this)))
    } else {
      return $is_Lamf_core_model_document_Fragment(unit)
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  documentSyntaxes__sc_Seq() {
    return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["application/json", "application/yaml", "application/x-yaml", "text/yaml", "text/vnd.yaml", "text/x-yaml", "application/openapi+json", "application/swagger+json", "application/openapi+yaml", "application/swagger+yaml", "application/openapi", "application/swagger"]))
  };
  amf$plugins$document$webapi$OASPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V(x$1) {
    this.vendors$2 = x$1
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  version__T() {
    return "3.0.0"
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Module(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleEmitter().init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitModule__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_ExternalFragment(unit)) {
      const x4 = unit;
      const jsx$2 = $m_Lorg_yaml_model_YDocument$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$();
      const this$3 = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
      const this$5 = this$4.option$1;
      return new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(jsx$1.apply__T__Lorg_yaml_model_YNode((this$5.isEmpty__Z() ? null : this$5.get__O()))))
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x5 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(x5, new $c_Lamf_plugins_document_webapi_contexts_Oas3SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_OasRefEmitter$())).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    return $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(root).contains__O__Z($m_Lamf_plugins_document_webapi_parser_OasHeader$Oas30Header$())
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(document, parentContext, platform) {
    return $f_Lamf_plugins_document_webapi_OASPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(this, document, parentContext, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
  context__T__sc_Seq__Lamf_core_parser_ParserContext__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(loc, refs, wrapped, ds) {
    return new $c_Lamf_plugins_document_webapi_contexts_Oas3WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds)
  };
}
const $d_Lamf_plugins_document_webapi_OAS30Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_OAS30Plugin$: 0
}, false, "amf.plugins.document.webapi.OAS30Plugin$", {
  Lamf_plugins_document_webapi_OAS30Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_OASPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_OAS30Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_OAS30Plugin$;
let $n_Lamf_plugins_document_webapi_OAS30Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_OAS30Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_OAS30Plugin$)) {
    $n_Lamf_plugins_document_webapi_OAS30Plugin$ = new $c_Lamf_plugins_document_webapi_OAS30Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_OAS30Plugin$
});
class $c_Lamf_plugins_document_webapi_RAML08Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.validationProfile$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.allowRecursiveReferences$2 = false;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$ID$und$eq__T__V(x$1) {
    this.ID$2 = x$1
  };
  context$default$3__s_Option() {
    return $m_s_None$()
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_webapi_RAML08Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.allowRecursiveReferences$2 = false;
    $f_Lamf_plugins_document_webapi_RAMLPlugin__$$init$__V(this);
    this.validationProfile$2 = $m_Lamf_ProfileNames$().RAML08$1;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    if (($m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1 === pipelineId)) {
      return new $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08ResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
    } else if (($m_Lamf_core_resolution_pipelines_ResolutionPipeline$().EDITING$undPIPELINE$1 === pipelineId)) {
      return new $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml08EditingPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
    } else {
      throw new $c_s_MatchError().init___O(pipelineId)
    }
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ((!$is_Lamf_plugins_document_webapi_model_Overlay(unit))) {
      if ((!$is_Lamf_plugins_document_webapi_model_Extension(unit))) {
        if ($is_Lamf_core_model_document_Document(unit)) {
          const x4 = unit;
          return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
        } else {
          return ((!$is_Lamf_core_model_document_Module(unit)) && ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(unit) || ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(unit) || ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_TraitFragment(unit) || ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(unit) || ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(unit) || $is_Lamf_core_model_document_ExternalFragment(unit)))))))))
        }
      } else {
        return false
      }
    } else {
      return false
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  documentSyntaxes__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__documentSyntaxes__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  context__Lamf_core_parser_ParserContext__Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(wrapped, root, ds) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(root.location$1, root.references$1, wrapped, ds)
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  version__T() {
    return "0.8"
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Document(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext().init___()).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_Raml08SpecEmitterContext().init___()).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().apply__Lamf_core_Root__s_Option(root);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x0$2 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml08$();
      if (x.equals__O__Z(x0$2)) {
        return true
      } else {
        return $is_Lamf_plugins_document_webapi_parser_RamlFragment(x0$2)
      }
    } else {
      return false
    }
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(root, parentContext, platform) {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(this, root, parentContext, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V(x$1) {
    this.vendors$2 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_RAML08Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_RAML08Plugin$: 0
}, false, "amf.plugins.document.webapi.RAML08Plugin$", {
  Lamf_plugins_document_webapi_RAML08Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_RAMLPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_RAML08Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_RAML08Plugin$;
let $n_Lamf_plugins_document_webapi_RAML08Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_RAML08Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_RAML08Plugin$)) {
    $n_Lamf_plugins_document_webapi_RAML08Plugin$ = new $c_Lamf_plugins_document_webapi_RAML08Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_RAML08Plugin$
});
class $c_Lamf_plugins_document_webapi_RAML10Plugin$ extends $c_Lamf_core_plugins_AMFDocumentPlugin {
  constructor() {
    super();
    this.validationProfile$2 = null;
    this.ID$2 = null;
    this.vendors$2 = null;
    this.allowRecursiveReferences$2 = false;
    this.platform$2 = null;
    this.aggregatedReport$2 = null;
    this.defaultValidationProfiles$2 = null
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$ID$und$eq__T__V(x$1) {
    this.ID$2 = x$1
  };
  context$default$3__s_Option() {
    return $m_s_None$()
  };
  init___() {
    $c_Lamf_core_plugins_AMFDocumentPlugin.prototype.init___.call(this);
    $n_Lamf_plugins_document_webapi_RAML10Plugin$ = this;
    $f_Lamf_plugins_document_webapi_validation_WebApiValidations__$$init$__V(this);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    this.allowRecursiveReferences$2 = false;
    $f_Lamf_plugins_document_webapi_RAMLPlugin__$$init$__V(this);
    this.validationProfile$2 = $m_Lamf_ProfileNames$().RAML$1;
    return this
  };
  resolve__Lamf_core_model_document_BaseUnit__T__Lamf_core_model_document_BaseUnit(unit, pipelineId) {
    if (($m_Lamf_core_resolution_pipelines_ResolutionPipeline$().DEFAULT$undPIPELINE$1 === pipelineId)) {
      return new $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10ResolutionPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
    } else if (($m_Lamf_core_resolution_pipelines_ResolutionPipeline$().EDITING$undPIPELINE$1 === pipelineId)) {
      return new $c_Lamf_plugins_document_webapi_resolution_pipelines_Raml10EditingPipeline().init___().resolve__Lamf_core_model_document_BaseUnit__Lamf_core_model_document_BaseUnit(unit)
    } else {
      throw new $c_s_MatchError().init___O(pipelineId)
    }
  };
  canUnparse__Lamf_core_model_document_BaseUnit__Z(unit) {
    if ($is_Lamf_plugins_document_webapi_model_Overlay(unit)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_Extension(unit)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x4 = unit;
      return $is_Lamf_plugins_domain_webapi_models_WebApi(x4.encodes__Lamf_core_model_domain_DomainElement())
    } else if ($is_Lamf_core_model_document_Module(unit)) {
      const x5 = unit;
      return x5.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1).exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(x0$4$2) {
          const x0$4 = x0$4$2;
          return (x0$4 !== null)
        })
      })(this)))
    } else {
      return ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(unit) || ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(unit) || ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(unit) || ($is_Lamf_plugins_document_webapi_model_TraitFragment(unit) || ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(unit) || ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(unit) || $is_Lamf_core_model_document_ExternalFragment(unit))))))))
    }
  };
  modelEntities__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__modelEntities__sc_Seq(this)
  };
  documentSyntaxes__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__documentSyntaxes__sc_Seq(this)
  };
  amf$plugins$document$webapi$validation$WebApiValidations$$undsetter$und$defaultValidationProfiles$und$eq__sci_Map__V(x$1) {
    this.defaultValidationProfiles$2 = x$1
  };
  aggregatedReport__sci_List() {
    return this.aggregatedReport$2
  };
  validationRequest__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__Lamf_core_remote_Platform__s_concurrent_Future(baseUnit, profile, validations, platform) {
    const messageStyle = this.validationProfile$2;
    return $f_Lamf_plugins_document_webapi_validation_WebApiValidations__validationRequestsForBaseUnit__Lamf_core_model_document_BaseUnit__T__Lamf_core_validation_EffectiveValidations__T__Lamf_core_remote_Platform__s_concurrent_Future(this, baseUnit, profile, validations, messageStyle, platform)
  };
  vendors__sc_Seq() {
    return this.vendors$2
  };
  context__Lamf_core_parser_ParserContext__Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(wrapped, root, ds) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(root.location$1, root.references$1, wrapped, ds)
  };
  referenceHandler__Lamf_core_parser_ReferenceHandler() {
    return new $c_Lamf_plugins_document_webapi_references_WebApiReferenceHandler().init___T__Lamf_plugins_document_webapi_BaseWebApiPlugin(this.ID$2, this)
  };
  version__T() {
    return "1.0"
  };
  ID__T() {
    return this.ID$2
  };
  domainValidationProfiles__Lamf_core_remote_Platform__sci_Map(platform) {
    return this.defaultValidationProfiles$2
  };
  aggregatedReport$und$eq__sci_List__V(x$1) {
    this.aggregatedReport$2 = x$1
  };
  dependencies__sc_Seq() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__dependencies__sc_Seq(this)
  };
  unparse__Lamf_core_model_document_BaseUnit__Lamf_core_emitter_RenderOptions__s_Option(unit, options) {
    if ($is_Lamf_core_model_document_Module(unit)) {
      const x2 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleEmitter().init___Lamf_core_model_document_Module__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x2, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$())).emitModule__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_Document(unit)) {
      const x3 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentEmitter().init___Lamf_core_model_document_BaseUnit__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x3, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$())).emitDocument__Lorg_yaml_model_YDocument())
    } else if ($is_Lamf_core_model_document_ExternalFragment(unit)) {
      const x4 = unit;
      const jsx$2 = $m_Lorg_yaml_model_YDocument$();
      const jsx$1 = $m_Lorg_yaml_model_YNode$();
      const this$3 = x4.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1);
      const this$4 = this$3.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1);
      const this$5 = this$4.option$1;
      return new $c_s_Some().init___O(jsx$2.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YDocument(jsx$1.apply__T__Lorg_yaml_model_YNode((this$5.isEmpty__Z() ? null : this$5.get__O()))))
    } else if ($is_Lamf_core_model_document_Fragment(unit)) {
      const x5 = unit;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentEmitter().init___Lamf_core_model_document_Fragment__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(x5, new $c_Lamf_plugins_document_webapi_contexts_Raml10SpecEmitterContext().init___Lamf_plugins_document_webapi_contexts_RefEmitter($m_Lamf_plugins_document_webapi_contexts_RamlRefEmitter$())).emitFragment__Lorg_yaml_model_YDocument())
    } else {
      return $m_s_None$()
    }
  };
  canParse__Lamf_core_Root__Z(root) {
    const this$1 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$().apply__Lamf_core_Root__s_Option(root);
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const x0$3 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10$();
      let jsx$1;
      if (x.equals__O__Z(x0$3)) {
        jsx$1 = true
      } else {
        const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Overlay$();
        if (x$3.equals__O__Z(x0$3)) {
          jsx$1 = true
        } else {
          const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Extension$();
          if (x$5.equals__O__Z(x0$3)) {
            jsx$1 = true
          } else {
            const x$7 = $m_Lamf_plugins_document_webapi_parser_RamlHeader$Raml10Library$();
            jsx$1 = x$7.equals__O__Z(x0$3)
          }
        }
      };
      if (jsx$1) {
        return true
      } else {
        const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$();
        if (x$9.equals__O__Z(x0$3)) {
          return true
        } else {
          const x$11 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
          if (x$11.equals__O__Z(x0$3)) {
            return true
          } else {
            const x$13 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$();
            if (x$13.equals__O__Z(x0$3)) {
              return true
            } else {
              const x$15 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$();
              if (x$15.equals__O__Z(x0$3)) {
                return true
              } else {
                const x$17 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$();
                if (x$17.equals__O__Z(x0$3)) {
                  return true
                } else {
                  const x$19 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$();
                  if (x$19.equals__O__Z(x0$3)) {
                    return true
                  } else {
                    const x$21 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$();
                    return x$21.equals__O__Z(x0$3)
                  }
                }
              }
            }
          }
        }
      }
    } else {
      return false
    }
  };
  parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(root, parentContext, platform) {
    return $f_Lamf_plugins_document_webapi_RAMLPlugin__parse__Lamf_core_Root__Lamf_core_parser_ParserContext__Lamf_core_remote_Platform__s_Option(this, root, parentContext, platform)
  };
  init__s_concurrent_Future() {
    return $m_s_concurrent_Future$().successful__O__s_concurrent_Future(this)
  };
  serializableAnnotations__sci_Map() {
    return $f_Lamf_plugins_document_webapi_BaseWebApiPlugin__serializableAnnotations__sci_Map(this)
  };
  allowRecursiveReferences__Z() {
    return this.allowRecursiveReferences$2
  };
  amf$plugins$document$webapi$RAMLPlugin$$undsetter$und$vendors$und$eq__sc_Seq__V(x$1) {
    this.vendors$2 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_RAML10Plugin$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_RAML10Plugin$: 0
}, false, "amf.plugins.document.webapi.RAML10Plugin$", {
  Lamf_plugins_document_webapi_RAML10Plugin$: 1,
  Lamf_core_plugins_AMFDocumentPlugin: 1,
  O: 1,
  Lamf_core_plugins_AMFPlugin: 1,
  Lamf_plugins_document_webapi_RAMLPlugin: 1,
  Lamf_plugins_document_webapi_BaseWebApiPlugin: 1,
  Lamf_core_plugins_AMFValidationPlugin: 1,
  Lamf_plugins_document_webapi_validation_WebApiValidations: 1,
  Lamf_core_validation_ValidationResultProcessor: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_RAML10Plugin$.prototype.$classData = $d_Lamf_plugins_document_webapi_RAML10Plugin$;
let $n_Lamf_plugins_document_webapi_RAML10Plugin$ = (void 0);
const $m_Lamf_plugins_document_webapi_RAML10Plugin$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_RAML10Plugin$)) {
    $n_Lamf_plugins_document_webapi_RAML10Plugin$ = new $c_Lamf_plugins_document_webapi_RAML10Plugin$().init___()
  };
  return $n_Lamf_plugins_document_webapi_RAML10Plugin$
});
class $c_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Extension")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return this.Extends$1
  };
  amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Extends$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_ExtensionModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.ExtensionModel$", {
  Lamf_plugins_document_webapi_metamodel_ExtensionModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ExtensionLikeModel: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_webapi_metamodel_ExtensionModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_ExtensionModel$;
let $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$ = new $c_Lamf_plugins_document_webapi_metamodel_ExtensionModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_ExtensionModel$
});
class $c_Lamf_plugins_document_webapi_metamodel_OverlayModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Extends$1 = null;
    this.Declares$1 = null;
    this.Encodes$1 = null;
    this.Location$1 = null;
    this.References$1 = null;
    this.Usage$1 = null;
    this.DescribedBy$1 = null;
    this.dynamic$1 = false;
    this.dynamicType$1 = false
  };
  init___() {
    $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = this;
    this.dynamicType$1 = false;
    this.dynamic$1 = false;
    $f_Lamf_core_metamodel_document_BaseUnitModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_FragmentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ModuleModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_DocumentModel__$$init$__V(this);
    $f_Lamf_core_metamodel_document_ExtensionLikeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Document$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "Overlay")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$2 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$1 = $m_Lamf_core_metamodel_document_DocumentModel$().type$1;
    const this$5 = $m_sci_List$();
    this.type$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$References$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.References$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$DescribedBy$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DescribedBy$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Extends__Lamf_core_metamodel_Field() {
    return this.Extends$1
  };
  amf$core$metamodel$document$ExtensionLikeModel$$undsetter$und$Extends$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Extends$1 = x$1
  };
  Declares__Lamf_core_metamodel_Field() {
    return this.Declares$1
  };
  fields__sci_List() {
    return $f_Lamf_core_metamodel_document_ExtensionLikeModel__fields__sci_List(this)
  };
  amf$core$metamodel$document$ModuleModel$$undsetter$und$Declares$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Declares$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  Encodes__Lamf_core_metamodel_Field() {
    return this.Encodes$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$document$FragmentModel$$undsetter$und$Encodes$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Encodes$1 = x$1
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Usage$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Usage$1 = x$1
  };
  amf$core$metamodel$document$DocumentModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$document$BaseUnitModel$$undsetter$und$Location$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Location$1 = x$1
  };
}
const $d_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = new $TypeData().initClass({
  Lamf_plugins_document_webapi_metamodel_OverlayModel$: 0
}, false, "amf.plugins.document.webapi.metamodel.OverlayModel$", {
  Lamf_plugins_document_webapi_metamodel_OverlayModel$: 1,
  O: 1,
  Lamf_core_metamodel_document_ExtensionLikeModel: 1,
  Lamf_core_metamodel_document_DocumentModel: 1,
  Lamf_core_metamodel_document_FragmentModel: 1,
  Lamf_core_metamodel_document_BaseUnitModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_document_ModuleModel: 1
});
$c_Lamf_plugins_document_webapi_metamodel_OverlayModel$.prototype.$classData = $d_Lamf_plugins_document_webapi_metamodel_OverlayModel$;
let $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = (void 0);
const $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = (function() {
  if ((!$n_Lamf_plugins_document_webapi_metamodel_OverlayModel$)) {
    $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$ = new $c_Lamf_plugins_document_webapi_metamodel_OverlayModel$().init___()
  };
  return $n_Lamf_plugins_document_webapi_metamodel_OverlayModel$
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.ScalarShapeParser$module$2 = null;
    this.UnionShapeParser$module$2 = null;
    this.OrConstraintParser$module$2 = null;
    this.AndConstraintParser$module$2 = null;
    this.XoneConstraintParser$module$2 = null;
    this.NotConstraintParser$module$2 = null;
    this.DataArrangementParser$module$2 = null;
    this.TupleShapeParser$module$2 = null;
    this.ArrayShapeParser$module$2 = null;
    this.AnyTypeShapeParser$module$2 = null;
    this.NodeShapeParser$module$2 = null;
    this.AllOfParser$module$2 = null;
    this.PropertiesParser$module$2 = null;
    this.PropertyShapeParser$module$2 = null;
    this.Property$module$2 = null;
    this.FileShapeParser$module$2 = null;
    this.SchemaShapeParser$module$2 = null;
    this.entryOrNode$2 = null;
    this.name$2 = null;
    this.map$2 = null;
    this.adopt$2 = null;
    this.version$2 = null;
    this.ctx$2 = null;
    this.ast$2 = null
  };
  parseAnyType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(name, map, adopt) {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_AnyShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(this.ast$2);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    adopt.apply__O__O(shape);
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap(this, shape, map).parse__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  detectItemProperties__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("items");
    let this$4;
    if (this$2.isEmpty__Z()) {
      const map$1 = this.map$2;
      this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("minItems")
    } else {
      this$4 = this$2
    };
    let this$6;
    if (this$4.isEmpty__Z()) {
      const map$2 = this.map$2;
      this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("maxItems")
    } else {
      this$6 = this$4
    };
    let this$8;
    if (this$6.isEmpty__Z()) {
      const map$3 = this.map$2;
      this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("uniqueItems")
    } else {
      this$8 = this$6
    };
    if (this$8.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$8.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$())
    }
  };
  productPrefix__T() {
    return "OasTypeParser"
  };
  productArity__I() {
    return 5
  };
  detectDependency__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$())
    }
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(x$1)) {
      const OasTypeParser$1 = x$1;
      const x = this.entryOrNode$2;
      const x$2 = OasTypeParser$1.entryOrNode$2;
      let jsx$1;
      if (((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.name$2 === OasTypeParser$1.name$2)) && this.map$2.$$eq$eq__Lorg_yaml_model_YValueLike__Z(OasTypeParser$1.map$2))) {
        const x$3 = this.adopt$2;
        const x$4 = OasTypeParser$1.adopt$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.version$2;
        const x$6 = OasTypeParser$1.version$2;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  parseArrayType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(name, map, adopt) {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$DataArrangementParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1(this, name, this.ast$2, map, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, adopt$1) {
      return (function(shape$2) {
        const shape = shape$2;
        adopt$1.apply__O__O(shape)
      })
    })(this, adopt))).parse__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entryOrNode$2;
        break
      }
      case 1: {
        return this.name$2;
        break
      }
      case 2: {
        return this.map$2;
        break
      }
      case 3: {
        return this.adopt$2;
        break
      }
      case 4: {
        return this.version$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parseDisjointUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape() {
    const map = this.map$2;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type").get__O().value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.ctx$2).nodes$3;
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        return x$8.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$2)
      })
    })(this));
    const this$2 = $m_sc_IndexedSeq$();
    const detectedTypes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBF$6);
    $m_Lorg_yaml_model_YMap$();
    const c = this.map$2.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(x$9$2) {
        const x$9 = x$9$2;
        const x = x$9.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$2);
        return (!((x !== null) && $objectEquals(x, "type")))
      })
    })(this)));
    const filtered = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    $m_s_package$();
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YNode$();
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    const value = new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(filtered, t, a, cs);
    const union = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__s_util_Either__T(this, new $c_s_util_Right().init___O(value), this.name$2).parse__Lamf_plugins_domain_shapes_models_UnionShape();
    this.adopt$2.apply__O__O(union);
    $m_Lorg_yaml_model_YMap$();
    const c$1 = filtered.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const prop = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$3$1.ctx$2);
        return (((((((((((((prop !== "example") && (prop !== new $c_Lamf_core_utils_package$Strings().init___T("examples").asOasExtension__T())) && (prop !== "title")) && (prop !== "description")) && (prop !== "default")) && (prop !== "enum")) && (prop !== "externalDocs")) && (prop !== "xml")) && (prop !== new $c_Lamf_core_utils_package$Strings().init___T("facets").asOasExtension__T())) && (prop !== "anyOf")) && (prop !== "allOf")) && (prop !== "oneOf")) && (prop !== "not"))
      })
    })(this)));
    const exclusiveProps = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c$1);
    const jsx$5 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1, union$1, exclusiveProps$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 === "object")) {
          const name = this$4$1.name$2;
          const f = (function($this$1, union$1$1) {
            return (function(s$2) {
              const s = s$2;
              const value$1 = (union$1$1.id$1 + "/object");
              $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(s, value$1)
            })
          })(this$4$1, union$1);
          let jsx$6;
          if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(exclusiveProps$1).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("schema").asOasExtension__T()).isDefined__Z()) {
            const this$15 = $m_Lamf_plugins_domain_shapes_models_SchemaShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_SchemaShape(this$4$1.ast$2);
            const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$15, field, name);
            f(shape);
            jsx$6 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_SchemaShape__Lorg_yaml_model_YMap(this$4$1, shape, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_AnyShape()
          } else {
            const this$16 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(this$4$1.ast$2);
            const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field$1, name);
            f(shape$2);
            jsx$6 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap(this$4$1, shape$2, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_NodeShape()
          };
          return new $c_s_Some().init___O(jsx$6)
        } else if ((x0$1 === "array")) {
          return new $c_s_Some().init___O(this$4$1.parseArrayType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(this$4$1.name$2, exclusiveProps$1, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$2, union$1$2) {
            return (function(s$3$2) {
              const s$3 = s$3$2;
              const value$2 = (union$1$2.id$1 + "/array");
              $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(s$3, value$2)
            })
          })(this$4$1, union$1))))
        } else if ((x0$1 === "number")) {
          const typeDef = $m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$();
          const name$1 = this$4$1.name$2;
          const x$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
          let parsed;
          if ((x$1 === typeDef)) {
            const this$17 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this$4$1.ast$2);
            const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            parsed = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$2, name$1)
          } else {
            const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
            if ((x$3 === typeDef)) {
              const this$18 = $m_Lamf_plugins_domain_shapes_models_FileShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(this$4$1.ast$2);
              const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$18, field$3, name$1);
              parsed = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap(this$4$1, typeDef, shape$1, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_FileShape()
            } else {
              const this$19 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this$4$1.ast$2);
              const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$2$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$19, field$4, name$1);
              parsed = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this$4$1, typeDef, shape$2$1, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
            }
          };
          const value$3 = (union$1.id$1 + "/number");
          $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(parsed, value$3);
          return new $c_s_Some().init___O(parsed)
        } else if ((x0$1 === "integer")) {
          const typeDef$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$IntType$();
          const name$2 = this$4$1.name$2;
          const x$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
          let parsed$1;
          if ((x$2 === typeDef$1)) {
            const this$20 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this$4$1.ast$2);
            const field$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            parsed$1 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$20, field$5, name$2)
          } else {
            const x$3$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
            if ((x$3$1 === typeDef$1)) {
              const this$21 = $m_Lamf_plugins_domain_shapes_models_FileShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(this$4$1.ast$2);
              const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$21, field$6, name$2);
              parsed$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap(this$4$1, typeDef$1, shape$3, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_FileShape()
            } else {
              const this$22 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this$4$1.ast$2);
              const field$7 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$2$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$22, field$7, name$2);
              parsed$1 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this$4$1, typeDef$1, shape$2$2, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
            }
          };
          const value$4 = (union$1.id$1 + "/integer");
          $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(parsed$1, value$4);
          return new $c_s_Some().init___O(parsed$1)
        } else if ((x0$1 === "string")) {
          const typeDef$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$();
          const name$3 = this$4$1.name$2;
          const x$4 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
          let parsed$2;
          if ((x$4 === typeDef$2)) {
            const this$23 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this$4$1.ast$2);
            const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            parsed$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$23, field$8, name$3)
          } else {
            const x$3$2 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
            if ((x$3$2 === typeDef$2)) {
              const this$24 = $m_Lamf_plugins_domain_shapes_models_FileShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(this$4$1.ast$2);
              const field$9 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$24, field$9, name$3);
              parsed$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap(this$4$1, typeDef$2, shape$4, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_FileShape()
            } else {
              const this$25 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this$4$1.ast$2);
              const field$10 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$2$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$10, name$3);
              parsed$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this$4$1, typeDef$2, shape$2$3, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
            }
          };
          const value$5 = (union$1.id$1 + "/string");
          $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(parsed$2, value$5);
          return new $c_s_Some().init___O(parsed$2)
        } else if ((x0$1 === "boolean")) {
          const typeDef$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$BoolType$();
          const name$4 = this$4$1.name$2;
          const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
          let parsed$3;
          if ((x$5 === typeDef$3)) {
            const this$26 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this$4$1.ast$2);
            const field$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            parsed$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$26, field$11, name$4)
          } else {
            const x$3$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
            if ((x$3$3 === typeDef$3)) {
              const this$27 = $m_Lamf_plugins_domain_shapes_models_FileShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(this$4$1.ast$2);
              const field$12 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$27, field$12, name$4);
              parsed$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap(this$4$1, typeDef$3, shape$5, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_FileShape()
            } else {
              const this$28 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this$4$1.ast$2);
              const field$13 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const shape$2$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$28, field$13, name$4);
              parsed$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this$4$1, typeDef$3, shape$2$4, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
            }
          };
          const value$6 = (union$1.id$1 + "/boolean");
          $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(parsed$3, value$6);
          return new $c_s_Some().init___O(parsed$3)
        } else if ((x0$1 === "any")) {
          const name$5 = this$4$1.name$2;
          const this$29 = $m_Lamf_plugins_domain_shapes_models_AnyShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(this$4$1.ast$2);
          const field$14 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          const shape$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$29, field$14, name$5);
          const value$7 = (union$1.id$1 + "/any");
          $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(shape$6, value$7);
          return new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$AnyTypeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap(this$4$1, shape$6, exclusiveProps$1).parse__Lamf_plugins_domain_shapes_models_AnyShape())
        } else {
          return $m_s_None$()
        }
      })
    })(this, union, exclusiveProps));
    const this$30 = $m_sc_IndexedSeq$();
    const jsx$4 = detectedTypes.map__F1__scg_CanBuildFrom__O(jsx$5, this$30.ReusableCBF$6);
    const jsx$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(this);
    const this$31 = $m_sc_IndexedSeq$();
    const parsedTypes = jsx$4.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$3, this$31.ReusableCBF$6);
    if ($f_sc_TraversableOnce__nonEmpty__Z(parsedTypes)) {
      const field$15 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(union, field$15, parsedTypes)
    };
    return union
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    if (this.detectDisjointUnion__p2__Z()) {
      return new $c_s_Some().init___O(this.parseDisjointUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape())
    } else {
      const x1 = this.detect__p2__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_domain_shapes_models_TypeDef(this.version$2);
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$();
      let parsedShape;
      if ((x === x1)) {
        parsedShape = new $c_s_Some().init___O(this.parseUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape())
      } else {
        const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$LinkType$();
        if ((x$3 === x1)) {
          parsedShape = this.parseLinkType__p2__s_Option()
        } else {
          const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
          if ((x$5 === x1)) {
            parsedShape = new $c_s_Some().init___O(this.parseObjectType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(this.name$2, this.map$2, this.adopt$2))
          } else {
            const x$7 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
            if ((x$7 === x1)) {
              parsedShape = new $c_s_Some().init___O(this.parseArrayType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(this.name$2, this.map$2, this.adopt$2))
            } else {
              const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
              if ((x$9 === x1)) {
                parsedShape = new $c_s_Some().init___O(this.parseAnyType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(this.name$2, this.map$2, this.adopt$2))
              } else {
                parsedShape = ($f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z(x1) ? new $c_s_Some().init___O(this.parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(x1, this.name$2, this.map$2, this.adopt$2)) : $m_s_None$())
              }
            }
          }
        }
      };
      if ($is_s_Some(parsedShape)) {
        const x2 = parsedShape;
        const shape = x2.value$2;
        if ((shape !== null)) {
          if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion(this.version$2)) {
            this.ctx$2.closedShape__T__Lorg_yaml_model_YMap__T__Z__V(shape.id$1, this.map$2, this.version$2.position__T(), false)
          };
          return ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OAS30SchemaVersion(this.version$2) ? new $c_s_Some().init___O(this.checkNilUnion__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_plugins_domain_shapes_models_AnyShape(shape)) : new $c_s_Some().init___O(shape))
        }
      };
      const x$11 = $m_s_None$();
      if ((x$11 === parsedShape)) {
        return $m_s_None$()
      };
      throw new $c_s_MatchError().init___O(parsedShape)
    }
  };
  detectUnion__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("x-amf-union");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$())
    }
  };
  detectDisjointUnion__p2__Z() {
    const map = this.map$2;
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type").isDefined__Z()) {
      const map$1 = this.map$2;
      return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("type").get__O().value$1.asOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YSeqYRead$()).isDefined__Z()
    } else {
      return false
    }
  };
  detectObjectProperties__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("properties");
    let this$4;
    if (this$2.isEmpty__Z()) {
      const map$1 = this.map$2;
      this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("x-amf-merge")
    } else {
      this$4 = this$2
    };
    let this$6;
    if (this$4.isEmpty__Z()) {
      const map$2 = this.map$2;
      this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("minProperties")
    } else {
      this$6 = this$4
    };
    let this$8;
    if (this$6.isEmpty__Z()) {
      const map$3 = this.map$2;
      this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("maxProperties")
    } else {
      this$8 = this$6
    };
    let this$10;
    if (this$8.isEmpty__Z()) {
      const map$4 = this.map$2;
      this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4).key__T__s_Option("dependencies")
    } else {
      this$10 = this$8
    };
    let this$12;
    if (this$10.isEmpty__Z()) {
      const map$5 = this.map$2;
      this$12 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5).key__T__s_Option("patternProperties")
    } else {
      this$12 = this$10
    };
    let this$14;
    if (this$12.isEmpty__Z()) {
      const map$6 = this.map$2;
      this$14 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6).key__T__s_Option("additionalProperties")
    } else {
      this$14 = this$12
    };
    let this$16;
    if (this$14.isEmpty__Z()) {
      const map$7 = this.map$2;
      this$16 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7).key__T__s_Option("required")
    } else {
      this$16 = this$14
    };
    if (this$16.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$16.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$())
    }
  };
  detectStringProperties__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("minLength");
    let this$4;
    if (this$2.isEmpty__Z()) {
      const map$1 = this.map$2;
      this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("maxLength")
    } else {
      this$4 = this$2
    };
    let this$6;
    if (this$4.isEmpty__Z()) {
      const map$2 = this.map$2;
      this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("pattern")
    } else {
      this$6 = this$4
    };
    let this$8;
    if (this$6.isEmpty__Z()) {
      const map$3 = this.map$2;
      this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("format")
    } else {
      this$8 = this$6
    };
    if (this$8.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$8.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$StrType$())
    }
  };
  detectType__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("type");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const e = arg1;
      const t = e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
      const map$1 = this.map$2;
      const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("format");
      let this$7;
      if (this$4.isEmpty__Z()) {
        this$7 = $m_s_None$()
      } else {
        const arg1$1 = this$4.get__O();
        const e$2 = arg1$1;
        const node = e$2.value$1;
        const this$6 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$());
        if (this$6.isEmpty__Z()) {
          this$7 = $m_s_None$()
        } else {
          const arg1$2 = this$6.get__O();
          const x$7 = arg1$2;
          this$7 = new $c_s_Some().init___O(x$7.text$3)
        }
      };
      const f = (this$7.isEmpty__Z() ? "" : this$7.get__O());
      return new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef(t, f))
    }
  };
  init___s_util_Either__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_OasWebApiContext(entryOrNode, name, map, adopt, version, ctx) {
    this.entryOrNode$2 = entryOrNode;
    this.name$2 = name;
    this.map$2 = map;
    this.adopt$2 = adopt;
    this.version$2 = version;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    let jsx$1;
    if ($is_s_util_Left(entryOrNode)) {
      const x2 = entryOrNode;
      const l = x2.value$2;
      jsx$1 = l
    } else if ($is_s_util_Right(entryOrNode)) {
      const x3 = entryOrNode;
      const r = x3.value$2;
      jsx$1 = r
    } else {
      throw new $c_s_MatchError().init___O(entryOrNode)
    };
    this.ast$2 = jsx$1;
    return this
  };
  parseUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$UnionShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__s_util_Either__T(this, this.entryOrNode$2, this.name$2).parse__Lamf_plugins_domain_shapes_models_UnionShape()
  };
  parseLinkType__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = e.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Null$1;
      if ((x === x1)) {
        return $m_s_None$()
      } else {
        $m_Lorg_yaml_model_YNode$();
        const node = e.value$1;
        const ref = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
        const text = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$().stripDefinitionsPrefix__T__T(ref);
        const x1$2 = this.ctx$2.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$All$());
        if ($is_s_Some(x1$2)) {
          const x2 = x1$2;
          const s = x2.value$2;
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$2);
          const this$5 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text, annotations);
          const name = this.name$2;
          const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
          const copied = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name);
          this.adopt$2.apply__O__O(copied);
          return new $c_s_Some().init___O(copied)
        } else {
          const x$3 = $m_s_None$();
          if (((x$3 === x1$2) && (!$is_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion(this.version$2)))) {
            const fullRef = this.ctx$2.resolvedPath__T__T__T(this.ctx$2.rootContextDocument$1, ref);
            const x1$3 = this.ctx$2.findJsonSchema__T__s_Option(fullRef);
            if ($is_s_Some(x1$3)) {
              const x2$2 = x1$3;
              const s$2 = x2$2.value$2;
              const annots = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.ast$2);
              const this$6 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s$2, text, annots);
              const name$1 = this.name$2;
              const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const this$7 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$1, name$1);
              const field$2 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().SupportsRecursion$1;
              const copied$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$7, field$2, true);
              this.adopt$2.apply__O__O(copied$2);
              return new $c_s_Some().init___O(copied$2)
            } else {
              const x$5 = $m_s_None$();
              if ((!(x$5 === x1$3))) {
                throw new $c_s_MatchError().init___O(x1$3)
              };
              const this$8 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(fullRef, this.map$2);
              const field$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field$3, fullRef);
              const tmpShape = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, fullRef);
              const c = this.ctx$2;
              $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(tmpShape, c);
              this.adopt$2.apply__O__O(tmpShape);
              const this$10 = this.ctx$2;
              this$10.globalSpace$1.update__O__O__V(fullRef, tmpShape);
              if ((((ref.length | 0) >= 0) && (ref.substring(0, ("#".length | 0)) === "#"))) {
                const x1$4 = this.ctx$2.findLocalJSONPath__T__s_Option(ref);
                if ($is_s_Some(x1$4)) {
                  const x2$3 = x1$4;
                  const p3 = x2$3.value$2;
                  if ((p3 !== null)) {
                    const shapeNode = p3.$$und2__O();
                    const jsx$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$();
                    const jsx$1 = $m_Lorg_yaml_model_YMapEntry$();
                    $m_Lorg_yaml_model_YNode$();
                    const str = this.name$2;
                    const this$17 = jsx$2.apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(jsx$1.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry($m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str), shapeNode), this.adopt$2, this.version$2, this.ctx$2).parse__s_Option();
                    let this$20;
                    if (this$17.isEmpty__Z()) {
                      this$20 = $m_s_None$()
                    } else {
                      const arg1$1 = this$17.get__O();
                      const shape = arg1$1;
                      const this$18 = this.ctx$2.futureDeclarations$1;
                      $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$18, fullRef, shape);
                      tmpShape.resolve__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(shape);
                      const this$19 = this.ctx$2;
                      this$19.globalSpace$1.update__O__O__V(fullRef, shape);
                      this$20 = new $c_s_Some().init___O(shape)
                    };
                    return (this$20.isEmpty__Z() ? new $c_s_Some().init___O(tmpShape) : this$20)
                  }
                };
                const x$7 = $m_s_None$();
                if ((x$7 === x1$4)) {
                  const this$21 = this.ctx$2;
                  const node$1 = tmpShape.id$1;
                  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find local JSON Schema reference ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([ref]));
                  const ast = e.value$1;
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$21, node$1, message, ast);
                  return new $c_s_Some().init___O(tmpShape)
                };
                throw new $c_s_MatchError().init___O(x1$4)
              } else {
                const this$22 = this.ctx$2.parseRemoteJSONPath__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(fullRef, this.ctx$2);
                let x1$5;
                if (this$22.isEmpty__Z()) {
                  x1$5 = $m_s_None$()
                } else {
                  const arg1$2 = this$22.get__O();
                  const shape$3 = arg1$2;
                  const this$23 = this.ctx$2;
                  this$23.globalSpace$1.update__O__O__V(fullRef, shape$3);
                  const this$24 = this.ctx$2.futureDeclarations$1;
                  $f_Lamf_core_parser_FutureDeclarations__resolveRef__T__Lamf_core_model_domain_Linkable__V(this$24, fullRef, shape$3);
                  x1$5 = new $c_s_Some().init___O(shape$3)
                };
                const x$9 = $m_s_None$();
                if ((x$9 === x1$5)) {
                  const refAst = this.map$2;
                  const ctx = this.ctx$2;
                  $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(tmpShape, text, refAst, ctx);
                  return new $c_s_Some().init___O(tmpShape)
                } else {
                  return x1$5
                }
              }
            }
          } else {
            const this$25 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(text, this.map$2);
            const field$4 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            const shape$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$25, field$4, text);
            const c$1 = this.ctx$2;
            $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape$4, c$1);
            const refAst$1 = this.map$2;
            const ctx$1 = this.ctx$2;
            $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape$4, text, refAst$1, ctx$1);
            this.adopt$2.apply__O__O(shape$4);
            return new $c_s_Some().init___O(shape$4)
          }
        }
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  checkNilUnion__Lamf_plugins_domain_shapes_models_AnyShape__Lamf_plugins_domain_shapes_models_AnyShape(parsed) {
    const map = this.map$2;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("nullable");
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const nullableEntry = x2.value$2;
      const node = nullableEntry.value$1;
      const this$3 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$BooleanYRead$());
      if ((!(!(this$3.isEmpty__Z() ? false : this$3.get__O())))) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        const this$7 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
        const name = this.name$2;
        const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const this$8 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$7, field, name);
        const value = (parsed.id$1 + "/nilUnion");
        const union = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$8, value);
        parsed.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_domain_shapes_annotations_NilUnion().init___T($m_Lamf_core_parser_Range$().apply__Lorg_mulesoft_lexer_InputRange__Lamf_core_parser_Range(nullableEntry.key$1.range$3).toString__T()));
        const jsx$1 = $m_sc_Seq$();
        const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
        const this$12 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
        const value$1 = (union.id$1 + "_nil");
        const elements = jsx$1.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parsed, $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$12, value$1)]));
        const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(union, field$1, elements);
        return union
      }
    };
    return parsed
  };
  detectNumberProperties__p2__s_Option() {
    const map = this.map$2;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("multipleOf");
    let this$4;
    if (this$2.isEmpty__Z()) {
      const map$1 = this.map$2;
      this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("minimum")
    } else {
      this$4 = this$2
    };
    let this$6;
    if (this$4.isEmpty__Z()) {
      const map$2 = this.map$2;
      this$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("maximum")
    } else {
      this$6 = this$4
    };
    let this$8;
    if (this$6.isEmpty__Z()) {
      const map$3 = this.map$2;
      this$8 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("exclusiveMinimum")
    } else {
      this$8 = this$6
    };
    let this$10;
    if (this$8.isEmpty__Z()) {
      const map$4 = this.map$2;
      this$10 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4).key__T__s_Option("exclusiveMaximum")
    } else {
      this$10 = this$8
    };
    if (this$10.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1 = this$10.get__O();
      return new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_models_TypeDef$NumberType$())
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseObjectType__p2__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(name, map, adopt) {
    if (new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("schema").asOasExtension__T()).isDefined__Z()) {
      const this$3 = $m_Lamf_plugins_domain_shapes_models_SchemaShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_SchemaShape(this.ast$2);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name);
      adopt.apply__O__O(shape);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$SchemaShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_SchemaShape__Lorg_yaml_model_YMap(this, shape, map).parse__Lamf_plugins_domain_shapes_models_AnyShape()
    } else {
      const this$4 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(this.ast$2);
      const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field$1, name);
      adopt.apply__O__O(shape$2);
      return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$NodeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap(this, shape$2, map).parse__Lamf_plugins_domain_shapes_models_NodeShape()
    }
  };
  parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__T__Lorg_yaml_model_YMap__F1__Lamf_plugins_domain_shapes_models_AnyShape(typeDef, name, map, adopt) {
    const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilType$();
    let parsed;
    if ((x === typeDef)) {
      const this$1 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this.ast$2);
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      parsed = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name)
    } else {
      const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
      if ((x$3 === typeDef)) {
        const this$2 = $m_Lamf_plugins_domain_shapes_models_FileShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_FileShape(this.ast$2);
        const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field$1, name);
        parsed = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_FileShape__Lorg_yaml_model_YMap(this, typeDef, shape, map).parse__Lamf_plugins_domain_shapes_models_FileShape()
      } else {
        const this$3 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.ast$2);
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field$2, name);
        parsed = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this, typeDef, shape$2, map).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
      }
    };
    adopt.apply__O__O(parsed);
    return parsed
  };
  detect__p2__Lamf_plugins_document_webapi_parser_spec_declaration_JSONSchemaVersion__Lamf_plugins_domain_shapes_models_TypeDef(version) {
    let defaultType;
    matchEnd4: {
      if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OASSchemaVersion(version)) {
        const x2 = version;
        if ((x2.position__T() === "parameter")) {
          defaultType = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
          break matchEnd4
        }
      };
      defaultType = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$()
    };
    const this$1 = this.detectDependency__p2__s_Option();
    const this$2 = (this$1.isEmpty__Z() ? this.detectType__p2__s_Option() : this$1);
    const this$3 = (this$2.isEmpty__Z() ? this.detectObjectProperties__p2__s_Option() : this$2);
    const this$4 = (this$3.isEmpty__Z() ? this.detectUnion__p2__s_Option() : this$3);
    const this$5 = (this$4.isEmpty__Z() ? this.detectItemProperties__p2__s_Option() : this$4);
    const this$6 = (this$5.isEmpty__Z() ? this.detectNumberProperties__p2__s_Option() : this$5);
    const this$7 = (this$6.isEmpty__Z() ? this.detectStringProperties__p2__s_Option() : this$6);
    return (this$7.isEmpty__Z() ? defaultType : this$7.get__O())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.scalar$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlFileShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  init___Lamf_plugins_domain_shapes_models_FileShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$3 = scalar;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, scalar, ordering, references, spec);
    this.typeName$3 = new $c_s_Some().init___O("file");
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter(x$1)) {
      const RamlFileShapeEmitter$1 = x$1;
      const x = this.scalar$3;
      const x$2 = RamlFileShapeEmitter$1.scalar$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlFileShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlFileShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const result = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const this$1 = this.scalar$3;
    const fs = this$1.fields$2;
    const spec = this.spec$3;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter__emitOASFields__Lamf_core_parser_Fields__scm_ListBuffer__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, fs, result, spec);
    const this$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const f = arg1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("fileTypes", f, this.ordering$3, false)))
    };
    const this$3 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
    if ((!this$3.isEmpty__Z())) {
      const arg1$1 = this$3.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("pattern").asRamlAnnotation__T(), f$3, $m_s_None$())))
    };
    const this$6 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ((!this$6.isEmpty__Z())) {
      const arg1$2 = this$6.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("minimum").asRamlAnnotation__T(), f$4, $m_s_None$())))
    };
    const this$9 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ((!this$9.isEmpty__Z())) {
      const arg1$3 = this$9.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("maximum").asRamlAnnotation__T(), f$5, $m_s_None$())))
    };
    const this$12 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1);
    if ((!this$12.isEmpty__Z())) {
      const arg1$4 = this$12.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("multipleOf").asRamlAnnotation__T(), f$6, $m_s_None$())))
    };
    let jsx$1;
    if (result.isEmpty__Z()) {
      jsx$1 = true
    } else if ((result.len$6 === 1)) {
      const this$15 = this.scalar$3;
      const this$16 = this$15.fields$2.$$qmark__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1);
      jsx$1 = this$16.isDefined__Z()
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", "file", $m_Lorg_yaml_model_YType$().Str$1, $m_Lamf_core_parser_Position$ZERO$()))
    };
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlFileShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlFileShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter {
  constructor() {
    super();
    this.scalar$3 = null;
    this.ordering$3 = null;
    this.references$3 = null;
    this.spec$3 = null;
    this.typeName$3 = null
  };
  productPrefix__T() {
    return "RamlScalarShapeEmitter"
  };
  productArity__I() {
    return 3
  };
  typeName__s_Option() {
    return this.typeName$3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter(x$1)) {
      const RamlScalarShapeEmitter$1 = x$1;
      const x = this.scalar$3;
      const x$2 = RamlScalarShapeEmitter$1.scalar$3;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.ordering$3;
        const x$4 = RamlScalarShapeEmitter$1.ordering$3;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.references$3;
        const x$6 = RamlScalarShapeEmitter$1.references$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  emitFormat__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_parser_Fields__T__s_Option(rawTypeDef, fs, format) {
    const formatKey = ((!(!($f_Lamf_plugins_domain_shapes_models_TypeDef__isNumber__Z(rawTypeDef) | $f_Lamf_plugins_domain_shapes_models_TypeDef__isDate__Z(rawTypeDef)))) ? "format" : new $c_Lamf_core_utils_package$Strings().init___T("format").asRamlAnnotation__T());
    const translationFormats = $m_Lamf_plugins_document_webapi_parser_OasTypeDefMatcher$().knownFormats$1.diff__sc_GenSet__sc_Set($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().knownFormats$1);
    let explictFormatFound = false;
    const x1 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
    let explicitFormat;
    matchEnd4: {
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const entry = x2.value$2;
        if ($is_Lamf_core_model_domain_AmfScalar(entry.value$1.value$1)) {
          const entryFormat = $objectToString(entry.value$1.value$1.value$1);
          if (translationFormats.contains__O__Z(entryFormat)) {
            explicitFormat = format;
            break matchEnd4
          } else {
            explictFormatFound = true;
            explicitFormat = entryFormat;
            break matchEnd4
          }
        }
      };
      explicitFormat = format
    };
    const finalFormat = ((explicitFormat !== format) ? explicitFormat : format);
    const x1$2 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1);
    let annotations;
    matchEnd4$2: {
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const entry$2 = x2$2.value$2;
        if ($is_Lamf_core_model_domain_AmfScalar(entry$2.value$1.value$1)) {
          annotations = entry$2.value$1.annotations$1;
          break matchEnd4$2
        }
      };
      annotations = new $c_Lamf_core_parser_Annotations().init___()
    };
    const this$4 = new $c_sci_StringOps().init___T(finalFormat);
    if ((($f_sc_TraversableOnce__nonEmpty__Z(this$4) && (finalFormat !== "float")) && (finalFormat !== "int32"))) {
      return new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter(formatKey, $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1, finalFormat, annotations))
    } else {
      const this$6 = new $c_sci_StringOps().init___T(finalFormat);
      if ((($f_sc_TraversableOnce__nonEmpty__Z(this$6) && ((finalFormat === "float") || (finalFormat === "int32"))) && explictFormatFound)) {
        return new $c_s_Some().init___O($m_Lamf_core_emitter_BaseEmitters_package$RawValueEmitter$().apply__T__Lamf_core_metamodel_Field__O__Lamf_core_parser_Annotations__Lamf_core_emitter_BaseEmitters_package$ValueEmitter(formatKey, $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1, finalFormat, annotations))
      } else {
        return $m_s_None$()
      }
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.scalar$3;
        break
      }
      case 1: {
        return this.ordering$3;
        break
      }
      case 2: {
        return this.references$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  emitters__sc_Seq() {
    const this$1 = this.scalar$3;
    const fs = this$1.fields$2;
    const jsx$1 = $m_Lamf_plugins_domain_shapes_parser_TypeDefXsdMapping$();
    const this$2 = this.scalar$3;
    const this$3 = this$2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    const this$4 = this$3.option$1;
    const rawTypeDef = jsx$1.typeDef__T__Lamf_plugins_domain_shapes_models_TypeDef((this$4.isEmpty__Z() ? null : this$4.get__O()));
    const jsx$2 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefStringValueMatcher$();
    const this$5 = this.scalar$3;
    const x1 = jsx$2.matchType__Lamf_plugins_domain_shapes_models_TypeDef__s_Option__T2(rawTypeDef, $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField(this$5).option$1);
    if ((x1 === null)) {
      throw new $c_s_MatchError().init___O(x1)
    };
    const typeDef = x1.$$und1__O();
    const format = x1.$$und2__O();
    const this$6 = this.scalar$3;
    let typeEmitterOption;
    if (this$6.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).isEmpty__Z()) {
      const this$7 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
      if (this$7.isEmpty__Z()) {
        typeEmitterOption = $m_s_None$()
      } else {
        const arg1 = this$7.get__O();
        const f = arg1;
        if ((!f.value$1.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_Inferred.getClassOf()))) {
          const this$8 = this.scalar$3;
          this$8.fields$2.removeField__Lamf_core_metamodel_Field__Lamf_core_parser_Fields($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1);
          const this$9 = $m_Lamf_core_emitter_BaseEmitters_package$();
          const annotations = f.value$1.annotations$1;
          const x$97 = this$9.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf());
          const x$98 = $m_Lorg_yaml_model_YType$().Str$1;
          typeEmitterOption = new $c_s_Some().init___O(new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("type", typeDef, x$98, x$97))
        } else {
          typeEmitterOption = $m_s_None$()
        }
      }
    } else {
      typeEmitterOption = $m_s_None$()
    };
    const this$12 = $m_scm_ListBuffer$().apply__sc_Seq__sc_GenTraversable($c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.emitters__sc_Seq.call(this));
    const xs = typeEmitterOption.toList__sci_List();
    const result = this$12.clone__scm_Buffer().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs);
    const spec = this.spec$3;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter__emitOASFields__Lamf_core_parser_Fields__scm_ListBuffer__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__V(this, fs, result, spec);
    const this$13 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1);
    if ((!this$13.isEmpty__Z())) {
      const arg1$1 = this$13.get__O();
      const f$3 = arg1$1;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("pattern", f$3, $m_s_None$(), this.spec$3)))
    };
    const this$15 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1);
    if ((!this$15.isEmpty__Z())) {
      const arg1$2 = this$15.get__O();
      const f$4 = arg1$2;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("minimum", f$4, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__Lamf_plugins_domain_shapes_models_TypeDef__Lorg_yaml_model_YType(rawTypeDef)))))
    };
    const this$16 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1);
    if ((!this$16.isEmpty__Z())) {
      const arg1$3 = this$16.get__O();
      const f$5 = arg1$3;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer(new $c_Lamf_core_emitter_BaseEmitters_package$ValueEmitter().init___T__Lamf_core_parser_FieldEntry__s_Option("maximum", f$5, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__Lamf_plugins_domain_shapes_models_TypeDef__Lorg_yaml_model_YType(rawTypeDef)))))
    };
    const this$17 = fs.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1);
    if ((!this$17.isEmpty__Z())) {
      const arg1$4 = this$17.get__O();
      const f$6 = arg1$4;
      new $c_s_Some().init___O(result.$$plus$eq__O__scm_ListBuffer($m_Lamf_plugins_document_webapi_contexts_RamlScalarEmitter$().apply__T__Lamf_core_parser_FieldEntry__s_Option__Lamf_plugins_document_webapi_contexts_SpecEmitterContext__Lamf_core_emitter_EntryEmitter("multipleOf", f$6, new $c_s_Some().init___O($m_Lamf_plugins_document_webapi_parser_spec_declaration_NumberTypeToYTypeConverter$().convert__Lamf_plugins_domain_shapes_models_TypeDef__Lorg_yaml_model_YType(rawTypeDef)), this.spec$3)))
    };
    const xo = this.emitFormat__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_parser_Fields__T__s_Option(rawTypeDef, fs, format);
    result.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xo.toList__sci_List());
    return result
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext(scalar, ordering, references, spec) {
    this.scalar$3 = scalar;
    this.ordering$3 = ordering;
    this.references$3 = references;
    this.spec$3 = spec;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape__Lamf_core_emitter_SpecOrdering__sc_Seq__Lamf_plugins_document_webapi_contexts_RamlSpecEmitterContext.call(this, scalar, ordering, references, spec);
    this.typeName$3 = $m_s_None$();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlScalarShapeEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlAnyShapeEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlShapeEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExamplesEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlCommonOASFieldsEmitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlScalarShapeEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.AnyTypeShapeParser$module$2 = null;
    this.ScalarShapeParser$module$2 = null;
    this.UnionShapeParser$module$2 = null;
    this.OrConstraintParser$module$2 = null;
    this.AndConstraintParser$module$2 = null;
    this.XoneConstraintParser$module$2 = null;
    this.NotConstraintParser$module$2 = null;
    this.FileShapeParser$module$2 = null;
    this.DataArrangementParser$module$2 = null;
    this.ArrayShapeParser$module$2 = null;
    this.TupleShapeParser$module$2 = null;
    this.InheritanceParser$module$2 = null;
    this.NodeShapeParser$module$2 = null;
    this.PropertiesParser$module$2 = null;
    this.PropertyShapeParser$module$2 = null;
    this.name$2 = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f = null;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f = false;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f = null;
    this.ctx$2 = null;
    this.x$6$2 = null;
    this.ast$2 = null;
    this.node$2 = null
  };
  parseAnyType__p2__Lamf_core_model_domain_Shape() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_AnyShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_AnyShape(this.ast$2);
    const name = this.name$2;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
    const x1 = this.ast$2;
    if ($is_Lorg_yaml_model_YMapEntry(x1)) {
      const x2 = x1;
      if ($is_Lorg_yaml_model_YMap(x2.value$1.value__Lorg_yaml_model_YValue())) {
        const this$2 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap(this, shape, x2.value$1.value__Lorg_yaml_model_YValue());
        return $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this$2)
      }
    };
    return shape
  };
  parse__s_Option() {
    const jsx$3 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeDetection$();
    const jsx$2 = this.node$2;
    const node = this.node$2;
    const this$2 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    let jsx$1;
    if (this$2.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const m = arg1;
      const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option("format");
      const this$7 = (this$4.isEmpty__Z() ? new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(m).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("format").asRamlAnnotation__T()) : this$4);
      if (this$7.isEmpty__Z()) {
        jsx$1 = $m_s_None$()
      } else {
        const arg1$1 = this$7.get__O();
        const x$7 = arg1$1;
        jsx$1 = new $c_s_Some().init___O(x$7.value$1.toString__T())
      }
    };
    const info = jsx$3.apply__Lorg_yaml_model_YNode__T__s_Option__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__s_Option(jsx$2, "", jsx$1, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    let result;
    if (info.isEmpty__Z()) {
      result = $m_s_None$()
    } else {
      const arg1$2 = info.get__O();
      const x0$2 = arg1$2;
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$XMLSchemaType$();
      let jsx$4;
      if ((x === x0$2)) {
        const name = this.name$2;
        const value = this.node$2;
        const adopt = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
        jsx$4 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseXMLSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape(this, name, value, adopt, true)
      } else {
        const x$3 = $m_Lamf_plugins_domain_shapes_models_TypeDef$JSONSchemaType$();
        if ((x$3 === x0$2)) {
          const name$1 = this.name$2;
          const value$1 = this.node$2;
          const adopt$1 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
          jsx$4 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape(this, name$1, value$1, adopt$1, true)
        } else {
          const x$5 = $m_Lamf_plugins_domain_shapes_models_TypeDef$NilUnionType$();
          if ((x$5 === x0$2)) {
            jsx$4 = this.parseNilUnion__p2__Lamf_plugins_domain_shapes_models_UnionShape()
          } else {
            const x$7$1 = $m_Lamf_plugins_domain_shapes_models_TypeDef$TypeExpressionType$();
            if ((x$7$1 === x0$2)) {
              jsx$4 = this.parseTypeExpression__p2__Lamf_core_model_domain_Shape()
            } else {
              const x$9 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UnionType$();
              if ((x$9 === x0$2)) {
                jsx$4 = this.parseUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape()
              } else {
                const x$11 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                let jsx$5;
                if ((x$11 === x0$2)) {
                  jsx$5 = true
                } else {
                  const x$13 = $m_Lamf_plugins_domain_shapes_models_TypeDef$FileType$();
                  if ((x$13 === x0$2)) {
                    jsx$5 = true
                  } else {
                    const x$15 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                    jsx$5 = (x$15 === x0$2)
                  }
                };
                if (jsx$5) {
                  jsx$4 = this.parseObjectType__p2__Lamf_core_model_domain_Shape()
                } else {
                  const x$17 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ArrayType$();
                  if ((x$17 === x0$2)) {
                    jsx$4 = this.parseArrayType__Lamf_core_model_domain_Shape()
                  } else {
                    const x$19 = $m_Lamf_plugins_domain_shapes_models_TypeDef$AnyType$();
                    if ((x$19 === x0$2)) {
                      jsx$4 = this.parseAnyType__p2__Lamf_core_model_domain_Shape()
                    } else if ($f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z(x0$2)) {
                      jsx$4 = this.parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(x0$2)
                    } else {
                      const x$21 = $m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$();
                      if ((!(x$21 === x0$2))) {
                        throw new $c_s_MatchError().init___O(x0$2)
                      };
                      jsx$4 = this.parseDefaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_core_model_domain_Shape(this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f)
                    }
                  }
                }
              }
            }
          }
        }
      };
      result = new $c_s_Some().init___O(jsx$4)
    };
    if ((!result.isEmpty__Z())) {
      const arg1$3 = result.get__O();
      const shape = arg1$3;
      const x1 = this.node$2.value__Lorg_yaml_model_YValue();
      if (($is_Lorg_yaml_model_YScalar(x1) && (!info.contains__O__Z($m_Lamf_plugins_domain_shapes_models_TypeDef$MultipleMatch$())))) {
        const annotation = new $c_Lamf_plugins_document_webapi_annotations_InlineDefinition().init___();
        $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape, annotation)
      }
    };
    this.parseCustomShapeFacetInstances__p2__s_Option__V(result);
    const x1$1 = this.node$2.value__Lorg_yaml_model_YValue();
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(x1$1)) {
        const x2 = x1$1;
        if (result.isDefined__Z()) {
          new $c_Lamf_plugins_document_webapi_parser_spec_common_AnnotationParser().init___Lamf_core_model_domain_DomainElement__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(result.get__O(), x2, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
          break matchEnd4
        }
      }
    };
    return result
  };
  parseArrayType__Lamf_core_model_domain_Shape() {
    const this$1 = this.node$2;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    let shape$3;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      shape$3 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$DataArrangementParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__T__Lorg_yaml_model_YPart__Lorg_yaml_model_YMap__F1(this, this.name$2, this.ast$2, map, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(shape$2) {
          const shape = shape$2;
          $this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape)
        })
      })(this))).parse__Lamf_core_model_domain_Shape()
    } else {
      if ((!$is_s_util_Left(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const jsx$1 = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
      const this$2 = $m_Lamf_plugins_domain_shapes_models_ArrayShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ArrayShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      shape$3 = jsx$1.apply__O__O($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, name))
    };
    return shape$3
  };
  parseCustomShapeFacetInstances__p2__s_Option__V(shapeResult) {
    const x1 = this.node$2.value__Lorg_yaml_model_YValue();
    matchEnd4: {
      if ($is_Lorg_yaml_model_YMap(x1)) {
        const x2 = x1;
        if (shapeResult.isDefined__Z()) {
          new $c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser().init___Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(shapeResult.get__O(), x2, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
          break matchEnd4
        }
      }
    }
  };
  parseTypeExpression__p2__Lamf_core_model_domain_Shape() {
    const x1 = this.node$2.value__Lorg_yaml_model_YValue();
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      const adopt = this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
      const part = new $c_s_Some().init___O(this.node$2.value__Lorg_yaml_model_YValue());
      const ctx = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, false, ctx).parse__T__s_Option(x2.text$3).get__O()
    } else if ($is_Lorg_yaml_model_YMap(x1)) {
      return this.parseObjectType__p2__Lamf_core_model_domain_Shape()
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  parseNilUnion__p2__Lamf_plugins_domain_shapes_models_UnionShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const name = this.name$2;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const union = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(union);
    const x1 = this.node$2.value__Lorg_yaml_model_YValue();
    let parsed;
    if ($is_Lorg_yaml_model_YScalar(x1)) {
      const x2 = x1;
      const jsx$3 = $m_Lorg_yaml_model_YMapEntry$();
      const jsx$2 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("");
      const jsx$1 = $m_Lorg_yaml_model_YNode$();
      const thiz = x2.text$3;
      const toParse = jsx$3.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(jsx$2, jsx$1.apply__T__Lorg_yaml_model_YNode(thiz.split("?").join("")));
      parsed = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(toParse, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, union$1) {
        return (function(s$2) {
          const s = s$2;
          const value = union$1.id$1;
          return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(s, value)
        })
      })(this, union)), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f).parse__s_Option().get__O()
    } else {
      if ((!$is_Lorg_yaml_model_YMap(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      const x3 = x1;
      const jsx$7 = x3.entries$3;
      const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const x = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
          if (((x !== null) && $objectEquals(x, "type"))) {
            const jsx$6 = $m_Lorg_yaml_model_YMapEntry$();
            $m_Lorg_yaml_model_YNode$();
            const jsx$5 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("type");
            $m_Lorg_yaml_model_YNode$();
            const thiz$1 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
            const str = thiz$1.split("?").join("");
            return jsx$6.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(jsx$5, $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str))
          } else {
            return entry
          }
        })
      })(this));
      const this$11 = $m_sc_IndexedSeq$();
      const newEntries = jsx$7.map__F1__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBF$6);
      const jsx$9 = $m_Lorg_yaml_model_YMapEntry$();
      const jsx$8 = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode("");
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YMap$();
      const map = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(newEntries);
      $m_Lorg_yaml_model_YNode$();
      $m_Lorg_yaml_model_YNode$();
      const tt = $m_Lorg_yaml_model_YType$().Map$1;
      $m_Lorg_yaml_model_YNode$();
      const t = tt.org$yaml$model$YType$$tag$und$1;
      $m_Lorg_yaml_model_YNode$();
      const a = $m_s_None$();
      $m_Lorg_yaml_model_YNode$();
      const cs = null;
      const toParse$2 = jsx$9.apply__Lorg_yaml_model_YNode__Lorg_yaml_model_YNode__Lorg_yaml_model_YMapEntry(jsx$8, new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map, t, a, cs));
      parsed = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory().typeParser__F4().apply__O__O__O__O__O(toParse$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, union$2) {
        return (function(s$3$2) {
          const s$3 = s$3$2;
          const value$1 = union$2.id$1;
          return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(s$3, value$1)
        })
      })(this, union)), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f).parse__s_Option().get__O()
    };
    const jsx$10 = $m_sc_Seq$();
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const this$21 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    const value$2 = union.id$1;
    const elements = jsx$10.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parsed, $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$21, value$2)]));
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
    return $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(union, field$1, elements)
  };
  init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entryOrNode, name, adopt, isAnnotation, defaultType, ctx) {
    this.name$2 = name;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f = adopt;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f = isAnnotation;
    this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f = defaultType;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    let x1$2_$_$$und1$f;
    let x1$2_$_$$und2$f;
    if ($is_s_util_Right(entryOrNode)) {
      const x2 = entryOrNode;
      const n = x2.value$2;
      const jsx$1_$_$$und1$f = n;
      const jsx$1_$_$$und2$f = n;
      x1$2_$_$$und1$f = jsx$1_$_$$und1$f;
      x1$2_$_$$und2$f = jsx$1_$_$$und2$f
    } else {
      if ((!$is_s_util_Left(entryOrNode))) {
        throw new $c_s_MatchError().init___O(entryOrNode)
      };
      const x3 = entryOrNode;
      const e = x3.value$2;
      const _2 = e.value$1;
      const jsx$2_$_$$und1$f = e;
      const jsx$2_$_$$und2$f = _2;
      x1$2_$_$$und1$f = jsx$2_$_$$und1$f;
      x1$2_$_$$und2$f = jsx$2_$_$$und2$f
    };
    const ast = x1$2_$_$$und1$f;
    const node = x1$2_$_$$und2$f;
    this.x$6$2 = new $c_T2().init___O__O(ast, node);
    this.ast$2 = this.x$6$2.$$und1__O();
    this.node$2 = this.x$6$2.$$und2__O();
    return this
  };
  parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(typeDef) {
    if ($f_Lamf_plugins_domain_shapes_models_TypeDef__isNil__Z(typeDef)) {
      const this$1 = $m_Lamf_plugins_domain_shapes_models_NilShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NilShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const nilShape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(nilShape);
      return nilShape
    } else {
      const this$2 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.ast$2);
      const name$1 = this.name$2;
      const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field$1, name$1);
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
      const this$3 = this.node$2;
      const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const map = x2.value$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap(this, typeDef, shape, map).parse__Lamf_plugins_domain_shapes_models_ScalarShape()
      } else if ($is_s_util_Left(x1)) {
        const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(typeDef), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.node$2.value__Lorg_yaml_model_YValue()));
        return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(shape, field$2, value)
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  parseObjectType__p2__Lamf_core_model_domain_Shape() {
    if (this.isFileType__p2__Z()) {
      const this$1 = this.node$2;
      const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Str$1;
      let shape;
      if ((x === x1)) {
        const annotations = new $c_Lamf_core_parser_Annotations().init___();
        shape = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((!(x$3 === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        shape = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YNode(this, this.node$2).parse__Lamf_plugins_domain_shapes_models_FileShape()
      };
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape);
      return shape
    } else {
      const this$5 = $m_Lamf_plugins_domain_shapes_models_NodeShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_NodeShape(this.ast$2);
      const name = this.name$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
      const shape$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, name);
      this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape$2);
      const this$6 = this.node$2;
      const x1$2 = this$6.tag__Lorg_yaml_model_YTag().tagType$2;
      const x$5 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x$5 === x1$2)) {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap(this, shape$2, this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext())).parse__Lamf_plugins_domain_shapes_models_NodeShape()
      } else {
        const x$7 = $m_Lorg_yaml_model_YType$().Seq$1;
        if ((x$7 === x1$2)) {
          new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__Lamf_core_model_domain_Shape__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this, this.ast$2, shape$2, $m_s_None$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__V();
          return shape$2
        } else {
          const node = this.node$2;
          if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
            const x1$3 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().link__Lorg_yaml_model_YNode__s_util_Either(this.node$2);
            let refTuple;
            if ($is_s_util_Left(x1$3)) {
              const x2 = x1$3;
              const key = x2.value$2;
              refTuple = new $c_T2().init___O__O(key, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(key, $m_Lamf_core_parser_SearchScope$Fragments$()))
            } else {
              const text = this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3;
              refTuple = new $c_T2().init___O__O(text, this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(text, $m_Lamf_core_parser_SearchScope$Named$()))
            };
            if ((refTuple !== null)) {
              const text$2 = refTuple.$$und1__O();
              const p2 = refTuple.$$und2__O();
              if ((text$2 !== null)) {
                if ($is_s_Some(p2)) {
                  const x3 = p2;
                  const s = x3.value$2;
                  const annotations$1 = $m_Lamf_core_parser_Annotations$().valueNode__Lorg_yaml_model_YNode__Lamf_core_parser_Annotations(this.node$2);
                  const this$8 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(s, text$2, annotations$1);
                  const name$1 = this.name$2;
                  const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                  const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field$1, name$1);
                  const value = shape$2.id$1;
                  return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, value)
                }
              }
            };
            if ((refTuple !== null)) {
              const text$3 = refTuple.$$und1__O();
              if ((text$3 !== null)) {
                const x$26 = $m_Lamf_plugins_domain_shapes_models_TypeDef$UndefinedType$();
                $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$();
                const x$27 = "";
                const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$().matchType__T__T__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_TypeDef(text$3, x$27, x$26);
                const x$10 = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
                if (((x$9 !== null) && (x$9 === x$10))) {
                  shape$2.annotations$2.$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_ExplicitField().init___());
                  return shape$2
                }
              }
            };
            if ((refTuple !== null)) {
              const text$4 = refTuple.$$und1__O();
              if ((text$4 !== null)) {
                const this$10 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$().apply__T__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnresolvedShape(text$4, this.node$2);
                const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                const shape$3 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field$2, text$4);
                const c = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
                $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape$3, c);
                this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(shape$3);
                if ((!new $c_Lamf_core_utils_package$Strings().init___T(text$4).validReferencePath__Z())) {
                  const this$12 = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
                  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ChainedReferenceSpecification$1.id__T();
                  const node$1 = shape$3.id$1;
                  const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Chained reference '", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([text$4]));
                  const ast = this.node$2;
                  const property = $m_s_None$();
                  $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$12, id, node$1, property, message, ast)
                } else {
                  const refAst = this.node$2;
                  const ctx = this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
                  $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(shape$3, text$4, refAst, ctx)
                };
                return shape$3
              }
            };
            throw new $c_s_MatchError().init___O(refTuple)
          } else {
            throw new $c_s_MatchError().init___O(x1$2)
          }
        }
      }
    }
  };
  parseUnionType__p2__Lamf_plugins_domain_shapes_models_UnionShape() {
    return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1(this, this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), this.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f).parse__Lamf_plugins_domain_shapes_models_UnionShape()
  };
  parseDefaultType__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_core_model_domain_Shape(defaultType) {
    const x1 = defaultType.typeDef__Lamf_plugins_domain_shapes_models_TypeDef();
    let defaultShape;
    if ($f_Lamf_plugins_domain_shapes_models_TypeDef__isScalar__Z(x1)) {
      defaultShape = this.parseScalarType__p2__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_core_model_domain_Shape(x1)
    } else {
      const x = $m_Lamf_plugins_domain_shapes_models_TypeDef$ObjectType$();
      if ((x === x1)) {
        defaultShape = this.parseObjectType__p2__Lamf_core_model_domain_Shape()
      } else {
        defaultShape = this.parseAnyType__p2__Lamf_core_model_domain_Shape()
      }
    };
    defaultShape.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_core_annotations_DefaultNode().init___());
    return defaultShape
  };
  isFileType__p2__Z() {
    const this$1 = this.node$2;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$1);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this, map);
      if ((!this$2.isEmpty__Z())) {
        const arg1 = this$2.get__O();
        const entry = arg1;
        const this$3 = entry.value$1;
        const conversion$1 = $m_Lamf_core_parser_package$YScalarYRead$();
        const x1$1 = conversion$1.read__Lorg_yaml_model_YNode__s_util_Either(this$3);
        if ($is_s_util_Right(x1$1)) {
          const x2$1 = x1$1;
          const scalar = x2$1.value$2;
          return (scalar.text$3 === "file")
        } else {
          return false
        }
      } else {
        return false
      }
    } else if ($is_s_util_Left(x1)) {
      const this$4 = this.node$2;
      const conversion$2 = $m_Lamf_core_parser_package$YScalarYRead$();
      const x1$2 = conversion$2.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1$2)) {
        const x2$2 = x1$2;
        const scalar$1 = x2$2.value$2;
        return (scalar$1.text$3 === "file")
      } else {
        return false
      }
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser)))
});
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null;
    this.options$3 = null
  };
  productPrefix__T() {
    return "AnyTypeShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnyTypeShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = AnyTypeShapeParser$1.shape$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(AnyTypeShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  options__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions() {
    return this.options$3
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    this.options$3 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, true);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$AnyTypeShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyTypeShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null;
    this.adopt$3 = null
  };
  productPrefix__T() {
    return "ArrayShapeParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_ArrayShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$3 = shape;
    this.map$3 = map;
    this.adopt$3 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ArrayShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = ArrayShapeParser$1.shape$3;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ArrayShapeParser$1.map$3))) {
        const x$3 = this.adopt$3;
        const x$4 = ArrayShapeParser$1.adopt$3;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      case 2: {
        return this.adopt$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_AnyShape() {
    this.adopt$3.apply__O__O(this.shape$3);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$3;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const jsx$2 = new $c_Lamf_core_utils_package$Strings().init___T("collectionFormat").asRamlAnnotation__T();
    const this$5 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().CollectionFormat$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$3.key__T__F1__V(jsx$2, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$5, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$2 = this.map$3;
    const this$7 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2).key__T__s_Option("items");
    let this$14;
    if (this$7.isEmpty__Z()) {
      this$14 = $m_s_None$()
    } else {
      const arg1 = this$7.get__O();
      const itemsEntry = arg1;
      const x$29 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(items$2) {
          const items = items$2;
          return items.adopted__T__Lamf_core_model_domain_AmfObject(($this.shape$3.id$1 + "/items"))
        })
      })(this));
      const x$30 = this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$defaultType$f;
      const this$8 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(itemsEntry, x$29, false, x$30, this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
      if (this$8.isEmpty__Z()) {
        this$14 = $m_s_None$()
      } else {
        const arg1$1 = this$8.get__O();
        const item = arg1$1;
        let jsx$4;
        if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(item)) {
          const x2 = item;
          const this$9 = this.shape$3;
          const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$10 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$9, field$2, x2);
          jsx$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$10.fields$2, this$10.annotations$2)
        } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(item)) {
          const x3 = item;
          const this$11 = this.shape$3;
          const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          const this$12 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$11, field$3, x3);
          jsx$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$12.fields$2, this$12.annotations$2)
        } else {
          if ((item === null)) {
            throw new $c_s_MatchError().init___O(item)
          };
          const this$13 = this.shape$3;
          const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
          jsx$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$13, field$4, item)
        };
        this$14 = new $c_s_Some().init___O(jsx$4)
      }
    };
    const this$15 = (this$14.isEmpty__Z() ? this.arrayShapeTypeFromInherits__p3__s_Option() : this$14);
    const finalShape = (this$15.isEmpty__Z() ? new $c_s_Some().init___O(this.shape$3) : this$15);
    if ($is_s_Some(finalShape)) {
      const x2$1 = finalShape;
      const parsed = x2$1.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(parsed)) {
        const x3$1 = parsed;
        this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(x3$1, this.map$3, "arrayShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
        return x3$1
      }
    };
    const this$16 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    const node = this.shape$3.id$1;
    const ast = this.map$3;
    $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$16, node, "Cannot parse data arrangement shape", ast);
    return this.shape$3
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  arrayShapeTypeFromInherits__p3__s_Option() {
    const this$1 = this.shape$3;
    const this$2 = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1).headOption__s_Option();
    let maybeShape;
    if (this$2.isEmpty__Z()) {
      maybeShape = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const x0$7 = arg1;
      let jsx$1;
      if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x0$7)) {
        const x2 = x0$7;
        jsx$1 = x2.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)
      } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x0$7)) {
        const x3 = x0$7;
        jsx$1 = x3.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2).head__O()
      } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x0$7)) {
        const x4 = x0$7;
        jsx$1 = x4.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1)
      } else {
        if ((x0$7 === null)) {
          throw new $c_s_MatchError().init___O(x0$7)
        };
        jsx$1 = x0$7
      };
      maybeShape = new $c_s_Some().init___O(jsx$1)
    };
    let rc15 = false;
    let x2$1 = null;
    if ($is_s_Some(maybeShape)) {
      rc15 = true;
      x2$1 = maybeShape;
      if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x2$1.value$2)) {
        const this$3 = this.shape$3;
        return new $c_s_Some().init___O(new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$3.fields$2, this$3.annotations$2))
      }
    };
    if ((rc15 && $is_Lamf_plugins_domain_shapes_models_MatrixShape(x2$1.value$2))) {
      const this$4 = this.shape$3;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$4.fields$2, this$4.annotations$2))
    };
    if ((rc15 && $is_Lamf_plugins_domain_shapes_models_TupleShape(x2$1.value$2))) {
      const this$5 = this.shape$3;
      return new $c_s_Some().init___O(new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(this$5.fields$2, this$5.annotations$2))
    };
    if ((rc15 && (x2$1.value$2 !== null))) {
      return new $c_s_Some().init___O(this.shape$3)
    };
    return $m_s_None$()
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$ArrayShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ArrayShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_NodeShape__Lorg_yaml_model_YMap($$outer, shape, map) {
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  productPrefix__T() {
    return "NodeShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const NodeShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = NodeShapeParser$1.shape$3;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(NodeShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  parse__Lamf_plugins_domain_shapes_models_NodeShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("minProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$3;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("maxProperties", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const this$5 = this.shape$3;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$5, field$2, false);
    const map$2 = this.map$3;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$7 = this.$$outer$1;
    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    const this$8 = new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$7, field$3, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).negated__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField();
    jsx$3.key__T__F1__V("additionalProperties", this$8.withAnnotation__Lamf_core_model_domain_Annotation__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(new $c_Lamf_core_annotations_ExplicitField().init___()));
    const map$3 = this.map$3;
    const this$11 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option(new $c_Lamf_core_utils_package$Strings().init___T("additionalProperties").asRamlAnnotation__T());
    if ((!this$11.isEmpty__Z())) {
      const arg1 = this$11.get__O();
      const entry = arg1;
      const this$12 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_OasTypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(s$2) {
          const s = s$2;
          s.adopted__T__Lamf_core_model_domain_AmfObject($this.shape$3.id$1)
        })
      })(this)), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option();
      if ((!this$12.isEmpty__Z())) {
        const arg1$1 = this$12.get__O();
        const s$3 = arg1$1;
        const this$13 = this.shape$3;
        const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().AdditionalPropertiesSchema$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$13, field$4, s$3, annotations)
      }
    };
    const map$4 = this.map$3;
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$15 = this.$$outer$1;
    const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
    const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$4.key__T__F1__V("discriminator", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$15, field$5, iv$3).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$5 = this.map$3;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$17 = this.$$outer$1;
    const field$6 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
    const iv$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$5.key__T__F1__V("discriminatorValue", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$17, field$6, iv$4).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$6 = this.map$3;
    const this$19 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$6);
    const this$20 = this$19.key__T__s_Option("properties");
    if ((!this$20.isEmpty__Z())) {
      const arg1$2 = this$20.get__O();
      const entry$3 = arg1$2;
      const node = entry$3.value$1;
      const x1 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const m = x2.value$2;
        const properties = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$PropertiesParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1(this.$$outer$1, m, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1) {
          return (function(name$2) {
            const name = name$2;
            return $this$1.shape$3.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name)
          })
        })(this))).parse__sc_Seq();
        const this$22 = this.shape$3;
        const field$7 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
        const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(properties, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3.value$1));
        const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$22, field$7, value, annotations$1)
      }
    };
    const properties$1 = $m_scm_ListMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    const this$23 = this.shape$3;
    this$23.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1, properties$2) {
      return (function(p$2) {
        const p = p$2;
        const this$24 = p.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
        const this$25 = this$24.option$1;
        const self = (this$25.isEmpty__Z() ? null : this$25.get__O());
        return properties$2.$$plus$eq__T2__scm_ListMap(new $c_T2().init___O__O(self, p))
      })
    })(this, properties$1)));
    const map$7 = this.map$3;
    const this$30 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$7);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("dependencies").asRamlAnnotation__T();
    const this$31 = this$30.key__T__s_Option(keyword);
    if ((!this$31.isEmpty__Z())) {
      const arg1$3 = this$31.get__O();
      const entry$4 = arg1$3;
      const dependencies = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ShapeDependenciesParser().init___Lorg_yaml_model_YMap__scm_ListMap(entry$4.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()), properties$1).parse__sc_Seq();
      const this$32 = this.shape$3;
      const field$8 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(dependencies, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4.value$1));
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$32, field$8, value$1, annotations$2)
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$3, this.map$3, "nodeShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$NodeShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$NodeShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.shape$3 = null;
    this.map$3 = null;
    this.adopt$3 = null
  };
  productPrefix__T() {
    return "TupleShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const TupleShapeParser$1 = x$1;
      const x = this.shape$3;
      const x$2 = TupleShapeParser$1.shape$3;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(TupleShapeParser$1.map$3))) {
        const x$3 = this.adopt$3;
        const x$4 = TupleShapeParser$1.adopt$3;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.shape$3;
        break
      }
      case 1: {
        return this.map$3;
        break
      }
      case 2: {
        return this.adopt$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  parse__Lamf_plugins_domain_shapes_models_TupleShape() {
    this.adopt$3.apply__O__O(this.shape$3);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    this.parseInheritance__V();
    const map = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$2 = this.$$outer$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MinItems$1;
    const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("minItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$2, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$1 = this.map$3;
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1);
    const this$4 = this.$$outer$1;
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().MaxItems$1;
    const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$2.key__T__F1__V("maxItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$4, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$2 = this.map$3;
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$6 = this.$$outer$1;
    const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().UniqueItems$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$3.key__T__F1__V("uniqueItems", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$6, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$3 = this.map$3;
    const itemsField = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3).key__T__s_Option("items");
    const x = $m_s_None$();
    if ((!(x === itemsField))) {
      if ($is_s_Some(itemsField)) {
        const x2 = itemsField;
        const entry = x2.value$2;
        const jsx$9 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).nodes$3;
        const jsx$8 = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser$$anonfun$1().init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser(this);
        const this$8 = $m_sc_IndexedSeq$();
        const jsx$7 = jsx$9.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$8, this$8.ReusableCBF$6);
        const this$9 = $m_sc_IndexedSeq$();
        const jsx$6 = jsx$7.zipWithIndex__scg_CanBuildFrom__O(this$9.ReusableCBF$6);
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$8$2) {
            const x0$8 = x0$8$2;
            if ((x0$8 !== null)) {
              const elem = x0$8.$$und1__O();
              const index = x0$8.$$und2$mcI$sp__I();
              const jsx$5 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$();
              $m_Lorg_yaml_model_YNode$();
              const map$4 = elem.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
              $m_Lorg_yaml_model_YNode$();
              $m_Lorg_yaml_model_YNode$();
              const tt = $m_Lorg_yaml_model_YType$().Map$1;
              $m_Lorg_yaml_model_YNode$();
              const t = tt.org$yaml$model$YType$$tag$und$1;
              $m_Lorg_yaml_model_YNode$();
              const a = $m_s_None$();
              $m_Lorg_yaml_model_YNode$();
              const cs = null;
              return jsx$5.apply__Lorg_yaml_model_YNode__T__F1__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(map$4, t, a, cs), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["member", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$3.id$1 + "/items/") + index$1))
                })
              })($this, index)), $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$(), $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$8)
            }
          })
        })(this));
        const this$15 = $m_sc_IndexedSeq$();
        const items = jsx$6.map__F1__scg_CanBuildFrom__O(jsx$4, this$15.ReusableCBF$6);
        const this$17 = this.shape$3;
        const jsx$11 = items.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$16$2) {
            const x$16 = x$16$2;
            return x$16.isDefined__Z()
          })
        })(this)));
        const jsx$10 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$17$2) {
            const x$17 = x$17$2;
            return x$17.get__O()
          })
        })(this));
        const this$16 = $m_sc_IndexedSeq$();
        const items$1 = jsx$11.map__F1__scg_CanBuildFrom__O(jsx$10, this$16.ReusableCBF$6);
        const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2;
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$17, field$3, items$1)
      } else {
        throw new $c_s_MatchError().init___O(itemsField)
      }
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$3, this.map$3, "arrayShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TupleShape__Lorg_yaml_model_YMap__F1($$outer, shape, map, adopt) {
    this.shape$3 = shape;
    this.map$3 = map;
    this.adopt$3 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$TupleShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$TupleShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.map$3 = null;
    this.adopt$3 = null;
    this.shape$3 = null
  };
  productPrefix__T() {
    return "UnionShapeParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const UnionShapeParser$1 = x$1;
      if (this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(UnionShapeParser$1.map$3)) {
        const x = this.adopt$3;
        const x$2 = UnionShapeParser$1.adopt$3;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.map$3;
        break
      }
      case 1: {
        return this.adopt$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  parse__Lamf_plugins_domain_shapes_models_UnionShape() {
    this.adopt$3.apply__O__O(this.shape$3);
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("anyOf");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      const this$4 = entry.value$1;
      const conversion = $m_Lorg_yaml_convert_YRead$SeqNodeYRead$();
      const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(this$4);
      if ($is_s_util_Right(x1)) {
        const x2 = x1;
        const seq = x2.value$2;
        const this$5 = $m_sc_Seq$();
        const jsx$4 = seq.zipWithIndex__scg_CanBuildFrom__O(this$5.ReusableCBFInstance$2);
        const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(x0$3$2) {
            const x0$3 = x0$3$2;
            if ((x0$3 !== null)) {
              const unionNode = x0$3.$$und1__O();
              const index = x0$3.$$und2$mcI$sp__I();
              return $this.$$outer$1.typeParser__F5().apply__O__O__O__O__O__O(($m_s_package$(), new $c_s_util_Right().init___O(unionNode)), new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["item", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([index])), new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, index$1) {
                return (function(item$2) {
                  const item = item$2;
                  return item.adopted__T__Lamf_core_model_domain_AmfObject((($this$1.shape$3.id$1 + "/items/") + index$1))
                })
              })($this, index)), $this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f, $m_Lamf_plugins_document_webapi_parser_spec_declaration_AnyDefaultType$()).parse__s_Option()
            } else {
              throw new $c_s_MatchError().init___O(x0$3)
            }
          })
        })(this));
        const this$7 = $m_sc_Seq$();
        const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(x$8$2) {
            const x$8 = x$8$2;
            return x$8.isDefined__Z()
          })
        })(this)));
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
          return (function(x$9$2) {
            const x$9 = x$9$2;
            return x$9.get__O()
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        const unionNodes = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
        const this$9 = this.shape$3;
        const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
        $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$9, field, unionNodes, annotations)
      } else {
        const this$10 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const node = this.shape$3.id$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$10, node, "Unions are built from multiple shape nodes", entry)
      }
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$3, this.map$3, "unionShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$3
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMap__F1($$outer, map, adopt) {
    this.map$3 = map;
    this.adopt$3 = adopt;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(map);
    this.shape$3 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    return this
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$UnionShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$UnionShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.DocumentationItemFragmentParser$module$2 = null;
    this.DataTypeFragmentParser$module$2 = null;
    this.AnnotationFragmentParser$module$2 = null;
    this.ResourceTypeFragmentParser$module$2 = null;
    this.TraitFragmentParser$module$2 = null;
    this.SecuritySchemeFragmentParser$module$2 = null;
    this.NamedExampleFragmentParser$module$2 = null;
    this.root$2 = null;
    this.fragment$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "OasFragmentParser"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser(x$1)) {
      const OasFragmentParser$1 = x$1;
      const x = this.root$2;
      const x$2 = OasFragmentParser$1.root$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.fragment$2;
        const x$4 = OasFragmentParser$1.fragment$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      case 1: {
        return this.fragment$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseFragment__Lamf_core_model_document_Fragment() {
    const this$1 = this.root$2.parsed$1.document$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = this$1.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    let map;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const m = x2.value$2;
      map = m
    } else {
      const this$2 = this.ctx$2;
      const node = this.root$2.location$1;
      const ast = this.root$2.parsed$1.document$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$2, node, "Cannot parse empty map", ast);
      map = $m_Lorg_yaml_model_YMap$().empty$1
    };
    const this$3 = this.detectType__s_Option();
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      const x0$1 = arg1;
      const x = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DocumentationItem$();
      let jsx$1;
      if ((x === x0$1)) {
        jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DocumentationItemFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment()
      } else {
        const x$3 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20DataType$();
        if ((x$3 === x0$1)) {
          jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$DataTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_DataTypeFragment()
        } else {
          const x$5 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20ResourceType$();
          if ((x$5 === x0$1)) {
            jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$ResourceTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment()
          } else {
            const x$7 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20Trait$();
            if ((x$7 === x0$1)) {
              jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$TraitFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_TraitFragment()
            } else {
              const x$9 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20AnnotationTypeDeclaration$();
              if ((x$9 === x0$1)) {
                jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$AnnotationFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment()
              } else {
                const x$11 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20SecurityScheme$();
                if ((x$11 === x0$1)) {
                  jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$SecuritySchemeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment()
                } else {
                  const x$13 = $m_Lamf_plugins_document_webapi_parser_OasHeader$Oas20NamedExample$();
                  if ((!(x$13 === x0$1))) {
                    throw new $c_s_MatchError().init___O(x0$1)
                  };
                  jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser$NamedExampleFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser__Lorg_yaml_model_YMap(this, map).parse__Lamf_plugins_document_webapi_model_NamedExampleFragment()
                }
              }
            }
          }
        }
      };
      this$4 = new $c_s_Some().init___O(jsx$1)
    };
    let fragment$1;
    if (this$4.isEmpty__Z()) {
      const annotations = new $c_Lamf_core_parser_Annotations().init___();
      const this$8 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
      const location = this.root$2.location$1;
      const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      const this$9 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, location);
      const value = this.root$2.location$1;
      const this$14 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$9, value);
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      const this$13 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
      const text = this.root$2.raw$1;
      const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
      const encoded = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$13, field$1, text);
      const field$2 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
      const fragment = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$14, field$2, encoded);
      const this$15 = this.ctx$2;
      const node$1 = fragment.id$1;
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$15, node$1, "Unsupported oas type", map);
      fragment$1 = fragment
    } else {
      fragment$1 = this$4.get__O()
    };
    const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(fragment$1, new $c_Lamf_core_utils_package$Strings().init___T("uses").asOasExtension__T(), map, this.root$2.references$1, this.ctx$2).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
    const location$1 = this.root$2.location$1;
    const field$3 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$17 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(fragment$1, field$3, location$1);
    const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$2.parsed$1.document$1);
    $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(this$17, other);
    new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, map, fragment$1).parse__V();
    const this$18 = references.references$1;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$18)) {
      const references$1 = references.solvedReferences__sc_Seq();
      const field$4 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
      $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(fragment$1, field$4, references$1)
    };
    return fragment$1
  };
  init___Lamf_core_Root__s_Option__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, fragment, ctx) {
    this.root$2 = root;
    this.fragment$2 = fragment;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  detectType__s_Option() {
    const this$1 = this.fragment$2;
    return (this$1.isEmpty__Z() ? $m_Lamf_plugins_document_webapi_parser_OasHeader$().apply__Lamf_core_Root__s_Option(this.root$2) : this$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasFragmentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser {
  constructor() {
    super();
    this.root$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "OasModuleParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser(x$1)) {
      const OasModuleParser$1 = x$1;
      const x = this.root$2;
      const x$2 = OasModuleParser$1.root$2;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseModule__Lamf_core_model_document_Module() {
    const sourceVendor = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$2.vendor$1);
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$2.parsed$1.document$1);
    const this$3 = new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$2.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const parent = this.root$2.location$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const module = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, sourceVendor);
    const field$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const value = this.root$2.location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(module, field$1, value);
    const node = this.root$2.parsed$1.document$1;
    const this$7 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const rootMap = arg1;
      const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(module, new $c_Lamf_core_utils_package$Strings().init___T("uses").asOasExtension__T(), rootMap, this.root$2.references$1, this.ctx$2).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$2.location$1);
      this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$2, rootMap);
      new $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, rootMap, module).parse__V();
      const declarable = this.ctx$2.declarations$2.declarables__sc_Seq();
      if (declarable.nonEmpty__Z()) {
        const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$2, declarable)
      };
      const this$9 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$9)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$3, references$1)
      }
    };
    return module
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx) {
    this.root$2 = root;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, ctx);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.OasModuleParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_OasModuleParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.DocumentationItemFragmentParser$module$2 = null;
    this.DataTypeFragmentParser$module$2 = null;
    this.ResourceTypeFragmentParser$module$2 = null;
    this.TraitFragmentParser$module$2 = null;
    this.AnnotationFragmentParser$module$2 = null;
    this.SecuritySchemeFragmentParser$module$2 = null;
    this.NamedExampleFragmentParser$module$2 = null;
    this.root$2 = null;
    this.fragmentType$2 = null;
    this.ctx$2 = null
  };
  productPrefix__T() {
    return "RamlFragmentParser"
  };
  parseFragment__s_Option() {
    const this$1 = this.root$2.parsed$1.document$1;
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = this$1.obj__Lorg_yaml_model_YObj().to__Lorg_yaml_convert_YRead__s_util_Either(conversion);
    let rootMap;
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      rootMap = map
    } else {
      const x = this.fragmentType$2;
      const x$2 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
      if ((!((x !== null) && x.equals__O__Z(x$2)))) {
        const this$2 = this.ctx$2;
        const node = this.root$2.location$1;
        const ast = this.root$2.parsed$1.document$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$2, node, "Cannot parse empty map", ast)
      };
      rootMap = $m_Lorg_yaml_model_YMap$().empty$1
    };
    const x1$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParserAnnotations$().apply__T__Lorg_yaml_model_YMap__Lamf_core_Root__Lamf_plugins_document_webapi_contexts_WebApiContext__T2("uses", rootMap, this.root$2, this.ctx$2);
    if ((x1$2 === null)) {
      throw new $c_s_MatchError().init___O(x1$2)
    };
    const references = x1$2.$$und1__O();
    const aliases = x1$2.$$und2__O();
    $m_Lorg_yaml_model_YMap$();
    const c = rootMap.entries$3.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$2$2$2) {
        const x$2$2 = x$2$2$2;
        return (x$2$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.ctx$2).text$3 !== "usage")
      })
    })(this)));
    const encodedMap = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const x1$3 = this.fragmentType$2;
    const x$3 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DocumentationItem$();
    let optionFragment;
    if (x$3.equals__O__Z(x1$3)) {
      optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DocumentationItemFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_plugins_document_webapi_model_DocumentationItemFragment())
    } else {
      const x$5 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10DataType$();
      if (x$5.equals__O__Z(x1$3)) {
        optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$DataTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_plugins_document_webapi_model_DataTypeFragment())
      } else {
        const x$7 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10ResourceType$();
        if (x$7.equals__O__Z(x1$3)) {
          optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$ResourceTypeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_plugins_document_webapi_model_ResourceTypeFragment())
        } else {
          const x$9 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10Trait$();
          if (x$9.equals__O__Z(x1$3)) {
            optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$TraitFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_plugins_document_webapi_model_TraitFragment())
          } else {
            const x$11 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10AnnotationTypeDeclaration$();
            if (x$11.equals__O__Z(x1$3)) {
              optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$AnnotationFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment())
            } else {
              const x$13 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10SecurityScheme$();
              if (x$13.equals__O__Z(x1$3)) {
                optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$SecuritySchemeFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_plugins_document_webapi_model_SecuritySchemeFragment())
              } else {
                const x$15 = $m_Lamf_plugins_document_webapi_parser_RamlFragmentHeader$Raml10NamedExample$();
                if (x$15.equals__O__Z(x1$3)) {
                  optionFragment = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser$NamedExampleFragmentParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser__Lorg_yaml_model_YMap(this, encodedMap).parse__Lamf_core_model_document_Fragment())
                } else {
                  optionFragment = $m_s_None$()
                }
              }
            }
          }
        }
      }
    };
    if ($is_s_Some(optionFragment)) {
      const x2$2 = optionFragment;
      const fragment = x2$2.value$2;
      const this$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(rootMap);
      const this$6 = this$5.key__T__s_Option("usage");
      if ((!this$6.isEmpty__Z())) {
        const arg1 = this$6.get__O();
        const usage = arg1;
        const field = $m_Lamf_core_metamodel_document_FragmentModel$().Usage$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(usage.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this.ctx$2), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(usage.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(usage.value$1);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(fragment, field, value, annotations)
      };
      const location = this.root$2.location$1;
      const field$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(fragment, field$1, location);
      new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, rootMap, fragment).parse__V();
      const other = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$2.parsed$1.document$1);
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfElement(fragment, other);
      if (aliases.isDefined__Z()) {
        fragment.annotations__Lamf_core_parser_Annotations().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(aliases.get__O())
      };
      const this$7 = fragment.encodes__Lamf_core_model_domain_DomainElement();
      const annotation = new $c_Lamf_core_annotations_SourceVendor().init___Lamf_core_remote_Vendor($m_Lamf_core_remote_Raml10$());
      $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$7, annotation);
      const this$8 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$2 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(fragment, field$2, references$1)
      };
      return new $c_s_Some().init___O(fragment)
    } else {
      return $m_s_None$()
    }
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser(x$1)) {
      const RamlFragmentParser$1 = x$1;
      const x = this.root$2;
      const x$2 = RamlFragmentParser$1.root$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.fragmentType$2;
        const x$4 = RamlFragmentParser$1.fragmentType$2;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$2;
        break
      }
      case 1: {
        return this.fragmentType$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$raml$RamlFragmentParser$$buildExternalFragment__Lamf_core_model_document_ExternalFragment() {
    const this$1 = this.ctx$2;
    const node = this.root$2.location$1;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid fragment body in ", " , external fragment will be created"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.root$2.location$1]));
    const ast = this.root$2.parsed$1.document$1;
    $f_Lamf_core_parser_ErrorHandler__warning__T__T__Lorg_yaml_model_YPart__V(this$1, node, message, ast);
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$2.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, location);
    const value = this.root$2.location$1;
    const this$12 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
    const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
    const this$10 = new $c_Lamf_core_model_domain_ExternalDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
    const text = this.root$2.raw$1;
    const field$1 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().Raw$1;
    const this$11 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$10, field$1, text);
    const mediaType = this.root$2.mediatype$1;
    const field$2 = $m_Lamf_core_metamodel_domain_ExternalDomainElementModel$().MediaType$1;
    const encoded = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$11, field$2, mediaType);
    const field$3 = $m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$12, field$3, encoded)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_parser_RamlFragment__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, fragmentType, ctx) {
    this.root$2 = root;
    this.fragmentType$2 = fragmentType;
    this.ctx$2 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlFragmentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlFragmentParser;
class $c_Lamf_plugins_domain_webapi_models_Operation extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Operation"
  };
  withServer__T__Lamf_plugins_domain_webapi_models_Server(url) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Server().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ServerModel$().Url$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, url);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Servers$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productArity__I() {
    return 2
  };
  withSecurity__T__Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Security$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Operation(x$1)) {
      const Operation$1 = x$1;
      const x = this.fields$1;
      const x$2 = Operation$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Operation$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Method$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-operation" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  withCallback__T__Lamf_plugins_domain_webapi_models_Callback(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Callback().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_CallbackModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Callbacks$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  traits__sc_Seq() {
    const jsx$2 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_DomainElementModel$().Extends__Lamf_core_metamodel_Field());
    const jsx$1 = new $c_Lamf_plugins_domain_webapi_models_Operation$$anonfun$traits$1().init___Lamf_plugins_domain_webapi_models_Operation(this);
    const this$1 = $m_sc_Seq$();
    return jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  withRequest__Lamf_plugins_domain_webapi_models_Request() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const request = new $c_Lamf_plugins_domain_webapi_models_Request().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Request$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, request);
    return request
  };
  withResponse__T__Lamf_plugins_domain_webapi_models_Response(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Response().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().Name$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const statusCode = ((name === "default") ? "200" : name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, statusCode);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_OperationModel$().Responses$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$2, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Operation = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Operation)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Operation = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Operation)))
});
const $d_Lamf_plugins_domain_webapi_models_Operation = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Operation: 0
}, false, "amf.plugins.domain.webapi.models.Operation", {
  Lamf_plugins_domain_webapi_models_Operation: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Operation.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Operation;
class $c_Lamf_plugins_domain_webapi_models_Payload extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Payload"
  };
  productArity__I() {
    return 2
  };
  withEncoding__T__Lamf_plugins_domain_webapi_models_Encoding(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Encoding().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_EncodingModel$().PropertyName$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Encoding$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_Payload(x$1)) {
      const Payload$1 = x$1;
      const x = this.fields$1;
      const x$2 = Payload$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Payload$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  clonePayload__T__Lamf_plugins_domain_webapi_models_Payload(parent) {
    const annotations = this.annotations$1;
    const this$5 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const this$3 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1);
    const this$4 = this$3.option$1;
    const mediaType = (this$4.isEmpty__Z() ? null : this$4.get__O());
    const field = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1;
    const this$6 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field, mediaType);
    const cloned = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$6, parent);
    const this$7 = this.fields$1;
    const fn = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, cloned$1) {
      return (function(x0$1$2) {
        const x0$1 = x0$1$2;
        if ((x0$1 !== null)) {
          const f = x0$1.$$und1__O();
          const v = x0$1.$$und2__O();
          const x1$2 = v.value$1;
          let clonedValue;
          if ($is_Lamf_core_model_domain_Shape(x1$2)) {
            const x2 = x1$2;
            clonedValue = x2.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape($m_s_None$(), x2.cloneShape$default$2__s_Option(), x2.cloneShape$default$3__sci_Set())
          } else {
            clonedValue = x1$2
          };
          const annotations$1 = v.annotations$1;
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(cloned$1, f, clonedValue, annotations$1)
        } else {
          throw new $c_s_MatchError().init___O(x0$1)
        }
      })
    })(this, cloned));
    this$7.fs$1.foreach__F1__V(fn);
    return cloned
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().MediaType$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  withObjectSchema__T__Lamf_plugins_domain_shapes_models_NodeShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const node = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, node);
    return node
  };
  withScalarSchema__T__Lamf_plugins_domain_shapes_models_ScalarShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const scalar = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, scalar);
    return scalar
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const example = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    if ((!name.isEmpty__Z())) {
      const arg1 = name.get__O();
      const name$2 = arg1;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(example, field, name$2)
    };
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, example);
    return example
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_Payload = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_Payload)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_Payload = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_Payload)))
});
const $d_Lamf_plugins_domain_webapi_models_Payload = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_Payload: 0
}, false, "amf.plugins.domain.webapi.models.Payload", {
  Lamf_plugins_domain_webapi_models_Payload: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_Payload.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_Payload;
class $c_Lamf_plugins_domain_webapi_models_TemplatedLink extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "TemplatedLink"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_TemplatedLink(x$1)) {
      const TemplatedLink$1 = x$1;
      const x = this.fields$1;
      const x$2 = TemplatedLink$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = TemplatedLink$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_webapi_models_TemplatedLink().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/templatedLink/", ""]));
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_TemplatedLinkModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "UnknownTemplatedLink" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url)]))
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_TemplatedLink = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_TemplatedLink)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_TemplatedLink = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_TemplatedLink)))
});
const $d_Lamf_plugins_domain_webapi_models_TemplatedLink = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_TemplatedLink: 0
}, false, "amf.plugins.domain.webapi.models.TemplatedLink", {
  Lamf_plugins_domain_webapi_models_TemplatedLink: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_TemplatedLink.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_TemplatedLink;
class $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "ApiKeySettings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings(x$1)) {
      const ApiKeySettings$1 = x$1;
      const x = this.fields$1;
      const x$2 = ApiKeySettings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ApiKeySettings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_ApiKeySettingsModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/settings/api-key"
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_ApiKeySettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_ApiKeySettings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_ApiKeySettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_ApiKeySettings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_ApiKeySettings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_ApiKeySettings: 0
}, false, "amf.plugins.domain.webapi.models.security.ApiKeySettings", {
  Lamf_plugins_domain_webapi_models_security_ApiKeySettings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_ApiKeySettings;
class $c_Lamf_plugins_domain_webapi_models_security_HttpSettings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "HttpSettings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_HttpSettings(x$1)) {
      const HttpSettings$1 = x$1;
      const x = this.fields$1;
      const x$2 = HttpSettings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = HttpSettings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_HttpSettingsModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/settings/http"
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_HttpSettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_HttpSettings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_HttpSettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_HttpSettings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_HttpSettings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_HttpSettings: 0
}, false, "amf.plugins.domain.webapi.models.security.HttpSettings", {
  Lamf_plugins_domain_webapi_models_security_HttpSettings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_HttpSettings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_HttpSettings;
class $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "OAuth1Settings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings(x$1)) {
      const OAuth1Settings$1 = x$1;
      const x = this.fields$1;
      const x$2 = OAuth1Settings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = OAuth1Settings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth1SettingsModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  componentId__T() {
    return "/settings/oauth1"
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_OAuth1Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth1Settings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_OAuth1Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth1Settings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_OAuth1Settings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_OAuth1Settings: 0
}, false, "amf.plugins.domain.webapi.models.security.OAuth1Settings", {
  Lamf_plugins_domain_webapi_models_security_OAuth1Settings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_OAuth1Settings;
class $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "OAuth2Settings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings(x$1)) {
      const OAuth2Settings$1 = x$1;
      const x = this.fields$1;
      const x$2 = OAuth2Settings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = OAuth2Settings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_OAuth2SettingsModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    return "/settings/oauth2"
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_OAuth2Settings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth2Settings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_OAuth2Settings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_OAuth2Settings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_OAuth2Settings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_OAuth2Settings: 0
}, false, "amf.plugins.domain.webapi.models.security.OAuth2Settings", {
  Lamf_plugins_domain_webapi_models_security_OAuth2Settings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_OAuth2Settings;
class $c_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings extends $c_Lamf_plugins_domain_webapi_models_security_Settings {
  productPrefix__T() {
    return "OpenIdConnectSettings"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings(x$1)) {
      const OpenIdConnectSettings$1 = x$1;
      const x = this.fields$1;
      const x$2 = OpenIdConnectSettings$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = OpenIdConnectSettings$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_OpenIdConnectSettingsModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    return "/settings/open-id-connect"
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_webapi_models_security_Settings.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings)))
});
const $d_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings: 0
}, false, "amf.plugins.domain.webapi.models.security.OpenIdConnectSettings", {
  Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings: 1,
  Lamf_plugins_domain_webapi_models_security_Settings: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings;
class $c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ParametrizedSecurityScheme"
  };
  withApiKeySettings__Lamf_plugins_domain_webapi_models_security_ApiKeySettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_ApiKeySettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  productArity__I() {
    return 2
  };
  withOAuth1Settings__Lamf_plugins_domain_webapi_models_security_OAuth1Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth1Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme(x$1)) {
      const ParametrizedSecurityScheme$1 = x$1;
      const x = this.fields$1;
      const x$2 = ParametrizedSecurityScheme$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ParametrizedSecurityScheme$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$()
  };
  withDefaultSettings__Lamf_plugins_domain_webapi_models_security_Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-parametrized" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  withOAuth2Settings__Lamf_plugins_domain_webapi_models_security_OAuth2Settings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OAuth2Settings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  withHttpSettings__Lamf_plugins_domain_webapi_models_security_HttpSettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_HttpSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withOpenIdConnectSettings__Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const settings = new $c_Lamf_plugins_domain_webapi_models_security_OpenIdConnectSettings().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_security_ParametrizedSecuritySchemeModel$().Settings$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, settings);
    return settings
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme)))
});
const $d_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme: 0
}, false, "amf.plugins.domain.webapi.models.security.ParametrizedSecurityScheme", {
  Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_security_WithSettings: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_security_ParametrizedSecurityScheme;
class $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType extends $c_Lamf_core_model_domain_templates_ParametrizedDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "ParametrizedResourceType"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType(x$1)) {
      const ParametrizedResourceType$1 = x$1;
      const x = this.fields$2;
      const x$2 = ParametrizedResourceType$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ParametrizedResourceType$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedResourceTypeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_ParametrizedDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType: 0
}, false, "amf.plugins.domain.webapi.models.templates.ParametrizedResourceType", {
  Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType: 1,
  Lamf_core_model_domain_templates_ParametrizedDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedResourceType;
class $c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait extends $c_Lamf_core_model_domain_templates_ParametrizedDeclaration {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "ParametrizedTrait"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait(x$1)) {
      const ParametrizedTrait$1 = x$1;
      const x = this.fields$2;
      const x$2 = ParametrizedTrait$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ParametrizedTrait$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_webapi_metamodel_templates_ParametrizedTraitModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $c_Lamf_core_model_domain_templates_ParametrizedDeclaration.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait)))
});
const $isArrayOf_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait)))
});
const $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait: 0
}, false, "amf.plugins.domain.webapi.models.templates.ParametrizedTrait", {
  Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait: 1,
  Lamf_core_model_domain_templates_ParametrizedDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait.prototype.$classData = $d_Lamf_plugins_domain_webapi_models_templates_ParametrizedTrait;
class $c_Lorg_yaml_model_LexerException extends $c_Lorg_yaml_model_SyamlException {
  constructor() {
    super();
    this.text$5 = null;
    this.cause$5 = null
  };
  productPrefix__T() {
    return "LexerException"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_LexerException(x$1)) {
      const LexerException$1 = x$1;
      if ((this.text$5 === LexerException$1.text$5)) {
        const x = this.cause$5;
        const x$2 = LexerException$1.cause$5;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  init___T__jl_Exception(text, cause) {
    this.text$5 = text;
    this.cause$5 = cause;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error node '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([text]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.text$5;
        break
      }
      case 1: {
        return this.cause$5;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lorg_yaml_model_LexerException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_LexerException)))
});
const $isArrayOf_Lorg_yaml_model_LexerException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_LexerException)))
});
const $d_Lorg_yaml_model_LexerException = new $TypeData().initClass({
  Lorg_yaml_model_LexerException: 0
}, false, "org.yaml.model.LexerException", {
  Lorg_yaml_model_LexerException: 1,
  Lorg_yaml_model_SyamlException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_yaml_model_LexerException.prototype.$classData = $d_Lorg_yaml_model_LexerException;
class $c_Lorg_yaml_model_ParseException extends $c_Lorg_yaml_model_SyamlException {
  constructor() {
    super();
    this.tag$5 = null;
    this.text$5 = null;
    this.cause$5 = null
  };
  productPrefix__T() {
    return "ParseException"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lorg_yaml_model_ParseException(x$1)) {
      const ParseException$1 = x$1;
      const x = this.tag$5;
      const x$2 = ParseException$1.tag$5;
      if (((x === x$2) && (this.text$5 === ParseException$1.text$5))) {
        const x$3 = this.cause$5;
        const x$4 = ParseException$1.cause$5;
        return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.tag$5;
        break
      }
      case 1: {
        return this.text$5;
        break
      }
      case 2: {
        return this.cause$5;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lorg_yaml_model_YType__T__jl_Exception(tag, text, cause) {
    this.tag$5 = tag;
    this.text$5 = text;
    this.cause$5 = cause;
    const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot parse '", "' with tag '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([text, tag]));
    $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
    return this
  };
}
const $is_Lorg_yaml_model_ParseException = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_ParseException)))
});
const $isArrayOf_Lorg_yaml_model_ParseException = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_ParseException)))
});
const $d_Lorg_yaml_model_ParseException = new $TypeData().initClass({
  Lorg_yaml_model_ParseException: 0
}, false, "org.yaml.model.ParseException", {
  Lorg_yaml_model_ParseException: 1,
  Lorg_yaml_model_SyamlException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_yaml_model_ParseException.prototype.$classData = $d_Lorg_yaml_model_ParseException;
class $c_Lorg_yaml_model_YFail extends $c_Lorg_yaml_model_YObj {
  constructor() {
    super();
    this.error$4 = null;
    this.tagType$4 = null
  };
  productPrefix__T() {
    return "YFail"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(obj) {
    return false
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.error$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  to__Lorg_yaml_convert_YRead__s_util_Either(c) {
    $m_s_package$();
    const value = this.error$4;
    return new $c_s_util_Left().init___O(value)
  };
  init___Lorg_yaml_model_YError(error) {
    this.error$4 = error;
    this.tagType$4 = $m_Lorg_yaml_model_YType$().Unknown$1;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  thisNode__Lorg_yaml_model_YNode() {
    throw new $c_jl_IllegalStateException().init___()
  };
}
const $is_Lorg_yaml_model_YFail = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YFail)))
});
const $isArrayOf_Lorg_yaml_model_YFail = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YFail)))
});
const $d_Lorg_yaml_model_YFail = new $TypeData().initClass({
  Lorg_yaml_model_YFail: 0
}, false, "org.yaml.model.YFail", {
  Lorg_yaml_model_YFail: 1,
  Lorg_yaml_model_YObj: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  s_Dynamic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YFail.prototype.$classData = $d_Lorg_yaml_model_YFail;
class $c_Lorg_yaml_model_YSuccess extends $c_Lorg_yaml_model_YObj {
  constructor() {
    super();
    this.node$4 = null;
    this.tagType$4 = null
  };
  productPrefix__T() {
    return "YSuccess"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(obj) {
    if ((!$is_Lorg_yaml_model_YFail(obj))) {
      if ($is_Lorg_yaml_model_YNodeLike(obj)) {
        const x3 = obj;
        return this.node$4.$$eq$eq__Lorg_yaml_model_YValueLike__Z(x3.thisNode__Lorg_yaml_model_YNode())
      } else if ($is_Lorg_yaml_model_YValue(obj)) {
        const x4 = obj;
        return x4.$$eq$eq__Lorg_yaml_model_YValueLike__Z(this)
      } else {
        throw new $c_s_MatchError().init___O(obj)
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return this.node$4.toString__T()
  };
  init___Lorg_yaml_model_YNode(node) {
    this.node$4 = node;
    this.tagType$4 = node.tag__Lorg_yaml_model_YTag().tagType$2;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  thisNode__Lorg_yaml_model_YNode() {
    return this.node$4
  };
}
const $is_Lorg_yaml_model_YSuccess = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_yaml_model_YSuccess)))
});
const $isArrayOf_Lorg_yaml_model_YSuccess = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_yaml_model_YSuccess)))
});
const $d_Lorg_yaml_model_YSuccess = new $TypeData().initClass({
  Lorg_yaml_model_YSuccess: 0
}, false, "org.yaml.model.YSuccess", {
  Lorg_yaml_model_YSuccess: 1,
  Lorg_yaml_model_YObj: 1,
  Lorg_yaml_model_YNodeLike: 1,
  Lorg_yaml_model_YValueLike: 1,
  O: 1,
  s_Dynamic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lorg_yaml_model_YSuccess.prototype.$classData = $d_Lorg_yaml_model_YSuccess;
class $c_s_math_BigDecimal extends $c_s_math_ScalaNumber {
  constructor() {
    super();
    this.bigDecimal$3 = null;
    this.mc$3 = null;
    this.computedHashCode$3 = 0
  };
  isValidInt__Z() {
    try {
      this.bigDecimal$3.intValueExact__I();
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  toBigInt__s_math_BigInt() {
    return new $c_s_math_BigInt().init___Ljava_math_BigInteger(this.bigDecimal$3.toBigInteger__Ljava_math_BigInteger())
  };
  longValue__J() {
    return this.bigDecimal$3.longValue__J()
  };
  init___Ljava_math_BigDecimal__Ljava_math_MathContext(bigDecimal, mc) {
    this.bigDecimal$3 = bigDecimal;
    this.mc$3 = mc;
    if ((bigDecimal === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null value for BigDecimal")
    };
    if ((mc === null)) {
      throw new $c_jl_IllegalArgumentException().init___T("null MathContext for BigDecimal")
    };
    this.computedHashCode$3 = 1565550863;
    return this
  };
  isValidShort__Z() {
    try {
      this.bigDecimal$3.shortValueExact__S();
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  byteValue__B() {
    return ((this.bigDecimal$3.intValue__I() << 24) >> 24)
  };
  equals__O__Z(that) {
    if ($is_s_math_BigDecimal(that)) {
      const x2 = that;
      return this.equals__s_math_BigDecimal__Z(x2)
    } else if ($is_s_math_BigInt(that)) {
      const x3 = that;
      const this$1 = x3.bigInteger$3;
      const jsx$2 = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(this$1);
      const jsx$1 = this.bigDecimal$3.precision__I();
      const this$2 = this.bigDecimal$3;
      if ((jsx$2 > (3.3219280948873626 * (((-2) + ((jsx$1 - this$2.java$math$BigDecimal$$$undscale$2) | 0)) | 0)))) {
        const this$3 = this.toBigIntExact__s_Option();
        if ((!this$3.isEmpty__Z())) {
          const arg1 = this$3.get__O();
          const x$1 = arg1;
          return x3.equals__s_math_BigInt__Z(x$1)
        } else {
          return false
        }
      } else {
        return false
      }
    } else if (((typeof that) === "number")) {
      const x4 = (+that);
      if ((!((x4 === Infinity) || (x4 === (-Infinity))))) {
        const d = this.bigDecimal$3.doubleValue__D();
        if (((!((d === Infinity) || (d === (-Infinity)))) && (d === x4))) {
          const this$10 = $m_s_math_BigDecimal$();
          return this.equals__s_math_BigDecimal__Z(this$10.decimal__D__Ljava_math_MathContext__s_math_BigDecimal(d, this$10.defaultMathContext$1))
        } else {
          return false
        }
      } else {
        return false
      }
    } else if ($isFloat(that)) {
      const x5 = (+that);
      if ((!((x5 === Infinity) || (x5 === (-Infinity))))) {
        const f = this.bigDecimal$3.floatValue__F();
        if (((!((f === Infinity) || (f === (-Infinity)))) && (f === x5))) {
          const this$17 = $m_s_math_BigDecimal$();
          return this.equals__s_math_BigDecimal__Z(this$17.decimal__D__Ljava_math_MathContext__s_math_BigDecimal(f, this$17.defaultMathContext$1))
        } else {
          return false
        }
      } else {
        return false
      }
    } else {
      return (this.isValidLong__Z() && $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveEquals__O__Z(this, that))
    }
  };
  isWhole__Z() {
    const this$1 = this.bigDecimal$3;
    if ((this$1.java$math$BigDecimal$$$undscale$2 <= 0)) {
      return true
    } else {
      const this$2 = this.bigDecimal$3.stripTrailingZeros__Ljava_math_BigDecimal();
      return (this$2.java$math$BigDecimal$$$undscale$2 <= 0)
    }
  };
  computeHashCode__p3__V() {
    let jsx$2;
    if (this.isWhole__Z()) {
      const jsx$3 = this.bigDecimal$3.precision__I();
      const this$1 = this.bigDecimal$3;
      jsx$2 = (((jsx$3 - this$1.java$math$BigDecimal$$$undscale$2) | 0) < 4934)
    } else {
      jsx$2 = false
    };
    let jsx$1;
    if (jsx$2) {
      jsx$1 = this.toBigInt__s_math_BigInt().hashCode__I()
    } else if (this.isDecimalDouble__Z()) {
      jsx$1 = $m_sr_Statics$().doubleHash__D__I(this.bigDecimal$3.doubleValue__D())
    } else {
      const temp = this.bigDecimal$3.stripTrailingZeros__Ljava_math_BigDecimal();
      jsx$1 = $m_s_util_hashing_MurmurHash3$().mixLast__I__I__I(temp.scaleByPowerOfTen__I__Ljava_math_BigDecimal(temp.java$math$BigDecimal$$$undscale$2).toBigInteger__Ljava_math_BigInteger().hashCode__I(), temp.java$math$BigDecimal$$$undscale$2)
    };
    this.computedHashCode$3 = jsx$1
  };
  isValidChar__Z() {
    return ((this.isValidInt__Z() && (this.bigDecimal$3.intValueExact__I() >= 0)) && (this.bigDecimal$3.intValueExact__I() <= 65535))
  };
  toString__T() {
    return this.bigDecimal$3.toString__T()
  };
  compareTo__O__I(that) {
    const that$1 = that;
    return this.bigDecimal$3.compareTo__Ljava_math_BigDecimal__I(that$1.bigDecimal$3)
  };
  isValidByte__Z() {
    try {
      this.bigDecimal$3.byteValueExact__B();
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  compare__O__I(that) {
    const that$1 = that;
    return this.bigDecimal$3.compareTo__Ljava_math_BigDecimal__I(that$1.bigDecimal$3)
  };
  underlying__O() {
    return this.bigDecimal$3
  };
  isDecimalDouble__Z() {
    const d = this.bigDecimal$3.doubleValue__D();
    if ((!((d === Infinity) || (d === (-Infinity))))) {
      const this$4 = $m_s_math_BigDecimal$();
      return this.equals__s_math_BigDecimal__Z(this$4.decimal__D__Ljava_math_MathContext__s_math_BigDecimal(d, this$4.defaultMathContext$1))
    } else {
      return false
    }
  };
  toBigIntExact__s_Option() {
    if (this.isWhole__Z()) {
      try {
        return new $c_s_Some().init___O(new $c_s_math_BigInt().init___Ljava_math_BigInteger(this.bigDecimal$3.toBigIntegerExact__Ljava_math_BigInteger()))
      } catch (e) {
        if ($is_jl_ArithmeticException(e)) {
          return $m_s_None$()
        } else {
          throw e
        }
      }
    } else {
      return $m_s_None$()
    }
  };
  shortValue__S() {
    return ((this.bigDecimal$3.intValue__I() << 16) >> 16)
  };
  doubleValue__D() {
    return this.bigDecimal$3.doubleValue__D()
  };
  hashCode__I() {
    if ((this.computedHashCode$3 === 1565550863)) {
      this.computeHashCode__p3__V()
    };
    return this.computedHashCode$3
  };
  intValue__I() {
    return this.bigDecimal$3.intValue__I()
  };
  isValidLong__Z() {
    try {
      const this$1 = this.bigDecimal$3;
      this$1.valueExact__p2__I__J(64);
      return true
    } catch (e) {
      if ($is_jl_ArithmeticException(e)) {
        return false
      } else {
        throw e
      }
    }
  };
  floatValue__F() {
    return this.bigDecimal$3.floatValue__F()
  };
  equals__s_math_BigDecimal__Z(that) {
    return (this.bigDecimal$3.compareTo__Ljava_math_BigDecimal__I(that.bigDecimal$3) === 0)
  };
}
const $is_s_math_BigDecimal = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_BigDecimal)))
});
const $isArrayOf_s_math_BigDecimal = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_BigDecimal)))
});
const $d_s_math_BigDecimal = new $TypeData().initClass({
  s_math_BigDecimal: 0
}, false, "scala.math.BigDecimal", {
  s_math_BigDecimal: 1,
  s_math_ScalaNumber: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_math_ScalaNumericConversions: 1,
  s_math_ScalaNumericAnyConversions: 1,
  s_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_math_BigDecimal.prototype.$classData = $d_s_math_BigDecimal;
class $c_s_math_BigInt extends $c_s_math_ScalaNumber {
  constructor() {
    super();
    this.bigInteger$3 = null
  };
  isValidInt__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt((-2147483648));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(2147483647);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  longValue__J() {
    return this.bigInteger$3.longValue__J()
  };
  isValidShort__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt((-32768));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(32767);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  byteValue__B() {
    return ((this.bigInteger$3.intValue__I() << 24) >> 24)
  };
  equals__O__Z(that) {
    if ($is_s_math_BigInt(that)) {
      const x2 = that;
      return this.equals__s_math_BigInt__Z(x2)
    } else if ($is_s_math_BigDecimal(that)) {
      const x3 = that;
      return x3.equals__O__Z(this)
    } else if (((typeof that) === "number")) {
      const x4 = (+that);
      if (this.isValidDouble__Z()) {
        const this$1 = this.bigInteger$3;
        return ($m_jl_Double$().parseDouble__T__D($m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1)) === x4)
      } else {
        return false
      }
    } else if ($isFloat(that)) {
      const x5 = (+that);
      if (this.isValidFloat__Z()) {
        const this$2 = this.bigInteger$3;
        const s = $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$2);
        return ($fround($m_jl_Double$().parseDouble__T__D(s)) === x5)
      } else {
        return false
      }
    } else {
      return (this.isValidLong__Z() && $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveEquals__O__Z(this, that))
    }
  };
  equals__s_math_BigInt__Z(that) {
    return (this.bigInteger$3.compareTo__Ljava_math_BigInteger__I(that.bigInteger$3) === 0)
  };
  bitLengthOverflow__p3__Z() {
    const shifted = this.bigInteger$3.shiftRight__I__Ljava_math_BigInteger(2147483647);
    return ((shifted.sign$2 !== 0) && (!shifted.equals__O__Z($m_s_math_BigInt$().scala$math$BigInt$$minusOne$1)))
  };
  isValidDouble__Z() {
    const this$1 = this.bigInteger$3;
    const bitLen = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(this$1);
    let jsx$1;
    if ((bitLen <= 53)) {
      jsx$1 = true
    } else {
      const lowest = this.bigInteger$3.getLowestSetBit__I();
      jsx$1 = (((bitLen <= 1024) && (lowest >= (((-53) + bitLen) | 0))) && (lowest < 1024))
    };
    if (jsx$1) {
      return (!this.bitLengthOverflow__p3__Z())
    } else {
      return false
    }
  };
  isValidChar__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt(0);
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(65535);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  toString__T() {
    const this$1 = this.bigInteger$3;
    return $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1)
  };
  compareTo__O__I(that) {
    const that$1 = that;
    return this.bigInteger$3.compareTo__Ljava_math_BigInteger__I(that$1.bigInteger$3)
  };
  isValidByte__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__I__s_math_BigInt((-128));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__I__s_math_BigInt(127);
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  compare__O__I(that) {
    const that$1 = that;
    return this.bigInteger$3.compareTo__Ljava_math_BigInteger__I(that$1.bigInteger$3)
  };
  underlying__O() {
    return this.bigInteger$3
  };
  isValidFloat__Z() {
    const this$1 = this.bigInteger$3;
    const bitLen = $m_Ljava_math_BitLevel$().bitLength__Ljava_math_BigInteger__I(this$1);
    let jsx$1;
    if ((bitLen <= 24)) {
      jsx$1 = true
    } else {
      const lowest = this.bigInteger$3.getLowestSetBit__I();
      jsx$1 = (((bitLen <= 128) && (lowest >= (((-24) + bitLen) | 0))) && (lowest < 128))
    };
    if (jsx$1) {
      return (!this.bitLengthOverflow__p3__Z())
    } else {
      return false
    }
  };
  shortValue__S() {
    return ((this.bigInteger$3.intValue__I() << 16) >> 16)
  };
  doubleValue__D() {
    const this$1 = this.bigInteger$3;
    return $m_jl_Double$().parseDouble__T__D($m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1))
  };
  hashCode__I() {
    return (this.isValidLong__Z() ? $f_s_math_ScalaNumericAnyConversions__unifiedPrimitiveHashcode__I(this) : $m_sr_Statics$().anyHash__O__I(this.bigInteger$3))
  };
  intValue__I() {
    return this.bigInteger$3.intValue__I()
  };
  init___Ljava_math_BigInteger(bigInteger) {
    this.bigInteger$3 = bigInteger;
    return this
  };
  isValidLong__Z() {
    const this$1 = $m_s_math_BigInt$();
    const that = this$1.apply__J__s_math_BigInt(new $c_sjsr_RuntimeLong().init___I__I(0, (-2147483648)));
    if ($f_s_math_Ordered__$$greater$eq__O__Z(this, that)) {
      const this$2 = $m_s_math_BigInt$();
      const that$1 = this$2.apply__J__s_math_BigInt(new $c_sjsr_RuntimeLong().init___I__I((-1), 2147483647));
      return $f_s_math_Ordered__$$less$eq__O__Z(this, that$1)
    } else {
      return false
    }
  };
  floatValue__F() {
    const this$1 = this.bigInteger$3;
    const s = $m_Ljava_math_Conversion$().toDecimalScaledString__Ljava_math_BigInteger__T(this$1);
    return $fround($m_jl_Double$().parseDouble__T__D(s))
  };
}
const $is_s_math_BigInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_BigInt)))
});
const $isArrayOf_s_math_BigInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_BigInt)))
});
const $d_s_math_BigInt = new $TypeData().initClass({
  s_math_BigInt: 0
}, false, "scala.math.BigInt", {
  s_math_BigInt: 1,
  s_math_ScalaNumber: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_math_ScalaNumericConversions: 1,
  s_math_ScalaNumericAnyConversions: 1,
  s_Serializable: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_s_math_BigInt.prototype.$classData = $d_s_math_BigInt;
class $c_s_reflect_ManifestFactory$BooleanManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Boolean";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_Z.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_Z.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$BooleanManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$BooleanManifest$: 0
}, false, "scala.reflect.ManifestFactory$BooleanManifest$", {
  s_reflect_ManifestFactory$BooleanManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$BooleanManifest$;
let $n_s_reflect_ManifestFactory$BooleanManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$BooleanManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$BooleanManifest$)) {
    $n_s_reflect_ManifestFactory$BooleanManifest$ = new $c_s_reflect_ManifestFactory$BooleanManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$BooleanManifest$
});
class $c_s_reflect_ManifestFactory$ByteManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Byte";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_B.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_B.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$ByteManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ByteManifest$: 0
}, false, "scala.reflect.ManifestFactory$ByteManifest$", {
  s_reflect_ManifestFactory$ByteManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ByteManifest$;
let $n_s_reflect_ManifestFactory$ByteManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$ByteManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$ByteManifest$)) {
    $n_s_reflect_ManifestFactory$ByteManifest$ = new $c_s_reflect_ManifestFactory$ByteManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ByteManifest$
});
class $c_s_reflect_ManifestFactory$CharManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Char";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_C.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_C.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$CharManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$CharManifest$: 0
}, false, "scala.reflect.ManifestFactory$CharManifest$", {
  s_reflect_ManifestFactory$CharManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$CharManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$CharManifest$;
let $n_s_reflect_ManifestFactory$CharManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$CharManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$CharManifest$)) {
    $n_s_reflect_ManifestFactory$CharManifest$ = new $c_s_reflect_ManifestFactory$CharManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$CharManifest$
});
class $c_s_reflect_ManifestFactory$DoubleManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Double";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_D.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_D.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$DoubleManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$DoubleManifest$: 0
}, false, "scala.reflect.ManifestFactory$DoubleManifest$", {
  s_reflect_ManifestFactory$DoubleManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$DoubleManifest$;
let $n_s_reflect_ManifestFactory$DoubleManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$DoubleManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$DoubleManifest$)) {
    $n_s_reflect_ManifestFactory$DoubleManifest$ = new $c_s_reflect_ManifestFactory$DoubleManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$DoubleManifest$
});
class $c_s_reflect_ManifestFactory$FloatManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Float";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_F.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_F.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$FloatManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$FloatManifest$: 0
}, false, "scala.reflect.ManifestFactory$FloatManifest$", {
  s_reflect_ManifestFactory$FloatManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$FloatManifest$;
let $n_s_reflect_ManifestFactory$FloatManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$FloatManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$FloatManifest$)) {
    $n_s_reflect_ManifestFactory$FloatManifest$ = new $c_s_reflect_ManifestFactory$FloatManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$FloatManifest$
});
class $c_s_reflect_ManifestFactory$IntManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Int";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_I.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_I.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$IntManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$IntManifest$: 0
}, false, "scala.reflect.ManifestFactory$IntManifest$", {
  s_reflect_ManifestFactory$IntManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$IntManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$IntManifest$;
let $n_s_reflect_ManifestFactory$IntManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$IntManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$IntManifest$)) {
    $n_s_reflect_ManifestFactory$IntManifest$ = new $c_s_reflect_ManifestFactory$IntManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$IntManifest$
});
class $c_s_reflect_ManifestFactory$LongManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Long";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_J.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_J.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$LongManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$LongManifest$: 0
}, false, "scala.reflect.ManifestFactory$LongManifest$", {
  s_reflect_ManifestFactory$LongManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$LongManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$LongManifest$;
let $n_s_reflect_ManifestFactory$LongManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$LongManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$LongManifest$)) {
    $n_s_reflect_ManifestFactory$LongManifest$ = new $c_s_reflect_ManifestFactory$LongManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$LongManifest$
});
class $c_s_reflect_ManifestFactory$PhantomManifest extends $c_s_reflect_ManifestFactory$ClassTypeManifest {
  constructor() {
    super();
    this.toString$2 = null
  };
  equals__O__Z(that) {
    return (this === that)
  };
  toString__T() {
    return this.toString$2
  };
  hashCode__I() {
    return $systemIdentityHashCode(this)
  };
}
class $c_s_reflect_ManifestFactory$ShortManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Short";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_S.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_S.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$ShortManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ShortManifest$: 0
}, false, "scala.reflect.ManifestFactory$ShortManifest$", {
  s_reflect_ManifestFactory$ShortManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ShortManifest$;
let $n_s_reflect_ManifestFactory$ShortManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$ShortManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$ShortManifest$)) {
    $n_s_reflect_ManifestFactory$ShortManifest$ = new $c_s_reflect_ManifestFactory$ShortManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ShortManifest$
});
class $c_s_reflect_ManifestFactory$UnitManifest$ extends $c_s_reflect_AnyValManifest {
  init___() {
    this.toString$1 = "Unit";
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_sr_BoxedUnit.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_V.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$UnitManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$UnitManifest$: 0
}, false, "scala.reflect.ManifestFactory$UnitManifest$", {
  s_reflect_ManifestFactory$UnitManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$UnitManifest$;
let $n_s_reflect_ManifestFactory$UnitManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$UnitManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$UnitManifest$)) {
    $n_s_reflect_ManifestFactory$UnitManifest$ = new $c_s_reflect_ManifestFactory$UnitManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$UnitManifest$
});
const $f_sc_IterableLike__sameElements__sc_GenIterable__Z = (function($thiz, that) {
  const these = $thiz.iterator__sc_Iterator();
  const those = that.iterator__sc_Iterator();
  while ((these.hasNext__Z() && those.hasNext__Z())) {
    if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(these.next__O(), those.next__O()))) {
      return false
    }
  };
  return ((!these.hasNext__Z()) && (!those.hasNext__Z()))
});
const $f_sc_IterableLike__isEmpty__Z = (function($thiz) {
  return (!$thiz.iterator__sc_Iterator().hasNext__Z())
});
const $f_sc_IterableLike__takeWhile__F1__O = (function($thiz, p) {
  const b = $thiz.newBuilder__scm_Builder();
  const it = $thiz.iterator__sc_Iterator();
  while (it.hasNext__Z()) {
    const x = it.next__O();
    if ((!(!(!p.apply__O__O(x))))) {
      return b.result__O()
    };
    b.$$plus$eq__O__scm_Builder(x)
  };
  return b.result__O()
});
const $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O = (function($thiz, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  const i = new $c_sr_IntRef().init___I(0);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, i$1) {
    return (function(x$2) {
      b$1.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(x$2, i$1.elem$1));
      i$1.elem$1 = ((1 + i$1.elem$1) | 0)
    })
  })($thiz, b, i)));
  return b.result__O()
});
const $f_sc_IterableLike__take__I__O = (function($thiz, n) {
  const b = $thiz.newBuilder__scm_Builder();
  if ((n <= 0)) {
    return b.result__O()
  } else {
    b.sizeHintBounded__I__sc_TraversableLike__V(n, $thiz);
    let i = 0;
    const it = $thiz.iterator__sc_Iterator();
    while (((i < n) && it.hasNext__Z())) {
      b.$$plus$eq__O__scm_Builder(it.next__O());
      i = ((1 + i) | 0)
    };
    return b.result__O()
  }
});
const $f_sc_IterableLike__drop__I__O = (function($thiz, n) {
  const b = $thiz.newBuilder__scm_Builder();
  const lo = ((n < 0) ? 0 : n);
  const delta = ((-lo) | 0);
  $f_scm_Builder__sizeHint__sc_TraversableLike__I__V(b, $thiz, delta);
  let i = 0;
  const it = $thiz.iterator__sc_Iterator();
  while (((i < n) && it.hasNext__Z())) {
    it.next__O();
    i = ((1 + i) | 0)
  };
  return b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(it).result__O()
});
const $f_sc_IterableLike__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  let i = start;
  const x = ((start + len) | 0);
  const that = $m_sr_ScalaRunTime$().array$undlength__O__I(xs);
  const end = ((x < that) ? x : that);
  const it = $thiz.iterator__sc_Iterator();
  while (((i < end) && it.hasNext__Z())) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, i, it.next__O());
    i = ((1 + i) | 0)
  }
});
const $f_sc_IterableLike__dropRight__I__O = (function($thiz, n) {
  const b = $thiz.newBuilder__scm_Builder();
  if ((n >= 0)) {
    const delta = ((-n) | 0);
    $f_scm_Builder__sizeHint__sc_TraversableLike__I__V(b, $thiz, delta)
  };
  const lead = $thiz.iterator__sc_Iterator().drop__I__sc_Iterator(n);
  const it = $thiz.iterator__sc_Iterator();
  while (lead.hasNext__Z()) {
    b.$$plus$eq__O__scm_Builder(it.next__O());
    lead.next__O()
  };
  return b.result__O()
});
const $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O = (function($thiz, that, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  const these = $thiz.iterator__sc_Iterator();
  const those = that.iterator__sc_Iterator();
  while ((these.hasNext__Z() && those.hasNext__Z())) {
    b.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O(these.next__O(), those.next__O()))
  };
  return b.result__O()
});
const $is_sc_IterableLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IterableLike)))
});
const $isArrayOf_sc_IterableLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IterableLike)))
});
const $is_sc_Traversable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Traversable)))
});
const $isArrayOf_sc_Traversable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Traversable)))
});
class $c_sci_List$ extends $c_scg_SeqFactory {
  constructor() {
    super();
    this.partialNotApplied$5 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sci_List$ = this;
    this.partialNotApplied$5 = new $c_sci_List$$anon$1().init___();
    return this
  };
  empty__sc_GenTraversable() {
    return $m_sci_Nil$()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ListBuffer().init___()
  };
}
const $d_sci_List$ = new $TypeData().initClass({
  sci_List$: 0
}, false, "scala.collection.immutable.List$", {
  sci_List$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_List$.prototype.$classData = $d_sci_List$;
let $n_sci_List$ = (void 0);
const $m_sci_List$ = (function() {
  if ((!$n_sci_List$)) {
    $n_sci_List$ = new $c_sci_List$().init___()
  };
  return $n_sci_List$
});
class $c_sci_Stream$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  from__I__I__sci_Stream(start, step) {
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, start$1, step$1) {
      return (function() {
        return $this.from__I__I__sci_Stream(((start$1 + step$1) | 0), step$1)
      })
    })(this, start, step));
    return new $c_sci_Stream$Cons().init___O__F0(start, tl)
  };
  filteredTail__sci_Stream__F1__Z__sci_Stream$Cons(stream, p, isFlipped) {
    const hd = stream.head__O();
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, stream$1, p$1, isFlipped$1) {
      return (function() {
        return stream$1.tail__O().filterImpl__F1__Z__sci_Stream(p$1, isFlipped$1)
      })
    })(this, stream, p, isFlipped));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  };
  empty__sc_GenTraversable() {
    return $m_sci_Stream$Empty$()
  };
  collectedTail__O__sci_Stream__s_PartialFunction__scg_CanBuildFrom__sci_Stream$Cons(head, stream, pf, bf) {
    const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, stream$1, pf$1, bf$1) {
      return (function() {
        return stream$1.tail__O().collect__s_PartialFunction__scg_CanBuildFrom__O(pf$1, bf$1)
      })
    })(this, stream, pf, bf));
    return new $c_sci_Stream$Cons().init___O__F0(head, tl)
  };
  newBuilder__scm_Builder() {
    return new $c_sci_Stream$StreamBuilder().init___()
  };
}
const $d_sci_Stream$ = new $TypeData().initClass({
  sci_Stream$: 0
}, false, "scala.collection.immutable.Stream$", {
  sci_Stream$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$.prototype.$classData = $d_sci_Stream$;
let $n_sci_Stream$ = (void 0);
const $m_sci_Stream$ = (function() {
  if ((!$n_sci_Stream$)) {
    $n_sci_Stream$ = new $c_sci_Stream$().init___()
  };
  return $n_sci_Stream$
});
class $c_scm_ArrayBuffer$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuffer().init___()
  };
}
const $d_scm_ArrayBuffer$ = new $TypeData().initClass({
  scm_ArrayBuffer$: 0
}, false, "scala.collection.mutable.ArrayBuffer$", {
  scm_ArrayBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer$.prototype.$classData = $d_scm_ArrayBuffer$;
let $n_scm_ArrayBuffer$ = (void 0);
const $m_scm_ArrayBuffer$ = (function() {
  if ((!$n_scm_ArrayBuffer$)) {
    $n_scm_ArrayBuffer$ = new $c_scm_ArrayBuffer$().init___()
  };
  return $n_scm_ArrayBuffer$
});
class $c_scm_ArraySeq$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    const this$1 = new $c_scm_ArrayBuffer().init___();
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(buf$2) {
        const buf = buf$2;
        const result = new $c_scm_ArraySeq().init___I(buf.size0$6);
        const xs = result.array$5;
        $f_sc_TraversableOnce__copyToArray__O__I__V(buf, xs, 0);
        return result
      })
    })(this));
    return new $c_scm_Builder$$anon$1().init___scm_Builder__F1(this$1, f)
  };
}
const $d_scm_ArraySeq$ = new $TypeData().initClass({
  scm_ArraySeq$: 0
}, false, "scala.collection.mutable.ArraySeq$", {
  scm_ArraySeq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArraySeq$.prototype.$classData = $d_scm_ArraySeq$;
let $n_scm_ArraySeq$ = (void 0);
const $m_scm_ArraySeq$ = (function() {
  if ((!$n_scm_ArraySeq$)) {
    $n_scm_ArraySeq$ = new $c_scm_ArraySeq$().init___()
  };
  return $n_scm_ArraySeq$
});
class $c_scm_ListBuffer$ extends $c_scg_SeqFactory {
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    return this
  };
  newBuilder__scm_Builder() {
    return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___())
  };
}
const $d_scm_ListBuffer$ = new $TypeData().initClass({
  scm_ListBuffer$: 0
}, false, "scala.collection.mutable.ListBuffer$", {
  scm_ListBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer$.prototype.$classData = $d_scm_ListBuffer$;
let $n_scm_ListBuffer$ = (void 0);
const $m_scm_ListBuffer$ = (function() {
  if ((!$n_scm_ListBuffer$)) {
    $n_scm_ListBuffer$ = new $c_scm_ListBuffer$().init___()
  };
  return $n_scm_ListBuffer$
});
class $c_Lamf_client_model_document_AnnotationTypeDeclaration extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_AnnotationTypeDeclaration.prototype.init___Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment.call(this, new $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "AnnotationTypeDeclaration"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_AnnotationTypeDeclaration(x$1)) {
      const AnnotationTypeDeclaration$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = AnnotationTypeDeclaration$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  init___Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_AnnotationTypeDeclaration = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_AnnotationTypeDeclaration)))
});
const $isArrayOf_Lamf_client_model_document_AnnotationTypeDeclaration = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_AnnotationTypeDeclaration)))
});
const $d_Lamf_client_model_document_AnnotationTypeDeclaration = new $TypeData().initClass({
  Lamf_client_model_document_AnnotationTypeDeclaration: 0
}, false, "amf.client.model.document.AnnotationTypeDeclaration", {
  Lamf_client_model_document_AnnotationTypeDeclaration: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_AnnotationTypeDeclaration.prototype.$classData = $d_Lamf_client_model_document_AnnotationTypeDeclaration;
class $c_Lamf_client_model_document_DataType extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DataType.prototype.init___Lamf_plugins_document_webapi_model_DataTypeFragment.call(this, new $c_Lamf_plugins_document_webapi_model_DataTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DataType"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_DataType(x$1)) {
      const DataType$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DataType$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lamf_plugins_document_webapi_model_DataTypeFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_DataType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_DataType)))
});
const $isArrayOf_Lamf_client_model_document_DataType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_DataType)))
});
const $d_Lamf_client_model_document_DataType = new $TypeData().initClass({
  Lamf_client_model_document_DataType: 0
}, false, "amf.client.model.document.DataType", {
  Lamf_client_model_document_DataType: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_DataType.prototype.$classData = $d_Lamf_client_model_document_DataType;
class $c_Lamf_client_model_document_Dialect extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  productPrefix__T() {
    return "Dialect"
  };
  documents__Lamf_client_model_domain_DocumentsModel() {
    const this$1 = this.$$undinternal$1;
    return new $c_Lamf_client_model_domain_DocumentsModel().init___Lamf_plugins_document_vocabularies_model_domain_DocumentsModel(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1))
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_Dialect.prototype.init___Lamf_plugins_document_vocabularies_model_document_Dialect.call(this, new $c_Lamf_plugins_document_vocabularies_model_document_Dialect().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  name__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withRaw__T__O(raw) {
    return $f_Lamf_client_model_document_BaseUnit__withRaw__T__Lamf_client_model_document_BaseUnit(this, raw)
  };
  $$js$exported$meth$findById__T__O(id) {
    return $f_Lamf_client_model_document_BaseUnit__findById__T__sjs_js_UndefOr(this, id)
  };
  $$js$exported$meth$withReferences__sjs_js_Array__O(references) {
    return $f_Lamf_client_model_document_BaseUnit__withReferences__sjs_js_Array__Lamf_client_model_document_BaseUnit(this, references)
  };
  $$js$exported$meth$references__O() {
    return $f_Lamf_client_model_document_BaseUnit__references__sjs_js_Array(this)
  };
  $$js$exported$meth$name__O() {
    return this.name__Lamf_client_model_StrField()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_Dialect(x$1)) {
      const Dialect$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Dialect$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$isFragmentHeader__T__O(header) {
    return this.$$undinternal$1.isFragmentHeader__T__Z(header)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$meth$withDocuments__Lamf_client_model_domain_DocumentsModel__O(documentsMapping) {
    return this.withDocuments__Lamf_client_model_domain_DocumentsModel__Lamf_client_model_document_Dialect(documentsMapping)
  };
  allHeaders__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = this.$$undinternal$1.allHeaders__sc_Seq();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$prop$location__O() {
    const this$1 = this.$$undinternal$1;
    return this$1.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$allHeaders__O() {
    return this.allHeaders__sjs_js_Array()
  };
  $$js$exported$meth$withDeclares__sjs_js_Array__O(declares) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclares__sjs_js_Array__Lamf_client_model_document_DeclaresModel(this, declares)
  };
  $$js$exported$prop$fragmentHeaders__O() {
    return this.fragmentHeaders__sjs_js_Array()
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$encodes__O() {
    return $f_Lamf_client_model_document_EncodesModel__encodes__Lamf_client_model_domain_DomainElement(this)
  };
  $$js$exported$meth$nameAndVersion__O() {
    return this.$$undinternal$1.nameAndVersion__T()
  };
  $$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(encoded) {
    return $f_Lamf_client_model_document_EncodesModel__withEncodes__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_EncodesModel(this, encoded)
  };
  fragmentHeaders__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = this.$$undinternal$1.fragmentHeaders__sc_Seq();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$meth$version__O() {
    return this.version__Lamf_client_model_StrField()
  };
  $$js$exported$meth$findByType__T__O(typeId) {
    return $f_Lamf_client_model_document_BaseUnit__findByType__T__sjs_js_Array(this, typeId)
  };
  $$js$exported$meth$isLibraryHeader__T__O(header) {
    return this.$$undinternal$1.isLibraryHeader__T__Z(header)
  };
  $$js$exported$meth$withLocation__T__O(location) {
    return $f_Lamf_client_model_document_BaseUnit__withLocation__T__Lamf_client_model_document_BaseUnit(this, location)
  };
  libraryHeaders__sjs_js_Array() {
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const from = this.$$undinternal$1.libraryHeaders__sc_Seq();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$1, from, m).asClient__O()
  };
  $$js$exported$prop$raw__O() {
    return $f_Lamf_client_model_document_BaseUnit__raw__sjs_js_UndefOr(this)
  };
  $$js$exported$meth$documents__O() {
    return this.documents__Lamf_client_model_domain_DocumentsModel()
  };
  withVersion__T__Lamf_client_model_document_Dialect(version) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, version);
    return this
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  withName__T__Lamf_client_model_document_Dialect(name) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    return this
  };
  withExternals__sjs_js_Array__Lamf_client_model_document_Dialect(externals) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    const externals$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, externals, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, externals$1);
    return this
  };
  $$js$exported$meth$withVersion__T__O(version) {
    return this.withVersion__T__Lamf_client_model_document_Dialect(version)
  };
  $$js$exported$meth$withUsage__T__O(usage) {
    return $f_Lamf_client_model_document_BaseUnit__withUsage__T__Lamf_client_model_document_BaseUnit(this, usage)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  version__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
    $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$meth$withExternals__sjs_js_Array__O(externals) {
    return this.withExternals__sjs_js_Array__Lamf_client_model_document_Dialect(externals)
  };
  $$js$exported$prop$declares__O() {
    return $f_Lamf_client_model_document_DeclaresModel__declares__sjs_js_Array(this)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$libraryHeaders__O() {
    return this.libraryHeaders__sjs_js_Array()
  };
  $$js$exported$meth$withName__T__O(name) {
    return this.withName__T__Lamf_client_model_document_Dialect(name)
  };
  withDocuments__Lamf_client_model_domain_DocumentsModel__Lamf_client_model_document_Dialect(documentsMapping) {
    const this$1 = this.$$undinternal$1;
    const documentsMapping$1 = documentsMapping.$$undinternal$1;
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, documentsMapping$1);
    return this
  };
  $$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(declared) {
    return $f_Lamf_client_model_document_DeclaresModel__withDeclaredElement__Lamf_client_model_domain_DomainElement__Lamf_client_model_document_DeclaresModel(this, declared)
  };
  $$js$exported$prop$usage__O() {
    return $f_Lamf_client_model_document_BaseUnit__usage__Lamf_client_model_StrField(this)
  };
  $$js$exported$prop$header__O() {
    return this.$$undinternal$1.header__T()
  };
  $$js$exported$prop$externals__O() {
    return this.externals__sjs_js_Array()
  };
  externals__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_VocabulariesClientConverter$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Externals$1);
    const m = $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  "findByType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findByType__T__O(prep0)
  };
  "findById"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$findById__T__O(prep0)
  };
  "withUsage"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withUsage__T__O(prep0)
  };
  "withLocation"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLocation__T__O(prep0)
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withReferences"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withReferences__sjs_js_Array__O(prep0)
  };
  get "usage"() {
    return this.$$js$exported$prop$usage__O()
  };
  get "location"() {
    return this.$$js$exported$prop$location__O()
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  "references"() {
    return this.$$js$exported$meth$references__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  "withEncodes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withEncodes__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "encodes"() {
    return this.$$js$exported$prop$encodes__O()
  };
  "withDeclares"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclares__sjs_js_Array__O(prep0)
  };
  "withDeclaredElement"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDeclaredElement__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "declares"() {
    return this.$$js$exported$prop$declares__O()
  };
  "withDocuments"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDocuments__Lamf_client_model_domain_DocumentsModel__O(prep0)
  };
  "withExternals"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExternals__sjs_js_Array__O(prep0)
  };
  "withVersion"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withVersion__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  "documents"() {
    return this.$$js$exported$meth$documents__O()
  };
  get "externals"() {
    return this.$$js$exported$prop$externals__O()
  };
  get "allHeaders"() {
    return this.$$js$exported$prop$allHeaders__O()
  };
  get "fragmentHeaders"() {
    return this.$$js$exported$prop$fragmentHeaders__O()
  };
  get "libraryHeaders"() {
    return this.$$js$exported$prop$libraryHeaders__O()
  };
  "isFragmentHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$isFragmentHeader__T__O(prep0)
  };
  "isLibraryHeader"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$isLibraryHeader__T__O(prep0)
  };
  get "header"() {
    return this.$$js$exported$prop$header__O()
  };
  "nameAndVersion"() {
    return this.$$js$exported$meth$nameAndVersion__O()
  };
  "version"() {
    return this.$$js$exported$meth$version__O()
  };
  "name"() {
    return this.$$js$exported$meth$name__O()
  };
}
const $is_Lamf_client_model_document_Dialect = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_Dialect)))
});
const $isArrayOf_Lamf_client_model_document_Dialect = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_Dialect)))
});
const $d_Lamf_client_model_document_Dialect = new $TypeData().initClass({
  Lamf_client_model_document_Dialect: 0
}, false, "amf.client.model.document.Dialect", {
  Lamf_client_model_document_Dialect: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  Lamf_client_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Dialect.prototype.$classData = $d_Lamf_client_model_document_Dialect;
class $c_Lamf_client_model_document_DocumentationItem extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_DocumentationItem.prototype.init___Lamf_plugins_document_webapi_model_DocumentationItemFragment.call(this, new $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "DocumentationItem"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_DocumentationItem(x$1)) {
      const DocumentationItem$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = DocumentationItem$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_model_DocumentationItemFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_DocumentationItem = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_DocumentationItem)))
});
const $isArrayOf_Lamf_client_model_document_DocumentationItem = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_DocumentationItem)))
});
const $d_Lamf_client_model_document_DocumentationItem = new $TypeData().initClass({
  Lamf_client_model_document_DocumentationItem: 0
}, false, "amf.client.model.document.DocumentationItem", {
  Lamf_client_model_document_DocumentationItem: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_DocumentationItem.prototype.$classData = $d_Lamf_client_model_document_DocumentationItem;
class $c_Lamf_client_model_document_ExternalFragment extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_ExternalFragment.prototype.init___Lamf_core_model_document_ExternalFragment.call(this, new $c_Lamf_core_model_document_ExternalFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ExternalFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_ExternalFragment(x$1)) {
      const ExternalFragment$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ExternalFragment$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  init___Lamf_core_model_document_ExternalFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_ExternalFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_ExternalFragment)))
});
const $isArrayOf_Lamf_client_model_document_ExternalFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_ExternalFragment)))
});
const $d_Lamf_client_model_document_ExternalFragment = new $TypeData().initClass({
  Lamf_client_model_document_ExternalFragment: 0
}, false, "amf.client.model.document.ExternalFragment", {
  Lamf_client_model_document_ExternalFragment: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_ExternalFragment.prototype.$classData = $d_Lamf_client_model_document_ExternalFragment;
class $c_Lamf_client_model_document_NamedExample extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_NamedExample.prototype.init___Lamf_plugins_document_webapi_model_NamedExampleFragment.call(this, new $c_Lamf_plugins_document_webapi_model_NamedExampleFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "NamedExample"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_NamedExample(x$1)) {
      const NamedExample$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = NamedExample$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_plugins_document_webapi_model_NamedExampleFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
}
const $is_Lamf_client_model_document_NamedExample = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_NamedExample)))
});
const $isArrayOf_Lamf_client_model_document_NamedExample = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_NamedExample)))
});
const $d_Lamf_client_model_document_NamedExample = new $TypeData().initClass({
  Lamf_client_model_document_NamedExample: 0
}, false, "amf.client.model.document.NamedExample", {
  Lamf_client_model_document_NamedExample: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_NamedExample.prototype.$classData = $d_Lamf_client_model_document_NamedExample;
class $c_Lamf_client_model_document_PayloadFragment extends $c_Lamf_client_model_document_Fragment {
  productPrefix__T() {
    return "PayloadFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_PayloadFragment(x$1)) {
      const PayloadFragment$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = PayloadFragment$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  init___Lamf_core_model_document_PayloadFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_client_model_domain_DataNode__T(dataNode, mediaType) {
    $c_Lamf_client_model_document_PayloadFragment.prototype.init___Lamf_core_model_document_PayloadFragment.call(this, $m_Lamf_core_model_document_PayloadFragment$().apply__Lamf_core_model_domain_DataNode__T__Lamf_core_model_document_PayloadFragment(dataNode.$$undinternal__Lamf_core_model_domain_DataNode(), mediaType));
    return this
  };
}
const $is_Lamf_client_model_document_PayloadFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_PayloadFragment)))
});
const $isArrayOf_Lamf_client_model_document_PayloadFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_PayloadFragment)))
});
const $d_Lamf_client_model_document_PayloadFragment = new $TypeData().initClass({
  Lamf_client_model_document_PayloadFragment: 0
}, false, "amf.client.model.document.PayloadFragment", {
  Lamf_client_model_document_PayloadFragment: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_PayloadFragment.prototype.$classData = $d_Lamf_client_model_document_PayloadFragment;
class $c_Lamf_client_model_document_ResourceTypeFragment extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_ResourceTypeFragment.prototype.init___Lamf_plugins_document_webapi_model_ResourceTypeFragment.call(this, new $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ResourceTypeFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_ResourceTypeFragment(x$1)) {
      const ResourceTypeFragment$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ResourceTypeFragment$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  init___Lamf_plugins_document_webapi_model_ResourceTypeFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_ResourceTypeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_ResourceTypeFragment)))
});
const $isArrayOf_Lamf_client_model_document_ResourceTypeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_ResourceTypeFragment)))
});
const $d_Lamf_client_model_document_ResourceTypeFragment = new $TypeData().initClass({
  Lamf_client_model_document_ResourceTypeFragment: 0
}, false, "amf.client.model.document.ResourceTypeFragment", {
  Lamf_client_model_document_ResourceTypeFragment: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_ResourceTypeFragment.prototype.$classData = $d_Lamf_client_model_document_ResourceTypeFragment;
class $c_Lamf_client_model_document_SecuritySchemeFragment extends $c_Lamf_client_model_document_Fragment {
  init___Lamf_plugins_document_webapi_model_SecuritySchemeFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_SecuritySchemeFragment.prototype.init___Lamf_plugins_document_webapi_model_SecuritySchemeFragment.call(this, new $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "SecuritySchemeFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_SecuritySchemeFragment(x$1)) {
      const SecuritySchemeFragment$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = SecuritySchemeFragment$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_SecuritySchemeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_SecuritySchemeFragment)))
});
const $isArrayOf_Lamf_client_model_document_SecuritySchemeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_SecuritySchemeFragment)))
});
const $d_Lamf_client_model_document_SecuritySchemeFragment = new $TypeData().initClass({
  Lamf_client_model_document_SecuritySchemeFragment: 0
}, false, "amf.client.model.document.SecuritySchemeFragment", {
  Lamf_client_model_document_SecuritySchemeFragment: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_SecuritySchemeFragment.prototype.$classData = $d_Lamf_client_model_document_SecuritySchemeFragment;
class $c_Lamf_client_model_document_TraitFragment extends $c_Lamf_client_model_document_Fragment {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_TraitFragment.prototype.init___Lamf_plugins_document_webapi_model_TraitFragment.call(this, new $c_Lamf_plugins_document_webapi_model_TraitFragment().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "TraitFragment"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_TraitFragment(x$1)) {
      const TraitFragment$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = TraitFragment$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_document_webapi_model_TraitFragment(_internal) {
    $c_Lamf_client_model_document_Fragment.prototype.init___Lamf_core_model_document_Fragment.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_Fragment() {
    return this.$$undinternal$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_TraitFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_TraitFragment)))
});
const $isArrayOf_Lamf_client_model_document_TraitFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_TraitFragment)))
});
const $d_Lamf_client_model_document_TraitFragment = new $TypeData().initClass({
  Lamf_client_model_document_TraitFragment: 0
}, false, "amf.client.model.document.TraitFragment", {
  Lamf_client_model_document_TraitFragment: 1,
  Lamf_client_model_document_Fragment: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_TraitFragment.prototype.$classData = $d_Lamf_client_model_document_TraitFragment;
class $c_Lamf_client_model_domain_ResourceType extends $c_Lamf_client_model_domain_AbstractDeclaration {
  $$js$exported$meth$asEndpoint__Lamf_client_model_document_BaseUnit__T__O(unit, profile) {
    return this.asEndpoint__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_domain_EndPoint(unit, profile)
  };
  productPrefix__T() {
    return "ResourceType"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_ResourceType.prototype.init___Lamf_plugins_domain_webapi_models_templates_ResourceType.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__sjs_js_UndefOr()
  };
  productArity__I() {
    return 1
  };
  init___Lamf_plugins_domain_webapi_models_templates_ResourceType(_internal) {
    $c_Lamf_client_model_domain_AbstractDeclaration.prototype.init___Lamf_core_model_domain_templates_AbstractDeclaration.call(this, _internal);
    return this
  };
  asEndpoint__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_domain_EndPoint(unit, profile) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.asEndpoint__Lamf_core_model_document_BaseUnit__T__Lamf_plugins_domain_webapi_models_EndPoint(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), profile);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$();
    return m.asClient__Lamf_plugins_domain_webapi_models_EndPoint__Lamf_client_model_domain_EndPoint(from)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ResourceType(x$1)) {
      const ResourceType$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ResourceType$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  linkTarget__sjs_js_UndefOr() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_ResourceType()
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_ResourceType()
  };
  linkCopy__Lamf_client_model_domain_ResourceType() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$6 = new $c_Lamf_plugins_domain_webapi_models_templates_ResourceType().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
    $m_Lamf_client_convert_WebApiClientConverters$().ResourceTypeMatcher__Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$();
    return new $c_Lamf_client_model_domain_ResourceType().init___Lamf_plugins_domain_webapi_models_templates_ResourceType(from)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.$$undinternal$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$asEndpoint$default$2__T() {
    return $m_Lamf_ProfileNames$().RAML$1
  };
  linkCopy__Lamf_client_model_domain_AbstractDeclaration() {
    return this.linkCopy__Lamf_client_model_domain_ResourceType()
  };
  "asEndpoint"(arg$1, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$asEndpoint$default$2__T() : arg$rest[0]);
    return this.$$js$exported$meth$asEndpoint__Lamf_client_model_document_BaseUnit__T__O(prep0, prep1)
  };
}
const $is_Lamf_client_model_domain_ResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ResourceType)))
});
const $isArrayOf_Lamf_client_model_domain_ResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ResourceType)))
});
const $d_Lamf_client_model_domain_ResourceType = new $TypeData().initClass({
  Lamf_client_model_domain_ResourceType: 0
}, false, "amf.client.model.domain.ResourceType", {
  Lamf_client_model_domain_ResourceType: 1,
  Lamf_client_model_domain_AbstractDeclaration: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ResourceType.prototype.$classData = $d_Lamf_client_model_domain_ResourceType;
class $c_Lamf_client_model_domain_Trait extends $c_Lamf_client_model_domain_AbstractDeclaration {
  productPrefix__T() {
    return "Trait"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    $c_Lamf_client_model_domain_Trait.prototype.init___Lamf_plugins_domain_webapi_models_templates_Trait.call(this, new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return this.linkTarget__sjs_js_UndefOr()
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_Trait(x$1)) {
      const Trait$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Trait$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_client_model_domain_Trait() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$6 = new $c_Lamf_plugins_domain_webapi_models_templates_Trait().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$6, value);
    $m_Lamf_client_convert_WebApiClientConverters$().TraitMatcher__Lamf_client_convert_TraitConverter$TraitMatcher$();
    return new $c_Lamf_client_model_domain_Trait().init___Lamf_plugins_domain_webapi_models_templates_Trait(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$meth$asOperation__Lamf_client_model_document_BaseUnit__T__O(unit, profile) {
    return this.asOperation__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_domain_Operation(unit, profile)
  };
  linkTarget__sjs_js_UndefOr() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalOptionOps().init___Lamf_client_convert_CollectionConverter__s_Option__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  init___Lamf_plugins_domain_webapi_models_templates_Trait(_internal) {
    $c_Lamf_client_model_domain_AbstractDeclaration.prototype.init___Lamf_core_model_domain_templates_AbstractDeclaration.call(this, _internal);
    return this
  };
  asOperation__Lamf_client_model_document_BaseUnit__T__Lamf_client_model_domain_Operation(unit, profile) {
    return new $c_Lamf_client_model_domain_Operation().init___Lamf_plugins_domain_webapi_models_Operation(this.$$undinternal$1.asOperation__Lamf_core_model_document_BaseUnit__T__Lamf_plugins_domain_webapi_models_Operation(unit.$$undinternal__Lamf_core_model_document_BaseUnit(), profile))
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_Trait()
  };
  $$js$exported$meth$asOperation$default$2__T() {
    return $m_Lamf_ProfileNames$().RAML$1
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_Trait()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$undinternal__Lamf_core_model_domain_templates_AbstractDeclaration() {
    return this.$$undinternal$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AbstractDeclaration() {
    return this.linkCopy__Lamf_client_model_domain_Trait()
  };
  "asOperation"(arg$1, ...arg$rest) {
    const prep0 = arg$1;
    const prep1 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$asOperation$default$2__T() : arg$rest[0]);
    return this.$$js$exported$meth$asOperation__Lamf_client_model_document_BaseUnit__T__O(prep0, prep1)
  };
}
const $is_Lamf_client_model_domain_Trait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_Trait)))
});
const $isArrayOf_Lamf_client_model_domain_Trait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_Trait)))
});
const $d_Lamf_client_model_domain_Trait = new $TypeData().initClass({
  Lamf_client_model_domain_Trait: 0
}, false, "amf.client.model.domain.Trait", {
  Lamf_client_model_domain_Trait: 1,
  Lamf_client_model_domain_AbstractDeclaration: 1,
  O: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_Trait.prototype.$classData = $d_Lamf_client_model_domain_Trait;
class $c_Lamf_core_model_document_Module extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Module"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_Module(x$1)) {
      const Module$1 = x$1;
      const x = this.fields$1;
      const x$2 = Module$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Module$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_ModuleModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  componentId__T() {
    return ""
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_ModuleModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_Module = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_Module)))
});
const $isArrayOf_Lamf_core_model_document_Module = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_Module)))
});
const $d_Lamf_core_model_document_Module = new $TypeData().initClass({
  Lamf_core_model_document_Module: 0
}, false, "amf.core.model.document.Module", {
  Lamf_core_model_document_Module: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_Module.prototype.$classData = $d_Lamf_core_model_document_Module;
class $c_Lamf_core_model_domain_extensions_CustomDomainProperty extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "CustomDomainProperty"
  };
  productArity__I() {
    return 2
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_CustomDomainProperty(x$1)) {
      const CustomDomainProperty$1 = x$1;
      const x = this.fields$1;
      const x$2 = CustomDomainProperty$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = CustomDomainProperty$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_CustomDomainProperty().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$()
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(parent) {
    if ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z()) {
      if (((parent.indexOf("#") | 0) !== (-1))) {
        const str = this.componentId__T();
        const this$5 = new $c_Lamf_core_utils_package$Strings().init___T(str);
        const this$6 = this$5.platform$1;
        const url = this$5.str$1;
        const value = ((parent + "/") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$6, url));
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
      } else {
        const str$1 = this.componentId__T();
        const this$8 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
        const this$9 = this$8.platform$1;
        const url$1 = this$8.str$1;
        const value$1 = ((parent + "#") + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$9, url$1));
        return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value$1)
      }
    } else {
      return this
    }
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1).option$1;
    let this$5;
    if (this$1.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$1 = arg1;
      const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(x$1);
      const this$4 = this$3.platform$1;
      const url = this$3.str$1;
      this$5 = new $c_s_Some().init___O($f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
    };
    return (this$5.isEmpty__Z() ? "" : this$5.get__O())
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  name__Lamf_core_model_StrField() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1)
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  refName__T() {
    return this.refName$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  afterResolve__V() {
    /*<skip>*/
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(this, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withName__T__Lamf_core_model_domain_NamedDomainElement(name) {
    const field = $m_Lamf_core_metamodel_domain_extensions_CustomDomainPropertyModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, name)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_extensions_CustomDomainProperty(parent)
  };
}
const $is_Lamf_core_model_domain_extensions_CustomDomainProperty = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_CustomDomainProperty)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_CustomDomainProperty = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_CustomDomainProperty)))
});
const $d_Lamf_core_model_domain_extensions_CustomDomainProperty = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_CustomDomainProperty: 0
}, false, "amf.core.model.domain.extensions.CustomDomainProperty", {
  Lamf_core_model_domain_extensions_CustomDomainProperty: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_CustomDomainProperty.prototype.$classData = $d_Lamf_core_model_domain_extensions_CustomDomainProperty;
class $c_Lamf_core_parser_Fields$AnyFieldImpl extends $c_O {
  constructor() {
    super();
    this.option$1 = null;
    this.annotations$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "AnyFieldImpl"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_parser_Fields$AnyFieldImpl(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const AnyFieldImpl$1 = x$1;
      const x = this.option$1;
      const x$2 = AnyFieldImpl$1.option$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = AnyFieldImpl$1.annotations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.field$1;
        const x$6 = AnyFieldImpl$1.field$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.option$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_core_model_ValueField__toString__T(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field($$outer, s, f) {
    $c_Lamf_core_parser_Fields$AnyFieldImpl.prototype.init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field.call(this, $$outer, $m_s_Option$().apply__O__s_Option(s.value$1), s.annotations$1, f);
    return this
  };
  option__s_Option() {
    return this.option$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field($$outer, option, annotations, field) {
    this.option$1 = option;
    this.annotations$1 = annotations;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_core_parser_Fields$AnyFieldImpl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Fields$AnyFieldImpl)))
});
const $isArrayOf_Lamf_core_parser_Fields$AnyFieldImpl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Fields$AnyFieldImpl)))
});
const $d_Lamf_core_parser_Fields$AnyFieldImpl = new $TypeData().initClass({
  Lamf_core_parser_Fields$AnyFieldImpl: 0
}, false, "amf.core.parser.Fields$AnyFieldImpl", {
  Lamf_core_parser_Fields$AnyFieldImpl: 1,
  O: 1,
  Lamf_core_model_AnyField: 1,
  Lamf_core_model_BaseField: 1,
  Lamf_core_model_Annotable: 1,
  Lamf_core_model_ValueField: 1,
  Lamf_core_parser_Fields$FieldRemover: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Fields$AnyFieldImpl.prototype.$classData = $d_Lamf_core_parser_Fields$AnyFieldImpl;
class $c_Lamf_core_parser_Fields$StrFieldImpl extends $c_O {
  constructor() {
    super();
    this.option$1 = null;
    this.annotations$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "StrFieldImpl"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_parser_Fields$StrFieldImpl(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const StrFieldImpl$1 = x$1;
      const x = this.option$1;
      const x$2 = StrFieldImpl$1.option$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = StrFieldImpl$1.annotations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.field$1;
        const x$6 = StrFieldImpl$1.field$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.option$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_core_model_ValueField__toString__T(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field($$outer, s, f) {
    const this$1 = $m_s_Option$().apply__O__s_Option(s.value$1);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O(arg1)
    };
    $c_Lamf_core_parser_Fields$StrFieldImpl.prototype.init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field.call(this, $$outer, jsx$1, s.annotations$1, f);
    return this
  };
  option__s_Option() {
    return this.option$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field($$outer, option, annotations, field) {
    this.option$1 = option;
    this.annotations$1 = annotations;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_core_parser_Fields$StrFieldImpl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Fields$StrFieldImpl)))
});
const $isArrayOf_Lamf_core_parser_Fields$StrFieldImpl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Fields$StrFieldImpl)))
});
const $d_Lamf_core_parser_Fields$StrFieldImpl = new $TypeData().initClass({
  Lamf_core_parser_Fields$StrFieldImpl: 0
}, false, "amf.core.parser.Fields$StrFieldImpl", {
  Lamf_core_parser_Fields$StrFieldImpl: 1,
  O: 1,
  Lamf_core_model_StrField: 1,
  Lamf_core_model_BaseField: 1,
  Lamf_core_model_Annotable: 1,
  Lamf_core_model_ValueField: 1,
  Lamf_core_parser_Fields$FieldRemover: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Fields$StrFieldImpl.prototype.$classData = $d_Lamf_core_parser_Fields$StrFieldImpl;
class $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter extends $c_O {
  constructor() {
    super();
    this.dialect$1 = null;
    this.propertyMapping$1 = null;
    this.ordering$1 = null;
    this.aliases$1 = null
  };
  productPrefix__T() {
    return "PropertyMappingEmitter"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter(x$1)) {
      const PropertyMappingEmitter$1 = x$1;
      const x = this.dialect$1;
      const x$2 = PropertyMappingEmitter$1.dialect$1;
      let jsx$2;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.propertyMapping$1;
        const x$4 = PropertyMappingEmitter$1.propertyMapping$1;
        jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$2 = false
      };
      let jsx$1;
      if (jsx$2) {
        const x$5 = this.ordering$1;
        const x$6 = PropertyMappingEmitter$1.ordering$1;
        jsx$1 = (x$5 === x$6)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$7 = this.aliases$1;
        const x$8 = PropertyMappingEmitter$1.aliases$1;
        return ((x$7 === null) ? (x$8 === null) : $f_sc_GenMapLike__equals__O__Z(x$7, x$8))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.dialect$1;
        break
      }
      case 1: {
        return this.propertyMapping$1;
        break
      }
      case 2: {
        return this.ordering$1;
        break
      }
      case 3: {
        return this.aliases$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  aliases__sci_Map() {
    return this.aliases$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  dialect__Lamf_plugins_document_vocabularies_model_document_Dialect() {
    return this.dialect$1
  };
  emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b) {
    $m_Lorg_yaml_model_YNode$();
    const this$1 = this.propertyMapping$1;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Name$1);
    const this$3 = this$2.option$1;
    const str = (this$3.isEmpty__Z() ? null : this$3.get__O());
    const key = $m_Lorg_yaml_model_YNode$().apply__T__Lorg_yaml_model_YNode(str);
    const v = new $c_Lorg_yaml_model_YDocument$PartBuilder().init___();
    const jsx$44 = v.builder$1;
    const b$1 = new $c_Lorg_yaml_model_YDocument$EntryBuilder().init___();
    const elem = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
    let elem$1 = null;
    elem$1 = elem;
    const this$7 = this.propertyMapping$1;
    const this$8 = this$7.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
    const this$9 = this$8.option$1;
    const id = (this$9.isEmpty__Z() ? null : this$9.get__O());
    const x1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this, id);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const propertyTermAlias = x2.value$2;
      const element = this.propertyMapping$1;
      const field = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1;
      const pos = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element, field);
      const jsx$2 = elem$1;
      const jsx$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("propertyTerm", propertyTermAlias, $m_Lorg_yaml_model_YType$().Str$1, pos)]));
      const this$10 = $m_sc_Seq$();
      elem$1 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$10.ReusableCBFInstance$2)
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      }
    };
    const this$11 = this.propertyMapping$1;
    const this$12 = this$11.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1).option$1;
    if ((!this$12.isEmpty__Z())) {
      const arg1 = this$12.get__O();
      const x0$1 = arg1;
      if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x0$1, "anyUri")) {
        const element$1 = this.propertyMapping$1;
        const field$1 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
        const pos$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$1, field$1);
        const jsx$4 = elem$1;
        const jsx$3 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("range", "uri", $m_Lorg_yaml_model_YType$().Str$1, pos$1)]));
        const this$13 = $m_sc_Seq$();
        elem$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$13.ReusableCBFInstance$2)
      } else if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x0$1, "anyType")) {
        const element$2 = this.propertyMapping$1;
        const field$2 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
        const pos$2 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$2, field$2);
        const jsx$6 = elem$1;
        const jsx$5 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("range", "any", $m_Lorg_yaml_model_YType$().Str$1, pos$2)]));
        const this$14 = $m_sc_Seq$();
        elem$1 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$14.ReusableCBFInstance$2)
      } else if ($m_sjsr_RuntimeString$().endsWith__T__T__Z(x0$1, "number")) {
        const element$3 = this.propertyMapping$1;
        const field$3 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
        const pos$3 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$3, field$3);
        const jsx$8 = elem$1;
        const jsx$7 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("range", "number", $m_Lorg_yaml_model_YType$().Str$1, pos$3)]));
        const this$15 = $m_sc_Seq$();
        elem$1 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$15.ReusableCBFInstance$2)
      } else {
        const element$4 = this.propertyMapping$1;
        const field$4 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().LiteralRange$1;
        const pos$4 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$4, field$4);
        const jsx$11 = elem$1;
        const jsx$10 = $m_sc_Seq$();
        const regex = $m_Lamf_core_vocabulary_Namespace$().Xsd$1.base$1;
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(x0$1, regex, 0);
        const this$18 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const jsx$9 = jsx$10.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("range", $f_sc_IndexedSeqOptimized__last__O(this$18), $m_Lorg_yaml_model_YType$().Str$1, pos$4)]));
        const this$19 = $m_sc_Seq$();
        elem$1 = jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$19.ReusableCBFInstance$2)
      }
    };
    const this$20 = this.propertyMapping$1;
    const nodes = this$20.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1);
    if (nodes.nonEmpty__Z()) {
      const element$5 = this.propertyMapping$1;
      const field$5 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().ObjectRange$1;
      const pos$2$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$5, field$5);
      const jsx$14 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(nodeId$2) {
          const nodeId = nodeId$2;
          const this$21 = nodeId.option$1;
          const jsx$15 = (this$21.isEmpty__Z() ? null : this$21.get__O());
          const this$22 = $m_Lamf_core_vocabulary_Namespace$().Meta$1;
          if ((jsx$15 === new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$22, "anyNode").iri__T())) {
            return new $c_s_Some().init___O("anyNode")
          } else {
            const this$24 = nodeId.option$1;
            const id$1 = (this$24.isEmpty__Z() ? null : this$24.get__O());
            const x1$1 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this$2$1, id$1);
            if ($is_s_Some(x1$1)) {
              const x2$1 = x1$1;
              const nodeMappingAlias = x2$1.value$2;
              return new $c_s_Some().init___O(nodeMappingAlias)
            } else {
              return $m_s_None$()
            }
          }
        })
      })(this));
      const this$25 = $m_sc_Seq$();
      const jsx$13 = nodes.map__F1__scg_CanBuildFrom__O(jsx$14, this$25.ReusableCBFInstance$2);
      const jsx$12 = new $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anonfun$3().init___Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter(this);
      const this$26 = $m_sc_Seq$();
      const targets = jsx$13.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$12, this$26.ReusableCBFInstance$2);
      if ((targets.size__I() === 1)) {
        const jsx$17 = elem$1;
        const jsx$16 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("range", targets.head__O(), $m_Lorg_yaml_model_YType$().Str$1, pos$2$1)]));
        const this$27 = $m_sc_Seq$();
        elem$1 = jsx$17.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$16, this$27.ReusableCBFInstance$2)
      } else if ((targets.size__I() > 1)) {
        const jsx$19 = elem$1;
        const jsx$18 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$3().init___Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter__Lamf_core_parser_Position__sc_Seq(this, pos$2$1, targets)]));
        const this$28 = $m_sc_Seq$();
        elem$1 = jsx$19.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$18, this$28.ReusableCBFInstance$2)
      }
    };
    const this$29 = this.propertyMapping$1;
    const this$30 = this$29.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1).option$1;
    if ((!this$30.isEmpty__Z())) {
      const arg1$1 = this$30.get__O();
      const value = arg1$1;
      const element$6 = this.propertyMapping$1;
      const field$6 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapKeyProperty$1;
      const pos$5 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$6, field$6);
      const x1$2 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this, value);
      if ($is_s_Some(x1$2)) {
        const x2$2 = x1$2;
        const propertyId = x2$2.value$2;
        const jsx$21 = elem$1;
        const jsx$20 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("mapKey", propertyId, $m_Lorg_yaml_model_YType$().Str$1, pos$5)]));
        const this$31 = $m_sc_Seq$();
        elem$1 = jsx$21.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$20, this$31.ReusableCBFInstance$2)
      }
    };
    const this$32 = this.propertyMapping$1;
    const this$33 = this$32.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1).option$1;
    if ((!this$33.isEmpty__Z())) {
      const arg1$2 = this$33.get__O();
      const value$3 = arg1$2;
      const element$7 = this.propertyMapping$1;
      const field$7 = $m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MapValueProperty$1;
      const pos$6 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$7, field$7);
      const x1$3 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer__aliasFor__T__s_Option(this, value$3);
      if ($is_s_Some(x1$3)) {
        const x2$3 = x1$3;
        const propertyId$1 = x2$3.value$2;
        const jsx$23 = elem$1;
        const jsx$22 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("mapValue", propertyId$1, $m_Lorg_yaml_model_YType$().Str$1, pos$6)]));
        const this$34 = $m_sc_Seq$();
        elem$1 = jsx$23.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$22, this$34.ReusableCBFInstance$2)
      }
    };
    const this$35 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().MinCount$1);
    if ((!this$35.isEmpty__Z())) {
      const arg1$3 = this$35.get__O();
      const entry = arg1$3;
      const value$1 = entry.value$1.value$1.value$1;
      const element$8 = this.propertyMapping$1;
      const field$8 = entry.field$1;
      const pos$7 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$8, field$8);
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(0, value$1)) {
        const jsx$25 = elem$1;
        const jsx$24 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("mandatory", "false", $m_Lorg_yaml_model_YType$().Bool$1, pos$7)]));
        const this$36 = $m_sc_Seq$();
        elem$1 = jsx$25.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$24, this$36.ReusableCBFInstance$2)
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(1, value$1)) {
        const jsx$27 = elem$1;
        const jsx$26 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("mandatory", "true", $m_Lorg_yaml_model_YType$().Bool$1, pos$7)]));
        const this$37 = $m_sc_Seq$();
        elem$1 = jsx$27.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$26, this$37.ReusableCBFInstance$2)
      } else {
        throw new $c_s_MatchError().init___O(value$1)
      }
    };
    const this$38 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Pattern$1);
    if ((!this$38.isEmpty__Z())) {
      const arg1$4 = this$38.get__O();
      const entry$3 = arg1$4;
      const value$2 = $objectToString(entry$3.value$1.value$1.value$1);
      const element$9 = this.propertyMapping$1;
      const field$9 = entry$3.field$1;
      const pos$8 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$9, field$9);
      const jsx$29 = elem$1;
      const jsx$28 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("pattern", value$2, $m_Lorg_yaml_model_YType$().Str$1, pos$8)]));
      const this$39 = $m_sc_Seq$();
      elem$1 = jsx$29.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$28, this$39.ReusableCBFInstance$2)
    };
    const this$40 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Minimum$1);
    if ((!this$40.isEmpty__Z())) {
      const arg1$5 = this$40.get__O();
      const entry$4 = arg1$5;
      const value$4 = entry$4.value$1.value$1.value$1;
      const element$10 = this.propertyMapping$1;
      const field$10 = entry$4.field$1;
      const pos$9 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$10, field$10);
      const jsx$31 = elem$1;
      const jsx$30 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("minimum", $objectToString(value$4), $m_Lorg_yaml_model_YType$().Int$1, pos$9)]));
      const this$41 = $m_sc_Seq$();
      elem$1 = jsx$31.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$30, this$41.ReusableCBFInstance$2)
    };
    const this$42 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Maximum$1);
    if ((!this$42.isEmpty__Z())) {
      const arg1$6 = this$42.get__O();
      const entry$5 = arg1$6;
      const value$5 = entry$5.value$1.value$1.value$1;
      const element$11 = this.propertyMapping$1;
      const field$11 = entry$5.field$1;
      const pos$10 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$11, field$11);
      const jsx$33 = elem$1;
      const jsx$32 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("maximum", $objectToString(value$5), $m_Lorg_yaml_model_YType$().Int$1, pos$10)]));
      const this$43 = $m_sc_Seq$();
      elem$1 = jsx$33.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$32, this$43.ReusableCBFInstance$2)
    };
    const this$44 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().AllowMultiple$1);
    if ((!this$44.isEmpty__Z())) {
      const arg1$7 = this$44.get__O();
      const entry$6 = arg1$7;
      const value$6 = entry$6.value$1.value$1.value$1;
      const element$12 = this.propertyMapping$1;
      const field$12 = entry$6.field$1;
      const pos$11 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$12, field$12);
      const jsx$35 = elem$1;
      const jsx$34 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("allowMultiple", $objectToString(value$6), $m_Lorg_yaml_model_YType$().Bool$1, pos$11)]));
      const this$45 = $m_sc_Seq$();
      elem$1 = jsx$35.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$34, this$45.ReusableCBFInstance$2)
    };
    const this$46 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Sorted$1);
    if ((!this$46.isEmpty__Z())) {
      const arg1$8 = this$46.get__O();
      const entry$7 = arg1$8;
      const value$7 = entry$7.value$1.value$1.value$1;
      const element$13 = this.propertyMapping$1;
      const field$13 = entry$7.field$1;
      const pos$12 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$13, field$13);
      const jsx$37 = elem$1;
      const jsx$36 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("sorted", $objectToString(value$7), $m_Lorg_yaml_model_YType$().Bool$1, pos$12)]));
      const this$47 = $m_sc_Seq$();
      elem$1 = jsx$37.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$36, this$47.ReusableCBFInstance$2)
    };
    const this$48 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().Enum$1);
    if ((!this$48.isEmpty__Z())) {
      const arg1$9 = this$48.get__O();
      const entry$8 = arg1$9;
      const jsx$39 = elem$1;
      const jsx$38 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$ArrayEmitter().init___T__Lamf_core_parser_FieldEntry__Lamf_core_emitter_SpecOrdering__Z("enum", entry$8, this.ordering$1, false)]));
      const this$49 = $m_sc_Seq$();
      elem$1 = jsx$39.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$38, this$49.ReusableCBFInstance$2)
    };
    const this$50 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminator$1);
    if ((!this$50.isEmpty__Z())) {
      const arg1$10 = this$50.get__O();
      const entry$9 = arg1$10;
      const element$14 = this.propertyMapping$1;
      const field$14 = entry$9.field$1;
      const pos$13 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$14, field$14);
      const typesMapping = this.propertyMapping$1.typeDiscriminator__sci_Map();
      const jsx$41 = elem$1;
      const jsx$40 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter$$anon$4().init___Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter__Lamf_core_parser_Position__sci_Map(this, pos$13, typesMapping)]));
      const this$51 = $m_sc_Seq$();
      elem$1 = jsx$41.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$40, this$51.ReusableCBFInstance$2)
    };
    const this$52 = this.propertyMapping$1.fields$1.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().TypeDiscriminatorName$1);
    if ((!this$52.isEmpty__Z())) {
      const arg1$11 = this$52.get__O();
      const entry$10 = arg1$11;
      const value$8 = $objectToString(entry$10.value$1.value$1.value$1);
      const element$15 = this.propertyMapping$1;
      const field$15 = entry$10.field$1;
      const pos$14 = $f_Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor__fieldPos__Lamf_core_model_domain_DomainElement__Lamf_core_metamodel_Field__Lamf_core_parser_Position(this, element$15, field$15);
      const jsx$43 = elem$1;
      const jsx$42 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_emitter_BaseEmitters_package$MapEntryEmitter().init___T__T__Lorg_yaml_model_YType__Lamf_core_parser_Position("typeDiscriminatorName", value$8, $m_Lorg_yaml_model_YType$().Str$1, pos$14)]));
      const this$53 = $m_sc_Seq$();
      elem$1 = jsx$43.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$42, this$53.ReusableCBFInstance$2)
    };
    this.ordering$1.sorted__sc_Seq__sc_Seq(elem$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$14$1, b$2) {
      return (function(x$27$2) {
        const x$27 = x$27$2;
        x$27.emit__Lorg_yaml_model_YDocument$EntryBuilder__V(b$2)
      })
    })(this, b$1)));
    $m_Lorg_yaml_model_YNode$();
    $m_Lorg_yaml_model_YMap$();
    const c = b$1.builder$1;
    const value$9 = new $c_Lorg_yaml_model_YMap().init___sc_IndexedSeq(c);
    const tt = $m_Lorg_yaml_model_YType$().Map$1;
    $m_Lorg_yaml_model_YNode$();
    const t = tt.org$yaml$model$YType$$tag$und$1;
    $m_Lorg_yaml_model_YNode$();
    const a = $m_s_None$();
    $m_Lorg_yaml_model_YNode$();
    const cs = null;
    jsx$44.$$plus$eq__O__scm_ArrayBuffer(new $c_Lorg_yaml_model_YNode$$anon$1().init___Lorg_yaml_model_YValue__Lorg_yaml_model_YTag__s_Option__sc_IndexedSeq(value$9, t, a, cs));
    const this$58 = v.builder$1;
    const array = [key];
    if ((this$58.size0$6 < 0)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T("0")
    };
    const len = (array.length | 0);
    const newSize = ((this$58.size0$6 + len) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this$58, newSize);
    const len$1 = this$58.size0$6;
    const src = this$58.array$6;
    const dest = this$58.array$6;
    $systemArraycopy(src, 0, dest, len, len$1);
    const xs$1 = this$58.array$6;
    const len$2 = xs$1.u.length;
    let i = 0;
    let j = 0;
    const x$1 = (array.length | 0);
    const x$2 = ((x$1 < len$2) ? x$1 : len$2);
    const that = xs$1.u.length;
    const end = ((x$2 < that) ? x$2 : that);
    while ((i < end)) {
      const jsx$45 = j;
      const index = i;
      xs$1.u[jsx$45] = array[index];
      i = ((1 + i) | 0);
      j = ((1 + j) | 0)
    };
    this$58.size0$6 = newSize;
    b.builder$1.$$plus$eq__O__scm_ArrayBuffer($m_Lorg_yaml_model_YMapEntry$().apply__sc_IndexedSeq__Lorg_yaml_model_YMapEntry(v.builder$1))
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_core_emitter_SpecOrdering__sci_Map(dialect, propertyMapping, ordering, aliases) {
    this.dialect$1 = dialect;
    this.propertyMapping$1 = propertyMapping;
    this.ordering$1 = ordering;
    this.aliases$1 = aliases;
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = this.propertyMapping$1.annotations$1.find__jl_Class__s_Option($d_Lamf_core_annotations_LexicalInformation.getClassOf());
    let this$2;
    if (this$1.isEmpty__Z()) {
      this$2 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$28 = arg1;
      this$2 = new $c_s_Some().init___O(x$28.range__Lamf_core_parser_Range().start$1)
    };
    return (this$2.isEmpty__Z() ? $m_Lamf_core_parser_Position$ZERO$() : this$2.get__O())
  };
}
const $is_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter)))
});
const $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter: 0
}, false, "amf.plugins.document.vocabularies.emitters.dialects.PropertyMappingEmitter", {
  Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter: 1,
  O: 1,
  Lamf_core_emitter_EntryEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_AliasesConsumer: 1,
  Lamf_plugins_document_vocabularies_emitters_instances_DialectEmitterHelper: 1,
  Lamf_plugins_document_vocabularies_emitters_dialects_PosExtractor: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter.prototype.$classData = $d_Lamf_plugins_document_vocabularies_emitters_dialects_PropertyMappingEmitter;
class $c_Lamf_plugins_document_vocabularies_model_document_DialectFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DialectFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectFragment(x$1)) {
      const DialectFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_DialectFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectFragment)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_DialectFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectFragment)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_DialectFragment = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectFragment: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectFragment", {
  Lamf_plugins_document_vocabularies_model_document_DialectFragment: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectFragment.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectFragment;
class $c_Lamf_plugins_document_vocabularies_model_document_Vocabulary extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Vocabulary"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_Vocabulary(x$1)) {
      const Vocabulary$1 = x$1;
      const x = this.fields$1;
      const x$2 = Vocabulary$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Vocabulary$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withBase__T__Lamf_plugins_document_vocabularies_model_document_Vocabulary(base) {
    $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, base);
    const field = $m_Lamf_plugins_document_vocabularies_metamodel_document_VocabularyModel$().Base$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, base)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_Vocabulary = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_Vocabulary)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_Vocabulary = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_Vocabulary)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_Vocabulary = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_Vocabulary: 0
}, false, "amf.plugins.document.vocabularies.model.document.Vocabulary", {
  Lamf_plugins_document_vocabularies_model_document_Vocabulary: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_Vocabulary.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_Vocabulary;
class $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.literalProperties$1 = null;
    this.mapKeyProperties$1 = null;
    this.objectProperties$1 = null;
    this.objectCollectionProperties$1 = null;
    this.propertyAnnotations$1 = null;
    this.instanceTypes$1 = null;
    this.instanceDefinedBy$1 = null;
    this.linkAnnotations$1 = null;
    this.isUnresolved$1 = false;
    this.refName$1 = null;
    this.refAst$1 = null;
    this.refCtx$1 = null;
    this.graph$1 = null;
    this.id$1 = null;
    this.bitmap$0$1 = false
  };
  setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.objectProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    if (value.isUnresolved$1) {
      const resolve = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1, value$1) {
        return (function(x0$2$2) {
          const x0$2 = x0$2$2;
          if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x0$2)) {
            const x2 = x0$2;
            $this.objectProperties$1.put__O__O__s_Option(property$1.id$1, $this.resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(value$1.refName$1, value$1.annotations$1, x2).withId__T__Lamf_core_model_domain_AmfObject(value$1.id$1))
          } else {
            throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot resolve reference with not dialect domain element value ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x0$2.id__T()]))))
          }
        })
      })(this, property, value));
      $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V(value, resolve)
    };
    return this
  };
  dynamicTypes__sc_Seq() {
    return $f_Lamf_core_model_domain_DynamicDomainElement__dynamicTypes__sc_Seq(this)
  };
  productPrefix__T() {
    return "DialectDomainElement"
  };
  productArity__I() {
    return 2
  };
  withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(types) {
    this.instanceTypes$1 = types;
    return this
  };
  setObjectField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.objectCollectionProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    value.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, property$1) {
      return (function(x0$3$2) {
        const x0$3 = x0$3$2;
        matchEnd4: {
          if ((x0$3 !== null)) {
            if (x0$3.isUnresolved$1) {
              const resolve = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, property$1$1) {
                return (function(resolved$2) {
                  const resolved = resolved$2;
                  const this$1 = $this$1.objectCollectionProperties$1.get__O__s_Option(property$1$1.id$1);
                  let this$3;
                  if (this$1.isEmpty__Z()) {
                    this$3 = $m_s_None$()
                  } else {
                    const arg1 = this$1.get__O();
                    const oldValues = arg1;
                    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$2, resolved$1) {
                      return (function(oldValue$2) {
                        const oldValue = oldValue$2;
                        return ((oldValue.id$1 === resolved$1.id__T()) ? resolved$1 : oldValue)
                      })
                    })($this$1, resolved));
                    const this$2 = $m_sc_Seq$();
                    this$3 = new $c_s_Some().init___O(oldValues.map__F1__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2))
                  };
                  if ((!this$3.isEmpty__Z())) {
                    const arg1$1 = this$3.get__O();
                    const x0$4 = arg1$1;
                    if ((x0$4 !== null)) {
                      $this$1.objectCollectionProperties$1.put__O__O__s_Option(property$1$1.id$1, x0$4)
                    } else {
                      throw new $c_s_MatchError().init___O(x0$4)
                    }
                  }
                })
              })($this, property$1));
              $f_Lamf_core_model_domain_Linkable__toFutureRef__F1__V(x0$3, resolve);
              break matchEnd4
            }
          }
        }
      })
    })(this, property)));
    return this
  };
  refName$und$eq__T__V(x$1) {
    this.refName$1 = x$1
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Z__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(x$1)) {
      const DialectDomainElement$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectDomainElement$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectDomainElement$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return $f_Lamf_core_model_domain_Linkable__effectiveLinkTarget__Lamf_core_model_domain_DomainElement(this)
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value).withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping()).withInstanceTypes__sc_Seq__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(this.instanceTypes$1)
  };
  includeName__T() {
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this).isDefined__Z()) {
      const this$1 = $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this);
      if (this$1.isEmpty__Z()) {
        const this$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this);
        let this$6;
        if (this$2.isEmpty__Z()) {
          this$6 = $m_s_None$()
        } else {
          const arg1 = this$2.get__O();
          const x$2 = arg1;
          const thiz = x$2.id__T();
          const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
          const this$5 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
          this$6 = new $c_s_Some().init___O($f_sc_IndexedSeqOptimized__head__O(this$5))
        };
        if (this$6.isEmpty__Z()) {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot produce include reference without linked element at elem ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.id$1]))))
        };
        return this$6.get__O()
      } else {
        return this$1.get__O()
      }
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot produce include reference without linked element at elem ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.id$1]))))
    }
  };
  meta__Lamf_core_metamodel_Obj() {
    return (this.instanceTypes$1.isEmpty__Z() ? new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel().init___T__sc_Seq__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$().$$lessinit$greater$default$1__T(), $m_sci_Nil$(), $m_s_None$()) : new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel().init___T__sc_Seq__s_Option(this.instanceTypes$1.head__O(), this.dynamicFields__sci_List(), new $c_s_Some().init___O(this.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping())))
  };
  refCtx__s_Option() {
    return this.refCtx$1
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  findPropertyByTermPropertyId__T__T(termPropertyId) {
    const this$1 = this.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
    const this$4 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, termPropertyId$1) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        const this$2 = x$6.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
        const this$3 = this$2.option$1;
        return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === termPropertyId$1)
      })
    })(this, termPropertyId)));
    let this$5;
    if (this$4.isEmpty__Z()) {
      this$5 = $m_s_None$()
    } else {
      const arg1 = this$4.get__O();
      const x$7 = arg1;
      this$5 = new $c_s_Some().init___O(x$7.id$1)
    };
    return (this$5.isEmpty__Z() ? termPropertyId : this$5.get__O())
  };
  refAst__s_Option() {
    return this.refAst$1
  };
  componentId__T() {
    return ""
  };
  linkAnnotations$und$eq__s_Option__V(x$1) {
    this.linkAnnotations$1 = x$1
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__sc_Seq__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  localRefName__T() {
    if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this).isDefined__Z()) {
      const this$1 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this);
      let this$8;
      if (this$1.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1 = this$1.get__O();
        const x$1 = arg1;
        const thiz = x$1.id__T();
        const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
        const this$4 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
        const thiz$1 = $f_sc_IndexedSeqOptimized__last__O(this$4);
        const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$1, "/", 0);
        const this$7 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
        this$8 = new $c_s_Some().init___O($f_sc_IndexedSeqOptimized__last__O(this$7))
      };
      if (this$8.isEmpty__Z()) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot produce local reference without linked element at elem ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.id$1]))))
      };
      return this$8.get__O()
    } else {
      const thiz$2 = this.id$1;
      const xs$2 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$2, "#", 0);
      const this$11 = new $c_scm_ArrayOps$ofRef().init___AO(xs$2);
      const thiz$3 = $f_sc_IndexedSeqOptimized__last__O(this$11);
      const xs$3 = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz$3, "/", 0);
      const this$14 = new $c_scm_ArrayOps$ofRef().init___AO(xs$3);
      return $f_sc_IndexedSeqOptimized__last__O(this$14)
    }
  };
  graph__Lamf_core_model_domain_Graph() {
    return ((!this.bitmap$0$1) ? this.graph$lzycompute__p1__Lamf_core_model_domain_Graph() : this.graph$1)
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__I__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  graph$lzycompute__p1__Lamf_core_model_domain_Graph() {
    if ((!this.bitmap$0$1)) {
      this.graph$1 = new $c_Lamf_core_model_domain_Graph().init___Lamf_core_model_domain_DomainElement(this);
      this.bitmap$0$1 = true
    };
    return this.graph$1
  };
  isUnresolved__Z() {
    return this.isUnresolved$1
  };
  dynamicFields__sci_List() {
    const jsx$2 = this.mapKeyProperties$1.keys__sc_Iterable();
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(propertyId$2) {
        const propertyId = propertyId$2;
        return new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z($m_Lamf_core_metamodel_Type$Str$(), $m_Lamf_core_vocabulary_ValueType$().apply__T__Lamf_core_vocabulary_ValueType(propertyId), true)
      })
    })(this));
    const this$1 = $m_sc_Iterable$();
    const mapKeyFields = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
    const jsx$13 = this.literalProperties$1.keys__sc_Iterable();
    const jsx$12 = this.objectProperties$1.keys__sc_Iterable();
    const this$2 = $m_sc_Iterable$();
    const jsx$11 = jsx$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$12, this$2.ReusableCBFInstance$2);
    const jsx$10 = this.objectCollectionProperties$1.keys__sc_Iterable();
    const this$3 = $m_sc_Iterable$();
    const jsx$9 = jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$3.ReusableCBFInstance$2);
    const jsx$8 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
      return (function(propertyId$3$2) {
        const propertyId$3 = propertyId$3$2;
        const this$4 = this$2$1.instanceDefinedBy$1.get__O();
        return this$4.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, propertyId$1) {
          return (function(x$3$2) {
            const x$3 = x$3$2;
            return (x$3.id$1 === propertyId$1)
          })
        })(this$2$1, propertyId$3))).get__O().toField__Lamf_core_metamodel_Field()
      })
    })(this));
    const this$5 = $m_sc_Iterable$();
    const jsx$7 = jsx$9.map__F1__scg_CanBuildFrom__O(jsx$8, this$5.ReusableCBFInstance$2).toList__sci_List();
    const this$6 = $m_sci_List$();
    const jsx$6 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(mapKeyFields, this$6.ReusableCBFInstance$2);
    const this$7 = this.fields$1;
    const this$10 = this$7.fs$1;
    const this$8 = $m_Lamf_core_parser_FieldEntry$();
    const f = $f_F2__tupled__F1(this$8);
    const this$9 = $m_sci_Iterable$();
    const bf = this$9.ReusableCBFInstance$2;
    const jsx$5 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$10, f, bf).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const x = x$4.field$1;
        const x$2 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().Target$1;
        return (!((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)))
      })
    })(this)));
    const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
      return (function(x$5$2) {
        const x$5 = x$5$2;
        return x$5.field$1
      })
    })(this));
    const this$11 = $m_sc_Iterable$();
    const jsx$3 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$11.ReusableCBFInstance$2);
    const this$12 = $m_sci_List$();
    return jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$12.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  refCtx$und$eq__s_Option__V(x$1) {
    this.refCtx$1 = x$1
  };
  setMapKeyField__T__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(propertyId, value, node) {
    this.mapKeyProperties$1.put__O__O__s_Option(propertyId, value);
    return this
  };
  findPropertyMappingByTermPropertyId__T__s_Option(termPropertyId) {
    const this$1 = this.definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping();
    return this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_NodeMappingModel$().PropertiesMapping$1).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, termPropertyId$1) {
      return (function(x$8$2) {
        const x$8 = x$8$2;
        const this$2 = x$8.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
        const this$3 = this$2.option$1;
        return ((this$3.isEmpty__Z() ? null : this$3.get__O()) === termPropertyId$1)
      })
    })(this, termPropertyId)))
  };
  refName__T() {
    return this.refName$1
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__D__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__T__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  afterResolve__V() {
    /*<skip>*/
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  dynamicType__sci_List() {
    const jsx$4 = this.instanceTypes$1.distinct__O();
    const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(iri$2) {
        const iri = iri$2;
        return $m_Lamf_core_vocabulary_ValueType$().apply__T__Lamf_core_vocabulary_ValueType(iri)
      })
    })(this));
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.map__F1__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = new $c_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel().init___T__sc_Seq__s_Option($m_Lamf_plugins_document_vocabularies_metamodel_domain_DialectDomainElementModel$().$$lessinit$greater$default$1__T(), $m_sci_Nil$(), $m_s_None$()).type$1;
    const this$5 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2).toList__sci_List()
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__F__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  refAst$und$eq__s_Option__V(x$1) {
    this.refAst$1 = x$1
  };
  isUnresolved$und$eq__Z__V(x$1) {
    this.isUnresolved$1 = x$1
  };
  setLiteralField__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Lorg_mulesoft_common_time_SimpleDateTime__Lorg_yaml_model_YNode__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(property, value, node) {
    this.literalProperties$1.put__O__O__s_Option(property.id$1, value);
    this.propertyAnnotations$1.put__O__O__s_Option(property.id$1, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(node));
    return this
  };
  adopted__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(newId) {
    return ($m_s_Option$().apply__O__s_Option(this.id$1).isEmpty__Z() ? $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, newId) : this)
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    const termPropertyId = f.value$1.iri__T();
    const propertyId = this.findPropertyByTermPropertyId__T__T(termPropertyId);
    const this$1 = this.propertyAnnotations$1;
    const x1 = this$1.get__O__s_Option(propertyId);
    let annotations;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const v = x2.value$2;
      annotations = v
    } else {
      const x = $m_s_None$();
      if ((!(x === x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      annotations = new $c_Lamf_core_parser_Annotations().init___()
    };
    const this$3 = this.mapKeyProperties$1.get__O__s_Option(termPropertyId);
    let this$4;
    if (this$3.isEmpty__Z()) {
      this$4 = $m_s_None$()
    } else {
      const arg1 = this$3.get__O();
      this$4 = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(arg1, annotations))
    };
    const this$5 = (this$4.isEmpty__Z() ? this.objectProperties$1.get__O__s_Option(propertyId) : this$4);
    let this$6;
    if (this$5.isEmpty__Z()) {
      this$6 = $m_s_None$()
    } else {
      const arg1$1 = this$5.get__O();
      const dialectDomainElement = arg1$1;
      this$6 = new $c_s_Some().init___O(dialectDomainElement)
    };
    let this$8;
    if (this$6.isEmpty__Z()) {
      const this$7 = this.objectCollectionProperties$1.get__O__s_Option(propertyId);
      if (this$7.isEmpty__Z()) {
        this$8 = $m_s_None$()
      } else {
        const arg1$2 = this$7.get__O();
        const seqElements = arg1$2;
        this$8 = new $c_s_Some().init___O(new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(seqElements, annotations))
      }
    } else {
      this$8 = this$6
    };
    let this$12;
    if (this$8.isEmpty__Z()) {
      const this$9 = this.literalProperties$1.get__O__s_Option(propertyId);
      if (this$9.isEmpty__Z()) {
        this$12 = $m_s_None$()
      } else {
        const arg1$3 = this$9.get__O();
        let jsx$1;
        if ($is_sc_Seq(arg1$3)) {
          const x2$1 = arg1$3;
          const jsx$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(s$2) {
              return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(s$2, new $c_Lamf_core_parser_Annotations().init___())
            })
          })(this));
          const this$11 = $m_sc_Seq$();
          const scalars = x2$1.map__F1__scg_CanBuildFrom__O(jsx$2, this$11.ReusableCBFInstance$2);
          jsx$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(scalars, annotations)
        } else {
          jsx$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(arg1$3, annotations)
        };
        this$12 = new $c_s_Some().init___O(jsx$1)
      }
    } else {
      this$12 = this$8
    };
    let this$15;
    if (this$12.isEmpty__Z()) {
      this$15 = $m_s_None$()
    } else {
      const arg1$4 = this$12.get__O();
      const x$9 = arg1$4;
      const value = x$9;
      const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
      this$15 = new $c_s_Some().init___O(new $c_Lamf_core_parser_Value().init___Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations(value, annotations$1))
    };
    if (this$15.isEmpty__Z()) {
      const this$16 = this.fields$1;
      const this$19 = this$16.fs$1;
      const this$17 = $m_Lamf_core_parser_FieldEntry$();
      const f$1 = $f_F2__tupled__F1(this$17);
      const this$18 = $m_sci_Iterable$();
      const bf = this$18.ReusableCBFInstance$2;
      const this$20 = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this$19, f$1, bf).find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, f$1$1) {
        return (function(x$10$2) {
          const x$10 = x$10$2;
          const x$1 = x$10.field$1;
          return ((x$1 === null) ? (f$1$1 === null) : x$1.equals__O__Z(f$1$1))
        })
      })(this, f)));
      if (this$20.isEmpty__Z()) {
        return $m_s_None$()
      } else {
        const arg1$5 = this$20.get__O();
        const x$11 = arg1$5;
        return new $c_s_Some().init___O(x$11.value$1)
      }
    } else {
      return this$15
    }
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  resolveUnreferencedLink__T__Lamf_core_parser_Annotations__O__O(label, annotations, unresolved) {
    const unresolvedNodeMapping = unresolved;
    return $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(unresolvedNodeMapping, label, annotations)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  withDefinedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(nodeMapping) {
    this.instanceDefinedBy$1 = new $c_s_Some().init___O(nodeMapping);
    return this
  };
  definedBy__Lamf_plugins_document_vocabularies_model_domain_NodeMapping() {
    const x1 = this.instanceDefinedBy$1;
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const mapping = x2.value$2;
      return mapping
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("NodeMapping for the instance not defined"))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    this.literalProperties$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.mapKeyProperties$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.objectProperties$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.objectCollectionProperties$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.propertyAnnotations$1 = $m_scm_HashMap$().apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.instanceTypes$1 = $m_sci_Nil$();
    this.instanceDefinedBy$1 = $m_s_None$();
    return this
  };
  containsProperty__Lamf_plugins_document_vocabularies_model_domain_PropertyMapping__Z(property) {
    const jsx$1 = this.mapKeyProperties$1;
    const this$1 = property.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PropertyMappingModel$().NodePropertyMapping$1);
    const this$2 = this$1.option$1;
    if ((jsx$1.contains__O__Z((this$2.isEmpty__Z() ? null : this$2.get__O())) || this.objectCollectionProperties$1.contains__O__Z(property.id$1))) {
      return true
    } else {
      return this.literalProperties$1.contains__O__Z(property.id$1)
    }
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement)))
});
const $d_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement: 0
}, false, "amf.plugins.document.vocabularies.model.domain.DialectDomainElement", {
  Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement: 1,
  O: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement;
class $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext extends $c_Lamf_core_parser_ParserContext {
  constructor() {
    super();
    this.dialect$2 = null;
    this.wrapped$2 = null;
    this.ds$2 = null;
    this.nestedDialects$2 = null;
    this.libraryDeclarationsNodeMappings$2 = null;
    this.rootDeclarationsNodeMappings$2 = null;
    this.declarations$2 = null
  };
  isIncludeMap__p2__Lorg_yaml_model_YNode__Z(node) {
    if ($is_Lorg_yaml_model_YMap(node.value__Lorg_yaml_model_YValue())) {
      const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      return new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$include").isDefined__Z()
    } else {
      return false
    }
  };
  findJsonPointer__T__s_Option(pointer) {
    const x1 = this.globalSpace$1.get__O__s_Option(pointer);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const e = x2.value$2;
      if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(e)) {
        const x3 = e;
        return new $c_s_Some().init___O(x3)
      }
    };
    return $m_s_None$()
  };
  isInclude__p2__Lorg_yaml_model_YNode__Z(node) {
    const x = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
    return (x === x$2)
  };
  init___Lamf_plugins_document_vocabularies_model_document_Dialect__Lamf_core_parser_ParserContext__s_Option(dialect, wrapped, ds) {
    this.dialect$2 = dialect;
    this.wrapped$2 = wrapped;
    this.ds$2 = ds;
    $c_Lamf_core_parser_ParserContext.prototype.init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I.call(this, wrapped.rootContextDocument$1, wrapped.refs$1, wrapped.futureDeclarations$1, wrapped.parserCount$1);
    this.nestedDialects$2 = $m_sci_Nil$();
    this.libraryDeclarationsNodeMappings$2 = this.parseDeclaredNodeMappings__T__sci_Map("library");
    this.rootDeclarationsNodeMappings$2 = this.parseDeclaredNodeMappings__T__sci_Map("root");
    this.globalSpace$1 = wrapped.globalSpace$1;
    let jsx$1;
    if (ds.isEmpty__Z()) {
      const x$31 = new $c_s_Some().init___O(this);
      const x$32 = this.futureDeclarations$1;
      const x$33 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceDeclarations().init___sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$33, x$31, x$32)
    } else {
      jsx$1 = ds.get__O()
    };
    this.declarations$2 = jsx$1;
    return this
  };
  link__Lorg_yaml_model_YNode__s_util_Either(node) {
    if (this.isInclude__p2__Lorg_yaml_model_YNode__Z(node)) {
      $m_s_package$();
      const value = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
      return new $c_s_util_Left().init___O(value)
    } else if (this.isIncludeMap__p2__Lorg_yaml_model_YNode__Z(node)) {
      $m_s_package$();
      const map = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      const value$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$include").get__O().value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
      return new $c_s_util_Left().init___O(value$1)
    } else {
      $m_s_package$();
      return new $c_s_util_Right().init___O(node)
    }
  };
  findNodeMapping__T__s_Option(mappingId) {
    const this$1 = this.dialect$2;
    const this$2 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1);
    const pf = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$findNodeMapping$1().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext__T(this, mappingId);
    return $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$2, pf)
  };
  parseDeclaredNodeMappings__T__sci_Map(documentType) {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.dialect$2;
    const this$2 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1));
    let this$10;
    if (this$2.isEmpty__Z()) {
      this$10 = $m_s_None$()
    } else {
      const arg1 = this$2.get__O();
      const documents = arg1;
      const documentMappings = ((documentType === "root") ? $m_s_Option$().apply__O__s_Option(documents.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Root$1)) : $m_s_Option$().apply__O__s_Option(documents.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1)));
      if (documentMappings.isEmpty__Z()) {
        this$10 = $m_s_None$()
      } else {
        const arg1$1 = documentMappings.get__O();
        const mapping = arg1$1;
        const jsx$5 = mapping.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DeclaredNodes$1);
        const jsx$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(declaration$2) {
            const declaration = declaration$2;
            const this$3 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().MappedNode$1);
            const this$4 = this$3.option$1;
            const this$5 = $this.findNodeMapping__T__s_Option((this$4.isEmpty__Z() ? null : this$4.get__O()));
            if (this$5.isEmpty__Z()) {
              return $m_s_None$()
            } else {
              const arg1$2 = this$5.get__O();
              const nodeMapping = arg1$2;
              const this$6 = declaration.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_PublicNodeMappingModel$().Name$1);
              const this$7 = this$6.option$1;
              return new $c_s_Some().init___O(new $c_T2().init___O__O((this$7.isEmpty__Z() ? null : this$7.get__O()), nodeMapping))
            }
          })
        })(this));
        const this$8 = $m_sc_Seq$();
        const jsx$3 = jsx$5.map__F1__scg_CanBuildFrom__O(jsx$4, this$8.ReusableCBFInstance$2);
        const jsx$2 = new $c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext$$anonfun$$nestedInanonfun$parseDeclaredNodeMappings$2$1().init___Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext(this);
        const this$9 = $m_sc_Seq$();
        this$10 = new $c_s_Some().init___O(jsx$3.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$2, this$9.ReusableCBFInstance$2))
      }
    };
    const declarations = (this$10.isEmpty__Z() ? $m_sci_Nil$() : this$10.get__O());
    return declarations.foldLeft__O__F2__O($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$3$1) {
      return (function(x0$1$2, x1$1$2) {
        const x0$1 = x0$1$2;
        const x1$1 = x1$1$2;
        const x1 = new $c_T2().init___O__O(x0$1, x1$1);
        const acc = x1.$$und1$f;
        const p2 = x1.$$und2$f;
        if ((p2 !== null)) {
          const name = p2.$$und1__O();
          const mapping$1 = p2.$$und2__O();
          return acc.$$plus__T2__sci_Map(new $c_T2().init___O__O(name, mapping$1))
        };
        throw new $c_s_MatchError().init___O(x1)
      })
    })(this)))
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext: 0
}, false, "amf.plugins.document.vocabularies.parser.instances.DialectInstanceContext", {
  Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter: 1
});
$c_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_instances_DialectInstanceContext;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter {
  constructor() {
    super();
    this.target$2 = null;
    this.label$2 = null;
    this.reference$2 = null;
    this.referenceLabel$2 = null
  };
  target__Lamf_core_model_domain_DomainElement() {
    return this.target$2
  };
  productPrefix__T() {
    return "OasTagToReferenceEmitter"
  };
  emit__Lorg_yaml_model_YDocument$PartBuilder__V(b) {
    const x1 = this.follow__p2__Lamf_core_model_domain_DomainElement();
    matchEnd6: {
      if ($is_Lamf_core_model_domain_Shape(x1)) {
        const x2 = x1;
        if (x2.annotations__Lamf_core_parser_Annotations().contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$1 = this.spec$1;
          const this$1 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url = this.referenceLabel$2;
          jsx$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$1.appendPrefix__p1__T__T__T(this$1.definitionsPrefix$1, url));
          break matchEnd6
        }
      };
      if ($is_Lamf_plugins_domain_webapi_models_Parameter(x1)) {
        const x3 = x1;
        if (x3.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$2 = this.spec$1;
          const this$2 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url$1 = this.referenceLabel$2;
          jsx$2.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$2.appendPrefix__p1__T__T__T(this$2.parameterDefinitionsPrefix$1, url$1));
          break matchEnd6
        }
      };
      if ($is_Lamf_plugins_domain_webapi_models_Response(x1)) {
        const x4 = x1;
        if (x4.annotations$1.contains__jl_Class__Z($d_Lamf_plugins_document_webapi_annotations_DeclaredElement.getClassOf())) {
          const jsx$3 = this.spec$1;
          const this$3 = $m_Lamf_plugins_document_webapi_parser_spec_package$OasDefinitions$();
          const url$2 = this.referenceLabel$2;
          jsx$3.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this$3.appendPrefix__p1__T__T__T(this$3.responsesDefinitionsPrefix$1, url$2));
          break matchEnd6
        }
      };
      this.spec$1.ref__Lorg_yaml_model_YDocument$PartBuilder__T__V(b, this.referenceLabel$2)
    }
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter(x$1)) {
      const OasTagToReferenceEmitter$1 = x$1;
      const x = this.target$2;
      const x$2 = OasTagToReferenceEmitter$1.target$2;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.label$2;
        const x$4 = OasTagToReferenceEmitter$1.label$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.reference$2;
        const x$6 = OasTagToReferenceEmitter$1.reference$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.target$2;
        break
      }
      case 1: {
        return this.label$2;
        break
      }
      case 2: {
        return this.reference$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  amf$plugins$document$webapi$contexts$TagToReferenceEmitter$$undsetter$und$referenceLabel$und$eq__T__V(x$1) {
    this.referenceLabel$2 = x$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  follow__p2__Lamf_core_model_domain_DomainElement() {
    const x1 = this.target$2;
    if ($is_Lamf_core_model_domain_Linkable(x1)) {
      const this$1 = x1;
      if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$1).isDefined__Z()) {
        const this$2 = x1;
        const x1$2 = $f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(this$2);
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const t = x2$2.value$2;
          return t
        } else {
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Expected shape link target on ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.target$2]))))
        }
      }
    };
    return x1
  };
  label__s_Option() {
    return this.label$2
  };
  init___Lamf_core_model_domain_DomainElement__s_Option__sc_Seq__Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext(target, label, reference, spec) {
    this.target$2 = target;
    this.label$2 = label;
    this.reference$2 = reference;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter.prototype.init___Lamf_plugins_document_webapi_contexts_OasSpecEmitterContext.call(this, spec);
    $f_Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter__$$init$__V(this);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  position__Lamf_core_parser_Position() {
    const this$1 = $m_Lamf_core_emitter_BaseEmitters_package$();
    const annotations = this.target$2.annotations__Lamf_core_parser_Annotations();
    return this$1.pos__Lamf_core_parser_Annotations__jl_Class__Lamf_core_parser_Position(annotations, $d_Lamf_core_annotations_LexicalInformation.getClassOf())
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.OasTagToReferenceEmitter", {
  Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecEmitter: 1,
  O: 1,
  Lamf_plugins_document_webapi_contexts_BaseSpecEmitter: 1,
  Lamf_plugins_document_webapi_contexts_TagToReferenceEmitter: 1,
  Lamf_core_emitter_PartEmitter: 1,
  Lamf_core_emitter_Emitter: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_OasTagToReferenceEmitter;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.node$3 = null;
    this.map$3 = null;
    this.shape$3 = null
  };
  productPrefix__T() {
    return "FileShapeParser"
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YNode($$outer, node) {
    this.node$3 = node;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    this.map$3 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $$outer.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext());
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.map$3);
    this.shape$3 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    return this
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const FileShapeParser$1 = x$1;
      return this.node$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(FileShapeParser$1.node$3)
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.node$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  parse__Lamf_plugins_domain_shapes_models_FileShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const shape = this.shape$3;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic__parseOASFields__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map, shape);
    let rc6 = false;
    let x2 = null;
    const map$1 = this.map$3;
    const x1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$1).key__T__s_Option("fileTypes");
    matchEnd7: {
      if ($is_s_Some(x1)) {
        rc6 = true;
        x2 = x1;
        const entry = x2.value$2;
        const this$2 = entry.value$1;
        const x = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$2 = $m_Lorg_yaml_model_YType$().Seq$1;
        if ((x === x$2)) {
          const this$5 = this.shape$3;
          const field = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
          const jsx$2 = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).nodes$3;
          const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
            return (function(n$2) {
              const n = n$2;
              return new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(n.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), $this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3, new $c_Lamf_core_parser_Annotations().init___())
            })
          })(this));
          const this$4 = $m_sc_IndexedSeq$();
          const values = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBF$6);
          const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry.value$1);
          $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, values, annotations);
          break matchEnd7
        }
      };
      if (rc6) {
        const entry$2 = x2.value$2;
        const this$6 = entry$2.value$1;
        const x$3 = this$6.tag__Lorg_yaml_model_YTag().tagType$2;
        const x$4 = $m_Lorg_yaml_model_YType$().Str$1;
        if ((x$3 === x$4)) {
          const this$8 = this.shape$3;
          const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
          const values$1 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext()).text$3, new $c_Lamf_core_parser_Annotations().init___())]));
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$2.value$1);
          $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$8, field$1, values$1, annotations$1);
          break matchEnd7
        }
      };
      if (rc6) {
        const entry$3 = x2.value$2;
        const this$10 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const node = this.shape$3.id$1;
        const property = new $c_s_Some().init___O($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1.value$1.iri__T());
        const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Unexpected syntax for the fileTypes property: ", ""]));
        const this$9 = entry$3.value$1;
        const message = jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this$9.tag__Lorg_yaml_model_YTag().tagType$2]));
        const ast = entry$3.value$1;
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$10, id, node, property, message, ast);
        break matchEnd7
      }
    };
    const map$2 = this.map$3;
    const this$13 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const keyword = new $c_Lamf_core_utils_package$Strings().init___T("minimum").asRamlAnnotation__T();
    const this$14 = this$13.key__T__s_Option(keyword);
    if ((!this$14.isEmpty__Z())) {
      const arg1 = this$14.get__O();
      const entry$4 = arg1;
      const node$1 = entry$4.value$1;
      const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv);
      const this$16 = this.shape$3;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
      const value$1 = value.text__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$16, field$2, value$1, annotations$2)
    };
    const map$3 = this.map$3;
    const this$19 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const keyword$1 = new $c_Lamf_core_utils_package$Strings().init___T("maximum").asRamlAnnotation__T();
    const this$20 = this$19.key__T__s_Option(keyword$1);
    if ((!this$20.isEmpty__Z())) {
      const arg1$1 = this$20.get__O();
      const entry$5 = arg1$1;
      const node$2 = entry$5.value$1;
      const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$1);
      const this$22 = this.shape$3;
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
      const value$3 = value$2.text__Lamf_core_model_domain_AmfScalar();
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$22, field$3, value$3, annotations$3)
    };
    const map$4 = this.map$3;
    const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const jsx$4 = new $c_Lamf_core_utils_package$Strings().init___T("format").asRamlAnnotation__T();
    const this$25 = this.$$outer$1;
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$5.key__T__F1__V(jsx$4, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$25, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3));
    const map$5 = this.map$3;
    const this$27 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$28 = this$27.key__T__s_Option("multipleOf");
    if ((!this$28.isEmpty__Z())) {
      const arg1$2 = this$28.get__O();
      const entry$6 = arg1$2;
      const node$3 = entry$6.value$1;
      const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$4 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$3, iv$3);
      const this$30 = this.shape$3;
      const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
      const value$5 = value$4.text__Lamf_core_model_domain_AmfScalar();
      const annotations$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$6);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$30, field$5, value$5, annotations$4)
    };
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$3, this.map$3, "fileShape", this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser() {
    return this.$$outer$1
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$FileShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$FileShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser {
  constructor() {
    super();
    this.typeDef$3 = null;
    this.shape$3 = null;
    this.map$3 = null
  };
  productPrefix__T() {
    return "ScalarShapeParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const ScalarShapeParser$1 = x$1;
      const x = this.typeDef$3;
      const x$2 = ScalarShapeParser$1.typeDef$3;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$3;
        const x$4 = ScalarShapeParser$1.shape$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        return this.map$3.$$eq$eq__Lorg_yaml_model_YValueLike__Z(ScalarShapeParser$1.map$3)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.typeDef$3;
        break
      }
      case 1: {
        return this.shape$3;
        break
      }
      case 2: {
        return this.map$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  map__Lorg_yaml_model_YMap() {
    return this.map$3
  };
  ensurePrecision__s_Option__T__Lorg_yaml_model_YNode__V(dataType, value, ast) {
    if ((dataType.isDefined__Z() && $m_sjsr_RuntimeString$().endsWith__T__T__Z(dataType.get__O(), "#integer"))) {
      if (((value.indexOf(".") | 0) !== (-1))) {
        const this$4 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
        const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ParsingErrorSpecification$1.id__T();
        const node = this.shape$3.id$1;
        const property = $m_s_None$();
        $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$4, id, node, property, "Wrong precision for integer numeric facet value", ast)
      }
    }
  };
  parse__Lamf_plugins_domain_shapes_models_ScalarShape() {
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.parse__Lamf_plugins_domain_shapes_models_AnyShape.call(this);
    const map = this.map$3;
    const shape = this.shape$3;
    $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic__parseOASFields__Lorg_yaml_model_YMap__Lamf_core_model_domain_Shape__V(this, map, shape);
    const this$1 = this.$$outer$1;
    const map$1 = this.map$3;
    const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this$1, map$1);
    if (this$2.isEmpty__Z()) {
      const this$5 = this.shape$3;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$3), new $c_Lamf_core_parser_Annotations().init___());
      const annotations = new $c_Lamf_core_parser_Annotations().init___().$$plus$eq__Lamf_core_model_domain_Annotation__Lamf_core_parser_Annotations(new $c_Lamf_plugins_document_webapi_annotations_Inferred().init___());
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$5, field, value, annotations)
    } else {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$7 = this.shape$3;
      const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
      const value$1 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations($m_Lamf_plugins_domain_shapes_parser_XsdTypeDefMapping$().xsd__Lamf_plugins_domain_shapes_models_TypeDef__T(this.typeDef$3), new $c_Lamf_core_parser_Annotations().init___());
      const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations$1)
    };
    const map$2 = this.map$3;
    const this$9 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$2);
    const this$10 = this$9.key__T__s_Option("minimum");
    if ((!this$10.isEmpty__Z())) {
      const arg1$1 = this$10.get__O();
      const entry$3 = arg1$1;
      const node = entry$3.value$1;
      const iv = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$2 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node, iv);
      const this$12 = this.shape$3;
      this.ensurePrecision__s_Option__T__Lorg_yaml_model_YNode__V(this$12.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1).option$1, entry$3.value$1.toString__T(), entry$3.value$1);
      const this$13 = this.shape$3;
      const field$2 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
      const value$3 = value$2.text__Lamf_core_model_domain_AmfScalar();
      const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$3);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$13, field$2, value$3, annotations$2)
    };
    const map$3 = this.map$3;
    const this$15 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$3);
    const this$16 = this$15.key__T__s_Option("maximum");
    if ((!this$16.isEmpty__Z())) {
      const arg1$2 = this$16.get__O();
      const entry$4 = arg1$2;
      const node$1 = entry$4.value$1;
      const iv$1 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$4 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$1, iv$1);
      const this$18 = this.shape$3;
      this.ensurePrecision__s_Option__T__Lorg_yaml_model_YNode__V(this$18.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1).option$1, entry$4.value$1.toString__T(), entry$4.value$1);
      const this$19 = this.shape$3;
      const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
      const value$5 = value$4.text__Lamf_core_model_domain_AmfScalar();
      const annotations$3 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$4);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$19, field$3, value$5, annotations$3)
    };
    const map$4 = this.map$3;
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$4);
    const this$21 = this.$$outer$1;
    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    const iv$2 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
    jsx$1.key__T__F1__V("format", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this$21, field$4, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(this.shape$3).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
    const map$5 = this.map$3;
    const this$23 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map$5);
    const this$24 = this$23.key__T__s_Option("multipleOf");
    if ((!this$24.isEmpty__Z())) {
      const arg1$3 = this$24.get__O();
      const entry$5 = arg1$3;
      const node$2 = entry$5.value$1;
      const iv$3 = this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext();
      const value$6 = new $c_Lamf_core_parser_DefaultScalarNode().init___Lorg_yaml_model_YNode__Lorg_yaml_model_IllegalTypeHandler(node$2, iv$3);
      const this$26 = this.shape$3;
      this.ensurePrecision__s_Option__T__Lorg_yaml_model_YNode__V(this$26.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1).option$1, entry$5.value$1.toString__T(), entry$5.value$1);
      const this$27 = this.shape$3;
      const field$5 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
      const value$7 = value$6.text__Lamf_core_model_domain_AmfScalar();
      const annotations$4 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry$5);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$27, field$5, value$7, annotations$4)
    };
    const this$28 = this.shape$3;
    const this$29 = this$28.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1).option$1;
    const thiz = (this$29.isEmpty__Z() ? "#shape" : this$29.get__O());
    const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "#", 0);
    const this$32 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
    const x1 = $f_sc_IndexedSeqOptimized__last__O(this$32);
    const syntaxType = (((x1 === "integer") || ((x1 === "float") || ((x1 === "double") || ((x1 === "long") || (x1 === "number"))))) ? "numberScalarShape" : ((x1 === "string") ? "stringScalarShape" : ((x1 === "dateTime") ? "dateScalarShape" : "shape")));
    this.$$outer$1.ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext().closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(this.shape$3, this.map$3, syntaxType, this.$$outer$1.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$isAnnotation$f);
    return this.shape$3
  };
  shape__Lamf_core_model_domain_Shape() {
    return this.shape$3
  };
  shape__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.shape$3
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$CommonScalarParsingLogic$$$outer__Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser() {
    return this.$$outer$1
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_domain_shapes_models_ScalarShape__Lorg_yaml_model_YMap($$outer, typeDef, shape, map) {
    this.typeDef$3 = typeDef;
    this.shape$3 = shape;
    this.map$3 = map;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser.prototype.init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.call(this, $$outer);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$ScalarShapeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$AnyShapeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ShapeParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$CommonScalarParsingLogic: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$ScalarShapeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser {
  constructor() {
    super();
    this.root$3 = null
  };
  productPrefix__T() {
    return "Oas2DocumentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser(x$1)) {
      const Oas2DocumentParser$1 = x$1;
      const x = this.root$3;
      const x$2 = Oas2DocumentParser$1.root$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx) {
    this.root$3 = root;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser.prototype.init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, root, ctx);
    return this
  };
  ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext() {
    return this.ctx$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map) {
    const api = $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser.prototype.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi.call(this, map);
    const jsx$1 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
    const iv = this.ctx$2;
    jsx$1.key__T__F1__V("consumes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
    const iv$1 = this.ctx$2;
    jsx$2.key__T__F1__V("produces", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    const iv$2 = this.ctx$2;
    jsx$3.key__T__F1__V("schemes", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    return api
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.Oas2DocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas2DocumentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser {
  constructor() {
    super();
    this.root$3 = null
  };
  productPrefix__T() {
    return "Oas3DocumentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser(x$1)) {
      const Oas3DocumentParser$1 = x$1;
      const x = this.root$3;
      const x$2 = Oas3DocumentParser$1.root$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext(root, ctx) {
    this.root$3 = root;
    $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser.prototype.init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_OasWebApiContext.call(this, root, ctx);
    return this
  };
  ctx__Lamf_plugins_document_webapi_contexts_OasWebApiContext() {
    return this.ctx$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi(map) {
    const api = $c_Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser.prototype.parseWebApi__Lorg_yaml_model_YMap__Lamf_plugins_domain_webapi_models_WebApi.call(this, map);
    const jsx$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$1 = new $c_Lamf_core_utils_package$Strings().init___T("consumes").asOasExtension__T();
    const field = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Accepts$1;
    const iv = this.ctx$2;
    jsx$2.key__T__F1__V(jsx$1, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$3 = new $c_Lamf_core_utils_package$Strings().init___T("produces").asOasExtension__T();
    const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().ContentType$1;
    const iv$1 = this.ctx$2;
    jsx$4.key__T__F1__V(jsx$3, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$1, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const jsx$5 = new $c_Lamf_core_utils_package$Strings().init___T("schemes").asOasExtension__T();
    const field$2 = $m_Lamf_plugins_domain_webapi_metamodel_WebApiModel$().Schemes$1;
    const iv$2 = this.ctx$2;
    jsx$6.key__T__F1__V(jsx$5, new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$2, iv$2).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(api));
    return api
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.oas.Oas3DocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_oas_OasSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_oas_Oas3DocumentParser;
class $c_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ extends $c_O {
  constructor() {
    super();
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.type$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    this.type$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    return new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.AnyShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape extends $c_O {
  constructor() {
    super();
    this.Items$1 = null;
    this.MinItems$1 = null;
    this.MaxItems$1 = null;
    this.UniqueItems$1 = null;
    this.CollectionFormat$1 = null;
    this.fields$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.type$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Items$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "items"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Int$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MinItems$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "minCount"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Int$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MaxItems$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "maxCount"), true);
    const jsx$4 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.UniqueItems$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "uniqueItems"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.CollectionFormat$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "collectionFormat"), true);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.Items$1, this.MinItems$1, this.MaxItems$1, this.UniqueItems$1, this.CollectionFormat$1]);
    const this$12 = $m_sci_List$();
    const cbf = this$12.ReusableCBFInstance$2;
    const jsx$9 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$13 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$8 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$13);
    const this$14 = $m_sci_List$();
    const jsx$7 = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$14.ReusableCBFInstance$2);
    const jsx$6 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$15 = $m_sci_List$();
    this.fields$1 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$15.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    this.type$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
class $c_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ extends $c_O {
  constructor() {
    super();
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "NilShape");
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$1 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "Shape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$2, jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape")]);
    const this$8 = $m_sci_List$();
    const cbf = this$8.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  fields__sci_List() {
    return $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this)
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_NilShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.NilShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_NilShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ extends $c_O {
  constructor() {
    super();
    this.MinProperties$1 = null;
    this.MaxProperties$1 = null;
    this.Closed$1 = null;
    this.AdditionalPropertiesSchema$1 = null;
    this.Discriminator$1 = null;
    this.DiscriminatorValue$1 = null;
    this.DiscriminatorMapping$1 = null;
    this.Properties$1 = null;
    this.Dependencies$1 = null;
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Int$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.MinProperties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "minProperties"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Int$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.MaxProperties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "maxProperties"), true);
    const jsx$3 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Closed$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$3, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "closed"), true);
    const jsx$4 = $m_Lamf_core_metamodel_domain_ShapeModel$();
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.AdditionalPropertiesSchema$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "additionalPropertiesSchema"), true);
    const jsx$5 = $m_Lamf_core_metamodel_Type$Str$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Discriminator$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$5, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "discriminator"), true);
    const jsx$6 = $m_Lamf_core_metamodel_Type$Str$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.DiscriminatorValue$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "discriminatorValue"), true);
    const jsx$7 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_webapi_metamodel_IriTemplateMappingModel$());
    const this$13 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.DiscriminatorMapping$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$7, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$13, "discriminatorMapping"), true);
    const jsx$8 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$());
    const this$15 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.Properties$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$8, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$15, "property"), true);
    const jsx$9 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_plugins_domain_shapes_metamodel_PropertyDependenciesModel$());
    const this$17 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.Dependencies$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$9, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$17, "dependencies"), true);
    $m_sci_List$();
    const this$19 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$19, "NodeShape")]);
    const this$22 = $m_sci_List$();
    const cbf = this$22.ReusableCBFInstance$2;
    const jsx$13 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$12 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$23 = $m_sci_List$();
    const jsx$11 = jsx$13.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$12, this$23.ReusableCBFInstance$2);
    const jsx$10 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$24 = $m_sci_List$();
    this.type$1 = jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$24.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.MinProperties$1, this.MaxProperties$1, this.Closed$1, this.AdditionalPropertiesSchema$1, this.Discriminator$1, this.DiscriminatorValue$1, this.Properties$1, this.Dependencies$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$3 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$3);
    const this$4 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$5 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.NodeShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ extends $c_O {
  constructor() {
    super();
    this.MediaType$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.dynamic$1 = false;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Str$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.MediaType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "mediaType"), true);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.MediaType$1]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$7 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$5 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$6 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$5);
    const this$6 = $m_sci_List$();
    const jsx$5 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$6, this$6.ReusableCBFInstance$2);
    const jsx$4 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$7 = $m_sci_List$();
    const jsx$3 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$4, this$7.ReusableCBFInstance$2);
    const jsx$2 = $m_Lamf_core_metamodel_domain_LinkableElementModel$().fields$1;
    const this$8 = $m_sci_List$();
    this.fields$1 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$8.ReusableCBFInstance$2);
    $m_sci_List$();
    const this$9 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$9, "SchemaShape")]);
    const this$12 = $m_sci_List$();
    const cbf$1 = this$12.ReusableCBFInstance$2;
    const jsx$11 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    const jsx$10 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$13 = $m_sci_List$();
    const jsx$9 = jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$13.ReusableCBFInstance$2);
    const jsx$8 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$14 = $m_sci_List$();
    this.type$1 = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$14.ReusableCBFInstance$2);
    this.dynamic$1 = true;
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    /*<skip>*/
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  fields__sci_List() {
    return this.fields$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.SchemaShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ extends $c_O {
  constructor() {
    super();
    this.AnyOf$1 = null;
    this.type$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.AnyOf$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "anyOf"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "UnionShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Shape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.AnyOf$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const this$3 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$3 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$3);
    const this$4 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$4.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$5 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.UnionShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$
});
class $c_s_reflect_ManifestFactory$AnyManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Any";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_O.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_O.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$AnyManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyManifest$", {
  s_reflect_ManifestFactory$AnyManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyManifest$;
let $n_s_reflect_ManifestFactory$AnyManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$AnyManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$AnyManifest$)) {
    $n_s_reflect_ManifestFactory$AnyManifest$ = new $c_s_reflect_ManifestFactory$AnyManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyManifest$
});
class $c_s_reflect_ManifestFactory$AnyValManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "AnyVal";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_O.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_O.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$AnyValManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyValManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyValManifest$", {
  s_reflect_ManifestFactory$AnyValManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyValManifest$;
let $n_s_reflect_ManifestFactory$AnyValManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$AnyValManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$AnyValManifest$)) {
    $n_s_reflect_ManifestFactory$AnyValManifest$ = new $c_s_reflect_ManifestFactory$AnyValManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyValManifest$
});
class $c_s_reflect_ManifestFactory$NothingManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Nothing";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_sr_Nothing$.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_sr_Nothing$.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$NothingManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NothingManifest$: 0
}, false, "scala.reflect.ManifestFactory$NothingManifest$", {
  s_reflect_ManifestFactory$NothingManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NothingManifest$;
let $n_s_reflect_ManifestFactory$NothingManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$NothingManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$NothingManifest$)) {
    $n_s_reflect_ManifestFactory$NothingManifest$ = new $c_s_reflect_ManifestFactory$NothingManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NothingManifest$
});
class $c_s_reflect_ManifestFactory$NullManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Null";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_sr_Null$.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_sr_Null$.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$NullManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NullManifest$: 0
}, false, "scala.reflect.ManifestFactory$NullManifest$", {
  s_reflect_ManifestFactory$NullManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NullManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NullManifest$;
let $n_s_reflect_ManifestFactory$NullManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$NullManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$NullManifest$)) {
    $n_s_reflect_ManifestFactory$NullManifest$ = new $c_s_reflect_ManifestFactory$NullManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NullManifest$
});
class $c_s_reflect_ManifestFactory$ObjectManifest$ extends $c_s_reflect_ManifestFactory$PhantomManifest {
  init___() {
    this.toString$2 = "Object";
    const prefix = $m_s_None$();
    const typeArguments = $m_sci_Nil$();
    this.prefix$1 = prefix;
    this.runtimeClass1$1 = $d_O.getClassOf();
    this.typeArguments$1 = typeArguments;
    return this
  };
  newArray__I__O(len) {
    return $newArrayObject($d_O.getArrayOf(), [len])
  };
  runtimeClass__jl_Class() {
    return $d_O.getClassOf()
  };
}
const $d_s_reflect_ManifestFactory$ObjectManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ObjectManifest$: 0
}, false, "scala.reflect.ManifestFactory$ObjectManifest$", {
  s_reflect_ManifestFactory$ObjectManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ObjectManifest$;
let $n_s_reflect_ManifestFactory$ObjectManifest$ = (void 0);
const $m_s_reflect_ManifestFactory$ObjectManifest$ = (function() {
  if ((!$n_s_reflect_ManifestFactory$ObjectManifest$)) {
    $n_s_reflect_ManifestFactory$ObjectManifest$ = new $c_s_reflect_ManifestFactory$ObjectManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ObjectManifest$
});
const $is_sc_GenMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenMap)))
});
const $isArrayOf_sc_GenMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenMap)))
});
const $is_sc_GenSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSeq)))
});
const $isArrayOf_sc_GenSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSeq)))
});
const $is_scg_TraversableForwarder = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_TraversableForwarder)))
});
const $isArrayOf_scg_TraversableForwarder = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_TraversableForwarder)))
});
class $c_sci_Vector$ extends $c_scg_IndexedSeqFactory {
  constructor() {
    super();
    this.NIL$6 = null
  };
  init___() {
    $c_scg_GenTraversableFactory.prototype.init___.call(this);
    $n_sci_Vector$ = this;
    this.NIL$6 = new $c_sci_Vector().init___I__I__I(0, 0, 0);
    return this
  };
  empty__sc_GenTraversable() {
    return this.NIL$6
  };
  newBuilder__scm_Builder() {
    return new $c_sci_VectorBuilder().init___()
  };
}
const $d_sci_Vector$ = new $TypeData().initClass({
  sci_Vector$: 0
}, false, "scala.collection.immutable.Vector$", {
  sci_Vector$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Vector$.prototype.$classData = $d_sci_Vector$;
let $n_sci_Vector$ = (void 0);
const $m_sci_Vector$ = (function() {
  if ((!$n_sci_Vector$)) {
    $n_sci_Vector$ = new $c_sci_Vector$().init___()
  };
  return $n_sci_Vector$
});
class $c_Lamf_client_model_document_Extension extends $c_Lamf_client_model_document_Document {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_Extension.prototype.init___Lamf_plugins_document_webapi_model_Extension.call(this, new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Extension"
  };
  $$undinternal__Lamf_core_model_document_Document() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_Extension(x$1)) {
      const Extension$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Extension$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  init___Lamf_plugins_document_webapi_model_Extension(_internal) {
    $c_Lamf_client_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, _internal);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_Extension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_Extension)))
});
const $isArrayOf_Lamf_client_model_document_Extension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_Extension)))
});
const $d_Lamf_client_model_document_Extension = new $TypeData().initClass({
  Lamf_client_model_document_Extension: 0
}, false, "amf.client.model.document.Extension", {
  Lamf_client_model_document_Extension: 1,
  Lamf_client_model_document_Document: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  Lamf_client_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Extension.prototype.$classData = $d_Lamf_client_model_document_Extension;
class $c_Lamf_client_model_document_Overlay extends $c_Lamf_client_model_document_Document {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_document_Overlay.prototype.init___Lamf_plugins_document_webapi_model_Overlay.call(this, new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "Overlay"
  };
  $$undinternal__Lamf_core_model_document_Document() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_document_Overlay(x$1)) {
      const Overlay$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = Overlay$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_core_model_document_BaseUnit() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_EncodesModel() {
    return this.$$undinternal$1
  };
  $$undinternal__Lamf_core_model_document_DeclaresModel() {
    return this.$$undinternal$1
  };
  init___Lamf_plugins_document_webapi_model_Overlay(_internal) {
    $c_Lamf_client_model_document_Document.prototype.init___Lamf_core_model_document_Document.call(this, _internal);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_client_model_document_Overlay = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_document_Overlay)))
});
const $isArrayOf_Lamf_client_model_document_Overlay = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_document_Overlay)))
});
const $d_Lamf_client_model_document_Overlay = new $TypeData().initClass({
  Lamf_client_model_document_Overlay: 0
}, false, "amf.client.model.document.Overlay", {
  Lamf_client_model_document_Overlay: 1,
  Lamf_client_model_document_Document: 1,
  O: 1,
  Lamf_client_model_document_BaseUnit: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_document_EncodesModel: 1,
  Lamf_client_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_document_Overlay.prototype.$classData = $d_Lamf_client_model_document_Overlay;
class $c_Lamf_client_model_domain_PropertyShape extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withOr__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withOr__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$prop$xone__O() {
    return $f_Lamf_client_model_domain_Shape__xone__sjs_js_Array(this)
  };
  productPrefix__T() {
    return "PropertyShape"
  };
  withMinCount__I__Lamf_client_model_domain_PropertyShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_PropertyShape.prototype.init___Lamf_core_model_domain_extensions_PropertyShape.call(this, new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$prop$linkTarget__O() {
    return $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr(this)
  };
  $$js$exported$prop$deprecated__O() {
    return this.deprecated__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$withWriteOnly__Z__O(writeOnly) {
    return this.withWriteOnly__Z__Lamf_client_model_domain_PropertyShape(writeOnly)
  };
  $$js$exported$meth$withMaxCount__I__O(max) {
    return this.withMaxCount__I__Lamf_client_model_domain_PropertyShape(max)
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withPath__T__O(path) {
    return this.withPath__T__Lamf_client_model_domain_PropertyShape(path)
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$displayName__O() {
    return $f_Lamf_client_model_domain_Shape__displayName__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  minCount__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MinCount$1);
    $m_Lamf_client_convert_CoreClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_Shape__name__Lamf_client_model_StrField(this)
  };
  deprecated__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Deprecated$1);
    $m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$meth$withXone__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withXone__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$meth$withAnd__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withAnd__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_PropertyShape(x$1)) {
      const PropertyShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = PropertyShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  path__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$or__O() {
    return $f_Lamf_client_model_domain_Shape__or__sjs_js_Array(this)
  };
  $$js$exported$meth$withReadOnly__Z__O(readOnly) {
    return this.withReadOnly__Z__Lamf_client_model_domain_PropertyShape(readOnly)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$values__O() {
    return $f_Lamf_client_model_domain_Shape__values__sjs_js_Array(this)
  };
  $$js$exported$meth$withNode__Lamf_client_model_domain_Shape__O(shape) {
    return $f_Lamf_client_model_domain_Shape__withNode__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Shape(this, shape)
  };
  withWriteOnly__Z__Lamf_client_model_domain_PropertyShape(writeOnly) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().WriteOnly$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, writeOnly);
    return this
  };
  $$js$exported$prop$defaultValueStr__O() {
    return $f_Lamf_client_model_domain_Shape__defaultValueStr__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$withDefaultValue__Lamf_client_model_domain_DataNode__O($default) {
    return $f_Lamf_client_model_domain_Shape__withDefaultValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Shape(this, $default)
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  readOnly__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().ReadOnly$1);
    $m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$prop$range__O() {
    return this.range__Lamf_client_model_domain_Shape()
  };
  range__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1);
    const m = $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  withDeprecated__Z__Lamf_client_model_domain_PropertyShape(deprecated) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Deprecated$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, deprecated);
    return this
  };
  $$js$exported$prop$inherits__O() {
    return $f_Lamf_client_model_domain_Shape__inherits__sjs_js_Array(this)
  };
  $$js$exported$meth$withDisplayName__T__O(name) {
    return $f_Lamf_client_model_domain_Shape__withDisplayName__T__Lamf_client_model_domain_Shape(this, name)
  };
  $$js$exported$prop$and__O() {
    return $f_Lamf_client_model_domain_Shape__and__sjs_js_Array(this)
  };
  $$js$exported$prop$readOnly__O() {
    return this.readOnly__Lamf_client_model_BoolField()
  };
  $$js$exported$prop$maxCount__O() {
    return this.maxCount__Lamf_client_model_IntField()
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_PropertyShape()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  withRange__Lamf_client_model_domain_Shape__Lamf_client_model_domain_PropertyShape(range) {
    const this$1 = this.$$undinternal$1;
    const range$1 = range.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$1, field, range$1);
    return this
  };
  maxCount__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1);
    $m_Lamf_client_convert_CoreClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_PropertyShape()
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return $f_Lamf_client_model_domain_Shape__withDescription__T__Lamf_client_model_domain_Shape(this, description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$description__O() {
    return $f_Lamf_client_model_domain_Shape__description__Lamf_client_model_StrField(this)
  };
  withMaxCount__I__Lamf_client_model_domain_PropertyShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().MaxCount$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  $$js$exported$prop$writeOnly__O() {
    return this.writeOnly__Lamf_client_model_BoolField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  $$js$exported$prop$path__O() {
    return this.path__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withMinCount__I__O(min) {
    return this.withMinCount__I__Lamf_client_model_domain_PropertyShape(min)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$prop$minCount__O() {
    return this.minCount__Lamf_client_model_IntField()
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_Shape__withName__T__Lamf_client_model_domain_Shape(this, name)
  };
  withPath__T__Lamf_client_model_domain_PropertyShape(path) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Path$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, path);
    return this
  };
  linkCopy__Lamf_client_model_domain_PropertyShape() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_CoreClientConverters$().PropertyShapeMatcher__Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_extensions_PropertyShape__Lamf_client_model_domain_PropertyShape(from)
  };
  $$js$exported$meth$withRange__Lamf_client_model_domain_Shape__O(range) {
    return this.withRange__Lamf_client_model_domain_Shape__Lamf_client_model_domain_PropertyShape(range)
  };
  writeOnly__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().WriteOnly$1);
    $m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withInherits__sjs_js_Array__O(inherits) {
    return $f_Lamf_client_model_domain_Shape__withInherits__sjs_js_Array__Lamf_client_model_domain_Shape(this, inherits)
  };
  $$js$exported$prop$not__O() {
    return $f_Lamf_client_model_domain_Shape__not__Lamf_client_model_domain_Shape(this)
  };
  init___Lamf_core_model_domain_extensions_PropertyShape(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  $$js$exported$meth$withDefaultStr__T__O(value) {
    return $f_Lamf_client_model_domain_Shape__withDefaultStr__T__Lamf_client_model_domain_Shape(this, value)
  };
  $$js$exported$meth$withValues__sjs_js_Array__O(values) {
    return $f_Lamf_client_model_domain_Shape__withValues__sjs_js_Array__Lamf_client_model_domain_Shape(this, values)
  };
  withReadOnly__Z__Lamf_client_model_domain_PropertyShape(readOnly) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().ReadOnly$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, readOnly);
    return this
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal$1;
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$prop$defaultValue__O() {
    return $f_Lamf_client_model_domain_Shape__defaultValue__Lamf_client_model_domain_DataNode(this)
  };
  $$js$exported$meth$withDeprecated__Z__O(deprecated) {
    return this.withDeprecated__Z__Lamf_client_model_domain_PropertyShape(deprecated)
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withDefaultStr"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultStr__T__O(prep0)
  };
  "withNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNode__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withXone"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withXone__sjs_js_Array__O(prep0)
  };
  "withAnd"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAnd__sjs_js_Array__O(prep0)
  };
  "withOr"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOr__sjs_js_Array__O(prep0)
  };
  "withInherits"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInherits__sjs_js_Array__O(prep0)
  };
  "withValues"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValues__sjs_js_Array__O(prep0)
  };
  "withDefaultValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultValue__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "not"() {
    return this.$$js$exported$prop$not__O()
  };
  get "xone"() {
    return this.$$js$exported$prop$xone__O()
  };
  get "and"() {
    return this.$$js$exported$prop$and__O()
  };
  get "or"() {
    return this.$$js$exported$prop$or__O()
  };
  get "inherits"() {
    return this.$$js$exported$prop$inherits__O()
  };
  get "values"() {
    return this.$$js$exported$prop$values__O()
  };
  get "defaultValueStr"() {
    return this.$$js$exported$prop$defaultValueStr__O()
  };
  get "defaultValue"() {
    return this.$$js$exported$prop$defaultValue__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withDeprecated"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withDeprecated__Z__O(prep0)
  };
  "withWriteOnly"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withWriteOnly__Z__O(prep0)
  };
  "withReadOnly"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withReadOnly__Z__O(prep0)
  };
  "withMaxCount"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxCount__I__O(prep0)
  };
  "withMinCount"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinCount__I__O(prep0)
  };
  "withRange"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRange__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withPath"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPath__T__O(prep0)
  };
  get "deprecated"() {
    return this.$$js$exported$prop$deprecated__O()
  };
  get "writeOnly"() {
    return this.$$js$exported$prop$writeOnly__O()
  };
  get "readOnly"() {
    return this.$$js$exported$prop$readOnly__O()
  };
  get "maxCount"() {
    return this.$$js$exported$prop$maxCount__O()
  };
  get "minCount"() {
    return this.$$js$exported$prop$minCount__O()
  };
  get "range"() {
    return this.$$js$exported$prop$range__O()
  };
  get "path"() {
    return this.$$js$exported$prop$path__O()
  };
}
const $is_Lamf_client_model_domain_PropertyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_PropertyShape)))
});
const $isArrayOf_Lamf_client_model_domain_PropertyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_PropertyShape)))
});
const $d_Lamf_client_model_domain_PropertyShape = new $TypeData().initClass({
  Lamf_client_model_domain_PropertyShape: 0
}, false, "amf.client.model.domain.PropertyShape", {
  Lamf_client_model_domain_PropertyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_PropertyShape.prototype.$classData = $d_Lamf_client_model_domain_PropertyShape;
class $c_Lamf_client_model_domain_RecursiveShape extends $c_O {
  constructor() {
    super();
    this.$$undinternal$1 = null;
    this.platform$1 = null
  };
  $$js$exported$meth$withOr__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withOr__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  withFixPoint__T__Lamf_client_model_domain_RecursiveShape(shapeId) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, shapeId);
    return this
  };
  productPrefix__T() {
    return "RecursiveShape"
  };
  $$js$exported$prop$xone__O() {
    return $f_Lamf_client_model_domain_Shape__xone__sjs_js_Array(this)
  };
  $$js$exported$prop$linkTarget__O() {
    return $f_Lamf_client_model_domain_Linkable__linkTarget__sjs_js_UndefOr(this)
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$withLinkLabel__T__O(label) {
    return $f_Lamf_client_model_domain_Linkable__withLinkLabel__T__Lamf_client_model_domain_DomainElement(this, label)
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$graph__O() {
    return $f_Lamf_client_model_domain_DomainElement__graph__Lamf_client_model_domain_Graph(this)
  };
  $$js$exported$prop$displayName__O() {
    return $f_Lamf_client_model_domain_Shape__displayName__Lamf_client_model_StrField(this)
  };
  $$js$exported$prop$name__O() {
    return $f_Lamf_client_model_domain_Shape__name__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$withExtendsNode__sjs_js_Array__O(extension) {
    return $f_Lamf_client_model_domain_DomainElement__withExtendsNode__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extension)
  };
  $$js$exported$meth$withXone__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withXone__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_RecursiveShape(x$1)) {
      const RecursiveShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = RecursiveShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$meth$link$default$1__s_Option() {
    return $m_s_None$()
  };
  $$js$exported$meth$withAnd__sjs_js_Array__O(subShapes) {
    return $f_Lamf_client_model_domain_Shape__withAnd__sjs_js_Array__Lamf_client_model_domain_Shape(this, subShapes)
  };
  $$js$exported$prop$fixpoint__O() {
    return this.fixpoint__Lamf_client_model_StrField()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$or__O() {
    return $f_Lamf_client_model_domain_Shape__or__sjs_js_Array(this)
  };
  init___Lamf_core_model_domain_RecursiveShape(_internal) {
    this.$$undinternal$1 = _internal;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$values__O() {
    return $f_Lamf_client_model_domain_Shape__values__sjs_js_Array(this)
  };
  $$js$exported$meth$withNode__Lamf_client_model_domain_Shape__O(shape) {
    return $f_Lamf_client_model_domain_Shape__withNode__Lamf_client_model_domain_Shape__Lamf_client_model_domain_Shape(this, shape)
  };
  $$js$exported$prop$defaultValueStr__O() {
    return $f_Lamf_client_model_domain_Shape__defaultValueStr__Lamf_client_model_StrField(this)
  };
  $$js$exported$meth$withDefaultValue__Lamf_client_model_domain_DataNode__O($default) {
    return $f_Lamf_client_model_domain_Shape__withDefaultValue__Lamf_client_model_domain_DataNode__Lamf_client_model_domain_Shape(this, $default)
  };
  $$js$exported$prop$isLink__O() {
    return $f_Lamf_client_model_domain_Linkable__isLink__Z(this)
  };
  $$js$exported$prop$position__O() {
    return $f_Lamf_client_model_domain_DomainElement__position__Lamf_core_parser_Range(this)
  };
  $$js$exported$meth$withId__T__O(id) {
    return $f_Lamf_client_model_domain_DomainElement__withId__T__Lamf_client_model_domain_DomainElement(this, id)
  };
  $$js$exported$prop$inherits__O() {
    return $f_Lamf_client_model_domain_Shape__inherits__sjs_js_Array(this)
  };
  $$js$exported$meth$withDisplayName__T__O(name) {
    return $f_Lamf_client_model_domain_Shape__withDisplayName__T__Lamf_client_model_domain_Shape(this, name)
  };
  $$js$exported$meth$withFixPoint__T__O(shapeId) {
    return this.withFixPoint__T__Lamf_client_model_domain_RecursiveShape(shapeId)
  };
  $$js$exported$prop$and__O() {
    return $f_Lamf_client_model_domain_Shape__and__sjs_js_Array(this)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_Linkable()
  };
  $$js$exported$prop$customDomainProperties__O() {
    return $f_Lamf_client_model_domain_DomainElement__customDomainProperties__sjs_js_Array(this)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Recursive shape cannot be linked"))
  };
  $$js$exported$meth$link__s_Option__O(label) {
    return $f_Lamf_client_model_domain_Linkable__link__s_Option__O(this, label)
  };
  $$js$exported$prop$extendsNode__O() {
    return $f_Lamf_client_model_domain_DomainElement__extendsNode__sjs_js_Array(this)
  };
  $$js$exported$meth$withDescription__T__O(description) {
    return $f_Lamf_client_model_domain_Shape__withDescription__T__Lamf_client_model_domain_Shape(this, description)
  };
  $$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(extensions) {
    return $f_Lamf_client_model_domain_DomainElement__withCustomDomainProperties__sjs_js_Array__Lamf_client_model_domain_DomainElement(this, extensions)
  };
  $$js$exported$prop$id__O() {
    return this.$$undinternal$1.id$1
  };
  $$js$exported$prop$description__O() {
    return $f_Lamf_client_model_domain_Shape__description__Lamf_client_model_StrField(this)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  $$js$exported$meth$withName__T__O(name) {
    return $f_Lamf_client_model_domain_Shape__withName__T__Lamf_client_model_domain_Shape(this, name)
  };
  $$js$exported$prop$not__O() {
    return $f_Lamf_client_model_domain_Shape__not__Lamf_client_model_domain_Shape(this)
  };
  $$js$exported$meth$withInherits__sjs_js_Array__O(inherits) {
    return $f_Lamf_client_model_domain_Shape__withInherits__sjs_js_Array__Lamf_client_model_domain_Shape(this, inherits)
  };
  fixpoint__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_CoreClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_RecursiveShapeModel$().FixPoint$1);
    $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withValues__sjs_js_Array__O(values) {
    return $f_Lamf_client_model_domain_Shape__withValues__sjs_js_Array__Lamf_client_model_domain_Shape(this, values)
  };
  $$js$exported$meth$withDefaultStr__T__O(value) {
    return $f_Lamf_client_model_domain_Shape__withDefaultStr__T__Lamf_client_model_domain_Shape(this, value)
  };
  $$js$exported$prop$linkLabel__O() {
    const this$1 = this.$$undinternal$1;
    return $f_Lamf_core_model_domain_Linkable__linkLabel__s_Option(this$1)
  };
  $$js$exported$prop$defaultValue__O() {
    return $f_Lamf_client_model_domain_Shape__defaultValue__Lamf_client_model_domain_DataNode(this)
  };
  $$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(target) {
    return $f_Lamf_client_model_domain_Linkable__withLinkTarget__Lamf_client_model_domain_DomainElement__Lamf_client_model_domain_DomainElement(this, target)
  };
  "graph"() {
    return this.$$js$exported$meth$graph__O()
  };
  "withId"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withId__T__O(prep0)
  };
  "withExtendsNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withExtendsNode__sjs_js_Array__O(prep0)
  };
  "withCustomDomainProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withCustomDomainProperties__sjs_js_Array__O(prep0)
  };
  get "position"() {
    return this.$$js$exported$prop$position__O()
  };
  get "id"() {
    return this.$$js$exported$prop$id__O()
  };
  get "extendsNode"() {
    return this.$$js$exported$prop$extendsNode__O()
  };
  get "customDomainProperties"() {
    return this.$$js$exported$prop$customDomainProperties__O()
  };
  "link"(...arg$rest) {
    const prep0 = ((arg$rest[0] === (void 0)) ? this.$$js$exported$meth$link$default$1__s_Option() : arg$rest[0]);
    return this.$$js$exported$meth$link__s_Option__O(prep0)
  };
  "withLinkLabel"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkLabel__T__O(prep0)
  };
  "withLinkTarget"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withLinkTarget__Lamf_client_model_domain_DomainElement__O(prep0)
  };
  get "linkLabel"() {
    return this.$$js$exported$prop$linkLabel__O()
  };
  get "isLink"() {
    return this.$$js$exported$prop$isLink__O()
  };
  get "linkTarget"() {
    return this.$$js$exported$prop$linkTarget__O()
  };
  "withDefaultStr"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultStr__T__O(prep0)
  };
  "withNode"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withNode__Lamf_client_model_domain_Shape__O(prep0)
  };
  "withXone"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withXone__sjs_js_Array__O(prep0)
  };
  "withAnd"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAnd__sjs_js_Array__O(prep0)
  };
  "withOr"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withOr__sjs_js_Array__O(prep0)
  };
  "withInherits"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInherits__sjs_js_Array__O(prep0)
  };
  "withValues"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withValues__sjs_js_Array__O(prep0)
  };
  "withDefaultValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDefaultValue__Lamf_client_model_domain_DataNode__O(prep0)
  };
  "withDescription"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDescription__T__O(prep0)
  };
  "withDisplayName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDisplayName__T__O(prep0)
  };
  "withName"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withName__T__O(prep0)
  };
  get "not"() {
    return this.$$js$exported$prop$not__O()
  };
  get "xone"() {
    return this.$$js$exported$prop$xone__O()
  };
  get "and"() {
    return this.$$js$exported$prop$and__O()
  };
  get "or"() {
    return this.$$js$exported$prop$or__O()
  };
  get "inherits"() {
    return this.$$js$exported$prop$inherits__O()
  };
  get "values"() {
    return this.$$js$exported$prop$values__O()
  };
  get "defaultValueStr"() {
    return this.$$js$exported$prop$defaultValueStr__O()
  };
  get "defaultValue"() {
    return this.$$js$exported$prop$defaultValue__O()
  };
  get "description"() {
    return this.$$js$exported$prop$description__O()
  };
  get "displayName"() {
    return this.$$js$exported$prop$displayName__O()
  };
  get "name"() {
    return this.$$js$exported$prop$name__O()
  };
  "linkCopy"() {
    return this.$$js$exported$meth$linkCopy__O()
  };
  "withFixPoint"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFixPoint__T__O(prep0)
  };
  get "fixpoint"() {
    return this.$$js$exported$prop$fixpoint__O()
  };
}
const $is_Lamf_client_model_domain_RecursiveShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_RecursiveShape)))
});
const $isArrayOf_Lamf_client_model_domain_RecursiveShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_RecursiveShape)))
});
const $d_Lamf_client_model_domain_RecursiveShape = new $TypeData().initClass({
  Lamf_client_model_domain_RecursiveShape: 0
}, false, "amf.client.model.domain.RecursiveShape", {
  Lamf_client_model_domain_RecursiveShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_RecursiveShape.prototype.$classData = $d_Lamf_client_model_domain_RecursiveShape;
class $c_Lamf_core_model_document_Document extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Document"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_Document(x$1)) {
      const Document$1 = x$1;
      const x = this.fields__Lamf_core_parser_Fields();
      const x$2 = Document$1.fields__Lamf_core_parser_Fields();
      if ((x === x$2)) {
        const x$3 = this.annotations__Lamf_core_parser_Annotations();
        const x$4 = Document$1.annotations__Lamf_core_parser_Annotations();
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields__Lamf_core_parser_Fields();
        break
      }
      case 1: {
        return this.annotations__Lamf_core_parser_Annotations();
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_DocumentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  componentId__T() {
    return ""
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  references__sc_Seq() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_Document = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_Document)))
});
const $isArrayOf_Lamf_core_model_document_Document = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_Document)))
});
const $d_Lamf_core_model_document_Document = new $TypeData().initClass({
  Lamf_core_model_document_Document: 0
}, false, "amf.core.model.document.Document", {
  Lamf_core_model_document_Document: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_Document.prototype.$classData = $d_Lamf_core_model_document_Document;
class $c_Lamf_core_model_document_ExternalFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ExternalFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_ExternalFragment(x$1)) {
      const ExternalFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = ExternalFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ExternalFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_ExternalFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_ExternalFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_ExternalFragment)))
});
const $isArrayOf_Lamf_core_model_document_ExternalFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_ExternalFragment)))
});
const $d_Lamf_core_model_document_ExternalFragment = new $TypeData().initClass({
  Lamf_core_model_document_ExternalFragment: 0
}, false, "amf.core.model.document.ExternalFragment", {
  Lamf_core_model_document_ExternalFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_ExternalFragment.prototype.$classData = $d_Lamf_core_model_document_ExternalFragment;
class $c_Lamf_core_model_document_PayloadFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "PayloadFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_PayloadFragment(x$1)) {
      const PayloadFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = PayloadFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = PayloadFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_FragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  withMediaType__T__Lamf_core_model_document_PayloadFragment(mediaType) {
    const field = $m_Lamf_core_metamodel_document_PayloadFragmentModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this, field, mediaType);
    return this
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_PayloadFragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_PayloadFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_PayloadFragment)))
});
const $isArrayOf_Lamf_core_model_document_PayloadFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_PayloadFragment)))
});
const $d_Lamf_core_model_document_PayloadFragment = new $TypeData().initClass({
  Lamf_core_model_document_PayloadFragment: 0
}, false, "amf.core.model.document.PayloadFragment", {
  Lamf_core_model_document_PayloadFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_PayloadFragment.prototype.$classData = $d_Lamf_core_model_document_PayloadFragment;
class $c_Lamf_core_model_document_RecursiveUnit extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "RecursiveUnit"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_document_RecursiveUnit(x$1)) {
      const RecursiveUnit$1 = x$1;
      const x = this.fields$1;
      const x$2 = RecursiveUnit$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = RecursiveUnit$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_document_FragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_core_model_document_RecursiveUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_RecursiveUnit)))
});
const $isArrayOf_Lamf_core_model_document_RecursiveUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_RecursiveUnit)))
});
const $d_Lamf_core_model_document_RecursiveUnit = new $TypeData().initClass({
  Lamf_core_model_document_RecursiveUnit: 0
}, false, "amf.core.model.document.RecursiveUnit", {
  Lamf_core_model_document_RecursiveUnit: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_document_RecursiveUnit.prototype.$classData = $d_Lamf_core_model_document_RecursiveUnit;
class $c_Lamf_core_model_domain_RecursiveShape extends $c_Lamf_core_model_domain_Shape {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "RecursiveShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_RecursiveShape(x$1)) {
      const RecursiveShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = RecursiveShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = RecursiveShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Recursive shape cannot be linked"))
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_RecursiveShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    return "/recursion"
  };
  cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionErrorHandler, recursionBase, traversed) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const cloned = new $c_Lamf_core_model_domain_RecursiveShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.id$1 = this.id$1;
    this.copyFields__s_Option__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(recursionErrorHandler, cloned, $m_s_None$(), traversed);
    return cloned
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
}
const $is_Lamf_core_model_domain_RecursiveShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_RecursiveShape)))
});
const $isArrayOf_Lamf_core_model_domain_RecursiveShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_RecursiveShape)))
});
const $d_Lamf_core_model_domain_RecursiveShape = new $TypeData().initClass({
  Lamf_core_model_domain_RecursiveShape: 0
}, false, "amf.core.model.domain.RecursiveShape", {
  Lamf_core_model_domain_RecursiveShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_RecursiveShape.prototype.$classData = $d_Lamf_core_model_domain_RecursiveShape;
class $c_Lamf_core_model_domain_extensions_PropertyShape extends $c_Lamf_core_model_domain_Shape {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  productPrefix__T() {
    return "PropertyShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_core_model_domain_extensions_PropertyShape(x$1)) {
      const PropertyShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = PropertyShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = PropertyShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  adopted__T__Lamf_core_model_domain_extensions_PropertyShape(parent) {
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent);
    if ($m_s_Option$().apply__O__s_Option(this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1)).isDefined__Z()) {
      this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_extensions_PropertyShapeModel$().Range$1).adopted__T__Lamf_core_model_domain_AmfObject(this.id$1)
    };
    return this
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-property" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/property/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionErrorHandler, recursionBase, traversed) {
    return this.cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(recursionErrorHandler, recursionBase, traversed)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_core_model_domain_extensions_PropertyShape(parent)
  };
  cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_extensions_PropertyShape(recursionErrorHandler, withRecursionBase, traversed) {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lamf_core_parser_Annotations__Lamf_core_parser_Annotations(this.annotations$2);
    const cloned = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    cloned.id$1 = this.id$1;
    this.copyFields__s_Option__Lamf_core_model_domain_Shape__s_Option__sci_Set__V(recursionErrorHandler, cloned, withRecursionBase, traversed);
    return cloned
  };
}
const $is_Lamf_core_model_domain_extensions_PropertyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_domain_extensions_PropertyShape)))
});
const $isArrayOf_Lamf_core_model_domain_extensions_PropertyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_domain_extensions_PropertyShape)))
});
const $d_Lamf_core_model_domain_extensions_PropertyShape = new $TypeData().initClass({
  Lamf_core_model_domain_extensions_PropertyShape: 0
}, false, "amf.core.model.domain.extensions.PropertyShape", {
  Lamf_core_model_domain_extensions_PropertyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_model_domain_extensions_PropertyShape.prototype.$classData = $d_Lamf_core_model_domain_extensions_PropertyShape;
class $c_Lamf_core_parser_Fields$BoolFieldImpl extends $c_O {
  constructor() {
    super();
    this.option$1 = null;
    this.annotations$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "BoolFieldImpl"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_parser_Fields$BoolFieldImpl(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const BoolFieldImpl$1 = x$1;
      const x = this.option$1;
      const x$2 = BoolFieldImpl$1.option$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = BoolFieldImpl$1.annotations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.field$1;
        const x$6 = BoolFieldImpl$1.field$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.option$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_core_model_ValueField__toString__T(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field($$outer, s, f) {
    const this$1 = $m_s_Option$().apply__O__s_Option(s.value$1);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O((!(!arg1)))
    };
    $c_Lamf_core_parser_Fields$BoolFieldImpl.prototype.init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field.call(this, $$outer, jsx$1, s.annotations$1, f);
    return this
  };
  option__s_Option() {
    return this.option$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field($$outer, option, annotations, field) {
    this.option$1 = option;
    this.annotations$1 = annotations;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_core_parser_Fields$BoolFieldImpl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Fields$BoolFieldImpl)))
});
const $isArrayOf_Lamf_core_parser_Fields$BoolFieldImpl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Fields$BoolFieldImpl)))
});
const $d_Lamf_core_parser_Fields$BoolFieldImpl = new $TypeData().initClass({
  Lamf_core_parser_Fields$BoolFieldImpl: 0
}, false, "amf.core.parser.Fields$BoolFieldImpl", {
  Lamf_core_parser_Fields$BoolFieldImpl: 1,
  O: 1,
  Lamf_core_model_BoolField: 1,
  Lamf_core_model_BaseAnyValField: 1,
  Lamf_core_model_BaseField: 1,
  Lamf_core_model_Annotable: 1,
  Lamf_core_model_ValueField: 1,
  Lamf_core_parser_Fields$FieldRemover: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Fields$BoolFieldImpl.prototype.$classData = $d_Lamf_core_parser_Fields$BoolFieldImpl;
class $c_Lamf_core_parser_Fields$DoubleFieldImpl extends $c_O {
  constructor() {
    super();
    this.option$1 = null;
    this.annotations$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "DoubleFieldImpl"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_parser_Fields$DoubleFieldImpl(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const DoubleFieldImpl$1 = x$1;
      const x = this.option$1;
      const x$2 = DoubleFieldImpl$1.option$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = DoubleFieldImpl$1.annotations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.field$1;
        const x$6 = DoubleFieldImpl$1.field$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.option$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_core_model_ValueField__toString__T(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field($$outer, s, f) {
    const this$1 = $m_s_Option$().apply__O__s_Option(s.value$1);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O((+arg1))
    };
    $c_Lamf_core_parser_Fields$DoubleFieldImpl.prototype.init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field.call(this, $$outer, jsx$1, s.annotations$1, f);
    return this
  };
  option__s_Option() {
    return this.option$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field($$outer, option, annotations, field) {
    this.option$1 = option;
    this.annotations$1 = annotations;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_core_parser_Fields$DoubleFieldImpl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Fields$DoubleFieldImpl)))
});
const $isArrayOf_Lamf_core_parser_Fields$DoubleFieldImpl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Fields$DoubleFieldImpl)))
});
const $d_Lamf_core_parser_Fields$DoubleFieldImpl = new $TypeData().initClass({
  Lamf_core_parser_Fields$DoubleFieldImpl: 0
}, false, "amf.core.parser.Fields$DoubleFieldImpl", {
  Lamf_core_parser_Fields$DoubleFieldImpl: 1,
  O: 1,
  Lamf_core_model_DoubleField: 1,
  Lamf_core_model_BaseAnyValField: 1,
  Lamf_core_model_BaseField: 1,
  Lamf_core_model_Annotable: 1,
  Lamf_core_model_ValueField: 1,
  Lamf_core_parser_Fields$FieldRemover: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Fields$DoubleFieldImpl.prototype.$classData = $d_Lamf_core_parser_Fields$DoubleFieldImpl;
class $c_Lamf_core_parser_Fields$IntFieldImpl extends $c_O {
  constructor() {
    super();
    this.option$1 = null;
    this.annotations$1 = null;
    this.field$1 = null;
    this.$$outer$1 = null
  };
  productPrefix__T() {
    return "IntFieldImpl"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_core_parser_Fields$IntFieldImpl(x$1) && (x$1.$$outer$1 === this.$$outer$1))) {
      const IntFieldImpl$1 = x$1;
      const x = this.option$1;
      const x$2 = IntFieldImpl$1.option$1;
      let jsx$1;
      if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
        const x$3 = this.annotations$1;
        const x$4 = IntFieldImpl$1.annotations$1;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.field$1;
        const x$6 = IntFieldImpl$1.field$1;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.option$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      case 2: {
        return this.field$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $f_Lamf_core_model_ValueField__toString__T(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_model_domain_AmfScalar__Lamf_core_metamodel_Field($$outer, s, f) {
    const this$1 = $m_s_Option$().apply__O__s_Option(s.value$1);
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      jsx$1 = new $c_s_Some().init___O((arg1 | 0))
    };
    $c_Lamf_core_parser_Fields$IntFieldImpl.prototype.init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field.call(this, $$outer, jsx$1, s.annotations$1, f);
    return this
  };
  option__s_Option() {
    return this.option$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__s_Option__Lamf_core_parser_Annotations__Lamf_core_metamodel_Field($$outer, option, annotations, field) {
    this.option$1 = option;
    this.annotations$1 = annotations;
    this.field$1 = field;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
}
const $is_Lamf_core_parser_Fields$IntFieldImpl = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_parser_Fields$IntFieldImpl)))
});
const $isArrayOf_Lamf_core_parser_Fields$IntFieldImpl = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_parser_Fields$IntFieldImpl)))
});
const $d_Lamf_core_parser_Fields$IntFieldImpl = new $TypeData().initClass({
  Lamf_core_parser_Fields$IntFieldImpl: 0
}, false, "amf.core.parser.Fields$IntFieldImpl", {
  Lamf_core_parser_Fields$IntFieldImpl: 1,
  O: 1,
  Lamf_core_model_IntField: 1,
  Lamf_core_model_BaseAnyValField: 1,
  Lamf_core_model_BaseField: 1,
  Lamf_core_model_Annotable: 1,
  Lamf_core_model_ValueField: 1,
  Lamf_core_parser_Fields$FieldRemover: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_core_parser_Fields$IntFieldImpl.prototype.$classData = $d_Lamf_core_parser_Fields$IntFieldImpl;
class $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.composedDialects$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DialectInstanceFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment(x$1)) {
      const DialectInstanceFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectInstanceFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectInstanceFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  componentId__T() {
    return ""
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  composedDialects$und$eq__sci_Map__V(x$1) {
    this.composedDialects$1 = x$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    $f_Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectInstanceFragment", {
  Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectInstanceFragment;
class $c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.composedDialects$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DialectInstanceLibrary"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary(x$1)) {
      const DialectInstanceLibrary$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectInstanceLibrary$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectInstanceLibrary$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceLibraryModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  componentId__T() {
    return ""
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  composedDialects$und$eq__sci_Map__V(x$1) {
    this.composedDialects$1 = x$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    $f_Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectInstanceLibrary", {
  Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectInstanceLibrary;
class $c_Lamf_plugins_document_vocabularies_model_document_DialectLibrary extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DialectLibrary"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary(x$1)) {
      const DialectLibrary$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectLibrary$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectLibrary$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectLibraryModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_DialectLibrary = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectLibrary)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_DialectLibrary = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectLibrary)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_DialectLibrary = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectLibrary: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectLibrary", {
  Lamf_plugins_document_vocabularies_model_document_DialectLibrary: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  Lamf_plugins_document_vocabularies_model_document_MappingDeclarer: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectLibrary.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectLibrary;
class $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext extends $c_Lamf_core_parser_ParserContext {
  constructor() {
    super();
    this.wrapped$2 = null;
    this.ds$2 = null;
    this.declarations$2 = null;
    this.dialect$2 = null;
    this.library$2 = null;
    this.nodeMapping$2 = null;
    this.fragment$2 = null;
    this.propertyMapping$2 = null;
    this.documentsMapping$2 = null
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$2 = wrapped;
    this.ds$2 = ds;
    $c_Lamf_core_parser_ParserContext.prototype.init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I.call(this, wrapped.rootContextDocument$1, wrapped.refs$1, wrapped.futureDeclarations$1, wrapped.parserCount$1);
    $f_Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax__$$init$__V(this);
    let jsx$1;
    if (ds.isEmpty__Z()) {
      const x$21 = new $c_s_Some().init___O(this);
      const x$22 = this.futureDeclarations$1;
      const x$23 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_dialects_DialectDeclarations().init___sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$23, x$21, x$22)
    } else {
      jsx$1 = ds.get__O()
    };
    this.declarations$2 = jsx$1;
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_dialects_DialectContext: 0
}, false, "amf.plugins.document.vocabularies.parser.dialects.DialectContext", {
  Lamf_plugins_document_vocabularies_parser_dialects_DialectContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_vocabularies_parser_dialects_DialectSyntax: 1,
  Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter: 1
});
$c_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_dialects_DialectContext;
class $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext extends $c_Lamf_core_parser_ParserContext {
  constructor() {
    super();
    this.wrapped$2 = null;
    this.ds$2 = null;
    this.imported$2 = null;
    this.pendingLocal$2 = null;
    this.declarations$2 = null;
    this.vocabulary$2 = null;
    this.classTerm$2 = null;
    this.propertyTerm$2 = null
  };
  resolveClassTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(base, classTermAlias, where, strictLocal) {
    if (((classTermAlias.indexOf(".") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(classTermAlias, "\\.", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const prefix = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(classTermAlias, "\\.", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const value = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const x1 = this.declarations$2.externals$2.get__O__s_Option(prefix);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const external = x2.value$2;
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""]));
        const this$10 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
        const this$11 = this$10.option$1;
        return new $c_s_Some().init___O(jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$11.isEmpty__Z() ? null : this$11.get__O()), value])))
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const x1$2 = this.declarations$2.libraries$1.get__O__s_Option(prefix);
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const vocab = x2$2.value$2;
            if ($is_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations(vocab)) {
              const x3 = vocab;
              return x3.getClassTermId__T__s_Option(value)
            }
          };
          return $m_s_None$()
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    } else {
      const local = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([base, classTermAlias]));
      const x1$3 = this.declarations$2.getClassTermId__T__s_Option(classTermAlias);
      if ((!$is_s_Some(x1$3))) {
        const x$3 = $m_s_None$();
        if ((x$3 === x1$3)) {
          if (strictLocal) {
            const jsx$3 = this.pendingLocal$2;
            const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T3().init___O__O__O(local, classTermAlias, where)]));
            const this$12 = $m_sc_Seq$();
            this.pendingLocal$2 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$12.ReusableCBFInstance$2)
          }
        } else {
          throw new $c_s_MatchError().init___O(x1$3)
        }
      };
      return new $c_s_Some().init___O(local)
    }
  };
  register__T__Lamf_plugins_document_vocabularies_model_domain_ClassTerm__V(alias, classTerm) {
    this.pendingLocal$2 = this.pendingLocal$2.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, classTerm$1) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        const x = x$2.$$und1$1;
        const x$3 = classTerm$1.id$1;
        return (!((x === null) ? (x$3 === null) : $objectEquals(x, x$3)))
      })
    })(this, classTerm)));
    this.declarations$2.classTerms$2 = this.declarations$2.classTerms$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, classTerm))
  };
  terms__sc_Seq() {
    const this$1 = this.declarations$2.classTerms$2;
    const this$2 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$1);
    const jsx$2 = this$2.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
    const this$3 = this.declarations$2.propertyTerms$2;
    const this$4 = new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this$3);
    const jsx$1 = this$4.$$outer$3.valuesIterator__sc_Iterator().toStream__sci_Stream();
    const this$5 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$5.ReusableCBFInstance$2)
  };
  registerVocabulary__T__Lamf_plugins_document_vocabularies_model_document_Vocabulary__V(alias, vocabulary) {
    this.imported$2 = this.imported$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, vocabulary))
  };
  register__T__Lamf_plugins_document_vocabularies_model_domain_PropertyTerm__V(alias, propertyTerm) {
    this.pendingLocal$2 = this.pendingLocal$2.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, propertyTerm$1) {
      return (function(x$3$2) {
        const x$3 = x$3$2;
        const x = x$3.$$und1$1;
        const x$2 = propertyTerm$1.id$1;
        return (!((x === null) ? (x$2 === null) : $objectEquals(x, x$2)))
      })
    })(this, propertyTerm)));
    this.declarations$2.propertyTerms$2 = this.declarations$2.propertyTerms$2.$$plus__T2__sci_Map(new $c_T2().init___O__O(alias, propertyTerm))
  };
  resolvePropertyTermAlias__T__T__Lorg_yaml_model_YPart__Z__s_Option(base, propertyTermAlias, where, strictLocal) {
    if (((propertyTermAlias.indexOf(".") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(propertyTermAlias, "\\.", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      const prefix = $f_sc_IndexedSeqOptimized__head__O(this$6);
      const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(propertyTermAlias, "\\.", 0);
      const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
      const value = $f_sc_IndexedSeqOptimized__last__O(this$9);
      const x1 = this.declarations$2.externals$2.get__O__s_Option(prefix);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const external = x2.value$2;
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""]));
        const this$10 = external.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_ExternalModel$().Base$1);
        const this$11 = this$10.option$1;
        return new $c_s_Some().init___O(jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$11.isEmpty__Z() ? null : this$11.get__O()), value])))
      } else {
        const x = $m_s_None$();
        if ((x === x1)) {
          const x1$2 = this.declarations$2.libraries$1.get__O__s_Option(prefix);
          if ($is_s_Some(x1$2)) {
            const x2$2 = x1$2;
            const vocab = x2$2.value$2;
            if ($is_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations(vocab)) {
              const x3 = vocab;
              return x3.getPropertyTermId__T__s_Option(value)
            }
          };
          return $m_s_None$()
        } else {
          throw new $c_s_MatchError().init___O(x1)
        }
      }
    } else {
      const local = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([base, propertyTermAlias]));
      const x1$3 = this.declarations$2.getPropertyTermId__T__s_Option(propertyTermAlias);
      if ((!$is_s_Some(x1$3))) {
        const x$3 = $m_s_None$();
        if ((x$3 === x1$3)) {
          if (strictLocal) {
            const jsx$3 = this.pendingLocal$2;
            const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T3().init___O__O__O(local, propertyTermAlias, where)]));
            const this$12 = $m_sc_Seq$();
            this.pendingLocal$2 = jsx$3.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$12.ReusableCBFInstance$2)
          }
        } else {
          throw new $c_s_MatchError().init___O(x1$3)
        }
      };
      return new $c_s_Some().init___O(local)
    }
  };
  init___Lamf_core_parser_ParserContext__s_Option(wrapped, ds) {
    this.wrapped$2 = wrapped;
    this.ds$2 = ds;
    $c_Lamf_core_parser_ParserContext.prototype.init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I.call(this, wrapped.rootContextDocument$1, wrapped.refs$1, wrapped.futureDeclarations$1, wrapped.parserCount$1);
    $f_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax__$$init$__V(this);
    this.imported$2 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
    this.pendingLocal$2 = $m_sci_Nil$();
    let jsx$1;
    if (ds.isEmpty__Z()) {
      const x$22 = new $c_s_Some().init___O(this);
      const x$23 = this.futureDeclarations$1;
      const x$24 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$25 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$26 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$27 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      jsx$1 = new $c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyDeclarations().init___sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$24, x$25, x$26, x$27, x$22, x$23)
    } else {
      jsx$1 = ds.get__O()
    };
    this.declarations$2 = jsx$1;
    return this
  };
}
const $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext: 0
}, false, "amf.plugins.document.vocabularies.parser.vocabularies.VocabularyContext", {
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularySyntax: 1,
  Lamf_plugins_document_vocabularies_parser_common_SyntaxErrorReporter: 1
});
$c_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext.prototype.$classData = $d_Lamf_plugins_document_vocabularies_parser_vocabularies_VocabularyContext;
class $c_Lamf_plugins_document_webapi_contexts_WebApiContext extends $c_Lamf_core_parser_ParserContext {
  constructor() {
    super();
    this.wrapped$2 = null;
    this.ds$2 = null;
    this.declarations$2 = null;
    this.localJSONSchemaContext$2 = null;
    this.platform$2 = null
  };
  checkDuplicates__T__Lorg_yaml_model_YMap__T__Z__sci_Set(node, ast, shape, annotation) {
    return ast.entries$3.foldLeft__O__F2__O($m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this, node$1) {
      return (function(x0$1$2, x1$1$2) {
        const x0$1 = x0$1$2;
        const x1$1 = x1$1$2;
        const x1$2 = x0$1.contains__O__Z(x1$1.key$1.toString__T());
        if ((x1$2 === true)) {
          const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().DuplicatedPropertySpecification$1.id__T();
          const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property '", "' is duplicated"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1$1.key$1]));
          const property = $m_s_None$();
          $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V($this, id, node$1, property, message, x1$1);
          return x0$1
        } else if ((x1$2 === false)) {
          const array = [x1$1.key$1.toString__T()];
          let jsx$1;
          if (((array.length | 0) === 0)) {
            jsx$1 = $m_sci_Set$EmptySet$()
          } else {
            const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_Set$EmptySet$());
            let i = 0;
            const len = (array.length | 0);
            while ((i < len)) {
              const index = i;
              const arg1 = array[index];
              b.$$plus$eq__O__scm_SetBuilder(arg1);
              i = ((1 + i) | 0)
            };
            jsx$1 = b.elems$1
          };
          return x0$1.$$plus$plus__sc_GenTraversableOnce__sc_Set(jsx$1)
        } else {
          throw new $c_s_MatchError().init___O(x1$2)
        }
      })
    })(this, node)))
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.wrapped$2 = wrapped;
    this.ds$2 = ds;
    $c_Lamf_core_parser_ParserContext.prototype.init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I.call(this, loc, refs, wrapped.futureDeclarations$1, wrapped.parserCount$1);
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$2 = this$1.platform$1;
    let jsx$1;
    if (ds.isEmpty__Z()) {
      const x$6 = $m_s_None$();
      const x$7 = new $c_s_Some().init___O(this);
      const x$8 = this.futureDeclarations$1;
      const x$9 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$10 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$11 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$12 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$13 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$14 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$15 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$16 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$17 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      const x$18 = $m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$());
      jsx$1 = new $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations().init___s_Option__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__sci_Map__s_Option__Lamf_core_parser_FutureDeclarations(x$6, x$9, x$10, x$11, x$12, x$13, x$14, x$15, x$16, x$17, x$18, x$7, x$8)
    } else {
      jsx$1 = ds.get__O()
    };
    this.declarations$2 = jsx$1;
    let jsx$2;
    if ($is_Lamf_plugins_document_webapi_contexts_WebApiContext(wrapped)) {
      const x2 = wrapped;
      jsx$2 = x2.localJSONSchemaContext$2
    } else {
      jsx$2 = $m_s_None$()
    };
    this.localJSONSchemaContext$2 = jsx$2;
    this.globalSpace$1 = wrapped.globalSpace$1;
    return this
  };
  resolvedPath__T__T__T(base, str) {
    if ((((str.length | 0) >= 0) && (str.substring(0, ("/".length | 0)) === "/"))) {
      return str
    } else if (((str.indexOf("://") | 0) !== (-1))) {
      return str
    } else if ((((str.length | 0) >= 0) && (str.substring(0, ("#".length | 0)) === "#"))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(base, "#", 0);
      const this$16 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      return (("" + $f_sc_IndexedSeqOptimized__head__O(this$16)) + str)
    } else {
      return (("" + this.basePath__T__T(base)) + str)
    }
  };
  closedShape__T__Lorg_yaml_model_YMap__T__Z__V(node, ast, shape, annotation) {
    this.checkDuplicates__T__Lorg_yaml_model_YMap__T__Z__sci_Set(node, ast, shape, annotation);
    const x1 = this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().get__O__s_Option(shape);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const props = x2.value$2;
      const properties = (annotation ? props.$$plus$plus__sc_GenTraversableOnce__sc_Set(this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().apply__O__O("annotation")) : props);
      ast.entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, node$1, shape$1, properties$1) {
        return (function(entry$2) {
          const entry = entry$2;
          const key = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
          if ((!$this.ignore__T__T__Z(shape$1, key))) {
            if ((!properties$1.contains__O__Z(key))) {
              const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ClosedShapeSpecification$1.id__T();
              const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Property ", " not supported in a ", " ", " node"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([key, $this.vendor__Lamf_core_remote_Vendor(), shape$1]));
              const property = $m_s_None$();
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V($this, id, node$1, property, message, entry)
            }
          }
        })
      })(this, node, shape, properties)))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot validate unknown node type ", " for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shape, this.vendor__Lamf_core_remote_Vendor()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  findLocalJSONPath__T__s_Option(path) {
    const x1 = this.localJSONSchemaContext$2;
    const x = $m_s_None$();
    if ((x === x1)) {
      return $m_s_None$()
    } else if ($is_s_Some(x1)) {
      const x2 = x1;
      const schema = x2.value$2;
      let tmp = schema;
      let name = "schema";
      const thiz = path.split("#").join("");
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, "/", 0);
      const b = new $c_scm_ArrayBuilder$ofRef().init___s_reflect_ClassTag($m_s_reflect_ClassTag$().apply__jl_Class__s_reflect_ClassTag($objectGetClass(xs).getComponentType__jl_Class()));
      let i = 0;
      const len = xs.u.length;
      while ((i < len)) {
        const index = i;
        const arg1 = xs.u[index];
        const x$5 = arg1;
        if (((x$5 !== "") !== false)) {
          b.$$plus$eq__O__scm_ArrayBuilder$ofRef(arg1)
        };
        i = ((1 + i) | 0)
      };
      let parts = b.result__AO();
      let error = false;
      while (true) {
        const xs$1 = parts;
        if (((xs$1.u.length !== 0) && (!error))) {
          const this$10 = tmp;
          const x1$2 = this$10.tag__Lorg_yaml_model_YTag().tagType$2;
          const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
          if ((x$3 === x1$2)) {
            const xs$2 = parts;
            const this$12 = new $c_scm_ArrayOps$ofRef().init___AO(xs$2);
            const nextPart = $f_sc_IndexedSeqOptimized__head__O(this$12);
            const xs$3 = parts;
            if ((xs$3.u.length === 0)) {
              if ((xs$3.u.length === 0)) {
                throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
              };
              const until = xs$3.u.length;
              const x$1 = ((until > 0) ? until : 0);
              const y = xs$3.u.length;
              const hi = ((x$1 < y) ? x$1 : y);
              const x$2 = (((-1) + hi) | 0);
              const size = ((x$2 > 0) ? x$2 : 0);
              const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$3).getComponentType__jl_Class(), size);
              if ((size > 0)) {
                $m_s_Array$().copy__O__I__O__I__I__V(xs$3, 1, result, 0, size)
              };
              parts = result
            } else {
              const until$1 = xs$3.u.length;
              const x$4 = ((until$1 > 0) ? until$1 : 0);
              const y$1 = xs$3.u.length;
              const hi$1 = ((x$4 < y$1) ? x$4 : y$1);
              const x$6 = (((-1) + hi$1) | 0);
              const size$1 = ((x$6 > 0) ? x$6 : 0);
              const result$1 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$3).getComponentType__jl_Class(), size$1);
              if ((size$1 > 0)) {
                $m_s_Array$().copy__O__I__O__I__I__V(xs$3, 1, result$1, 0, size$1)
              };
              parts = result$1
            };
            const map = tmp.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const x1$3 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(nextPart);
            if ($is_s_Some(x1$3)) {
              const x2$2 = x1$3;
              const entry = x2$2.value$2;
              name = nextPart;
              tmp = entry.value$1
            } else {
              error = true
            }
          } else {
            const x$7 = $m_Lorg_yaml_model_YType$().Seq$1;
            if ((x$7 === x1$2)) {
              const xs$4 = parts;
              const this$36 = new $c_scm_ArrayOps$ofRef().init___AO(xs$4);
              const nextPart$2 = $f_sc_IndexedSeqOptimized__head__O(this$36);
              const xs$5 = parts;
              if ((xs$5.u.length === 0)) {
                if ((xs$5.u.length === 0)) {
                  throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
                };
                const until$2 = xs$5.u.length;
                const x$8 = ((until$2 > 0) ? until$2 : 0);
                const y$2 = xs$5.u.length;
                const hi$2 = ((x$8 < y$2) ? x$8 : y$2);
                const x$9 = (((-1) + hi$2) | 0);
                const size$2 = ((x$9 > 0) ? x$9 : 0);
                const result$2 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$5).getComponentType__jl_Class(), size$2);
                if ((size$2 > 0)) {
                  $m_s_Array$().copy__O__I__O__I__I__V(xs$5, 1, result$2, 0, size$2)
                };
                parts = result$2
              } else {
                const until$3 = xs$5.u.length;
                const x$10 = ((until$3 > 0) ? until$3 : 0);
                const y$3 = xs$5.u.length;
                const hi$3 = ((x$10 < y$3) ? x$10 : y$3);
                const x$11 = (((-1) + hi$3) | 0);
                const size$3 = ((x$11 > 0) ? x$11 : 0);
                const result$3 = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($objectGetClass(xs$5).getComponentType__jl_Class(), size$3);
                if ((size$3 > 0)) {
                  $m_s_Array$().copy__O__I__O__I__I__V(xs$5, 1, result$3, 0, size$3)
                };
                parts = result$3
              };
              const seq = tmp.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YSeqYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
              if ((nextPart$2 === null)) {
                throw new $c_jl_NullPointerException().init___()
              };
              if ($m_ju_regex_Pattern$().matches__T__jl_CharSequence__Z("[0-9]+", nextPart$2)) {
                const this$59 = $m_jl_Integer$();
                const pos = this$59.parseInt__T__I__I(nextPart$2, 10);
                if ((seq.nodes$3.size__I() <= pos)) {
                  error = true
                } else {
                  tmp = seq.nodes$3.apply__I__O(pos)
                }
              } else {
                error = true
              }
            } else {
              error = true
            }
          }
        } else {
          break
        }
      };
      return ((!error) ? new $c_s_Some().init___O(new $c_T2().init___O__O(name, tmp)) : $m_s_None$())
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  };
  findJsonSchema__T__s_Option(url) {
    const x1 = this.globalSpace$1.get__O__s_Option(url);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const shape = x2.value$2;
      if ($is_Lamf_plugins_domain_shapes_models_AnyShape(shape)) {
        const x3 = shape;
        return new $c_s_Some().init___O(x3)
      }
    };
    return $m_s_None$()
  };
  parseRemoteJSONPath__T__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(fileUrl, ctx) {
    let referenceUrl;
    if (((fileUrl.indexOf("#") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(fileUrl, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      referenceUrl = new $c_s_Some().init___O($f_sc_IndexedSeqOptimized__last__O(this$6))
    } else {
      referenceUrl = $m_s_None$()
    };
    const xs$1 = $m_sjsr_RuntimeString$().split__T__T__I__AT(fileUrl, "#", 0);
    const this$9 = new $c_scm_ArrayOps$ofRef().init___AO(xs$1);
    const baseFileUrl = $f_sc_IndexedSeqOptimized__head__O(this$9);
    const this$12 = this.refs$1.filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(r$2) {
        const r = r$2;
        const jsx$1 = $m_s_Option$();
        const this$10 = r.unit$1;
        return jsx$1.apply__O__s_Option(this$10.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1)).isDefined__Z()
      })
    })(this))).filter__F1__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, baseFileUrl$1) {
      return (function(x$4$2) {
        const x$4 = x$4$2;
        const this$11 = x$4.unit$1;
        return (this$11.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1) === baseFileUrl$1)
      })
    })(this, baseFileUrl)));
    const pf = new $c_Lamf_plugins_document_webapi_contexts_WebApiContext$$anonfun$1().init___Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_contexts_OasWebApiContext__s_Option(this, ctx, referenceUrl);
    const res = $f_sc_TraversableOnce__collectFirst__s_PartialFunction__s_Option(this$12, pf);
    if (res.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const x = res.get__O();
      return x
    }
  };
  basePath__T__T(path) {
    let withoutHash;
    if (((path.indexOf("#") | 0) !== (-1))) {
      const xs = $m_sjsr_RuntimeString$().split__T__T__I__AT(path, "#", 0);
      const this$6 = new $c_scm_ArrayOps$ofRef().init___AO(xs);
      withoutHash = $f_sc_IndexedSeqOptimized__head__O(this$6)
    } else {
      withoutHash = path
    };
    const this$10 = new $c_sci_StringOps().init___T(withoutHash);
    const n = (withoutHash.lastIndexOf("/") | 0);
    return ($f_sc_IndexedSeqOptimized__splitAt__I__T2(this$10, n).$$und1__O() + "/")
  };
}
const $is_Lamf_plugins_document_webapi_contexts_WebApiContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_WebApiContext)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_WebApiContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_WebApiContext)))
});
class $c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "AnnotationTypeDeclarationFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment(x$1)) {
      const AnnotationTypeDeclarationFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = AnnotationTypeDeclarationFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = AnnotationTypeDeclarationFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$AnnotationTypeDeclarationFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment)))
});
const $d_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment: 0
}, false, "amf.plugins.document.webapi.model.AnnotationTypeDeclarationFragment", {
  Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_AnnotationTypeDeclarationFragment;
class $c_Lamf_plugins_document_webapi_model_DataTypeFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DataTypeFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_DataTypeFragment(x$1)) {
      const DataTypeFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DataTypeFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DataTypeFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DataTypeFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_DataTypeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_DataTypeFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_DataTypeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_DataTypeFragment)))
});
const $d_Lamf_plugins_document_webapi_model_DataTypeFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_DataTypeFragment: 0
}, false, "amf.plugins.document.webapi.model.DataTypeFragment", {
  Lamf_plugins_document_webapi_model_DataTypeFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_DataTypeFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_DataTypeFragment;
class $c_Lamf_plugins_document_webapi_model_DocumentationItemFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DocumentationItemFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_DocumentationItemFragment(x$1)) {
      const DocumentationItemFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = DocumentationItemFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DocumentationItemFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$DocumentationItemFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_DocumentationItemFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_DocumentationItemFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_DocumentationItemFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_DocumentationItemFragment)))
});
const $d_Lamf_plugins_document_webapi_model_DocumentationItemFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_DocumentationItemFragment: 0
}, false, "amf.plugins.document.webapi.model.DocumentationItemFragment", {
  Lamf_plugins_document_webapi_model_DocumentationItemFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_DocumentationItemFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_DocumentationItemFragment;
class $c_Lamf_plugins_document_webapi_model_NamedExampleFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "NamedExampleFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_NamedExampleFragment(x$1)) {
      const NamedExampleFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = NamedExampleFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = NamedExampleFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$NamedExampleFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_NamedExampleFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_NamedExampleFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_NamedExampleFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_NamedExampleFragment)))
});
const $d_Lamf_plugins_document_webapi_model_NamedExampleFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_NamedExampleFragment: 0
}, false, "amf.plugins.document.webapi.model.NamedExampleFragment", {
  Lamf_plugins_document_webapi_model_NamedExampleFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_NamedExampleFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_NamedExampleFragment;
class $c_Lamf_plugins_document_webapi_model_ResourceTypeFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "ResourceTypeFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_ResourceTypeFragment(x$1)) {
      const ResourceTypeFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = ResourceTypeFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = ResourceTypeFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$ResourceTypeFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_ResourceTypeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_ResourceTypeFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_ResourceTypeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_ResourceTypeFragment)))
});
const $d_Lamf_plugins_document_webapi_model_ResourceTypeFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_ResourceTypeFragment: 0
}, false, "amf.plugins.document.webapi.model.ResourceTypeFragment", {
  Lamf_plugins_document_webapi_model_ResourceTypeFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_ResourceTypeFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_ResourceTypeFragment;
class $c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "SecuritySchemeFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment(x$1)) {
      const SecuritySchemeFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = SecuritySchemeFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = SecuritySchemeFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$SecuritySchemeFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_SecuritySchemeFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_SecuritySchemeFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_SecuritySchemeFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_SecuritySchemeFragment)))
});
const $d_Lamf_plugins_document_webapi_model_SecuritySchemeFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_SecuritySchemeFragment: 0
}, false, "amf.plugins.document.webapi.model.SecuritySchemeFragment", {
  Lamf_plugins_document_webapi_model_SecuritySchemeFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_SecuritySchemeFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_SecuritySchemeFragment;
class $c_Lamf_plugins_document_webapi_model_TraitFragment extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "TraitFragment"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_model_TraitFragment(x$1)) {
      const TraitFragment$1 = x$1;
      const x = this.fields$1;
      const x$2 = TraitFragment$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = TraitFragment$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_FragmentsTypesModels$TraitFragmentModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_FragmentModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id__T() {
    return this.id$1
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_webapi_model_TraitFragment = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_TraitFragment)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_TraitFragment = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_TraitFragment)))
});
const $d_Lamf_plugins_document_webapi_model_TraitFragment = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_TraitFragment: 0
}, false, "amf.plugins.document.webapi.model.TraitFragment", {
  Lamf_plugins_document_webapi_model_TraitFragment: 1,
  O: 1,
  Lamf_core_model_document_Fragment: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_TraitFragment.prototype.$classData = $d_Lamf_plugins_document_webapi_model_TraitFragment;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint extends $c_Lamf_plugins_domain_webapi_models_EndPoint {
  constructor() {
    super();
    this.idPart$2 = null;
    this.ast$2 = null;
    this.namespace$2 = null
  };
  productPrefix__T() {
    return "ErrorEndPoint"
  };
  namespace__T() {
    return this.namespace$2
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint(x$1)) {
      const ErrorEndPoint$1 = x$1;
      if ((this.idPart$2 === ErrorEndPoint$1.idPart$2)) {
        const x = this.ast$2;
        const x$2 = ErrorEndPoint$1.ast$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.idPart$2;
        break
      }
      case 1: {
        return this.ast$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___T__Lorg_yaml_model_YPart(idPart, ast) {
    this.idPart$2 = idPart;
    this.ast$2 = ast;
    $c_Lamf_plugins_domain_webapi_models_EndPoint.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast));
    this.namespace$2 = "http://amferror.com/#errorEndPoint/";
    $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, idPart);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorEndPoint", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint: 1,
  Lamf_plugins_domain_webapi_models_EndPoint: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_plugins_domain_webapi_models_ExtensibleWebApiDomainElement: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorEndPoint;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse extends $c_Lamf_plugins_domain_webapi_models_Response {
  constructor() {
    super();
    this.idPart$2 = null;
    this.ast$2 = null;
    this.namespace$2 = null
  };
  productPrefix__T() {
    return "ErrorResponse"
  };
  namespace__T() {
    return this.namespace$2
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse(x$1)) {
      const ErrorResponse$1 = x$1;
      if ((this.idPart$2 === ErrorResponse$1.idPart$2)) {
        const x = this.ast$2;
        const x$2 = ErrorResponse$1.ast$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.idPart$2;
        break
      }
      case 1: {
        return this.ast$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___T__Lorg_yaml_model_YPart(idPart, ast) {
    this.idPart$2 = idPart;
    this.ast$2 = ast;
    $c_Lamf_plugins_domain_webapi_models_Response.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast));
    this.namespace$2 = "http://amferror.com/#errorResponse/";
    const this$2 = $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, idPart);
    const field = $m_Lamf_plugins_domain_webapi_metamodel_ResponseModel$().StatusCode$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$2, field, "200");
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorResponse", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse: 1,
  Lamf_plugins_domain_webapi_models_Response: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResponse;
class $c_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ extends $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape {
  constructor() {
    super();
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape.prototype.init___.call(this);
    $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = this;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "ArrayShape")]);
    const this$4 = $m_sci_List$();
    const cbf = this$4.ReusableCBFInstance$2;
    const jsx$4 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$5 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$6 = $m_sci_List$();
    this.type$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.ArrayShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$: 1,
  Lamf_plugins_domain_shapes_metamodel_DataArrangementShape: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ extends $c_O {
  constructor() {
    super();
    this.FileTypes$1 = null;
    this.type$1 = null;
    this.Pattern$1 = null;
    this.MinLength$1 = null;
    this.MaxLength$1 = null;
    this.Minimum$1 = null;
    this.Maximum$1 = null;
    this.ExclusiveMinimum$1 = null;
    this.ExclusiveMaximum$1 = null;
    this.Format$1 = null;
    this.MultipleOf$1 = null;
    this.commonOASFields$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Minimum__Lamf_core_metamodel_Field() {
    return this.Minimum$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_CommonShapeFields__$$init$__V(this);
    const jsx$1 = new $c_Lamf_core_metamodel_Type$Array().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_Type$Str$());
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.FileTypes$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "fileType"), true);
    $m_sci_List$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$3 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "FileShape");
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    const jsx$2 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "Shape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$3, jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "Shape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    this.type$1 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MaxLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MaxLength$1 = x$1
  };
  ExclusiveMinimum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMinimum$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Format$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Format$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMinimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMinimum$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  MinLength__Lamf_core_metamodel_Field() {
    return this.MinLength$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMaximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMaximum$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  Maximum__Lamf_core_metamodel_Field() {
    return this.Maximum$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Pattern$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Pattern$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Minimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Minimum$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  ExclusiveMaximum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMaximum$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MultipleOf$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MultipleOf$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MinLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MinLength$1 = x$1
  };
  fields__sci_List() {
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.FileTypes$1]);
    const this$2 = $m_sci_List$();
    const cbf = this$2.ReusableCBFInstance$2;
    const jsx$6 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = this.commonOASFields$1;
    const this$3 = $m_sci_List$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$3.ReusableCBFInstance$2);
    const this$4 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$3 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$4);
    const this$5 = $m_sci_List$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$5.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$6 = $m_sci_List$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
  Format__Lamf_core_metamodel_Field() {
    return this.Format$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Maximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Maximum$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  MaxLength__Lamf_core_metamodel_Field() {
    return this.MaxLength$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$commonOASFields$und$eq__sci_List__V(x$1) {
    this.commonOASFields$1 = x$1
  };
  Pattern__Lamf_core_metamodel_Field() {
    return this.Pattern$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  MultipleOf__Lamf_core_metamodel_Field() {
    return this.MultipleOf$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_FileShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.FileShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_FileShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1,
  Lamf_plugins_domain_shapes_metamodel_CommonShapeFields: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ extends $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape {
  constructor() {
    super();
    this.type$2 = null
  };
  init___() {
    $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape.prototype.init___.call(this);
    $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = this;
    $m_sci_List$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$4 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "MatrixShape");
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$4, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "ArrayShape")]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$5 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$3 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$7 = $m_sci_List$();
    const jsx$2 = jsx$5.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2);
    const jsx$1 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$8 = $m_sci_List$();
    this.type$2 = jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$8.ReusableCBFInstance$2);
    return this
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.MatrixShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$: 1,
  Lamf_plugins_domain_shapes_metamodel_DataArrangementShape: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ extends $c_O {
  constructor() {
    super();
    this.DataType$1 = null;
    this.Repeat$1 = null;
    this.fields$1 = null;
    this.type$1 = null;
    this.Pattern$1 = null;
    this.MinLength$1 = null;
    this.MaxLength$1 = null;
    this.Minimum$1 = null;
    this.Maximum$1 = null;
    this.ExclusiveMinimum$1 = null;
    this.ExclusiveMaximum$1 = null;
    this.Format$1 = null;
    this.MultipleOf$1 = null;
    this.commonOASFields$1 = null;
    this.Documentation$1 = null;
    this.XMLSerialization$1 = null;
    this.Examples$1 = null;
    this.Raw$1 = null;
    this.ReferenceId$1 = null;
    this.dynamic$1 = false;
    this.Name$1 = null;
    this.DisplayName$1 = null;
    this.Description$1 = null;
    this.Default$1 = null;
    this.DefaultValueString$1 = null;
    this.Values$1 = null;
    this.Inherits$1 = null;
    this.Or$1 = null;
    this.And$1 = null;
    this.Xone$1 = null;
    this.Not$1 = null;
    this.key$1 = null;
    this.RequiredShape$1 = null;
    this.CustomShapePropertyDefinitions$1 = null;
    this.CustomShapeProperties$1 = null;
    this.TargetId$1 = null;
    this.Target$1 = null;
    this.Label$1 = null;
    this.SupportsRecursion$1 = null;
    this.Extends$1 = null;
    this.Sources$1 = null;
    this.CustomDomainProperties$1 = null;
    this.dynamicType$1 = false;
    this.bitmap$0$1 = 0
  };
  Minimum__Lamf_core_metamodel_Field() {
    return this.Minimum$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Target$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Target$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$XMLSerialization$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.XMLSerialization$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$TargetId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.TargetId$1 = x$1
  };
  init___() {
    $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = this;
    this.dynamicType$1 = false;
    $f_Lamf_core_metamodel_domain_DomainElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_LinkableElementModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ShapeModel__$$init$__V(this);
    $f_Lamf_core_metamodel_domain_ExternalSourceElementModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__$$init$__V(this);
    $f_Lamf_plugins_domain_shapes_metamodel_CommonShapeFields__$$init$__V(this);
    const jsx$1 = $m_Lamf_core_metamodel_Type$Iri$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shacl$1;
    this.DataType$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "datatype"), true);
    const jsx$2 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Http$1;
    this.Repeat$1 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "repeat"), true);
    $m_sci_List$();
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.DataType$1]);
    const this$6 = $m_sci_List$();
    const cbf = this$6.ReusableCBFInstance$2;
    const jsx$8 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$7 = this.commonOASFields$1;
    const this$7 = $m_sci_List$();
    const jsx$6 = jsx$8.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$7, this$7.ReusableCBFInstance$2);
    const this$8 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$5 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$8);
    const this$9 = $m_sci_List$();
    const jsx$4 = jsx$6.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$9.ReusableCBFInstance$2);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$10 = $m_sci_List$();
    this.fields$1 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$10.ReusableCBFInstance$2);
    $m_sci_List$();
    const this$11 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$11, "ScalarShape")]);
    const this$14 = $m_sci_List$();
    const cbf$1 = this$14.ReusableCBFInstance$2;
    const jsx$12 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    const jsx$11 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$15 = $m_sci_List$();
    const jsx$10 = jsx$12.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$11, this$15.ReusableCBFInstance$2);
    const jsx$9 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$16 = $m_sci_List$();
    this.type$1 = jsx$10.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$9, this$16.ReusableCBFInstance$2);
    return this
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$Raw$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Raw$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MaxLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MaxLength$1 = x$1
  };
  ExclusiveMinimum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMinimum$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Format$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Format$1 = x$1
  };
  Documentation__Lamf_core_metamodel_Field() {
    return this.Documentation$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMinimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMinimum$1 = x$1
  };
  amf$core$metamodel$domain$DomainElementModel$$undsetter$und$Sources$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Sources$1 = x$1
  };
  MinLength__Lamf_core_metamodel_Field() {
    return this.MinLength$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$ExclusiveMaximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ExclusiveMaximum$1 = x$1
  };
  dynamic__Z() {
    return this.dynamic$1
  };
  XMLSerialization__Lamf_core_metamodel_Field() {
    return this.XMLSerialization$1
  };
  Maximum__Lamf_core_metamodel_Field() {
    return this.Maximum$1
  };
  Examples__Lamf_core_metamodel_Field() {
    return this.Examples$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Pattern$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Pattern$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DefaultValueString$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DefaultValueString$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Minimum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Minimum$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$SupportsRecursion$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.SupportsRecursion$1 = x$1
  };
  ExclusiveMaximum__Lamf_core_metamodel_Field() {
    return this.ExclusiveMaximum$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$dynamic$und$eq__Z__V(x$1) {
    this.dynamic$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MultipleOf$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MultipleOf$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Description$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Description$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$type$und$eq__sci_List__V(x$1) {
    /*<skip>*/
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$MinLength$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.MinLength$1 = x$1
  };
  fields__sci_List() {
    return this.fields$1
  };
  Format__Lamf_core_metamodel_Field() {
    return this.Format$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Examples$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Examples$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$Maximum$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Maximum$1 = x$1
  };
  amf$core$metamodel$domain$LinkableElementModel$$undsetter$und$Label$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Label$1 = x$1
  };
  MaxLength__Lamf_core_metamodel_Field() {
    return this.MaxLength$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$DisplayName$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.DisplayName$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$AnyShapeModel$$undsetter$und$Documentation$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Documentation$1 = x$1
  };
  amf$plugins$domain$shapes$metamodel$CommonShapeFields$$undsetter$und$commonOASFields$und$eq__sci_List__V(x$1) {
    this.commonOASFields$1 = x$1
  };
  Pattern__Lamf_core_metamodel_Field() {
    return this.Pattern$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$key$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.key$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Inherits$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Inherits$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$And$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.And$1 = x$1
  };
  key__Lamf_core_metamodel_Field() {
    return this.key$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$RequiredShape$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.RequiredShape$1 = x$1
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Not$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Not$1 = x$1
  };
  MultipleOf__Lamf_core_metamodel_Field() {
    return this.MultipleOf$1
  };
  amf$core$metamodel$domain$ExternalSourceElementModel$$undsetter$und$ReferenceId$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.ReferenceId$1 = x$1
  };
  type__sci_List() {
    return this.type$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Xone$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Xone$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Values$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Values$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Or$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Or$1 = x$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Name$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Name$1 = x$1
  };
  Name__Lamf_core_metamodel_Field() {
    return this.Name$1
  };
  amf$core$metamodel$domain$ShapeModel$$undsetter$und$Default$und$eq__Lamf_core_metamodel_Field__V(x$1) {
    this.Default$1 = x$1
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.ScalarShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1,
  Lamf_plugins_domain_shapes_metamodel_CommonShapeFields: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$
});
class $c_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ extends $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape {
  constructor() {
    super();
    this.AdditionalItems$2 = null;
    this.TupleItems$2 = null;
    this.type$2 = null;
    this.fields$2 = null
  };
  init___() {
    $c_Lamf_plugins_domain_shapes_metamodel_DataArrangementShape.prototype.init___.call(this);
    $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = this;
    const jsx$1 = $m_Lamf_core_metamodel_Type$Bool$();
    const this$1 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.AdditionalItems$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$1, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$1, "additionalItems"), true);
    const jsx$2 = new $c_Lamf_core_metamodel_Type$SortedArray().init___Lamf_core_metamodel_Type($m_Lamf_core_metamodel_domain_ShapeModel$());
    const this$3 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    this.TupleItems$2 = new $c_Lamf_core_metamodel_Field().init___Lamf_core_metamodel_Type__Lamf_core_vocabulary_ValueType__Z(jsx$2, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$3, "items"), true);
    $m_sci_List$();
    const this$5 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const jsx$6 = new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$5, "TupleShape");
    const this$7 = $m_Lamf_core_vocabulary_Namespace$().Shapes$1;
    const xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$6, new $c_Lamf_core_vocabulary_ValueType().init___Lamf_core_vocabulary_Namespace__T(this$7, "ArrayShape")]);
    const this$10 = $m_sci_List$();
    const cbf = this$10.ReusableCBFInstance$2;
    const jsx$7 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs, cbf);
    const jsx$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().type$1;
    const this$11 = $m_sci_List$();
    const jsx$4 = jsx$7.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$5, this$11.ReusableCBFInstance$2);
    const jsx$3 = $m_Lamf_core_metamodel_domain_DomainElementModel$().type$1;
    const this$12 = $m_sci_List$();
    this.type$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$12.ReusableCBFInstance$2);
    $m_sci_List$();
    const xs$1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.TupleItems$2, this.MinItems$1, this.MaxItems$1, this.UniqueItems$1, this.AdditionalItems$2, this.CollectionFormat$1]);
    const this$14 = $m_sci_List$();
    const cbf$1 = this$14.ReusableCBFInstance$2;
    const jsx$11 = $f_sc_TraversableLike__to__scg_CanBuildFrom__O(xs$1, cbf$1);
    const this$15 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$();
    const jsx$10 = $f_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel__fields__sci_List(this$15);
    const this$16 = $m_sci_List$();
    const jsx$9 = jsx$11.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$10, this$16.ReusableCBFInstance$2);
    const jsx$8 = $m_Lamf_core_metamodel_domain_DomainElementModel$().fields__sci_List();
    const this$17 = $m_sci_List$();
    this.fields$2 = jsx$9.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$8, this$17.ReusableCBFInstance$2);
    return this
  };
  fields__sci_List() {
    return this.fields$2
  };
  modelInstance__Lamf_core_model_domain_AmfObject() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  type__sci_List() {
    return this.type$2
  };
}
const $d_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$: 0
}, false, "amf.plugins.domain.shapes.metamodel.TupleShapeModel$", {
  Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$: 1,
  Lamf_plugins_domain_shapes_metamodel_DataArrangementShape: 1,
  O: 1,
  Lamf_plugins_domain_shapes_metamodel_AnyShapeModel: 1,
  Lamf_core_metamodel_domain_ShapeModel: 1,
  Lamf_core_metamodel_domain_DomainElementModel: 1,
  Lamf_core_metamodel_Obj: 1,
  Lamf_core_metamodel_Type: 1,
  Lamf_core_metamodel_ModelDefaultBuilder: 1,
  Lamf_core_metamodel_domain_LinkableElementModel: 1,
  Lamf_core_metamodel_domain_templates_KeyField: 1,
  Lamf_core_metamodel_domain_ExternalSourceElementModel: 1
});
$c_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$.prototype.$classData = $d_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$;
let $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = (void 0);
const $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = (function() {
  if ((!$n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$)) {
    $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$ = new $c_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().init___()
  };
  return $n_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$
});
class $c_Lamf_plugins_domain_shapes_models_AnyShape extends $c_Lamf_core_model_domain_Shape {
  constructor() {
    super();
    this.fields$2 = null;
    this.annotations$2 = null
  };
  dynamicTypes__sc_Seq() {
    return $f_Lamf_core_model_domain_DynamicDomainElement__dynamicTypes__sc_Seq(this)
  };
  cloneShape$default$3__sci_Set() {
    return $m_s_Predef$().Set$2.apply__sc_Seq__sc_GenTraversable($m_sci_Nil$())
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    return this.linkCopy__Lamf_plugins_domain_shapes_models_AnyShape()
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-any" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/any/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(recursionErrorHandler, withRecursionBase, traversed) {
    return $f_Lamf_plugins_domain_shapes_models_ShapeHelpers__cloneShape__s_Option__s_Option__sci_Set__Lamf_core_model_domain_Shape(this, recursionErrorHandler, withRecursionBase, traversed)
  };
  dynamicFields__sci_List() {
    return this.meta__Lamf_core_metamodel_Obj().fields__sci_List()
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value)
  };
  dynamicType__sci_List() {
    return this.meta__Lamf_core_metamodel_Obj().type__sci_List()
  };
  valueForField__Lamf_core_metamodel_Field__s_Option(f) {
    return $f_Lamf_core_model_domain_ExternalSourceElement__valueForField__Lamf_core_metamodel_Field__s_Option(this, f)
  };
  withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const fields = new $c_Lamf_core_parser_Fields().init___();
    const example = new $c_Lamf_plugins_domain_shapes_models_Example().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    if ((!name.isEmpty__Z())) {
      const arg1 = name.get__O();
      const name$2 = arg1;
      const field = $m_Lamf_plugins_domain_shapes_metamodel_ExampleModel$().Name$1;
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(example, field, name$2)
    };
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$().Examples$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, example);
    return example
  };
  cloneShape$default$2__s_Option() {
    return $m_s_None$()
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$2 = fields;
    this.annotations$2 = annotations;
    $f_Lamf_core_model_domain_Linkable__$$init$__V(this);
    return this
  };
  copyAnyShape__Lamf_core_parser_Fields__Lamf_core_parser_Annotations__Lamf_plugins_domain_shapes_models_AnyShape(fields, annotations) {
    const this$2 = new $c_Lamf_plugins_domain_shapes_models_AnyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$2, value)
  };
}
const $is_Lamf_plugins_domain_shapes_models_AnyShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_AnyShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_AnyShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_AnyShape)))
});
const $d_Lamf_plugins_domain_shapes_models_AnyShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_AnyShape: 0
}, false, "amf.plugins.domain.shapes.models.AnyShape", {
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1
});
$c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_AnyShape;
class $c_sc_AbstractTraversable extends $c_O {
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return $f_scg_GenericTraversableTemplate__flatten__F1__sc_GenTraversable(this, asTraversable)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  dropWhile__F1__O(p) {
    return $f_sc_TraversableLike__dropWhile__F1__O(this, p)
  };
  mkString__T__T(sep) {
    return this.mkString__T__T__T__T("", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return this.filterImpl__F1__Z__O(p, false)
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filterImpl__F1__Z__O(p, isFlipped) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, isFlipped)
  };
  size__I() {
    return $f_sc_TraversableOnce__size__I(this)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableLike__span__F1__T2(this, p)
  };
  filterNot__F1__O(p) {
    return this.filterImpl__F1__Z__O(p, true)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this.thisCollection__sc_Traversable()
  };
  toSeq__sc_Seq() {
    return this.toStream__sci_Stream()
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    return this.foldLeft__O__F2__O(z, op)
  };
  repr__O() {
    return this
  };
  toSeq__sc_GenSeq() {
    return this.toSeq__sc_Seq()
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ev$1, b$1) {
      return (function(x$2) {
        return b$1.$$plus$eq__O__scm_Builder(x$2)
      })
    })(this, ev, b)));
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  newBuilder__scm_Builder() {
    return this.companion__scg_GenericCompanion().newBuilder__scm_Builder()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $f_sc_SeqLike__lengthCompare__I__I = (function($thiz, len) {
  if ((len < 0)) {
    return 1
  } else {
    let i = 0;
    const it = $thiz.iterator__sc_Iterator();
    while (it.hasNext__Z()) {
      if ((i === len)) {
        return (it.hasNext__Z() ? 1 : 0)
      };
      it.next__O();
      i = ((1 + i) | 0)
    };
    return ((i - len) | 0)
  }
});
const $f_sc_SeqLike__indices__sci_Range = (function($thiz) {
  const end = $thiz.length__I();
  return new $c_sci_Range().init___I__I__I(0, end, 1)
});
const $f_sc_SeqLike__isEmpty__Z = (function($thiz) {
  return ($thiz.lengthCompare__I__I(0) === 0)
});
const $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Seq());
  b.$$plus$eq__O__scm_Builder(elem);
  return b.result__O()
});
const $f_sc_SeqLike__sorted__s_math_Ordering__O = (function($thiz, ord) {
  const len = $thiz.length__I();
  const b = $thiz.newBuilder__scm_Builder();
  if ((len === 1)) {
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz)
  } else if ((len > 1)) {
    b.sizeHint__I__V(len);
    const arr = $newArrayObject($d_O.getArrayOf(), [len]);
    const i = new $c_sr_IntRef().init___I(0);
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, arr$1, i$1) {
      return (function(x$2) {
        arr$1.u[i$1.elem$1] = x$2;
        i$1.elem$1 = ((1 + i$1.elem$1) | 0)
      })
    })($thiz, arr, i)));
    $m_ju_Arrays$().sort__AO__ju_Comparator__V(arr, ord);
    i.elem$1 = 0;
    while ((i.elem$1 < arr.u.length)) {
      b.$$plus$eq__O__scm_Builder(arr.u[i.elem$1]);
      i.elem$1 = ((1 + i.elem$1) | 0)
    }
  };
  return b.result__O()
});
const $f_sc_SeqLike__indexWhere__F1__I__I = (function($thiz, p, from) {
  let i = ((from > 0) ? from : 0);
  const it = $thiz.iterator__sc_Iterator().drop__I__sc_Iterator(from);
  while (it.hasNext__Z()) {
    if ((!(!p.apply__O__O(it.next__O())))) {
      return i
    } else {
      i = ((1 + i) | 0)
    }
  };
  return (-1)
});
const $f_sc_SeqLike__reverse__O = (function($thiz) {
  const elem = $m_sci_Nil$();
  const xs = new $c_sr_ObjectRef().init___O(elem);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, xs$1) {
    return (function(x$2) {
      const this$2 = xs$1.elem$1;
      xs$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
    })
  })($thiz, xs)));
  const b = $thiz.newBuilder__scm_Builder();
  $f_scm_Builder__sizeHint__sc_TraversableLike__V(b, $thiz);
  const this$3 = xs.elem$1;
  let these = this$3;
  while ((!these.isEmpty__Z())) {
    const arg1 = these.head__O();
    b.$$plus$eq__O__scm_Builder(arg1);
    these = these.tail__O()
  };
  return b.result__O()
});
const $f_sc_SeqLike__distinct__O = (function($thiz) {
  const b = $thiz.newBuilder__scm_Builder();
  const seen = $m_scm_HashSet$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, b$1, seen$1) {
    return (function(x$2) {
      return ((!$f_scm_FlatHashTable__containsElem__O__Z(seen$1, x$2)) ? (b$1.$$plus$eq__O__scm_Builder(x$2), seen$1.$$plus$eq__O__scm_HashSet(x$2)) : (void 0))
    })
  })($thiz, b, seen)));
  return b.result__O()
});
const $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  b.$$plus$eq__O__scm_Builder(elem);
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz.thisCollection__sc_Seq());
  return b.result__O()
});
const $f_sc_SeqLike__contains__O__Z = (function($thiz, elem) {
  return $thiz.exists__F1__Z(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, elem$1) {
    return (function(x$12$2) {
      return $m_sr_BoxesRunTime$().equals__O__O__Z(x$12$2, elem$1)
    })
  })($thiz, elem)))
});
const $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O = (function($thiz, f, ord) {
  return $thiz.sorted__s_math_Ordering__O(new $c_s_math_Ordering$$anon$5().init___s_math_Ordering__F1(ord, f))
});
const $f_sc_SeqLike__segmentLength__F1__I__I = (function($thiz, p, from) {
  let i = 0;
  const it = $thiz.iterator__sc_Iterator().drop__I__sc_Iterator(from);
  while ((it.hasNext__Z() && (!(!p.apply__O__O(it.next__O()))))) {
    i = ((1 + i) | 0)
  };
  return i
});
const $is_sc_SeqLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_SeqLike)))
});
const $isArrayOf_sc_SeqLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_SeqLike)))
});
const $f_sc_TraversableViewLike__withFilter__F1__sc_TraversableView = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(p);
  return xs
});
const $f_sc_TraversableViewLike__span__F1__T2 = (function($thiz, p) {
  const xs = $thiz.newTakenWhile__F1__sc_TraversableViewLike$Transformed(p);
  const xs$1 = $thiz.newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p);
  return new $c_T2().init___O__O(xs, xs$1)
});
const $f_sc_TraversableViewLike__viewToString__T = (function($thiz) {
  return ((("" + $thiz.stringPrefix__T()) + $thiz.viewIdString__T()) + "(...)")
});
const $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O = (function($thiz, xs, bf) {
  return $thiz.newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(xs.seq__sc_TraversableOnce().toTraversable__sc_Traversable())
});
const $f_sc_TraversableViewLike__partition__F1__T2 = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(p);
  const xs$1 = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
    return (function(x$1$2) {
      return (!(!(!p$1.apply__O__O(x$1$2))))
    })
  })($thiz, p)));
  return new $c_T2().init___O__O(xs, xs$1)
});
const $f_sc_TraversableViewLike__filter__F1__sc_TraversableView = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(p);
  return xs
});
const $f_sc_TraversableViewLike__groupBy__F1__sci_Map = (function($thiz, f) {
  const this$1 = $f_sc_ViewMkString__thisSeq__sc_Seq($thiz).groupBy__F1__sci_Map(f);
  const f$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(xs$2) {
      const xs = xs$2;
      const xs$3 = $this.newForced__F0__sc_TraversableViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this$1, xs$1) {
        return (function() {
          return xs$1
        })
      })($this, xs)));
      return xs$3
    })
  })($thiz));
  return new $c_sci_MapLike$$anon$2().init___sci_MapLike__F1(this$1, f$1)
});
const $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView = (function($thiz, p) {
  const xs = $thiz.newFiltered__F1__sc_TraversableViewLike$Transformed(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
    return (function(a$2) {
      return (!(!(!p$1.apply__O__O(a$2))))
    })
  })($thiz, p)));
  return xs
});
const $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O = (function($thiz, pf, bf) {
  const this$1 = $thiz.filter__F1__sc_TraversableView(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, pf$1) {
    return (function(x$2) {
      return pf$1.isDefinedAt__O__Z(x$2)
    })
  })($thiz, pf)));
  return this$1.newMapped__F1__sc_TraversableViewLike$Transformed(pf)
});
const $f_sc_TraversableViewLike__tail__sc_TraversableView = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    return $thiz.scala$collection$TraversableViewLike$$super$tail__sc_TraversableView()
  } else {
    const xs = $f_sc_SeqViewLike__newDropped__I__sc_SeqViewLike$Transformed($thiz, 1);
    return xs
  }
});
const $f_sc_TraversableViewLike__newBuilder__scm_Builder = (function($thiz) {
  throw new $c_jl_UnsupportedOperationException().init___T($m_s_Predef$any2stringadd$().$$plus$extension__O__T__T($thiz, ".newBuilder"))
});
const $is_sc_TraversableViewLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableViewLike)))
});
const $isArrayOf_sc_TraversableViewLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableViewLike)))
});
class $c_sr_RichLong extends $c_O {
  constructor() {
    super();
    this.self$1 = $m_sjsr_RuntimeLong$().Zero__sjsr_RuntimeLong()
  };
  isValidInt__Z() {
    return $m_sr_RichLong$().isValidInt$extension__J__Z(this.self$1)
  };
  longValue__J() {
    const t = this.self$1;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
  };
  isValidShort__Z() {
    return $m_sr_RichLong$().isValidShort$extension__J__Z(this.self$1)
  };
  byteValue__B() {
    return $m_sr_RichLong$().byteValue$extension__J__B(this.self$1)
  };
  init___J(self) {
    this.self$1 = self;
    return this
  };
  equals__O__Z(x$1) {
    return $m_sr_RichLong$().equals$extension__J__O__Z(this.self$1, x$1)
  };
  isValidChar__Z() {
    return $m_sr_RichLong$().isValidChar$extension__J__Z(this.self$1)
  };
  toString__T() {
    return $f_s_Proxy__toString__T(this)
  };
  compareTo__O__I(that) {
    const t$1 = this.self$1;
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    const t$2 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1));
    const lo$2 = t$2.lo$2;
    const hi$2 = t$2.hi$2;
    const t$3 = $uJ(that);
    const lo$3 = t$3.lo$2;
    const hi$3 = t$3.hi$2;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(lo$2, hi$2, lo$3, hi$3)
  };
  isValidByte__Z() {
    return $m_sr_RichLong$().isValidByte$extension__J__Z(this.self$1)
  };
  compare__O__I(y) {
    const t$1 = this.self$1;
    const lo$1 = t$1.lo$2;
    const hi$1 = t$1.hi$2;
    const t$2 = $uJ(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1));
    const lo$2 = t$2.lo$2;
    const hi$2 = t$2.hi$2;
    const t$3 = $uJ(y);
    const lo$3 = t$3.lo$2;
    const hi$3 = t$3.hi$2;
    return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(lo$2, hi$2, lo$3, hi$3)
  };
  self__O() {
    return this.self$1
  };
  shortValue__S() {
    return $m_sr_RichLong$().shortValue$extension__J__S(this.self$1)
  };
  doubleValue__D() {
    return $m_sr_RichLong$().doubleValue$extension__J__D(this.self$1)
  };
  hashCode__I() {
    const t = this.self$1;
    const lo = t.lo$2;
    const hi = t.hi$2;
    return (lo ^ hi)
  };
  intValue__I() {
    return $m_sr_RichLong$().intValue$extension__J__I(this.self$1)
  };
  floatValue__F() {
    return $m_sr_RichLong$().floatValue$extension__J__F(this.self$1)
  };
}
const $is_sr_RichLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sr_RichLong)))
});
const $isArrayOf_sr_RichLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_RichLong)))
});
const $d_sr_RichLong = new $TypeData().initClass({
  sr_RichLong: 0
}, false, "scala.runtime.RichLong", {
  sr_RichLong: 1,
  O: 1,
  sr_IntegralProxy: 1,
  sr_ScalaWholeNumberProxy: 1,
  sr_ScalaNumberProxy: 1,
  s_math_ScalaNumericAnyConversions: 1,
  s_Proxy$Typed: 1,
  s_Proxy: 1,
  sr_OrderedProxy: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  sr_RangedProxy: 1
});
$c_sr_RichLong.prototype.$classData = $d_sr_RichLong;
class $c_Lamf_client_model_domain_FileShape extends $c_Lamf_client_model_domain_AnyShape {
  $$js$exported$prop$pattern__O() {
    return this.pattern__Lamf_client_model_StrField()
  };
  fileTypes__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  productPrefix__T() {
    return "FileShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_FileShape.prototype.init___Lamf_plugins_domain_shapes_models_FileShape.call(this, new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withFormat__T__O(format) {
    return this.withFormat__T__Lamf_client_model_domain_FileShape(format)
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$multipleOf__O() {
    return this.multipleOf__Lamf_client_model_DoubleField()
  };
  maxLength__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maxLength__Lamf_core_model_IntField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  $$js$exported$meth$withPattern__T__O(pattern) {
    return this.withPattern__T__Lamf_client_model_domain_FileShape(pattern)
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_FileShape(x$1)) {
      const FileShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = FileShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  withPattern__T__Lamf_client_model_domain_FileShape(pattern) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, pattern);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$exclusiveMinimum__O() {
    return this.exclusiveMinimum__Lamf_client_model_BoolField()
  };
  withMinimum__D__Lamf_client_model_domain_FileShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  exclusiveMaximum__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMaximum__Lamf_core_model_BoolField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  withExclusiveMinimum__Z__Lamf_client_model_domain_FileShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withFormat__T__Lamf_client_model_domain_FileShape(format) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, format);
    return this
  };
  withMinLength__I__Lamf_client_model_domain_FileShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  withMaxLength__I__Lamf_client_model_domain_FileShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  multipleOf__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__multipleOf__Lamf_core_model_DoubleField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  pattern__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__Lamf_core_model_StrField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_FileShape()
  };
  $$js$exported$prop$maximum__O() {
    return this.maximum__Lamf_client_model_DoubleField()
  };
  maximum__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maximum__Lamf_core_model_DoubleField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_FileShape()
  };
  $$js$exported$meth$withMaximum__D__O(max) {
    return this.withMaximum__D__Lamf_client_model_domain_FileShape(max)
  };
  exclusiveMinimum__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMinimum__Lamf_core_model_BoolField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withFileTypes__sjs_js_Array__O(fileTypes) {
    return this.withFileTypes__sjs_js_Array__Lamf_client_model_domain_FileShape(fileTypes)
  };
  $$js$exported$meth$withMinimum__D__O(min) {
    return this.withMinimum__D__Lamf_client_model_domain_FileShape(min)
  };
  $$js$exported$prop$fileTypes__O() {
    return this.fileTypes__sjs_js_Array()
  };
  $$js$exported$prop$maxLength__O() {
    return this.maxLength__Lamf_client_model_IntField()
  };
  linkCopy__Lamf_client_model_domain_FileShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().FileShapeMatcher__Lamf_client_convert_FileShapeConverter$FileShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_FileShape__Lamf_client_model_domain_FileShape(from)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  minimum__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minimum__Lamf_core_model_DoubleField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  format__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withExclusiveMinimum__Z__O(min) {
    return this.withExclusiveMinimum__Z__Lamf_client_model_domain_FileShape(min)
  };
  withMaximum__D__Lamf_client_model_domain_FileShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  $$js$exported$prop$minLength__O() {
    return this.minLength__Lamf_client_model_IntField()
  };
  $$js$exported$prop$exclusiveMaximum__O() {
    return this.exclusiveMaximum__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$withMinLength__I__O(min) {
    return this.withMinLength__I__Lamf_client_model_domain_FileShape(min)
  };
  withFileTypes__sjs_js_Array__Lamf_client_model_domain_FileShape(fileTypes) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$();
    const fileTypes$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, fileTypes, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$().FileTypes$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, fileTypes$1);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withExclusiveMaximum__Z__Lamf_client_model_domain_FileShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_FileShape()
  };
  init___Lamf_plugins_domain_shapes_models_FileShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  $$js$exported$prop$format__O() {
    return this.format__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withMaxLength__I__O(max) {
    return this.withMaxLength__I__Lamf_client_model_domain_FileShape(max)
  };
  $$js$exported$meth$withExclusiveMaximum__Z__O(max) {
    return this.withExclusiveMaximum__Z__Lamf_client_model_domain_FileShape(max)
  };
  $$js$exported$prop$minimum__O() {
    return this.minimum__Lamf_client_model_DoubleField()
  };
  withMultipleOf__D__Lamf_client_model_domain_FileShape(multiple) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, multiple);
    return this
  };
  $$js$exported$meth$withMultipleOf__D__O(multiple) {
    return this.withMultipleOf__D__Lamf_client_model_domain_FileShape(multiple)
  };
  minLength__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minLength__Lamf_core_model_IntField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  "withMultipleOf"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMultipleOf__D__O(prep0)
  };
  "withFormat"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFormat__T__O(prep0)
  };
  "withExclusiveMaximum"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withExclusiveMaximum__Z__O(prep0)
  };
  "withExclusiveMinimum"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withExclusiveMinimum__Z__O(prep0)
  };
  "withMaximum"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMaximum__D__O(prep0)
  };
  "withMinimum"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMinimum__D__O(prep0)
  };
  "withMaxLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxLength__I__O(prep0)
  };
  "withMinLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinLength__I__O(prep0)
  };
  "withPattern"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPattern__T__O(prep0)
  };
  "withFileTypes"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFileTypes__sjs_js_Array__O(prep0)
  };
  get "multipleOf"() {
    return this.$$js$exported$prop$multipleOf__O()
  };
  get "format"() {
    return this.$$js$exported$prop$format__O()
  };
  get "exclusiveMaximum"() {
    return this.$$js$exported$prop$exclusiveMaximum__O()
  };
  get "exclusiveMinimum"() {
    return this.$$js$exported$prop$exclusiveMinimum__O()
  };
  get "maximum"() {
    return this.$$js$exported$prop$maximum__O()
  };
  get "minimum"() {
    return this.$$js$exported$prop$minimum__O()
  };
  get "maxLength"() {
    return this.$$js$exported$prop$maxLength__O()
  };
  get "minLength"() {
    return this.$$js$exported$prop$minLength__O()
  };
  get "pattern"() {
    return this.$$js$exported$prop$pattern__O()
  };
  get "fileTypes"() {
    return this.$$js$exported$prop$fileTypes__O()
  };
}
const $is_Lamf_client_model_domain_FileShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_FileShape)))
});
const $isArrayOf_Lamf_client_model_domain_FileShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_FileShape)))
});
const $d_Lamf_client_model_domain_FileShape = new $TypeData().initClass({
  Lamf_client_model_domain_FileShape: 0
}, false, "amf.client.model.domain.FileShape", {
  Lamf_client_model_domain_FileShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_FileShape.prototype.$classData = $d_Lamf_client_model_domain_FileShape;
class $c_Lamf_client_model_domain_NilShape extends $c_Lamf_client_model_domain_AnyShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_NilShape.prototype.init___Lamf_plugins_domain_shapes_models_NilShape.call(this, new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "NilShape"
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_NilShape(x$1)) {
      const NilShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = NilShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  init___Lamf_plugins_domain_shapes_models_NilShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_NilShape()
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_NilShape()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_NilShape()
  };
  linkCopy__Lamf_client_model_domain_NilShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().NilShapeMatcher__Lamf_client_convert_NilShapeConverter$NilShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_NilShape__Lamf_client_model_domain_NilShape(from)
  };
}
const $is_Lamf_client_model_domain_NilShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_NilShape)))
});
const $isArrayOf_Lamf_client_model_domain_NilShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_NilShape)))
});
const $d_Lamf_client_model_domain_NilShape = new $TypeData().initClass({
  Lamf_client_model_domain_NilShape: 0
}, false, "amf.client.model.domain.NilShape", {
  Lamf_client_model_domain_NilShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_NilShape.prototype.$classData = $d_Lamf_client_model_domain_NilShape;
class $c_Lamf_client_model_domain_NodeShape extends $c_Lamf_client_model_domain_AnyShape {
  withClosed__Z__Lamf_client_model_domain_NodeShape(closed) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, closed);
    return this
  };
  $$js$exported$prop$discriminatorValue__O() {
    return this.discriminatorValue__Lamf_client_model_StrField()
  };
  minProperties__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  productPrefix__T() {
    return "NodeShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_NodeShape.prototype.init___Lamf_plugins_domain_shapes_models_NodeShape.call(this, new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  $$js$exported$prop$discriminator__O() {
    return this.discriminator__Lamf_client_model_StrField()
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withInheritsObject__T__O(name) {
    return this.withInheritsObject__T__Lamf_client_model_domain_NodeShape(name)
  };
  $$js$exported$meth$withDiscriminator__T__O(discriminator) {
    return this.withDiscriminator__T__Lamf_client_model_domain_NodeShape(discriminator)
  };
  properties__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher__Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_NodeShape(x$1)) {
      const NodeShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = NodeShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$js$exported$prop$minProperties__O() {
    return this.minProperties__Lamf_client_model_IntField()
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withProperty__T__Lamf_client_model_domain_PropertyShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher__Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_extensions_PropertyShape__Lamf_client_model_domain_PropertyShape(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withInheritsScalar__T__Lamf_client_model_domain_ScalarShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withInheritsScalar__T__Lamf_plugins_domain_shapes_models_ScalarShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher__Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_client_model_domain_ScalarShape(from)
  };
  dependencies__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher__Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$prop$dependencies__O() {
    return this.dependencies__sjs_js_Array()
  };
  closed__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Closed$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withMinProperties__I__O(min) {
    return this.withMinProperties__I__Lamf_client_model_domain_NodeShape(min)
  };
  $$js$exported$meth$withDependency__O() {
    return this.withDependency__Lamf_client_model_domain_PropertyDependencies()
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  withProperties__sjs_js_Array__Lamf_client_model_domain_NodeShape(properties) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher__Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$();
    const properties$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, properties, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, properties$1);
    return this
  };
  $$js$exported$meth$withInheritsScalar__T__O(name) {
    return this.withInheritsScalar__T__Lamf_client_model_domain_ScalarShape(name)
  };
  $$js$exported$meth$withDependencies__sjs_js_Array__O(dependencies) {
    return this.withDependencies__sjs_js_Array__Lamf_client_model_domain_NodeShape(dependencies)
  };
  withMaxProperties__I__Lamf_client_model_domain_NodeShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_NodeShape()
  };
  $$js$exported$prop$properties__O() {
    return this.properties__sjs_js_Array()
  };
  discriminatorValue__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_NodeShape()
  };
  $$js$exported$meth$withDiscriminatorValue__T__O(value) {
    return this.withDiscriminatorValue__T__Lamf_client_model_domain_NodeShape(value)
  };
  $$js$exported$prop$closed__O() {
    return this.closed__Lamf_client_model_BoolField()
  };
  withDependency__Lamf_client_model_domain_PropertyDependencies() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withDependency__Lamf_plugins_domain_shapes_models_PropertyDependencies();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher__Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_PropertyDependencies__Lamf_client_model_domain_PropertyDependencies(from)
  };
  withInheritsObject__T__Lamf_client_model_domain_NodeShape(name) {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const from = this.$$undinternal$1.withInheritsObject__T__Lamf_plugins_domain_shapes_models_NodeShape(name);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher__Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_client_model_domain_NodeShape(from)
  };
  $$js$exported$meth$withProperties__sjs_js_Array__O(properties) {
    return this.withProperties__sjs_js_Array__Lamf_client_model_domain_NodeShape(properties)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  linkCopy__Lamf_client_model_domain_NodeShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher__Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_NodeShape__Lamf_client_model_domain_NodeShape(from)
  };
  withMinProperties__I__Lamf_client_model_domain_NodeShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MinProperties$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_NodeShape()
  };
  discriminator__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withProperty__T__O(name) {
    return this.withProperty__T__Lamf_client_model_domain_PropertyShape(name)
  };
  $$js$exported$meth$withMaxProperties__I__O(max) {
    return this.withMaxProperties__I__Lamf_client_model_domain_NodeShape(max)
  };
  $$js$exported$meth$withClosed__Z__O(closed) {
    return this.withClosed__Z__Lamf_client_model_domain_NodeShape(closed)
  };
  $$js$exported$prop$maxProperties__O() {
    return this.maxProperties__Lamf_client_model_IntField()
  };
  maxProperties__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().MaxProperties$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  withDependencies__sjs_js_Array__Lamf_client_model_domain_NodeShape(dependencies) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher__Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$();
    const dependencies$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, dependencies, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, dependencies$1);
    return this
  };
  withDiscriminator__T__Lamf_client_model_domain_NodeShape(discriminator) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Discriminator$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, discriminator);
    return this
  };
  init___Lamf_plugins_domain_shapes_models_NodeShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  withDiscriminatorValue__T__Lamf_client_model_domain_NodeShape(value) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().DiscriminatorValue$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, value);
    return this
  };
  "withInheritsScalar"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInheritsScalar__T__O(prep0)
  };
  "withInheritsObject"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withInheritsObject__T__O(prep0)
  };
  "withDependency"() {
    return this.$$js$exported$meth$withDependency__O()
  };
  "withDependencies"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDependencies__sjs_js_Array__O(prep0)
  };
  "withProperty"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProperty__T__O(prep0)
  };
  "withProperties"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withProperties__sjs_js_Array__O(prep0)
  };
  "withDiscriminatorValue"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDiscriminatorValue__T__O(prep0)
  };
  "withDiscriminator"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDiscriminator__T__O(prep0)
  };
  "withClosed"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withClosed__Z__O(prep0)
  };
  "withMaxProperties"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxProperties__I__O(prep0)
  };
  "withMinProperties"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinProperties__I__O(prep0)
  };
  get "dependencies"() {
    return this.$$js$exported$prop$dependencies__O()
  };
  get "properties"() {
    return this.$$js$exported$prop$properties__O()
  };
  get "discriminatorValue"() {
    return this.$$js$exported$prop$discriminatorValue__O()
  };
  get "discriminator"() {
    return this.$$js$exported$prop$discriminator__O()
  };
  get "closed"() {
    return this.$$js$exported$prop$closed__O()
  };
  get "maxProperties"() {
    return this.$$js$exported$prop$maxProperties__O()
  };
  get "minProperties"() {
    return this.$$js$exported$prop$minProperties__O()
  };
}
const $is_Lamf_client_model_domain_NodeShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_NodeShape)))
});
const $isArrayOf_Lamf_client_model_domain_NodeShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_NodeShape)))
});
const $d_Lamf_client_model_domain_NodeShape = new $TypeData().initClass({
  Lamf_client_model_domain_NodeShape: 0
}, false, "amf.client.model.domain.NodeShape", {
  Lamf_client_model_domain_NodeShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_NodeShape.prototype.$classData = $d_Lamf_client_model_domain_NodeShape;
class $c_Lamf_client_model_domain_ScalarShape extends $c_Lamf_client_model_domain_AnyShape {
  $$js$exported$prop$pattern__O() {
    return this.pattern__Lamf_client_model_StrField()
  };
  productPrefix__T() {
    return "ScalarShape"
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ScalarShape.prototype.init___Lamf_plugins_domain_shapes_models_ScalarShape.call(this, new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  $$js$exported$meth$withFormat__T__O(format) {
    return this.withFormat__T__Lamf_client_model_domain_ScalarShape(format)
  };
  withMinimum__D__Lamf_client_model_domain_ScalarShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Minimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$js$exported$meth$withDataType__T__O(dataType) {
    return this.withDataType__T__Lamf_client_model_domain_ScalarShape(dataType)
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  $$js$exported$prop$multipleOf__O() {
    return this.multipleOf__Lamf_client_model_DoubleField()
  };
  maxLength__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maxLength__Lamf_core_model_IntField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  withPattern__T__Lamf_client_model_domain_ScalarShape(pattern) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Pattern$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, pattern);
    return this
  };
  withMultipleOf__D__Lamf_client_model_domain_ScalarShape(multiple) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MultipleOf$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, multiple);
    return this
  };
  $$js$exported$meth$withPattern__T__O(pattern) {
    return this.withPattern__T__Lamf_client_model_domain_ScalarShape(pattern)
  };
  withMaximum__D__Lamf_client_model_domain_ScalarShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Maximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__D__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ScalarShape(x$1)) {
      const ScalarShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ScalarShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  $$js$exported$prop$exclusiveMinimum__O() {
    return this.exclusiveMinimum__Lamf_client_model_BoolField()
  };
  exclusiveMaximum__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMaximum__Lamf_core_model_BoolField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  withExclusiveMaximum__Z__Lamf_client_model_domain_ScalarShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMaximum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  $$js$exported$prop$dataType__O() {
    return this.dataType__Lamf_client_model_StrField()
  };
  multipleOf__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__multipleOf__Lamf_core_model_DoubleField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  pattern__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__pattern__Lamf_core_model_StrField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  withMaxLength__I__Lamf_client_model_domain_ScalarShape(max) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MaxLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, max);
    return this
  };
  withExclusiveMinimum__Z__Lamf_client_model_domain_ScalarShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().ExclusiveMinimum$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  dataType__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_ScalarShape()
  };
  $$js$exported$prop$maximum__O() {
    return this.maximum__Lamf_client_model_DoubleField()
  };
  init___Lamf_plugins_domain_shapes_models_ScalarShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  maximum__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__maximum__Lamf_core_model_DoubleField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_ScalarShape()
  };
  $$js$exported$meth$withMaximum__D__O(max) {
    return this.withMaximum__D__Lamf_client_model_domain_ScalarShape(max)
  };
  withFormat__T__Lamf_client_model_domain_ScalarShape(format) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Format$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, format);
    return this
  };
  exclusiveMinimum__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__exclusiveMinimum__Lamf_core_model_BoolField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  $$js$exported$meth$withMinimum__D__O(min) {
    return this.withMinimum__D__Lamf_client_model_domain_ScalarShape(min)
  };
  $$js$exported$prop$maxLength__O() {
    return this.maxLength__Lamf_client_model_IntField()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  minimum__Lamf_client_model_DoubleField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minimum__Lamf_core_model_DoubleField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$();
    return new $c_Lamf_client_model_DoubleField().init___Lamf_core_model_DoubleField(from)
  };
  format__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__format__Lamf_core_model_StrField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  $$js$exported$meth$withExclusiveMinimum__Z__O(min) {
    return this.withExclusiveMinimum__Z__Lamf_client_model_domain_ScalarShape(min)
  };
  withMinLength__I__Lamf_client_model_domain_ScalarShape(min) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().MinLength$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__I__Lamf_core_model_domain_AmfObject(this$1, field, min);
    return this
  };
  $$js$exported$prop$minLength__O() {
    return this.minLength__Lamf_client_model_IntField()
  };
  $$js$exported$prop$exclusiveMaximum__O() {
    return this.exclusiveMaximum__Lamf_client_model_BoolField()
  };
  $$js$exported$meth$withMinLength__I__O(min) {
    return this.withMinLength__I__Lamf_client_model_domain_ScalarShape(min)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_ScalarShape()
  };
  withDataType__T__Lamf_client_model_domain_ScalarShape(dataType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().DataType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, dataType);
    return this
  };
  $$js$exported$prop$format__O() {
    return this.format__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withMaxLength__I__O(max) {
    return this.withMaxLength__I__Lamf_client_model_domain_ScalarShape(max)
  };
  $$js$exported$meth$withExclusiveMaximum__Z__O(max) {
    return this.withExclusiveMaximum__Z__Lamf_client_model_domain_ScalarShape(max)
  };
  $$js$exported$prop$minimum__O() {
    return this.minimum__Lamf_client_model_DoubleField()
  };
  linkCopy__Lamf_client_model_domain_ScalarShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher__Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_ScalarShape__Lamf_client_model_domain_ScalarShape(from)
  };
  $$js$exported$meth$withMultipleOf__D__O(multiple) {
    return this.withMultipleOf__D__Lamf_client_model_domain_ScalarShape(multiple)
  };
  minLength__Lamf_client_model_IntField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = $f_Lamf_plugins_domain_shapes_models_CommonShapeFields__minLength__Lamf_core_model_IntField(this$1);
    $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$();
    return new $c_Lamf_client_model_IntField().init___Lamf_core_model_IntField(from)
  };
  "withMultipleOf"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMultipleOf__D__O(prep0)
  };
  "withFormat"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withFormat__T__O(prep0)
  };
  "withExclusiveMaximum"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withExclusiveMaximum__Z__O(prep0)
  };
  "withExclusiveMinimum"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withExclusiveMinimum__Z__O(prep0)
  };
  "withMaximum"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMaximum__D__O(prep0)
  };
  "withMinimum"(arg$1) {
    const prep0 = (+arg$1);
    return this.$$js$exported$meth$withMinimum__D__O(prep0)
  };
  "withMaxLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMaxLength__I__O(prep0)
  };
  "withMinLength"(arg$1) {
    const prep0 = (arg$1 | 0);
    return this.$$js$exported$meth$withMinLength__I__O(prep0)
  };
  "withPattern"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withPattern__T__O(prep0)
  };
  "withDataType"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withDataType__T__O(prep0)
  };
  get "multipleOf"() {
    return this.$$js$exported$prop$multipleOf__O()
  };
  get "format"() {
    return this.$$js$exported$prop$format__O()
  };
  get "exclusiveMaximum"() {
    return this.$$js$exported$prop$exclusiveMaximum__O()
  };
  get "exclusiveMinimum"() {
    return this.$$js$exported$prop$exclusiveMinimum__O()
  };
  get "maximum"() {
    return this.$$js$exported$prop$maximum__O()
  };
  get "minimum"() {
    return this.$$js$exported$prop$minimum__O()
  };
  get "maxLength"() {
    return this.$$js$exported$prop$maxLength__O()
  };
  get "minLength"() {
    return this.$$js$exported$prop$minLength__O()
  };
  get "pattern"() {
    return this.$$js$exported$prop$pattern__O()
  };
  get "dataType"() {
    return this.$$js$exported$prop$dataType__O()
  };
}
const $is_Lamf_client_model_domain_ScalarShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ScalarShape)))
});
const $isArrayOf_Lamf_client_model_domain_ScalarShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ScalarShape)))
});
const $d_Lamf_client_model_domain_ScalarShape = new $TypeData().initClass({
  Lamf_client_model_domain_ScalarShape: 0
}, false, "amf.client.model.domain.ScalarShape", {
  Lamf_client_model_domain_ScalarShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ScalarShape.prototype.$classData = $d_Lamf_client_model_domain_ScalarShape;
class $c_Lamf_client_model_domain_SchemaShape extends $c_Lamf_client_model_domain_AnyShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_SchemaShape.prototype.init___Lamf_plugins_domain_shapes_models_SchemaShape.call(this, new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "SchemaShape"
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  $$js$exported$meth$withRaw__T__O(text) {
    return this.withRaw__T__Lamf_client_model_domain_SchemaShape(text)
  };
  mediaType__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_SchemaShape(x$1)) {
      const SchemaShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = SchemaShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  raw__Lamf_client_model_StrField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ExternalSourceElementModel$().Raw$1);
    $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$();
    return new $c_Lamf_client_model_StrField().init___Lamf_core_model_StrField(from)
  };
  linkCopy__Lamf_client_model_domain_SchemaShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().SchemaShapeMatcher__Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_SchemaShape__Lamf_client_model_domain_SchemaShape(from)
  };
  withMediatype__T__Lamf_client_model_domain_SchemaShape(mediaType) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, mediaType);
    return this
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  withRaw__T__Lamf_client_model_domain_SchemaShape(text) {
    const this$1 = this.$$undinternal$1;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, text);
    return this
  };
  $$js$exported$prop$raw__O() {
    return this.raw__Lamf_client_model_StrField()
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_SchemaShape()
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_SchemaShape()
  };
  $$js$exported$prop$mediaType__O() {
    return this.mediaType__Lamf_client_model_StrField()
  };
  $$js$exported$meth$withMediatype__T__O(mediaType) {
    return this.withMediatype__T__Lamf_client_model_domain_SchemaShape(mediaType)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_SchemaShape()
  };
  init___Lamf_plugins_domain_shapes_models_SchemaShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  "withRaw"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withRaw__T__O(prep0)
  };
  "withMediatype"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withMediatype__T__O(prep0)
  };
  get "raw"() {
    return this.$$js$exported$prop$raw__O()
  };
  get "mediaType"() {
    return this.$$js$exported$prop$mediaType__O()
  };
}
const $is_Lamf_client_model_domain_SchemaShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_SchemaShape)))
});
const $isArrayOf_Lamf_client_model_domain_SchemaShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_SchemaShape)))
});
const $d_Lamf_client_model_domain_SchemaShape = new $TypeData().initClass({
  Lamf_client_model_domain_SchemaShape: 0
}, false, "amf.client.model.domain.SchemaShape", {
  Lamf_client_model_domain_SchemaShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_SchemaShape.prototype.$classData = $d_Lamf_client_model_domain_SchemaShape;
class $c_Lamf_client_model_domain_UnionShape extends $c_Lamf_client_model_domain_AnyShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_UnionShape.prototype.init___Lamf_plugins_domain_shapes_models_UnionShape.call(this, new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "UnionShape"
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$1
  };
  productArity__I() {
    return 1
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_UnionShape(x$1)) {
      const UnionShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = UnionShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  init___Lamf_plugins_domain_shapes_models_UnionShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$1
  };
  anyOf__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$1;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  $$js$exported$meth$withAnyOf__sjs_js_Array__O(anyOf) {
    return this.withAnyOf__sjs_js_Array__Lamf_client_model_domain_UnionShape(anyOf)
  };
  $$js$exported$prop$anyOf__O() {
    return this.anyOf__sjs_js_Array()
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  withAnyOf__sjs_js_Array__Lamf_client_model_domain_UnionShape(anyOf) {
    const this$2 = this.$$undinternal$1;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const elements = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, anyOf, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$().AnyOf$1;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, elements);
    return this
  };
  "withAnyOf"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withAnyOf__sjs_js_Array__O(prep0)
  };
  get "anyOf"() {
    return this.$$js$exported$prop$anyOf__O()
  };
}
const $is_Lamf_client_model_domain_UnionShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_UnionShape)))
});
const $isArrayOf_Lamf_client_model_domain_UnionShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_UnionShape)))
});
const $d_Lamf_client_model_domain_UnionShape = new $TypeData().initClass({
  Lamf_client_model_domain_UnionShape: 0
}, false, "amf.client.model.domain.UnionShape", {
  Lamf_client_model_domain_UnionShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_UnionShape.prototype.$classData = $d_Lamf_client_model_domain_UnionShape;
class $c_Lamf_core_model_document_ExtensionLike extends $c_Lamf_core_model_document_Document {
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields__Lamf_core_parser_Fields().apply__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_document_DocumentModel$().Encodes$1)
  };
}
const $is_Lamf_core_model_document_ExtensionLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_core_model_document_ExtensionLike)))
});
const $isArrayOf_Lamf_core_model_document_ExtensionLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_core_model_document_ExtensionLike)))
});
class $c_Lamf_plugins_document_vocabularies_model_document_Dialect extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "Dialect"
  };
  allHeaders__sc_Seq() {
    const jsx$4 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.header__T()]));
    const jsx$3 = this.libraryHeaders__sc_Seq();
    const this$1 = $m_sc_Seq$();
    const jsx$2 = jsx$4.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$3, this$1.ReusableCBFInstance$2);
    const jsx$1 = this.fragmentHeaders__sc_Seq();
    const this$2 = $m_sc_Seq$();
    return jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2)
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_Dialect(x$1)) {
      const Dialect$1 = x$1;
      const x = this.fields$1;
      const x$2 = Dialect$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = Dialect$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this)
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    return $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, cycleRecoverer)
  };
  componentId__T() {
    return ""
  };
  references__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().References$1)
  };
  isFragmentHeader__T__Z(header) {
    return this.fragmentHeaders__sc_Seq().contains__O__Z(header.split(" ").join(""))
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Declares$1)
  };
  isLibraryHeader__T__Z(header) {
    return this.libraryHeaders__sc_Seq().contains__O__Z(header.split(" ").join(""))
  };
  nameAndVersion__T() {
    const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " ", ""]));
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
    const this$2 = this$1.option$1;
    const jsx$1 = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const this$3 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
    const this$4 = this$3.option$1;
    return jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, (this$4.isEmpty__Z() ? null : this$4.get__O())]))
  };
  fragmentHeaders__sc_Seq() {
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    const jsx$3 = this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Fragments$1);
    const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(fragment$2) {
        const fragment = fragment$2;
        const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%", "/", ""]));
        const this$2 = fragment.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentMappingModel$().DocumentName$1);
        const this$3 = this$2.option$1;
        const thiz = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([(this$3.isEmpty__Z() ? null : this$3.get__O()), $m_sjsr_RuntimeString$().replaceFirst__T__T__T__T($this.header__T(), "%", "")]));
        return thiz.split(" ").join("")
      })
    })(this));
    const this$6 = $m_sc_Seq$();
    return jsx$3.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  header__T() {
    const jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%", " ", ""]));
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Name$1);
    const this$2 = this$1.option$1;
    const jsx$1 = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const this$3 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Version$1);
    const this$4 = this$3.option$1;
    const thiz = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, (this$4.isEmpty__Z() ? null : this$4.get__O())]));
    return thiz.split(" ").join("")
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  libraryHeaders__sc_Seq() {
    const jsx$1 = $m_s_Option$();
    const this$1 = this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectModel$().Documents$1);
    const x1 = jsx$1.apply__O__s_Option(this$1.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_domain_DocumentsModelModel$().Library$1));
    if ($is_s_Some(x1)) {
      return $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["%Library/", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_sjsr_RuntimeString$().replaceFirst__T__T__T__T(this.header__T(), "%", "")]))]))
    } else {
      const x = $m_s_None$();
      if ((x === x1)) {
        return $m_sci_Nil$()
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    return $f_Lamf_core_model_document_BaseUnit__transform__F1__F2__Lamf_core_model_document_BaseUnit(this, selector, transformation)
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_Dialect = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_Dialect)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_Dialect = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_Dialect)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_Dialect = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_Dialect: 0
}, false, "amf.plugins.document.vocabularies.model.document.Dialect", {
  Lamf_plugins_document_vocabularies_model_document_Dialect: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_plugins_document_vocabularies_model_document_MappingDeclarer: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_Dialect.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_Dialect;
class $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance extends $c_O {
  constructor() {
    super();
    this.fields$1 = null;
    this.annotations$1 = null;
    this.composedDialects$1 = null;
    this.parserRun$1 = null;
    this.raw$1 = null;
    this.id$1 = null
  };
  dynamicTypes__sc_Seq() {
    return $m_sci_Nil$()
  };
  productPrefix__T() {
    return "DialectInstance"
  };
  transformByCondition$default$4__sci_Set() {
    return $m_sci_Set$EmptySet$()
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_vocabularies_model_document_DialectInstance(x$1)) {
      const DialectInstance$1 = x$1;
      const x = this.fields$1;
      const x$2 = DialectInstance$1.fields$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$1;
        const x$4 = DialectInstance$1.annotations$1;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  raw$und$eq__s_Option__V(x$1) {
    this.raw$1 = x$1
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$1;
        break
      }
      case 1: {
        return this.annotations$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$1
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parserRun$und$eq__s_Option__V(x$1) {
    this.parserRun$1 = x$1
  };
  transformByCondition$default$5__F2() {
    return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(old$2, transformed$2) {
        const old = old$2;
        const transformed = transformed$2;
        return $f_Lamf_core_model_document_BaseUnit__defaultCycleRecoverer__Lamf_core_model_domain_AmfObject__Lamf_core_model_domain_AmfObject__s_Option($this, old, transformed)
      })
    })(this))
  };
  componentId__T() {
    return ""
  };
  transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(element, predicate, transformation, cycles, cycleRecoverer) {
    if ((!cycles.contains__O__Z(element.id__T()))) {
      if ((!(!predicate.apply__O__O(element)))) {
        const this$1 = transformation.apply__O__O__O(element, false);
        return (this$1.isEmpty__Z() ? null : this$1.get__O())
      } else {
        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(element)) {
          const x2 = element;
          x2.objectProperties$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, element$1, predicate$1, transformation$1, cycles$1, x2$1) {
            return (function(x0$1$2) {
              const x0$1 = x0$1$2;
              if ((x0$1 !== null)) {
                const prop = x0$1.$$und1__O();
                const value = x0$1.$$und2__O();
                const x1$2 = $m_s_Option$().apply__O__s_Option($this.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(value, predicate$1, transformation$1, cycles$1.$$plus__O__sc_Set(element$1.id__T()), $this.transformByCondition$default$5__F2()));
                if ($is_s_Some(x1$2)) {
                  const x2$2 = x1$2;
                  const transformed = x2$2.value$2;
                  if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(transformed)) {
                    const x3 = transformed;
                    x2$1.objectProperties$1.put__O__O__s_Option(prop, x3);
                    return x2$1
                  }
                };
                x2$1.objectProperties$1.remove__O__s_Option(prop);
                return x2$1
              } else {
                throw new $c_s_MatchError().init___O(x0$1)
              }
            })
          })(this, element, predicate, transformation, cycles, x2)));
          x2.objectCollectionProperties$1.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, element$2, predicate$2, transformation$2, cycles$2, x2$3) {
            return (function(x0$2$2) {
              const x0$2 = x0$2$2;
              if ((x0$2 !== null)) {
                const prop$1 = x0$2.$$und1__O();
                const values = x0$2.$$und2__O();
                if ((values !== null)) {
                  const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, element$1$1, predicate$1$1, transformation$2$1, cycles$1$1) {
                    return (function(value$2) {
                      const value$1 = value$2;
                      const x1 = $m_s_Option$().apply__O__s_Option($this$1.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(value$1, predicate$1$1, transformation$2$1, cycles$1$1.$$plus__O__sc_Set(element$1$1.id__T()), $this$1.transformByCondition$default$5__F2()));
                      if ($is_s_Some(x1)) {
                        const x2$4 = x1;
                        const transformed$1 = x2$4.value$2;
                        if ($is_Lamf_plugins_document_vocabularies_model_domain_DialectDomainElement(transformed$1)) {
                          const x3$1 = transformed$1;
                          return new $c_s_Some().init___O(x3$1)
                        }
                      };
                      return $m_s_None$()
                    })
                  })(this$2, element$2, predicate$2, transformation$2, cycles$2));
                  const this$3 = $m_sc_Seq$();
                  const jsx$2 = values.map__F1__scg_CanBuildFrom__O(jsx$3, this$3.ReusableCBFInstance$2);
                  const jsx$1 = new $c_Lamf_plugins_document_vocabularies_model_document_DialectInstance$$anonfun$1().init___Lamf_plugins_document_vocabularies_model_document_DialectInstance(this$2);
                  const this$4 = $m_sc_Seq$();
                  const newValues = jsx$2.collect__s_PartialFunction__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2);
                  if (newValues.isEmpty__Z()) {
                    x2$3.objectCollectionProperties$1.remove__O__s_Option(prop$1)
                  } else {
                    x2$3.objectCollectionProperties$1.put__O__O__s_Option(prop$1, newValues)
                  };
                  return x2$3
                }
              };
              return x2$3
            })
          })(this, element, predicate, transformation, cycles, x2)))
        } else {
          $f_Lamf_core_model_document_BaseUnit__transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, element, predicate, transformation, cycles, $f_Lamf_core_model_document_BaseUnit__transformByCondition$default$5__F2(this))
        };
        return element
      }
    } else {
      if ($is_Lamf_core_model_domain_Linkable(element)) {
        const x2$2$1 = element;
        if ($f_Lamf_core_model_domain_Linkable__linkTarget__s_Option(x2$2$1).isDefined__Z()) {
          if ((!(!predicate.apply__O__O(element)))) {
            const this$5 = transformation.apply__O__O__O(element, true);
            return (this$5.isEmpty__Z() ? null : this$5.get__O())
          } else {
            return element
          }
        }
      };
      return element
    }
  };
  references__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().References$1)
  };
  parserRun__s_Option() {
    return this.parserRun$1
  };
  declares__sc_Seq() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Declares$1)
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$1
  };
  composedDialects$und$eq__sci_Map__V(x$1) {
    this.composedDialects$1 = x$1
  };
  raw__s_Option() {
    return this.raw$1
  };
  encodes__Lamf_core_model_domain_DomainElement() {
    return this.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_document_vocabularies_metamodel_document_DialectInstanceModel$().Encodes$1)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  id__T() {
    return this.id$1
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  id$und$eq__T__V(x$1) {
    this.id$1 = x$1
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$1 = fields;
    this.annotations$1 = annotations;
    $f_Lamf_core_model_document_BaseUnit__$$init$__V(this);
    $f_Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport__$$init$__V(this);
    return this
  };
  transform__F1__F2__Lamf_core_model_document_BaseUnit(selector, transformation) {
    const domainElementAdapter = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, selector$1) {
      return (function(o$2) {
        const o = o$2;
        if ($is_Lamf_core_model_domain_DomainElement(o)) {
          const x2 = o;
          return (!(!selector$1.apply__O__O(x2)))
        } else {
          return false
        }
      })
    })(this, selector));
    const transformationAdapter = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(this$2, transformation$1) {
      return (function(o$3$2, isCycle$2) {
        const o$3 = o$3$2;
        const isCycle = (!(!isCycle$2));
        if ($is_Lamf_core_model_domain_DomainElement(o$3)) {
          const x2$1 = o$3;
          return transformation$1.apply__O__O__O(x2$1, isCycle)
        } else {
          return new $c_s_Some().init___O(o$3)
        }
      })
    })(this, transformation));
    this.transformByCondition__Lamf_core_model_domain_AmfObject__F1__F2__sci_Set__F2__Lamf_core_model_domain_AmfObject(this, domainElementAdapter, transformationAdapter, $m_sci_Set$EmptySet$(), this.transformByCondition$default$5__F2());
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent)
  };
}
const $is_Lamf_plugins_document_vocabularies_model_document_DialectInstance = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectInstance)))
});
const $isArrayOf_Lamf_plugins_document_vocabularies_model_document_DialectInstance = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_vocabularies_model_document_DialectInstance)))
});
const $d_Lamf_plugins_document_vocabularies_model_document_DialectInstance = new $TypeData().initClass({
  Lamf_plugins_document_vocabularies_model_document_DialectInstance: 0
}, false, "amf.plugins.document.vocabularies.model.document.DialectInstance", {
  Lamf_plugins_document_vocabularies_model_document_DialectInstance: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_plugins_document_vocabularies_model_document_ComposedInstancesSupport: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_vocabularies_model_document_DialectInstance.prototype.$classData = $d_Lamf_plugins_document_vocabularies_model_document_DialectInstance;
class $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext extends $c_Lamf_plugins_document_webapi_contexts_WebApiContext {
  constructor() {
    super();
    this.wrapped$3 = null;
    this.ds$3 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.wrapped$3 = wrapped;
    this.ds$3 = ds;
    $c_Lamf_plugins_document_webapi_contexts_WebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    return this
  };
  ignore__T__T__Z(shape, property) {
    return (((((property.length | 0) >= 0) && (property.substring(0, ("x-".length | 0)) === "x-")) || (property === "$ref")) || ((((property.length | 0) >= 0) && (property.substring(0, ("/".length | 0)) === "/")) && (shape === "webApi")))
  };
  link__Lorg_yaml_model_YNode__s_util_Either(node) {
    const conversion = $m_Lorg_yaml_convert_YRead$YMapYRead$();
    const x1 = conversion.read__Lorg_yaml_model_YNode__s_util_Either(node);
    if ($is_s_util_Right(x1)) {
      const x2 = x1;
      const map = x2.value$2;
      const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("$ref");
      let this$3;
      if (this$2.isEmpty__Z()) {
        this$3 = $m_s_None$()
      } else {
        const arg1 = this$2.get__O();
        const v = arg1;
        this$3 = v.value$1.asOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YScalarYRead$())
      };
      let ref;
      if (this$3.isEmpty__Z()) {
        ref = $m_s_None$()
      } else {
        const arg1$1 = this$3.get__O();
        const x$3 = arg1$1;
        ref = new $c_s_Some().init___O(x$3.text$3)
      };
      if ($is_s_Some(ref)) {
        const x2$2 = ref;
        const url = x2$2.value$2;
        $m_s_package$();
        return new $c_s_util_Left().init___O(url)
      } else {
        const x = $m_s_None$();
        if ((x === ref)) {
          $m_s_package$();
          return new $c_s_util_Right().init___O(node)
        } else {
          throw new $c_s_MatchError().init___O(ref)
        }
      }
    } else {
      $m_s_package$();
      return new $c_s_util_Right().init___O(node)
    }
  };
}
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser {
  constructor() {
    super();
    this.root$4 = null
  };
  productPrefix__T() {
    return "Raml08DocumentParser"
  };
  parseSchemaDeclarations__p4__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schemas");
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = e.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x === x1)) {
        this.parseSchemaEntries__p4__sc_Seq__T__V(e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3, parent)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Null$1;
        if ((!(x$3 === x1))) {
          const x$5 = $m_Lorg_yaml_model_YType$().Seq$1;
          if ((x$5 === x1)) {
            const jsx$3 = e.value$1;
            const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
            const this$5 = $m_sc_IndexedSeq$();
            const bf = this$5.ReusableCBF$6;
            const jsx$2 = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$3);
            const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
              return (function(x$1$2) {
                const x$1 = x$1$2;
                return x$1.entries$3
              })
            })(this));
            const this$6 = $m_sc_Seq$();
            this.parseSchemaEntries__p4__sc_Seq__T__V(jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2), parent)
          } else {
            const this$7 = this.ctx$3;
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'types' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]));
            const ast = e.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, parent, message, ast)
          }
        }
      }
    }
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser(x$1)) {
      const Raml08DocumentParser$1 = x$1;
      const x = this.root$4;
      const x$2 = Raml08DocumentParser$1.root$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$3
  };
  parseEntries__p4__sc_Seq__T__V(entries, parent) {
    entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const jsx$1 = $this.ctx$3.declarations$2;
        const this$2 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_SecuritySchemeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$5, entry$1) {
          return (function(scheme$2) {
            const scheme = scheme$2;
            $m_Lorg_yaml_model_YNode$();
            const node = entry$1.key$1;
            const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const field = $m_Lamf_plugins_domain_webapi_metamodel_security_SecuritySchemeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(scheme, field, name).adopted__T__Lamf_plugins_domain_webapi_models_security_SecurityScheme(parent$5)
          })
        })($this, parent$1, entry)), $this.ctx$3).parse__Lamf_plugins_domain_webapi_models_security_SecurityScheme();
        const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
        return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$2, annotation))
      })
    })(this, parent)))
  };
  parseAbstractDeclarations__p4__T__F1__Lorg_yaml_model_YMap__T__V(key, producer, map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option(key);
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const entry = arg1;
      const this$3 = entry.value$1;
      const x1 = this$3.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Seq$1;
      let entries;
      if ((x === x1)) {
        const jsx$3 = entry.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$5 = $m_sc_IndexedSeq$();
        const bf = this$5.ReusableCBF$6;
        const jsx$2 = jsx$3.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$3);
        const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
          return (function(m$2) {
            const m = m$2;
            return m.entries$3
          })
        })(this));
        const this$6 = $m_sc_Seq$();
        entries = jsx$2.flatMap__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2)
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((!(x$3 === x1))) {
          throw new $c_s_MatchError().init___O(x1)
        };
        entries = entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3
      };
      entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, producer$1, parent$3) {
        return (function(entry$2$2) {
          const entry$2 = entry$2$2;
          return this$2$1.ctx$3.declarations$2.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($m_Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser$().apply__Lamf_core_model_domain_templates_AbstractDeclaration__T__Lorg_yaml_model_YMapEntry__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_AbstractDeclarationParser(producer$1.apply__O__O(entry$2), parent$3, entry$2, this$2$1.ctx$3).parse__Lamf_core_model_domain_templates_AbstractDeclaration())
        })
      })(this, producer, parent)))
    }
  };
  parseSchemaEntries__p4__sc_Seq__T__V(entries, parent) {
    entries.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const x1 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(entry, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parent$6, entry$1) {
          return (function(shape$2) {
            const shape = shape$2;
            $m_Lorg_yaml_model_YNode$();
            const node = entry$1.key$1;
            const name = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1);
            const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
            return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field, name).adopted__T__Lamf_core_model_domain_AmfObject(parent$6)
          })
        })($this, parent$1, entry)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), $this.ctx$3).parse__s_Option();
        if ($is_s_Some(x1)) {
          const x2 = x1;
          const shape$3 = x2.value$2;
          const jsx$1 = $this.ctx$3.declarations$2;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          return jsx$1.$$plus$eq__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations($f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(shape$3, annotation))
        } else {
          const x = $m_s_None$();
          if ((x === x1)) {
            const this$2 = $this.ctx$3;
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Error parsing shape '", "'"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry]));
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$2, parent$1, message, entry);
            return (void 0)
          } else {
            throw new $c_s_MatchError().init___O(x1)
          }
        }
      })
    })(this, parent)))
  };
  parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(root, map) {
    const parent = (root.location$1 + "#/declarations");
    this.parseSchemaDeclarations__p4__Lorg_yaml_model_YMap__T__V(map, parent);
    this.parseAbstractDeclarations__p4__T__F1__Lorg_yaml_model_YMap__T__V("resourceTypes", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$1) {
      return (function(entry$2) {
        const entry = entry$2;
        const this$1 = $m_Lamf_plugins_domain_webapi_models_templates_ResourceType$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_ResourceType(entry);
        const name = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$3);
        const field = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
        const jsx$2 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
        const jsx$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/resourceTypes/", ""]));
        const str = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$3);
        const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
        const this$4 = this$3.platform$1;
        const url = this$3.str$1;
        return jsx$2.withId__T__Lamf_core_model_domain_AmfObject((("" + parent$1) + jsx$1.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url)]))))
      })
    })(this, parent)), map, parent);
    this.parseAbstractDeclarations__p4__T__F1__Lorg_yaml_model_YMap__T__V("traits", new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1, parent$2) {
      return (function(entry$3$2) {
        const entry$3 = entry$3$2;
        const this$5 = $m_Lamf_plugins_domain_webapi_models_templates_Trait$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_webapi_models_templates_Trait(entry$3);
        const name$1 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$3);
        const field$1 = $m_Lamf_core_metamodel_domain_templates_AbstractDeclarationModel$().Name$1;
        const jsx$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$5, field$1, name$1);
        const jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/traits/", ""]));
        const str$1 = entry$3.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), this$2$1.ctx$3);
        const this$7 = new $c_Lamf_core_utils_package$Strings().init___T(str$1);
        const this$8 = this$7.platform$1;
        const url$1 = this$7.str$1;
        return jsx$4.withId__T__Lamf_core_model_domain_AmfObject((("" + parent$2) + jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$8, url$1)]))))
      })
    })(this, parent)), map, parent);
    this.parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option(key);
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const entry = arg1;
      entry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parentPath$1, entry$1) {
        return (function(e$2) {
          const e = e$2;
          const parameter = new $c_Lamf_plugins_document_webapi_parser_spec_domain_Raml08ParameterParser().init___Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(e, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, parentPath$1$1) {
            return (function(name$2) {
              const name = name$2;
              const annotations = new $c_Lamf_core_parser_Annotations().init___();
              const this$7 = new $c_Lamf_plugins_domain_webapi_models_Parameter().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
              const value = ((parentPath$1$1 + "/") + name);
              const this$8 = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$7, value);
              const field = $m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Name$1;
              return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$8, field, name)
            })
          })($this, parentPath$1)), false, $this.ctx$3).parse__Lamf_plugins_domain_webapi_models_Parameter();
          if ($m_s_Option$().apply__O__s_Option(parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Binding$1)).isEmpty__Z()) {
            const this$9 = $this.ctx$3;
            const node = parameter.id$1;
            const ast = entry$1.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$9, node, "Missing binding information in declared parameter", ast)
          };
          const jsx$2 = $this.ctx$3.declarations$2;
          const annotation = new $c_Lamf_plugins_document_webapi_annotations_DeclaredElement().init___();
          const jsx$1 = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(parameter, annotation);
          const annotations$1 = new $c_Lamf_core_parser_Annotations().init___();
          const this$13 = new $c_Lamf_plugins_domain_webapi_models_Payload().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$1);
          const schema = parameter.fields$1.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_webapi_metamodel_ParameterModel$().Schema$1);
          const field$1 = $m_Lamf_plugins_domain_webapi_metamodel_PayloadModel$().Schema$1;
          jsx$2.registerParameter__Lamf_plugins_domain_webapi_models_Parameter__Lamf_plugins_domain_webapi_models_Payload__V(jsx$1, $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$13, field$1, schema))
        })
      })(this, parentPath, entry)))
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$4 = root;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser.prototype.init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, root, ctx);
    return this
  };
  parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent) {
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
    const this$3 = this$2.key__T__s_Option("securitySchemes");
    if ((!this$3.isEmpty__Z())) {
      const arg1 = this$3.get__O();
      const e = arg1;
      const this$4 = e.value$1;
      const x1 = this$4.tag__Lorg_yaml_model_YTag().tagType$2;
      const x = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x === x1)) {
        const jsx$1 = e.value$1;
        const reader = $m_Lorg_yaml_convert_YRead$YMapYRead$();
        const this$6 = $m_sc_IndexedSeq$();
        const bf = this$6.ReusableCBF$6;
        jsx$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O(new $c_Lorg_yaml_convert_YRead$$anon$1().init___Lorg_yaml_convert_YRead__scg_CanBuildFrom(reader, bf), this.ctx$3).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, parent$4) {
          return (function(map$2) {
            const map$1 = map$2;
            $this.parseEntries__p4__sc_Seq__T__V(map$1.entries$3, parent$4)
          })
        })(this, parent)))
      } else {
        const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
        if ((x$3 === x1)) {
          this.parseEntries__p4__sc_Seq__T__V(e.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3).entries$3, parent)
        } else {
          const x$5 = $m_Lorg_yaml_model_YType$().Null$1;
          if ((!(x$5 === x1))) {
            const this$7 = this.ctx$3;
            const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Invalid type ", " for 'securitySchemes' node."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([x1]));
            const ast = e.value$1;
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$7, parent, message, ast)
          }
        }
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml08DocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml08DocumentParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser {
  constructor() {
    super();
    this.root$3 = null;
    this.ctx$3 = null
  };
  productPrefix__T() {
    return "RamlModuleParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser(x$1)) {
      const RamlModuleParser$1 = x$1;
      const x = this.root$3;
      const x$2 = RamlModuleParser$1.root$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$3
  };
  parseModule__Lamf_core_model_document_Module() {
    const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.root$3.parsed$1.document$1);
    const this$3 = new $c_Lamf_core_model_document_Module().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const location = this.root$3.location$1;
    const field = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    const this$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, location);
    const parent = this.root$3.location$1;
    const this$5 = $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this$4, parent);
    const annotation = $m_Lamf_core_annotations_SourceVendor$().apply__T__Lamf_core_annotations_SourceVendor(this.root$3.vendor$1);
    const module = $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$5, annotation);
    const location$1 = this.root$3.location$1;
    const field$1 = $m_Lamf_core_metamodel_document_BaseUnitModel$().Location$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(module, field$1, location$1);
    const node = this.root$3.parsed$1.document$1;
    const this$7 = new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lorg_yaml_convert_YRead$YMapYRead$());
    if ((!this$7.isEmpty__Z())) {
      const arg1 = this$7.get__O();
      const rootMap = arg1;
      const references = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_ReferencesParser().init___Lamf_core_model_document_BaseUnit__T__Lorg_yaml_model_YMap__sc_Seq__Lamf_plugins_document_webapi_contexts_WebApiContext(module, "uses", rootMap, this.root$3.references$1, this.ctx$3).parse__T__Lamf_plugins_document_webapi_parser_spec_declaration_ReferenceDeclarations(this.root$3.location$1);
      this.parseDeclarations__Lamf_core_Root__Lorg_yaml_model_YMap__V(this.root$3, rootMap);
      new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, rootMap, module).parse__V();
      const declarables = this.ctx$3.declarations$2.declarables__sc_Seq();
      if (declarables.nonEmpty__Z()) {
        const field$2 = $m_Lamf_core_metamodel_document_ModuleModel$().Declares$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$2, declarables)
      };
      const this$8 = references.references$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$8)) {
        const references$1 = references.solvedReferences__sc_Seq();
        const field$3 = $m_Lamf_core_metamodel_document_DocumentModel$().References$1;
        $f_Lamf_core_model_domain_AmfObject__setArrayWithoutId__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(module, field$3, references$1)
      }
    };
    const this$9 = this.ctx$3.futureDeclarations$1;
    $f_Lamf_core_parser_FutureDeclarations__resolve__V(this$9);
    return module
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(this, key, map, parentPath)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$3 = root;
    this.ctx$3 = ctx;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
  parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(this, map, parent)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.RamlModuleParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_RamlModuleParser;
class $c_Lamf_plugins_domain_shapes_models_DataArrangementShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  componentId__T() {
    const this$1 = this.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-array" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/array/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  adopted__T__Lamf_plugins_domain_shapes_models_DataArrangementShape(parent) {
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent);
    const x1 = this.fields$2.entry__Lamf_core_metamodel_Field__s_Option($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const items = x2.value$2;
      const x1$2 = items.value$1.value$1;
      if ($is_Lamf_core_model_domain_Shape(x1$2)) {
        const x2$2 = x1$2;
        x2$2.adopted__T__Lamf_core_model_domain_AmfObject(this.id$1)
      } else {
        throw new $c_s_MatchError().init___O(x1$2)
      }
    };
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_DataArrangementShape(parent)
  };
}
const $is_Lamf_plugins_domain_shapes_models_DataArrangementShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_DataArrangementShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_DataArrangementShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_DataArrangementShape)))
});
const $is_sc_GenSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSet)))
});
const $isArrayOf_sc_GenSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSet)))
});
const $f_sc_IndexedSeqLike__toBuffer__scm_Buffer = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  const xs = $thiz.seq__sc_TraversableOnce();
  result.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs);
  return result
});
const $is_sc_IndexedSeqLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeqLike)))
});
const $isArrayOf_sc_IndexedSeqLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeqLike)))
});
const $is_sc_LinearSeqLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqLike)))
});
const $isArrayOf_sc_LinearSeqLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqLike)))
});
const $is_sc_TraversableView = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableView)))
});
const $isArrayOf_sc_TraversableView = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableView)))
});
class $c_Lamf_client_model_domain_ArrayShape extends $c_Lamf_client_model_domain_DataArrangeShape {
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_ArrayShape.prototype.init___Lamf_plugins_domain_shapes_models_ArrayShape.call(this, new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "ArrayShape"
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape(_internal) {
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  productArity__I() {
    return 1
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_ArrayShape(x$1)) {
      const ArrayShape$1 = x$1;
      const x = this.$$undinternal$1;
      const x$2 = ArrayShape$1.$$undinternal$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$1;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_ArrayShape()
  };
  items__Lamf_client_model_domain_Shape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape();
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return m.asClient__Lamf_core_model_domain_Shape__Lamf_client_model_domain_Shape(from)
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape() {
    return this.$$undinternal$1
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_ArrayShape()
  };
  $$js$exported$prop$items__O() {
    return this.items__Lamf_client_model_domain_Shape()
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape() {
    return this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape()
  };
  linkCopy__Lamf_client_model_domain_ArrayShape() {
    const this$1 = this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    return new $c_Lamf_client_model_domain_ArrayShape().init___Lamf_plugins_domain_shapes_models_ArrayShape($f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value))
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_ArrayShape()
  };
  $$js$exported$meth$withItems__Lamf_client_model_domain_Shape__O(items) {
    return this.withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_ArrayShape(items)
  };
  withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_ArrayShape(items) {
    const this$2 = this.$$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape();
    $m_Lamf_client_convert_WebApiClientConverters$();
    $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const items$1 = items.$$undinternal__Lamf_core_model_domain_Shape();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$().Items$1;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this$2, field, items$1);
    return this
  };
  "withItems"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withItems__Lamf_client_model_domain_Shape__O(prep0)
  };
  get "items"() {
    return this.$$js$exported$prop$items__O()
  };
}
const $is_Lamf_client_model_domain_ArrayShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_ArrayShape)))
});
const $isArrayOf_Lamf_client_model_domain_ArrayShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_ArrayShape)))
});
const $d_Lamf_client_model_domain_ArrayShape = new $TypeData().initClass({
  Lamf_client_model_domain_ArrayShape: 0
}, false, "amf.client.model.domain.ArrayShape", {
  Lamf_client_model_domain_ArrayShape: 1,
  Lamf_client_model_domain_DataArrangeShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_ArrayShape.prototype.$classData = $d_Lamf_client_model_domain_ArrayShape;
class $c_Lamf_client_model_domain_TupleShape extends $c_Lamf_client_model_domain_DataArrangeShape {
  constructor() {
    super();
    this.$$undinternal$3 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_TupleShape.prototype.init___Lamf_plugins_domain_shapes_models_TupleShape.call(this, new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  productPrefix__T() {
    return "TupleShape"
  };
  $$js$exported$meth$withAdditionalItems__Z__O(additionalItems) {
    return this.withAdditionalItems__Z__Lamf_client_model_domain_TupleShape(additionalItems)
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$3
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_client_model_domain_TupleShape(x$1)) {
      const TupleShape$1 = x$1;
      const x = this.$$undinternal$3;
      const x$2 = TupleShape$1.$$undinternal$3;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$3
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.$$undinternal$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_client_model_domain_TupleShape() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$3;
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$5 = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this$1.id$1;
    const from = $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$5, value);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().TupleShapeMatcher__Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$();
    return m.asClient__Lamf_plugins_domain_shapes_models_TupleShape__Lamf_client_model_domain_TupleShape(from)
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  $$js$exported$prop$additionalItems__O() {
    return this.additionalItems__Lamf_client_model_BoolField()
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$3
  };
  withAdditionalItems__Z__Lamf_client_model_domain_TupleShape(additionalItems) {
    const this$1 = this.$$undinternal$3;
    const field = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().AdditionalItems$2;
    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Z__Lamf_core_model_domain_AmfObject(this$1, field, additionalItems);
    return this
  };
  $$js$exported$meth$linkCopy__O() {
    return this.linkCopy__Lamf_client_model_domain_TupleShape()
  };
  items__sjs_js_Array() {
    const this$2 = $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$3;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2);
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    return new $c_Lamf_client_convert_CollectionConverter$InternalSeqOps().init___Lamf_client_convert_CollectionConverter__sc_Seq__Lamf_client_convert_InternalClientMatcher(this$2, from, m).asClient__O()
  };
  init___Lamf_plugins_domain_shapes_models_TupleShape(_internal) {
    this.$$undinternal$3 = _internal;
    $c_Lamf_client_model_domain_AnyShape.prototype.init___Lamf_plugins_domain_shapes_models_AnyShape.call(this, _internal);
    return this
  };
  linkCopy__Lamf_client_model_domain_Linkable() {
    return this.linkCopy__Lamf_client_model_domain_TupleShape()
  };
  $$js$exported$prop$items__O() {
    return this.items__sjs_js_Array()
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape() {
    return this.$$undinternal$3
  };
  $$js$exported$meth$withItems__sjs_js_Array__O(items) {
    return this.withItems__sjs_js_Array__Lamf_client_model_domain_TupleShape(items)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  withItems__sjs_js_Array__Lamf_client_model_domain_TupleShape(items) {
    const this$2 = this.$$undinternal$3;
    const this$1 = $m_Lamf_client_convert_WebApiClientConverters$();
    const m = $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$();
    const items$1 = new $c_Lamf_client_convert_CollectionConverter$ClientListOps().init___Lamf_client_convert_CollectionConverter__O__Lamf_client_convert_ClientInternalMatcher(this$1, items, m).asInternal__sc_Seq();
    const field = $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().TupleItems$2;
    $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(this$2, field, items$1);
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  linkCopy__Lamf_client_model_domain_AnyShape() {
    return this.linkCopy__Lamf_client_model_domain_TupleShape()
  };
  additionalItems__Lamf_client_model_BoolField() {
    $m_Lamf_client_convert_WebApiClientConverters$();
    const this$1 = this.$$undinternal$3;
    const from = this$1.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$().AdditionalItems$2);
    $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$();
    return new $c_Lamf_client_model_BoolField().init___Lamf_core_model_BoolField(from)
  };
  "withAdditionalItems"(arg$1) {
    const prep0 = (!(!arg$1));
    return this.$$js$exported$meth$withAdditionalItems__Z__O(prep0)
  };
  get "additionalItems"() {
    return this.$$js$exported$prop$additionalItems__O()
  };
  "withItems"(arg$1) {
    const prep0 = arg$1;
    return this.$$js$exported$meth$withItems__sjs_js_Array__O(prep0)
  };
  get "items"() {
    return this.$$js$exported$prop$items__O()
  };
}
const $is_Lamf_client_model_domain_TupleShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_TupleShape)))
});
const $isArrayOf_Lamf_client_model_domain_TupleShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_TupleShape)))
});
const $d_Lamf_client_model_domain_TupleShape = new $TypeData().initClass({
  Lamf_client_model_domain_TupleShape: 0
}, false, "amf.client.model.domain.TupleShape", {
  Lamf_client_model_domain_TupleShape: 1,
  Lamf_client_model_domain_DataArrangeShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_TupleShape.prototype.$classData = $d_Lamf_client_model_domain_TupleShape;
class $c_Lamf_plugins_document_webapi_JsonSchemaWebApiContext extends $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext {
  constructor() {
    super();
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.factory$4 = null;
    this.syntax$4 = null;
    this.vendor$4 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.factory$4 = new $c_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory().init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(this);
    this.syntax$4 = $m_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$();
    this.vendor$4 = $m_Lamf_core_remote_Oas3$();
    return this
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
  factory__Lamf_plugins_document_webapi_contexts_OasSpecVersionFactory() {
    return this.factory$4
  };
}
const $d_Lamf_plugins_document_webapi_JsonSchemaWebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_JsonSchemaWebApiContext: 0
}, false, "amf.plugins.document.webapi.JsonSchemaWebApiContext", {
  Lamf_plugins_document_webapi_JsonSchemaWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_OasWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_JsonSchemaWebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_JsonSchemaWebApiContext;
class $c_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext {
  constructor() {
    super();
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.factory$4 = null;
    this.vendor$4 = null;
    this.syntax$4 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.factory$4 = new $c_Lamf_plugins_document_webapi_contexts_Oas2VersionFactory().init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(this);
    this.vendor$4 = $m_Lamf_core_remote_Oas2$();
    this.syntax$4 = $m_Lamf_plugins_document_webapi_parser_spec_oas_Oas2Syntax$();
    return this
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
  factory__Lamf_plugins_document_webapi_contexts_OasSpecVersionFactory() {
    return this.factory$4
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas2WebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.Oas2WebApiContext", {
  Lamf_plugins_document_webapi_contexts_Oas2WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_OasWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas2WebApiContext;
class $c_Lamf_plugins_document_webapi_contexts_Oas3WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext {
  constructor() {
    super();
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.factory$4 = null;
    this.vendor$4 = null;
    this.syntax$4 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_OasWebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.factory$4 = new $c_Lamf_plugins_document_webapi_contexts_Oas3VersionFactory().init___Lamf_plugins_document_webapi_contexts_OasWebApiContext(this);
    this.vendor$4 = $m_Lamf_core_remote_Oas3$();
    this.syntax$4 = $m_Lamf_plugins_document_webapi_parser_spec_oas_Oas3Syntax$();
    return this
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
  factory__Lamf_plugins_document_webapi_contexts_OasSpecVersionFactory() {
    return this.factory$4
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Oas3WebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Oas3WebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.Oas3WebApiContext", {
  Lamf_plugins_document_webapi_contexts_Oas3WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_OasWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1
});
$c_Lamf_plugins_document_webapi_contexts_Oas3WebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Oas3WebApiContext;
class $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext extends $c_Lamf_plugins_document_webapi_contexts_WebApiContext {
  constructor() {
    super();
    this.wrapped$3 = null;
    this.ds$3 = null;
    this.globalMediatype$3 = false
  };
  isInclude__p3__Lorg_yaml_model_YNode__Z(node) {
    const x = node.tag__Lorg_yaml_model_YTag().tagType$2;
    const x$2 = $m_Lorg_yaml_model_YType$().Include$1;
    return (x === x$2)
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.wrapped$3 = wrapped;
    this.ds$3 = ds;
    $c_Lamf_plugins_document_webapi_contexts_WebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.globalMediatype$3 = false;
    return this
  };
  closedRamlTypeShape__Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__T__Z__V(shape, ast, shapeType, annotation) {
    const node = shape.id$1;
    const facets = shape.collectCustomShapePropertyDefinitions__Z__sci_Set__sc_Seq(true, $m_sci_Set$EmptySet$());
    const x1 = this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().get__O__s_Option(shapeType);
    if ($is_s_Some(x1)) {
      const x2 = x1;
      const props = x2.value$2;
      const initialProperties = (annotation ? props.$$plus$plus__sc_GenTraversableOnce__sc_Set(this.syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax().nodes__sci_Map().apply__O__O("annotation")) : props);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ast$1, shapeType$1, initialProperties$1) {
        return (function(propertiesMap$2) {
          const propertiesMap = propertiesMap$2;
          const totalProperties = initialProperties$1.$$plus$plus__sc_GenTraversableOnce__sc_Set(new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(propertiesMap));
          $m_sc_Seq$();
          $m_sci_Seq$();
          const this$4 = new $c_scm_ListBuffer().init___();
          const acc = this$4.toList__sci_List();
          return ast$1.entries$3.foldLeft__O__F2__O(acc, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this$1, shapeType$1$1, totalProperties$1) {
            return (function(results$2, entry$2) {
              const results = results$2;
              const entry = entry$2;
              const key = entry.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
              if ($this$1.ignore__T__T__Z(shapeType$1$1, key)) {
                return results
              } else if ((!totalProperties$1.contains__O__Z(key))) {
                const jsx$2 = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([entry]));
                const this$5 = $m_sc_Seq$();
                return results.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$2, this$5.ReusableCBFInstance$2)
              } else {
                return results
              }
            })
          })($this, shapeType$1, totalProperties)))
        })
      })(this, ast, shapeType, initialProperties));
      const this$6 = $m_sc_Seq$();
      const allResults = facets.map__F1__scg_CanBuildFrom__O(jsx$1, this$6.ReusableCBFInstance$2);
      const x1$2 = allResults.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return x$1.nonEmpty__Z()
        })
      })(this)));
      matchEnd6: {
        const x = $m_s_None$();
        if ((x === x1$2)) {
          break matchEnd6
        };
        if ($is_s_Some(x1$2)) {
          const x2$2 = x1$2;
          const errors = x2$2.value$2;
          if ((errors !== null)) {
            const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ClosedShapeSpecification$1.id__T();
            const jsx$4 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Properties ", " not supported in a ", " ", " node"]));
            const jsx$3 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$3$1) {
              return (function(x$2$2$2) {
                const x$2$2 = x$2$2$2;
                return x$2$2.key$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3
              })
            })(this));
            const this$7 = $m_sc_Seq$();
            const message = jsx$4.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([errors.map__F1__scg_CanBuildFrom__O(jsx$3, this$7.ReusableCBFInstance$2).mkString__T__T(","), this.vendor__Lamf_core_remote_Vendor(), shapeType]));
            const ast$2 = errors.head__O();
            const property = $m_s_None$();
            $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this, id, node, property, message, ast$2);
            break matchEnd6
          }
        };
        throw new $c_s_MatchError().init___O(x1$2)
      }
    } else {
      const x$4 = $m_s_None$();
      if ((x$4 === x1)) {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot validate unknown node type ", " for ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([shapeType, this.vendor__Lamf_core_remote_Vendor()]))))
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  findDeclarations__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(path, declarations) {
    if (path.isEmpty__Z()) {
      return declarations
    } else {
      const nextLibrary = path.head__O();
      const x1 = declarations.libraries$1.get__O__s_Option(nextLibrary);
      if ($is_s_Some(x1)) {
        const x2 = x1;
        const library = x2.value$2;
        if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(library)) {
          const x3 = library;
          return this.findDeclarations__sc_Seq__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations(path.tail__O(), x3)
        }
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Cannot find declarations in context '", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([path.mkString__T__T(".")]))))
    }
  };
  ignore__T__T__Z(shape, property) {
    return (((((property.length | 0) >= 0) && (property.substring(0, ("(".length | 0)) === "(")) && $m_sjsr_RuntimeString$().endsWith__T__T__Z(property, ")")) || ((((property.length | 0) >= 0) && (property.substring(0, ("/".length | 0)) === "/")) && ((shape === "webApi") || (shape === "endPoint"))))
  };
  link__Lorg_yaml_model_YNode__s_util_Either(node) {
    if (this.isInclude__p3__Lorg_yaml_model_YNode__Z(node)) {
      $m_s_package$();
      const value = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YScalarYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1).text$3;
      return new $c_s_util_Left().init___O(value)
    } else {
      $m_s_package$();
      return new $c_s_util_Right().init___O(node)
    }
  };
}
const $is_Lamf_plugins_document_webapi_contexts_RamlWebApiContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_RamlWebApiContext)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_RamlWebApiContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_RamlWebApiContext)))
});
class $c_Lamf_plugins_document_webapi_model_Extension extends $c_Lamf_core_model_document_ExtensionLike {
  constructor() {
    super();
    this.fields$3 = null;
    this.annotations$3 = null
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_ExtensionModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$3
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$3
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$3 = fields;
    this.annotations$3 = annotations;
    $c_Lamf_core_model_document_Document.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_model_Extension = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_Extension)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_Extension = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_Extension)))
});
const $d_Lamf_plugins_document_webapi_model_Extension = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_Extension: 0
}, false, "amf.plugins.document.webapi.model.Extension", {
  Lamf_plugins_document_webapi_model_Extension: 1,
  Lamf_core_model_document_ExtensionLike: 1,
  Lamf_core_model_document_Document: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_Extension.prototype.$classData = $d_Lamf_plugins_document_webapi_model_Extension;
class $c_Lamf_plugins_document_webapi_model_Overlay extends $c_Lamf_core_model_document_ExtensionLike {
  constructor() {
    super();
    this.fields$3 = null;
    this.annotations$3 = null
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_document_webapi_metamodel_OverlayModel$()
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$3
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$3
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    this.fields$3 = fields;
    this.annotations$3 = annotations;
    $c_Lamf_core_model_document_Document.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_document_webapi_model_Overlay = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_model_Overlay)))
});
const $isArrayOf_Lamf_plugins_document_webapi_model_Overlay = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_model_Overlay)))
});
const $d_Lamf_plugins_document_webapi_model_Overlay = new $TypeData().initClass({
  Lamf_plugins_document_webapi_model_Overlay: 0
}, false, "amf.plugins.document.webapi.model.Overlay", {
  Lamf_plugins_document_webapi_model_Overlay: 1,
  Lamf_core_model_document_ExtensionLike: 1,
  Lamf_core_model_document_Document: 1,
  O: 1,
  Lamf_core_model_document_BaseUnit: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_metamodel_MetaModelTypeMapping: 1,
  Lamf_core_model_document_EncodesModel: 1,
  Lamf_core_model_document_DeclaresModel: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_model_Overlay.prototype.$classData = $d_Lamf_plugins_document_webapi_model_Overlay;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType extends $c_Lamf_plugins_domain_webapi_models_templates_ResourceType {
  constructor() {
    super();
    this.idPart$3 = null;
    this.ast$3 = null;
    this.namespace$3 = null
  };
  productPrefix__T() {
    return "ErrorResourceType"
  };
  namespace__T() {
    return this.namespace$3
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType(x$1)) {
      const ErrorResourceType$1 = x$1;
      if ((this.idPart$3 === ErrorResourceType$1.idPart$3)) {
        const x = this.ast$3;
        const x$2 = ErrorResourceType$1.ast$3;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.idPart$3;
        break
      }
      case 1: {
        return this.ast$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  dataNode__Lamf_core_model_domain_DataNode() {
    $m_Lamf_core_model_domain_ObjectNode$();
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    return new $c_Lamf_core_model_domain_ObjectNode().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations)
  };
  init___T__Lorg_yaml_model_YPart(idPart, ast) {
    this.idPart$3 = idPart;
    this.ast$3 = ast;
    $c_Lamf_plugins_domain_webapi_models_templates_ResourceType.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast));
    this.namespace$3 = "http://amferror.com/#errorResourceType/";
    $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, idPart);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorResourceType", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType: 1,
  Lamf_plugins_domain_webapi_models_templates_ResourceType: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorResourceType;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme extends $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme {
  constructor() {
    super();
    this.idPart$2 = null;
    this.ast$2 = null;
    this.namespace$2 = null
  };
  productPrefix__T() {
    return "ErrorSecurityScheme"
  };
  namespace__T() {
    return this.namespace$2
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme(x$1)) {
      const ErrorSecurityScheme$1 = x$1;
      if ((this.idPart$2 === ErrorSecurityScheme$1.idPart$2)) {
        const x = this.ast$2;
        const x$2 = ErrorSecurityScheme$1.ast$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.idPart$2;
        break
      }
      case 1: {
        return this.ast$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___T__Lorg_yaml_model_YPart(idPart, ast) {
    this.idPart$2 = idPart;
    this.ast$2 = ast;
    $c_Lamf_plugins_domain_webapi_models_security_SecurityScheme.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast));
    this.namespace$2 = "http://amferror.com/#errorSecurityScheme/";
    $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, idPart);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorSecurityScheme", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme: 1,
  Lamf_plugins_domain_webapi_models_security_SecurityScheme: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_webapi_models_security_WithSettings: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorSecurityScheme;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait extends $c_Lamf_plugins_domain_webapi_models_templates_Trait {
  constructor() {
    super();
    this.idPart$3 = null;
    this.ast$3 = null;
    this.namespace$3 = null
  };
  productPrefix__T() {
    return "ErrorTrait"
  };
  namespace__T() {
    return this.namespace$3
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait(x$1)) {
      const ErrorTrait$1 = x$1;
      if ((this.idPart$3 === ErrorTrait$1.idPart$3)) {
        const x = this.ast$3;
        const x$2 = ErrorTrait$1.ast$3;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.idPart$3;
        break
      }
      case 1: {
        return this.ast$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___T__Lorg_yaml_model_YPart(idPart, ast) {
    this.idPart$3 = idPart;
    this.ast$3 = ast;
    $c_Lamf_plugins_domain_webapi_models_templates_Trait.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast));
    this.namespace$3 = "http://amferror.com/#errorTrait/";
    $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, idPart);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorTrait", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait: 1,
  Lamf_plugins_domain_webapi_models_templates_Trait: 1,
  Lamf_core_model_domain_templates_AbstractDeclaration: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorTrait;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser {
  constructor() {
    super();
    this.entry$2 = null;
    this.shape$2 = null;
    this.fatherMap$2 = null;
    this.ctx$2 = null;
    this.$$outer$2 = null
  };
  productPrefix__T() {
    return "InheritanceParser"
  };
  productArity__I() {
    return 3
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if (($is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser(x$1) && (x$1.$$outer$2 === this.$$outer$2))) {
      const InheritanceParser$1 = x$1;
      const x = this.entry$2;
      const x$2 = InheritanceParser$1.entry$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.shape$2;
        const x$4 = InheritanceParser$1.shape$2;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        const x$5 = this.fatherMap$2;
        const x$6 = InheritanceParser$1.fatherMap$2;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entry$2;
        break
      }
      case 1: {
        return this.shape$2;
        break
      }
      case 2: {
        return this.fatherMap$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  init___Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser__Lorg_yaml_model_YMapEntry__Lamf_core_model_domain_Shape__s_Option__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($$outer, entry, shape, fatherMap, ctx) {
    this.entry$2 = entry;
    this.shape$2 = shape;
    this.fatherMap$2 = fatherMap;
    this.ctx$2 = ctx;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser.prototype.init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, ctx);
    return this
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$2
  };
  parse__V() {
    const this$1 = this.entry$2.value$1;
    const x1 = this$1.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Seq$1;
    if ((x === x1)) {
      const jsx$2 = this.entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$2);
      const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
        return (function(node$2) {
          const node = node$2;
          const x1$1 = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$2);
          const o7 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(x1$1);
          if ((!o7.isEmpty__Z())) {
            const s = o7.get__O();
            const adopt = $this.$$outer$2.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f;
            const part = new $c_s_Some().init___O(node);
            const ctx = $this.ctx$2;
            return new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlTypeExpressionParser().init___F1__I__s_Option__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(adopt, 0, part, false, ctx).parse__T__s_Option(s).get__O()
          };
          if ($f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z($this, x1$1)) {
            return $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__parseWellKnownTypeRef__T__Lamf_core_model_domain_Shape($this, x1$1)
          };
          const x1$2 = $this.ctx$2.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(x1$1, $m_Lamf_core_parser_SearchScope$All$());
          if ($is_s_Some(x1$2)) {
            const x2 = x1$2;
            const ancestor = x2.value$2;
            return ancestor
          } else {
            return $this.unresolved__p2__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_UnresolvedShape(node)
          }
        })
      })(this));
      const this$3 = $m_sc_Seq$();
      const inherits = jsx$2.map__F1__scg_CanBuildFrom__O(jsx$1, this$3.ReusableCBFInstance$2);
      const this$4 = this.shape$2;
      const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
      const value = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(inherits, $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1));
      const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
      $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$4, field, value, annotations)
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Map$1;
      if ((x$3 === x1)) {
        const this$6 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2$1) {
          return (function(s$2) {
            const s$1 = s$2;
            return s$1.adopted__T__Lamf_core_model_domain_AmfObject(this$2$1.shape$2.id$1)
          })
        })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$2).parse__s_Option();
        if ((!this$6.isEmpty__Z())) {
          const arg1 = this$6.get__O();
          const s$3 = arg1;
          const this$7 = this.shape$2;
          const field$1 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
          const value$1 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$3])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1));
          const annotations$1 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$7, field$1, value$1, annotations$1)
        }
      } else if ($m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$TypeExpression$().unapply__T__s_Option(this.entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3).isDefined__Z()) {
        const this$9 = $m_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser$().apply__Lorg_yaml_model_YMapEntry__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_WebApiContext__Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(this.entry$2, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$4$1) {
          return (function(s$4$2) {
            const s$4 = s$4$2;
            return s$4.adopted__T__Lamf_core_model_domain_AmfObject(this$4$1.shape$2.id$1)
          })
        })(this)), false, $m_Lamf_plugins_document_webapi_parser_spec_declaration_StringDefaultType$(), this.ctx$2).parse__s_Option();
        if ((!this$9.isEmpty__Z())) {
          const arg1$1 = this$9.get__O();
          const s$5 = arg1$1;
          const this$10 = this.shape$2;
          const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
          const value$2 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$5])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1));
          const annotations$2 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$10, field$2, value$2, annotations$2)
        }
      } else {
        const x$5 = $m_Lorg_yaml_model_YType$().Str$1;
        let jsx$3;
        if ((x$5 === x1)) {
          const jsx$4 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$XMLSchema$();
          $m_Lorg_yaml_model_YNode$();
          const node$1 = this.entry$2.value$1;
          jsx$3 = jsx$4.unapply__T__s_Option(node$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $m_Lorg_yaml_model_IllegalTypeHandler$().illegalValueHandler$1)).isDefined__Z()
        } else {
          jsx$3 = false
        };
        if (jsx$3) {
          const value$4 = this.entry$2.value$1;
          const f = (function(this$6$1) {
            return (function(xmlSchemaShape$2) {
              const xmlSchemaShape = xmlSchemaShape$2;
              const value$3 = (this$6$1.shape$2.id$1 + "/xmlSchema");
              return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(xmlSchemaShape, value$3)
            })
          })(this);
          const x1$3 = value$4.tag__Lorg_yaml_model_YTag().tagType$2;
          const x$1 = $m_Lorg_yaml_model_YType$().Map$1;
          let parsed;
          if ((x$1 === x1$3)) {
            const map = value$4.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
            const x1$2$1 = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__typeOrSchema__Lorg_yaml_model_YMap__s_Option(this, map);
            let parsedSchema;
            matchEnd5: {
              if ($is_s_Some(x1$2$1)) {
                const x2$1 = x1$2$1;
                const typeEntry = x2$1.value$2;
                if ((typeEntry !== null)) {
                  const node$3 = typeEntry.value$1;
                  if (new $c_Lamf_core_parser_package$YNodeLikeOps().init___Lorg_yaml_model_YNodeLike(node$3).toOption__Lorg_yaml_convert_YRead__s_Option($m_Lamf_core_parser_package$YScalarYRead$()).isDefined__Z()) {
                    const annotations$3 = new $c_Lamf_core_parser_Annotations().init___();
                    const this$16 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$3);
                    const text = typeEntry.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
                    const field$3 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
                    const this$17 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$16, field$3, text);
                    const field$4 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
                    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$17, field$4, "application/xml");
                    const node$4 = typeEntry.value$1;
                    const ctx$1 = this.ctx$2;
                    $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z(this, node$4, shape, ctx$1);
                    const field$5 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
                    $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape, field$5, "schema");
                    f(shape);
                    parsedSchema = shape;
                    break matchEnd5
                  }
                }
              };
              const annotations$4 = new $c_Lamf_core_parser_Annotations().init___();
              const shape$2 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$4);
              f(shape$2);
              const this$21 = this.ctx$2;
              const node$5 = shape$2.id$1;
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$21, node$5, "Cannot parse XML Schema expression out of a non string value", value$4);
              parsedSchema = shape$2
            };
            const jsx$5 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
            const field$6 = $m_Lamf_core_metamodel_domain_ShapeModel$().DisplayName$1;
            const iv = this.ctx$2;
            jsx$5.key__T__F1__V("displayName", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$6, iv).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parsedSchema).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
            const jsx$6 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
            const field$7 = $m_Lamf_core_metamodel_domain_ShapeModel$().Description$1;
            const iv$1 = this.ctx$2;
            jsx$6.key__T__F1__V("description", new $c_Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$FieldOps().init___Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps__Lamf_core_metamodel_Field__Lamf_plugins_document_webapi_contexts_WebApiContext(this, field$7, iv$1).$in__Lamf_core_model_domain_DomainElement__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField(parsedSchema).allowingAnnotations__Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps$ObjectField());
            const this$25 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map);
            const this$26 = this$25.key__T__s_Option("default");
            if ((!this$26.isEmpty__Z())) {
              const arg1$2 = this$26.get__O();
              const entry = arg1$2;
              const dataNodeResult = new $c_Lamf_plugins_document_webapi_parser_spec_domain_NodeDataNodeParser().init___Lorg_yaml_model_YNode__T__Z__Lamf_plugins_document_webapi_contexts_WebApiContext(entry.value$1, parsedSchema.id$1, false, this.ctx$2).parse__Lamf_plugins_document_webapi_parser_spec_domain_DataNodeParserResult();
              const str = $m_Lorg_yaml_render_YamlRender$().render__Lorg_yaml_model_YPart__Z__T(entry.value$1, false);
              const field$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().DefaultValueString$1;
              const value$5 = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(str, new $c_Lamf_core_parser_Annotations().init___());
              const annotations$5 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parsedSchema, field$8, value$5, annotations$5);
              const this$28 = dataNodeResult.dataNode$1;
              if ((!this$28.isEmpty__Z())) {
                const arg1$3 = this$28.get__O();
                const dataNode = arg1$3;
                const field$9 = $m_Lamf_core_metamodel_domain_ShapeModel$().Default$1;
                const annotations$6 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(entry);
                $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(parsedSchema, field$9, dataNode, annotations$6)
              }
            };
            const map$1 = value$4.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
            const options = $m_Lamf_plugins_document_webapi_parser_spec_domain_DefaultExampleOptions$();
            const ctx$2 = this.ctx$2;
            $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser__parseExamples__Lamf_plugins_domain_shapes_models_AnyShape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext__V(this, parsedSchema, map$1, options, ctx$2);
            parsed = parsedSchema
          } else {
            const x$3$1 = $m_Lorg_yaml_model_YType$().Seq$1;
            if ((x$3$1 === x1$3)) {
              const annotations$7 = new $c_Lamf_core_parser_Annotations().init___();
              const shape$3 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$7);
              f(shape$3);
              const this$32 = this.ctx$2;
              const node$6 = shape$3.id$1;
              $f_Lamf_core_parser_ErrorHandler__violation__T__T__Lorg_yaml_model_YPart__V(this$32, node$6, "Cannot parse XML Schema expression out of a non string value", value$4);
              parsed = shape$3
            } else {
              const raw = value$4.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
              const annotations$8 = new $c_Lamf_core_parser_Annotations().init___();
              const this$36 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations$8);
              const field$10 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().Raw$1;
              const this$37 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$36, field$10, raw);
              const field$11 = $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$().MediaType$1;
              const shape$4 = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$37, field$11, "application/xml");
              const ctx$3 = this.ctx$2;
              $f_Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef__sourceRefReference__Lorg_yaml_model_YNode__Lamf_core_model_domain_ExternalSourceElement__Lamf_plugins_document_webapi_contexts_WebApiContext__Z(this, value$4, shape$4, ctx$3);
              const field$12 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(shape$4, field$12, "schema");
              f(shape$4);
              parsed = shape$4
            }
          };
          const this$38 = this.shape$2;
          const field$13 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
          const value$6 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([parsed])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1));
          const annotations$9 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
          $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$38, field$13, value$6, annotations$9)
        } else {
          const str$1 = this.entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
          if ((!$f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax__wellKnownType__T__Z(this, str$1))) {
            const text$1 = this.entry$2.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
            const x1$2$2 = this.ctx$2.declarations$2.findType__T__Lamf_core_parser_SearchScope$Scope__s_Option(text$1, $m_Lamf_core_parser_SearchScope$All$());
            if ($is_s_Some(x1$2$2)) {
              const x2$2 = x1$2$2;
              const ancestor$1 = x2$2.value$2;
              const jsx$9 = this.shape$2.fields__Lamf_core_parser_Fields();
              const jsx$8 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
              const jsx$7 = $m_sc_Seq$();
              const annotations$10 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1);
              const this$40 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(ancestor$1, text$1, annotations$10);
              const this$39 = ancestor$1.fields__Lamf_core_parser_Fields().field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
              const name = (this$39.isEmpty__Z() ? "schema" : this$39.get__O());
              const field$14 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
              jsx$9.setWithoutId__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_parser_Fields(jsx$8, new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations(jsx$7.apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$40, field$14, name)])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1)), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2))
            } else {
              let baseClass;
              matchEnd5$1: {
                const o8 = $m_Lamf_plugins_document_webapi_parser_RamlTypeDefMatcher$JSONSchema$().unapply__T__s_Option(text$1);
                if ((!o8.isEmpty__Z())) {
                  const this$41 = this.ctx$2;
                  const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().JsonSchemaInheratinaceWarningSpecification$1.id__T();
                  const node$7 = this.shape$2.id$1;
                  const property = new $c_s_Some().init___O($m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1.value$1.iri__T());
                  const ast = this.entry$2.value$1;
                  $f_Lamf_core_parser_ErrorHandler__warning__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$41, id, node$7, property, "Inheritance from JSON Schema", ast);
                  const value$8 = this.entry$2.value$1;
                  const adopt$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$8$1) {
                    return (function(jsonSchemaShape$2) {
                      const jsonSchemaShape = jsonSchemaShape$2;
                      const value$7 = (this$8$1.shape$2.id$1 + "/jsonSchema");
                      return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(jsonSchemaShape, value$7)
                    })
                  })(this));
                  baseClass = $f_Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes__parseJSONSchemaExpression__T__Lorg_yaml_model_YNode__F1__Z__Lamf_plugins_domain_shapes_models_AnyShape(this, "schema", value$8, adopt$1, false);
                  break matchEnd5$1
                };
                baseClass = this.unresolved__p2__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_UnresolvedShape(this.entry$2.value$1)
              };
              const this$42 = this.shape$2;
              const field$15 = $m_Lamf_core_metamodel_domain_ShapeModel$().Inherits$1;
              const value$9 = new $c_Lamf_core_model_domain_AmfArray().init___sc_Seq__Lamf_core_parser_Annotations($m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([baseClass])), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2.value$1));
              const annotations$11 = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(this.entry$2);
              $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(this$42, field$15, value$9, annotations$11)
            }
          } else {
            const this$43 = this.shape$2;
            const annotation = new $c_Lamf_core_annotations_ExplicitField().init___();
            $f_Lamf_core_model_domain_AmfElement__add__Lamf_core_model_domain_Annotation__Lamf_core_model_domain_AmfElement(this$43, annotation)
          }
        }
      }
    }
  };
  unresolved__p2__Lorg_yaml_model_YNode__Lamf_plugins_domain_shapes_models_UnresolvedShape(node) {
    const reference = node.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lamf_core_parser_package$YScalarYRead$(), this.ctx$2).text$3;
    const jsx$2 = $m_Lamf_plugins_domain_shapes_models_UnresolvedShape$();
    const this$1 = this.fatherMap$2;
    let jsx$1;
    if (this$1.isEmpty__Z()) {
      jsx$1 = $m_s_None$()
    } else {
      const arg1 = this$1.get__O();
      const x$18 = arg1;
      jsx$1 = new $c_s_Some().init___O(new $c_Lamf_plugins_document_webapi_parser_spec_common_ShapeExtensionParser().init___Lamf_core_model_domain_Shape__Lorg_yaml_model_YMap__Lamf_plugins_document_webapi_contexts_WebApiContext(this.shape$2, x$18, this.ctx$2))
    };
    const unresolvedShape = jsx$2.apply__T__Lorg_yaml_model_YPart__s_Option__Lamf_plugins_domain_shapes_models_UnresolvedShape(reference, node, jsx$1);
    const c = this.ctx$2;
    $f_Lamf_core_parser_UnresolvedReference__withContext__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(unresolvedShape, c);
    if ((!new $c_Lamf_core_utils_package$Strings().init___T(reference).validReferencePath__Z())) {
      const this$3 = this.ctx$2;
      const id = $m_Lamf_plugins_features_validation_ParserSideValidations$().ChainedReferenceSpecification$1.id__T();
      const node$1 = unresolvedShape.id$1;
      const message = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Chained reference '", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([reference]));
      const property = $m_s_None$();
      $f_Lamf_core_parser_ErrorHandler__violation__T__T__s_Option__T__Lorg_yaml_model_YPart__V(this$3, id, node$1, property, message, node)
    } else {
      const ctx = this.ctx$2;
      $f_Lamf_core_model_domain_Linkable__unresolved__T__Lorg_yaml_model_YPart__Lamf_core_parser_ParserContext__Lamf_core_model_domain_DomainElement(unresolvedShape, reference, node, ctx)
    };
    this.$$outer$2.amf$plugins$document$webapi$parser$spec$declaration$RamlTypeParser$$adopt$f.apply__O__O(unresolvedShape);
    return unresolvedShape
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.RamlTypeParser$InheritanceParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser$InheritanceParser;
class $c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser extends $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser {
  constructor() {
    super();
    this.root$4 = null
  };
  productPrefix__T() {
    return "Raml10DocumentParser"
  };
  productArity__I() {
    return 1
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser(x$1)) {
      const Raml10DocumentParser$1 = x$1;
      const x = this.root$4;
      const x$2 = Raml10DocumentParser$1.root$4;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.root$4;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parseExtension__Lamf_plugins_document_webapi_model_Extension() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const extension = this.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Extension().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p4__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(extension, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return extension
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$3
  };
  parseOverlay__Lamf_plugins_document_webapi_model_Overlay() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const overlay = this.parseDocument__Lamf_core_model_document_Document__Lamf_core_model_document_Document(new $c_Lamf_plugins_document_webapi_model_Overlay().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    this.parseExtension__p4__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(overlay, $m_Lamf_core_metamodel_document_ExtensionLikeModel$().Extends$1);
    return overlay
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(key, map, parentPath) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseParameterDeclarations__T__Lorg_yaml_model_YMap__T__V(this, key, map, parentPath)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(root, ctx) {
    this.root$4 = root;
    $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser.prototype.init___Lamf_core_Root__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, root, ctx);
    return this
  };
  parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(map, parent) {
    $f_Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser__parseSecuritySchemeDeclarations__Lorg_yaml_model_YMap__T__V(this, map, parent)
  };
  parseExtension__p4__Lamf_core_model_document_Document__Lamf_core_metamodel_Field__V(document, field) {
    const map = this.root$4.parsed$1.document$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$3);
    new $c_Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser$UsageParser().init___Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser__Lorg_yaml_model_YMap__Lamf_core_model_document_BaseUnit(this, map, document).parse__V();
    const this$2 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("extends");
    if ((!this$2.isEmpty__Z())) {
      const arg1 = this$2.get__O();
      const e = arg1;
      const this$3 = this.root$4.references$1.find__F1__s_Option(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, e$1) {
        return (function(x$1$2) {
          const x$1 = x$1$2;
          return (x$1.origin$1.url$1 === e$1.value$1.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$StringYRead$(), $this.ctx$3))
        })
      })(this, e)));
      if ((!this$3.isEmpty__Z())) {
        const arg1$1 = this$3.get__O();
        const extend = arg1$1;
        const value = new $c_Lamf_core_model_domain_AmfScalar().init___O__Lamf_core_parser_Annotations(extend.unit$1.id__T(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e.value$1));
        const annotations = $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(e);
        $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_parser_Annotations__Lamf_core_model_domain_AmfObject(document, field, value, annotations)
      }
    }
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.raml.Raml10DocumentParser", {
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlBaseDocumentParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_Raml10BaseSpecParser: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_raml_Raml10DocumentParser;
const $f_sc_IndexedSeqOptimized__head__O = (function($thiz) {
  return ($f_sc_IndexedSeqOptimized__isEmpty__Z($thiz) ? $thiz.iterator__sc_Iterator().next__O() : $thiz.apply__I__O(0))
});
const $f_sc_IndexedSeqOptimized__lengthCompare__I__I = (function($thiz, len) {
  return (($thiz.length__I() - len) | 0)
});
const $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z = (function($thiz, that) {
  if ($is_sc_IndexedSeq(that)) {
    const x2 = that;
    const len = $thiz.length__I();
    if ((len === x2.length__I())) {
      let i = 0;
      while (((i < len) && $m_sr_BoxesRunTime$().equals__O__O__Z($thiz.apply__I__O(i), x2.apply__I__O(i)))) {
        i = ((1 + i) | 0)
      };
      return (i === len)
    } else {
      return false
    }
  } else {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z($thiz, that)
  }
});
const $f_sc_IndexedSeqOptimized__exists__F1__Z = (function($thiz, p) {
  return ($f_sc_IndexedSeqOptimized__prefixLengthImpl__psc_IndexedSeqOptimized__F1__Z__I($thiz, p, false) !== $thiz.length__I())
});
const $f_sc_IndexedSeqOptimized__isEmpty__Z = (function($thiz) {
  return ($thiz.length__I() === 0)
});
const $f_sc_IndexedSeqOptimized__prefixLengthImpl__psc_IndexedSeqOptimized__F1__Z__I = (function($thiz, p, expectTrue) {
  let i = 0;
  while (((i < $thiz.length__I()) && ((!(!p.apply__O__O($thiz.apply__I__O(i)))) === expectTrue))) {
    i = ((1 + i) | 0)
  };
  return i
});
const $f_sc_IndexedSeqOptimized__dropWhile__F1__O = (function($thiz, p) {
  return $thiz.drop__I__O($f_sc_IndexedSeqOptimized__segmentLength__F1__I__I($thiz, p, 0))
});
const $f_sc_IndexedSeqOptimized__forall__F1__Z = (function($thiz, p) {
  return ($f_sc_IndexedSeqOptimized__prefixLengthImpl__psc_IndexedSeqOptimized__F1__Z__I($thiz, p, true) === $thiz.length__I())
});
const $f_sc_IndexedSeqOptimized__foreach__F1__V = (function($thiz, f) {
  let i = 0;
  const len = $thiz.length__I();
  while ((i < len)) {
    f.apply__O__O($thiz.apply__I__O(i));
    i = ((1 + i) | 0)
  }
});
const $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I = (function($thiz, p, from) {
  const start = ((from > 0) ? from : 0);
  const len = $thiz.length__I();
  let i = start;
  while (true) {
    let jsx$1;
    if ((i < len)) {
      const arg1 = $thiz.apply__I__O(i);
      jsx$1 = (!(!(!p.apply__O__O(arg1))))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      i = ((1 + i) | 0)
    } else {
      break
    }
  };
  const n = ((start + ((i - start) | 0)) | 0);
  return $f_sc_IndexedSeqOptimized__negLength__psc_IndexedSeqOptimized__I__I($thiz, n)
});
const $f_sc_IndexedSeqOptimized__takeWhile__F1__O = (function($thiz, p) {
  return $thiz.take__I__O($f_sc_IndexedSeqOptimized__segmentLength__F1__I__I($thiz, p, 0))
});
const $f_sc_IndexedSeqOptimized__slice__I__I__O = (function($thiz, from, until) {
  const lo = ((from > 0) ? from : 0);
  const x = ((until > 0) ? until : 0);
  const y = $thiz.length__I();
  const hi = ((x < y) ? x : y);
  const x$1 = ((hi - lo) | 0);
  const elems = ((x$1 > 0) ? x$1 : 0);
  const b = $thiz.newBuilder__scm_Builder();
  b.sizeHint__I__V(elems);
  let i = lo;
  while ((i < hi)) {
    b.$$plus$eq__O__scm_Builder($thiz.apply__I__O(i));
    i = ((1 + i) | 0)
  };
  return b.result__O()
});
const $f_sc_IndexedSeqOptimized__reverse__O = (function($thiz) {
  const b = $thiz.newBuilder__scm_Builder();
  b.sizeHint__I__V($thiz.length__I());
  let i = $thiz.length__I();
  while ((i > 0)) {
    i = (((-1) + i) | 0);
    b.$$plus$eq__O__scm_Builder($thiz.apply__I__O(i))
  };
  return b.result__O()
});
const $f_sc_IndexedSeqOptimized__find__F1__s_Option = (function($thiz, p) {
  const len = $thiz.length__I();
  let i = 0;
  while (true) {
    let jsx$1;
    if ((i < len)) {
      const arg1 = $thiz.apply__I__O(i);
      jsx$1 = (!(!(!p.apply__O__O(arg1))))
    } else {
      jsx$1 = false
    };
    if (jsx$1) {
      i = ((1 + i) | 0)
    } else {
      break
    }
  };
  const i$1 = i;
  return ((i$1 < $thiz.length__I()) ? new $c_s_Some().init___O($thiz.apply__I__O(i$1)) : $m_s_None$())
});
const $f_sc_IndexedSeqOptimized__span__F1__T2 = (function($thiz, p) {
  return $thiz.splitAt__I__T2($f_sc_IndexedSeqOptimized__segmentLength__F1__I__I($thiz, p, 0))
});
const $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O = (function($thiz, bf) {
  const b = bf.apply__O__scm_Builder($thiz.repr__O());
  const len = $thiz.length__I();
  b.sizeHint__I__V(len);
  let i = 0;
  while ((i < len)) {
    b.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O($thiz.apply__I__O(i), i));
    i = ((1 + i) | 0)
  };
  return b.result__O()
});
const $f_sc_IndexedSeqOptimized__splitAt__I__T2 = (function($thiz, n) {
  return new $c_T2().init___O__O($thiz.take__I__O(n), $thiz.drop__I__O(n))
});
const $f_sc_IndexedSeqOptimized__last__O = (function($thiz) {
  return (($thiz.length__I() > 0) ? $thiz.apply__I__O((((-1) + $thiz.length__I()) | 0)) : $f_sc_TraversableLike__last__O($thiz))
});
const $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O = (function($thiz, start, end, z, op) {
  _foldl: while (true) {
    if ((start === end)) {
      return z
    } else {
      const temp$start = ((1 + start) | 0);
      const temp$z = op.apply__O__O__O(z, $thiz.apply__I__O(start));
      start = temp$start;
      z = temp$z;
      continue _foldl
    }
  }
});
const $f_sc_IndexedSeqOptimized__tail__O = (function($thiz) {
  return ($f_sc_IndexedSeqOptimized__isEmpty__Z($thiz) ? $thiz.scala$collection$IndexedSeqOptimized$$super$tail__O() : $thiz.slice__I__I__O(1, $thiz.length__I()))
});
const $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  let i = 0;
  let j = start;
  const x = $thiz.length__I();
  const x$1 = ((x < len) ? x : len);
  const that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const end = ((x$1 < that) ? x$1 : that);
  while ((i < end)) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, j, $thiz.apply__I__O(i));
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  }
});
const $f_sc_IndexedSeqOptimized__negLength__psc_IndexedSeqOptimized__I__I = (function($thiz, n) {
  return ((n >= $thiz.length__I()) ? (-1) : n)
});
const $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I = (function($thiz, p, from) {
  const len = $thiz.length__I();
  let i = from;
  while (((i < len) && (!(!p.apply__O__O($thiz.apply__I__O(i)))))) {
    i = ((1 + i) | 0)
  };
  return ((i - from) | 0)
});
const $f_sc_IndexedSeqOptimized__dropRight__I__O = (function($thiz, n) {
  return $thiz.slice__I__I__O(0, (($thiz.length__I() - ((n > 0) ? n : 0)) | 0))
});
const $f_sc_IndexedSeqOptimized__reduceLeft__F2__O = (function($thiz, op) {
  if (($thiz.length__I() > 0)) {
    let start = 1;
    const end = $thiz.length__I();
    let z = $thiz.apply__I__O(0);
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O($thiz, start, end, z, op)
  } else {
    return $f_sc_TraversableOnce__reduceLeft__F2__O($thiz, op)
  }
});
const $f_sc_IndexedSeqOptimized__zip__sc_GenIterable__scg_CanBuildFrom__O = (function($thiz, that, bf) {
  if ($is_sc_IndexedSeq(that)) {
    const x2 = that;
    const b = bf.apply__O__scm_Builder($thiz.repr__O());
    let i = 0;
    const x = $thiz.length__I();
    const that$1 = x2.length__I();
    const len = ((x < that$1) ? x : that$1);
    b.sizeHint__I__V(len);
    while ((i < len)) {
      b.$$plus$eq__O__scm_Builder(new $c_T2().init___O__O($thiz.apply__I__O(i), x2.apply__I__O(i)));
      i = ((1 + i) | 0)
    };
    return b.result__O()
  } else {
    return $thiz.scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf)
  }
});
const $f_sc_LinearSeqOptimized__apply__I__O = (function($thiz, n) {
  const rest = $thiz.drop__I__sc_LinearSeqOptimized(n);
  if (((n < 0) || rest.isEmpty__Z())) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
  };
  return rest.head__O()
});
const $f_sc_LinearSeqOptimized__dropRight__I__sc_LinearSeqOptimized = (function($thiz, n) {
  const b = $thiz.companion__scg_GenericCompanion().newBuilder__scm_Builder();
  let these = $thiz;
  let lead = $thiz.drop__I__sc_LinearSeqOptimized(n);
  while ((!lead.isEmpty__Z())) {
    b.$$plus$eq__O__scm_Builder(these.head__O());
    these = these.tail__O();
    lead = lead.tail__O()
  };
  return b.result__O()
});
const $f_sc_LinearSeqOptimized__lengthCompare__I__I = (function($thiz, len) {
  if ((len < 0)) {
    return 1
  } else {
    let i = 0;
    let xs = $thiz;
    return $f_sc_LinearSeqOptimized__loop$1__psc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I($thiz, i, xs, len)
  }
});
const $f_sc_LinearSeqOptimized__exists__F1__Z = (function($thiz, p) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ((!(!p.apply__O__O(these.head__O())))) {
      return true
    };
    these = these.tail__O()
  };
  return false
});
const $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z = (function($thiz, that) {
  if ($is_sc_LinearSeq(that)) {
    const x2 = that;
    if (($thiz === x2)) {
      return true
    } else {
      let these = $thiz;
      let those = x2;
      while ((((!these.isEmpty__Z()) && (!those.isEmpty__Z())) && $m_sr_BoxesRunTime$().equals__O__O__Z(these.head__O(), those.head__O()))) {
        these = these.tail__O();
        those = those.tail__O()
      };
      return (these.isEmpty__Z() && those.isEmpty__Z())
    }
  } else {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z($thiz, that)
  }
});
const $f_sc_LinearSeqOptimized__forall__F1__Z = (function($thiz, p) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ((!(!(!p.apply__O__O(these.head__O()))))) {
      return false
    };
    these = these.tail__O()
  };
  return true
});
const $f_sc_LinearSeqOptimized__foldLeft__O__F2__O = (function($thiz, z, op) {
  let acc = z;
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    acc = op.apply__O__O__O(acc, these.head__O());
    these = these.tail__O()
  };
  return acc
});
const $f_sc_LinearSeqOptimized__indexWhere__F1__I__I = (function($thiz, p, from) {
  let i = ((from > 0) ? from : 0);
  let these = $thiz.drop__I__sc_LinearSeqOptimized(from);
  while (true) {
    const this$3 = these;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$3)) {
      if ((!(!p.apply__O__O(these.head__O())))) {
        return i
      };
      i = ((1 + i) | 0);
      these = these.tail__O()
    } else {
      break
    }
  };
  return (-1)
});
const $f_sc_LinearSeqOptimized__find__F1__s_Option = (function($thiz, p) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ((!(!p.apply__O__O(these.head__O())))) {
      return new $c_s_Some().init___O(these.head__O())
    };
    these = these.tail__O()
  };
  return $m_s_None$()
});
const $f_sc_LinearSeqOptimized__span__F1__T2 = (function($thiz, p) {
  let these = $thiz;
  const b = $thiz.companion__scg_GenericCompanion().newBuilder__scm_Builder();
  while (((!these.isEmpty__Z()) && (!(!p.apply__O__O(these.head__O()))))) {
    b.$$plus$eq__O__scm_Builder(these.head__O());
    these = these.tail__O()
  };
  return new $c_T2().init___O__O(b.result__O(), these)
});
const $f_sc_LinearSeqOptimized__length__I = (function($thiz) {
  let these = $thiz;
  let len = 0;
  while ((!these.isEmpty__Z())) {
    len = ((1 + len) | 0);
    these = these.tail__O()
  };
  return len
});
const $f_sc_LinearSeqOptimized__last__O = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_ju_NoSuchElementException().init___()
  };
  let these = $thiz;
  let nx = these.tail__O();
  while ((!nx.isEmpty__Z())) {
    these = nx;
    nx = nx.tail__O()
  };
  return these.head__O()
});
const $f_sc_LinearSeqOptimized__contains__O__Z = (function($thiz, elem) {
  let these = $thiz;
  while ((!these.isEmpty__Z())) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(these.head__O(), elem)) {
      return true
    };
    these = these.tail__O()
  };
  return false
});
const $f_sc_LinearSeqOptimized__isDefinedAt__I__Z = (function($thiz, x) {
  return ((x >= 0) && ($f_sc_LinearSeqOptimized__lengthCompare__I__I($thiz, x) > 0))
});
const $f_sc_LinearSeqOptimized__loop$1__psc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I = (function($thiz, i, xs, len$1) {
  _loop: while (true) {
    if ((i === len$1)) {
      return (xs.isEmpty__Z() ? 0 : 1)
    } else if (xs.isEmpty__Z()) {
      return (-1)
    } else {
      const temp$i = ((1 + i) | 0);
      const temp$xs = xs.tail__O();
      i = temp$i;
      xs = temp$xs;
      continue _loop
    }
  }
});
const $f_sc_LinearSeqOptimized__reduceLeft__F2__O = (function($thiz, op) {
  if ($thiz.isEmpty__Z()) {
    throw new $c_jl_UnsupportedOperationException().init___T("empty.reduceLeft")
  } else {
    return $thiz.tail__O().foldLeft__O__F2__O($thiz.head__O(), op)
  }
});
const $is_sc_LinearSeqOptimized = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqOptimized)))
});
const $isArrayOf_sc_LinearSeqOptimized = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqOptimized)))
});
const $f_sc_SetLike__isEmpty__Z = (function($thiz) {
  return ($thiz.size__I() === 0)
});
const $f_sc_SetLike__toBuffer__scm_Buffer = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$2$2) {
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$2$2)
    })
  })($thiz, result)));
  return result
});
const $f_sc_SetLike__toSeq__sc_Seq = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    const this$1 = $m_s_package$().Vector$1;
    return this$1.NIL$6
  } else {
    $m_s_package$();
    const vb = new $c_sci_VectorBuilder().init___();
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, vb$1) {
      return (function(x$1$2) {
        return vb$1.$$plus$eq__O__scm_Builder(x$1$2)
      })
    })($thiz, vb)));
    return vb.result__sci_Vector()
  }
});
const $f_sc_SetLike__$$plus$plus__sc_GenTraversableOnce__sc_Set = (function($thiz, elems) {
  const x$3 = $thiz;
  return elems.seq__sc_TraversableOnce().$$div$colon__O__F2__O(x$3, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(x$4$2, x$5$2) {
      const x$4 = x$4$2;
      return x$4.$$plus__O__sc_Set(x$5$2)
    })
  })($thiz)))
});
const $is_sc_SetLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_SetLike)))
});
const $isArrayOf_sc_SetLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_SetLike)))
});
const $f_sc_TraversableViewLike$Transformed__viewIdString__T = (function($thiz) {
  return (("" + $thiz.$$outer$1.viewIdString__T()) + $thiz.viewIdentifier__T())
});
const $f_sc_TraversableViewLike$Transformed__headOption__s_Option = (function($thiz) {
  const nonLocalReturnKey1 = new $c_O().init___();
  try {
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, nonLocalReturnKey1$1) {
      return (function(x$2) {
        throw new $c_sr_NonLocalReturnControl().init___O__O(nonLocalReturnKey1$1, new $c_s_Some().init___O(x$2))
      })
    })($thiz, nonLocalReturnKey1)));
    return $m_s_None$()
  } catch (e) {
    if ($is_sr_NonLocalReturnControl(e)) {
      const ex = e;
      if ((ex.key$2 === nonLocalReturnKey1)) {
        return ex.value__O()
      } else {
        throw ex
      }
    } else {
      throw e
    }
  }
});
class $c_Lamf_client_model_domain_MatrixShape extends $c_Lamf_client_model_domain_ArrayShape {
  constructor() {
    super();
    this.$$undinternal$4 = null
  };
  init___() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    $c_Lamf_client_model_domain_MatrixShape.prototype.init___Lamf_plugins_domain_shapes_models_ArrayShape.call(this, new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations));
    return this
  };
  init___Lamf_plugins_domain_shapes_models_ArrayShape(_internal) {
    this.$$undinternal$4 = _internal;
    $c_Lamf_client_model_domain_ArrayShape.prototype.init___Lamf_plugins_domain_shapes_models_ArrayShape.call(this, _internal);
    return this
  };
  $$undinternal__Lamf_core_model_domain_Shape() {
    return this.$$undinternal$4
  };
  $$undinternal__Lamf_core_model_domain_DomainElement() {
    return this.$$undinternal$4
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this.$$undinternal$4
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_ArrayShape() {
    return this.$$undinternal$4
  };
  $$undinternal__Lamf_plugins_domain_shapes_models_DataArrangementShape() {
    return this.$$undinternal$4
  };
  withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_MatrixShape(items) {
    if ($is_Lamf_client_model_domain_ArrayShape(items)) {
      return $c_Lamf_client_model_domain_ArrayShape.prototype.withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_ArrayShape.call(this, items)
    } else {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(new $c_jl_Exception().init___T("Matrix shapes can only accept arrays as items"))
    }
  };
  withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_ArrayShape(items) {
    return this.withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_MatrixShape(items)
  };
  $$js$exported$meth$withItems__Lamf_client_model_domain_Shape__O(items) {
    return this.withItems__Lamf_client_model_domain_Shape__Lamf_client_model_domain_MatrixShape(items)
  };
}
const $is_Lamf_client_model_domain_MatrixShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_client_model_domain_MatrixShape)))
});
const $isArrayOf_Lamf_client_model_domain_MatrixShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_client_model_domain_MatrixShape)))
});
const $d_Lamf_client_model_domain_MatrixShape = new $TypeData().initClass({
  Lamf_client_model_domain_MatrixShape: 0
}, false, "amf.client.model.domain.MatrixShape", {
  Lamf_client_model_domain_MatrixShape: 1,
  Lamf_client_model_domain_ArrayShape: 1,
  Lamf_client_model_domain_DataArrangeShape: 1,
  Lamf_client_model_domain_AnyShape: 1,
  O: 1,
  Lamf_client_model_domain_Shape: 1,
  Lamf_client_model_domain_DomainElement: 1,
  Lamf_client_model_AmfObjectWrapper: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_model_domain_Linkable: 1,
  Lamf_client_model_domain_NamedDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_client_model_domain_MatrixShape.prototype.$classData = $d_Lamf_client_model_domain_MatrixShape;
class $c_Lamf_plugins_document_webapi_contexts_PayloadContext extends $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext {
  constructor() {
    super();
    this.loc$4 = null;
    this.refs$4 = null;
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.factory$4 = null;
    this.syntax$4 = null;
    this.vendor$4 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.loc$4 = loc;
    this.refs$4 = refs;
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.factory$4 = new $c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this);
    this.syntax$4 = new $c_Lamf_plugins_document_webapi_contexts_PayloadContext$$anon$1().init___Lamf_plugins_document_webapi_contexts_PayloadContext(this);
    this.vendor$4 = $m_Lamf_core_remote_Payload$();
    return this
  };
  clone__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(declarations) {
    return new $c_Lamf_plugins_document_webapi_contexts_PayloadContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(this.loc$4, this.refs$4, this.wrapped$4, new $c_s_Some().init___O(declarations))
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory() {
    return this.factory$4
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
}
const $d_Lamf_plugins_document_webapi_contexts_PayloadContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_PayloadContext: 0
}, false, "amf.plugins.document.webapi.contexts.PayloadContext", {
  Lamf_plugins_document_webapi_contexts_PayloadContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_document_webapi_contexts_PayloadContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_PayloadContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext {
  constructor() {
    super();
    this.loc$4 = null;
    this.refs$4 = null;
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.factory$4 = null;
    this.vendor$4 = null;
    this.syntax$4 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.loc$4 = loc;
    this.refs$4 = refs;
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.factory$4 = new $c_Lamf_plugins_document_webapi_contexts_Raml08VersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this);
    this.vendor$4 = $m_Lamf_core_remote_Raml08$();
    this.syntax$4 = $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml08Syntax$();
    return this
  };
  clone__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(declarations) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(this.loc$4, this.refs$4, this.wrapped$4, new $c_s_Some().init___O(declarations))
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory() {
    return this.factory$4
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
}
const $is_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_contexts_Raml08WebApiContext)))
});
const $isArrayOf_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_contexts_Raml08WebApiContext)))
});
const $d_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml08WebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml08WebApiContext", {
  Lamf_plugins_document_webapi_contexts_Raml08WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext;
class $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext {
  constructor() {
    super();
    this.loc$4 = null;
    this.refs$4 = null;
    this.wrapped$4 = null;
    this.ds$4 = null;
    this.factory$4 = null;
    this.vendor$4 = null;
    this.syntax$4 = null
  };
  init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(loc, refs, wrapped, ds) {
    this.loc$4 = loc;
    this.refs$4 = refs;
    this.wrapped$4 = wrapped;
    this.ds$4 = ds;
    $c_Lamf_plugins_document_webapi_contexts_RamlWebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, loc, refs, wrapped, ds);
    this.factory$4 = new $c_Lamf_plugins_document_webapi_contexts_Raml10VersionFactory().init___Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this);
    this.vendor$4 = $m_Lamf_core_remote_Raml10$();
    this.syntax$4 = $m_Lamf_plugins_document_webapi_parser_spec_raml_Raml10Syntax$();
    return this
  };
  clone__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(declarations) {
    return new $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext().init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option(this.loc$4, this.refs$4, this.wrapped$4, new $c_s_Some().init___O(declarations))
  };
  vendor__Lamf_core_remote_Vendor() {
    return this.vendor$4
  };
  factory__Lamf_plugins_document_webapi_contexts_RamlSpecVersionFactory() {
    return this.factory$4
  };
  syntax__Lamf_plugins_document_webapi_parser_spec_SpecSyntax() {
    return this.syntax$4
  };
}
const $d_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext = new $TypeData().initClass({
  Lamf_plugins_document_webapi_contexts_Raml10WebApiContext: 0
}, false, "amf.plugins.document.webapi.contexts.Raml10WebApiContext", {
  Lamf_plugins_document_webapi_contexts_Raml10WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext.prototype.$classData = $d_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext;
class $c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample extends $c_Lamf_plugins_domain_shapes_models_Example {
  constructor() {
    super();
    this.idPart$2 = null;
    this.ast$2 = null;
    this.namespace$2 = null
  };
  productPrefix__T() {
    return "ErrorNamedExample"
  };
  namespace__T() {
    return this.namespace$2
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample(x$1)) {
      const ErrorNamedExample$1 = x$1;
      if ((this.idPart$2 === ErrorNamedExample$1.idPart$2)) {
        const x = this.ast$2;
        const x$2 = ErrorNamedExample$1.ast$2;
        return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  withId__T__Lamf_core_model_domain_AmfObject(value) {
    return $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, value)
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.idPart$2;
        break
      }
      case 1: {
        return this.ast$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  amf$plugins$document$webapi$parser$spec$WebApiDeclarations$ErrorDeclaration$$super$withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(value) {
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this, value)
  };
  init___T__Lorg_yaml_model_YPart(idPart, ast) {
    this.idPart$2 = idPart;
    this.ast$2 = ast;
    $c_Lamf_plugins_domain_shapes_models_Example.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, new $c_Lamf_core_parser_Fields().init___(), $m_Lamf_core_parser_Annotations$().apply__Lorg_yaml_model_YPart__Lamf_core_parser_Annotations(ast));
    this.namespace$2 = "http://amferror.com/#errorNamedExample/";
    $f_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration__withId__T__Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration(this, idPart);
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample: 0
}, false, "amf.plugins.document.webapi.parser.spec.WebApiDeclarations$ErrorNamedExample", {
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample: 1,
  Lamf_plugins_domain_shapes_models_Example: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorDeclaration: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_WebApiDeclarations$ErrorNamedExample;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser {
  constructor() {
    super();
    this.Raml08ReferenceParser$module$3 = null;
    this.Raml08TextParser$module$3 = null;
    this.Raml08SchemaParser$module$3 = null;
    this.entryOrNode$3 = null;
    this.name$3 = null;
    this.adopt$3 = null;
    this.isAnnotation$3 = false;
    this.defaultType$3 = null
  };
  productPrefix__T() {
    return "Raml08TypeParser"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser(x$1)) {
      const Raml08TypeParser$1 = x$1;
      const x = this.entryOrNode$3;
      const x$2 = Raml08TypeParser$1.entryOrNode$3;
      let jsx$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.name$3 === Raml08TypeParser$1.name$3))) {
        const x$3 = this.adopt$3;
        const x$4 = Raml08TypeParser$1.adopt$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.isAnnotation$3 === Raml08TypeParser$1.isAnnotation$3))) {
        const x$5 = this.defaultType$3;
        const x$6 = Raml08TypeParser$1.defaultType$3;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entryOrNode$3;
        break
      }
      case 1: {
        return this.name$3;
        break
      }
      case 2: {
        return this.adopt$3;
        break
      }
      case 3: {
        return this.isAnnotation$3;
        break
      }
      case 4: {
        return this.defaultType$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  parse__s_Option() {
    const this$1 = $m_Lamf_plugins_domain_shapes_models_ScalarShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_ScalarShape(this.node$2);
    const name = this.name$3;
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const shape = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$1, field, name);
    this.adopt$3.apply__O__O(shape);
    const this$2 = this.node$2;
    const x1 = this$2.tag__Lorg_yaml_model_YTag().tagType$2;
    const x = $m_Lorg_yaml_model_YType$().Map$1;
    if ((x === x1)) {
      const map = this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$YMapYRead$(), this.ctx$2);
      const this$4 = new $c_Lamf_core_parser_package$YMapOps().init___Lorg_yaml_model_YMap(map).key__T__s_Option("schema");
      if (this$4.isEmpty__Z()) {
        return $m_s_Option$().apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_SimpleTypeParser().init___T__F1__Lorg_yaml_model_YMap__Lamf_plugins_domain_shapes_models_TypeDef__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this.name$3, this.adopt$3, map, this.defaultType$3.typeDef__Lamf_plugins_domain_shapes_models_TypeDef(), this.ctx$2).parse__Lamf_plugins_domain_shapes_models_AnyShape())
      } else {
        const arg1 = this$4.get__O();
        const maybeShape = new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08SchemaParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this, map, this.adopt$3, this.ctx$2).parse__s_Option();
        if ((!maybeShape.isEmpty__Z())) {
          const arg1$1 = maybeShape.get__O();
          const s = arg1$1;
          const this$5 = new $c_Lamf_plugins_document_webapi_parser_spec_domain_RamlSingleExampleParser().init___T__Lorg_yaml_model_YMap__F1__Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions__Lamf_plugins_document_webapi_contexts_WebApiContext("example", map, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, s$1) {
            return (function(name$2) {
              const name$1 = name$2;
              return s$1.withExample__s_Option__Lamf_plugins_domain_shapes_models_Example(name$1)
            })
          })(this, s)), new $c_Lamf_plugins_document_webapi_parser_spec_domain_ExampleOptions().init___Z__Z(true, true), this.ctx$2).parse__s_Option();
          if ((!this$5.isEmpty__Z())) {
            const arg1$2 = this$5.get__O();
            const e = arg1$2;
            const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$().Examples$1;
            const values = $m_sc_Seq$().apply__sc_Seq__sc_GenTraversable(new $c_sjs_js_WrappedArray().init___sjs_js_Array([e]));
            $f_Lamf_core_model_domain_AmfObject__setArray__Lamf_core_metamodel_Field__sc_Seq__Lamf_core_model_domain_AmfObject(s, field$1, values)
          }
        };
        return maybeShape
      }
    } else {
      const x$3 = $m_Lorg_yaml_model_YType$().Seq$1;
      if ((x$3 === x1)) {
        const jsx$1 = $m_s_Option$();
        const this$6 = $m_Lamf_plugins_domain_shapes_models_UnionShape$().apply__Lorg_yaml_model_YPart__Lamf_plugins_domain_shapes_models_UnionShape(this.node$2);
        const name$3 = this.name$3;
        const field$2 = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
        return jsx$1.apply__O__s_Option(new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08UnionTypeParser().init___Lamf_plugins_domain_shapes_models_UnionShape__sc_Seq__Lorg_yaml_model_YPart__Lamf_plugins_document_webapi_contexts_RamlWebApiContext($f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$6, field$2, name$3), this.node$2.as__Lorg_yaml_convert_YRead__Lorg_yaml_model_IllegalTypeHandler__O($m_Lorg_yaml_convert_YRead$SeqNodeYRead$(), this.ctx$2), this.node$2, this.ctx$2).parse__Lamf_plugins_domain_shapes_models_UnionShape())
      } else {
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser$Raml08TextParser().init___Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser__Lorg_yaml_model_YNode__F1__T__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(this, this.node$2, this.adopt$3, this.name$3, this.defaultType$3, this.ctx$2).parse__s_Option()
      }
    }
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$2
  };
  typeParser__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(entryOrNode$2, name$2, adopt$2, isAnnotation$2, defaultType$2) {
        const entryOrNode = entryOrNode$2;
        const name = name$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser().init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entryOrNode, name, adopt, isAnnotation, defaultType, $this.ctx$2)
      })
    })(this))
  };
  init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entryOrNode, name, adopt, isAnnotation, defaultType, ctx) {
    this.entryOrNode$3 = entryOrNode;
    this.name$3 = name;
    this.adopt$3 = adopt;
    this.isAnnotation$3 = isAnnotation;
    this.defaultType$3 = defaultType;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.prototype.init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entryOrNode, name, adopt, isAnnotation, defaultType, ctx);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entryOrNode$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.name$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.adopt$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isAnnotation$3 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultType$3));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml08TypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml08TypeParser;
class $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser extends $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser {
  constructor() {
    super();
    this.entryOrNode$3 = null;
    this.name$3 = null;
    this.adopt$3 = null;
    this.isAnnotation$3 = false;
    this.defaultType$3 = null
  };
  productPrefix__T() {
    return "Raml10TypeParser"
  };
  productArity__I() {
    return 5
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser(x$1)) {
      const Raml10TypeParser$1 = x$1;
      const x = this.entryOrNode$3;
      const x$2 = Raml10TypeParser$1.entryOrNode$3;
      let jsx$1;
      if ((((x === null) ? (x$2 === null) : x.equals__O__Z(x$2)) && (this.name$3 === Raml10TypeParser$1.name$3))) {
        const x$3 = this.adopt$3;
        const x$4 = Raml10TypeParser$1.adopt$3;
        jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.isAnnotation$3 === Raml10TypeParser$1.isAnnotation$3))) {
        const x$5 = this.defaultType$3;
        const x$6 = Raml10TypeParser$1.defaultType$3;
        return (x$5 === x$6)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.entryOrNode$3;
        break
      }
      case 1: {
        return this.name$3;
        break
      }
      case 2: {
        return this.adopt$3;
        break
      }
      case 3: {
        return this.isAnnotation$3;
        break
      }
      case 4: {
        return this.defaultType$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  ctx__Lamf_plugins_document_webapi_contexts_RamlWebApiContext() {
    return this.ctx$2
  };
  typeParser__F5() {
    return new $c_sjsr_AnonFunction5().init___sjs_js_Function5((function($this) {
      return (function(entryOrNode$2, name$2, adopt$2, isAnnotation$2, defaultType$2) {
        const entryOrNode = entryOrNode$2;
        const name = name$2;
        const adopt = adopt$2;
        const isAnnotation = (!(!isAnnotation$2));
        const defaultType = defaultType$2;
        return new $c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser().init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entryOrNode, name, adopt, isAnnotation, defaultType, $this.ctx$2)
      })
    })(this))
  };
  init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext(entryOrNode, name, adopt, isAnnotation, defaultType, ctx) {
    this.entryOrNode$3 = entryOrNode;
    this.name$3 = name;
    this.adopt$3 = adopt;
    this.isAnnotation$3 = isAnnotation;
    this.defaultType$3 = defaultType;
    $c_Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser.prototype.init___s_util_Either__T__F1__Z__Lamf_plugins_document_webapi_parser_spec_declaration_DefaultType__Lamf_plugins_document_webapi_contexts_RamlWebApiContext.call(this, entryOrNode, name, adopt, isAnnotation, defaultType, ctx);
    return this
  };
  hashCode__I() {
    let acc = (-889275714);
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.entryOrNode$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.name$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.adopt$3));
    acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isAnnotation$3 ? 1231 : 1237));
    acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.defaultType$3));
    return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser)))
});
const $isArrayOf_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser)))
});
const $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser = new $TypeData().initClass({
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser: 0
}, false, "amf.plugins.document.webapi.parser.spec.declaration.Raml10TypeParser", {
  Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeParser: 1,
  Lamf_plugins_document_webapi_parser_spec_raml_RamlSpecParser: 1,
  O: 1,
  Lamf_plugins_document_webapi_parser_spec_common_WebApiBaseSpecParser: 1,
  Lamf_core_parser_BaseSpecParser: 1,
  Lamf_plugins_document_webapi_parser_spec_common_SpecParserOps: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlExternalTypes: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExampleParser: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_RamlTypeSyntax: 1,
  Lamf_plugins_document_webapi_parser_spec_declaration_ExternalSourceRef: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser.prototype.$classData = $d_Lamf_plugins_document_webapi_parser_spec_declaration_Raml10TypeParser;
const $is_sc_Iterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Iterable)))
});
const $isArrayOf_sc_Iterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Iterable)))
});
const $f_sc_MapLike__apply__O__O = (function($thiz, key) {
  const x1 = $thiz.get__O__s_Option(key);
  const x = $m_s_None$();
  if ((x === x1)) {
    return $thiz.$default__O__O(key)
  } else if ($is_s_Some(x1)) {
    const x2 = x1;
    const value = x2.value$2;
    return value
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
});
const $f_sc_MapLike__isEmpty__Z = (function($thiz) {
  return ($thiz.size__I() === 0)
});
const $f_sc_MapLike__toBuffer__scm_Buffer = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$7$2) {
      const x$7 = x$7$2;
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$7)
    })
  })($thiz, result)));
  return result
});
const $f_sc_MapLike__$default__O__O = (function($thiz, key) {
  throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
});
const $f_sc_MapLike__contains__O__Z = (function($thiz, key) {
  return $thiz.get__O__s_Option(key).isDefined__Z()
});
const $f_sc_MapLike__addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function($thiz, b, start, sep, end) {
  const this$2 = $thiz.iterator__sc_Iterator();
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const k = x0$1.$$und1__O();
        const v = x0$1.$$und2__O();
        return (("" + $m_s_Predef$any2stringadd$().$$plus$extension__O__T__T(k, " -> ")) + v)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz));
  const this$3 = new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$2, f);
  return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this$3, b, start, sep, end)
});
const $f_sc_MapLike__toSeq__sc_Seq = (function($thiz) {
  if ($thiz.isEmpty__Z()) {
    const this$1 = $m_s_package$().Vector$1;
    return this$1.NIL$6
  } else {
    $m_s_package$();
    const vb = new $c_sci_VectorBuilder().init___();
    $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, vb$1) {
      return (function(x$6$2) {
        const x$6 = x$6$2;
        return vb$1.$$plus$eq__O__scm_Builder(x$6)
      })
    })($thiz, vb)));
    return vb.result__sci_Vector()
  }
});
const $f_sc_MapLike__filterNot__F1__sc_Map = (function($thiz, p) {
  const elem = $thiz;
  const res = new $c_sr_ObjectRef().init___O(elem);
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1, res$1) {
    return (function(kv$2) {
      const kv = kv$2;
      if ((!(!p$1.apply__O__O(kv)))) {
        res$1.elem$1 = res$1.elem$1.$$minus__O__sc_Map(kv.$$und1__O())
      }
    })
  })($thiz, p, res)));
  return res.elem$1
});
const $f_sc_MapLike__applyOrElse__O__F1__O = (function($thiz, x, $default) {
  const x1 = $thiz.get__O__s_Option(x);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    return v
  } else {
    const x$1 = $m_s_None$();
    if ((x$1 === x1)) {
      return $default.apply__O__O(x)
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $is_sc_MapLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_MapLike)))
});
const $isArrayOf_sc_MapLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_MapLike)))
});
const $f_sc_TraversableViewLike$Appended__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$Appended$$$outer__sc_TraversableViewLike().foreach__F1__V(f);
  $thiz.rest__sc_GenTraversable().foreach__F1__V(f)
});
const $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V = (function($thiz, f) {
  const go = new $c_sr_BooleanRef().init___Z(false);
  $thiz.scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, go$1) {
    return (function(x$2) {
      if (((!go$1.elem$1) && (!(!(!$this.pred__F1().apply__O__O(x$2)))))) {
        go$1.elem$1 = true
      };
      return (go$1.elem$1 ? f$1.apply__O__O(x$2) : (void 0))
    })
  })($thiz, f, go)))
});
const $f_sc_TraversableViewLike$Filtered__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2) {
      return ((!(!$this.pred__F1().apply__O__O(x$2))) ? f$1.apply__O__O(x$2) : (void 0))
    })
  })($thiz, f)))
});
const $f_sc_TraversableViewLike$FlatMapped__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$FlatMapped$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2) {
      $this.mapping__F1().apply__O__O(x$2).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, f$5) {
        return (function(y$2) {
          return f$5.apply__O__O(y$2)
        })
      })($this, f$1)))
    })
  })($thiz, f)))
});
const $f_sc_TraversableViewLike$Mapped__foreach__F1__V = (function($thiz, f) {
  $thiz.scala$collection$TraversableViewLike$Mapped$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
    return (function(x$2) {
      return f$1.apply__O__O($this.mapping__F1().apply__O__O(x$2))
    })
  })($thiz, f)))
});
const $f_sc_TraversableViewLike$Prepended__foreach__F1__V = (function($thiz, f) {
  $thiz.fst__sc_GenTraversable().foreach__F1__V(f);
  $thiz.scala$collection$TraversableViewLike$Prepended$$$outer__sc_TraversableViewLike().foreach__F1__V(f)
});
const $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V = (function($thiz, f) {
  const nonLocalReturnKey3 = new $c_O().init___();
  try {
    $thiz.scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1, nonLocalReturnKey3$1) {
      return (function(x$2) {
        if ((!(!(!$this.pred__F1().apply__O__O(x$2))))) {
          throw new $c_sr_NonLocalReturnControl$mcV$sp().init___O__sr_BoxedUnit(nonLocalReturnKey3$1, (void 0))
        };
        return f$1.apply__O__O(x$2)
      })
    })($thiz, f, nonLocalReturnKey3)))
  } catch (e) {
    if ($is_sr_NonLocalReturnControl(e)) {
      const ex = e;
      if ((ex.key$2 === nonLocalReturnKey3)) {
        ex.value$mcV$sp__V()
      } else {
        throw ex
      }
    } else {
      throw e
    }
  }
});
class $c_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext {
  init___() {
    const jsx$1 = $m_sci_Nil$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    $c_Lamf_plugins_document_webapi_contexts_Raml08WebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, "", jsx$1, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()), $m_s_None$());
    return this
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    return defaultValue
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    /*<skip>*/
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    /*<skip>*/
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext: 0
}, false, "amf.plugins.domain.webapi.resolution.CustomRaml08WebApiContext", {
  Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_Raml08WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_CustomRaml08WebApiContext;
class $c_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext extends $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext {
  init___() {
    const jsx$1 = $m_sci_Nil$();
    $m_sc_Seq$();
    $m_sci_Seq$();
    const this$4 = new $c_scm_ListBuffer().init___();
    $c_Lamf_plugins_document_webapi_contexts_Raml10WebApiContext.prototype.init___T__sc_Seq__Lamf_core_parser_ParserContext__s_Option.call(this, "", jsx$1, new $c_Lamf_core_parser_ParserContext().init___T__sc_Seq__Lamf_core_parser_FutureDeclarations__I("", this$4.toList__sci_List(), new $c_Lamf_core_parser_EmptyFutureDeclarations$$anon$1().init___(), $m_Lamf_core_AMFCompilerRunCount$().nextRun__I()), $m_s_None$());
    return this
  };
  handle__Lorg_yaml_model_YError__O__O(error, defaultValue) {
    return defaultValue
  };
  warning__T__T__s_Option__T__s_Option__V(id, node, property, message, lexical) {
    /*<skip>*/
  };
  handle__Lorg_yaml_model_YPart__Lorg_yaml_model_SyamlException__V(node, e) {
    /*<skip>*/
  };
}
const $d_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext = new $TypeData().initClass({
  Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext: 0
}, false, "amf.plugins.domain.webapi.resolution.CustomRaml10WebApiContext", {
  Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_Raml10WebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_RamlWebApiContext: 1,
  Lamf_plugins_document_webapi_contexts_WebApiContext: 1,
  Lamf_core_parser_ParserContext: 1,
  O: 1,
  Lamf_core_parser_ErrorHandler: 1,
  Lorg_yaml_model_IllegalTypeHandler: 1,
  Lorg_yaml_model_ParseErrorHandler: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  Lamf_plugins_document_webapi_contexts_SpecAwareContext: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_plugins_document_webapi_contexts_RamlSpecAwareContext: 1
});
$c_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext.prototype.$classData = $d_Lamf_plugins_domain_webapi_resolution_CustomRaml10WebApiContext;
const $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map = (function($thiz, xs) {
  const x$1 = $thiz;
  return xs.seq__sc_TraversableOnce().$$div$colon__O__F2__O(x$1, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(x$2$2, x$3$2) {
      const x$2 = x$2$2;
      const x$3 = x$3$2;
      return x$2.$$plus__T2__sci_Map(x$3)
    })
  })($thiz)))
});
const $f_sci_MapLike__updated__O__O__sci_Map = (function($thiz, key, value) {
  return $thiz.$$plus__T2__sci_Map(new $c_T2().init___O__O(key, value))
});
const $is_sci_MapLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_MapLike)))
});
const $isArrayOf_sci_MapLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_MapLike)))
});
class $c_Lamf_plugins_domain_shapes_models_NilShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "NilShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_NilShape(x$1)) {
      const NilShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = NilShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = NilShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_NilShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-nil" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/nil/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NilShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_NilShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_NilShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_NilShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_NilShape)))
});
const $d_Lamf_plugins_domain_shapes_models_NilShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NilShape: 0
}, false, "amf.plugins.domain.shapes.models.NilShape", {
  Lamf_plugins_domain_shapes_models_NilShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NilShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NilShape;
class $c_Lamf_plugins_domain_shapes_models_NodeShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  withProperty__T__Lamf_core_model_domain_extensions_PropertyShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_core_model_domain_extensions_PropertyShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  productPrefix__T() {
    return "NodeShape"
  };
  productArity__I() {
    return 2
  };
  adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(parent) {
    $f_Lamf_core_model_domain_AmfObject__simpleAdoption__T__Lamf_core_model_domain_AmfObject(this, parent);
    this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Properties$1).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        return x$1.adopted__T__Lamf_core_model_domain_extensions_PropertyShape($this.id$1)
      })
    })(this)));
    return this
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_NodeShape(x$1)) {
      const NodeShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = NodeShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = NodeShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-node" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  withInheritsObject__T__Lamf_plugins_domain_shapes_models_NodeShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_NodeShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  withInheritsScalar__T__Lamf_plugins_domain_shapes_models_ScalarShape(name) {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    const result = $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$4, field, name);
    const field$1 = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Inherits$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field$1, result);
    return result
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
  adopted__T__Lamf_core_model_domain_AmfObject(parent) {
    return this.adopted__T__Lamf_plugins_domain_shapes_models_NodeShape(parent)
  };
  withDependency__Lamf_plugins_domain_shapes_models_PropertyDependencies() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const result = new $c_Lamf_plugins_domain_shapes_models_PropertyDependencies().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const field = $m_Lamf_plugins_domain_shapes_metamodel_NodeShapeModel$().Dependencies$1;
    $f_Lamf_core_model_domain_AmfObject__add__Lamf_core_metamodel_Field__Lamf_core_model_domain_AmfElement__Lamf_core_model_domain_AmfObject(this, field, result);
    return result
  };
}
const $is_Lamf_plugins_domain_shapes_models_NodeShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_NodeShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_NodeShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_NodeShape)))
});
const $d_Lamf_plugins_domain_shapes_models_NodeShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_NodeShape: 0
}, false, "amf.plugins.domain.shapes.models.NodeShape", {
  Lamf_plugins_domain_shapes_models_NodeShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_NodeShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_NodeShape;
class $c_Lamf_plugins_domain_shapes_models_SchemaShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "SchemaShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_SchemaShape(x$1)) {
      const SchemaShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = SchemaShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = SchemaShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_SchemaShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-schema" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/schema/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_SchemaShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_SchemaShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_SchemaShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_SchemaShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_SchemaShape)))
});
const $d_Lamf_plugins_domain_shapes_models_SchemaShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_SchemaShape: 0
}, false, "amf.plugins.domain.shapes.models.SchemaShape", {
  Lamf_plugins_domain_shapes_models_SchemaShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_SchemaShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_SchemaShape;
class $c_Lamf_plugins_domain_shapes_models_UnionShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "UnionShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_UnionShape(x$1)) {
      const UnionShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = UnionShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = UnionShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_UnionShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-union" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/union/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_UnionShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_UnionShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_UnionShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_UnionShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_UnionShape)))
});
const $d_Lamf_plugins_domain_shapes_models_UnionShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnionShape: 0
}, false, "amf.plugins.domain.shapes.models.UnionShape", {
  Lamf_plugins_domain_shapes_models_UnionShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnionShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnionShape;
const $f_sci_StringLike__scala$collection$immutable$StringLike$$isLineBreak__C__Z = (function($thiz, c) {
  return ((c === 10) || (c === 12))
});
const $f_sci_StringLike__parseBoolean__psci_StringLike__T__Z = (function($thiz, s) {
  if ((s !== null)) {
    const x1 = s.toLowerCase();
    if ((x1 === "true")) {
      return true
    } else if ((x1 === "false")) {
      return false
    } else {
      throw new $c_jl_IllegalArgumentException().init___T((("For input string: \"" + s) + "\""))
    }
  } else {
    throw new $c_jl_IllegalArgumentException().init___T("For input string: \"null\"")
  }
});
const $f_sci_StringLike__escape__psci_StringLike__C__T = (function($thiz, ch) {
  return (((((ch >= 97) && (ch <= 122)) || ((ch >= 65) && (ch <= 90))) || ((ch >= 48) && (ch <= 57))) ? $g.String.fromCharCode(ch) : ("\\" + new $c_jl_Character().init___C(ch)))
});
const $f_sci_StringLike__unwrapArg__psci_StringLike__O__O = (function($thiz, arg) {
  if ($is_s_math_ScalaNumber(arg)) {
    const x2 = arg;
    return x2.underlying__O()
  } else {
    return arg
  }
});
const $f_sci_StringLike__slice__I__I__O = (function($thiz, from, until) {
  const start = ((from > 0) ? from : 0);
  const that = $thiz.length__I();
  const end = ((until < that) ? until : that);
  if ((start >= end)) {
    return $thiz.newBuilder__scm_Builder().result__O()
  } else {
    const jsx$1 = $thiz.newBuilder__scm_Builder();
    const thiz = $thiz.toString__T();
    const x = thiz.substring(start, end);
    return jsx$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sci_StringOps().init___T(x)).result__O()
  }
});
const $f_sci_StringLike__split__C__AT = (function($thiz, separator) {
  const thiz = $thiz.toString__T();
  const regex = $f_sci_StringLike__escape__psci_StringLike__C__T($thiz, separator);
  return $m_sjsr_RuntimeString$().split__T__T__I__AT(thiz, regex, 0)
});
const $f_sci_StringLike__$$times__I__T = (function($thiz, n) {
  const buf = new $c_scm_StringBuilder().init___();
  const isEmpty$4 = (n <= 0);
  const scala$collection$immutable$Range$$lastElement$4 = (((-1) + n) | 0);
  if ((!isEmpty$4)) {
    let i = 0;
    while (true) {
      const arg1 = i;
      buf.append__T__scm_StringBuilder($thiz.toString__T());
      if ((i === scala$collection$immutable$Range$$lastElement$4)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  const this$4 = buf.underlying$5;
  return this$4.content$1
});
const $f_sci_StringLike__capitalize__T = (function($thiz) {
  if (($thiz.toString__T() === null)) {
    return null
  } else {
    const thiz = $thiz.toString__T();
    if (((thiz.length | 0) === 0)) {
      return ""
    } else {
      const thiz$1 = $thiz.toString__T();
      const c = (65535 & (thiz$1.charCodeAt(0) | 0));
      const this$5 = $m_jl_Character$();
      if (this$5.isUpperCase__I__Z(c)) {
        return $thiz.toString__T()
      } else {
        const chars = $m_sjsr_RuntimeString$().toCharArray__T__AC($thiz.toString__T());
        const c$1 = chars.u[0];
        chars.u[0] = $m_jl_Character$().toUpperCase__C__C(c$1);
        const this$8 = $m_sjsr_RuntimeString$();
        return this$8.newString__AC__I__I__T(chars, 0, chars.u.length)
      }
    }
  }
});
const $f_sci_StringLike__stripPrefix__T__T = (function($thiz, prefix) {
  const thiz = $thiz.toString__T();
  if ((((thiz.length | 0) >= 0) && (thiz.substring(0, (prefix.length | 0)) === prefix))) {
    const thiz$1 = $thiz.toString__T();
    const beginIndex = (prefix.length | 0);
    return thiz$1.substring(beginIndex)
  } else {
    return $thiz.toString__T()
  }
});
const $f_sci_StringLike__stripSuffix__T__T = (function($thiz, suffix) {
  if ($m_sjsr_RuntimeString$().endsWith__T__T__Z($thiz.toString__T(), suffix)) {
    const thiz$1 = $thiz.toString__T();
    const thiz = $thiz.toString__T();
    const endIndex = (((thiz.length | 0) - (suffix.length | 0)) | 0);
    return thiz$1.substring(0, endIndex)
  } else {
    return $thiz.toString__T()
  }
});
const $f_sci_StringLike__stripMargin__C__T = (function($thiz, marginChar) {
  const buf = new $c_scm_StringBuilder().init___();
  const this$1 = new $c_sci_StringLike$$anon$1().init___sci_StringLike($thiz);
  while (this$1.hasNext__Z()) {
    const arg1 = this$1.next__T();
    const len = (arg1.length | 0);
    let index = 0;
    while (true) {
      let jsx$1;
      if ((index < len)) {
        const index$1 = index;
        jsx$1 = ((65535 & (arg1.charCodeAt(index$1) | 0)) <= 32)
      } else {
        jsx$1 = false
      };
      if (jsx$1) {
        index = ((1 + index) | 0)
      } else {
        break
      }
    };
    let jsx$3;
    if ((index < len)) {
      const index$2 = index;
      jsx$3 = ((65535 & (arg1.charCodeAt(index$2) | 0)) === marginChar)
    } else {
      jsx$3 = false
    };
    let jsx$2;
    if (jsx$3) {
      const beginIndex = ((1 + index) | 0);
      jsx$2 = arg1.substring(beginIndex)
    } else {
      jsx$2 = arg1
    };
    buf.append__T__scm_StringBuilder(jsx$2)
  };
  const this$7 = buf.underlying$5;
  return this$7.content$1
});
class $c_Lamf_plugins_domain_shapes_models_ArrayShape extends $c_Lamf_plugins_domain_shapes_models_DataArrangementShape {
  productPrefix__T() {
    return "ArrayShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_ArrayShape(x$1)) {
      const ArrayShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = ArrayShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ArrayShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ArrayShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ArrayShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_ArrayShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ArrayShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ArrayShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ArrayShape)))
});
const $d_Lamf_plugins_domain_shapes_models_ArrayShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ArrayShape: 0
}, false, "amf.plugins.domain.shapes.models.ArrayShape", {
  Lamf_plugins_domain_shapes_models_ArrayShape: 1,
  Lamf_plugins_domain_shapes_models_DataArrangementShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ArrayShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ArrayShape;
class $c_Lamf_plugins_domain_shapes_models_FileShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "FileShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_FileShape(x$1)) {
      const FileShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = FileShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = FileShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_FileShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-file" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_FileShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_FileShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_FileShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_FileShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_FileShape)))
});
const $d_Lamf_plugins_domain_shapes_models_FileShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_FileShape: 0
}, false, "amf.plugins.domain.shapes.models.FileShape", {
  Lamf_plugins_domain_shapes_models_FileShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_plugins_domain_shapes_models_CommonShapeFields: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_FileShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_FileShape;
class $c_Lamf_plugins_domain_shapes_models_MatrixShape extends $c_Lamf_plugins_domain_shapes_models_DataArrangementShape {
  productPrefix__T() {
    return "MatrixShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_MatrixShape(x$1)) {
      const MatrixShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = MatrixShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = MatrixShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_MatrixShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_MatrixShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_MatrixShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_MatrixShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_MatrixShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_MatrixShape)))
});
const $d_Lamf_plugins_domain_shapes_models_MatrixShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_MatrixShape: 0
}, false, "amf.plugins.domain.shapes.models.MatrixShape", {
  Lamf_plugins_domain_shapes_models_MatrixShape: 1,
  Lamf_plugins_domain_shapes_models_DataArrangementShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_MatrixShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_MatrixShape;
class $c_Lamf_plugins_domain_shapes_models_ScalarShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  productPrefix__T() {
    return "ScalarShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_ScalarShape(x$1)) {
      const ScalarShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = ScalarShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = ScalarShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_ScalarShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1).option$1;
    const str = (this$1.isEmpty__Z() ? "default-scalar" : this$1.get__O());
    const this$3 = new $c_Lamf_core_utils_package$Strings().init___T(str);
    const this$4 = this$3.platform$1;
    const url = this$3.str$1;
    return ("/scalar/" + $f_Lamf_core_remote_JsPlatform__encodeURIComponent__T__T(this$4, url))
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_ScalarShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_ScalarShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_ScalarShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_ScalarShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_ScalarShape)))
});
const $d_Lamf_plugins_domain_shapes_models_ScalarShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_ScalarShape: 0
}, false, "amf.plugins.domain.shapes.models.ScalarShape", {
  Lamf_plugins_domain_shapes_models_ScalarShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_plugins_domain_shapes_models_CommonShapeFields: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_ScalarShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_ScalarShape;
class $c_Lamf_plugins_domain_shapes_models_TupleShape extends $c_Lamf_plugins_domain_shapes_models_DataArrangementShape {
  productPrefix__T() {
    return "TupleShape"
  };
  productArity__I() {
    return 2
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_TupleShape(x$1)) {
      const TupleShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = TupleShape$1.fields$2;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = TupleShape$1.annotations$2;
        return (x$3 === x$4)
      } else {
        return false
      }
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_TupleShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    const annotations = new $c_Lamf_core_parser_Annotations().init___();
    const this$4 = new $c_Lamf_plugins_domain_shapes_models_TupleShape().init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(new $c_Lamf_core_parser_Fields().init___(), annotations);
    const value = this.id$1;
    return $f_Lamf_core_model_domain_AmfObject__withId__T__Lamf_core_model_domain_AmfObject(this$4, value)
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations(fields, annotations) {
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    return this
  };
}
const $is_Lamf_plugins_domain_shapes_models_TupleShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_TupleShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_TupleShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_TupleShape)))
});
const $d_Lamf_plugins_domain_shapes_models_TupleShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_TupleShape: 0
}, false, "amf.plugins.domain.shapes.models.TupleShape", {
  Lamf_plugins_domain_shapes_models_TupleShape: 1,
  Lamf_plugins_domain_shapes_models_DataArrangementShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_TupleShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_TupleShape;
class $c_Lamf_plugins_domain_shapes_models_UnresolvedShape extends $c_Lamf_plugins_domain_shapes_models_AnyShape {
  constructor() {
    super();
    this.reference$3 = null;
    this.fatherExtensionParser$3 = null;
    this.ctx$3 = null
  };
  productPrefix__T() {
    return "UnresolvedShape"
  };
  productArity__I() {
    return 4
  };
  equals__O__Z(x$1) {
    if ((this === x$1)) {
      return true
    } else if ($is_Lamf_plugins_domain_shapes_models_UnresolvedShape(x$1)) {
      const UnresolvedShape$1 = x$1;
      const x = this.fields$2;
      const x$2 = UnresolvedShape$1.fields$2;
      let jsx$1;
      if ((x === x$2)) {
        const x$3 = this.annotations$2;
        const x$4 = UnresolvedShape$1.annotations$2;
        jsx$1 = (x$3 === x$4)
      } else {
        jsx$1 = false
      };
      if ((jsx$1 && (this.reference$3 === UnresolvedShape$1.reference$3))) {
        const x$5 = this.fatherExtensionParser$3;
        const x$6 = UnresolvedShape$1.fatherExtensionParser$3;
        return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
      } else {
        return false
      }
    } else {
      return false
    }
  };
  effectiveLinkTarget__Lamf_core_model_domain_DomainElement() {
    return this
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.fields$2;
        break
      }
      case 1: {
        return this.annotations$2;
        break
      }
      case 2: {
        return this.reference$3;
        break
      }
      case 3: {
        return this.fatherExtensionParser$3;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  linkCopy__Lamf_core_model_domain_Linkable() {
    return this
  };
  meta__Lamf_core_metamodel_Obj() {
    return $m_Lamf_plugins_domain_shapes_metamodel_AnyShapeModel$()
  };
  toString__T() {
    return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
  };
  annotations__Lamf_core_parser_Annotations() {
    return this.annotations$2
  };
  componentId__T() {
    return ""
  };
  fields__Lamf_core_parser_Fields() {
    return this.fields$2
  };
  linkCopy__Lamf_plugins_domain_shapes_models_AnyShape() {
    return this
  };
  init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations__T__s_Option(fields, annotations, reference, fatherExtensionParser) {
    this.reference$3 = reference;
    this.fatherExtensionParser$3 = fatherExtensionParser;
    $c_Lamf_plugins_domain_shapes_models_AnyShape.prototype.init___Lamf_core_parser_Fields__Lamf_core_parser_Annotations.call(this, fields, annotations);
    this.ctx$3 = $m_s_None$();
    return this
  };
  hashCode__I() {
    const this$2 = $m_s_util_hashing_MurmurHash3$();
    return this$2.productHash__s_Product__I__I(this, (-889275714))
  };
  afterResolve__V() {
    const this$1 = this.fatherExtensionParser$3;
    if ((!this$1.isEmpty__Z())) {
      const arg1 = this$1.get__O();
      const parser = arg1;
      parser.parse__V()
    }
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
  resolve__Lamf_core_model_domain_Shape__Lamf_core_model_domain_Shape(target) {
    const label = this.reference$3;
    const annotations = this.annotations$2;
    const this$3 = $f_Lamf_core_model_domain_Linkable__link__T__Lamf_core_parser_Annotations__O(target, label, annotations);
    const this$1 = this.fields$2.field__Lamf_core_metamodel_Field__O($m_Lamf_core_metamodel_domain_ShapeModel$().Name$1);
    const this$2 = this$1.option$1;
    const name = (this$2.isEmpty__Z() ? null : this$2.get__O());
    const field = $m_Lamf_core_metamodel_domain_ShapeModel$().Name$1;
    return $f_Lamf_core_model_domain_AmfObject__set__Lamf_core_metamodel_Field__T__Lamf_core_model_domain_AmfObject(this$3, field, name)
  };
}
const $is_Lamf_plugins_domain_shapes_models_UnresolvedShape = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lamf_plugins_domain_shapes_models_UnresolvedShape)))
});
const $isArrayOf_Lamf_plugins_domain_shapes_models_UnresolvedShape = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lamf_plugins_domain_shapes_models_UnresolvedShape)))
});
const $d_Lamf_plugins_domain_shapes_models_UnresolvedShape = new $TypeData().initClass({
  Lamf_plugins_domain_shapes_models_UnresolvedShape: 0
}, false, "amf.plugins.domain.shapes.models.UnresolvedShape", {
  Lamf_plugins_domain_shapes_models_UnresolvedShape: 1,
  Lamf_plugins_domain_shapes_models_AnyShape: 1,
  Lamf_core_model_domain_Shape: 1,
  O: 1,
  Lamf_core_model_domain_DomainElement: 1,
  Lamf_core_model_domain_AmfObject: 1,
  Lamf_core_model_domain_AmfElement: 1,
  Lamf_core_model_domain_Linkable: 1,
  Lamf_core_model_domain_NamedDomainElement: 1,
  Lamf_plugins_domain_shapes_models_ShapeHelpers: 1,
  Lamf_plugins_document_webapi_parser_spec_common_JsonSchemaSerializer: 1,
  Lamf_core_model_domain_ExternalSourceElement: 1,
  Lamf_core_model_domain_DynamicDomainElement: 1,
  Lamf_core_parser_UnresolvedReference: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lamf_plugins_domain_shapes_models_UnresolvedShape.prototype.$classData = $d_Lamf_plugins_domain_shapes_models_UnresolvedShape;
class $c_sc_AbstractIterable extends $c_sc_AbstractTraversable {
  seq__sc_TraversableOnce() {
    return this.seq__sc_Iterable()
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  thisCollection__sc_Iterable() {
    return this
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  thisCollection__sc_Traversable() {
    return this.thisCollection__sc_Iterable()
  };
  seq__sc_Iterable() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_IterableLike__isEmpty__Z(this)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Iterable$()
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IterableLike__takeWhile__F1__O(this, p)
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  drop__I__O(n) {
    return $f_sc_IterableLike__drop__I__O(this, n)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
}
const $is_sci_Iterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Iterable)))
});
const $isArrayOf_sci_Iterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Iterable)))
});
const $d_sci_Iterable = new $TypeData().initClass({
  sci_Iterable: 0
}, true, "scala.collection.immutable.Iterable", {
  sci_Iterable: 1,
  sci_Traversable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  s_Immutable: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1
});
const $is_scm_Iterable = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Iterable)))
});
const $isArrayOf_scm_Iterable = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Iterable)))
});
const $f_Lamf_client_convert_CoreBaseClientConverter__asClientMap__scm_Map__Lamf_client_convert_InternalClientMatcher__sjs_js_Dictionary = (function($thiz, from, matcher) {
  const this$5 = $m_sjs_js_JSConverters$JSRichGenMap$();
  const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, matcher$1) {
    return (function(x0$1$2) {
      const x0$1 = x0$1$2;
      if ((x0$1 !== null)) {
        const k = x0$1.$$und1__O();
        const v = x0$1.$$und2__O();
        const y = matcher$1.asClient__O__O(v);
        return new $c_T2().init___O__O(k, y)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($thiz, matcher));
  const this$3 = $m_scm_Map$();
  const bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$3);
  const map = $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(from, f, bf);
  const result = {};
  map.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
    return (function(x0$1$2$1) {
      const x0$1$1 = x0$1$2$1;
      if ((x0$1$1 !== null)) {
        const key = x0$1$1.$$und1__O();
        const value = x0$1$1.$$und2__O();
        result$1[key] = value
      } else {
        throw new $c_s_MatchError().init___O(x0$1$1)
      }
    })
  })(this$5, result)));
  return result
});
const $f_Lamf_client_convert_CoreBaseClientConverter__asClientList__sc_Seq__Lamf_client_convert_InternalClientMatcher__sjs_js_Array = (function($thiz, from, matcher) {
  const jsx$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, matcher$1) {
    return (function(from$2$2) {
      return matcher$1.asClient__O__O(from$2$2)
    })
  })($thiz, matcher));
  const this$1 = $m_sc_Seq$();
  const col = from.map__F1__scg_CanBuildFrom__O(jsx$1, this$1.ReusableCBFInstance$2);
  const this$4 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(col)) {
    const x2 = col;
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    const x3 = col;
    return x3.array$6
  } else {
    const result = [];
    col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this$1, result$1) {
      return (function(x$2) {
        return (result$1.push(x$2) | 0)
      })
    })(this$4, result)));
    return result
  }
});
const $f_Lamf_client_convert_CoreBaseClientConverter__asClientFuture__s_concurrent_Future__sjs_js_Promise = (function($thiz, from) {
  return $m_sjs_js_JSConverters$JSRichFuture$().toJSPromise$extension__s_concurrent_Future__s_concurrent_ExecutionContext__sjs_js_Promise(from, $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
});
const $f_Lamf_client_convert_CoreBaseClientConverter__asInternalFuture__sjs_js_Promise__Lamf_client_convert_ClientInternalMatcher__s_concurrent_Future = (function($thiz, from, matcher) {
  return $m_sjs_js_Thenable$ThenableOps$().toFuture$extension__sjs_js_Thenable__s_concurrent_Future(from).map__F1__s_concurrent_ExecutionContext__s_concurrent_Future(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, matcher$1) {
    return (function(from$2$2) {
      return matcher$1.asInternal__O__O(from$2$2)
    })
  })($thiz, matcher)), $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContext())
});
const $f_Lamf_client_convert_CoreBaseClientConverter__asClientOption__s_Option__Lamf_client_convert_InternalClientMatcher__sjs_js_UndefOr = (function($thiz, from, matcher) {
  let opt;
  if (from.isEmpty__Z()) {
    opt = $m_s_None$()
  } else {
    const arg1 = from.get__O();
    opt = new $c_s_Some().init___O(matcher.asClient__O__O(arg1))
  };
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    const arg1$1 = opt.get__O();
    return arg1$1
  }
});
const $f_Lamf_client_convert_CoreBaseClientConverter__asInternalSeq__sjs_js_Array__Lamf_client_convert_ClientInternalMatcher__sc_Seq = (function($thiz, from, matcher) {
  $m_sc_Seq$();
  $m_sjs_js_WrappedArray$();
  const b = new $c_sjs_js_WrappedArray().init___();
  const x1 = (from.length | 0);
  switch (x1) {
    case (-1): {
      break
    }
  };
  let i = 0;
  const len = (from.length | 0);
  while ((i < len)) {
    const index = i;
    const arg1 = from[index];
    const elem = matcher.asInternal__O__O(arg1);
    b.array$6.push(elem);
    i = ((1 + i) | 0)
  };
  return b
});
const $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O = (function($thiz, bf) {
  const this$1 = $m_sci_Stream$();
  return $thiz.zip__sc_GenIterable__scg_CanBuildFrom__O(this$1.from__I__I__sci_Stream(0, 1), bf)
});
const $f_sc_IterableViewLike__drop__I__sc_IterableView = (function($thiz, n) {
  const xs = $f_sc_SeqViewLike__newDropped__I__sc_SeqViewLike$Transformed($thiz, n);
  return xs
});
class $c_sci_StringOps extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    const c = (65535 & ($$this.charCodeAt(idx) | 0));
    return new $c_jl_Character().init___C(c)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, ($$this.length | 0))
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_sci_StringOps$().equals$extension__T__O__Z(this.repr$1, x$1)
  };
  apply__I__C(index) {
    const $$this = this.repr$1;
    return (65535 & ($$this.charCodeAt(index) | 0))
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    const $$this = this.repr$1;
    return $$this
  };
  compareTo__O__I(that) {
    const other = that;
    const $$this = this.repr$1;
    return (($$this === other) ? 0 : ((!(!($$this < other))) ? (-1) : 1))
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = ($$this.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  compare__O__I(that) {
    const other = that;
    const $$this = this.repr$1;
    return (($$this === other) ? 0 : ((!(!($$this < other))) ? (-1) : 1))
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $m_sci_StringOps$().slice$extension__T__I__I__T(this.repr$1, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return ($$this.length | 0)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, ($$this.length | 0))
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return ($$this.length | 0)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return ($$this.length | 0)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $m_sci_StringOps$().slice$extension__T__I__I__T(this.repr$1, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, ($$this.length | 0));
    return $f_sc_Iterator__toStream__sci_Stream(this$3)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = ($$this.length | 0);
    return $m_sci_StringOps$().slice$extension__T__I__I__T(this.repr$1, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_sci_WrappedString().init___T($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = ($$this.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $m_sjsr_RuntimeString$().hashCode__T__I($$this)
  };
  init___T(repr) {
    this.repr$1 = repr;
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = ($$this.length | 0);
    while ((i < len)) {
      const arg1 = this.apply__I__O(i);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const jsx$1 = $m_sjsr_RuntimeString$();
    const $$this = this.repr$1;
    return jsx$1.toCharArray__T__AC($$this)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_StringBuilder().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_sci_StringOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_StringOps)))
});
const $isArrayOf_sci_StringOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_StringOps)))
});
const $d_sci_StringOps = new $TypeData().initClass({
  sci_StringOps: 0
}, false, "scala.collection.immutable.StringOps", {
  sci_StringOps: 1,
  O: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_StringOps.prototype.$classData = $d_sci_StringOps;
const $f_scm_ArrayOps__elementClass__pscm_ArrayOps__jl_Class = (function($thiz) {
  const this$1 = $thiz.repr__O();
  return $objectGetClass(this$1).getComponentType__jl_Class()
});
const $f_scm_ArrayOps__slice__I__I__O = (function($thiz, from, until) {
  const lo = ((from > 0) ? from : 0);
  const x = ((until > 0) ? until : 0);
  const y = $m_sr_ScalaRunTime$().array$undlength__O__I($thiz.repr__O());
  const hi = ((x < y) ? x : y);
  const x$1 = ((hi - lo) | 0);
  const size = ((x$1 > 0) ? x$1 : 0);
  const result = $m_jl_reflect_Array$().newInstance__jl_Class__I__O($f_scm_ArrayOps__elementClass__pscm_ArrayOps__jl_Class($thiz), size);
  if ((size > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V($thiz.repr__O(), lo, result, 0, size)
  };
  return result
});
const $f_scm_ArrayOps__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  const that = $m_sr_ScalaRunTime$().array$undlength__O__I($thiz.repr__O());
  const x = ((len < that) ? len : that);
  const that$1 = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const l = ((x < that$1) ? x : that$1);
  if ((l > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V($thiz.repr__O(), 0, xs, start, l)
  }
});
const $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O = (function($thiz, evidence$1) {
  const thatElementClass = evidence$1.runtimeClass__jl_Class();
  return (($f_scm_ArrayOps__elementClass__pscm_ArrayOps__jl_Class($thiz) === thatElementClass) ? $thiz.repr__O() : $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O($thiz, evidence$1))
});
const $is_scm_ArrayOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps)))
});
const $isArrayOf_scm_ArrayOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps)))
});
class $c_Lamf_client_convert_CoreClientConverters$ extends $c_O {
  constructor() {
    super();
    this.StringMatcher$module$1 = null;
    this.BooleanMatcher$module$1 = null;
    this.IntMatcher$module$1 = null;
    this.DoubleMatcher$module$1 = null;
    this.FloatMatcher$module$1 = null;
    this.AnyMatcher$module$1 = null;
    this.UnitMatcher$module$1 = null;
    this.ContentMatcher$module$1 = null;
    this.GraphDomainConverter$module$1 = null;
    this.ResourceLoaderMatcher$module$1 = null;
    this.BaseUnitMatcher$module$1 = null;
    this.DomainElementMatcher$module$1 = null;
    this.ValidationReportMatcher$module$1 = null;
    this.ValidationResultMatcher$module$1 = null;
    this.VariableValueMatcher$module$1 = null;
    this.AbstractDeclarationMatcher$module$1 = null;
    this.ParameterizedDeclarationMatcher$module$1 = null;
    this.DomainExtensionMatcher$module$1 = null;
    this.ObjectNodeMatcher$module$1 = null;
    this.ScalarNodeMatcher$module$1 = null;
    this.ArrayNodeMatcher$module$1 = null;
    this.DataNodeMatcher$module$1 = null;
    this.PropertyShapeMatcher$module$1 = null;
    this.ShapeMatcher$module$1 = null;
    this.CustomDomainPropertyMatcher$module$1 = null;
    this.StrFieldMatcher$module$1 = null;
    this.IntFieldMatcher$module$1 = null;
    this.BoolFieldMatcher$module$1 = null;
    this.DoubleFieldMatcher$module$1 = null;
    this.FloatFieldMatcher$module$1 = null;
    this.AnyFieldMatcher$module$1 = null;
    this.AnnotationsFieldMatcher$module$1 = null;
    this.platform$1 = null
  };
  AnnotationsFieldMatcher__Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher$module$1 === null)) {
      this.AnnotationsFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher$module$1
  };
  AbstractDeclarationMatcher__Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().AbstractDeclarationMatcher$module$1 === null)) {
      this.AbstractDeclarationMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().AbstractDeclarationMatcher$module$1
  };
  BooleanMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().BooleanMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().BooleanMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$BooleanMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  ResourceLoaderMatcher__Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher$module$1 === null)) {
      this.ResourceLoaderMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher$module$1
  };
  init___() {
    $n_Lamf_client_convert_CoreClientConverters$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  ParameterizedDeclarationMatcher__Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ParameterizedDeclarationMatcher$module$1 === null)) {
      this.ParameterizedDeclarationMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ParameterizedDeclarationMatcher$module$1
  };
  ObjectNodeMatcher__Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ObjectNodeMatcher$module$1 === null)) {
      this.ObjectNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ObjectNodeMatcher$module$1
  };
  ScalarNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ScalarNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ScalarNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  ContentMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ContentMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ContentMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$ContentMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher$module$1 === null)) {
      this.StrFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher$module$1
  };
  DoubleMatcher__Lamf_client_convert_CoreBaseConverter$DoubleMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DoubleMatcher$module$1 === null)) {
      this.DoubleMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().DoubleMatcher$module$1
  };
  BoolFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$BoolFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  AnyMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().AnyMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().AnyMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$AnyMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().AnyMatcher$module$1 === null)) {
      this.AnyMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().AnyMatcher$module$1
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  DoubleMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DoubleMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().DoubleMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$DoubleMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().StringMatcher$module$1 === null)) {
      this.StringMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().StringMatcher$module$1
  };
  DomainExtensionMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher$module$1 = new $c_Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$().init___Lamf_client_convert_DomainExtensionConverter(this)
    }
  };
  IntMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().IntMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().IntMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$IntMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  ContentMatcher__Lamf_client_convert_CoreBaseConverter$ContentMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ContentMatcher$module$1 === null)) {
      this.ContentMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ContentMatcher$module$1
  };
  BaseUnitMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher$module$1 = new $c_Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$().init___Lamf_client_convert_BaseUnitConverter(this)
    }
  };
  DomainExtensionMatcher__Lamf_client_convert_DomainExtensionConverter$DomainExtensionMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher$module$1 === null)) {
      this.DomainExtensionMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().DomainExtensionMatcher$module$1
  };
  IntMatcher__Lamf_client_convert_CoreBaseConverter$IntMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().IntMatcher$module$1 === null)) {
      this.IntMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().IntMatcher$module$1
  };
  AnnotationsFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().AnnotationsFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$AnnotationsFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  StringMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().StringMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().StringMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$StringMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  ArrayNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ArrayNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ArrayNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher$module$1 === null)) {
      this.ValidationReportMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher$module$1
  };
  ObjectNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ObjectNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ObjectNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  UnitMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().UnitMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().UnitMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$UnitMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().IntFieldMatcher$module$1 === null)) {
      this.IntFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().IntFieldMatcher$module$1
  };
  GraphDomainConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().GraphDomainConverter$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().GraphDomainConverter$module$1 = new $c_Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$().init___Lamf_client_convert_GraphDomainConverter(this)
    }
  };
  StrFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().StrFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$StrFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher$module$1 === null)) {
      this.DataNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher$module$1
  };
  ParameterizedDeclarationMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ParameterizedDeclarationMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ParameterizedDeclarationMatcher$module$1 = new $c_Lamf_client_convert_DeclarationsConverter$ParameterizedDeclarationMatcher$().init___Lamf_client_convert_DeclarationsConverter(this)
    }
  };
  CustomDomainPropertyMatcher__Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().CustomDomainPropertyMatcher$module$1 === null)) {
      this.CustomDomainPropertyMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().CustomDomainPropertyMatcher$module$1
  };
  ShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher$module$1 = new $c_Lamf_client_convert_ShapeConverter$ShapeMatcher$().init___Lamf_client_convert_ShapeConverter(this)
    }
  };
  UnitMatcher__Lamf_client_convert_CoreBaseConverter$UnitMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().UnitMatcher$module$1 === null)) {
      this.UnitMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().UnitMatcher$module$1
  };
  ValidationResultMatcher__Lamf_client_convert_ValidationConverter$ValidationResultMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ValidationResultMatcher$module$1 === null)) {
      this.ValidationResultMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ValidationResultMatcher$module$1
  };
  BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher$module$1 === null)) {
      this.BoolFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().BoolFieldMatcher$module$1
  };
  BaseUnitMatcher__Lamf_client_convert_BaseUnitConverter$BaseUnitMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher$module$1 === null)) {
      this.BaseUnitMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().BaseUnitMatcher$module$1
  };
  BooleanMatcher__Lamf_client_convert_CoreBaseConverter$BooleanMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().BooleanMatcher$module$1 === null)) {
      this.BooleanMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().BooleanMatcher$module$1
  };
  VariableValueMatcher__Lamf_client_convert_VariableValueConverter$VariableValueMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().VariableValueMatcher$module$1 === null)) {
      this.VariableValueMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().VariableValueMatcher$module$1
  };
  AbstractDeclarationMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().AbstractDeclarationMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().AbstractDeclarationMatcher$module$1 = new $c_Lamf_client_convert_DeclarationsConverter$AbstractDeclarationMatcher$().init___Lamf_client_convert_DeclarationsConverter(this)
    }
  };
  ArrayNodeMatcher__Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ArrayNodeMatcher$module$1 === null)) {
      this.ArrayNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ArrayNodeMatcher$module$1
  };
  DataNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().DataNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$DataNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  ScalarNodeMatcher__Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ScalarNodeMatcher$module$1 === null)) {
      this.ScalarNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ScalarNodeMatcher$module$1
  };
  DomainElementMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher$module$1 = new $c_Lamf_client_convert_DomainElementConverter$DomainElementMatcher$().init___Lamf_client_convert_DomainElementConverter(this)
    }
  };
  GraphDomainConverter__Lamf_client_convert_GraphDomainConverter$GraphDomainConverter$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().GraphDomainConverter$module$1 === null)) {
      this.GraphDomainConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().GraphDomainConverter$module$1
  };
  ValidationReportMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ValidationReportMatcher$module$1 = new $c_Lamf_client_convert_ValidationConverter$ValidationReportMatcher$().init___Lamf_client_convert_ValidationConverter(this)
    }
  };
  DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher$module$1 === null)) {
      this.DomainElementMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().DomainElementMatcher$module$1
  };
  VariableValueMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().VariableValueMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().VariableValueMatcher$module$1 = new $c_Lamf_client_convert_VariableValueConverter$VariableValueMatcher$().init___Lamf_client_convert_VariableValueConverter(this)
    }
  };
  IntFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().IntFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().IntFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$IntFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  CustomDomainPropertyMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().CustomDomainPropertyMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().CustomDomainPropertyMatcher$module$1 = new $c_Lamf_client_convert_CustomDomainPropertyConverter$CustomDomainPropertyMatcher$().init___Lamf_client_convert_CustomDomainPropertyConverter(this)
    }
  };
  ResourceLoaderMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ResourceLoaderMatcher$module$1 = new $c_Lamf_client_convert_ResourceLoaderConverter$ResourceLoaderMatcher$().init___Lamf_client_convert_ResourceLoaderConverter(this)
    }
  };
  ValidationResultMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ValidationResultMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().ValidationResultMatcher$module$1 = new $c_Lamf_client_convert_ValidationConverter$ValidationResultMatcher$().init___Lamf_client_convert_ValidationConverter(this)
    }
  };
  PropertyShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_CoreClientConverters$().PropertyShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_CoreClientConverters$().PropertyShapeMatcher$module$1 = new $c_Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$().init___Lamf_client_convert_PropertyShapeConverter(this)
    }
  };
  PropertyShapeMatcher__Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().PropertyShapeMatcher$module$1 === null)) {
      this.PropertyShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().PropertyShapeMatcher$module$1
  };
  ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$() {
    if (($m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher$module$1 === null)) {
      this.ShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_CoreClientConverters$().ShapeMatcher$module$1
  };
}
const $d_Lamf_client_convert_CoreClientConverters$ = new $TypeData().initClass({
  Lamf_client_convert_CoreClientConverters$: 0
}, false, "amf.client.convert.CoreClientConverters$", {
  Lamf_client_convert_CoreClientConverters$: 1,
  O: 1,
  Lamf_client_convert_CoreBaseConverter: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_convert_CollectionConverter: 1,
  Lamf_client_convert_FutureConverter: 1,
  Lamf_client_convert_FieldConverter: 1,
  Lamf_client_convert_HandlerConverter: 1,
  Lamf_client_convert_CustomDomainPropertyConverter: 1,
  Lamf_client_convert_ShapeConverter: 1,
  Lamf_client_convert_PropertyShapeConverter: 1,
  Lamf_client_convert_DataNodeConverter: 1,
  Lamf_client_convert_DomainExtensionConverter: 1,
  Lamf_client_convert_DeclarationsConverter: 1,
  Lamf_client_convert_VariableValueConverter: 1,
  Lamf_client_convert_ValidationConverter: 1,
  Lamf_client_convert_DomainElementConverter: 1,
  Lamf_client_convert_BaseUnitConverter: 1,
  Lamf_client_convert_ResourceLoaderConverter: 1,
  Lamf_client_convert_GraphDomainConverter: 1,
  Lamf_client_convert_CoreBaseClientConverter: 1
});
$c_Lamf_client_convert_CoreClientConverters$.prototype.$classData = $d_Lamf_client_convert_CoreClientConverters$;
let $n_Lamf_client_convert_CoreClientConverters$ = (void 0);
const $m_Lamf_client_convert_CoreClientConverters$ = (function() {
  if ((!$n_Lamf_client_convert_CoreClientConverters$)) {
    $n_Lamf_client_convert_CoreClientConverters$ = new $c_Lamf_client_convert_CoreClientConverters$().init___()
  };
  return $n_Lamf_client_convert_CoreClientConverters$
});
class $c_sc_MapLike$DefaultValuesIterable extends $c_sc_AbstractIterable {
  constructor() {
    super();
    this.$$outer$3 = null
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$3.valuesIterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  size__I() {
    return this.$$outer$3.size__I()
  };
  iterator__sc_Iterator() {
    return this.$$outer$3.valuesIterator__sc_Iterator()
  };
  init___sc_MapLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    return this
  };
}
const $d_sc_MapLike$DefaultValuesIterable = new $TypeData().initClass({
  sc_MapLike$DefaultValuesIterable: 0
}, false, "scala.collection.MapLike$DefaultValuesIterable", {
  sc_MapLike$DefaultValuesIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_MapLike$DefaultValuesIterable.prototype.$classData = $d_sc_MapLike$DefaultValuesIterable;
const $is_sc_Seq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Seq)))
});
const $isArrayOf_sc_Seq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Seq)))
});
class $c_scm_ArrayOps$ofBoolean extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofBoolean$().equals$extension__AZ__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofBoolean().init___AZ($$this)
  };
  init___AZ(repr) {
    this.repr$1 = repr;
    return this
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofBoolean().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofBoolean = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofBoolean)))
});
const $isArrayOf_scm_ArrayOps$ofBoolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofBoolean)))
});
const $d_scm_ArrayOps$ofBoolean = new $TypeData().initClass({
  scm_ArrayOps$ofBoolean: 0
}, false, "scala.collection.mutable.ArrayOps$ofBoolean", {
  scm_ArrayOps$ofBoolean: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofBoolean.prototype.$classData = $d_scm_ArrayOps$ofBoolean;
class $c_scm_ArrayOps$ofByte extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofByte$().equals$extension__AB__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofByte().init___AB($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  init___AB(repr) {
    this.repr$1 = repr;
    return this
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofByte().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofByte = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofByte)))
});
const $isArrayOf_scm_ArrayOps$ofByte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofByte)))
});
const $d_scm_ArrayOps$ofByte = new $TypeData().initClass({
  scm_ArrayOps$ofByte: 0
}, false, "scala.collection.mutable.ArrayOps$ofByte", {
  scm_ArrayOps$ofByte: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofByte.prototype.$classData = $d_scm_ArrayOps$ofByte;
class $c_scm_ArrayOps$ofChar extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    const c = $$this.u[idx];
    return new $c_jl_Character().init___C(c)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofChar$().equals$extension__AC__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  init___AC(repr) {
    this.repr$1 = repr;
    return this
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofChar().init___AC($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const arg1 = this.apply__I__O(i);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofChar().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofChar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofChar)))
});
const $isArrayOf_scm_ArrayOps$ofChar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofChar)))
});
const $d_scm_ArrayOps$ofChar = new $TypeData().initClass({
  scm_ArrayOps$ofChar: 0
}, false, "scala.collection.mutable.ArrayOps$ofChar", {
  scm_ArrayOps$ofChar: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofChar.prototype.$classData = $d_scm_ArrayOps$ofChar;
class $c_scm_ArrayOps$ofDouble extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofDouble$().equals$extension__AD__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  init___AD(repr) {
    this.repr$1 = repr;
    return this
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofDouble().init___AD($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofDouble().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofDouble = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofDouble)))
});
const $isArrayOf_scm_ArrayOps$ofDouble = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofDouble)))
});
const $d_scm_ArrayOps$ofDouble = new $TypeData().initClass({
  scm_ArrayOps$ofDouble: 0
}, false, "scala.collection.mutable.ArrayOps$ofDouble", {
  scm_ArrayOps$ofDouble: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofDouble.prototype.$classData = $d_scm_ArrayOps$ofDouble;
class $c_scm_ArrayOps$ofFloat extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofFloat$().equals$extension__AF__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  init___AF(repr) {
    this.repr$1 = repr;
    return this
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofFloat().init___AF($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofFloat().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofFloat = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofFloat)))
});
const $isArrayOf_scm_ArrayOps$ofFloat = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofFloat)))
});
const $d_scm_ArrayOps$ofFloat = new $TypeData().initClass({
  scm_ArrayOps$ofFloat: 0
}, false, "scala.collection.mutable.ArrayOps$ofFloat", {
  scm_ArrayOps$ofFloat: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofFloat.prototype.$classData = $d_scm_ArrayOps$ofFloat;
class $c_scm_ArrayOps$ofInt extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofInt$().equals$extension__AI__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  init___AI(repr) {
    this.repr$1 = repr;
    return this
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofInt().init___AI($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofInt().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofInt)))
});
const $isArrayOf_scm_ArrayOps$ofInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofInt)))
});
const $d_scm_ArrayOps$ofInt = new $TypeData().initClass({
  scm_ArrayOps$ofInt: 0
}, false, "scala.collection.mutable.ArrayOps$ofInt", {
  scm_ArrayOps$ofInt: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofInt.prototype.$classData = $d_scm_ArrayOps$ofInt;
class $c_scm_ArrayOps$ofLong extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  init___AJ(repr) {
    this.repr$1 = repr;
    return this
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofLong$().equals$extension__AJ__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofLong().init___AJ($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const t = $$this$1.u[idx];
      const lo = t.lo$2;
      const hi = t.hi$2;
      b.$$plus$eq__T2__scm_MapBuilder(new $c_sjsr_RuntimeLong().init___I__I(lo, hi));
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofLong().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofLong)))
});
const $isArrayOf_scm_ArrayOps$ofLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofLong)))
});
const $d_scm_ArrayOps$ofLong = new $TypeData().initClass({
  scm_ArrayOps$ofLong: 0
}, false, "scala.collection.mutable.ArrayOps$ofLong", {
  scm_ArrayOps$ofLong: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofLong.prototype.$classData = $d_scm_ArrayOps$ofLong;
class $c_scm_ArrayOps$ofRef extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(index) {
    const $$this = this.repr$1;
    return $$this.u[index]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofRef$().equals$extension__AO__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  init___AO(repr) {
    this.repr$1 = repr;
    return this
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofRef().init___AO($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const index = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[index];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    const $$this = this.repr$1;
    return new $c_scm_ArrayBuilder$ofRef().init___s_reflect_ClassTag($m_s_reflect_ClassTag$().apply__jl_Class__s_reflect_ClassTag($objectGetClass($$this).getComponentType__jl_Class()))
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofRef)))
});
const $isArrayOf_scm_ArrayOps$ofRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofRef)))
});
const $d_scm_ArrayOps$ofRef = new $TypeData().initClass({
  scm_ArrayOps$ofRef: 0
}, false, "scala.collection.mutable.ArrayOps$ofRef", {
  scm_ArrayOps$ofRef: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofRef.prototype.$classData = $d_scm_ArrayOps$ofRef;
class $c_scm_ArrayOps$ofShort extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1;
    return $$this.u[idx]
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  init___AS(repr) {
    this.repr$1 = repr;
    return this
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofShort$().equals$extension__AS__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofShort().init___AS($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = $$this$1.u[idx];
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofShort().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofShort = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofShort)))
});
const $isArrayOf_scm_ArrayOps$ofShort = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofShort)))
});
const $d_scm_ArrayOps$ofShort = new $TypeData().initClass({
  scm_ArrayOps$ofShort: 0
}, false, "scala.collection.mutable.ArrayOps$ofShort", {
  scm_ArrayOps$ofShort: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofShort.prototype.$classData = $d_scm_ArrayOps$ofShort;
class $c_scm_ArrayOps$ofUnit extends $c_O {
  constructor() {
    super();
    this.repr$1 = null
  };
  seq__sc_TraversableOnce() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const $$this = this.repr$1
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  equals__O__Z(x$1) {
    return $m_scm_ArrayOps$ofUnit$().equals$extension__Asr_BoxedUnit__O__Z(this.repr$1, x$1)
  };
  mkString__T__T(sep) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  slice__I__I__O(from, until) {
    return $f_scm_ArrayOps__slice__I__I__O(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, p, false)
  };
  size__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  iterator__sc_Iterator() {
    const $$this = this.repr$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  sizeHintIfCheap__I() {
    const $$this = this.repr$1;
    return $$this.u.length
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_scm_ArrayOps__slice__I__I__O(this, 0, n)
  };
  toStream__sci_Stream() {
    const $$this = this.repr$1;
    const this$2 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $$this.u.length);
    return $f_sc_Iterator__toStream__sci_Stream(this$2)
  };
  drop__I__O(n) {
    const $$this = this.repr$1;
    const until = $$this.u.length;
    return $f_scm_ArrayOps__slice__I__I__O(this, n, until)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  init___Asr_BoxedUnit(repr) {
    this.repr$1 = repr;
    return this
  };
  toTraversable__sc_Traversable() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    const $$this = this.repr$1;
    return new $c_scm_WrappedArray$ofUnit().init___Asr_BoxedUnit($$this)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this.repr$1
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const $$this = this.repr$1;
    const end = $$this.u.length;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ArrayOps__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    const $$this = this.repr$1;
    return $$this.hashCode__I()
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const $$this = this.repr$1;
    const len = $$this.u.length;
    while ((i < len)) {
      const idx = i;
      const $$this$1 = this.repr$1;
      const arg1 = (void 0);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_scm_ArrayOps__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_ArrayBuilder$ofUnit().init___()
  };
  stringPrefix__T() {
    return $f_sc_TraversableLike__stringPrefix__T(this)
  };
}
const $is_scm_ArrayOps$ofUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayOps$ofUnit)))
});
const $isArrayOf_scm_ArrayOps$ofUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayOps$ofUnit)))
});
const $d_scm_ArrayOps$ofUnit = new $TypeData().initClass({
  scm_ArrayOps$ofUnit: 0
}, false, "scala.collection.mutable.ArrayOps$ofUnit", {
  scm_ArrayOps$ofUnit: 1,
  O: 1,
  scm_ArrayOps: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1
});
$c_scm_ArrayOps$ofUnit.prototype.$classData = $d_scm_ArrayOps$ofUnit;
const $f_sc_IterableViewLike$Transformed__isEmpty__Z = (function($thiz) {
  return (!$thiz.iterator__sc_Iterator().hasNext__Z())
});
const $is_sc_Map = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Map)))
});
const $isArrayOf_sc_Map = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Map)))
});
const $is_sc_Set = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Set)))
});
const $isArrayOf_sc_Set = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Set)))
});
class $c_scm_AbstractIterable extends $c_sc_AbstractIterable {
}
const $f_scm_BufferLike__clone__scm_Buffer = (function($thiz) {
  const bf = $thiz.newBuilder__scm_Builder();
  bf.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($thiz);
  return bf.result__O()
});
const $f_scm_BufferLike__$$minus$eq__O__scm_Buffer = (function($thiz, x) {
  const i = $thiz.indexOf__O__I(x);
  if ((i !== (-1))) {
    $thiz.remove__I__O(i)
  };
  return $thiz
});
const $is_scm_BufferLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_BufferLike)))
});
const $isArrayOf_scm_BufferLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_BufferLike)))
});
class $c_scm_HashMap$$anon$2 extends $c_sc_MapLike$DefaultValuesIterable {
  constructor() {
    super();
    this.$$outer$4 = null
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$4;
    const iterTable = this$1.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const this$2 = es;
      const next = this$2.next$1;
      const arg1 = es;
      const e = arg1;
      f.apply__O__O(e.value$1);
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    }
  };
  init___scm_HashMap($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    $c_sc_MapLike$DefaultValuesIterable.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$2 = new $TypeData().initClass({
  scm_HashMap$$anon$2: 0
}, false, "scala.collection.mutable.HashMap$$anon$2", {
  scm_HashMap$$anon$2: 1,
  sc_MapLike$DefaultValuesIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap$$anon$2.prototype.$classData = $d_scm_HashMap$$anon$2;
const $is_sjs_js_ArrayOps = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_ArrayOps)))
});
const $isArrayOf_sjs_js_ArrayOps = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_ArrayOps)))
});
const $f_sc_DefaultMap__$$plus__T2__sc_Map = (function($thiz, kv) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, $thiz);
  const elem = new $c_T2().init___O__O(kv.$$und1__O(), kv.$$und2__O());
  b.$$plus$eq__T2__scm_MapBuilder(elem);
  return b.elems$1
});
const $f_sc_DefaultMap__$$minus__O__sc_Map = (function($thiz, key) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($thiz.empty__sc_Map());
  const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return (!$m_sr_BoxesRunTime$().equals__O__O__Z(key$1, x$1.$$und1__O()))
    })
  })($thiz, key));
  const xs = $f_sc_TraversableLike__filterImpl__F1__Z__O($thiz, p, false);
  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, xs);
  return b.elems$1
});
const $is_sc_IndexedSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeq)))
});
const $isArrayOf_sc_IndexedSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeq)))
});
const $f_sc_IterableViewLike$Zipped__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$Zipped$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const that = $thiz.other__sc_GenIterable().iterator__sc_Iterator();
  return new $c_sc_Iterator$$anon$18().init___sc_Iterator__sc_Iterator(this$1, that)
});
const $is_sc_LinearSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeq)))
});
const $isArrayOf_sc_LinearSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeq)))
});
const $f_scm_MapLike__put__O__O__s_Option = (function($thiz, key, value) {
  const r = $thiz.get__O__s_Option(key);
  $thiz.update__O__O__V(key, value);
  return r
});
const $f_scm_MapLike__remove__O__s_Option = (function($thiz, key) {
  const r = $thiz.get__O__s_Option(key);
  $thiz.$$minus$eq__O__scm_MapLike(key);
  return r
});
const $f_scm_MapLike__update__O__O__V = (function($thiz, key, value) {
  $thiz.$$plus$eq__T2__scm_MapLike(new $c_T2().init___O__O(key, value))
});
const $f_scm_MapLike__updated__O__O__scm_Map = (function($thiz, key, value) {
  return $thiz.$$plus__T2__scm_Map(new $c_T2().init___O__O(key, value))
});
const $f_scm_MapLike__getOrElseUpdate__O__F0__O = (function($thiz, key, op) {
  const x1 = $thiz.get__O__s_Option(key);
  if ($is_s_Some(x1)) {
    const x2 = x1;
    const v = x2.value$2;
    return v
  } else {
    const x = $m_s_None$();
    if ((x === x1)) {
      const d = op.apply__O();
      $thiz.update__O__O__V(key, d);
      return d
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
});
const $f_scm_MapLike__toSeq__sc_Seq = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$1$2) {
      const x$1 = x$1$2;
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$1)
    })
  })($thiz, result)));
  return result
});
const $f_scm_MapLike__clear__V = (function($thiz) {
  const this$1 = $thiz.keysIterator__sc_Iterator();
  while (this$1.hasNext__Z()) {
    const arg1 = this$1.next__O();
    $thiz.$$minus$eq__O__scm_MapLike(arg1)
  }
});
const $is_scm_MapLike = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_MapLike)))
});
const $isArrayOf_scm_MapLike = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_MapLike)))
});
const $f_scm_SetLike__toSeq__sc_Seq = (function($thiz) {
  const result = new $c_scm_ArrayBuffer().init___I($thiz.size__I());
  $thiz.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
    return (function(x$1$2) {
      return result$1.$$plus$eq__O__scm_ArrayBuffer(x$1$2)
    })
  })($thiz, result)));
  return result
});
const $f_sc_IterableViewLike$Appended__iterator__sc_Iterator = (function($thiz) {
  return $thiz.scala$collection$IterableViewLike$Appended$$$outer__sc_IterableViewLike().iterator__sc_Iterator().$$plus$plus__F0__sc_Iterator(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $this.rest__sc_GenTraversable()
    })
  })($thiz)))
});
const $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const p = $thiz.pred__F1();
  return new $c_sc_Iterator$$anon$17().init___sc_Iterator__F1(this$1, p)
});
const $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const p = $thiz.pred__F1();
  return new $c_sc_Iterator$$anon$12().init___sc_Iterator__F1(this$1, p)
});
const $f_sc_IterableViewLike$FlatMapped__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$FlatMapped$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const f = $thiz.mapping__F1();
  return new $c_sc_Iterator$$anon$11().init___sc_Iterator__F1(this$1, f)
});
const $f_sc_IterableViewLike$Mapped__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$Mapped$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const f = $thiz.mapping__F1();
  return new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$1, f)
});
const $f_sc_IterableViewLike$Prepended__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.fst__sc_GenTraversable();
  return this$1.iterator__sc_Iterator().$$plus$plus__F0__sc_Iterator(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $this.scala$collection$IterableViewLike$Prepended$$$outer__sc_IterableViewLike()
    })
  })($thiz)))
});
const $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator = (function($thiz) {
  const this$1 = $thiz.scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike().iterator__sc_Iterator();
  const p = $thiz.pred__F1();
  return new $c_sc_Iterator$$anon$15().init___sc_Iterator__F1(this$1, p)
});
class $c_sc_AbstractSeq extends $c_sc_AbstractIterable {
  indexOf__O__I__I(elem, from) {
    return $f_sc_GenSeqLike__indexOf__O__I__I(this, elem, from)
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  isEmpty__Z() {
    return $f_sc_SeqLike__isEmpty__Z(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqLike__sorted__s_math_Ordering__O(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  size__I() {
    return this.length__I()
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  distinct__O() {
    return $f_sc_SeqLike__distinct__O(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqLike__sortBy__F1__s_math_Ordering__O(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this.thisCollection__sc_Seq()
  };
  indexOf__O__I(elem) {
    return this.indexOf__O__I__I(elem, 0)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this.seq__sc_Seq())
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
}
class $c_sc_AbstractMap extends $c_sc_AbstractIterable {
  seq__sc_TraversableOnce() {
    return this.seq__sc_Map()
  };
  repr__scg_Subtractable() {
    return this
  };
  apply__O__O(key) {
    return $f_sc_MapLike__apply__O__O(this, key)
  };
  seq__sc_Iterable() {
    return this.seq__sc_Map()
  };
  isEmpty__Z() {
    return $f_sc_MapLike__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  equals__O__Z(that) {
    return $f_sc_GenMapLike__equals__O__Z(this, that)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  keysIterator__sc_Iterator() {
    return new $c_sc_MapLike$$anon$1().init___sc_MapLike(this)
  };
  empty__sc_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  toBuffer__scm_Buffer() {
    return $f_sc_MapLike__toBuffer__scm_Buffer(this)
  };
  seq__sc_Map() {
    return this
  };
  values__sc_Iterable() {
    return new $c_sc_MapLike$DefaultValuesIterable().init___sc_MapLike(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
  valuesIterator__sc_Iterator() {
    return new $c_sc_MapLike$$anon$2().init___sc_MapLike(this)
  };
  $default__O__O(key) {
    return $f_sc_MapLike__$default__O__O(this, key)
  };
  contains__O__Z(key) {
    return $f_sc_MapLike__contains__O__Z(this, key)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_MapLike__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toSeq__sc_Seq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  isDefinedAt__O__Z(key) {
    return this.contains__O__Z(key)
  };
  keySet__sc_Set() {
    return new $c_sc_MapLike$DefaultKeySet().init___sc_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return this.toSeq__sc_Seq()
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const xs = this.seq__sc_Map();
    return this$1.unorderedHash__sc_TraversableOnce__I__I(xs, this$1.mapSeed$2)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_sc_MapLike__applyOrElse__O__F1__O(this, x, $default)
  };
  keys__sc_Iterable() {
    return this.keySet__sc_Set()
  };
  newBuilder__scm_Builder() {
    return new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_Map())
  };
  stringPrefix__T() {
    return "Map"
  };
}
class $c_sc_AbstractSet extends $c_sc_AbstractIterable {
  seq__sc_TraversableOnce() {
    return this.seq__sc_Set()
  };
  repr__scg_Subtractable() {
    return this
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  seq__sc_Iterable() {
    return this.seq__sc_Set()
  };
  isEmpty__Z() {
    return $f_sc_SetLike__isEmpty__Z(this)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  equals__O__Z(that) {
    return $f_sc_GenSetLike__equals__O__Z(this, that)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Set$()
  };
  subsetOf__sc_GenSet__Z(that) {
    return this.forall__F1__Z(that)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_SetLike__toBuffer__scm_Buffer(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return this.contains__O__Z(v1)
  };
  empty__sc_Set() {
    return this.empty__sc_GenSet()
  };
  seq__sc_Set() {
    return this
  };
  toSeq__sc_Seq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  diff__sc_GenSet__sc_Set(that) {
    return $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable(this, that)
  };
  empty__sc_GenSet() {
    return this.companion__scg_GenericCompanion().empty__sc_GenTraversable()
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const xs = this.seq__sc_Set();
    return this$1.unorderedHash__sc_TraversableOnce__I__I(xs, this$1.setSeed$2)
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  intersect__sc_GenSet__O(that) {
    return this.filter__F1__O(that)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    return $f_sc_SetLike__$$plus$plus__sc_GenTraversableOnce__sc_Set(this, elems)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_SetBuilder().init___sc_Set(this.empty__sc_Set())
  };
  stringPrefix__T() {
    return "Set"
  };
  union__sc_GenSet__sc_Set(that) {
    return this.$$plus$plus__sc_GenTraversableOnce__sc_Set(that)
  };
}
const $is_sci_Set = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Set)))
});
const $isArrayOf_sci_Set = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Set)))
});
const $f_sc_SeqViewLike__distinct__sc_SeqView = (function($thiz) {
  return $thiz.newForced__F0__sc_SeqViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $f_sc_ViewMkString__thisSeq__sc_Seq($this).distinct__O()
    })
  })($thiz)))
});
const $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  $m_sc_Iterator$();
  const xs = new $c_sc_Iterator$$anon$3().init___O(elem);
  return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O($thiz, xs, bf)
});
const $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView = (function($thiz, f, ord) {
  return $thiz.newForced__F0__sc_SeqViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1, ord$1) {
    return (function() {
      return $f_sc_ViewMkString__thisSeq__sc_Seq($this).sortBy__F1__s_math_Ordering__O(f$1, ord$1)
    })
  })($thiz, f, ord)))
});
const $f_sc_SeqViewLike__$$plus$colon__O__scg_CanBuildFrom__O = (function($thiz, elem, bf) {
  const this$1 = $m_sci_Nil$();
  return $thiz.newPrepended__sc_GenTraversable__sc_SeqViewLike$Transformed(new $c_sci_$colon$colon().init___O__sci_List(elem, this$1))
});
const $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView = (function($thiz, ord) {
  return $thiz.newForced__F0__sc_SeqViewLike$Transformed(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, ord$1) {
    return (function() {
      return $f_sc_ViewMkString__thisSeq__sc_Seq($this).sorted__s_math_Ordering__O(ord$1)
    })
  })($thiz, ord)))
});
const $f_sc_SeqViewLike__newDropped__I__sc_SeqViewLike$Transformed = (function($thiz, n) {
  return $thiz.newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed($m_scg_SliceInterval$().apply__I__I__scg_SliceInterval(n, 2147483647))
});
const $is_sci_Map = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Map)))
});
const $isArrayOf_sci_Map = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Map)))
});
class $c_sc_MapLike$FilteredKeys extends $c_sc_AbstractMap {
  constructor() {
    super();
    this.p$4 = null;
    this.$$outer$4 = null
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sc_Map(elem)
  };
  $$plus__T2__sc_Map(kv) {
    return $f_sc_DefaultMap__$$plus__T2__sc_Map(this, kv)
  };
  foreach__F1__V(f) {
    this.$$outer$4.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, f$1) {
      return (function(kv$2) {
        const kv = kv$2;
        return ((!(!$this.p$4.apply__O__O(kv.$$und1__O()))) ? f$1.apply__O__O(kv) : (void 0))
      })
    })(this, f)))
  };
  $$minus__O__sc_Map(key) {
    return $f_sc_DefaultMap__$$minus__O__sc_Map(this, key)
  };
  init___sc_MapLike__F1($$outer, p) {
    this.p$4 = p;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    return this
  };
  iterator__sc_Iterator() {
    const this$1 = this.$$outer$4.iterator__sc_Iterator();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(kv$2) {
        const kv = kv$2;
        return (!(!$this.p$4.apply__O__O(kv.$$und1__O())))
      })
    })(this));
    return new $c_sc_Iterator$$anon$12().init___sc_Iterator__F1(this$1, p)
  };
  get__O__s_Option(key) {
    return ((!(!(!this.p$4.apply__O__O(key)))) ? $m_s_None$() : this.$$outer$4.get__O__s_Option(key))
  };
  contains__O__Z(key) {
    return ((!(!this.p$4.apply__O__O(key))) && this.$$outer$4.contains__O__Z(key))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sc_Map(kv)
  };
}
const $d_sc_MapLike$FilteredKeys = new $TypeData().initClass({
  sc_MapLike$FilteredKeys: 0
}, false, "scala.collection.MapLike$FilteredKeys", {
  sc_MapLike$FilteredKeys: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sc_DefaultMap: 1
});
$c_sc_MapLike$FilteredKeys.prototype.$classData = $d_sc_MapLike$FilteredKeys;
class $c_sc_MapLike$MappedValues extends $c_sc_AbstractMap {
  constructor() {
    super();
    this.f$4 = null;
    this.$$outer$4 = null
  };
  foreach__F1__V(g) {
    const this$1 = this.$$outer$4;
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$1$2) {
        const check$ifrefutable$1 = check$ifrefutable$1$2;
        return (check$ifrefutable$1 !== null)
      })
    })(this));
    new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1(this$1, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, g$1) {
      return (function(x$1$2) {
        const x$1 = x$1$2;
        if ((x$1 !== null)) {
          const k = x$1.$$und1__O();
          const v = x$1.$$und2__O();
          return g$1.apply__O__O(new $c_T2().init___O__O(k, this$2.f$4.apply__O__O(v)))
        } else {
          throw new $c_s_MatchError().init___O(x$1)
        }
      })
    })(this, g)))
  };
  init___sc_MapLike__F1($$outer, f) {
    this.f$4 = f;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    return this
  };
  size__I() {
    return this.$$outer$4.size__I()
  };
  iterator__sc_Iterator() {
    const this$1 = this.$$outer$4.iterator__sc_Iterator();
    const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(check$ifrefutable$2$2) {
        const check$ifrefutable$2 = check$ifrefutable$2$2;
        return (check$ifrefutable$2 !== null)
      })
    })(this));
    const this$3 = new $c_sc_Iterator$$anon$12().init___sc_Iterator__F1(this$1, p);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2) {
      return (function(x$2$2) {
        const x$2 = x$2$2;
        if ((x$2 !== null)) {
          const k = x$2.$$und1__O();
          const v = x$2.$$und2__O();
          return new $c_T2().init___O__O(k, this$2.f$4.apply__O__O(v))
        } else {
          throw new $c_s_MatchError().init___O(x$2)
        }
      })
    })(this));
    return new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$3, f)
  };
  get__O__s_Option(key) {
    const this$1 = this.$$outer$4.get__O__s_Option(key);
    const f = this.f$4;
    return (this$1.isEmpty__Z() ? $m_s_None$() : new $c_s_Some().init___O(f.apply__O__O(this$1.get__O())))
  };
  contains__O__Z(key) {
    return this.$$outer$4.contains__O__Z(key)
  };
}
const $is_sc_SeqView = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_SeqView)))
});
const $isArrayOf_sc_SeqView = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_SeqView)))
});
const $f_sci_DefaultMap__$$plus__T2__sci_Map = (function($thiz, kv) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(b, $thiz);
  const elem = new $c_T2().init___O__O(kv.$$und1__O(), kv.$$und2__O());
  b.$$plus$eq__T2__scm_MapBuilder(elem);
  return b.elems$1
});
const $f_sci_DefaultMap__$$minus__O__sci_Map = (function($thiz, key) {
  const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
  const p = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, key$1) {
    return (function(kv$2) {
      const kv = kv$2;
      return (!$m_sr_BoxesRunTime$().equals__O__O__Z(kv.$$und1__O(), key$1))
    })
  })($thiz, key));
  new $c_sc_TraversableLike$WithFilter().init___sc_TraversableLike__F1($thiz, p).foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, b$1) {
    return (function(kv$3$2) {
      const kv$3 = kv$3$2;
      return b$1.$$plus$eq__O__scm_Builder(kv$3)
    })
  })($thiz, b)));
  return b.elems$1
});
const $is_sci_IndexedSeq = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_IndexedSeq)))
});
const $isArrayOf_sci_IndexedSeq = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_IndexedSeq)))
});
class $c_sc_Map$WithDefault extends $c_sc_AbstractMap {
  constructor() {
    super();
    this.underlying$4 = null;
    this.d$4 = null
  };
  init___sc_Map__F1(underlying, d) {
    this.underlying$4 = underlying;
    this.d$4 = d;
    return this
  };
  iterator__sc_Iterator() {
    return this.underlying$4.iterator__sc_Iterator()
  };
  size__I() {
    return this.underlying$4.size__I()
  };
  $default__O__O(key) {
    return this.d$4.apply__O__O(key)
  };
  get__O__s_Option(key) {
    return this.underlying$4.get__O__s_Option(key)
  };
}
class $c_sc_MapLike$DefaultKeySet extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.$$outer$4 = null
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sc_Set(elem)
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$4.keysIterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  size__I() {
    return this.$$outer$4.size__I()
  };
  iterator__sc_Iterator() {
    return this.$$outer$4.keysIterator__sc_Iterator()
  };
  $$minus__O__sc_Set(elem) {
    return $m_sc_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$minus__O__sc_Set(elem)
  };
  init___sc_MapLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$4 = $$outer
    };
    return this
  };
  contains__O__Z(key) {
    return this.$$outer$4.contains__O__Z(key)
  };
  $$plus__O__sc_Set(elem) {
    return $m_sc_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$plus__O__sc_Set(elem)
  };
}
const $d_sc_MapLike$DefaultKeySet = new $TypeData().initClass({
  sc_MapLike$DefaultKeySet: 0
}, false, "scala.collection.MapLike$DefaultKeySet", {
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_MapLike$DefaultKeySet.prototype.$classData = $d_sc_MapLike$DefaultKeySet;
class $c_sc_SeqLike$$anon$2 extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sc_SeqViewLike$$anon$7().init___sc_SeqViewLike__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  apply__I__O(idx) {
    return this.$$outer$1.apply__I__O(idx)
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, asTraversable)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_SeqLike__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Seq$()
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  viewIdString__T() {
    return ""
  };
  newPrepended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$3().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__I__O(v1)))
  };
  iterator__sc_Iterator() {
    return this.$$outer$1.iterator__sc_Iterator()
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableViewLike__span__F1__T2(this, p)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  length__I() {
    return this.$$outer$1.length__I()
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$9().init___sc_SeqViewLike__F1(this, p)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  drop__I__O(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this
  };
  filter__F1__sc_TraversableView(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$6().init___sc_SeqViewLike__F1(this, p)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const this$2 = this.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_SeqLike__segmentLength__F1__I__I(this, p, from)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  init___sc_SeqLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$8().init___sc_SeqViewLike__F1(this, p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  stringPrefix__T() {
    return "SeqView"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
}
const $d_sc_SeqLike$$anon$2 = new $TypeData().initClass({
  sc_SeqLike$$anon$2: 0
}, false, "scala.collection.SeqLike$$anon$2", {
  sc_SeqLike$$anon$2: 1,
  O: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1
});
$c_sc_SeqLike$$anon$2.prototype.$classData = $d_sc_SeqLike$$anon$2;
class $c_scm_HashMap$$anon$1 extends $c_sc_MapLike$DefaultKeySet {
  constructor() {
    super();
    this.$$outer$5 = null
  };
  foreach__F1__V(f) {
    const this$1 = this.$$outer$5;
    const iterTable = this$1.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this$1);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const this$2 = es;
      const next = this$2.next$1;
      const arg1 = es;
      const e = arg1;
      f.apply__O__O(e.key$1);
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    }
  };
  init___scm_HashMap($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$5 = $$outer
    };
    $c_sc_MapLike$DefaultKeySet.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
}
const $d_scm_HashMap$$anon$1 = new $TypeData().initClass({
  scm_HashMap$$anon$1: 0
}, false, "scala.collection.mutable.HashMap$$anon$1", {
  scm_HashMap$$anon$1: 1,
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap$$anon$1.prototype.$classData = $d_scm_HashMap$$anon$1;
class $c_sci_AbstractMap extends $c_sc_AbstractMap {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Iterable$()
  };
  empty__sc_Map() {
    return this.empty__sci_Map()
  };
  empty__sci_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  seq__sc_Map() {
    return this
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this, xs)
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
}
class $c_sci_Stream$$anon$1 extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sci_StreamViewLike$$anon$7().init___sci_StreamViewLike__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  apply__I__O(idx) {
    const this$1 = this.$$outer$1;
    return $f_sc_LinearSeqOptimized__apply__I__O(this$1, idx)
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, asTraversable)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_SeqLike__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Seq$()
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  viewIdString__T() {
    return ""
  };
  newPrepended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$3().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  init___sci_Stream($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  filter__F1__O(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__I__O(v1)))
  };
  iterator__sc_Iterator() {
    const this$1 = this.$$outer$1;
    return new $c_sci_StreamIterator().init___sci_Stream(this$1)
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableViewLike__span__F1__T2(this, p)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$2().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  length__I() {
    return this.$$outer$1.length__I()
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$9().init___sci_StreamViewLike__F1(this, p)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  drop__I__O(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this
  };
  filter__F1__sc_TraversableView(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$6().init___sci_StreamViewLike__F1(this, p)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    const this$2 = this.iterator__sc_Iterator();
    while (this$2.hasNext__Z()) {
      const arg1 = this$2.next__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_SeqLike__segmentLength__F1__I__I(this, p, from)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$8().init___sci_StreamViewLike__F1(this, p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  stringPrefix__T() {
    return "StreamView"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sci_StreamViewLike$$anon$10().init___sci_StreamViewLike__sc_GenIterable(this, that)
  };
}
const $d_sci_Stream$$anon$1 = new $TypeData().initClass({
  sci_Stream$$anon$1: 0
}, false, "scala.collection.immutable.Stream$$anon$1", {
  sci_Stream$$anon$1: 1,
  O: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1
});
$c_sci_Stream$$anon$1.prototype.$classData = $d_sci_Stream$$anon$1;
class $c_sc_SeqViewLike$AbstractTransformed extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this.seq__sc_Seq()
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sc_SeqViewLike$$anon$7().init___sc_SeqViewLike__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return this.iterator__sc_Iterator().next__O()
  };
  lengthCompare__I__I(len) {
    return $f_sc_SeqLike__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IterableLike__sameElements__sc_GenIterable__Z(this, that)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return this.newFlatMapped__F1__sc_TraversableViewLike$Transformed(asTraversable)
  };
  exists__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__exists__F1__Z(this$1, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IterableViewLike$Transformed__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this.seq__sc_Seq()
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this.thisCollection__sc_Seq()
  };
  init___sc_SeqViewLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return this.newFlatMapped__F1__sc_TraversableViewLike$Transformed(f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  newDroppedWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$8().init___sc_SeqViewLike__F1(this, p)
  };
  forall__F1__Z(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__forall__F1__Z(this$1, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  companion__scg_GenericCompanion() {
    return $m_sc_Seq$()
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  newFiltered__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$6().init___sc_SeqViewLike__F1(this, p)
  };
  foreach__F1__V(f) {
    const this$1 = this.iterator__sc_Iterator();
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_TraversableOnce__foldLeft__O__F2__O(this, z, op)
  };
  viewIdString__T() {
    return $f_sc_TraversableViewLike$Transformed__viewIdString__T(this)
  };
  newPrepended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$3().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_SeqLike__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableViewLike$Transformed__headOption__s_Option(this)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return this.filter__F1__sc_TraversableView(p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    const this$1 = $m_scm_ArrayBuffer$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  newFlatMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return this.newFlatMapped__F1__sc_SeqViewLike$Transformed(f)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__O__O(v1)))
  };
  newTakenWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sc_SeqViewLike$$anon$9().init___sc_SeqViewLike__F1(this, p)
  };
  find__F1__s_Option(p) {
    const this$1 = this.iterator__sc_Iterator();
    return $f_sc_Iterator__find__F1__s_Option(this$1, p)
  };
  span__F1__T2(p) {
    return $f_sc_TraversableViewLike__span__F1__T2(this, p)
  };
  newMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return this.newAppended__sc_GenTraversable__sc_SeqViewLike$Transformed(that)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  seq__sc_Seq() {
    return this
  };
  newZipped__sc_GenIterable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
  sizeHintIfCheap__I() {
    return (-1)
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return this.newTakenWhile__F1__sc_SeqViewLike$Transformed(p)
  };
  drop__I__sc_IterableView(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_sc_SeqLike$$anon$2().init___sc_SeqLike(this)
  };
  drop__I__O(n) {
    return this.drop__I__sc_IterableView(n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return this.newMapped__F1__sc_SeqViewLike$Transformed(f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  tail__O() {
    return this.tail__sc_TraversableView()
  };
  thisCollection__sc_Seq() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  toTraversable__sc_Traversable() {
    return this.thisCollection__sc_Traversable()
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this.thisCollection__sc_Seq()
  };
  filter__F1__sc_TraversableView(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    return this.foldLeft__O__F2__O(z, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that) {
    return this.newZipped__sc_GenIterable__sc_SeqViewLike$Transformed(that)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IterableLike__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this.thisCollection__sc_Seq()
  };
  isTraversableAgain__Z() {
    return true
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this.seq__sc_Seq())
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return this.newFiltered__F1__sc_SeqViewLike$Transformed(p)
  };
  newAppended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, ev$1, b$1) {
      return (function(x$2) {
        return b$1.$$plus$eq__O__scm_Builder(x$2)
      })
    })(this, ev, b)));
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return this.newMapped__F1__sc_TraversableViewLike$Transformed(f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_SeqLike__segmentLength__F1__I__I(this, p, from)
  };
  newFlatMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return this.newDroppedWhile__F1__sc_SeqViewLike$Transformed(p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_TraversableOnce__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return this.newForced__F0__sc_SeqViewLike$Transformed(xs)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  stringPrefix__T() {
    return "SeqView"
  };
  tail__sc_TraversableView() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return this.newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that)
  };
}
const $f_sc_SeqViewLike$Zipped__length__I = (function($thiz) {
  return (($thiz.thatSeq__sc_Seq().lengthCompare__I__I($thiz.scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike().length__I()) <= 0) ? $thiz.thatSeq__sc_Seq().length__I() : $thiz.scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike().length__I())
});
const $f_sc_SeqViewLike$Zipped__thatSeq__sc_Seq = (function($thiz) {
  return $thiz.other__sc_GenIterable().seq__sc_Iterable().toSeq__sc_Seq()
});
const $f_sc_SeqViewLike$Zipped__apply__I__T2 = (function($thiz, idx) {
  return new $c_T2().init___O__O($thiz.scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike().apply__I__O(idx), $thiz.thatSeq__sc_Seq().apply__I__O(idx))
});
class $c_sci_ListSet extends $c_sc_AbstractSet {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  next__sci_ListSet() {
    throw new $c_ju_NoSuchElementException().init___T("next of empty set")
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_ListSet(elem)
  };
  isEmpty__Z() {
    return true
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__O__sci_ListSet(elem) {
    return new $c_sci_ListSet$Node().init___sci_ListSet__O(this, elem)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_ListSet$()
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    const this$1 = this.reverseList$1__p4__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1)
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_ListSet(elem)
  };
  empty__sc_Set() {
    return $m_sci_ListSet$EmptyListSet$()
  };
  reverseList$1__p4__sci_List() {
    let curr = this;
    let res = $m_sci_Nil$();
    while ((!curr.isEmpty__Z())) {
      const x$4 = curr.elem__O();
      const this$1 = res;
      res = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
      curr = curr.next__sci_ListSet()
    };
    return res
  };
  seq__sc_Set() {
    return this
  };
  elem__O() {
    throw new $c_ju_NoSuchElementException().init___T("elem of empty set")
  };
  contains__O__Z(elem) {
    return false
  };
  $$plus$plus__sc_GenTraversableOnce__sci_ListSet(xs) {
    return (xs.isEmpty__Z() ? this : xs.$$div$colon__O__F2__O(this, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x$2$2, x$3$2) {
        const x$2 = x$2$2;
        return x$2.$$plus__O__sci_ListSet(x$3$2)
      })
    })(this))))
  };
  toSet__sci_Set() {
    return this
  };
  $$minus__O__sci_ListSet(elem) {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_ListSet(elem)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    return this.$$plus$plus__sc_GenTraversableOnce__sci_ListSet(elems)
  };
  stringPrefix__T() {
    return "ListSet"
  };
}
const $is_sci_ListSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListSet)))
});
const $isArrayOf_sci_ListSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListSet)))
});
class $c_sci_Set$EmptySet$ extends $c_sc_AbstractSet {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    return this
  };
  apply__O__O(v1) {
    return false
  };
  $$minus__O__scg_Subtractable(elem) {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  $$minus__O__sc_Set(elem) {
    return this
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  seq__sc_Set() {
    return this
  };
  contains__O__Z(elem) {
    return false
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return new $c_sci_Set$Set1().init___O(elem)
  };
}
const $d_sci_Set$EmptySet$ = new $TypeData().initClass({
  sci_Set$EmptySet$: 0
}, false, "scala.collection.immutable.Set$EmptySet$", {
  sci_Set$EmptySet$: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$EmptySet$.prototype.$classData = $d_sci_Set$EmptySet$;
let $n_sci_Set$EmptySet$ = (void 0);
const $m_sci_Set$EmptySet$ = (function() {
  if ((!$n_sci_Set$EmptySet$)) {
    $n_sci_Set$EmptySet$ = new $c_sci_Set$EmptySet$().init___()
  };
  return $n_sci_Set$EmptySet$
});
class $c_sci_Set$Set1 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  forall__F1__Z(p) {
    return (!(!p.apply__O__O(this.elem1$4)))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4)
  };
  size__I() {
    return 1
  };
  init___O(elem1) {
    this.elem1$4 = elem1;
    return this
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : $m_s_None$())
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set2().init___O__O(this.elem1$4, elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return $m_sci_Set$EmptySet$()
  };
  contains__O__Z(elem) {
    return $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4)
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? $m_sci_Set$EmptySet$() : this)
  };
}
const $d_sci_Set$Set1 = new $TypeData().initClass({
  sci_Set$Set1: 0
}, false, "scala.collection.immutable.Set$Set1", {
  sci_Set$Set1: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set1.prototype.$classData = $d_sci_Set$Set1;
class $c_sci_Set$Set2 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null;
    this.elem2$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  tail__sci_Set() {
    return new $c_sci_Set$Set1().init___O(this.elem2$4)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  init___O__O(elem1, elem2) {
    this.elem1$4 = elem1;
    this.elem2$4 = elem2;
    return this
  };
  forall__F1__Z(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) && (!(!p.apply__O__O(this.elem2$4))))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4);
    f.apply__O__O(this.elem2$4)
  };
  size__I() {
    return 2
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : ((!(!p.apply__O__O(this.elem2$4))) ? new $c_s_Some().init___O(this.elem2$4) : $m_s_None$()))
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return this.tail__sci_Set()
  };
  contains__O__Z(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4))
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? new $c_sci_Set$Set1().init___O(this.elem2$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4) ? new $c_sci_Set$Set1().init___O(this.elem1$4) : this))
  };
}
const $d_sci_Set$Set2 = new $TypeData().initClass({
  sci_Set$Set2: 0
}, false, "scala.collection.immutable.Set$Set2", {
  sci_Set$Set2: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set2.prototype.$classData = $d_sci_Set$Set2;
class $c_sci_Set$Set3 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null;
    this.elem2$4 = null;
    this.elem3$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  tail__sci_Set() {
    return new $c_sci_Set$Set2().init___O__O(this.elem2$4, this.elem3$4)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  forall__F1__Z(p) {
    return (((!(!p.apply__O__O(this.elem1$4))) && (!(!p.apply__O__O(this.elem2$4)))) && (!(!p.apply__O__O(this.elem3$4))))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4);
    f.apply__O__O(this.elem2$4);
    f.apply__O__O(this.elem3$4)
  };
  size__I() {
    return 3
  };
  init___O__O__O(elem1, elem2, elem3) {
    this.elem1$4 = elem1;
    this.elem2$4 = elem2;
    this.elem3$4 = elem3;
    return this
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : ((!(!p.apply__O__O(this.elem2$4))) ? new $c_s_Some().init___O(this.elem2$4) : ((!(!p.apply__O__O(this.elem3$4))) ? new $c_s_Some().init___O(this.elem3$4) : $m_s_None$())))
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set4().init___O__O__O__O(this.elem1$4, this.elem2$4, this.elem3$4, elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return this.tail__sci_Set()
  };
  contains__O__Z(elem) {
    return (($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4))
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? new $c_sci_Set$Set2().init___O__O(this.elem2$4, this.elem3$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4) ? new $c_sci_Set$Set2().init___O__O(this.elem1$4, this.elem3$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4) ? new $c_sci_Set$Set2().init___O__O(this.elem1$4, this.elem2$4) : this)))
  };
}
const $d_sci_Set$Set3 = new $TypeData().initClass({
  sci_Set$Set3: 0
}, false, "scala.collection.immutable.Set$Set3", {
  sci_Set$Set3: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set3.prototype.$classData = $d_sci_Set$Set3;
class $c_sci_Set$Set4 extends $c_sc_AbstractSet {
  constructor() {
    super();
    this.elem1$4 = null;
    this.elem2$4 = null;
    this.elem3$4 = null;
    this.elem4$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.elem1$4
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  tail__sci_Set() {
    return new $c_sci_Set$Set3().init___O__O__O(this.elem2$4, this.elem3$4, this.elem4$4)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  forall__F1__Z(p) {
    return ((((!(!p.apply__O__O(this.elem1$4))) && (!(!p.apply__O__O(this.elem2$4)))) && (!(!p.apply__O__O(this.elem3$4)))) && (!(!p.apply__O__O(this.elem4$4))))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.elem1$4);
    f.apply__O__O(this.elem2$4);
    f.apply__O__O(this.elem3$4);
    f.apply__O__O(this.elem4$4)
  };
  size__I() {
    return 4
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4, this.elem4$4]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  find__F1__s_Option(p) {
    return ((!(!p.apply__O__O(this.elem1$4))) ? new $c_s_Some().init___O(this.elem1$4) : ((!(!p.apply__O__O(this.elem2$4))) ? new $c_s_Some().init___O(this.elem2$4) : ((!(!p.apply__O__O(this.elem3$4))) ? new $c_s_Some().init___O(this.elem3$4) : ((!(!p.apply__O__O(this.elem4$4))) ? new $c_s_Some().init___O(this.elem4$4) : $m_s_None$()))))
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.contains__O__Z(elem) ? this : new $c_sci_HashSet().init___().$$plus__O__sci_HashSet(this.elem1$4).$$plus__O__sci_HashSet(this.elem2$4).$$plus__O__sci_HashSet(this.elem3$4).$$plus__O__sci_HashSet(this.elem4$4).$$plus__O__sci_HashSet(elem))
  };
  seq__sc_Set() {
    return this
  };
  tail__O() {
    return this.tail__sci_Set()
  };
  contains__O__Z(elem) {
    return ((($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem4$4))
  };
  init___O__O__O__O(elem1, elem2, elem3, elem4) {
    this.elem1$4 = elem1;
    this.elem2$4 = elem2;
    this.elem3$4 = elem3;
    this.elem4$4 = elem4;
    return this
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem2$4, this.elem3$4, this.elem4$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem3$4, this.elem4$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, this.elem4$4) : ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem4$4) ? new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, this.elem3$4) : this))))
  };
}
const $d_sci_Set$Set4 = new $TypeData().initClass({
  sci_Set$Set4: 0
}, false, "scala.collection.immutable.Set$Set4", {
  sci_Set$Set4: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set4.prototype.$classData = $d_sci_Set$Set4;
const $f_sc_SeqViewLike$Appended__apply__I__O = (function($thiz, idx) {
  return ((idx < $thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().length__I()) ? $thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().apply__I__O(idx) : $thiz.restSeq__sc_GenSeq().apply__I__O(((idx - $thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().length__I()) | 0)))
});
const $f_sc_SeqViewLike$Appended__length__I = (function($thiz) {
  return (($thiz.scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike().length__I() + $thiz.restSeq__sc_GenSeq().length__I()) | 0)
});
const $f_sc_SeqViewLike$DroppedWhile__apply__I__O = (function($thiz, idx) {
  if ((idx >= 0)) {
    return $thiz.scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike().apply__I__O(((idx + $thiz.start__I()) | 0))
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  }
});
const $f_sc_SeqViewLike$DroppedWhile__length__I = (function($thiz) {
  return (($thiz.scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike().length__I() - $thiz.start__I()) | 0)
});
const $f_sc_SeqViewLike$Filtered__apply__I__O = (function($thiz, idx) {
  return $thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().apply__I__O($thiz.index__AI().u[idx])
});
const $f_sc_SeqViewLike$Filtered__length__I = (function($thiz) {
  return $thiz.index__AI().u.length
});
const $f_sc_SeqViewLike$Filtered__index__AI = (function($thiz) {
  let elem$1 = 0;
  elem$1 = 0;
  const arr = $newArrayObject($d_I.getArrayOf(), [$thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().length__I()]);
  const end = $thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().length__I();
  const isEmpty$4 = (end <= 0);
  const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
  if ((!isEmpty$4)) {
    let i = 0;
    while (true) {
      const v1 = i;
      if ((!(!$thiz.pred__F1().apply__O__O($thiz.scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike().apply__I__O(v1))))) {
        arr.u[elem$1] = v1;
        elem$1 = ((1 + elem$1) | 0)
      };
      if ((i === scala$collection$immutable$Range$$lastElement$4)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  const n = elem$1;
  const x = ((n > 0) ? n : 0);
  const y = arr.u.length;
  const hi$2 = ((x < y) ? x : y);
  const size = ((hi$2 > 0) ? hi$2 : 0);
  const result = $newArrayObject($d_I.getArrayOf(), [size]);
  if ((size > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V(arr, 0, result, 0, size)
  };
  return result
});
const $f_sc_SeqViewLike$FlatMapped__apply__I__O = (function($thiz, idx) {
  if (((idx < 0) || (idx >= $f_sc_SeqViewLike$FlatMapped__length__I($thiz)))) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  const hi = (((-1) + $thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I()) | 0);
  const row = $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I($thiz, idx, 0, hi);
  return $thiz.mapping__F1().apply__O__O($thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().apply__I__O(row)).seq__sc_TraversableOnce().toSeq__sc_Seq().apply__I__O(((idx - $thiz.index__AI().u[row]) | 0))
});
const $f_sc_SeqViewLike$FlatMapped__length__I = (function($thiz) {
  return $thiz.index__AI().u[$thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I()]
});
const $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I = (function($thiz, idx, lo, hi) {
  const mid = ((((lo + hi) | 0) / 2) | 0);
  if ((idx < $thiz.index__AI().u[mid])) {
    const hi$1 = (((-1) + mid) | 0);
    return $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I($thiz, idx, lo, hi$1)
  } else if ((idx >= $thiz.index__AI().u[((1 + mid) | 0)])) {
    const lo$1 = ((1 + mid) | 0);
    return $f_sc_SeqViewLike$FlatMapped__findRow__I__I__I__I($thiz, idx, lo$1, hi)
  } else {
    return mid
  }
});
const $f_sc_SeqViewLike$FlatMapped__index__AI = (function($thiz) {
  const index = $newArrayObject($d_I.getArrayOf(), [((1 + $thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I()) | 0)]);
  index.u[0] = 0;
  const end = $thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().length__I();
  const isEmpty$4 = (end <= 0);
  const scala$collection$immutable$Range$$lastElement$4 = (((-1) + end) | 0);
  if ((!isEmpty$4)) {
    let i = 0;
    while (true) {
      const v1 = i;
      index.u[((1 + v1) | 0)] = ((index.u[v1] + $thiz.mapping__F1().apply__O__O($thiz.scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike().apply__I__O(v1)).seq__sc_TraversableOnce().size__I()) | 0);
      if ((i === scala$collection$immutable$Range$$lastElement$4)) {
        break
      };
      i = ((1 + i) | 0)
    }
  };
  return index
});
const $f_sc_SeqViewLike$Mapped__apply__I__O = (function($thiz, idx) {
  return $thiz.mapping__F1().apply__O__O($thiz.scala$collection$SeqViewLike$Mapped$$$outer__sc_SeqViewLike().apply__I__O(idx))
});
const $f_sc_SeqViewLike$Prepended__apply__I__O = (function($thiz, idx) {
  return ((idx < $thiz.fstSeq__sc_GenSeq().length__I()) ? $thiz.fstSeq__sc_GenSeq().apply__I__O(idx) : $thiz.scala$collection$SeqViewLike$Prepended$$$outer__sc_SeqViewLike().apply__I__O(((idx - $thiz.fstSeq__sc_GenSeq().length__I()) | 0)))
});
const $f_sc_SeqViewLike$Prepended__length__I = (function($thiz) {
  return (($thiz.fstSeq__sc_GenSeq().length__I() + $thiz.scala$collection$SeqViewLike$Prepended$$$outer__sc_SeqViewLike().length__I()) | 0)
});
const $f_sc_SeqViewLike$Sliced__apply__I__O = (function($thiz, idx) {
  if (((idx >= 0) && (((idx + $thiz.endpoints__scg_SliceInterval().from$1) | 0) < $thiz.endpoints__scg_SliceInterval().until$1))) {
    return $thiz.scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike().apply__I__O(((idx + $thiz.endpoints__scg_SliceInterval().from$1) | 0))
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  }
});
const $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator = (function($thiz) {
  return $thiz.scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike().iterator__sc_Iterator().drop__I__sc_Iterator($thiz.endpoints__scg_SliceInterval().from$1).take__I__sc_Iterator($thiz.endpoints__scg_SliceInterval().width__I())
});
const $f_sc_SeqViewLike$TakenWhile__apply__I__O = (function($thiz, idx) {
  if ((idx < $thiz.len__I())) {
    return $thiz.scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike().apply__I__O(idx)
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  }
});
class $c_sci_HashSet extends $c_sc_AbstractSet {
  diff__sc_GenSet__sci_HashSet(that) {
    if ($is_sci_HashSet(that)) {
      const x2 = that;
      const size = this.size__I();
      const x = ((6 + size) | 0);
      const buffer = $newArrayObject($d_sci_HashSet.getArrayOf(), [((x < 224) ? x : 224)]);
      const s = this.diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(x2, 0, buffer, 0);
      return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
    } else {
      return $f_scg_Subtractable__$$minus$minus__sc_GenTraversableOnce__scg_Subtractable(this, that)
    }
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    return new $c_sci_HashSet$HashSet1().init___O__I(key, hash)
  };
  seq__sc_TraversableOnce() {
    return this
  };
  computeHash__O__I(key) {
    return this.improve__I__I($m_sr_Statics$().anyHash__O__I(key))
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    return this
  };
  apply__O__O(v1) {
    return this.contains__O__Z(v1)
  };
  $$plus__O__sci_HashSet(e) {
    return this.updated0__O__I__I__sci_HashSet(e, this.computeHash__O__I(e), 0)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_HashSet(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  union0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return that
  };
  companion__scg_GenericCompanion() {
    return $m_sci_HashSet$()
  };
  filter__F1__sci_HashSet(p) {
    const size = this.size__I();
    const x = ((6 + size) | 0);
    const buffer = $newArrayObject($d_sci_HashSet.getArrayOf(), [((x < 224) ? x : 224)]);
    const s = this.filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, false, 0, buffer, 0);
    return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  union0__sci_HashSet$LeafHashSet__I__sci_HashSet(that, level) {
    return that
  };
  subsetOf__sc_GenSet__Z(that) {
    if ($is_sci_HashSet(that)) {
      const x2 = that;
      return this.subsetOf0__sci_HashSet__I__Z(x2, 0)
    } else {
      const this$1 = this.iterator__sc_Iterator();
      return $f_sc_Iterator__forall__F1__Z(this$1, that)
    }
  };
  filter__F1__O(p) {
    return this.filter__F1__sci_HashSet(p)
  };
  intersect__sc_GenSet__sci_HashSet(that) {
    if ($is_sci_HashSet(that)) {
      const x2 = that;
      const x = this.size__I();
      const that$1 = x2.size__I();
      const size = ((x < that$1) ? x : that$1);
      const x$1 = ((6 + size) | 0);
      const buffer = $newArrayObject($d_sci_HashSet.getArrayOf(), [((x$1 < 224) ? x$1 : 224)]);
      const s = this.intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(x2, 0, buffer, 0);
      return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
    } else {
      return this.filter__F1__sci_HashSet(that)
    }
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_HashSet(elem)
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    return this
  };
  empty__sc_Set() {
    return $m_sci_HashSet$EmptyHashSet$()
  };
  improve__I__I(hcode) {
    let h = ((hcode + (~(hcode << 9))) | 0);
    h = (h ^ ((h >>> 14) | 0));
    h = ((h + (h << 4)) | 0);
    return (h ^ ((h >>> 10) | 0))
  };
  $$minus__O__sci_HashSet(e) {
    const s = this.removed0__O__I__I__sci_HashSet(e, this.computeHash__O__I(e), 0);
    return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
  };
  intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return null
  };
  seq__sc_Set() {
    return this
  };
  contains__O__Z(e) {
    return this.get0__O__I__I__Z(e, this.computeHash__O__I(e), 0)
  };
  union__sc_GenSet__sci_HashSet(that) {
    if ($is_sci_HashSet(that)) {
      const x2 = that;
      const size = ((this.size__I() + x2.size__I()) | 0);
      const x = ((6 + size) | 0);
      const buffer = $newArrayObject($d_sci_HashSet.getArrayOf(), [((x < 224) ? x : 224)]);
      const s = this.union0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(x2, 0, buffer, 0);
      return ((s === null) ? $m_sci_HashSet$EmptyHashSet$() : s)
    } else {
      return $f_sc_SetLike__$$plus$plus__sc_GenTraversableOnce__sc_Set(this, that)
    }
  };
  tail__O() {
    return this.tail__sci_HashSet()
  };
  tail__sci_HashSet() {
    return this.$$minus__O__sci_HashSet(this.head__O())
  };
  diff__sc_GenSet__sc_Set(that) {
    return this.diff__sc_GenSet__sci_HashSet(that)
  };
  empty__sc_GenSet() {
    return $m_sci_HashSet$EmptyHashSet$()
  };
  toSet__sci_Set() {
    return this
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return null
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    return null
  };
  get0__O__I__I__Z(key, hash, level) {
    return false
  };
  intersect__sc_GenSet__O(that) {
    return this.intersect__sc_GenSet__sci_HashSet(that)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_HashSet(elem)
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    return true
  };
  union__sc_GenSet__sc_Set(that) {
    return this.union__sc_GenSet__sci_HashSet(that)
  };
}
const $is_sci_HashSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet)))
});
const $isArrayOf_sci_HashSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet)))
});
const $d_sci_HashSet = new $TypeData().initClass({
  sci_HashSet: 0
}, false, "scala.collection.immutable.HashSet", {
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet.prototype.$classData = $d_sci_HashSet;
class $c_sci_ListSet$EmptyListSet$ extends $c_sci_ListSet {
  init___() {
    return this
  };
}
const $d_sci_ListSet$EmptyListSet$ = new $TypeData().initClass({
  sci_ListSet$EmptyListSet$: 0
}, false, "scala.collection.immutable.ListSet$EmptyListSet$", {
  sci_ListSet$EmptyListSet$: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$EmptyListSet$.prototype.$classData = $d_sci_ListSet$EmptyListSet$;
let $n_sci_ListSet$EmptyListSet$ = (void 0);
const $m_sci_ListSet$EmptyListSet$ = (function() {
  if ((!$n_sci_ListSet$EmptyListSet$)) {
    $n_sci_ListSet$EmptyListSet$ = new $c_sci_ListSet$EmptyListSet$().init___()
  };
  return $n_sci_ListSet$EmptyListSet$
});
class $c_sci_ListSet$Node extends $c_sci_ListSet {
  constructor() {
    super();
    this.elem$5 = null;
    this.$$outer$5 = null
  };
  next__sci_ListSet() {
    return this.$$outer$5
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(elem, this, $m_sci_Nil$())
  };
  isEmpty__Z() {
    return false
  };
  $$plus__O__sci_ListSet(e) {
    return (this.containsInternal__p5__sci_ListSet__O__Z(this, e) ? this : new $c_sci_ListSet$Node().init___sci_ListSet__O(this, e))
  };
  sizeInternal__p5__sci_ListSet__I__I(n, acc) {
    _sizeInternal: while (true) {
      if (n.isEmpty__Z()) {
        return acc
      } else {
        const temp$n = n.next__sci_ListSet();
        const temp$acc = ((1 + acc) | 0);
        n = temp$n;
        acc = temp$acc;
        continue _sizeInternal
      }
    }
  };
  size__I() {
    return this.sizeInternal__p5__sci_ListSet__I__I(this, 0)
  };
  removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(k, cur, acc) {
    _removeInternal: while (true) {
      if (cur.isEmpty__Z()) {
        const this$1 = acc;
        return $f_sc_LinearSeqOptimized__last__O(this$1)
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.elem__O())) {
        const x$5 = cur.next__sci_ListSet();
        const this$2 = acc;
        let acc$1 = x$5;
        let these = this$2;
        while ((!these.isEmpty__Z())) {
          const arg1 = acc$1;
          const arg2 = these.head__O();
          const x0$1 = arg1;
          const x1$1 = arg2;
          acc$1 = new $c_sci_ListSet$Node().init___sci_ListSet__O(x0$1, x1$1.elem__O());
          these = these.tail__O()
        };
        return acc$1
      } else {
        const temp$cur = cur.next__sci_ListSet();
        const x$6 = cur;
        const this$3 = acc;
        const temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$3);
        cur = temp$cur;
        acc = temp$acc;
        continue _removeInternal
      }
    }
  };
  $$minus__O__sc_Set(elem) {
    return this.removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(elem, this, $m_sci_Nil$())
  };
  init___sci_ListSet__O($$outer, elem) {
    this.elem$5 = elem;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$5 = $$outer
    };
    return this
  };
  contains__O__Z(e) {
    return this.containsInternal__p5__sci_ListSet__O__Z(this, e)
  };
  elem__O() {
    return this.elem$5
  };
  $$minus__O__sci_ListSet(e) {
    return this.removeInternal__p5__O__sci_ListSet__sci_List__sci_ListSet(e, this, $m_sci_Nil$())
  };
  containsInternal__p5__sci_ListSet__O__Z(n, e) {
    _containsInternal: while (true) {
      if ((!n.isEmpty__Z())) {
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(n.elem__O(), e)) {
          return true
        } else {
          n = n.next__sci_ListSet();
          continue _containsInternal
        }
      } else {
        return false
      }
    }
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_ListSet(elem)
  };
}
const $d_sci_ListSet$Node = new $TypeData().initClass({
  sci_ListSet$Node: 0
}, false, "scala.collection.immutable.ListSet$Node", {
  sci_ListSet$Node: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$Node.prototype.$classData = $d_sci_ListSet$Node;
class $c_sci_MapLike$ImmutableDefaultKeySet extends $c_sc_MapLike$DefaultKeySet {
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  apply__O__O(v1) {
    return this.$$outer$4.contains__O__Z(v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Set$()
  };
  init___sci_MapLike($$outer) {
    $c_sc_MapLike$DefaultKeySet.prototype.init___sc_MapLike.call(this, $$outer);
    return this
  };
  $$minus__O__sc_Set(elem) {
    return this.$$minus__O__sci_Set(elem)
  };
  empty__sc_Set() {
    return $m_sci_Set$EmptySet$()
  };
  $$plus__O__sci_Set(elem) {
    return (this.$$outer$4.contains__O__Z(elem) ? this : $m_sci_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$plus__O__sc_Set(elem))
  };
  seq__sc_Set() {
    return this
  };
  toSet__sci_Set() {
    return this
  };
  toSeq__sc_GenSeq() {
    return $f_sc_SetLike__toSeq__sc_Seq(this)
  };
  $$plus__O__sc_Set(elem) {
    return this.$$plus__O__sci_Set(elem)
  };
  $$minus__O__sci_Set(elem) {
    return (this.$$outer$4.contains__O__Z(elem) ? $m_sci_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()).$$plus$plus__sc_GenTraversableOnce__sc_Set(this).$$minus__O__sc_Set(elem) : this)
  };
}
const $d_sci_MapLike$ImmutableDefaultKeySet = new $TypeData().initClass({
  sci_MapLike$ImmutableDefaultKeySet: 0
}, false, "scala.collection.immutable.MapLike$ImmutableDefaultKeySet", {
  sci_MapLike$ImmutableDefaultKeySet: 1,
  sc_MapLike$DefaultKeySet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1
});
$c_sci_MapLike$ImmutableDefaultKeySet.prototype.$classData = $d_sci_MapLike$ImmutableDefaultKeySet;
class $c_scm_AbstractSeq extends $c_sc_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this.seq__scm_Seq()
  };
  seq__sc_Iterable() {
    return this.seq__scm_Seq()
  };
  seq__scm_Seq() {
    return this
  };
}
const $f_scm_Map__withDefaultValue__O__scm_Map = (function($thiz, d) {
  return new $c_scm_Map$WithDefault().init___scm_Map__F1($thiz, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, d$1) {
    return (function(x$2) {
      return d$1
    })
  })($thiz, d)))
});
const $is_scm_Map = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Map)))
});
const $isArrayOf_scm_Map = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Map)))
});
class $c_Lamf_client_convert_VocabulariesClientConverter$ extends $c_O {
  constructor() {
    super();
    this.ClassTermMappingConverter$module$1 = null;
    this.ObjectPropertyMappingConverter$module$1 = null;
    this.DatatypePropertyMappingConverter$module$1 = null;
    this.DialectDomainElementConvertej$module$1 = null;
    this.NodeMappingConverter$module$1 = null;
    this.ExternalConverter$module$1 = null;
    this.VocabularyReferenceConverter$module$1 = null;
    this.DocumentMappingConverter$module$1 = null;
    this.DocumentModelConverter$module$1 = null;
    this.DialectConverter$module$1 = null;
    this.PublicNodeMappingConverter$module$1 = null;
    this.PropertyMappingConverter$module$1 = null;
    this.StringMatcher$module$1 = null;
    this.BooleanMatcher$module$1 = null;
    this.IntMatcher$module$1 = null;
    this.DoubleMatcher$module$1 = null;
    this.FloatMatcher$module$1 = null;
    this.AnyMatcher$module$1 = null;
    this.UnitMatcher$module$1 = null;
    this.ContentMatcher$module$1 = null;
    this.GraphDomainConverter$module$1 = null;
    this.ResourceLoaderMatcher$module$1 = null;
    this.BaseUnitMatcher$module$1 = null;
    this.DomainElementMatcher$module$1 = null;
    this.ValidationReportMatcher$module$1 = null;
    this.ValidationResultMatcher$module$1 = null;
    this.VariableValueMatcher$module$1 = null;
    this.AbstractDeclarationMatcher$module$1 = null;
    this.ParameterizedDeclarationMatcher$module$1 = null;
    this.DomainExtensionMatcher$module$1 = null;
    this.ObjectNodeMatcher$module$1 = null;
    this.ScalarNodeMatcher$module$1 = null;
    this.ArrayNodeMatcher$module$1 = null;
    this.DataNodeMatcher$module$1 = null;
    this.PropertyShapeMatcher$module$1 = null;
    this.ShapeMatcher$module$1 = null;
    this.CustomDomainPropertyMatcher$module$1 = null;
    this.StrFieldMatcher$module$1 = null;
    this.IntFieldMatcher$module$1 = null;
    this.BoolFieldMatcher$module$1 = null;
    this.DoubleFieldMatcher$module$1 = null;
    this.FloatFieldMatcher$module$1 = null;
    this.AnyFieldMatcher$module$1 = null;
    this.AnnotationsFieldMatcher$module$1 = null;
    this.platform$1 = null
  };
  PropertyMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().PropertyMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().PropertyMappingConverter$module$1 = new $c_Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$().init___Lamf_client_convert_PropertyMappingConverter(this)
    }
  };
  ClassTermMappingConverter__Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ClassTermMappingConverter$module$1 === null)) {
      this.ClassTermMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().ClassTermMappingConverter$module$1
  };
  init___() {
    $n_Lamf_client_convert_VocabulariesClientConverter$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  PublicNodeMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().PublicNodeMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().PublicNodeMappingConverter$module$1 = new $c_Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$().init___Lamf_client_convert_PublicNodeMappingConverter(this)
    }
  };
  ObjectNodeMatcher__Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ObjectNodeMatcher$module$1 === null)) {
      this.ObjectNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().ObjectNodeMatcher$module$1
  };
  ScalarNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ScalarNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().ScalarNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher$module$1 === null)) {
      this.StrFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher$module$1
  };
  AnyFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().AnyFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().AnyFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$AnyFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  BoolFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().BoolFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().BoolFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$BoolFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  AnyMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$AnyMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  AnyMatcher__Lamf_client_convert_CoreBaseConverter$AnyMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher$module$1 === null)) {
      this.AnyMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().AnyMatcher$module$1
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher$module$1 === null)) {
      this.StringMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher$module$1
  };
  DatatypePropertyMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DatatypePropertyMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().DatatypePropertyMappingConverter$module$1 = new $c_Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$().init___Lamf_client_convert_DatatypePropertyMappingConverter(this)
    }
  };
  DoubleFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DoubleFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().DoubleFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$DoubleFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  NodeMappingConverter__Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().NodeMappingConverter$module$1 === null)) {
      this.NodeMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().NodeMappingConverter$module$1
  };
  DocumentMappingConverter__Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DocumentMappingConverter$module$1 === null)) {
      this.DocumentMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().DocumentMappingConverter$module$1
  };
  StringMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().StringMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$StringMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  ExternalConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter$module$1 = new $c_Lamf_client_convert_ExternalConverter$ExternalConverter$().init___Lamf_client_convert_ExternalConverter(this)
    }
  };
  ArrayNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ArrayNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().ArrayNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  ClassTermMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ClassTermMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().ClassTermMappingConverter$module$1 = new $c_Lamf_client_convert_ClassTermMappingConverter$ClassTermMappingConverter$().init___Lamf_client_convert_ClassTermMappingConverter(this)
    }
  };
  AnyFieldMatcher__Lamf_client_convert_FieldConverter$AnyFieldMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().AnyFieldMatcher$module$1 === null)) {
      this.AnyFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().AnyFieldMatcher$module$1
  };
  DatatypePropertyMappingConverter__Lamf_client_convert_DatatypePropertyMappingConverter$DatatypePropertyMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DatatypePropertyMappingConverter$module$1 === null)) {
      this.DatatypePropertyMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().DatatypePropertyMappingConverter$module$1
  };
  ObjectNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ObjectNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().ObjectNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().IntFieldMatcher$module$1 === null)) {
      this.IntFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().IntFieldMatcher$module$1
  };
  StrFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().StrFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$StrFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  VocabularyReferenceConverter__Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter$module$1 === null)) {
      this.VocabularyReferenceConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter$module$1
  };
  NodeMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().NodeMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().NodeMappingConverter$module$1 = new $c_Lamf_client_convert_NodeMappingConverter$NodeMappingConverter$().init___Lamf_client_convert_NodeMappingConverter(this)
    }
  };
  ExternalConverter__Lamf_client_convert_ExternalConverter$ExternalConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter$module$1 === null)) {
      this.ExternalConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().ExternalConverter$module$1
  };
  DialectDomainElementConvertej$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej$module$1 = new $c_Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$().init___Lamf_client_convert_DialectDomainElementConverter(this)
    }
  };
  DialectConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter$module$1 = new $c_Lamf_client_convert_DialectConverter$DialectConverter$().init___Lamf_client_convert_DialectConverter(this)
    }
  };
  BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().BoolFieldMatcher$module$1 === null)) {
      this.BoolFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().BoolFieldMatcher$module$1
  };
  ObjectPropertyMappingConverter__Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ObjectPropertyMappingConverter$module$1 === null)) {
      this.ObjectPropertyMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().ObjectPropertyMappingConverter$module$1
  };
  PublicNodeMappingConverter__Lamf_client_convert_PublicNodeMappingConverter$PublicNodeMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().PublicNodeMappingConverter$module$1 === null)) {
      this.PublicNodeMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().PublicNodeMappingConverter$module$1
  };
  DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DoubleFieldMatcher$module$1 === null)) {
      this.DoubleFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().DoubleFieldMatcher$module$1
  };
  DocumentMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DocumentMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().DocumentMappingConverter$module$1 = new $c_Lamf_client_convert_DocumentMappingConverter$DocumentMappingConverter$().init___Lamf_client_convert_DocumentMappingConverter(this)
    }
  };
  PropertyMappingConverter__Lamf_client_convert_PropertyMappingConverter$PropertyMappingConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().PropertyMappingConverter$module$1 === null)) {
      this.PropertyMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().PropertyMappingConverter$module$1
  };
  ArrayNodeMatcher__Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ArrayNodeMatcher$module$1 === null)) {
      this.ArrayNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().ArrayNodeMatcher$module$1
  };
  DialectDomainElementConvertej__Lamf_client_convert_DialectDomainElementConverter$DialectDomainElementConvertej$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej$module$1 === null)) {
      this.DialectDomainElementConvertej$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().DialectDomainElementConvertej$module$1
  };
  ScalarNodeMatcher__Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ScalarNodeMatcher$module$1 === null)) {
      this.ScalarNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().ScalarNodeMatcher$module$1
  };
  DialectConverter__Lamf_client_convert_DialectConverter$DialectConverter$() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter$module$1 === null)) {
      this.DialectConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_VocabulariesClientConverter$().DialectConverter$module$1
  };
  VocabularyReferenceConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().VocabularyReferenceConverter$module$1 = new $c_Lamf_client_convert_VocabularyReferenceConverter$VocabularyReferenceConverter$().init___Lamf_client_convert_VocabularyReferenceConverter(this)
    }
  };
  IntFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().IntFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().IntFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$IntFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  ObjectPropertyMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_VocabulariesClientConverter$().ObjectPropertyMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_VocabulariesClientConverter$().ObjectPropertyMappingConverter$module$1 = new $c_Lamf_client_convert_ObjectPropertyMappingConverter$ObjectPropertyMappingConverter$().init___Lamf_client_convert_ObjectPropertyMappingConverter(this)
    }
  };
}
const $d_Lamf_client_convert_VocabulariesClientConverter$ = new $TypeData().initClass({
  Lamf_client_convert_VocabulariesClientConverter$: 0
}, false, "amf.client.convert.VocabulariesClientConverter$", {
  Lamf_client_convert_VocabulariesClientConverter$: 1,
  O: 1,
  Lamf_client_convert_VocabulariesBaseConverter: 1,
  Lamf_client_convert_CoreBaseConverter: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_convert_CollectionConverter: 1,
  Lamf_client_convert_FutureConverter: 1,
  Lamf_client_convert_FieldConverter: 1,
  Lamf_client_convert_HandlerConverter: 1,
  Lamf_client_convert_CustomDomainPropertyConverter: 1,
  Lamf_client_convert_ShapeConverter: 1,
  Lamf_client_convert_PropertyShapeConverter: 1,
  Lamf_client_convert_DataNodeConverter: 1,
  Lamf_client_convert_DomainExtensionConverter: 1,
  Lamf_client_convert_DeclarationsConverter: 1,
  Lamf_client_convert_VariableValueConverter: 1,
  Lamf_client_convert_ValidationConverter: 1,
  Lamf_client_convert_DomainElementConverter: 1,
  Lamf_client_convert_BaseUnitConverter: 1,
  Lamf_client_convert_ResourceLoaderConverter: 1,
  Lamf_client_convert_GraphDomainConverter: 1,
  Lamf_client_convert_PropertyMappingConverter: 1,
  Lamf_client_convert_PublicNodeMappingConverter: 1,
  Lamf_client_convert_DialectConverter: 1,
  Lamf_client_convert_DocumentsModelConverter: 1,
  Lamf_client_convert_DocumentMappingConverter: 1,
  Lamf_client_convert_VocabularyReferenceConverter: 1,
  Lamf_client_convert_ExternalConverter: 1,
  Lamf_client_convert_NodeMappingConverter: 1,
  Lamf_client_convert_DialectDomainElementConverter: 1,
  Lamf_client_convert_DatatypePropertyMappingConverter: 1,
  Lamf_client_convert_ObjectPropertyMappingConverter: 1,
  Lamf_client_convert_ClassTermMappingConverter: 1,
  Lamf_client_convert_VocabulariesBaseClientConverter: 1,
  Lamf_client_convert_CoreBaseClientConverter: 1
});
$c_Lamf_client_convert_VocabulariesClientConverter$.prototype.$classData = $d_Lamf_client_convert_VocabulariesClientConverter$;
let $n_Lamf_client_convert_VocabulariesClientConverter$ = (void 0);
const $m_Lamf_client_convert_VocabulariesClientConverter$ = (function() {
  if ((!$n_Lamf_client_convert_VocabulariesClientConverter$)) {
    $n_Lamf_client_convert_VocabulariesClientConverter$ = new $c_Lamf_client_convert_VocabulariesClientConverter$().init___()
  };
  return $n_Lamf_client_convert_VocabulariesClientConverter$
});
class $c_sci_HashSet$EmptyHashSet$ extends $c_sci_HashSet {
  init___() {
    return this
  };
  head__O() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Set")
  };
  tail__O() {
    return this.tail__sci_HashSet()
  };
  tail__sci_HashSet() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Set")
  };
}
const $d_sci_HashSet$EmptyHashSet$ = new $TypeData().initClass({
  sci_HashSet$EmptyHashSet$: 0
}, false, "scala.collection.immutable.HashSet$EmptyHashSet$", {
  sci_HashSet$EmptyHashSet$: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$EmptyHashSet$.prototype.$classData = $d_sci_HashSet$EmptyHashSet$;
let $n_sci_HashSet$EmptyHashSet$ = (void 0);
const $m_sci_HashSet$EmptyHashSet$ = (function() {
  if ((!$n_sci_HashSet$EmptyHashSet$)) {
    $n_sci_HashSet$EmptyHashSet$ = new $c_sci_HashSet$EmptyHashSet$().init___()
  };
  return $n_sci_HashSet$EmptyHashSet$
});
class $c_sci_HashSet$HashTrieSet extends $c_sci_HashSet {
  constructor() {
    super();
    this.bitmap$5 = 0;
    this.elems$5 = null;
    this.size0$5 = 0
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    if (((this.bitmap$5 & mask) !== 0)) {
      const sub = this.elems$5.u[offset];
      const subNew = sub.updated0__O__I__I__sci_HashSet(key, hash, ((5 + level) | 0));
      if ((sub === subNew)) {
        return this
      } else {
        const elemsNew = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew, 0, this.elems$5.u.length);
        elemsNew.u[offset] = subNew;
        return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elemsNew, ((this.size0$5 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
      }
    } else {
      const elemsNew$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [((1 + this.elems$5.u.length) | 0)]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew$2, 0, offset);
      elemsNew$2.u[offset] = new $c_sci_HashSet$HashSet1().init___O__I(key, hash);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$5.u.length - offset) | 0));
      const bitmapNew = (this.bitmap$5 | mask);
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmapNew, elemsNew$2, ((1 + this.size0$5) | 0))
    }
  };
  union0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    if ((that === this)) {
      return this
    } else if ($is_sci_HashSet$LeafHashSet(that)) {
      const x2 = that;
      return this.union0__sci_HashSet$LeafHashSet__I__sci_HashSet(x2, level)
    } else if ($is_sci_HashSet$HashTrieSet(that)) {
      const x3 = that;
      const a = this.elems$5;
      let abm = this.bitmap$5;
      let ai = 0;
      const b = x3.elems$5;
      let bbm = x3.bitmap$5;
      let bi = 0;
      let offset = offset0;
      let rs = 0;
      while (((abm | bbm) !== 0)) {
        const alsb = (abm ^ (abm & (((-1) + abm) | 0)));
        const blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
        if ((alsb === blsb)) {
          const sub1 = a.u[ai].union0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(b.u[bi], ((5 + level) | 0), buffer, offset);
          rs = ((rs + sub1.size__I()) | 0);
          buffer.u[offset] = sub1;
          offset = ((1 + offset) | 0);
          abm = (abm & (~alsb));
          ai = ((1 + ai) | 0);
          bbm = (bbm & (~blsb));
          bi = ((1 + bi) | 0)
        } else {
          const i = (((-1) + alsb) | 0);
          const j = (((-1) + blsb) | 0);
          if ((((i < j) !== (i < 0)) !== (j < 0))) {
            const sub1$2 = a.u[ai];
            rs = ((rs + sub1$2.size__I()) | 0);
            buffer.u[offset] = sub1$2;
            offset = ((1 + offset) | 0);
            abm = (abm & (~alsb));
            ai = ((1 + ai) | 0)
          } else {
            const sub1$3 = b.u[bi];
            rs = ((rs + sub1$3.size__I()) | 0);
            buffer.u[offset] = sub1$3;
            offset = ((1 + offset) | 0);
            bbm = (bbm & (~blsb));
            bi = ((1 + bi) | 0)
          }
        }
      };
      if ((rs === this.size0$5)) {
        return this
      } else if ((rs === x3.size0$5)) {
        return x3
      } else {
        const length = ((offset - offset0) | 0);
        const elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [length]);
        $systemArraycopy(buffer, offset0, elems, 0, length);
        return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I((this.bitmap$5 | x3.bitmap$5), elems, rs)
      }
    } else {
      return this
    }
  };
  foreach__F1__V(f) {
    let i = 0;
    while ((i < this.elems$5.u.length)) {
      this.elems$5.u[i].foreach__F1__V(f);
      i = ((1 + i) | 0)
    }
  };
  union0__sci_HashSet$LeafHashSet__I__sci_HashSet(that, level) {
    const index = (31 & ((that.hash__I() >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    if (((this.bitmap$5 & mask) !== 0)) {
      const sub = this.elems$5.u[offset];
      const sub1 = sub.union0__sci_HashSet$LeafHashSet__I__sci_HashSet(that, ((5 + level) | 0));
      if ((sub === sub1)) {
        return this
      } else {
        const elems1 = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elems1, 0, this.elems$5.u.length);
        elems1.u[offset] = sub1;
        return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elems1, ((this.size0$5 + ((sub1.size__I() - sub.size__I()) | 0)) | 0))
      }
    } else {
      const elems1$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [((1 + this.elems$5.u.length) | 0)]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elems1$2, 0, offset);
      elems1$2.u[offset] = that;
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, offset, elems1$2, ((1 + offset) | 0), ((this.elems$5.u.length - offset) | 0));
      const bitmap1 = (this.bitmap$5 | mask);
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap1, elems1$2, ((this.size0$5 + that.size__I()) | 0))
    }
  };
  size__I() {
    return this.size0$5
  };
  iterator__sc_Iterator() {
    return new $c_sci_HashSet$HashTrieSet$$anon$1().init___sci_HashSet$HashTrieSet(this)
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    if (((this.bitmap$5 & mask) !== 0)) {
      const sub = this.elems$5.u[offset];
      const subNew = sub.removed0__O__I__I__sci_HashSet(key, hash, ((5 + level) | 0));
      if ((sub === subNew)) {
        return this
      } else if ((subNew === null)) {
        const bitmapNew = (this.bitmap$5 ^ mask);
        if ((bitmapNew !== 0)) {
          const elemsNew = $newArrayObject($d_sci_HashSet.getArrayOf(), [(((-1) + this.elems$5.u.length) | 0)]);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew, 0, offset);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, ((1 + offset) | 0), elemsNew, offset, (((-1) + ((this.elems$5.u.length - offset) | 0)) | 0));
          const sizeNew = ((this.size0$5 - sub.size__I()) | 0);
          return (((elemsNew.u.length === 1) && (!$is_sci_HashSet$HashTrieSet(elemsNew.u[0]))) ? elemsNew.u[0] : new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmapNew, elemsNew, sizeNew))
        } else {
          return null
        }
      } else if (((this.elems$5.u.length === 1) && (!$is_sci_HashSet$HashTrieSet(subNew)))) {
        return subNew
      } else {
        const elemsNew$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew$2, 0, this.elems$5.u.length);
        elemsNew$2.u[offset] = subNew;
        const sizeNew$2 = ((this.size0$5 + ((subNew.size__I() - sub.size__I()) | 0)) | 0);
        return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elemsNew$2, sizeNew$2)
      }
    } else {
      return this
    }
  };
  intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    if ((that === this)) {
      return this
    } else if ($is_sci_HashSet$LeafHashSet(that)) {
      const x2 = that;
      return x2.intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(this, level, buffer, offset0)
    } else if ($is_sci_HashSet$HashTrieSet(that)) {
      const x3 = that;
      const a = this.elems$5;
      let abm = this.bitmap$5;
      let ai = 0;
      const b = x3.elems$5;
      let bbm = x3.bitmap$5;
      let bi = 0;
      if (((abm & bbm) === 0)) {
        return null
      };
      let offset = offset0;
      let rs = 0;
      let rbm = 0;
      while (((abm & bbm) !== 0)) {
        const alsb = (abm ^ (abm & (((-1) + abm) | 0)));
        const blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
        if ((alsb === blsb)) {
          const sub1 = a.u[ai].intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(b.u[bi], ((5 + level) | 0), buffer, offset);
          if ((sub1 !== null)) {
            rs = ((rs + sub1.size__I()) | 0);
            rbm = (rbm | alsb);
            buffer.u[offset] = sub1;
            offset = ((1 + offset) | 0)
          };
          abm = (abm & (~alsb));
          ai = ((1 + ai) | 0);
          bbm = (bbm & (~blsb));
          bi = ((1 + bi) | 0)
        } else {
          const i = (((-1) + alsb) | 0);
          const j = (((-1) + blsb) | 0);
          if ((((i < j) !== (i < 0)) !== (j < 0))) {
            abm = (abm & (~alsb));
            ai = ((1 + ai) | 0)
          } else {
            bbm = (bbm & (~blsb));
            bi = ((1 + bi) | 0)
          }
        }
      };
      if ((rbm === 0)) {
        return null
      } else if ((rs === this.size0$5)) {
        return this
      } else if ((rs === x3.size0$5)) {
        return x3
      } else {
        const length = ((offset - offset0) | 0);
        if (((length === 1) && (!$is_sci_HashSet$HashTrieSet(buffer.u[offset0])))) {
          return buffer.u[offset0]
        } else {
          const elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [length]);
          $systemArraycopy(buffer, offset0, elems, 0, length);
          return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(rbm, elems, rs)
        }
      }
    } else {
      return null
    }
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    if ((that === this)) {
      return null
    } else if ($is_sci_HashSet$HashSet1(that)) {
      const x2 = that;
      return this.removed0__O__I__I__sci_HashSet(x2.key$6, x2.hash$6, level)
    } else if ($is_sci_HashSet$HashTrieSet(that)) {
      const x3 = that;
      const a = this.elems$5;
      let abm = this.bitmap$5;
      let ai = 0;
      const b = x3.elems$5;
      let bbm = x3.bitmap$5;
      let bi = 0;
      let offset = offset0;
      let rs = 0;
      let rbm = 0;
      while ((abm !== 0)) {
        const alsb = (abm ^ (abm & (((-1) + abm) | 0)));
        const blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
        if ((alsb === blsb)) {
          const sub1 = a.u[ai].diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(b.u[bi], ((5 + level) | 0), buffer, offset);
          if ((sub1 !== null)) {
            rs = ((rs + sub1.size__I()) | 0);
            rbm = (rbm | alsb);
            buffer.u[offset] = sub1;
            offset = ((1 + offset) | 0)
          };
          abm = (abm & (~alsb));
          ai = ((1 + ai) | 0);
          bbm = (bbm & (~blsb));
          bi = ((1 + bi) | 0)
        } else {
          const i = (((-1) + alsb) | 0);
          const j = (((-1) + blsb) | 0);
          if ((((i < j) !== (i < 0)) !== (j < 0))) {
            const sub1$2 = a.u[ai];
            rs = ((rs + sub1$2.size__I()) | 0);
            rbm = (rbm | alsb);
            buffer.u[offset] = sub1$2;
            offset = ((1 + offset) | 0);
            abm = (abm & (~alsb));
            ai = ((1 + ai) | 0)
          } else {
            bbm = (bbm & (~blsb));
            bi = ((1 + bi) | 0)
          }
        }
      };
      if ((rbm === 0)) {
        return null
      } else if ((rs === this.size0$5)) {
        return this
      } else {
        const length = ((offset - offset0) | 0);
        if (((length === 1) && (!$is_sci_HashSet$HashTrieSet(buffer.u[offset0])))) {
          return buffer.u[offset0]
        } else {
          const elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [length]);
          $systemArraycopy(buffer, offset0, elems, 0, length);
          return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(rbm, elems, rs)
        }
      }
    } else if ($is_sci_HashSet$HashSetCollision1(that)) {
      const x4 = that;
      return this.removeAll$1__p5__sci_HashSet__sci_ListSet__I__sci_HashSet$HashSetCollision1__sci_HashSet(this, x4.ks$6, level, x4)
    } else {
      return this
    }
  };
  init___I__Asci_HashSet__I(bitmap, elems, size0) {
    this.bitmap$5 = bitmap;
    this.elems$5 = elems;
    this.size0$5 = size0;
    $m_s_Predef$().assert__Z__V(($m_jl_Integer$().bitCount__I__I(bitmap) === elems.u.length));
    return this
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    let offset = offset0;
    let rs = 0;
    let kept = 0;
    let i = 0;
    while ((i < this.elems$5.u.length)) {
      const result = this.elems$5.u[i].filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, ((5 + level) | 0), buffer, offset);
      if ((result !== null)) {
        buffer.u[offset] = result;
        offset = ((1 + offset) | 0);
        rs = ((rs + result.size__I()) | 0);
        kept = (kept | (1 << i))
      };
      i = ((1 + i) | 0)
    };
    if ((offset === offset0)) {
      return null
    } else if ((rs === this.size0$5)) {
      return this
    } else if (((offset === ((1 + offset0) | 0)) && (!$is_sci_HashSet$HashTrieSet(buffer.u[offset0])))) {
      return buffer.u[offset0]
    } else {
      const length = ((offset - offset0) | 0);
      const elems1 = $newArrayObject($d_sci_HashSet.getArrayOf(), [length]);
      $systemArraycopy(buffer, offset0, elems1, 0, length);
      const bitmap1 = ((length === this.elems$5.u.length) ? this.bitmap$5 : $m_sci_HashSet$().scala$collection$immutable$HashSet$$keepBits__I__I__I(this.bitmap$5, kept));
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap1, elems1, rs)
    }
  };
  get0__O__I__I__Z(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    if ((this.bitmap$5 === (-1))) {
      return this.elems$5.u[(31 & index)].get0__O__I__I__Z(key, hash, ((5 + level) | 0))
    } else if (((this.bitmap$5 & mask) !== 0)) {
      const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
      return this.elems$5.u[offset].get0__O__I__I__Z(key, hash, ((5 + level) | 0))
    } else {
      return false
    }
  };
  removeAll$1__p5__sci_HashSet__sci_ListSet__I__sci_HashSet$HashSetCollision1__sci_HashSet(s, r, level$4, x4$1) {
    _removeAll: while (true) {
      if ((r.isEmpty__Z() || (s === null))) {
        return s
      } else {
        const jsx$1 = s;
        const this$1 = r;
        const this$2 = this$1.reverseList$1__p4__sci_List();
        const temp$s = jsx$1.removed0__O__I__I__sci_HashSet(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2).next__O(), x4$1.hash$6, level$4);
        const this$3 = r;
        const temp$r = $f_sc_TraversableLike__tail__O(this$3);
        s = temp$s;
        r = temp$r;
        continue _removeAll
      }
    }
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    if ((that === this)) {
      return true
    } else {
      if ($is_sci_HashSet$HashTrieSet(that)) {
        const x2 = that;
        if ((this.size0$5 <= x2.size0$5)) {
          let abm = this.bitmap$5;
          const a = this.elems$5;
          let ai = 0;
          const b = x2.elems$5;
          let bbm = x2.bitmap$5;
          let bi = 0;
          if (((abm & bbm) === abm)) {
            while ((abm !== 0)) {
              const alsb = (abm ^ (abm & (((-1) + abm) | 0)));
              const blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
              if ((alsb === blsb)) {
                if ((!a.u[ai].subsetOf0__sci_HashSet__I__Z(b.u[bi], ((5 + level) | 0)))) {
                  return false
                };
                abm = (abm & (~alsb));
                ai = ((1 + ai) | 0)
              };
              bbm = (bbm & (~blsb));
              bi = ((1 + bi) | 0)
            };
            return true
          } else {
            return false
          }
        }
      };
      return false
    }
  };
}
const $is_sci_HashSet$HashTrieSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashTrieSet)))
});
const $isArrayOf_sci_HashSet$HashTrieSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashTrieSet)))
});
const $d_sci_HashSet$HashTrieSet = new $TypeData().initClass({
  sci_HashSet$HashTrieSet: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet", {
  sci_HashSet$HashTrieSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashTrieSet.prototype.$classData = $d_sci_HashSet$HashTrieSet;
class $c_sci_HashSet$LeafHashSet extends $c_sci_HashSet {
}
const $is_sci_HashSet$LeafHashSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$LeafHashSet)))
});
const $isArrayOf_sci_HashSet$LeafHashSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$LeafHashSet)))
});
class $c_sci_ListMap extends $c_sci_AbstractMap {
  repr__scg_Subtractable() {
    return this
  };
  value__O() {
    throw new $c_ju_NoSuchElementException().init___T("value of empty map")
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_ListMap(elem)
  };
  isEmpty__Z() {
    return true
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__T2__sci_Map(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_ListMap(key)
  };
  empty__sc_Map() {
    return $m_sci_ListMap$EmptyListMap$()
  };
  empty__sci_Map() {
    return $m_sci_ListMap$EmptyListMap$()
  };
  size__I() {
    return 0
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return this.$$plus$plus__sc_GenTraversableOnce__sci_ListMap(xs)
  };
  seq__sc_Map() {
    return this
  };
  key__O() {
    throw new $c_ju_NoSuchElementException().init___T("key of empty map")
  };
  iterator__sc_Iterator() {
    const this$1 = this.reverseList$1__p5__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1)
  };
  $$plus__T2__sci_ListMap(kv) {
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this, kv.$$und1__O(), kv.$$und2__O())
  };
  $$plus$plus__sc_GenTraversableOnce__sci_ListMap(xs) {
    return (xs.isEmpty__Z() ? this : xs.$$div$colon__O__F2__O(this, new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
      return (function(x$2$2, x$3$2) {
        const x$2 = x$2$2;
        const x$3 = x$3$2;
        return x$2.$$plus__T2__sci_ListMap(x$3)
      })
    })(this))))
  };
  updated__O__O__sci_Map(key, value) {
    return this.updated__O__O__sci_ListMap(key, value)
  };
  updated__O__O__sci_ListMap(key, value) {
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this, key, value)
  };
  $$minus__O__sci_ListMap(key) {
    return this
  };
  get__O__s_Option(key) {
    return $m_s_None$()
  };
  reverseList$1__p5__sci_List() {
    let curr = this;
    let res = $m_sci_Nil$();
    while ((!curr.isEmpty__Z())) {
      const x$4 = new $c_T2().init___O__O(curr.key__O(), curr.value__O());
      const this$1 = res;
      res = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
      curr = curr.next__sci_ListMap()
    };
    return res
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  next__sci_ListMap() {
    throw new $c_ju_NoSuchElementException().init___T("next of empty map")
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
  stringPrefix__T() {
    return "ListMap"
  };
}
const $is_sci_ListMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListMap)))
});
const $isArrayOf_sci_ListMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListMap)))
});
class $c_sci_Map$EmptyMap$ extends $c_sci_AbstractMap {
  init___() {
    return this
  };
  apply__O__O(key) {
    this.apply__O__sr_Nothing$(key)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this
  };
  $$plus__T2__sci_Map(kv) {
    const key = kv.$$und1__O();
    const value = kv.$$und2__O();
    return new $c_sci_Map$Map1().init___O__O(key, value)
  };
  $$minus__O__sc_Map(key) {
    return this
  };
  size__I() {
    return 0
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  updated__O__O__sci_Map(key, value) {
    return new $c_sci_Map$Map1().init___O__O(key, value)
  };
  get__O__s_Option(key) {
    return $m_s_None$()
  };
  contains__O__Z(key) {
    return false
  };
  apply__O__sr_Nothing$(key) {
    throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
  };
  $$plus__T2__sc_GenMap(kv) {
    const key = kv.$$und1__O();
    const value = kv.$$und2__O();
    return new $c_sci_Map$Map1().init___O__O(key, value)
  };
}
const $d_sci_Map$EmptyMap$ = new $TypeData().initClass({
  sci_Map$EmptyMap$: 0
}, false, "scala.collection.immutable.Map$EmptyMap$", {
  sci_Map$EmptyMap$: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$EmptyMap$.prototype.$classData = $d_sci_Map$EmptyMap$;
let $n_sci_Map$EmptyMap$ = (void 0);
const $m_sci_Map$EmptyMap$ = (function() {
  if ((!$n_sci_Map$EmptyMap$)) {
    $n_sci_Map$EmptyMap$ = new $c_sci_Map$EmptyMap$().init___()
  };
  return $n_sci_Map$EmptyMap$
});
class $c_sci_Map$Map1 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  init___O__O(key1, value1) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    return this
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  size__I() {
    return 1
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map1().init___O__O(this.key1$5, value) : new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, key, value))
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : $m_s_None$())
  };
  contains__O__Z(key) {
    return $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? $m_sci_Map$EmptyMap$() : this)
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map1 = new $TypeData().initClass({
  sci_Map$Map1: 0
}, false, "scala.collection.immutable.Map$Map1", {
  sci_Map$Map1: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map1.prototype.$classData = $d_sci_Map$Map1;
class $c_sci_Map$Map2 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null;
    this.key2$5 = null;
    this.value2$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
      return this.value2$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  size__I() {
    return 2
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value) : new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, key, value)))
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : $m_s_None$()))
  };
  contains__O__Z(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5))
  };
  init___O__O__O__O(key1, value1, key2, value2) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    this.key2$5 = key2;
    this.value2$5 = value2;
    return this
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map1().init___O__O(this.key2$5, this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map1().init___O__O(this.key1$5, this.value1$5) : this))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map2 = new $TypeData().initClass({
  sci_Map$Map2: 0
}, false, "scala.collection.immutable.Map$Map2", {
  sci_Map$Map2: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map2.prototype.$classData = $d_sci_Map$Map2;
class $c_sci_Map$Map3 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null;
    this.key2$5 = null;
    this.value2$5 = null;
    this.key3$5 = null;
    this.value3$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
      return this.value2$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) {
      return this.value3$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  init___O__O__O__O__O__O(key1, value1, key2, value2, key3, value3) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    this.key2$5 = key2;
    this.value2$5 = value2;
    this.key3$5 = key3;
    this.value3$5 = value3;
    return this
  };
  size__I() {
    return 3
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value) : new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, key, value))))
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : $m_s_None$())))
  };
  contains__O__Z(key) {
    return (($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5))
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key2$5, this.value2$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5) : this)))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map3 = new $TypeData().initClass({
  sci_Map$Map3: 0
}, false, "scala.collection.immutable.Map$Map3", {
  sci_Map$Map3: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map3.prototype.$classData = $d_sci_Map$Map3;
class $c_sci_Map$Map4 extends $c_sci_AbstractMap {
  constructor() {
    super();
    this.key1$5 = null;
    this.value1$5 = null;
    this.key2$5 = null;
    this.value2$5 = null;
    this.key3$5 = null;
    this.value3$5 = null;
    this.key4$5 = null;
    this.value4$5 = null
  };
  apply__O__O(key) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
      return this.value1$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
      return this.value2$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) {
      return this.value3$5
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5)) {
      return this.value4$5
    } else {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
    }
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_Map(elem)
  };
  $$plus__T2__sci_Map(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
  foreach__F1__V(f) {
    f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5));
    f.apply__O__O(new $c_T2().init___O__O(this.key4$5, this.value4$5))
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_Map(key)
  };
  size__I() {
    return 4
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5), new $c_T2().init___O__O(this.key4$5, this.value4$5)]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  updated__O__O__sci_Map(key, value) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, value) : new $c_sci_HashMap().init___().updated__O__O__sci_HashMap(this.key1$5, this.value1$5).updated__O__O__sci_HashMap(this.key2$5, this.value2$5).updated__O__O__sci_HashMap(this.key3$5, this.value3$5).updated__O__O__sci_HashMap(this.key4$5, this.value4$5).updated__O__O__sci_HashMap(key, value)))))
  };
  init___O__O__O__O__O__O__O__O(key1, value1, key2, value2, key3, value3, key4, value4) {
    this.key1$5 = key1;
    this.value1$5 = value1;
    this.key2$5 = key2;
    this.value2$5 = value2;
    this.key3$5 = key3;
    this.value3$5 = value3;
    this.key4$5 = key4;
    this.value4$5 = value4;
    return this
  };
  get__O__s_Option(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_s_Some().init___O(this.value4$5) : $m_s_None$()))))
  };
  contains__O__Z(key) {
    return ((($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) || $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5))
  };
  $$minus__O__sci_Map(key) {
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key4$5, this.value4$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5) : this))))
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__sci_Map(kv.$$und1__O(), kv.$$und2__O())
  };
}
const $d_sci_Map$Map4 = new $TypeData().initClass({
  sci_Map$Map4: 0
}, false, "scala.collection.immutable.Map$Map4", {
  sci_Map$Map4: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map4.prototype.$classData = $d_sci_Map$Map4;
class $c_sci_MapLike$$anon$1 extends $c_sc_MapLike$FilteredKeys {
  seq__sc_TraversableOnce() {
    return this
  };
  init___sci_MapLike__F1($$outer, p$1) {
    $c_sc_MapLike$FilteredKeys.prototype.init___sc_MapLike__F1.call(this, $$outer, p$1);
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__T2__sc_Map(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
  $$plus__T2__sci_Map(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Iterable$()
  };
  $$minus__O__sc_Map(key) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, key)
  };
  empty__sc_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this, xs)
  };
  seq__sc_Map() {
    return this
  };
  updated__O__O__sci_Map(key, value) {
    return $f_sci_MapLike__updated__O__O__sci_Map(this, key, value)
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    return this
  };
  $$plus__T2__sc_GenMap(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
}
const $d_sci_MapLike$$anon$1 = new $TypeData().initClass({
  sci_MapLike$$anon$1: 0
}, false, "scala.collection.immutable.MapLike$$anon$1", {
  sci_MapLike$$anon$1: 1,
  sc_MapLike$FilteredKeys: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sc_DefaultMap: 1,
  sci_DefaultMap: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1
});
$c_sci_MapLike$$anon$1.prototype.$classData = $d_sci_MapLike$$anon$1;
class $c_sci_MapLike$$anon$2 extends $c_sc_MapLike$MappedValues {
  seq__sc_TraversableOnce() {
    return this
  };
  init___sci_MapLike__F1($$outer, f$1) {
    $c_sc_MapLike$MappedValues.prototype.init___sc_MapLike__F1.call(this, $$outer, f$1);
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus__T2__sci_Map(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Iterable$()
  };
  $$minus__O__sc_Map(key) {
    return $f_sci_DefaultMap__$$minus__O__sci_Map(this, key)
  };
  empty__sc_Map() {
    return $m_sci_Map$EmptyMap$()
  };
  $$plus$plus__sc_GenTraversableOnce__sci_Map(xs) {
    return $f_sci_MapLike__$$plus$plus__sc_GenTraversableOnce__sci_Map(this, xs)
  };
  seq__sc_Map() {
    return this
  };
  updated__O__O__sci_Map(key, value) {
    return $f_sci_MapLike__updated__O__O__sci_Map(this, key, value)
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    return this
  };
  $$plus__T2__sc_GenMap(kv) {
    return $f_sci_DefaultMap__$$plus__T2__sci_Map(this, kv)
  };
}
const $d_sci_MapLike$$anon$2 = new $TypeData().initClass({
  sci_MapLike$$anon$2: 0
}, false, "scala.collection.immutable.MapLike$$anon$2", {
  sci_MapLike$$anon$2: 1,
  sc_MapLike$MappedValues: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sc_DefaultMap: 1,
  sci_DefaultMap: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1
});
$c_sci_MapLike$$anon$2.prototype.$classData = $d_sci_MapLike$$anon$2;
const $is_scm_Set = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Set)))
});
const $isArrayOf_scm_Set = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Set)))
});
class $c_sc_SeqViewLike$$anon$10 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.other$2 = null;
    this.thatSeq$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  other__sc_GenIterable() {
    return this.other$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Zipped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "Z"
  };
  length__I() {
    return $f_sc_SeqViewLike$Zipped__length__I(this)
  };
  scala$collection$IterableViewLike$Zipped$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  thatSeq__sc_Seq() {
    return ((!this.bitmap$0$2) ? this.thatSeq$lzycompute__p2__sc_Seq() : this.thatSeq$2)
  };
  thatSeq$lzycompute__p2__sc_Seq() {
    if ((!this.bitmap$0$2)) {
      this.thatSeq$2 = $f_sc_SeqViewLike$Zipped__thatSeq__sc_Seq(this);
      this.bitmap$0$2 = true
    };
    return this.thatSeq$2
  };
  init___sc_SeqViewLike__sc_GenIterable($$outer, that$4) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.other$2 = that$4;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$10 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$10: 0
}, false, "scala.collection.SeqViewLike$$anon$10", {
  sc_SeqViewLike$$anon$10: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Zipped: 1,
  sc_IterableViewLike$Zipped: 1
});
$c_sc_SeqViewLike$$anon$10.prototype.$classData = $d_sc_SeqViewLike$$anon$10;
class $c_sci_HashMap extends $c_sci_AbstractMap {
  seq__sc_TraversableOnce() {
    return this
  };
  computeHash__O__I(key) {
    return this.improve__I__I($m_sr_Statics$().anyHash__O__I(key))
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    return this
  };
  filter__F1__sci_HashMap(p) {
    $m_sci_HashMap$();
    const size = this.size__I();
    const x = ((6 + size) | 0);
    const buffer = $newArrayObject($d_sci_HashMap.getArrayOf(), [((x < 224) ? x : 224)]);
    $m_sci_HashMap$();
    const m = this.filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, false, 0, buffer, 0);
    return ((m === null) ? $m_sci_HashMap$EmptyHashMap$() : m)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__sci_HashMap(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv)
  };
  get0__O__I__I__s_Option(key, hash, level) {
    return $m_s_None$()
  };
  $$plus__T2__sci_Map(kv) {
    return this.$$plus__T2__sci_HashMap(kv)
  };
  foreach__F1__V(f) {
    /*<skip>*/
  };
  $$plus__T2__sci_HashMap(kv) {
    return this.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(kv.$$und1__O(), this.computeHash__O__I(kv.$$und1__O()), 0, kv.$$und2__O(), kv, null)
  };
  updated__O__O__sci_HashMap(key, value) {
    return this.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, this.computeHash__O__I(key), 0, value, null, null)
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__sci_HashMap(key)
  };
  empty__sc_Map() {
    $m_sci_HashMap$();
    return $m_sci_HashMap$EmptyHashMap$()
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    return this
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    return null
  };
  $$minus__O__sci_HashMap(key) {
    return this.removed0__O__I__I__sci_HashMap(key, this.computeHash__O__I(key), 0)
  };
  filter__F1__O(p) {
    return this.filter__F1__sci_HashMap(p)
  };
  empty__sci_Map() {
    $m_sci_HashMap$();
    return $m_sci_HashMap$EmptyHashMap$()
  };
  size__I() {
    return 0
  };
  seq__sc_Map() {
    return this
  };
  iterator__sc_Iterator() {
    return $m_sc_Iterator$().empty$1
  };
  updated__O__O__sci_Map(key, value) {
    return this.updated__O__O__sci_HashMap(key, value)
  };
  tail__sci_HashMap() {
    return this.$$minus__O__sci_HashMap(this.head__O().$$und1__O())
  };
  improve__I__I(hcode) {
    let h = ((hcode + (~(hcode << 9))) | 0);
    h = (h ^ ((h >>> 14) | 0));
    h = ((h + (h << 4)) | 0);
    return (h ^ ((h >>> 10) | 0))
  };
  get__O__s_Option(key) {
    return this.get0__O__I__I__s_Option(key, this.computeHash__O__I(key), 0)
  };
  contains0__O__I__I__Z(key, hash, level) {
    return false
  };
  contains__O__Z(key) {
    return this.contains0__O__I__I__Z(key, this.computeHash__O__I(key), 0)
  };
  tail__O() {
    return this.tail__sci_HashMap()
  };
  keySet__sc_Set() {
    return new $c_sci_MapLike$ImmutableDefaultKeySet().init___sci_MapLike(this)
  };
  toSeq__sc_GenSeq() {
    return $f_sc_MapLike__toSeq__sc_Seq(this)
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sci_HashMap(kv)
  };
}
const $d_sci_HashMap = new $TypeData().initClass({
  sci_HashMap: 0
}, false, "scala.collection.immutable.HashMap", {
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap.prototype.$classData = $d_sci_HashMap;
class $c_sci_HashSet$HashSet1 extends $c_sci_HashSet$LeafHashSet {
  constructor() {
    super();
    this.key$6 = null;
    this.hash$6 = 0
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
      return this
    } else if ((hash !== this.hash$6)) {
      return $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level)
    } else {
      const this$2 = $m_sci_ListSet$EmptyListSet$();
      const elem = this.key$6;
      return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, new $c_sci_ListSet$Node().init___sci_ListSet__O(this$2, elem).$$plus__O__sci_ListSet(key))
    }
  };
  union0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return that.union0__sci_HashSet$LeafHashSet__I__sci_HashSet(this, level)
  };
  init___O__I(key, hash) {
    this.key$6 = key;
    this.hash$6 = hash;
    return this
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.key$6)
  };
  union0__sci_HashSet$LeafHashSet__I__sci_HashSet(that, level) {
    if ((that.hash__I() !== this.hash$6)) {
      return $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, that.hash__I(), that, level)
    } else if ($is_sci_HashSet$HashSet1(that)) {
      const x2 = that;
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(this.key$6, x2.key$6)) {
        return this
      } else {
        const jsx$1 = this.hash$6;
        const this$2 = $m_sci_ListSet$EmptyListSet$();
        const elem = this.key$6;
        return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(jsx$1, new $c_sci_ListSet$Node().init___sci_ListSet__O(this$2, elem).$$plus__O__sci_ListSet(x2.key$6))
      }
    } else if ($is_sci_HashSet$HashSetCollision1(that)) {
      const x3 = that;
      const ks1 = x3.ks$6.$$plus__O__sci_ListSet(this.key$6);
      return ((ks1.size__I() === x3.ks$6.size__I()) ? x3 : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1))
    } else {
      throw new $c_s_MatchError().init___O(that)
    }
  };
  size__I() {
    return 1
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.key$6]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? null : this)
  };
  intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return (that.get0__O__I__I__Z(this.key$6, this.hash$6, level) ? this : null)
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    return (that.get0__O__I__I__Z(this.key$6, this.hash$6, level) ? null : this)
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    return ((negate !== (!(!p.apply__O__O(this.key$6)))) ? this : null)
  };
  hash__I() {
    return this.hash$6
  };
  get0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    return that.get0__O__I__I__Z(this.key$6, this.hash$6, level)
  };
}
const $is_sci_HashSet$HashSet1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashSet1)))
});
const $isArrayOf_sci_HashSet$HashSet1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashSet1)))
});
const $d_sci_HashSet$HashSet1 = new $TypeData().initClass({
  sci_HashSet$HashSet1: 0
}, false, "scala.collection.immutable.HashSet$HashSet1", {
  sci_HashSet$HashSet1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSet1.prototype.$classData = $d_sci_HashSet$HashSet1;
class $c_sci_HashSet$HashSetCollision1 extends $c_sci_HashSet$LeafHashSet {
  constructor() {
    super();
    this.hash$6 = 0;
    this.ks$6 = null
  };
  updated0__O__I__I__sci_HashSet(key, hash, level) {
    return ((hash === this.hash$6) ? new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, this.ks$6.$$plus__O__sci_ListSet(key)) : $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level))
  };
  union0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    if ($is_sci_HashSet$LeafHashSet(that)) {
      const x2 = that;
      return this.union0__sci_HashSet$LeafHashSet__I__sci_HashSet(x2, level)
    } else if ($is_sci_HashSet$HashTrieSet(that)) {
      const x3 = that;
      return x3.union0__sci_HashSet$LeafHashSet__I__sci_HashSet(this, level)
    } else {
      return this
    }
  };
  foreach__F1__V(f) {
    const this$1 = this.ks$6;
    const this$2 = this$1.reverseList$1__p4__sci_List();
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    $f_sc_Iterator__foreach__F1__V(this$3, f)
  };
  union0__sci_HashSet$LeafHashSet__I__sci_HashSet(that, level) {
    if ((that.hash__I() !== this.hash$6)) {
      return $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, that.hash__I(), that, level)
    } else if ($is_sci_HashSet$HashSet1(that)) {
      const x2 = that;
      const ks1 = this.ks$6.$$plus__O__sci_ListSet(x2.key$6);
      return ((ks1.size__I() === this.ks$6.size__I()) ? this : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1))
    } else if ($is_sci_HashSet$HashSetCollision1(that)) {
      const x3 = that;
      const ks1$2 = this.ks$6.$$plus$plus__sc_GenTraversableOnce__sci_ListSet(x3.ks$6);
      const x1$2 = ks1$2.size__I();
      switch (x1$2) {
        default: {
          return ((x1$2 === this.ks$6.size__I()) ? this : ((x1$2 === x3.ks$6.size__I()) ? x3 : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1$2)))
        }
      }
    } else {
      throw new $c_s_MatchError().init___O(that)
    }
  };
  size__I() {
    return this.ks$6.size__I()
  };
  iterator__sc_Iterator() {
    const this$1 = this.ks$6;
    const this$2 = this$1.reverseList$1__p4__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2)
  };
  removed0__O__I__I__sci_HashSet(key, hash, level) {
    if ((hash === this.hash$6)) {
      const ks1 = this.ks$6.$$minus__O__sci_ListSet(key);
      const x1 = ks1.size__I();
      switch (x1) {
        case 0: {
          return null;
          break
        }
        case 1: {
          const this$1 = ks1.reverseList$1__p4__sci_List();
          return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1).next__O(), hash);
          break
        }
        default: {
          return ((x1 === this.ks$6.size__I()) ? this : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, ks1))
        }
      }
    } else {
      return this
    }
  };
  intersect0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    const this$1 = this.ks$6;
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_ListSet$EmptyListSet$());
    const this$3 = this$1.reverseList$1__p4__sci_List();
    const this$4 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3);
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      if ((that.get0__O__I__I__Z(arg1, this.hash$6, level) !== false)) {
        b.$$plus$eq__O__scm_SetBuilder(arg1)
      }
    };
    const ks1 = b.elems$1;
    const x1 = ks1.size__I();
    if ((x1 === 0)) {
      return null
    } else if ((x1 === this.ks$6.size__I())) {
      return this
    } else if ((x1 === that.size__I())) {
      return that
    } else if ((x1 === 1)) {
      const this$5 = ks1.reverseList$1__p4__sci_List();
      return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$5).next__O(), this.hash$6)
    } else {
      return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1)
    }
  };
  init___I__sci_ListSet(hash, ks) {
    this.hash$6 = hash;
    this.ks$6 = ks;
    return this
  };
  diff0__sci_HashSet__I__Asci_HashSet__I__sci_HashSet(that, level, buffer, offset0) {
    const this$1 = this.ks$6;
    const b = new $c_scm_SetBuilder().init___sc_Set($m_sci_ListSet$EmptyListSet$());
    const this$3 = this$1.reverseList$1__p4__sci_List();
    const this$4 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3);
    while (this$4.hasNext__Z()) {
      const arg1 = this$4.next__O();
      if ((that.get0__O__I__I__Z(arg1, this.hash$6, level) !== true)) {
        b.$$plus$eq__O__scm_SetBuilder(arg1)
      }
    };
    const ks1 = b.elems$1;
    const x1 = ks1.size__I();
    if ((x1 === 0)) {
      return null
    } else if ((x1 === this.ks$6.size__I())) {
      return this
    } else if ((x1 === 1)) {
      const this$5 = ks1.reverseList$1__p4__sci_List();
      return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$5).next__O(), this.hash$6)
    } else {
      return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1)
    }
  };
  filter0__F1__Z__I__Asci_HashSet__I__sci_HashSet(p, negate, level, buffer, offset0) {
    let ks1;
    if (negate) {
      const this$1 = this.ks$6;
      ks1 = $f_sc_TraversableLike__filterImpl__F1__Z__O(this$1, p, true)
    } else {
      const this$2 = this.ks$6;
      ks1 = $f_sc_TraversableLike__filterImpl__F1__Z__O(this$2, p, false)
    };
    const x1 = ks1.size__I();
    switch (x1) {
      case 0: {
        return null;
        break
      }
      case 1: {
        const this$3 = ks1.reverseList$1__p4__sci_List();
        return new $c_sci_HashSet$HashSet1().init___O__I(new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3).next__O(), this.hash$6);
        break
      }
      default: {
        return ((x1 === this.ks$6.size__I()) ? this : new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(this.hash$6, ks1))
      }
    }
  };
  hash__I() {
    return this.hash$6
  };
  get0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && this.ks$6.contains__O__Z(key))
  };
  subsetOf0__sci_HashSet__I__Z(that, level) {
    const this$1 = this.ks$6;
    const this$2 = this$1.reverseList$1__p4__sci_List();
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    let res = true;
    while ((res && this$3.hasNext__Z())) {
      const arg1 = this$3.next__O();
      res = that.get0__O__I__I__Z(arg1, this.hash$6, level)
    };
    return res
  };
}
const $is_sci_HashSet$HashSetCollision1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashSetCollision1)))
});
const $isArrayOf_sci_HashSet$HashSetCollision1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashSetCollision1)))
});
const $d_sci_HashSet$HashSetCollision1 = new $TypeData().initClass({
  sci_HashSet$HashSetCollision1: 0
}, false, "scala.collection.immutable.HashSet$HashSetCollision1", {
  sci_HashSet$HashSetCollision1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSetCollision1.prototype.$classData = $d_sci_HashSet$HashSetCollision1;
class $c_sci_ListMap$EmptyListMap$ extends $c_sci_ListMap {
  init___() {
    return this
  };
}
const $d_sci_ListMap$EmptyListMap$ = new $TypeData().initClass({
  sci_ListMap$EmptyListMap$: 0
}, false, "scala.collection.immutable.ListMap$EmptyListMap$", {
  sci_ListMap$EmptyListMap$: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$EmptyListMap$.prototype.$classData = $d_sci_ListMap$EmptyListMap$;
let $n_sci_ListMap$EmptyListMap$ = (void 0);
const $m_sci_ListMap$EmptyListMap$ = (function() {
  if ((!$n_sci_ListMap$EmptyListMap$)) {
    $n_sci_ListMap$EmptyListMap$ = new $c_sci_ListMap$EmptyListMap$().init___()
  };
  return $n_sci_ListMap$EmptyListMap$
});
class $c_sci_ListMap$Node extends $c_sci_ListMap {
  constructor() {
    super();
    this.key$6 = null;
    this.value$6 = null;
    this.$$outer$6 = null
  };
  removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, cur, acc) {
    _removeInternal: while (true) {
      if (cur.isEmpty__Z()) {
        const this$1 = acc;
        return $f_sc_LinearSeqOptimized__last__O(this$1)
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
        const x$5 = cur.next__sci_ListMap();
        const this$2 = acc;
        let acc$1 = x$5;
        let these = this$2;
        while ((!these.isEmpty__Z())) {
          const arg1 = acc$1;
          const arg2 = these.head__O();
          const x0$1 = arg1;
          const x1$1 = arg2;
          acc$1 = new $c_sci_ListMap$Node().init___sci_ListMap__O__O(x0$1, x1$1.key__O(), x1$1.value__O());
          these = these.tail__O()
        };
        return acc$1
      } else {
        const temp$cur = cur.next__sci_ListMap();
        const x$6 = cur;
        const this$3 = acc;
        const temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$6, this$3);
        cur = temp$cur;
        acc = temp$acc;
        continue _removeInternal
      }
    }
  };
  apply__O__O(k) {
    return this.applyInternal__p6__sci_ListMap__O__O(this, k)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(elem, this, $m_sci_Nil$())
  };
  value__O() {
    return this.value$6
  };
  isEmpty__Z() {
    return false
  };
  applyInternal__p6__sci_ListMap__O__O(cur, k) {
    _applyInternal: while (true) {
      if (cur.isEmpty__Z()) {
        throw new $c_ju_NoSuchElementException().init___T(("key not found: " + k))
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
        return cur.value__O()
      } else {
        cur = cur.next__sci_ListMap();
        continue _applyInternal
      }
    }
  };
  getInternal__p6__sci_ListMap__O__s_Option(cur, k) {
    _getInternal: while (true) {
      if (cur.isEmpty__Z()) {
        return $m_s_None$()
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
        return new $c_s_Some().init___O(cur.value__O())
      } else {
        cur = cur.next__sci_ListMap();
        continue _getInternal
      }
    }
  };
  sizeInternal__p6__sci_ListMap__I__I(cur, acc) {
    _sizeInternal: while (true) {
      if (cur.isEmpty__Z()) {
        return acc
      } else {
        const temp$cur = cur.next__sci_ListMap();
        const temp$acc = ((1 + acc) | 0);
        cur = temp$cur;
        acc = temp$acc;
        continue _sizeInternal
      }
    }
  };
  $$plus__T2__sci_Map(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
  $$minus__O__sc_Map(key) {
    return this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(key, this, $m_sci_Nil$())
  };
  size__I() {
    return this.sizeInternal__p6__sci_ListMap__I__I(this, 0)
  };
  key__O() {
    return this.key$6
  };
  $$plus__T2__sci_ListMap(kv) {
    const k = kv.$$und1__O();
    const m = this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$());
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(m, kv.$$und1__O(), kv.$$und2__O())
  };
  updated__O__O__sci_Map(key, value) {
    return this.updated__O__O__sci_ListMap(key, value)
  };
  updated__O__O__sci_ListMap(k, v) {
    const m = this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$());
    return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(m, k, v)
  };
  $$minus__O__sci_ListMap(k) {
    return this.removeInternal__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$())
  };
  get__O__s_Option(k) {
    return this.getInternal__p6__sci_ListMap__O__s_Option(this, k)
  };
  init___sci_ListMap__O__O($$outer, key, value) {
    this.key$6 = key;
    this.value$6 = value;
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$6 = $$outer
    };
    return this
  };
  contains__O__Z(k) {
    return this.containsInternal__p6__sci_ListMap__O__Z(this, k)
  };
  containsInternal__p6__sci_ListMap__O__Z(cur, k) {
    _containsInternal: while (true) {
      if ((!cur.isEmpty__Z())) {
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
          return true
        } else {
          cur = cur.next__sci_ListMap();
          continue _containsInternal
        }
      } else {
        return false
      }
    }
  };
  next__sci_ListMap() {
    return this.$$outer$6
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.$$plus__T2__sci_ListMap(kv)
  };
}
const $d_sci_ListMap$Node = new $TypeData().initClass({
  sci_ListMap$Node: 0
}, false, "scala.collection.immutable.ListMap$Node", {
  sci_ListMap$Node: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$Node.prototype.$classData = $d_sci_ListMap$Node;
class $c_sci_Range extends $c_sc_AbstractSeq {
  constructor() {
    super();
    this.start$4 = 0;
    this.end$4 = 0;
    this.step$4 = 0;
    this.isEmpty$4 = false;
    this.scala$collection$immutable$Range$$numRangeElements$4 = 0;
    this.scala$collection$immutable$Range$$lastElement$4 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  isInclusive__Z() {
    return false
  };
  head__O() {
    return this.head__I()
  };
  apply__I__O(idx) {
    return this.apply$mcII$sp__I__I(idx)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return this.apply$mcII$sp__I__I(idx)
  };
  isEmpty__Z() {
    return this.isEmpty$4
  };
  seq__sc_Iterable() {
    return this
  };
  longLength__p4__J() {
    const t = this.gap__p4__J();
    const lo = t.lo$2;
    const hi$1 = t.hi$2;
    const value = this.step$4;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$1.divideImpl__I__I__I__I__I(lo, hi$1, value, hi);
    const hi$2 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    const value$1 = (this.hasStub__p4__Z() ? 1 : 0);
    const hi$3 = (value$1 >> 31);
    const lo$2 = ((lo$1 + value$1) | 0);
    const hi$4 = ((((-2147483648) ^ lo$2) < ((-2147483648) ^ lo$1)) ? ((1 + ((hi$2 + hi$3) | 0)) | 0) : ((hi$2 + hi$3) | 0));
    return new $c_sjsr_RuntimeLong().init___I__I(lo$2, hi$4)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  locationAfterN__p4__I__I(n) {
    return ((this.start$4 + $imul(this.step$4, n)) | 0)
  };
  equals__O__Z(other) {
    if ($is_sci_Range(other)) {
      const x2 = other;
      if (this.isEmpty$4) {
        return x2.isEmpty$4
      } else if (($f_sc_TraversableOnce__nonEmpty__Z(x2) && (this.start$4 === x2.start$4))) {
        const l0 = this.last__I();
        return ((l0 === x2.last__I()) && ((this.start$4 === l0) || (this.step$4 === x2.step$4)))
      } else {
        return false
      }
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, other)
    }
  };
  argTakeWhile__p4__F1__J(p) {
    if (this.isEmpty$4) {
      const value = this.start$4;
      const hi = (value >> 31);
      return new $c_sjsr_RuntimeLong().init___I__I(value, hi)
    } else {
      let current = this.start$4;
      const stop = this.last__I();
      while (((current !== stop) && p.apply$mcZI$sp__I__Z(current))) {
        current = ((current + this.step$4) | 0)
      };
      if (((current !== stop) || (!p.apply$mcZI$sp__I__Z(current)))) {
        const value$1 = current;
        const hi$1 = (value$1 >> 31);
        return new $c_sjsr_RuntimeLong().init___I__I(value$1, hi$1)
      } else {
        const value$2 = current;
        const hi$2 = (value$2 >> 31);
        const value$3 = this.step$4;
        const hi$3 = (value$3 >> 31);
        const lo = ((value$2 + value$3) | 0);
        const hi$4 = ((((-2147483648) ^ lo) < ((-2147483648) ^ value$2)) ? ((1 + ((hi$2 + hi$3) | 0)) | 0) : ((hi$2 + hi$3) | 0));
        return new $c_sjsr_RuntimeLong().init___I__I(lo, hi$4)
      }
    }
  };
  dropWhile__F1__O(p) {
    return this.dropWhile__F1__sci_Range(p)
  };
  apply$mcII$sp__I__I(idx) {
    this.scala$collection$immutable$Range$$validateMaxLength__V();
    if (((idx < 0) || (idx >= this.scala$collection$immutable$Range$$numRangeElements$4))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
    } else {
      return ((this.start$4 + $imul(this.step$4, idx)) | 0)
    }
  };
  init___I__I__I(start, end, step) {
    this.start$4 = start;
    this.end$4 = end;
    this.step$4 = step;
    this.isEmpty$4 = ((((start > end) && (step > 0)) || ((start < end) && (step < 0))) || ((start === end) && (!this.isInclusive__Z())));
    let jsx$1;
    if ((step === 0)) {
      throw new $c_jl_IllegalArgumentException().init___T("step cannot be 0.")
    } else if (this.isEmpty$4) {
      jsx$1 = 0
    } else {
      const t = this.longLength__p4__J();
      const lo = t.lo$2;
      const hi = t.hi$2;
      jsx$1 = (((hi === 0) ? (((-2147483648) ^ lo) > (-1)) : (hi > 0)) ? (-1) : lo)
    };
    this.scala$collection$immutable$Range$$numRangeElements$4 = jsx$1;
    let jsx$2;
    switch (step) {
      case 1: {
        jsx$2 = (this.isInclusive__Z() ? end : (((-1) + end) | 0));
        break
      }
      case (-1): {
        jsx$2 = (this.isInclusive__Z() ? end : ((1 + end) | 0));
        break
      }
      default: {
        const t$1 = this.gap__p4__J();
        const lo$1 = t$1.lo$2;
        const hi$2 = t$1.hi$2;
        const hi$1 = (step >> 31);
        const this$1 = $m_sjsr_RuntimeLong$();
        const lo$2 = this$1.remainderImpl__I__I__I__I__I(lo$1, hi$2, step, hi$1);
        jsx$2 = ((lo$2 !== 0) ? ((end - lo$2) | 0) : (this.isInclusive__Z() ? end : ((end - step) | 0)))
      }
    };
    this.scala$collection$immutable$Range$$lastElement$4 = jsx$2;
    return this
  };
  takeWhile__F1__sci_Range(p) {
    const t = this.argTakeWhile__p4__F1__J(p);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.start$4;
    const hi$1 = (value >> 31);
    if (((lo === value) && (hi === hi$1))) {
      const value$1 = this.start$4;
      return new $c_sci_Range().init___I__I__I(value$1, value$1, this.step$4)
    } else {
      const value$2 = this.step$4;
      const hi$2 = (value$2 >> 31);
      const lo$1 = ((lo - value$2) | 0);
      return ((lo$1 === this.last__I()) ? this : new $c_sci_Range$Inclusive().init___I__I__I(this.start$4, lo$1, this.step$4))
    }
  };
  companion__scg_GenericCompanion() {
    return $m_sci_IndexedSeq$()
  };
  toString__T() {
    const preposition = (this.isInclusive__Z() ? "to" : "until");
    const stepped = ((this.step$4 === 1) ? "" : new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([" by ", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.step$4])));
    const prefix = (this.isEmpty$4 ? "empty " : ((!this.isExact__p4__Z()) ? "inexact " : ""));
    return new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "Range ", " ", " ", "", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([prefix, this.start$4, preposition, this.end$4, stepped]))
  };
  foreach__F1__V(f) {
    if ((!this.isEmpty$4)) {
      let i = this.start$4;
      while (true) {
        f.apply__O__O(i);
        if ((i === this.scala$collection$immutable$Range$$lastElement$4)) {
          return (void 0)
        };
        i = ((i + this.step$4) | 0)
      }
    }
  };
  hasStub__p4__Z() {
    return (this.isInclusive__Z() || (!this.isExact__p4__Z()))
  };
  takeWhile__F1__O(p) {
    return this.takeWhile__F1__sci_Range(p)
  };
  copy__I__I__I__sci_Range(start, end, step) {
    return new $c_sci_Range().init___I__I__I(start, end, step)
  };
  tail__sci_Range() {
    if (this.isEmpty$4) {
      $m_sci_Nil$().tail__sci_List()
    };
    return this.drop__I__sci_Range(1)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length__I())
  };
  span__F1__T2(p) {
    const t = this.argTakeWhile__p4__F1__J(p);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.start$4;
    const hi$1 = (value >> 31);
    if (((lo === value) && (hi === hi$1))) {
      const value$1 = this.start$4;
      return new $c_T2().init___O__O(new $c_sci_Range().init___I__I__I(value$1, value$1, this.step$4), this)
    } else {
      const value$2 = this.step$4;
      const hi$2 = (value$2 >> 31);
      const lo$1 = ((lo - value$2) | 0);
      if ((lo$1 === this.last__I())) {
        const value$3 = this.last__I();
        return new $c_T2().init___O__O(this, new $c_sci_Range().init___I__I__I(value$3, value$3, this.step$4))
      } else {
        return new $c_T2().init___O__O(new $c_sci_Range$Inclusive().init___I__I__I(this.start$4, lo$1, this.step$4), new $c_sci_Range$Inclusive().init___I__I__I(((lo$1 + this.step$4) | 0), this.last__I(), this.step$4))
      }
    }
  };
  scala$collection$immutable$Range$$validateMaxLength__V() {
    if ((this.scala$collection$immutable$Range$$numRangeElements$4 < 0)) {
      $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(this.start$4, this.end$4, this.step$4, this.isInclusive__Z())
    }
  };
  dropWhile__F1__sci_Range(p) {
    const t = this.argTakeWhile__p4__F1__J(p);
    const lo = t.lo$2;
    const hi = t.hi$2;
    const value = this.start$4;
    const hi$1 = (value >> 31);
    if (((lo === value) && (hi === hi$1))) {
      return this
    } else {
      const value$1 = this.step$4;
      const hi$2 = (value$1 >> 31);
      const lo$1 = ((lo - value$1) | 0);
      if ((lo$1 === this.last__I())) {
        const value$2 = this.last__I();
        return new $c_sci_Range().init___I__I__I(value$2, value$2, this.step$4)
      } else {
        return new $c_sci_Range$Inclusive().init___I__I__I(((lo$1 + this.step$4) | 0), this.last__I(), this.step$4)
      }
    }
  };
  length__I() {
    return ((this.scala$collection$immutable$Range$$numRangeElements$4 < 0) ? $m_sci_Range$().scala$collection$immutable$Range$$fail__I__I__I__Z__sr_Nothing$(this.start$4, this.end$4, this.step$4, this.isInclusive__Z()) : this.scala$collection$immutable$Range$$numRangeElements$4)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  drop__I__sci_Range(n) {
    if (((n <= 0) || this.isEmpty$4)) {
      return this
    } else if (((n >= this.scala$collection$immutable$Range$$numRangeElements$4) && (this.scala$collection$immutable$Range$$numRangeElements$4 >= 0))) {
      const value = this.end$4;
      return new $c_sci_Range().init___I__I__I(value, value, this.step$4)
    } else {
      return this.copy__I__I__I__sci_Range(this.locationAfterN__p4__I__I(n), this.end$4, this.step$4)
    }
  };
  isExact__p4__Z() {
    const t = this.gap__p4__J();
    const lo = t.lo$2;
    const hi$1 = t.hi$2;
    const value = this.step$4;
    const hi = (value >> 31);
    const this$1 = $m_sjsr_RuntimeLong$();
    const lo$1 = this$1.remainderImpl__I__I__I__I__I(lo, hi$1, value, hi);
    const hi$2 = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return ((lo$1 === 0) && (hi$2 === 0))
  };
  last__O() {
    return this.last__I()
  };
  drop__I__O(n) {
    return this.drop__I__sci_Range(n)
  };
  tail__O() {
    return this.tail__sci_Range()
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  last__I() {
    if (this.isEmpty$4) {
      const this$1 = $m_sci_Nil$();
      return ($f_sc_LinearSeqOptimized__last__O(this$1) | 0)
    } else {
      return this.scala$collection$immutable$Range$$lastElement$4
    }
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  head__I() {
    return (this.isEmpty$4 ? $m_sci_Nil$().head__sr_Nothing$() : this.start$4)
  };
  gap__p4__J() {
    const value = this.end$4;
    const hi = (value >> 31);
    const value$1 = this.start$4;
    const hi$1 = (value$1 >> 31);
    const lo = ((value - value$1) | 0);
    const hi$2 = ((((-2147483648) ^ lo) > ((-2147483648) ^ value)) ? (((-1) + ((hi - hi$1) | 0)) | 0) : ((hi - hi$1) | 0));
    return new $c_sjsr_RuntimeLong().init___I__I(lo, hi$2)
  };
}
const $is_sci_Range = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Range)))
});
const $isArrayOf_sci_Range = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Range)))
});
const $d_sci_Range = new $TypeData().initClass({
  sci_Range: 0
}, false, "scala.collection.immutable.Range", {
  sci_Range: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range.prototype.$classData = $d_sci_Range;
class $c_sci_Stream extends $c_sc_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this
  };
  apply__I__O(n) {
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_LinearSeqOptimized__lengthCompare__I__I(this, len)
  };
  apply__O__O(v1) {
    const n = (v1 | 0);
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return this.flatten__F1__sci_Stream(asTraversable)
  };
  exists__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__exists__F1__Z(this, p)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if (this.isEmpty__Z()) {
        x$1 = $m_sci_Stream$Empty$()
      } else {
        const nonEmptyPrefix = new $c_sr_ObjectRef().init___O(this);
        let prefix = f.apply__O__O(nonEmptyPrefix.elem$1.head__O()).toStream__sci_Stream();
        while (((!nonEmptyPrefix.elem$1.isEmpty__Z()) && prefix.isEmpty__Z())) {
          nonEmptyPrefix.elem$1 = nonEmptyPrefix.elem$1.tail__O();
          if ((!nonEmptyPrefix.elem$1.isEmpty__Z())) {
            prefix = f.apply__O__O(nonEmptyPrefix.elem$1.head__O()).toStream__sci_Stream()
          }
        };
        x$1 = (nonEmptyPrefix.elem$1.isEmpty__Z() ? ($m_sci_Stream$(), $m_sci_Stream$Empty$()) : prefix.append__F0__sci_Stream(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1, nonEmptyPrefix$1) {
          return (function() {
            const x = nonEmptyPrefix$1.elem$1.tail__O().flatMap__F1__scg_CanBuildFrom__O(f$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, f, nonEmptyPrefix))))
      };
      return x$1
    } else {
      return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  equals__O__Z(that) {
    return ((this === that) || $f_sc_GenSeqLike__equals__O__Z(this, that))
  };
  filterImpl__F1__Z__sci_Stream(p, isFlipped) {
    let rest = this;
    while (((!rest.isEmpty__Z()) && ((!(!p.apply__O__O(rest.head__O()))) === isFlipped))) {
      rest = rest.tail__O()
    };
    const this$1 = rest;
    if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
      return $m_sci_Stream$().filteredTail__sci_Stream__F1__Z__sci_Stream$Cons(rest, p, isFlipped)
    } else {
      return $m_sci_Stream$Empty$()
    }
  };
  drop__I__sc_LinearSeqOptimized(n) {
    return this.drop__I__sci_Stream(n)
  };
  mkString__T__T(sep) {
    return this.mkString__T__T__T__T("", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    this.force__sci_Stream();
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Stream$()
  };
  toString__T() {
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this, "Stream(", ", ", ")")
  };
  foreach__F1__V(f) {
    let _$this = this;
    _foreach: while (true) {
      if ((!_$this.isEmpty__Z())) {
        f.apply__O__O(_$this.head__O());
        _$this = _$this.tail__O();
        continue _foreach
      };
      break
    }
  };
  foldLeft__O__F2__O(z, op) {
    let _$this = this;
    _foldLeft: while (true) {
      if (_$this.isEmpty__Z()) {
        return z
      } else {
        const temp$_$this = _$this.tail__O();
        const temp$z = op.apply__O__O__O(z, _$this.head__O());
        _$this = temp$_$this;
        z = temp$z;
        continue _foldLeft
      }
    }
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_LinearSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  loop$2__p4__sci_Set__sci_Stream__sci_Stream(seen, rest) {
    _loop: while (true) {
      if (rest.isEmpty__Z()) {
        return rest
      } else {
        const elem = rest.head__O();
        if (seen.contains__O__Z(elem)) {
          rest = rest.tail__O();
          continue _loop
        } else {
          const hd = rest.head__O();
          const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, seen$1, rest$1) {
            return (function() {
              return $this.loop$2__p4__sci_Set__sci_Stream__sci_Stream(seen$1.$$plus__O__sc_Set(rest$1.head__O()), rest$1.tail__O())
            })
          })(this, seen, rest));
          return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
        }
      }
    }
  };
  filterImpl__F1__Z__O(p, isFlipped) {
    return this.filterImpl__F1__Z__sci_Stream(p, isFlipped)
  };
  distinct__O() {
    return this.distinct__sci_Stream()
  };
  distinct__sci_Stream() {
    return this.loop$2__p4__sci_Set__sci_Stream__sci_Stream($m_sci_Set$().apply__sc_Seq__sc_GenTraversable($m_sci_Nil$()), this)
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
        return (function() {
          return $this
        })
      })(this));
      const x = new $c_sci_Stream$Cons().init___O__F0(elem, tl);
      return x
    } else {
      return $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf)
    }
  };
  iterator__sc_Iterator() {
    return new $c_sci_StreamIterator().init___sci_Stream(this)
  };
  find__F1__s_Option(p) {
    return $f_sc_LinearSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_LinearSeqOptimized__span__F1__T2(this, p)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if (this.isEmpty__Z()) {
        x$1 = that.toStream__sci_Stream()
      } else {
        const hd = this.head__O();
        const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, that$1) {
          return (function() {
            const x = $this.tail__O().$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, that));
        x$1 = new $c_sci_Stream$Cons().init___O__F0(hd, tl)
      };
      return x$1
    } else {
      return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf)
    }
  };
  length__I() {
    let len = 0;
    let left = this;
    while ((!left.isEmpty__Z())) {
      len = ((1 + len) | 0);
      left = left.tail__O()
    };
    return len
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    const this$1 = $m_sci_Stream$();
    return this.zip__sc_GenIterable__scg_CanBuildFrom__O(this$1.from__I__I__sci_Stream(0, 1), bf)
  };
  seq__sc_Seq() {
    return this
  };
  partition__F1__T2(p) {
    const p$2 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, p$1) {
      return (function(x$1$2) {
        return (!(!p$1.apply__O__O(x$1$2)))
      })
    })(this, p));
    const jsx$1 = this.filterImpl__F1__Z__sci_Stream(p$2, false);
    const p$4 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(this$2, p$3) {
      return (function(x$2$2) {
        return (!(!p$3.apply__O__O(x$2$2)))
      })
    })(this, p));
    return new $c_T2().init___O__O(jsx$1, this.filterImpl__F1__Z__sci_Stream(p$4, true))
  };
  take__I__O(n) {
    return this.take__I__sci_Stream(n)
  };
  toStream__sci_Stream() {
    return this
  };
  view__sc_SeqView() {
    return new $c_sci_Stream$$anon$1().init___sci_Stream(this)
  };
  flatten__F1__sci_Stream(asTraversable) {
    const st = new $c_sr_ObjectRef().init___O(this);
    while (true) {
      const this$2 = st.elem$1;
      if ($f_sc_TraversableOnce__nonEmpty__Z(this$2)) {
        const h = asTraversable.apply__O__O(st.elem$1.head__O());
        if (h.isEmpty__Z()) {
          st.elem$1 = st.elem$1.tail__O()
        } else {
          const x$4 = h.toStream__sci_Stream();
          $m_sci_Stream$();
          const stream = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, asTraversable$1, st$1) {
            return (function() {
              return st$1.elem$1.tail__O().flatten__F1__sci_Stream(asTraversable$1)
            })
          })(this, asTraversable, st));
          return new $c_sci_Stream$ConsWrapper().init___F0(stream).$$hash$colon$colon$colon__sci_Stream__sci_Stream(x$4)
        }
      } else {
        break
      }
    };
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  };
  drop__I__O(n) {
    return this.drop__I__sci_Stream(n)
  };
  drop__I__sci_Stream(n) {
    let _$this = this;
    _drop: while (true) {
      if (((n <= 0) || _$this.isEmpty__Z())) {
        return _$this
      } else {
        const temp$_$this = _$this.tail__O();
        const temp$n = (((-1) + n) | 0);
        _$this = temp$_$this;
        n = temp$n;
        continue _drop
      }
    }
  };
  thisCollection__sc_Seq() {
    return this
  };
  contains__O__Z(elem) {
    return $f_sc_LinearSeqOptimized__contains__O__Z(this, elem)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    b.append__T__scm_StringBuilder(start);
    if ((!this.isEmpty__Z())) {
      b.append__O__scm_StringBuilder(this.head__O());
      let cursor = this;
      let n = 1;
      if (cursor.tailDefined__Z()) {
        let scout = this.tail__O();
        if (scout.isEmpty__Z()) {
          b.append__T__scm_StringBuilder(end);
          return b
        };
        if ((cursor !== scout)) {
          cursor = scout;
          if (scout.tailDefined__Z()) {
            scout = scout.tail__O();
            while (((cursor !== scout) && scout.tailDefined__Z())) {
              b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
              n = ((1 + n) | 0);
              cursor = cursor.tail__O();
              scout = scout.tail__O();
              if (scout.tailDefined__Z()) {
                scout = scout.tail__O()
              }
            }
          }
        };
        if ((!scout.tailDefined__Z())) {
          while ((cursor !== scout)) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = cursor.tail__O()
          };
          const this$1 = cursor;
          if ($f_sc_TraversableOnce__nonEmpty__Z(this$1)) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O())
          }
        } else {
          let runner = this;
          let k = 0;
          while ((runner !== scout)) {
            runner = runner.tail__O();
            scout = scout.tail__O();
            k = ((1 + k) | 0)
          };
          if (((cursor === scout) && (k > 0))) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = cursor.tail__O()
          };
          while ((cursor !== scout)) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = cursor.tail__O()
          };
          n = ((n - k) | 0)
        }
      };
      if ((!cursor.isEmpty__Z())) {
        if ((!cursor.tailDefined__Z())) {
          b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("?")
        } else {
          b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("...")
        }
      }
    };
    b.append__T__scm_StringBuilder(end);
    return b
  };
  toSeq__sc_Seq() {
    return this
  };
  force__sci_Stream() {
    let these = this;
    let those = this;
    if ((!these.isEmpty__Z())) {
      these = these.tail__O()
    };
    while ((those !== these)) {
      if (these.isEmpty__Z()) {
        return this
      };
      these = these.tail__O();
      if (these.isEmpty__Z()) {
        return this
      };
      these = these.tail__O();
      if ((these === those)) {
        return this
      };
      those = those.tail__O()
    };
    return this
  };
  isDefinedAt__O__Z(x) {
    const x$1 = (x | 0);
    return $f_sc_LinearSeqOptimized__isDefinedAt__I__Z(this, x$1)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if (this.isEmpty__Z()) {
        x$1 = $m_sci_Stream$Empty$()
      } else {
        const hd = f.apply__O__O(this.head__O());
        const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1) {
          return (function() {
            const x = $this.tail__O().map__F1__scg_CanBuildFrom__O(f$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, f));
        x$1 = new $c_sci_Stream$Cons().init___O__F0(hd, tl)
      };
      return x$1
    } else {
      return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  take__I__sci_Stream(n) {
    if (((n <= 0) || this.isEmpty__Z())) {
      $m_sci_Stream$();
      return $m_sci_Stream$Empty$()
    } else if ((n === 1)) {
      const hd = this.head__O();
      const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
        return (function() {
          $m_sci_Stream$();
          return $m_sci_Stream$Empty$()
        })
      })(this));
      return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
    } else {
      const hd$1 = this.head__O();
      const tl$1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, n$1) {
        return (function() {
          return this$2$1.tail__O().take__I__sci_Stream((((-1) + n$1) | 0))
        })
      })(this, n));
      return new $c_sci_Stream$Cons().init___O__F0(hd$1, tl$1)
    }
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    if ((!$is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this)))) {
      return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
    } else {
      let rest = this;
      const newHead = new $c_sr_ObjectRef().init___O(null);
      const runWith = pf.runWith__F1__F1(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, newHead$1) {
        return (function(b$2) {
          newHead$1.elem$1 = b$2
        })
      })(this, newHead)));
      while (true) {
        const this$2 = rest;
        if (($f_sc_TraversableOnce__nonEmpty__Z(this$2) && (!(!(!runWith.apply__O__O(rest.head__O())))))) {
          rest = rest.tail__O()
        } else {
          break
        }
      };
      return (rest.isEmpty__Z() ? $m_sci_Stream$Empty$() : $m_sci_Stream$().collectedTail__O__sci_Stream__s_PartialFunction__scg_CanBuildFrom__sci_Stream$Cons(newHead.elem$1, rest, pf, bf))
    }
  };
  reduceLeft__F2__O(f) {
    if (this.isEmpty__Z()) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.reduceLeft")
    } else {
      let reducedRes = this.head__O();
      let left = this.tail__O();
      while ((!left.isEmpty__Z())) {
        reducedRes = f.apply__O__O__O(reducedRes, left.head__O());
        left = left.tail__O()
      };
      return reducedRes
    }
  };
  append__F0__sci_Stream(rest) {
    if (this.isEmpty__Z()) {
      return rest.apply__O().toStream__sci_Stream()
    } else {
      const hd = this.head__O();
      const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, rest$1) {
        return (function() {
          return $this.tail__O().append__F0__sci_Stream(rest$1)
        })
      })(this, rest));
      return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
    }
  };
  stringPrefix__T() {
    return "Stream"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
      let x$1;
      if ((this.isEmpty__Z() || that.isEmpty__Z())) {
        x$1 = $m_sci_Stream$Empty$()
      } else {
        const hd = new $c_T2().init___O__O(this.head__O(), that.head__O());
        const tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, that$1) {
          return (function() {
            const x = $this.tail__O().zip__sc_GenIterable__scg_CanBuildFrom__O(that$1.tail__O(), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
            return x
          })
        })(this, that));
        x$1 = new $c_sci_Stream$Cons().init___O__F0(hd, tl)
      };
      return x$1
    } else {
      return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
    }
  };
}
const $is_sci_Stream = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream)))
});
const $isArrayOf_sci_Stream = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream)))
});
const $is_scm_Buffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Buffer)))
});
const $isArrayOf_scm_Buffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Buffer)))
});
const $f_scm_ResizableArray__apply__I__O = (function($thiz, idx) {
  if ((idx >= $thiz.size0$6)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  return $thiz.array$6.u[idx]
});
const $f_scm_ResizableArray__update__I__O__V = (function($thiz, idx, elem) {
  if ((idx >= $thiz.size0$6)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  $thiz.array$6.u[idx] = elem
});
const $f_scm_ResizableArray__foreach__F1__V = (function($thiz, f) {
  let i = 0;
  const top = $thiz.size0$6;
  while ((i < top)) {
    f.apply__O__O($thiz.array$6.u[i]);
    i = ((1 + i) | 0)
  }
});
const $f_scm_ResizableArray__ensureSize__I__V = (function($thiz, n) {
  const value = $thiz.array$6.u.length;
  const hi = (value >> 31);
  const hi$1 = (n >> 31);
  if (((hi$1 === hi) ? (((-2147483648) ^ n) > ((-2147483648) ^ value)) : (hi$1 > hi))) {
    const lo = (value << 1);
    const hi$2 = (((value >>> 31) | 0) | (hi << 1));
    let newSize_$_lo$2 = lo;
    let newSize_$_hi$2 = hi$2;
    while (true) {
      const hi$3 = (n >> 31);
      const b_$_lo$2 = newSize_$_lo$2;
      const b_$_hi$2 = newSize_$_hi$2;
      const bhi = b_$_hi$2;
      if (((hi$3 === bhi) ? (((-2147483648) ^ n) > ((-2147483648) ^ b_$_lo$2)) : (hi$3 > bhi))) {
        const this$1_$_lo$2 = newSize_$_lo$2;
        const this$1_$_hi$2 = newSize_$_hi$2;
        const lo$1 = (this$1_$_lo$2 << 1);
        const hi$4 = (((this$1_$_lo$2 >>> 31) | 0) | (this$1_$_hi$2 << 1));
        const jsx$1_$_lo$2 = lo$1;
        const jsx$1_$_hi$2 = hi$4;
        newSize_$_lo$2 = jsx$1_$_lo$2;
        newSize_$_hi$2 = jsx$1_$_hi$2
      } else {
        break
      }
    };
    const this$2_$_lo$2 = newSize_$_lo$2;
    const this$2_$_hi$2 = newSize_$_hi$2;
    const ahi = this$2_$_hi$2;
    if (((ahi === 0) ? (((-2147483648) ^ this$2_$_lo$2) > (-1)) : (ahi > 0))) {
      const jsx$2_$_lo$2 = 2147483647;
      const jsx$2_$_hi$2 = 0;
      newSize_$_lo$2 = jsx$2_$_lo$2;
      newSize_$_hi$2 = jsx$2_$_hi$2
    };
    const this$3_$_lo$2 = newSize_$_lo$2;
    const this$3_$_hi$2 = newSize_$_hi$2;
    const newArray = $newArrayObject($d_O.getArrayOf(), [this$3_$_lo$2]);
    $systemArraycopy($thiz.array$6, 0, newArray, 0, $thiz.size0$6);
    $thiz.array$6 = newArray
  }
});
const $f_scm_ResizableArray__$$init$__V = (function($thiz) {
  const x = $thiz.initialSize$6;
  $thiz.array$6 = $newArrayObject($d_O.getArrayOf(), [((x > 1) ? x : 1)]);
  $thiz.size0$6 = 0
});
const $f_scm_ResizableArray__reduceToSize__I__V = (function($thiz, sz) {
  $m_s_Predef$().require__Z__V((sz <= $thiz.size0$6));
  while (($thiz.size0$6 > sz)) {
    $thiz.size0$6 = (((-1) + $thiz.size0$6) | 0);
    $thiz.array$6.u[$thiz.size0$6] = null
  }
});
const $f_scm_ResizableArray__copyToArray__O__I__I__V = (function($thiz, xs, start, len) {
  const that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  const x = ((len < that) ? len : that);
  const that$1 = $thiz.size0$6;
  const len1 = ((x < that$1) ? x : that$1);
  if ((len1 > 0)) {
    $m_s_Array$().copy__O__I__O__I__I__V($thiz.array$6, 0, xs, start, len1)
  }
});
class $c_sc_SeqViewLike$$anon$1 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.forced$2 = null;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return this.forced$2.apply__I__O(idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return this.forced$2.apply__I__O(idx)
  };
  init___sc_SeqViewLike__F0($$outer, xs$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    const forced = xs$1.apply__O();
    this.forced$2 = forced;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  foreach__F1__V(f) {
    this.forced$2.foreach__F1__V(f)
  };
  iterator__sc_Iterator() {
    return this.forced$2.iterator__sc_Iterator()
  };
  viewIdentifier__T() {
    return "C"
  };
  length__I() {
    return this.forced$2.length__I()
  };
}
const $d_sc_SeqViewLike$$anon$1 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$1: 0
}, false, "scala.collection.SeqViewLike$$anon$1", {
  sc_SeqViewLike$$anon$1: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Forced: 1,
  sc_IterableViewLike$Forced: 1,
  sc_TraversableViewLike$Forced: 1
});
$c_sc_SeqViewLike$$anon$1.prototype.$classData = $d_sc_SeqViewLike$$anon$1;
class $c_sc_SeqViewLike$$anon$2 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.rest$2 = null;
    this.restSeq$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  restSeq$lzycompute__p2__sc_GenSeq() {
    if ((!this.bitmap$0$2)) {
      this.restSeq$2 = this.rest$2.toSeq__sc_GenSeq();
      this.bitmap$0$2 = true
    };
    return this.restSeq$2
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Appended__foreach__F1__V(this, f)
  };
  init___sc_SeqViewLike__sc_GenTraversable($$outer, that$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.rest$2 = that$2;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  scala$collection$TraversableViewLike$Appended$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  rest__sc_GenTraversable() {
    return this.rest$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Appended__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "A"
  };
  length__I() {
    return $f_sc_SeqViewLike$Appended__length__I(this)
  };
  scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  scala$collection$IterableViewLike$Appended$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  restSeq__sc_GenSeq() {
    return ((!this.bitmap$0$2) ? this.restSeq$lzycompute__p2__sc_GenSeq() : this.restSeq$2)
  };
}
const $d_sc_SeqViewLike$$anon$2 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$2: 0
}, false, "scala.collection.SeqViewLike$$anon$2", {
  sc_SeqViewLike$$anon$2: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Appended: 1,
  sc_IterableViewLike$Appended: 1,
  sc_TraversableViewLike$Appended: 1
});
$c_sc_SeqViewLike$$anon$2.prototype.$classData = $d_sc_SeqViewLike$$anon$2;
class $c_sc_SeqViewLike$$anon$3 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.fst$2 = null;
    this.fstSeq$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Prepended__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Prepended__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Prepended$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  fstSeq__sc_GenSeq() {
    return ((!this.bitmap$0$2) ? this.fstSeq$lzycompute__p2__sc_GenSeq() : this.fstSeq$2)
  };
  fstSeq$lzycompute__p2__sc_GenSeq() {
    if ((!this.bitmap$0$2)) {
      this.fstSeq$2 = this.fst$2.toSeq__sc_GenSeq();
      this.bitmap$0$2 = true
    };
    return this.fstSeq$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Prepended__foreach__F1__V(this, f)
  };
  init___sc_SeqViewLike__sc_GenTraversable($$outer, that$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.fst$2 = that$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  fst__sc_GenTraversable() {
    return this.fst$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Prepended__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "A"
  };
  length__I() {
    return $f_sc_SeqViewLike$Prepended__length__I(this)
  };
  scala$collection$TraversableViewLike$Prepended$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  scala$collection$IterableViewLike$Prepended$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$3 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$3: 0
}, false, "scala.collection.SeqViewLike$$anon$3", {
  sc_SeqViewLike$$anon$3: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Prepended: 1,
  sc_IterableViewLike$Prepended: 1,
  sc_TraversableViewLike$Prepended: 1
});
$c_sc_SeqViewLike$$anon$3.prototype.$classData = $d_sc_SeqViewLike$$anon$3;
class $c_sc_SeqViewLike$$anon$4 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$2 = null;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Mapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$2
  };
  scala$collection$SeqViewLike$Mapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Mapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "M"
  };
  length__I() {
    return this.$$outer$2.length__I()
  };
  scala$collection$IterableViewLike$Mapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  init___sc_SeqViewLike__F1($$outer, f$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.mapping$2 = f$2;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  scala$collection$TraversableViewLike$Mapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$4 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$4: 0
}, false, "scala.collection.SeqViewLike$$anon$4", {
  sc_SeqViewLike$$anon$4: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Mapped: 1,
  sc_IterableViewLike$Mapped: 1,
  sc_TraversableViewLike$Mapped: 1
});
$c_sc_SeqViewLike$$anon$4.prototype.$classData = $d_sc_SeqViewLike$$anon$4;
class $c_sc_SeqViewLike$$anon$5 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$2 = null;
    this.index$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$FlatMapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$FlatMapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "N"
  };
  length__I() {
    return $f_sc_SeqViewLike$FlatMapped__length__I(this)
  };
  scala$collection$IterableViewLike$FlatMapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  index$lzycompute__p2__AI() {
    if ((!this.bitmap$0$2)) {
      this.index$2 = $f_sc_SeqViewLike$FlatMapped__index__AI(this);
      this.bitmap$0$2 = true
    };
    return this.index$2
  };
  scala$collection$TraversableViewLike$FlatMapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  init___sc_SeqViewLike__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.mapping$2 = f$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  index__AI() {
    return ((!this.bitmap$0$2) ? this.index$lzycompute__p2__AI() : this.index$2)
  };
}
const $d_sc_SeqViewLike$$anon$5 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$5: 0
}, false, "scala.collection.SeqViewLike$$anon$5", {
  sc_SeqViewLike$$anon$5: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$FlatMapped: 1,
  sc_IterableViewLike$FlatMapped: 1,
  sc_TraversableViewLike$FlatMapped: 1
});
$c_sc_SeqViewLike$$anon$5.prototype.$classData = $d_sc_SeqViewLike$$anon$5;
class $c_sc_SeqViewLike$$anon$6 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$2 = null;
    this.index$2 = null;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Filtered__foreach__F1__V(this, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "F"
  };
  length__I() {
    return $f_sc_SeqViewLike$Filtered__length__I(this)
  };
  index$lzycompute__p2__AI() {
    if ((!this.bitmap$0$2)) {
      this.index$2 = $f_sc_SeqViewLike$Filtered__index__AI(this);
      this.bitmap$0$2 = true
    };
    return this.index$2
  };
  init___sc_SeqViewLike__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.pred$2 = p$3;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  index__AI() {
    return ((!this.bitmap$0$2) ? this.index$lzycompute__p2__AI() : this.index$2)
  };
  pred__F1() {
    return this.pred$2
  };
  scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
}
const $d_sc_SeqViewLike$$anon$6 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$6: 0
}, false, "scala.collection.SeqViewLike$$anon$6", {
  sc_SeqViewLike$$anon$6: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Filtered: 1,
  sc_IterableViewLike$Filtered: 1,
  sc_TraversableViewLike$Filtered: 1
});
$c_sc_SeqViewLike$$anon$6.prototype.$classData = $d_sc_SeqViewLike$$anon$6;
class $c_sc_SeqViewLike$$anon$7 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.endpoints$2 = null;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "S"
  };
  length__I() {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    return $f_sc_TraversableOnce__size__I(this$1)
  };
  init___sc_SeqViewLike__scg_SliceInterval($$outer, _endpoints$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.endpoints$2 = _endpoints$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  endpoints__scg_SliceInterval() {
    return this.endpoints$2
  };
}
const $d_sc_SeqViewLike$$anon$7 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$7: 0
}, false, "scala.collection.SeqViewLike$$anon$7", {
  sc_SeqViewLike$$anon$7: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$Sliced: 1,
  sc_IterableViewLike$Sliced: 1,
  sc_TraversableViewLike$Sliced: 1
});
$c_sc_SeqViewLike$$anon$7.prototype.$classData = $d_sc_SeqViewLike$$anon$7;
class $c_sc_SeqViewLike$$anon$8 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$2 = null;
    this.start$2 = 0;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V(this, f)
  };
  scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  start$lzycompute__p2__I() {
    if ((!this.bitmap$0$2)) {
      const this$1 = this.$$outer$2;
      const p = this.pred$2;
      this.start$2 = this$1.segmentLength__F1__I__I(p, 0);
      this.bitmap$0$2 = true
    };
    return this.start$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "D"
  };
  length__I() {
    return $f_sc_SeqViewLike$DroppedWhile__length__I(this)
  };
  scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  start__I() {
    return ((!this.bitmap$0$2) ? this.start$lzycompute__p2__I() : this.start$2)
  };
  init___sc_SeqViewLike__F1($$outer, p$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.pred$2 = p$2;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  pred__F1() {
    return this.pred$2
  };
}
const $d_sc_SeqViewLike$$anon$8 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$8: 0
}, false, "scala.collection.SeqViewLike$$anon$8", {
  sc_SeqViewLike$$anon$8: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$DroppedWhile: 1,
  sc_IterableViewLike$DroppedWhile: 1,
  sc_TraversableViewLike$DroppedWhile: 1
});
$c_sc_SeqViewLike$$anon$8.prototype.$classData = $d_sc_SeqViewLike$$anon$8;
class $c_sc_SeqViewLike$$anon$9 extends $c_sc_SeqViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$2 = null;
    this.len$2 = 0;
    this.bitmap$0$2 = false;
    this.$$outer$2 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$2
  };
  len__I() {
    return ((!this.bitmap$0$2) ? this.len$lzycompute__p2__I() : this.len$2)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V(this, f)
  };
  len$lzycompute__p2__I() {
    if ((!this.bitmap$0$2)) {
      const this$1 = this.$$outer$2;
      const p = this.pred$2;
      this.len$2 = this$1.segmentLength__F1__I__I(p, 0);
      this.bitmap$0$2 = true
    };
    return this.len$2
  };
  scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$2
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "T"
  };
  length__I() {
    return this.len__I()
  };
  scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$2
  };
  init___sc_SeqViewLike__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$2 = $$outer
    };
    this.pred$2 = p$1;
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  pred__F1() {
    return this.pred$2
  };
}
const $d_sc_SeqViewLike$$anon$9 = new $TypeData().initClass({
  sc_SeqViewLike$$anon$9: 0
}, false, "scala.collection.SeqViewLike$$anon$9", {
  sc_SeqViewLike$$anon$9: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_SeqViewLike$TakenWhile: 1,
  sc_IterableViewLike$TakenWhile: 1,
  sc_TraversableViewLike$TakenWhile: 1
});
$c_sc_SeqViewLike$$anon$9.prototype.$classData = $d_sc_SeqViewLike$$anon$9;
class $c_sci_HashMap$EmptyHashMap$ extends $c_sci_HashMap {
  init___() {
    return this
  };
  head__O() {
    return this.head__T2()
  };
  head__T2() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Map")
  };
  tail__sci_HashMap() {
    throw new $c_ju_NoSuchElementException().init___T("Empty Map")
  };
  tail__O() {
    return this.tail__sci_HashMap()
  };
}
const $d_sci_HashMap$EmptyHashMap$ = new $TypeData().initClass({
  sci_HashMap$EmptyHashMap$: 0
}, false, "scala.collection.immutable.HashMap$EmptyHashMap$", {
  sci_HashMap$EmptyHashMap$: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$EmptyHashMap$.prototype.$classData = $d_sci_HashMap$EmptyHashMap$;
let $n_sci_HashMap$EmptyHashMap$ = (void 0);
const $m_sci_HashMap$EmptyHashMap$ = (function() {
  if ((!$n_sci_HashMap$EmptyHashMap$)) {
    $n_sci_HashMap$EmptyHashMap$ = new $c_sci_HashMap$EmptyHashMap$().init___()
  };
  return $n_sci_HashMap$EmptyHashMap$
});
class $c_sci_HashMap$HashMap1 extends $c_sci_HashMap {
  constructor() {
    super();
    this.key$6 = null;
    this.hash$6 = 0;
    this.value$6 = null;
    this.kv$6 = null
  };
  ensurePair__T2() {
    if ((this.kv$6 !== null)) {
      return this.kv$6
    } else {
      this.kv$6 = new $c_T2().init___O__O(this.key$6, this.value$6);
      return this.kv$6
    }
  };
  init___O__I__O__T2(key, hash, value, kv) {
    this.key$6 = key;
    this.hash$6 = hash;
    this.value$6 = value;
    this.kv$6 = kv;
    return this
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
      if ((merger === null)) {
        return ((this.value$6 === value) ? this : new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv))
      } else {
        const nkv = merger.apply__T2__T2__T2(this.ensurePair__T2(), ((kv !== null) ? kv : new $c_T2().init___O__O(key, value)));
        return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(nkv.$$und1__O(), hash, nkv.$$und2__O(), nkv)
      }
    } else if ((hash !== this.hash$6)) {
      const that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
      return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, 2)
    } else {
      const this$2 = $m_sci_ListMap$EmptyListMap$();
      const key$1 = this.key$6;
      const value$1 = this.value$6;
      return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this$2, key$1, value$1).updated__O__O__sci_ListMap(key, value))
    }
  };
  get0__O__I__I__s_Option(key, hash, level) {
    return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? new $c_s_Some().init___O(this.value$6) : $m_s_None$())
  };
  foreach__F1__V(f) {
    f.apply__O__O(this.ensurePair__T2())
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? ($m_sci_HashMap$(), $m_sci_HashMap$EmptyHashMap$()) : this)
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    return ((negate !== (!(!p.apply__O__O(this.ensurePair__T2())))) ? this : null)
  };
  size__I() {
    return 1
  };
  iterator__sc_Iterator() {
    $m_sc_Iterator$();
    const elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ensurePair__T2()]);
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, (elems.array$6.length | 0))
  };
  contains0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))
  };
}
const $is_sci_HashMap$HashMap1 = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashMap1)))
});
const $isArrayOf_sci_HashMap$HashMap1 = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashMap1)))
});
const $d_sci_HashMap$HashMap1 = new $TypeData().initClass({
  sci_HashMap$HashMap1: 0
}, false, "scala.collection.immutable.HashMap$HashMap1", {
  sci_HashMap$HashMap1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMap1.prototype.$classData = $d_sci_HashMap$HashMap1;
class $c_sci_HashMap$HashMapCollision1 extends $c_sci_HashMap {
  constructor() {
    super();
    this.hash$6 = 0;
    this.kvs$6 = null
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    if ((hash === this.hash$6)) {
      return (((merger === null) || (!this.kvs$6.contains__O__Z(key))) ? new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this.kvs$6.updated__O__O__sci_ListMap(key, value)) : new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this.kvs$6.$$plus__T2__sci_ListMap(merger.apply__T2__T2__T2(new $c_T2().init___O__O(key, this.kvs$6.apply__O__O(key)), kv))))
    } else {
      const that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
      return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, ((1 + this.kvs$6.size__I()) | 0))
    }
  };
  get0__O__I__I__s_Option(key, hash, level) {
    return ((hash === this.hash$6) ? this.kvs$6.get__O__s_Option(key) : $m_s_None$())
  };
  foreach__F1__V(f) {
    const this$1 = this.kvs$6;
    const this$2 = this$1.reverseList$1__p5__sci_List();
    const this$3 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2);
    $f_sc_Iterator__foreach__F1__V(this$3, f)
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    if ((hash === this.hash$6)) {
      const kvs1 = this.kvs$6.$$minus__O__sci_ListMap(key);
      const x1 = kvs1.size__I();
      switch (x1) {
        case 0: {
          $m_sci_HashMap$();
          return $m_sci_HashMap$EmptyHashMap$();
          break
        }
        case 1: {
          const this$2 = kvs1.reverseList$1__p5__sci_List();
          const kv = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2).next__O();
          return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(kv.$$und1__O(), hash, kv.$$und2__O(), kv);
          break
        }
        default: {
          return ((x1 === this.kvs$6.size__I()) ? this : new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, kvs1))
        }
      }
    } else {
      return this
    }
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    let kvs1;
    if (negate) {
      const this$1 = this.kvs$6;
      kvs1 = $f_sc_MapLike__filterNot__F1__sc_Map(this$1, p)
    } else {
      const this$2 = this.kvs$6;
      kvs1 = $f_sc_TraversableLike__filterImpl__F1__Z__O(this$2, p, false)
    };
    const x1 = kvs1.size__I();
    switch (x1) {
      case 0: {
        return null;
        break
      }
      case 1: {
        const this$3 = kvs1.reverseList$1__p5__sci_List();
        const x1$2 = new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$3).next__O();
        if ((x1$2 === null)) {
          throw new $c_s_MatchError().init___O(x1$2)
        };
        const k = x1$2.$$und1__O();
        const v = x1$2.$$und2__O();
        return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(k, this.hash$6, v, x1$2);
        break
      }
      default: {
        return ((x1 === this.kvs$6.size__I()) ? this : new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(this.hash$6, kvs1))
      }
    }
  };
  iterator__sc_Iterator() {
    const this$1 = this.kvs$6;
    const this$2 = this$1.reverseList$1__p5__sci_List();
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$2)
  };
  size__I() {
    return this.kvs$6.size__I()
  };
  init___I__sci_ListMap(hash, kvs) {
    this.hash$6 = hash;
    this.kvs$6 = kvs;
    return this
  };
  contains0__O__I__I__Z(key, hash, level) {
    return ((hash === this.hash$6) && this.kvs$6.contains__O__Z(key))
  };
}
const $d_sci_HashMap$HashMapCollision1 = new $TypeData().initClass({
  sci_HashMap$HashMapCollision1: 0
}, false, "scala.collection.immutable.HashMap$HashMapCollision1", {
  sci_HashMap$HashMapCollision1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMapCollision1.prototype.$classData = $d_sci_HashMap$HashMapCollision1;
class $c_sci_HashMap$HashTrieMap extends $c_sci_HashMap {
  constructor() {
    super();
    this.bitmap$6 = 0;
    this.elems$6 = null;
    this.size0$6 = 0
  };
  updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, level, value, kv, merger) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
    if (((this.bitmap$6 & mask) !== 0)) {
      const sub = this.elems$6.u[offset];
      const subNew = sub.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, ((5 + level) | 0), value, kv, merger);
      if ((subNew === sub)) {
        return this
      } else {
        const elemsNew = $newArrayObject($d_sci_HashMap.getArrayOf(), [this.elems$6.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew, 0, this.elems$6.u.length);
        elemsNew.u[offset] = subNew;
        return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(this.bitmap$6, elemsNew, ((this.size0$6 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
      }
    } else {
      const elemsNew$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [((1 + this.elems$6.u.length) | 0)]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew$2, 0, offset);
      elemsNew$2.u[offset] = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$6.u.length - offset) | 0));
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I((this.bitmap$6 | mask), elemsNew$2, ((1 + this.size0$6) | 0))
    }
  };
  get0__O__I__I__s_Option(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    if ((this.bitmap$6 === (-1))) {
      return this.elems$6.u[index].get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
    } else {
      const mask = (1 << index);
      if (((this.bitmap$6 & mask) !== 0)) {
        const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
        return this.elems$6.u[offset].get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
      } else {
        return $m_s_None$()
      }
    }
  };
  foreach__F1__V(f) {
    let i = 0;
    while ((i < this.elems$6.u.length)) {
      this.elems$6.u[i].foreach__F1__V(f);
      i = ((1 + i) | 0)
    }
  };
  removed0__O__I__I__sci_HashMap(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    const mask = (1 << index);
    const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
    if (((this.bitmap$6 & mask) !== 0)) {
      const sub = this.elems$6.u[offset];
      const subNew = sub.removed0__O__I__I__sci_HashMap(key, hash, ((5 + level) | 0));
      if ((subNew === sub)) {
        return this
      } else if ($f_sc_MapLike__isEmpty__Z(subNew)) {
        const bitmapNew = (this.bitmap$6 ^ mask);
        if ((bitmapNew !== 0)) {
          const elemsNew = $newArrayObject($d_sci_HashMap.getArrayOf(), [(((-1) + this.elems$6.u.length) | 0)]);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew, 0, offset);
          $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, ((1 + offset) | 0), elemsNew, offset, (((-1) + ((this.elems$6.u.length - offset) | 0)) | 0));
          const sizeNew = ((this.size0$6 - sub.size__I()) | 0);
          return (((elemsNew.u.length === 1) && (!$is_sci_HashMap$HashTrieMap(elemsNew.u[0]))) ? elemsNew.u[0] : new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmapNew, elemsNew, sizeNew))
        } else {
          $m_sci_HashMap$();
          return $m_sci_HashMap$EmptyHashMap$()
        }
      } else if (((this.elems$6.u.length === 1) && (!$is_sci_HashMap$HashTrieMap(subNew)))) {
        return subNew
      } else {
        const elemsNew$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [this.elems$6.u.length]);
        $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew$2, 0, this.elems$6.u.length);
        elemsNew$2.u[offset] = subNew;
        const sizeNew$2 = ((this.size0$6 + ((subNew.size__I() - sub.size__I()) | 0)) | 0);
        return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(this.bitmap$6, elemsNew$2, sizeNew$2)
      }
    } else {
      return this
    }
  };
  filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, level, buffer, offset0) {
    let offset = offset0;
    let rs = 0;
    let kept = 0;
    let i = 0;
    while ((i < this.elems$6.u.length)) {
      const result = this.elems$6.u[i].filter0__F1__Z__I__Asci_HashMap__I__sci_HashMap(p, negate, ((5 + level) | 0), buffer, offset);
      if ((result !== null)) {
        buffer.u[offset] = result;
        offset = ((1 + offset) | 0);
        rs = ((rs + result.size__I()) | 0);
        kept = (kept | (1 << i))
      };
      i = ((1 + i) | 0)
    };
    if ((offset === offset0)) {
      return null
    } else if ((rs === this.size0$6)) {
      return this
    } else if (((offset === ((1 + offset0) | 0)) && (!$is_sci_HashMap$HashTrieMap(buffer.u[offset0])))) {
      return buffer.u[offset0]
    } else {
      const length = ((offset - offset0) | 0);
      const elems1 = $newArrayObject($d_sci_HashMap.getArrayOf(), [length]);
      $systemArraycopy(buffer, offset0, elems1, 0, length);
      const bitmap1 = ((length === this.elems$6.u.length) ? this.bitmap$6 : $m_sci_HashMap$().scala$collection$immutable$HashMap$$keepBits__I__I__I(this.bitmap$6, kept));
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap1, elems1, rs)
    }
  };
  iterator__sc_Iterator() {
    return new $c_sci_HashMap$HashTrieMap$$anon$1().init___sci_HashMap$HashTrieMap(this)
  };
  size__I() {
    return this.size0$6
  };
  init___I__Asci_HashMap__I(bitmap, elems, size0) {
    this.bitmap$6 = bitmap;
    this.elems$6 = elems;
    this.size0$6 = size0;
    return this
  };
  contains0__O__I__I__Z(key, hash, level) {
    const index = (31 & ((hash >>> level) | 0));
    if ((this.bitmap$6 === (-1))) {
      return this.elems$6.u[index].contains0__O__I__I__Z(key, hash, ((5 + level) | 0))
    } else {
      const mask = (1 << index);
      if (((this.bitmap$6 & mask) !== 0)) {
        const offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
        return this.elems$6.u[offset].contains0__O__I__I__Z(key, hash, ((5 + level) | 0))
      } else {
        return false
      }
    }
  };
}
const $is_sci_HashMap$HashTrieMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashTrieMap)))
});
const $isArrayOf_sci_HashMap$HashTrieMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashTrieMap)))
});
const $d_sci_HashMap$HashTrieMap = new $TypeData().initClass({
  sci_HashMap$HashTrieMap: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap", {
  sci_HashMap$HashTrieMap: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashTrieMap.prototype.$classData = $d_sci_HashMap$HashTrieMap;
class $c_sci_List extends $c_sc_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this
  };
  takeRight__I__sci_List(n) {
    return this.loop$2__p4__sci_List__sci_List__sci_List(this.drop__I__sci_List(n), this)
  };
  apply__I__O(n) {
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_LinearSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const n = (v1 | 0);
    return $f_sc_LinearSeqOptimized__apply__I__O(this, n)
  };
  exists__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    return this
  };
  seq__sc_Iterable() {
    return this
  };
  loop$2__p4__sci_List__sci_List__sci_List(lead, lag) {
    _loop: while (true) {
      const x1 = lead;
      const x$2 = $m_sci_Nil$();
      if (x$2.equals__O__Z(x1)) {
        return lag
      } else if ($is_sci_$colon$colon(x1)) {
        const x2 = x1;
        const tail = x2.tl$5;
        const temp$lag = lag.tail__O();
        lead = tail;
        lag = temp$lag;
        continue _loop
      } else {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        let rest = this;
        const found = new $c_sr_BooleanRef().init___Z(false);
        const h = new $c_sr_ObjectRef().init___O(null);
        const t = new $c_sr_ObjectRef().init___O(null);
        while ((rest !== $m_sci_Nil$())) {
          f.apply__O__O(rest.head__O()).seq__sc_TraversableOnce().foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, found$1, h$1, t$1) {
            return (function(b$2) {
              if ((!found$1.elem$1)) {
                h$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1 = h$1.elem$1;
                found$1.elem$1 = true
              } else {
                const nx = new $c_sci_$colon$colon().init___O__sci_List(b$2, $m_sci_Nil$());
                t$1.elem$1.tl$5 = nx;
                t$1.elem$1 = nx
              }
            })
          })(this, found, h, t)));
          rest = rest.tail__O()
        };
        return ((!found.elem$1) ? $m_sci_Nil$() : h.elem$1)
      }
    } else {
      return $f_sc_TraversableLike__flatMap__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  drop__I__sc_LinearSeqOptimized(n) {
    return this.drop__I__sci_List(n)
  };
  take__I__sci_List(n) {
    if ((this.isEmpty__Z() || (n <= 0))) {
      return $m_sci_Nil$()
    } else {
      const h = new $c_sci_$colon$colon().init___O__sci_List(this.head__O(), $m_sci_Nil$());
      let t = h;
      let rest = this.tail__O();
      let i = 1;
      while (true) {
        if (rest.isEmpty__Z()) {
          return this
        };
        if ((i < n)) {
          i = ((1 + i) | 0);
          const nx = new $c_sci_$colon$colon().init___O__sci_List(rest.head__O(), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        } else {
          break
        }
      };
      return h
    }
  };
  forall__F1__Z(p) {
    return $f_sc_LinearSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_sci_List$()
  };
  foreach__F1__V(f) {
    let these = this;
    while ((!these.isEmpty__Z())) {
      f.apply__O__O(these.head__O());
      these = these.tail__O()
    }
  };
  foldLeft__O__F2__O(z, op) {
    return $f_sc_LinearSeqOptimized__foldLeft__O__F2__O(this, z, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_LinearSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  $$colon$colon$colon__sci_List__sci_List(prefix) {
    return (this.isEmpty__Z() ? prefix : (prefix.isEmpty__Z() ? this : new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(prefix).prependToList__sci_List__sci_List(this)))
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return ($is_scg_GenTraversableFactory$GenericCanBuildFrom(bf) ? new $c_sci_$colon$colon().init___O__sci_List(elem, this) : $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf))
  };
  iterator__sc_Iterator() {
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this)
  };
  drop__I__sci_List(n) {
    let these = this;
    let count = n;
    while (((!these.isEmpty__Z()) && (count > 0))) {
      these = these.tail__O();
      count = (((-1) + count) | 0)
    };
    return these
  };
  find__F1__s_Option(p) {
    return $f_sc_LinearSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    const b = new $c_scm_ListBuffer().init___();
    let these = this;
    while (((!these.isEmpty__Z()) && (!(!p.apply__O__O(these.head__O()))))) {
      b.$$plus$eq__O__scm_ListBuffer(these.head__O());
      these = these.tail__O()
    };
    return new $c_T2().init___O__O(b.toList__sci_List(), these)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    return ((bf === $m_sci_List$().ReusableCBFInstance$2) ? that.seq__sc_TraversableOnce().toList__sci_List().$$colon$colon$colon__sci_List__sci_List(this) : $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf))
  };
  length__I() {
    return $f_sc_LinearSeqOptimized__length__I(this)
  };
  seq__sc_Seq() {
    return this
  };
  take__I__O(n) {
    return this.take__I__sci_List(n)
  };
  toStream__sci_Stream() {
    return (this.isEmpty__Z() ? $m_sci_Stream$Empty$() : new $c_sci_Stream$Cons().init___O__F0(this.head__O(), new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        return $this.tail__O().toStream__sci_Stream()
      })
    })(this))))
  };
  drop__I__O(n) {
    return this.drop__I__sci_List(n)
  };
  contains__O__Z(elem) {
    return $f_sc_LinearSeqOptimized__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const x$1 = (x | 0);
    return $f_sc_LinearSeqOptimized__isDefinedAt__I__Z(this, x$1)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        const h = new $c_sci_$colon$colon().init___O__sci_List(f.apply__O__O(this.head__O()), $m_sci_Nil$());
        let t = h;
        let rest = this.tail__O();
        while ((rest !== $m_sci_Nil$())) {
          const nx = new $c_sci_$colon$colon().init___O__sci_List(f.apply__O__O(rest.head__O()), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          rest = rest.tail__O()
        };
        return h
      }
    } else {
      return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
    }
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this === $m_sci_Nil$())) {
        return $m_sci_Nil$()
      } else {
        let rest = this;
        let h = null;
        do {
          const x = pf.applyOrElse__O__F1__O(rest.head__O(), $m_sci_List$().partialNotApplied$5);
          if ((x !== $m_sci_List$().partialNotApplied$5)) {
            h = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$())
          };
          rest = rest.tail__O();
          if ((rest === $m_sci_Nil$())) {
            return ((h === null) ? $m_sci_Nil$() : h)
          }
        } while ((h === null));
        let t = h;
        do {
          const x$2 = pf.applyOrElse__O__F1__O(rest.head__O(), $m_sci_List$().partialNotApplied$5);
          if ((x$2 !== $m_sci_List$().partialNotApplied$5)) {
            const nx = new $c_sci_$colon$colon().init___O__sci_List(x$2, $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx
          };
          rest = rest.tail__O()
        } while ((rest !== $m_sci_Nil$()));
        return h
      }
    } else {
      return $f_sc_TraversableLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
    }
  };
  reduceLeft__F2__O(op) {
    return $f_sc_LinearSeqOptimized__reduceLeft__F2__O(this, op)
  };
  reverse__sci_List() {
    let result = $m_sci_Nil$();
    let these = this;
    while ((!these.isEmpty__Z())) {
      const x$4 = these.head__O();
      const this$1 = result;
      result = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
      these = these.tail__O()
    };
    return result
  };
  stringPrefix__T() {
    return "List"
  };
}
const $is_sci_List = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_List)))
});
const $isArrayOf_sci_List = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_List)))
});
class $c_sci_Range$Inclusive extends $c_sci_Range {
  isInclusive__Z() {
    return true
  };
  init___I__I__I(start, end, step) {
    $c_sci_Range.prototype.init___I__I__I.call(this, start, end, step);
    return this
  };
  copy__I__I__I__sci_Range(start, end, step) {
    return new $c_sci_Range$Inclusive().init___I__I__I(start, end, step)
  };
}
const $d_sci_Range$Inclusive = new $TypeData().initClass({
  sci_Range$Inclusive: 0
}, false, "scala.collection.immutable.Range$Inclusive", {
  sci_Range$Inclusive: 1,
  sci_Range: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range$Inclusive.prototype.$classData = $d_sci_Range$Inclusive;
class $c_sci_Stream$Cons extends $c_sci_Stream {
  constructor() {
    super();
    this.hd$5 = null;
    this.tlVal$5 = null;
    this.tlGen$5 = null
  };
  head__O() {
    return this.hd$5
  };
  tail__sci_Stream() {
    if ((!this.tailDefined__Z())) {
      if ((!this.tailDefined__Z())) {
        this.tlVal$5 = this.tlGen$5.apply__O();
        this.tlGen$5 = null
      }
    };
    return this.tlVal$5
  };
  sameElements__sc_GenIterable__Z(that) {
    if ($is_sci_Stream$Cons(that)) {
      const x2 = that;
      return this.consEq$1__p5__sci_Stream$Cons__sci_Stream$Cons__Z(this, x2)
    } else {
      return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
    }
  };
  tailDefined__Z() {
    return (this.tlGen$5 === null)
  };
  isEmpty__Z() {
    return false
  };
  consEq$1__p5__sci_Stream$Cons__sci_Stream$Cons__Z(a, b) {
    _consEq: while (true) {
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(a.hd$5, b.hd$5)) {
        const x1 = a.tail__sci_Stream();
        if ($is_sci_Stream$Cons(x1)) {
          const x2 = x1;
          const x1$2 = b.tail__sci_Stream();
          if ($is_sci_Stream$Cons(x1$2)) {
            const x2$2 = x1$2;
            if ((x2 === x2$2)) {
              return true
            } else {
              a = x2;
              b = x2$2;
              continue _consEq
            }
          } else {
            return false
          }
        } else {
          return b.tail__sci_Stream().isEmpty__Z()
        }
      } else {
        return false
      }
    }
  };
  tail__O() {
    return this.tail__sci_Stream()
  };
  init___O__F0(hd, tl) {
    this.hd$5 = hd;
    this.tlGen$5 = tl;
    return this
  };
}
const $is_sci_Stream$Cons = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream$Cons)))
});
const $isArrayOf_sci_Stream$Cons = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream$Cons)))
});
const $d_sci_Stream$Cons = new $TypeData().initClass({
  sci_Stream$Cons: 0
}, false, "scala.collection.immutable.Stream$Cons", {
  sci_Stream$Cons: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Cons.prototype.$classData = $d_sci_Stream$Cons;
class $c_sci_Stream$Empty$ extends $c_sci_Stream {
  init___() {
    return this
  };
  head__O() {
    this.head__sr_Nothing$()
  };
  tailDefined__Z() {
    return false
  };
  isEmpty__Z() {
    return true
  };
  tail__sr_Nothing$() {
    throw new $c_jl_UnsupportedOperationException().init___T("tail of empty stream")
  };
  head__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("head of empty stream")
  };
  tail__O() {
    this.tail__sr_Nothing$()
  };
}
const $d_sci_Stream$Empty$ = new $TypeData().initClass({
  sci_Stream$Empty$: 0
}, false, "scala.collection.immutable.Stream$Empty$", {
  sci_Stream$Empty$: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Empty$.prototype.$classData = $d_sci_Stream$Empty$;
let $n_sci_Stream$Empty$ = (void 0);
const $m_sci_Stream$Empty$ = (function() {
  if ((!$n_sci_Stream$Empty$)) {
    $n_sci_Stream$Empty$ = new $c_sci_Stream$Empty$().init___()
  };
  return $n_sci_Stream$Empty$
});
class $c_sci_StreamViewLike$AbstractTransformed extends $c_sc_SeqViewLike$AbstractTransformed {
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_sci_StreamViewLike$$anon$7().init___sci_StreamViewLike__scg_SliceInterval(this, _endpoints)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, asTraversable)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  newDroppedWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$8().init___sci_StreamViewLike__F1(this, p)
  };
  newFiltered__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$6().init___sci_StreamViewLike__F1(this, p)
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  newPrepended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$3().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  init___sci_StreamViewLike($$outer) {
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  filter__F1__O(p) {
    return $f_sc_TraversableViewLike__filter__F1__sc_TraversableView(this, p)
  };
  newFlatMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, f)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  newTakenWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$9().init___sci_StreamViewLike__F1(this, p)
  };
  newMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$2().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  newZipped__sc_GenIterable__sc_SeqViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$10().init___sci_StreamViewLike__sc_GenIterable(this, that)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$9().init___sci_StreamViewLike__F1(this, p)
  };
  drop__I__O(n) {
    return $f_sc_IterableViewLike__drop__I__sc_IterableView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$4().init___sci_StreamViewLike__F1(this, f)
  };
  tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$10().init___sci_StreamViewLike__sc_GenIterable(this, that)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  newAppended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sci_StreamViewLike$$anon$2().init___sci_StreamViewLike__sc_GenTraversable(this, that)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$6().init___sci_StreamViewLike__F1(this, p)
  };
  newFlatMapped__F1__sc_SeqViewLike$Transformed(f) {
    return new $c_sci_StreamViewLike$$anon$5().init___sci_StreamViewLike__F1(this, f)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_sci_StreamViewLike$$anon$8().init___sci_StreamViewLike__F1(this, p)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sci_StreamViewLike$$anon$1().init___sci_StreamViewLike__F0(this, xs)
  };
  stringPrefix__T() {
    return "StreamView"
  };
}
class $c_sci_Vector extends $c_sc_AbstractSeq {
  constructor() {
    super();
    this.startIndex$4 = 0;
    this.endIndex$4 = 0;
    this.focus$4 = 0;
    this.dirty$4 = false;
    this.depth$4 = 0;
    this.display0$4 = null;
    this.display1$4 = null;
    this.display2$4 = null;
    this.display3$4 = null;
    this.display4$4 = null;
    this.display5$4 = null
  };
  checkRangeConvert__p4__I__I(index) {
    const idx = ((index + this.startIndex$4) | 0);
    if (((index >= 0) && (idx < this.endIndex$4))) {
      return idx
    } else {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + index))
    }
  };
  seq__sc_TraversableOnce() {
    return this
  };
  display3__AO() {
    return this.display3$4
  };
  gotoPosWritable__p4__I__I__I__V(oldIndex, newIndex, xor) {
    if (this.dirty$4) {
      $f_sci_VectorPointer__gotoPosWritable1__I__I__I__V(this, oldIndex, newIndex, xor)
    } else {
      $f_sci_VectorPointer__gotoPosWritable0__I__I__V(this, newIndex, xor);
      this.dirty$4 = true
    }
  };
  head__O() {
    if ($f_sc_SeqLike__isEmpty__Z(this)) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.head")
    };
    return this.apply__I__O(0)
  };
  apply__I__O(index) {
    const idx = this.checkRangeConvert__p4__I__I(index);
    const xor = (idx ^ this.focus$4);
    return $f_sci_VectorPointer__getElem__I__I__O(this, idx, xor)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return ((this.length__I() - len) | 0)
  };
  depth__I() {
    return this.depth$4
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  initIterator__sci_VectorIterator__V(s) {
    const depth = this.depth$4;
    $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
    if (this.dirty$4) {
      const index = this.focus$4;
      $f_sci_VectorPointer__stabilize__I__V(s, index)
    };
    if ((s.depth$2 > 1)) {
      const index$1 = this.startIndex$4;
      const xor = (this.startIndex$4 ^ this.focus$4);
      $f_sci_VectorPointer__gotoPos__I__I__V(s, index$1, xor)
    }
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  init___I__I__I(startIndex, endIndex, focus) {
    this.startIndex$4 = startIndex;
    this.endIndex$4 = endIndex;
    this.focus$4 = focus;
    this.dirty$4 = false;
    return this
  };
  display5$und$eq__AO__V(x$1) {
    this.display5$4 = x$1
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return ((((bf === ($m_sci_IndexedSeq$(), $m_sc_IndexedSeq$().ReusableCBF$6)) || (bf === $m_sci_Seq$().ReusableCBFInstance$2)) || (bf === $m_sc_Seq$().ReusableCBFInstance$2)) ? this.appendBack__O__sci_Vector(elem) : $f_sc_SeqLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf))
  };
  companion__scg_GenericCompanion() {
    return $m_sci_Vector$()
  };
  cleanLeftEdge__p4__I__V(cutIndex) {
    if ((cutIndex < 32)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, cutIndex)
    } else if ((cutIndex < 1024)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, ((cutIndex >>> 5) | 0))
    } else if ((cutIndex < 32768)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, ((cutIndex >>> 10) | 0))
    } else if ((cutIndex < 1048576)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, (31 & ((cutIndex >>> 10) | 0)));
      this.display3$4 = this.copyRight__p4__AO__I__AO(this.display3$4, ((cutIndex >>> 15) | 0))
    } else if ((cutIndex < 33554432)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, (31 & ((cutIndex >>> 10) | 0)));
      this.display3$4 = this.copyRight__p4__AO__I__AO(this.display3$4, (31 & ((cutIndex >>> 15) | 0)));
      this.display4$4 = this.copyRight__p4__AO__I__AO(this.display4$4, ((cutIndex >>> 20) | 0))
    } else if ((cutIndex < 1073741824)) {
      this.zeroLeft__p4__AO__I__V(this.display0$4, (31 & cutIndex));
      this.display1$4 = this.copyRight__p4__AO__I__AO(this.display1$4, (31 & ((cutIndex >>> 5) | 0)));
      this.display2$4 = this.copyRight__p4__AO__I__AO(this.display2$4, (31 & ((cutIndex >>> 10) | 0)));
      this.display3$4 = this.copyRight__p4__AO__I__AO(this.display3$4, (31 & ((cutIndex >>> 15) | 0)));
      this.display4$4 = this.copyRight__p4__AO__I__AO(this.display4$4, (31 & ((cutIndex >>> 20) | 0)));
      this.display5$4 = this.copyRight__p4__AO__I__AO(this.display5$4, ((cutIndex >>> 25) | 0))
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  };
  display0__AO() {
    return this.display0$4
  };
  display4__AO() {
    return this.display4$4
  };
  display2$und$eq__AO__V(x$1) {
    this.display2$4 = x$1
  };
  shiftTopLevel__p4__I__I__V(oldLeft, newLeft) {
    const x1 = (((-1) + this.depth$4) | 0);
    switch (x1) {
      case 0: {
        const array = this.display0$4;
        this.display0$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array, oldLeft, newLeft);
        break
      }
      case 1: {
        const array$1 = this.display1$4;
        this.display1$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$1, oldLeft, newLeft);
        break
      }
      case 2: {
        const array$2 = this.display2$4;
        this.display2$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$2, oldLeft, newLeft);
        break
      }
      case 3: {
        const array$3 = this.display3$4;
        this.display3$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$3, oldLeft, newLeft);
        break
      }
      case 4: {
        const array$4 = this.display4$4;
        this.display4$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$4, oldLeft, newLeft);
        break
      }
      case 5: {
        const array$5 = this.display5$4;
        this.display5$4 = $f_sci_VectorPointer__copyRange__AO__I__I__AO(this, array$5, oldLeft, newLeft);
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  tail__sci_Vector() {
    if ($f_sc_SeqLike__isEmpty__Z(this)) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.tail")
    };
    return this.drop__I__sci_Vector(1)
  };
  toVector__sci_Vector() {
    return this
  };
  appendBack__O__sci_Vector(value) {
    if ((this.endIndex$4 !== this.startIndex$4)) {
      const blockIndex = ((-32) & this.endIndex$4);
      const lo = (31 & this.endIndex$4);
      if ((this.endIndex$4 !== blockIndex)) {
        const s = new $c_sci_Vector().init___I__I__I(this.startIndex$4, ((1 + this.endIndex$4) | 0), blockIndex);
        const depth = this.depth$4;
        $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
        s.dirty$4 = this.dirty$4;
        s.gotoPosWritable__p4__I__I__I__V(this.focus$4, blockIndex, (this.focus$4 ^ blockIndex));
        s.display0$4.u[lo] = value;
        return s
      } else {
        const shift = (this.startIndex$4 & (~(((-1) + (1 << $imul(5, (((-1) + this.depth$4) | 0)))) | 0)));
        const shiftBlocks = ((this.startIndex$4 >>> $imul(5, (((-1) + this.depth$4) | 0))) | 0);
        if ((shift !== 0)) {
          if ((this.depth$4 > 1)) {
            const newBlockIndex = ((blockIndex - shift) | 0);
            const newFocus = ((this.focus$4 - shift) | 0);
            const s$2 = new $c_sci_Vector().init___I__I__I(((this.startIndex$4 - shift) | 0), ((((1 + this.endIndex$4) | 0) - shift) | 0), newBlockIndex);
            const depth$1 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$2, this, depth$1);
            s$2.dirty$4 = this.dirty$4;
            s$2.shiftTopLevel__p4__I__I__V(shiftBlocks, 0);
            s$2.gotoFreshPosWritable__p4__I__I__I__V(newFocus, newBlockIndex, (newFocus ^ newBlockIndex));
            s$2.display0$4.u[lo] = value;
            return s$2
          } else {
            const newBlockIndex$2 = (((-32) + blockIndex) | 0);
            const newFocus$2 = this.focus$4;
            const s$3 = new $c_sci_Vector().init___I__I__I(((this.startIndex$4 - shift) | 0), ((((1 + this.endIndex$4) | 0) - shift) | 0), newBlockIndex$2);
            const depth$2 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$3, this, depth$2);
            s$3.dirty$4 = this.dirty$4;
            s$3.shiftTopLevel__p4__I__I__V(shiftBlocks, 0);
            s$3.gotoPosWritable__p4__I__I__I__V(newFocus$2, newBlockIndex$2, (newFocus$2 ^ newBlockIndex$2));
            s$3.display0$4.u[((32 - shift) | 0)] = value;
            return s$3
          }
        } else {
          const newFocus$3 = this.focus$4;
          const s$4 = new $c_sci_Vector().init___I__I__I(this.startIndex$4, ((1 + this.endIndex$4) | 0), blockIndex);
          const depth$3 = this.depth$4;
          $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$4, this, depth$3);
          s$4.dirty$4 = this.dirty$4;
          s$4.gotoFreshPosWritable__p4__I__I__I__V(newFocus$3, blockIndex, (newFocus$3 ^ blockIndex));
          s$4.display0$4.u[lo] = value;
          return s$4
        }
      }
    } else {
      const elems = $newArrayObject($d_O.getArrayOf(), [32]);
      elems.u[0] = value;
      const s$5 = new $c_sci_Vector().init___I__I__I(0, 1, 0);
      s$5.depth$4 = 1;
      s$5.display0$4 = elems;
      return s$5
    }
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  preClean__p4__I__V(depth) {
    this.depth$4 = depth;
    const x1 = (((-1) + depth) | 0);
    switch (x1) {
      case 0: {
        this.display1$4 = null;
        this.display2$4 = null;
        this.display3$4 = null;
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 1: {
        this.display2$4 = null;
        this.display3$4 = null;
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 2: {
        this.display3$4 = null;
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 3: {
        this.display4$4 = null;
        this.display5$4 = null;
        break
      }
      case 4: {
        this.display5$4 = null;
        break
      }
      case 5: {
        break
      }
      default: {
        throw new $c_s_MatchError().init___O(x1)
      }
    }
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return ((((bf === ($m_sci_IndexedSeq$(), $m_sc_IndexedSeq$().ReusableCBF$6)) || (bf === $m_sci_Seq$().ReusableCBFInstance$2)) || (bf === $m_sc_Seq$().ReusableCBFInstance$2)) ? this.appendFront__O__sci_Vector(elem) : $f_sc_SeqLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf))
  };
  iterator__sc_Iterator() {
    return this.iterator__sci_VectorIterator()
  };
  display1$und$eq__AO__V(x$1) {
    this.display1$4 = x$1
  };
  length__I() {
    return ((this.endIndex$4 - this.startIndex$4) | 0)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(that, bf) {
    if ((((bf === ($m_sci_IndexedSeq$(), $m_sc_IndexedSeq$().ReusableCBF$6)) || (bf === $m_sci_Seq$().ReusableCBFInstance$2)) || (bf === $m_sc_Seq$().ReusableCBFInstance$2))) {
      if (that.isEmpty__Z()) {
        return this
      } else {
        const again = ((!that.isTraversableAgain__Z()) ? that.toVector__sci_Vector() : that.seq__sc_TraversableOnce());
        const x1 = again.size__I();
        switch (x1) {
          default: {
            if (((x1 <= 2) || (x1 < ((this.length__I() >>> 5) | 0)))) {
              const v = new $c_sr_ObjectRef().init___O(this);
              again.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, v$1) {
                return (function(x$2) {
                  v$1.elem$1 = v$1.elem$1.$$colon$plus__O__scg_CanBuildFrom__O(x$2, ($m_sci_Vector$(), $m_sc_IndexedSeq$().ReusableCBF$6))
                })
              })(this, v)));
              return v.elem$1
            } else if (((this.length__I() < ((x1 >>> 5) | 0)) && $is_sci_Vector(again))) {
              let v$2 = again;
              const ri = new $c_sci_Vector$$anon$1().init___sci_Vector(this);
              while (ri.hasNext__Z()) {
                const x$1 = ri.next__O();
                v$2 = v$2.$$plus$colon__O__scg_CanBuildFrom__O(x$1, ($m_sci_Vector$(), $m_sc_IndexedSeq$().ReusableCBF$6))
              };
              return v$2
            } else {
              return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, again, bf)
            }
          }
        }
      }
    } else {
      return $f_sc_TraversableLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that.seq__sc_TraversableOnce(), bf)
    }
  };
  display4$und$eq__AO__V(x$1) {
    this.display4$4 = x$1
  };
  seq__sc_Seq() {
    return this
  };
  gotoFreshPosWritable__p4__I__I__I__V(oldIndex, newIndex, xor) {
    if (this.dirty$4) {
      $f_sci_VectorPointer__gotoFreshPosWritable1__I__I__I__V(this, oldIndex, newIndex, xor)
    } else {
      $f_sci_VectorPointer__gotoFreshPosWritable0__I__I__I__V(this, oldIndex, newIndex, xor);
      this.dirty$4 = true
    }
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  display1__AO() {
    return this.display1$4
  };
  last__O() {
    if ($f_sc_SeqLike__isEmpty__Z(this)) {
      throw new $c_jl_UnsupportedOperationException().init___T("empty.last")
    };
    return this.apply__I__O((((-1) + this.length__I()) | 0))
  };
  display5__AO() {
    return this.display5$4
  };
  drop__I__O(n) {
    return this.drop__I__sci_Vector(n)
  };
  thisCollection__sc_Seq() {
    return this
  };
  tail__O() {
    return this.tail__sci_Vector()
  };
  toSeq__sc_Seq() {
    return this
  };
  iterator__sci_VectorIterator() {
    const s = new $c_sci_VectorIterator().init___I__I(this.startIndex$4, this.endIndex$4);
    this.initIterator__sci_VectorIterator__V(s);
    return s
  };
  requiredDepth__p4__I__I(xor) {
    if ((xor < 32)) {
      return 1
    } else if ((xor < 1024)) {
      return 2
    } else if ((xor < 32768)) {
      return 3
    } else if ((xor < 1048576)) {
      return 4
    } else if ((xor < 33554432)) {
      return 5
    } else if ((xor < 1073741824)) {
      return 6
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  zeroLeft__p4__AO__I__V(array, index) {
    let i = 0;
    while ((i < index)) {
      array.u[i] = null;
      i = ((1 + i) | 0)
    }
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  depth$und$eq__I__V(x$1) {
    this.depth$4 = x$1
  };
  display2__AO() {
    return this.display2$4
  };
  dropFront0__p4__I__sci_Vector(cutIndex) {
    const blockIndex = ((-32) & cutIndex);
    const xor = (cutIndex ^ (((-1) + this.endIndex$4) | 0));
    const d = this.requiredDepth__p4__I__I(xor);
    const shift = (cutIndex & (~(((-1) + (1 << $imul(5, d))) | 0)));
    const s = new $c_sci_Vector().init___I__I__I(((cutIndex - shift) | 0), ((this.endIndex$4 - shift) | 0), ((blockIndex - shift) | 0));
    const depth = this.depth$4;
    $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
    s.dirty$4 = this.dirty$4;
    s.gotoPosWritable__p4__I__I__I__V(this.focus$4, blockIndex, (this.focus$4 ^ blockIndex));
    s.preClean__p4__I__V(d);
    s.cleanLeftEdge__p4__I__V(((cutIndex - shift) | 0));
    return s
  };
  display0$und$eq__AO__V(x$1) {
    this.display0$4 = x$1
  };
  drop__I__sci_Vector(n) {
    if ((n <= 0)) {
      return this
    } else if ((this.startIndex$4 < ((this.endIndex$4 - n) | 0))) {
      return this.dropFront0__p4__I__sci_Vector(((this.startIndex$4 + n) | 0))
    } else {
      const this$1 = $m_sci_Vector$();
      return this$1.NIL$6
    }
  };
  appendFront__O__sci_Vector(value) {
    if ((this.endIndex$4 !== this.startIndex$4)) {
      const blockIndex = ((-32) & (((-1) + this.startIndex$4) | 0));
      const lo = (31 & (((-1) + this.startIndex$4) | 0));
      if ((this.startIndex$4 !== ((32 + blockIndex) | 0))) {
        const s = new $c_sci_Vector().init___I__I__I((((-1) + this.startIndex$4) | 0), this.endIndex$4, blockIndex);
        const depth = this.depth$4;
        $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s, this, depth);
        s.dirty$4 = this.dirty$4;
        s.gotoPosWritable__p4__I__I__I__V(this.focus$4, blockIndex, (this.focus$4 ^ blockIndex));
        s.display0$4.u[lo] = value;
        return s
      } else {
        const freeSpace = (((1 << $imul(5, this.depth$4)) - this.endIndex$4) | 0);
        const shift = (freeSpace & (~(((-1) + (1 << $imul(5, (((-1) + this.depth$4) | 0)))) | 0)));
        const shiftBlocks = ((freeSpace >>> $imul(5, (((-1) + this.depth$4) | 0))) | 0);
        if ((shift !== 0)) {
          if ((this.depth$4 > 1)) {
            const newBlockIndex = ((blockIndex + shift) | 0);
            const newFocus = ((this.focus$4 + shift) | 0);
            const s$2 = new $c_sci_Vector().init___I__I__I((((((-1) + this.startIndex$4) | 0) + shift) | 0), ((this.endIndex$4 + shift) | 0), newBlockIndex);
            const depth$1 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$2, this, depth$1);
            s$2.dirty$4 = this.dirty$4;
            s$2.shiftTopLevel__p4__I__I__V(0, shiftBlocks);
            s$2.gotoFreshPosWritable__p4__I__I__I__V(newFocus, newBlockIndex, (newFocus ^ newBlockIndex));
            s$2.display0$4.u[lo] = value;
            return s$2
          } else {
            const newBlockIndex$2 = ((32 + blockIndex) | 0);
            const newFocus$2 = this.focus$4;
            const s$3 = new $c_sci_Vector().init___I__I__I((((((-1) + this.startIndex$4) | 0) + shift) | 0), ((this.endIndex$4 + shift) | 0), newBlockIndex$2);
            const depth$2 = this.depth$4;
            $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$3, this, depth$2);
            s$3.dirty$4 = this.dirty$4;
            s$3.shiftTopLevel__p4__I__I__V(0, shiftBlocks);
            s$3.gotoPosWritable__p4__I__I__I__V(newFocus$2, newBlockIndex$2, (newFocus$2 ^ newBlockIndex$2));
            s$3.display0$4.u[(((-1) + shift) | 0)] = value;
            return s$3
          }
        } else if ((blockIndex < 0)) {
          const move = (((1 << $imul(5, ((1 + this.depth$4) | 0))) - (1 << $imul(5, this.depth$4))) | 0);
          const newBlockIndex$3 = ((blockIndex + move) | 0);
          const newFocus$3 = ((this.focus$4 + move) | 0);
          const s$4 = new $c_sci_Vector().init___I__I__I((((((-1) + this.startIndex$4) | 0) + move) | 0), ((this.endIndex$4 + move) | 0), newBlockIndex$3);
          const depth$3 = this.depth$4;
          $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$4, this, depth$3);
          s$4.dirty$4 = this.dirty$4;
          s$4.gotoFreshPosWritable__p4__I__I__I__V(newFocus$3, newBlockIndex$3, (newFocus$3 ^ newBlockIndex$3));
          s$4.display0$4.u[lo] = value;
          return s$4
        } else {
          const newFocus$4 = this.focus$4;
          const s$5 = new $c_sci_Vector().init___I__I__I((((-1) + this.startIndex$4) | 0), this.endIndex$4, blockIndex);
          const depth$4 = this.depth$4;
          $f_sci_VectorPointer__initFrom__sci_VectorPointer__I__V(s$5, this, depth$4);
          s$5.dirty$4 = this.dirty$4;
          s$5.gotoFreshPosWritable__p4__I__I__I__V(newFocus$4, blockIndex, (newFocus$4 ^ blockIndex));
          s$5.display0$4.u[lo] = value;
          return s$5
        }
      }
    } else {
      const elems = $newArrayObject($d_O.getArrayOf(), [32]);
      elems.u[31] = value;
      const s$6 = new $c_sci_Vector().init___I__I__I(31, 32, 0);
      s$6.depth$4 = 1;
      s$6.display0$4 = elems;
      return s$6
    }
  };
  copyRight__p4__AO__I__AO(array, left) {
    const copy = $newArrayObject($d_O.getArrayOf(), [array.u.length]);
    $systemArraycopy(array, left, copy, left, ((copy.u.length - left) | 0));
    return copy
  };
  display3$und$eq__AO__V(x$1) {
    this.display3$4 = x$1
  };
}
const $is_sci_Vector = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Vector)))
});
const $isArrayOf_sci_Vector = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Vector)))
});
const $d_sci_Vector = new $TypeData().initClass({
  sci_Vector: 0
}, false, "scala.collection.immutable.Vector", {
  sci_Vector: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_VectorPointer: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_Vector.prototype.$classData = $d_sci_Vector;
class $c_sci_WrappedString extends $c_sc_AbstractSeq {
  constructor() {
    super();
    this.self$4 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    const thiz = this.self$4;
    const c = (65535 & (thiz.charCodeAt(idx) | 0));
    return new $c_jl_Character().init___C(c)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const n = (v1 | 0);
    const thiz = this.self$4;
    const c = (65535 & (thiz.charCodeAt(n) | 0));
    return new $c_jl_Character().init___C(c)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  apply__I__C(n) {
    const thiz = this.self$4;
    return (65535 & (thiz.charCodeAt(n) | 0))
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  toString__T() {
    return this.self$4
  };
  companion__scg_GenericCompanion() {
    return $m_sci_IndexedSeq$()
  };
  compareTo__O__I(that) {
    const other = that;
    const thiz = this.self$4;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const thiz = this.self$4;
    const end = (thiz.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  compare__O__I(that) {
    const other = that;
    const thiz = this.self$4;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return this.slice__I__I__sci_WrappedString(from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  iterator__sc_Iterator() {
    const thiz = this.self$4;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, (thiz.length | 0))
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  length__I() {
    const thiz = this.self$4;
    return (thiz.length | 0)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    const thiz = this.self$4;
    return (thiz.length | 0)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return this.slice__I__I__sci_WrappedString(0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  drop__I__O(n) {
    const thiz = this.self$4;
    const until = (thiz.length | 0);
    return this.slice__I__I__sci_WrappedString(n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  toSeq__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  init___T(self) {
    this.self$4 = self;
    return this
  };
  slice__I__I__sci_WrappedString(from, until) {
    const start = ((from < 0) ? 0 : from);
    let jsx$1;
    if ((until <= start)) {
      jsx$1 = true
    } else {
      const thiz = this.self$4;
      jsx$1 = (start >= (thiz.length | 0))
    };
    if (jsx$1) {
      return new $c_sci_WrappedString().init___T("")
    };
    const thiz$1 = this.self$4;
    let end;
    if ((until > (thiz$1.length | 0))) {
      const thiz$2 = this.self$4;
      end = (thiz$2.length | 0)
    } else {
      end = until
    };
    const thiz$3 = $m_s_Predef$().unwrapString__sci_WrappedString__T(this);
    return new $c_sci_WrappedString().init___T(thiz$3.substring(start, end))
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $m_sjsr_RuntimeString$().toCharArray__T__AC(this.self$4)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return $m_sci_WrappedString$().newBuilder__scm_Builder()
  };
}
const $d_sci_WrappedString = new $TypeData().initClass({
  sci_WrappedString: 0
}, false, "scala.collection.immutable.WrappedString", {
  sci_WrappedString: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_WrappedString.prototype.$classData = $d_sci_WrappedString;
class $c_sci_$colon$colon extends $c_sci_List {
  constructor() {
    super();
    this.head$5 = null;
    this.tl$5 = null
  };
  productPrefix__T() {
    return "::"
  };
  head__O() {
    return this.head$5
  };
  productArity__I() {
    return 2
  };
  isEmpty__Z() {
    return false
  };
  productElement__I__O(x$1) {
    switch (x$1) {
      case 0: {
        return this.head$5;
        break
      }
      case 1: {
        return this.tl$5;
        break
      }
      default: {
        throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
      }
    }
  };
  tail__O() {
    return this.tl$5
  };
  init___O__sci_List(head, tl) {
    this.head$5 = head;
    this.tl$5 = tl;
    return this
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $is_sci_$colon$colon = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_$colon$colon)))
});
const $isArrayOf_sci_$colon$colon = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_$colon$colon)))
});
const $d_sci_$colon$colon = new $TypeData().initClass({
  sci_$colon$colon: 0
}, false, "scala.collection.immutable.$colon$colon", {
  sci_$colon$colon: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_$colon$colon.prototype.$classData = $d_sci_$colon$colon;
class $c_sci_Nil$ extends $c_sci_List {
  init___() {
    return this
  };
  head__O() {
    this.head__sr_Nothing$()
  };
  productPrefix__T() {
    return "Nil"
  };
  productArity__I() {
    return 0
  };
  tail__sci_List() {
    throw new $c_jl_UnsupportedOperationException().init___T("tail of empty list")
  };
  isEmpty__Z() {
    return true
  };
  equals__O__Z(that) {
    if ($is_sc_GenSeq(that)) {
      const x2 = that;
      return x2.isEmpty__Z()
    } else {
      return false
    }
  };
  productElement__I__O(x$1) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
  };
  head__sr_Nothing$() {
    throw new $c_ju_NoSuchElementException().init___T("head of empty list")
  };
  tail__O() {
    return this.tail__sci_List()
  };
  productIterator__sc_Iterator() {
    return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
  };
}
const $d_sci_Nil$ = new $TypeData().initClass({
  sci_Nil$: 0
}, false, "scala.collection.immutable.Nil$", {
  sci_Nil$: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Nil$.prototype.$classData = $d_sci_Nil$;
let $n_sci_Nil$ = (void 0);
const $m_sci_Nil$ = (function() {
  if ((!$n_sci_Nil$)) {
    $n_sci_Nil$ = new $c_sci_Nil$().init___()
  };
  return $n_sci_Nil$
});
class $c_scm_AbstractMap extends $c_sc_AbstractMap {
  seq__sc_TraversableOnce() {
    return this
  };
  put__O__O__s_Option(key, value) {
    return $f_scm_MapLike__put__O__O__s_Option(this, key, value)
  };
  seq__sc_Iterable() {
    return this
  };
  remove__O__s_Option(key) {
    return $f_scm_MapLike__remove__O__s_Option(this, key)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_Iterable$()
  };
  $$plus__T2__scm_Map(kv) {
    return this.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this).$$plus$eq__T2__scm_MapLike(kv)
  };
  update__O__O__V(key, value) {
    $f_scm_MapLike__update__O__O__V(this, key, value)
  };
  withDefaultValue__O__scm_Map(d) {
    return $f_scm_Map__withDefaultValue__O__scm_Map(this, d)
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  updated__O__O__scm_Map(key, value) {
    return $f_scm_MapLike__updated__O__O__scm_Map(this, key, value)
  };
  getOrElseUpdate__O__F0__O(key, op) {
    return $f_scm_MapLike__getOrElseUpdate__O__F0__O(this, key, op)
  };
  toSeq__sc_Seq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  $$minus__O__scm_Map(key) {
    return this.empty__sc_Map().$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this).$$minus$eq__O__scm_MapLike(key)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
  newBuilder__scm_Builder() {
    return this.empty__sc_Map()
  };
}
class $c_scm_AbstractSet extends $c_scm_AbstractIterable {
  seq__sc_Iterable() {
    return this
  };
  isEmpty__Z() {
    return $f_sc_SetLike__isEmpty__Z(this)
  };
  equals__O__Z(that) {
    return $f_sc_GenSetLike__equals__O__Z(this, that)
  };
  toString__T() {
    return $f_sc_TraversableLike__toString__T(this)
  };
  subsetOf__sc_GenSet__Z(that) {
    const this$1 = new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this);
    return $f_sc_Iterator__forall__F1__Z(this$1, that)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_SetLike__toBuffer__scm_Buffer(this)
  };
  apply$mcZI$sp__I__Z(v1) {
    return $f_scm_FlatHashTable__containsElem__O__Z(this, v1)
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  toSeq__sc_Seq() {
    return $f_scm_SetLike__toSeq__sc_Seq(this)
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    return this$1.unorderedHash__sc_TraversableOnce__I__I(this, this$1.setSeed$2)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return $f_sc_TraversableLike__map__F1__scg_CanBuildFrom__O(this, f, bf)
  };
  intersect__sc_GenSet__O(that) {
    return $f_sc_TraversableLike__filterImpl__F1__Z__O(this, that, false)
  };
  newBuilder__scm_Builder() {
    return this.companion__scg_GenericCompanion().empty__sc_GenTraversable()
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
  stringPrefix__T() {
    return "Set"
  };
}
class $c_sci_StreamViewLike$$anon$10 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.other$3 = null;
    this.thatSeq$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Zipped__apply__I__T2(this, idx)
  };
  init___sci_StreamViewLike__sc_GenIterable($$outer, that$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.other$3 = that$2;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  other__sc_GenIterable() {
    return this.other$3
  };
  thatSeq$lzycompute__p3__sc_Seq() {
    if ((!this.bitmap$0$3)) {
      this.thatSeq$3 = $f_sc_SeqViewLike$Zipped__thatSeq__sc_Seq(this);
      this.bitmap$0$3 = true
    };
    return this.thatSeq$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Zipped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "Z"
  };
  length__I() {
    return $f_sc_SeqViewLike$Zipped__length__I(this)
  };
  scala$collection$IterableViewLike$Zipped$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  thatSeq__sc_Seq() {
    return ((!this.bitmap$0$3) ? this.thatSeq$lzycompute__p3__sc_Seq() : this.thatSeq$3)
  };
  scala$collection$SeqViewLike$Zipped$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$10 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$10: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$10", {
  sci_StreamViewLike$$anon$10: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Zipped: 1,
  sc_SeqViewLike$Zipped: 1,
  sc_IterableViewLike$Zipped: 1
});
$c_sci_StreamViewLike$$anon$10.prototype.$classData = $d_sci_StreamViewLike$$anon$10;
class $c_sci_StreamViewLike$$anon$1 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.forced$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return this.forced$3.apply__I__O(idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return this.forced$3.apply__I__O(idx)
  };
  foreach__F1__V(f) {
    this.forced$3.foreach__F1__V(f)
  };
  iterator__sc_Iterator() {
    return this.forced$3.iterator__sc_Iterator()
  };
  viewIdentifier__T() {
    return "C"
  };
  length__I() {
    return this.forced$3.length__I()
  };
  init___sci_StreamViewLike__F0($$outer, xs$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    const forced = xs$1.apply__O();
    this.forced$3 = forced;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
}
const $d_sci_StreamViewLike$$anon$1 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$1: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$1", {
  sci_StreamViewLike$$anon$1: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Forced: 1,
  sc_SeqViewLike$Forced: 1,
  sc_IterableViewLike$Forced: 1,
  sc_TraversableViewLike$Forced: 1
});
$c_sci_StreamViewLike$$anon$1.prototype.$classData = $d_sci_StreamViewLike$$anon$1;
class $c_sci_StreamViewLike$$anon$2 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.rest$3 = null;
    this.restSeq$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Appended__apply__I__O(this, idx)
  };
  init___sci_StreamViewLike__sc_GenTraversable($$outer, that$4) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.rest$3 = that$4;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Appended__foreach__F1__V(this, f)
  };
  scala$collection$TraversableViewLike$Appended$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  rest__sc_GenTraversable() {
    return this.rest$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Appended__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "A"
  };
  length__I() {
    return $f_sc_SeqViewLike$Appended__length__I(this)
  };
  restSeq$lzycompute__p3__sc_GenSeq() {
    if ((!this.bitmap$0$3)) {
      this.restSeq$3 = this.rest$3.toSeq__sc_GenSeq();
      this.bitmap$0$3 = true
    };
    return this.restSeq$3
  };
  scala$collection$SeqViewLike$Appended$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  scala$collection$IterableViewLike$Appended$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  restSeq__sc_GenSeq() {
    return ((!this.bitmap$0$3) ? this.restSeq$lzycompute__p3__sc_GenSeq() : this.restSeq$3)
  };
}
const $d_sci_StreamViewLike$$anon$2 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$2: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$2", {
  sci_StreamViewLike$$anon$2: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Appended: 1,
  sc_SeqViewLike$Appended: 1,
  sc_IterableViewLike$Appended: 1,
  sc_TraversableViewLike$Appended: 1
});
$c_sci_StreamViewLike$$anon$2.prototype.$classData = $d_sci_StreamViewLike$$anon$2;
class $c_sci_StreamViewLike$$anon$3 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.fst$3 = null;
    this.fstSeq$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Prepended__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Prepended__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Prepended$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  fstSeq__sc_GenSeq() {
    return ((!this.bitmap$0$3) ? this.fstSeq$lzycompute__p3__sc_GenSeq() : this.fstSeq$3)
  };
  init___sci_StreamViewLike__sc_GenTraversable($$outer, that$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.fst$3 = that$3;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Prepended__foreach__F1__V(this, f)
  };
  fst__sc_GenTraversable() {
    return this.fst$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Prepended__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "A"
  };
  length__I() {
    return $f_sc_SeqViewLike$Prepended__length__I(this)
  };
  scala$collection$TraversableViewLike$Prepended$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  fstSeq$lzycompute__p3__sc_GenSeq() {
    if ((!this.bitmap$0$3)) {
      this.fstSeq$3 = this.fst$3.toSeq__sc_GenSeq();
      this.bitmap$0$3 = true
    };
    return this.fstSeq$3
  };
  scala$collection$IterableViewLike$Prepended$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$3 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$3: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$3", {
  sci_StreamViewLike$$anon$3: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Prepended: 1,
  sc_SeqViewLike$Prepended: 1,
  sc_IterableViewLike$Prepended: 1,
  sc_TraversableViewLike$Prepended: 1
});
$c_sci_StreamViewLike$$anon$3.prototype.$classData = $d_sci_StreamViewLike$$anon$3;
class $c_sci_StreamViewLike$$anon$4 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Mapped__apply__I__O(this, idx)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Mapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$3
  };
  scala$collection$SeqViewLike$Mapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  init___sci_StreamViewLike__F1($$outer, f$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.mapping$3 = f$2;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Mapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "M"
  };
  length__I() {
    return this.$$outer$3.length__I()
  };
  scala$collection$IterableViewLike$Mapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$Mapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$4 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$4: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$4", {
  sci_StreamViewLike$$anon$4: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Mapped: 1,
  sc_SeqViewLike$Mapped: 1,
  sc_IterableViewLike$Mapped: 1,
  sc_TraversableViewLike$Mapped: 1
});
$c_sci_StreamViewLike$$anon$4.prototype.$classData = $d_sci_StreamViewLike$$anon$4;
class $c_sci_StreamViewLike$$anon$5 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.mapping$3 = null;
    this.index$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$FlatMapped__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$FlatMapped$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  index$lzycompute__p3__AI() {
    if ((!this.bitmap$0$3)) {
      this.index$3 = $f_sc_SeqViewLike$FlatMapped__index__AI(this);
      this.bitmap$0$3 = true
    };
    return this.index$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$FlatMapped__foreach__F1__V(this, f)
  };
  mapping__F1() {
    return this.mapping$3
  };
  init___sci_StreamViewLike__F1($$outer, f$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.mapping$3 = f$1;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$FlatMapped__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "N"
  };
  length__I() {
    return $f_sc_SeqViewLike$FlatMapped__length__I(this)
  };
  scala$collection$IterableViewLike$FlatMapped$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$FlatMapped$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  index__AI() {
    return ((!this.bitmap$0$3) ? this.index$lzycompute__p3__AI() : this.index$3)
  };
}
const $d_sci_StreamViewLike$$anon$5 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$5: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$5", {
  sci_StreamViewLike$$anon$5: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$FlatMapped: 1,
  sc_SeqViewLike$FlatMapped: 1,
  sc_IterableViewLike$FlatMapped: 1,
  sc_TraversableViewLike$FlatMapped: 1
});
$c_sci_StreamViewLike$$anon$5.prototype.$classData = $d_sci_StreamViewLike$$anon$5;
class $c_sci_StreamViewLike$$anon$6 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.index$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  index$lzycompute__p3__AI() {
    if ((!this.bitmap$0$3)) {
      this.index$3 = $f_sc_SeqViewLike$Filtered__index__AI(this);
      this.bitmap$0$3 = true
    };
    return this.index$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Filtered__foreach__F1__V(this, f)
  };
  init___sci_StreamViewLike__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$3;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "F"
  };
  length__I() {
    return $f_sc_SeqViewLike$Filtered__length__I(this)
  };
  index__AI() {
    return ((!this.bitmap$0$3) ? this.index$lzycompute__p3__AI() : this.index$3)
  };
  pred__F1() {
    return this.pred$3
  };
  scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
}
const $d_sci_StreamViewLike$$anon$6 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$6: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$6", {
  sci_StreamViewLike$$anon$6: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Filtered: 1,
  sc_SeqViewLike$Filtered: 1,
  sc_IterableViewLike$Filtered: 1,
  sc_TraversableViewLike$Filtered: 1
});
$c_sci_StreamViewLike$$anon$6.prototype.$classData = $d_sci_StreamViewLike$$anon$6;
class $c_sci_StreamViewLike$$anon$7 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.endpoints$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "S"
  };
  length__I() {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    return $f_sc_TraversableOnce__size__I(this$1)
  };
  init___sci_StreamViewLike__scg_SliceInterval($$outer, _endpoints$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.endpoints$3 = _endpoints$1;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  endpoints__scg_SliceInterval() {
    return this.endpoints$3
  };
}
const $d_sci_StreamViewLike$$anon$7 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$7: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$7", {
  sci_StreamViewLike$$anon$7: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$Sliced: 1,
  sc_SeqViewLike$Sliced: 1,
  sc_IterableViewLike$Sliced: 1,
  sc_TraversableViewLike$Sliced: 1
});
$c_sci_StreamViewLike$$anon$7.prototype.$classData = $d_sci_StreamViewLike$$anon$7;
class $c_sci_StreamViewLike$$anon$8 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.start$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V(this, f)
  };
  scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  init___sci_StreamViewLike__F1($$outer, p$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$2;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "D"
  };
  length__I() {
    return $f_sc_SeqViewLike$DroppedWhile__length__I(this)
  };
  scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  start__I() {
    return ((!this.bitmap$0$3) ? this.start$lzycompute__p3__I() : this.start$3)
  };
  pred__F1() {
    return this.pred$3
  };
  start$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.start$3 = $f_sc_SeqLike__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.start$3
  };
}
const $d_sci_StreamViewLike$$anon$8 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$8: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$8", {
  sci_StreamViewLike$$anon$8: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$DroppedWhile: 1,
  sc_SeqViewLike$DroppedWhile: 1,
  sc_IterableViewLike$DroppedWhile: 1,
  sc_TraversableViewLike$DroppedWhile: 1
});
$c_sci_StreamViewLike$$anon$8.prototype.$classData = $d_sci_StreamViewLike$$anon$8;
class $c_sci_StreamViewLike$$anon$9 extends $c_sci_StreamViewLike$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.len$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  len__I() {
    return ((!this.bitmap$0$3) ? this.len$lzycompute__p3__I() : this.len$3)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V(this, f)
  };
  scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  init___sci_StreamViewLike__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$1;
    $c_sci_StreamViewLike$AbstractTransformed.prototype.init___sci_StreamViewLike.call(this, $$outer);
    return this
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "T"
  };
  length__I() {
    return this.len__I()
  };
  scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  len$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.len$3 = $f_sc_SeqLike__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.len$3
  };
  pred__F1() {
    return this.pred$3
  };
}
const $d_sci_StreamViewLike$$anon$9 = new $TypeData().initClass({
  sci_StreamViewLike$$anon$9: 0
}, false, "scala.collection.immutable.StreamViewLike$$anon$9", {
  sci_StreamViewLike$$anon$9: 1,
  sci_StreamViewLike$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sci_StreamViewLike$Transformed: 1,
  sci_StreamView: 1,
  sci_StreamViewLike: 1,
  sci_StreamViewLike$TakenWhile: 1,
  sc_SeqViewLike$TakenWhile: 1,
  sc_IterableViewLike$TakenWhile: 1,
  sc_TraversableViewLike$TakenWhile: 1
});
$c_sci_StreamViewLike$$anon$9.prototype.$classData = $d_sci_StreamViewLike$$anon$9;
class $c_scm_AbstractBuffer extends $c_scm_AbstractSeq {
  clone__scm_Buffer() {
    return $f_scm_BufferLike__clone__scm_Buffer(this)
  };
  $$minus$eq__O__scm_Buffer(x) {
    return $f_scm_BufferLike__$$minus$eq__O__scm_Buffer(this, x)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
class $c_scm_ListMap extends $c_scm_AbstractMap {
  constructor() {
    super();
    this.elems$5 = null;
    this.siz$5 = 0
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    this.elems$5 = $m_sci_Nil$();
    this.siz$5 = 0;
    return this
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_ListMap(key)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$2 = new $c_scm_ListMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_ListMap(elem)
  };
  $$minus__O__sc_Map(key) {
    const this$2 = new $c_scm_ListMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(key)
  };
  empty__sc_Map() {
    return new $c_scm_ListMap().init___()
  };
  $$plus$eq__T2__scm_ListMap(kv) {
    this.elems$5 = this.remove__p5__O__sci_List__sci_List__sci_List(kv.$$und1__O(), this.elems$5, $m_sci_Nil$());
    const this$1 = this.elems$5;
    this.elems$5 = new $c_sci_$colon$colon().init___O__sci_List(kv, this$1);
    this.siz$5 = ((1 + this.siz$5) | 0);
    return this
  };
  size__I() {
    return this.siz$5
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    const this$1 = this.elems$5;
    return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this$1)
  };
  empty__scm_Map() {
    return new $c_scm_ListMap().init___()
  };
  remove__p5__O__sci_List__sci_List__sci_List(key, elems, acc) {
    _remove: while (true) {
      if (elems.isEmpty__Z()) {
        return acc
      } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(elems.head__O().$$und1__O(), key)) {
        this.siz$5 = (((-1) + this.siz$5) | 0);
        const x$4 = acc;
        return elems.tail__O().$$colon$colon$colon__sci_List__sci_List(x$4)
      } else {
        const temp$elems = elems.tail__O();
        const x$5 = elems.head__O();
        const this$1 = acc;
        const temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$1);
        elems = temp$elems;
        acc = temp$acc;
        continue _remove
      }
    }
  };
  get__O__s_Option(key) {
    const this$1 = this.elems$5;
    let this$2;
    inlinereturn$1: {
      let these = this$1;
      while ((!these.isEmpty__Z())) {
        const arg1 = these.head__O();
        const x$1 = arg1;
        if ($m_sr_BoxesRunTime$().equals__O__O__Z(x$1.$$und1__O(), key)) {
          this$2 = new $c_s_Some().init___O(these.head__O());
          break inlinereturn$1
        };
        these = these.tail__O()
      };
      this$2 = $m_s_None$()
    };
    if (this$2.isEmpty__Z()) {
      return $m_s_None$()
    } else {
      const arg1$1 = this$2.get__O();
      const x$2 = arg1$1;
      return new $c_s_Some().init___O(x$2.$$und2__O())
    }
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_ListMap(kv)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_ListMap(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_ListMap(elem)
  };
  clear__V() {
    this.elems$5 = $m_sci_Nil$();
    this.siz$5 = 0
  };
  $$minus$eq__O__scm_ListMap(key) {
    this.elems$5 = this.remove__p5__O__sci_List__sci_List__sci_List(key, this.elems$5, $m_sci_Nil$());
    return this
  };
  $$plus__T2__sc_GenMap(kv) {
    const this$2 = new $c_scm_ListMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$plus$eq__T2__scm_MapLike(kv)
  };
}
const $is_scm_ListMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ListMap)))
});
const $isArrayOf_scm_ListMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ListMap)))
});
const $d_scm_ListMap = new $TypeData().initClass({
  scm_ListMap: 0
}, false, "scala.collection.mutable.ListMap", {
  scm_ListMap: 1,
  scm_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListMap.prototype.$classData = $d_scm_ListMap;
class $c_scm_Map$WithDefault extends $c_sc_Map$WithDefault {
  constructor() {
    super();
    this.underlying$5 = null;
    this.d$5 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  updated__O__O__scm_Map$WithDefault(key, value) {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5.updated__O__O__scm_Map(key, value), this.d$5)
  };
  put__O__O__s_Option(key, value) {
    return $f_scm_MapLike__put__O__O__s_Option(this, key, value)
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_Map$WithDefault(key)
  };
  $$minus__O__scg_Subtractable(elem) {
    return this.$$minus__O__scm_Map$WithDefault(elem)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  remove__O__s_Option(key) {
    return $f_scm_MapLike__remove__O__s_Option(this, key)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_Map$WithDefault(elem)
  };
  $$minus__O__scm_Map$WithDefault(key) {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5.$$minus__O__scm_Map(key), this.d$5)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_Iterable$()
  };
  $$plus__T2__scm_Map(kv) {
    return this.updated__O__O__scm_Map$WithDefault(kv.$$und1__O(), kv.$$und2__O())
  };
  $$minus__O__sc_Map(key) {
    return this.$$minus__O__scm_Map$WithDefault(key)
  };
  empty__sc_Map() {
    return this.empty__scm_Map$WithDefault()
  };
  update__O__O__V(key, value) {
    $f_scm_MapLike__update__O__O__V(this, key, value)
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  withDefaultValue__O__scm_Map(d) {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5, new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, d$1) {
      return (function(x$2) {
        return d$1
      })
    })(this, d)))
  };
  empty__scm_Map() {
    return this.empty__scm_Map$WithDefault()
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  $$minus$eq__O__scm_Map$WithDefault(key) {
    this.underlying$5.$$minus$eq__O__scm_MapLike(key);
    return this
  };
  updated__O__O__scm_Map(key, value) {
    return this.updated__O__O__scm_Map$WithDefault(key, value)
  };
  getOrElseUpdate__O__F0__O(key, op) {
    return $f_scm_MapLike__getOrElseUpdate__O__F0__O(this, key, op)
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_Map$WithDefault(kv)
  };
  toSeq__sc_Seq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  init___scm_Map__F1(underlying, d) {
    this.underlying$5 = underlying;
    this.d$5 = d;
    $c_sc_Map$WithDefault.prototype.init___sc_Map__F1.call(this, underlying, d);
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_Map$WithDefault(elem)
  };
  empty__scm_Map$WithDefault() {
    return new $c_scm_Map$WithDefault().init___scm_Map__F1(this.underlying$5.empty__scm_Map(), this.d$5)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_Map$WithDefault(elem)
  };
  $$plus$eq__T2__scm_Map$WithDefault(kv) {
    this.underlying$5.$$plus$eq__T2__scm_MapLike(kv);
    return this
  };
  clear__V() {
    $f_scm_MapLike__clear__V(this)
  };
  $$minus__O__scm_Map(key) {
    return this.$$minus__O__scm_Map$WithDefault(key)
  };
  $$plus__T2__sc_GenMap(kv) {
    return this.updated__O__O__scm_Map$WithDefault(kv.$$und1__O(), kv.$$und2__O())
  };
  newBuilder__scm_Builder() {
    return this.empty__scm_Map$WithDefault()
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_Map$WithDefault = new $TypeData().initClass({
  scm_Map$WithDefault: 0
}, false, "scala.collection.mutable.Map$WithDefault", {
  scm_Map$WithDefault: 1,
  sc_Map$WithDefault: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1
});
$c_scm_Map$WithDefault.prototype.$classData = $d_scm_Map$WithDefault;
const $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView = (function($thiz, from, until) {
  const jsx$1 = $m_scg_SliceInterval$();
  const that = $thiz.length__I();
  const _endpoints = jsx$1.apply__I__I__scg_SliceInterval(from, ((until < that) ? until : that));
  return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval($thiz, _endpoints)
});
const $f_scm_IndexedSeqView__span__F1__T2 = (function($thiz, p) {
  return new $c_T2().init___O__O(new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1($thiz, p), new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1($thiz, p))
});
const $f_scm_IndexedSeqView__splitAt__I__T2 = (function($thiz, n) {
  return new $c_T2().init___O__O($f_scm_IndexedSeqView__take__I__scm_IndexedSeqView($thiz, n), $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView($thiz, n))
});
const $f_scm_IndexedSeqView__tail__scm_IndexedSeqView = (function($thiz) {
  if ($f_sc_IndexedSeqOptimized__isEmpty__Z($thiz)) {
    return $thiz.scala$collection$mutable$IndexedSeqView$$super$tail__scm_IndexedSeqView()
  } else {
    const until = $thiz.length__I();
    return $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView($thiz, 1, until)
  }
});
const $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView = (function($thiz, n) {
  const _endpoints = $m_scg_SliceInterval$().apply__I__I__scg_SliceInterval(n, $thiz.length__I());
  return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval($thiz, _endpoints)
});
const $f_scm_IndexedSeqView__take__I__scm_IndexedSeqView = (function($thiz, n) {
  const jsx$1 = $m_scg_SliceInterval$();
  const that = $thiz.length__I();
  const _endpoints = jsx$1.apply__I__I__scg_SliceInterval(0, ((n < that) ? n : that));
  return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval($thiz, _endpoints)
});
const $is_scm_IndexedSeqView = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_IndexedSeqView)))
});
const $isArrayOf_scm_IndexedSeqView = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_IndexedSeqView)))
});
class $c_scm_WrappedArray extends $c_scm_AbstractSeq {
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length__I())
  };
  seq__scm_Seq() {
    return this
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = this.length__I();
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  thisCollection__sc_Seq() {
    return this
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const thatElementClass = evidence$1.runtimeClass__jl_Class();
    return ((this.elementClass__p5__jl_Class() === thatElementClass) ? this.array__O() : $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1))
  };
  elementClass__p5__jl_Class() {
    const this$1 = this.array__O();
    return $objectGetClass(this$1).getComponentType__jl_Class()
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_WrappedArrayBuilder().init___s_reflect_ClassTag(this.elemTag__s_reflect_ClassTag())
  };
  stringPrefix__T() {
    return "WrappedArray"
  };
}
class $c_scm_ArraySeq extends $c_scm_AbstractSeq {
  constructor() {
    super();
    this.length$5 = 0;
    this.array$5 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    if ((idx >= this.length$5)) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
    };
    return this.array$5.u[idx]
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_ArraySeq$()
  };
  foreach__F1__V(f) {
    let i = 0;
    while ((i < this.length$5)) {
      f.apply__O__O(this.array$5.u[i]);
      i = ((1 + i) | 0)
    }
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length$5;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  seq__scm_Seq() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.length$5)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  init___I(length) {
    this.length$5 = length;
    this.array$5 = $newArrayObject($d_O.getArrayOf(), [length]);
    return this
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    return this.length$5
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.length$5
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = this.length$5;
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    const that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
    const x = ((len < that) ? len : that);
    const that$1 = this.length$5;
    const len1 = ((x < that$1) ? x : that$1);
    if ((len1 > 0)) {
      $m_s_Array$().copy__O__I__O__I__I__V(this.array$5, 0, xs, start, len1)
    }
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
}
const $d_scm_ArraySeq = new $TypeData().initClass({
  scm_ArraySeq: 0
}, false, "scala.collection.mutable.ArraySeq", {
  scm_ArraySeq: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArraySeq.prototype.$classData = $d_scm_ArraySeq;
class $c_scm_HashMap extends $c_scm_AbstractMap {
  constructor() {
    super();
    this.$$undloadFactor$5 = 0;
    this.table$5 = null;
    this.tableSize$5 = 0;
    this.threshold$5 = 0;
    this.sizemap$5 = null;
    this.seedvalue$5 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  put__O__O__s_Option(key, value) {
    const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this, key, value);
    if ((e === null)) {
      return $m_s_None$()
    } else {
      const v = e.value$1;
      e.value$1 = value;
      return new $c_s_Some().init___O(v)
    }
  };
  init___() {
    $c_scm_HashMap.prototype.init___scm_HashTable$Contents.call(this, null);
    return this
  };
  $$minus$eq__O__scm_MapLike(key) {
    return this.$$minus$eq__O__scm_HashMap(key)
  };
  apply__O__O(key) {
    const result = $f_scm_HashTable__findEntry__O__scm_HashEntry(this, key);
    return ((result === null) ? $f_sc_MapLike__$default__O__O(this, key) : result.value$1)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$2 = new $c_scm_HashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  remove__O__s_Option(key) {
    const e = $f_scm_HashTable__removeEntry__O__scm_HashEntry(this, key);
    return ((e !== null) ? new $c_s_Some().init___O(e.value$1) : $m_s_None$())
  };
  addEntry0__p5__scm_DefaultEntry__I__V(e, h) {
    const x$1 = this.table$5.u[h];
    e.next$1 = x$1;
    this.table$5.u[h] = e;
    this.tableSize$5 = ((1 + this.tableSize$5) | 0);
    $f_scm_HashTable__nnSizeMapAdd__I__V(this, h)
  };
  $$plus$eq__T2__scm_HashMap(kv) {
    const key = kv.$$und1__O();
    const value = kv.$$und2__O();
    const e = $f_scm_HashTable__findOrAddEntry__O__O__scm_HashEntry(this, key, value);
    if ((e !== null)) {
      e.value$1 = kv.$$und2__O()
    };
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__T2__scm_HashMap(elem)
  };
  foreach__F1__V(f) {
    const iterTable = this.table$5;
    let idx = $f_scm_HashTable__scala$collection$mutable$HashTable$$lastPopulatedIndex__I(this);
    let es = iterTable.u[idx];
    while ((es !== null)) {
      const this$1 = es;
      const next = this$1.next$1;
      const arg1 = es;
      const e = arg1;
      f.apply__O__O(new $c_T2().init___O__O(e.key$1, e.value$1));
      es = next;
      while (((es === null) && (idx > 0))) {
        idx = (((-1) + idx) | 0);
        es = iterTable.u[idx]
      }
    }
  };
  findEntry__p5__O__I__scm_DefaultEntry(key, h) {
    let e = this.table$5.u[h];
    while (this.notFound__p5__O__scm_DefaultEntry__Z(key, e)) {
      const this$1 = e;
      e = this$1.next$1
    };
    return e
  };
  keysIterator__sc_Iterator() {
    return new $c_scm_HashMap$$anon$3().init___scm_HashMap(this)
  };
  $$minus__O__sc_Map(key) {
    const this$2 = new $c_scm_HashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$minus$eq__O__scm_MapLike(key)
  };
  empty__sc_Map() {
    return new $c_scm_HashMap().init___()
  };
  update__O__O__V(key, value) {
    this.put__O__O__s_Option(key, value)
  };
  size__I() {
    return this.tableSize$5
  };
  seq__sc_Map() {
    return this
  };
  result__O() {
    return this
  };
  values__sc_Iterable() {
    return new $c_scm_HashMap$$anon$2().init___scm_HashMap(this)
  };
  iterator__sc_Iterator() {
    const this$1 = new $c_scm_HashTable$$anon$1().init___scm_HashTable(this);
    const f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
      return (function(e$2) {
        const e = e$2;
        return new $c_T2().init___O__O(e.key$1, e.value$1)
      })
    })(this));
    return new $c_sc_Iterator$$anon$10().init___sc_Iterator__F1(this$1, f)
  };
  empty__scm_Map() {
    return new $c_scm_HashMap().init___()
  };
  valuesIterator__sc_Iterator() {
    return new $c_scm_HashMap$$anon$4().init___scm_HashMap(this)
  };
  init___scm_HashTable$Contents(contents) {
    $f_scm_HashTable__$$init$__V(this);
    $f_scm_HashTable__initWithContents__scm_HashTable$Contents__V(this, contents);
    return this
  };
  notFound__p5__O__scm_DefaultEntry__Z(key, e) {
    if ((e !== null)) {
      const key1 = e.key$1;
      return (!$m_sr_BoxesRunTime$().equals__O__O__Z(key1, key))
    } else {
      return false
    }
  };
  getOrElseUpdate__O__F0__O(key, defaultValue) {
    const hash = $m_sr_Statics$().anyHash__O__I(key);
    const i = $f_scm_HashTable__index__I__I(this, hash);
    const entry = this.findEntry__p5__O__I__scm_DefaultEntry(key, i);
    if ((entry !== null)) {
      return entry.value$1
    } else {
      const table0 = this.table$5;
      const $default = defaultValue.apply__O();
      const newEntryIndex = ((table0 === this.table$5) ? i : $f_scm_HashTable__index__I__I(this, hash));
      return this.addEntry__p5__scm_DefaultEntry__I__O(new $c_scm_DefaultEntry().init___O__O(key, $default), newEntryIndex)
    }
  };
  get__O__s_Option(key) {
    const e = $f_scm_HashTable__findEntry__O__scm_HashEntry(this, key);
    return ((e === null) ? $m_s_None$() : new $c_s_Some().init___O(e.value$1))
  };
  $$plus$eq__T2__scm_MapLike(kv) {
    return this.$$plus$eq__T2__scm_HashMap(kv)
  };
  $$minus$eq__O__scm_HashMap(key) {
    $f_scm_HashTable__removeEntry__O__scm_HashEntry(this, key);
    return this
  };
  contains__O__Z(key) {
    return ($f_scm_HashTable__findEntry__O__scm_HashEntry(this, key) !== null)
  };
  keySet__sc_Set() {
    return new $c_scm_HashMap$$anon$1().init___scm_HashMap(this)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__T2__scm_HashMap(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_MapLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_HashMap(elem)
  };
  addEntry__p5__scm_DefaultEntry__I__O(e, h) {
    if ((this.tableSize$5 >= this.threshold$5)) {
      $f_scm_HashTable__addEntry__scm_HashEntry__V(this, e)
    } else {
      this.addEntry0__p5__scm_DefaultEntry__I__V(e, h)
    };
    return e.value$1
  };
  clear__V() {
    $f_scm_HashTable__clearTable__V(this)
  };
  $$plus__T2__sc_GenMap(kv) {
    const this$2 = new $c_scm_HashMap().init___();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, this).$$plus$eq__T2__scm_MapLike(kv)
  };
}
const $is_scm_HashMap = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashMap)))
});
const $isArrayOf_scm_HashMap = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashMap)))
});
const $d_scm_HashMap = new $TypeData().initClass({
  scm_HashMap: 0
}, false, "scala.collection.mutable.HashMap", {
  scm_HashMap: 1,
  scm_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  scm_Map: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_MapLike: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_HashTable: 1,
  scm_HashTable$HashUtils: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashMap.prototype.$classData = $d_scm_HashMap;
class $c_scm_IndexedSeqLike$$anon$1 extends $c_O {
  constructor() {
    super();
    this.underlying$1 = null;
    this.bitmap$0$1 = false;
    this.$$outer$1 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  copyToArray__O__I__V(xs, start) {
    $f_sc_TraversableOnce__copyToArray__O__I__V(this, xs, start)
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  apply__I__O(idx) {
    return this.$$outer$1.apply__I__O(idx)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  toIterator__sc_Iterator() {
    return this.iterator__sc_Iterator()
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, asTraversable)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  toList__sci_List() {
    const this$1 = $m_sci_List$();
    const cbf = this$1.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  scala$collection$TraversableViewLike$$super$tail__sc_TraversableView() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  seq__sc_Iterable() {
    return this
  };
  runWith__F1__F1(action) {
    return $f_s_PartialFunction__runWith__F1__F1(this, action)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  flatMap__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  equals__O__Z(that) {
    return $f_sc_GenSeqLike__equals__O__Z(this, that)
  };
  count__F1__I(p) {
    return $f_sc_TraversableOnce__count__F1__I(this, p)
  };
  dropWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  mkString__T__T(sep) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    return $f_sc_ViewMkString__mkString__T__T__T__T(this, start, sep, end)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  $$colon$plus__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$colon$plus__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  viewIdString__T() {
    return ""
  };
  newPrepended__sc_GenTraversable__sc_SeqViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$3().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  headOption__s_Option() {
    return $f_sc_TraversableLike__headOption__s_Option(this)
  };
  takeWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView(this, from, until)
  };
  toVector__sci_Vector() {
    $m_sci_Vector$();
    const cbf = $m_sc_IndexedSeq$().ReusableCBF$6;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  filter__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  size__I() {
    return this.length__I()
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  scala$collection$mutable$IndexedSeqView$$super$tail__scm_IndexedSeqView() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  $$plus$colon__O__scg_CanBuildFrom__O(elem, bf) {
    return $f_sc_SeqViewLike__$$plus$colon__O__scg_CanBuildFrom__O(this, elem, bf)
  };
  apply$mcZI$sp__I__Z(v1) {
    return (!(!this.apply__I__O(v1)))
  };
  iterator__sc_Iterator() {
    return this.$$outer$1.iterator__sc_Iterator()
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_scm_IndexedSeqView__span__F1__T2(this, p)
  };
  init___scm_IndexedSeqLike($$outer) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$1 = $$outer
    };
    return this
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  $$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(xs, bf) {
    return $f_sc_TraversableViewLike__$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, xs, bf)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IterableViewLike__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    return this.$$outer$1.length__I()
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  partition__F1__T2(p) {
    return $f_sc_TraversableViewLike__partition__F1__T2(this, p)
  };
  splitAt__I__T2(n) {
    return $f_scm_IndexedSeqView__splitAt__I__T2(this, n)
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  take__I__O(n) {
    return $f_scm_IndexedSeqView__take__I__scm_IndexedSeqView(this, n)
  };
  toStream__sci_Stream() {
    return this.iterator__sc_Iterator().toStream__sci_Stream()
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  drop__I__O(n) {
    return $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  contains__O__Z(elem) {
    return $f_sc_SeqLike__contains__O__Z(this, elem)
  };
  thisCollection__sc_Seq() {
    return this
  };
  tail__O() {
    return $f_scm_IndexedSeqView__tail__scm_IndexedSeqView(this)
  };
  toTraversable__sc_Traversable() {
    return this
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    return $f_sc_ViewMkString__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  toSeq__sc_Seq() {
    return this
  };
  filter__F1__sc_TraversableView(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  toSet__sci_Set() {
    const this$1 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$1);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this, cbf)
  };
  repr__O() {
    return this
  };
  $$div$colon__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  newForced__F0__sc_SeqViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  applyOrElse__O__F1__O(x, $default) {
    return $f_s_PartialFunction__applyOrElse__O__F1__O(this, x, $default)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  isTraversableAgain__Z() {
    return true
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  groupBy__F1__sci_Map(f) {
    return $f_sc_TraversableViewLike__groupBy__F1__sci_Map(this, f)
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let i = 0;
    const len = this.length__I();
    while ((i < len)) {
      const arg1 = this.apply__I__O(i);
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      i = ((1 + i) | 0)
    };
    return b.elems$1
  };
  map__F1__scg_CanBuildFrom__O(f, bf) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this, p, from)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this, evidence$1)
  };
  nonEmpty__Z() {
    return $f_sc_TraversableOnce__nonEmpty__Z(this)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  collect__s_PartialFunction__scg_CanBuildFrom__O(pf, bf) {
    return $f_sc_TraversableViewLike__collect__s_PartialFunction__scg_CanBuildFrom__O(this, pf, bf)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return $f_sc_TraversableViewLike__newBuilder__scm_Builder(this)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  stringPrefix__T() {
    return "SeqView"
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
}
const $d_scm_IndexedSeqLike$$anon$1 = new $TypeData().initClass({
  scm_IndexedSeqLike$$anon$1: 0
}, false, "scala.collection.mutable.IndexedSeqLike$$anon$1", {
  scm_IndexedSeqLike$$anon$1: 1,
  O: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  s_Mutable: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1
});
$c_scm_IndexedSeqLike$$anon$1.prototype.$classData = $d_scm_IndexedSeqLike$$anon$1;
class $c_scm_HashSet extends $c_scm_AbstractSet {
  constructor() {
    super();
    this.$$undloadFactor$5 = 0;
    this.table$5 = null;
    this.tableSize$5 = 0;
    this.threshold$5 = 0;
    this.sizemap$5 = null;
    this.seedvalue$5 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  init___() {
    $c_scm_HashSet.prototype.init___scm_FlatHashTable$Contents.call(this, null);
    return this
  };
  apply__O__O(v1) {
    return $f_scm_FlatHashTable__containsElem__O__Z(this, v1)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    return this$2.$$minus$eq__O__scm_HashSet(elem)
  };
  thisCollection__sc_Traversable() {
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_HashSet(elem)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_HashSet$()
  };
  foreach__F1__V(f) {
    let i = 0;
    const len = this.table$5.u.length;
    while ((i < len)) {
      const curEntry = this.table$5.u[i];
      if ((curEntry !== null)) {
        f.apply__O__O($f_scm_FlatHashTable$HashUtils__entryToElem__O__O(this, curEntry))
      };
      i = ((1 + i) | 0)
    }
  };
  size__I() {
    return this.tableSize$5
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this)
  };
  $$minus__O__sc_Set(elem) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    return this$2.$$minus$eq__O__scm_HashSet(elem)
  };
  contains__O__Z(elem) {
    return $f_scm_FlatHashTable__containsElem__O__Z(this, elem)
  };
  init___scm_FlatHashTable$Contents(contents) {
    $f_scm_FlatHashTable__$$init$__V(this);
    $f_scm_FlatHashTable__initWithContents__scm_FlatHashTable$Contents__V(this, contents);
    return this
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_HashSet(elem)
  };
  toSeq__sc_GenSeq() {
    return $f_scm_SetLike__toSeq__sc_Seq(this)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_HashSet(elem)
  };
  $$minus$eq__O__scm_HashSet(elem) {
    $f_scm_FlatHashTable__removeElem__O__Z(this, elem);
    return this
  };
  $$plus__O__sc_Set(elem) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    return this$2.$$plus$eq__O__scm_HashSet(elem)
  };
  $$plus$plus__sc_GenTraversableOnce__sc_Set(elems) {
    const this$1 = new $c_scm_HashSet().init___();
    const this$2 = $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$1, this);
    const xs = elems.seq__sc_TraversableOnce();
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this$2, xs)
  };
  $$plus$eq__O__scm_HashSet(elem) {
    $f_scm_FlatHashTable__addElem__O__Z(this, elem);
    return this
  };
}
const $is_scm_HashSet = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashSet)))
});
const $isArrayOf_scm_HashSet = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashSet)))
});
const $d_scm_HashSet = new $TypeData().initClass({
  scm_HashSet: 0
}, false, "scala.collection.mutable.HashSet", {
  scm_HashSet: 1,
  scm_AbstractSet: 1,
  scm_AbstractIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_Set: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  scm_SetLike: 1,
  sc_script_Scriptable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_FlatHashTable: 1,
  scm_FlatHashTable$HashUtils: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet.prototype.$classData = $d_scm_HashSet;
class $c_scm_WrappedArray$ofBoolean extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcZI$sp__I__Z(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcZI$sp__I__Z(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__Z__V(index, (!(!elem)))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofBoolean(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AZ__AZ__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply$mcZI$sp__I__Z(index) {
    return this.array$6.u[index]
  };
  length__I() {
    return this.array$6.u.length
  };
  update__I__Z__V(index, elem) {
    this.array$6.u[index] = elem
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$BooleanManifest$()
  };
  array__O() {
    return this.array$6
  };
  init___AZ(array) {
    this.array$6 = array;
    return this
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mZc$sp__AZ__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofBoolean = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofBoolean)))
});
const $isArrayOf_scm_WrappedArray$ofBoolean = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofBoolean)))
});
const $d_scm_WrappedArray$ofBoolean = new $TypeData().initClass({
  scm_WrappedArray$ofBoolean: 0
}, false, "scala.collection.mutable.WrappedArray$ofBoolean", {
  scm_WrappedArray$ofBoolean: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofBoolean.prototype.$classData = $d_scm_WrappedArray$ofBoolean;
class $c_scm_WrappedArray$ofByte extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply__I__B(index)
  };
  apply__O__O(v1) {
    return this.apply__I__B((v1 | 0))
  };
  update__I__O__V(index, elem) {
    this.update__I__B__V(index, (elem | 0))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofByte(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AB__AB__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply__I__B(index) {
    return this.array$6.u[index]
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$ByteManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const data = this.array$6;
    return this$1.bytesHash__AB__I__I(data, this$1.seqSeed$2)
  };
  init___AB(array) {
    this.array$6 = array;
    return this
  };
  update__I__B__V(index, elem) {
    this.array$6.u[index] = elem
  };
}
const $is_scm_WrappedArray$ofByte = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofByte)))
});
const $isArrayOf_scm_WrappedArray$ofByte = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofByte)))
});
const $d_scm_WrappedArray$ofByte = new $TypeData().initClass({
  scm_WrappedArray$ofByte: 0
}, false, "scala.collection.mutable.WrappedArray$ofByte", {
  scm_WrappedArray$ofByte: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofByte.prototype.$classData = $d_scm_WrappedArray$ofByte;
class $c_scm_WrappedArray$ofChar extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    const c = this.apply__I__C(index);
    return new $c_jl_Character().init___C(c)
  };
  apply__O__O(v1) {
    const c = this.apply__I__C((v1 | 0));
    return new $c_jl_Character().init___C(c)
  };
  update__I__O__V(index, elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    this.update__I__C__V(index, jsx$1)
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofChar(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AC__AC__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply__I__C(index) {
    return this.array$6.u[index]
  };
  update__I__C__V(index, elem) {
    this.array$6.u[index] = elem
  };
  length__I() {
    return this.array$6.u.length
  };
  init___AC(array) {
    this.array$6 = array;
    return this
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$CharManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mCc$sp__AC__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofChar = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofChar)))
});
const $isArrayOf_scm_WrappedArray$ofChar = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofChar)))
});
const $d_scm_WrappedArray$ofChar = new $TypeData().initClass({
  scm_WrappedArray$ofChar: 0
}, false, "scala.collection.mutable.WrappedArray$ofChar", {
  scm_WrappedArray$ofChar: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofChar.prototype.$classData = $d_scm_WrappedArray$ofChar;
class $c_scm_WrappedArray$ofDouble extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcDI$sp__I__D(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcDI$sp__I__D(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__D__V(index, (+elem))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofDouble(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AD__AD__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  init___AD(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$DoubleManifest$()
  };
  update__I__D__V(index, elem) {
    this.array$6.u[index] = elem
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mDc$sp__AD__I__I(a, this$1.seqSeed$2)
  };
  apply$mcDI$sp__I__D(index) {
    return this.array$6.u[index]
  };
}
const $is_scm_WrappedArray$ofDouble = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofDouble)))
});
const $isArrayOf_scm_WrappedArray$ofDouble = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofDouble)))
});
const $d_scm_WrappedArray$ofDouble = new $TypeData().initClass({
  scm_WrappedArray$ofDouble: 0
}, false, "scala.collection.mutable.WrappedArray$ofDouble", {
  scm_WrappedArray$ofDouble: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofDouble.prototype.$classData = $d_scm_WrappedArray$ofDouble;
class $c_scm_WrappedArray$ofFloat extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcFI$sp__I__F(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcFI$sp__I__F(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__F__V(index, (+elem))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofFloat(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AF__AF__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  init___AF(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  apply$mcFI$sp__I__F(index) {
    return this.array$6.u[index]
  };
  update__I__F__V(index, elem) {
    this.array$6.u[index] = elem
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$FloatManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mFc$sp__AF__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofFloat = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofFloat)))
});
const $isArrayOf_scm_WrappedArray$ofFloat = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofFloat)))
});
const $d_scm_WrappedArray$ofFloat = new $TypeData().initClass({
  scm_WrappedArray$ofFloat: 0
}, false, "scala.collection.mutable.WrappedArray$ofFloat", {
  scm_WrappedArray$ofFloat: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofFloat.prototype.$classData = $d_scm_WrappedArray$ofFloat;
class $c_scm_WrappedArray$ofInt extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcII$sp__I__I(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcII$sp__I__I(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__I__V(index, (elem | 0))
  };
  update__I__I__V(index, elem) {
    this.array$6.u[index] = elem
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofInt(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AI__AI__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  apply$mcII$sp__I__I(index) {
    return this.array$6.u[index]
  };
  init___AI(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$IntManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mIc$sp__AI__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofInt = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofInt)))
});
const $isArrayOf_scm_WrappedArray$ofInt = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofInt)))
});
const $d_scm_WrappedArray$ofInt = new $TypeData().initClass({
  scm_WrappedArray$ofInt: 0
}, false, "scala.collection.mutable.WrappedArray$ofInt", {
  scm_WrappedArray$ofInt: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofInt.prototype.$classData = $d_scm_WrappedArray$ofInt;
class $c_scm_WrappedArray$ofLong extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply$mcJI$sp__I__J(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.apply$mcJI$sp__I__J(index)
  };
  init___AJ(array) {
    this.array$6 = array;
    return this
  };
  update__I__O__V(index, elem) {
    this.update__I__J__V(index, $uJ(elem))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofLong(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AJ__AJ__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$LongManifest$()
  };
  update__I__J__V(index, elem) {
    this.array$6.u[index] = elem
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mJc$sp__AJ__I__I(a, this$1.seqSeed$2)
  };
  apply$mcJI$sp__I__J(index) {
    return this.array$6.u[index]
  };
}
const $is_scm_WrappedArray$ofLong = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofLong)))
});
const $isArrayOf_scm_WrappedArray$ofLong = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofLong)))
});
const $d_scm_WrappedArray$ofLong = new $TypeData().initClass({
  scm_WrappedArray$ofLong: 0
}, false, "scala.collection.mutable.WrappedArray$ofLong", {
  scm_WrappedArray$ofLong: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofLong.prototype.$classData = $d_scm_WrappedArray$ofLong;
class $c_scm_WrappedArray$ofRef extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.elemTag$6 = null;
    this.array$6 = null;
    this.bitmap$0$6 = false
  };
  apply__I__O(index) {
    return this.array$6.u[index]
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  update__I__O__V(index, elem) {
    this.array$6.u[index] = elem
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofRef(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AO__AO__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  elemTag$lzycompute__p6__s_reflect_ClassTag() {
    if ((!this.bitmap$0$6)) {
      const jsx$1 = $m_s_reflect_ClassTag$();
      const this$1 = this.array$6;
      this.elemTag$6 = jsx$1.apply__jl_Class__s_reflect_ClassTag($objectGetClass(this$1).getComponentType__jl_Class());
      this.bitmap$0$6 = true
    };
    return this.elemTag$6
  };
  init___AO(array) {
    this.array$6 = array;
    return this
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return ((!this.bitmap$0$6) ? this.elemTag$lzycompute__p6__s_reflect_ClassTag() : this.elemTag$6)
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash__O__I__I(a, this$1.seqSeed$2)
  };
}
const $is_scm_WrappedArray$ofRef = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofRef)))
});
const $isArrayOf_scm_WrappedArray$ofRef = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofRef)))
});
const $d_scm_WrappedArray$ofRef = new $TypeData().initClass({
  scm_WrappedArray$ofRef: 0
}, false, "scala.collection.mutable.WrappedArray$ofRef", {
  scm_WrappedArray$ofRef: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofRef.prototype.$classData = $d_scm_WrappedArray$ofRef;
class $c_scm_WrappedArray$ofShort extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply__I__O(index) {
    return this.apply__I__S(index)
  };
  apply__O__O(v1) {
    return this.apply__I__S((v1 | 0))
  };
  update__I__S__V(index, elem) {
    this.array$6.u[index] = elem
  };
  init___AS(array) {
    this.array$6 = array;
    return this
  };
  update__I__O__V(index, elem) {
    this.update__I__S__V(index, (elem | 0))
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofShort(that)) {
      const x2 = that;
      return $m_ju_Arrays$().equals__AS__AS__Z(this.array$6, x2.array$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$ShortManifest$()
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mSc$sp__AS__I__I(a, this$1.seqSeed$2)
  };
  apply__I__S(index) {
    return this.array$6.u[index]
  };
}
const $is_scm_WrappedArray$ofShort = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofShort)))
});
const $isArrayOf_scm_WrappedArray$ofShort = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofShort)))
});
const $d_scm_WrappedArray$ofShort = new $TypeData().initClass({
  scm_WrappedArray$ofShort: 0
}, false, "scala.collection.mutable.WrappedArray$ofShort", {
  scm_WrappedArray$ofShort: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofShort.prototype.$classData = $d_scm_WrappedArray$ofShort;
class $c_scm_WrappedArray$ofUnit extends $c_scm_WrappedArray {
  constructor() {
    super();
    this.array$6 = null
  };
  apply$mcVI$sp__I__V(index) {
    this.array$6.u[index]
  };
  apply__I__O(index) {
    this.apply$mcVI$sp__I__V(index)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    this.apply$mcVI$sp__I__V(index)
  };
  update__I__O__V(index, elem) {
    this.update__I__sr_BoxedUnit__V(index, elem)
  };
  equals__O__Z(that) {
    if ($is_scm_WrappedArray$ofUnit(that)) {
      const x2 = that;
      return (this.array$6.u.length === x2.array$6.u.length)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  length__I() {
    return this.array$6.u.length
  };
  elemTag__s_reflect_ClassTag() {
    return $m_s_reflect_ManifestFactory$UnitManifest$()
  };
  init___Asr_BoxedUnit(array) {
    this.array$6 = array;
    return this
  };
  array__O() {
    return this.array$6
  };
  hashCode__I() {
    const this$1 = $m_s_util_hashing_MurmurHash3$();
    const a = this.array$6;
    return this$1.arrayHash$mVc$sp__Asr_BoxedUnit__I__I(a, this$1.seqSeed$2)
  };
  update__I__sr_BoxedUnit__V(index, elem) {
    this.array$6.u[index] = elem
  };
}
const $is_scm_WrappedArray$ofUnit = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_WrappedArray$ofUnit)))
});
const $isArrayOf_scm_WrappedArray$ofUnit = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_WrappedArray$ofUnit)))
});
const $d_scm_WrappedArray$ofUnit = new $TypeData().initClass({
  scm_WrappedArray$ofUnit: 0
}, false, "scala.collection.mutable.WrappedArray$ofUnit", {
  scm_WrappedArray$ofUnit: 1,
  scm_WrappedArray: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_WrappedArray$ofUnit.prototype.$classData = $d_scm_WrappedArray$ofUnit;
class $c_scm_IndexedSeqView$AbstractTransformed extends $c_sc_SeqViewLike$AbstractTransformed {
  seq__sc_TraversableOnce() {
    return this
  };
  newSliced__scg_SliceInterval__sc_SeqViewLike$Transformed(_endpoints) {
    return new $c_scm_IndexedSeqView$$anon$2().init___scm_IndexedSeqView__scg_SliceInterval(this, _endpoints)
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  flatten__F1__sc_GenTraversable(asTraversable) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, asTraversable)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  newDroppedWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  sorted__s_math_Ordering__O(ord) {
    return $f_sc_SeqViewLike__sorted__s_math_Ordering__sc_SeqView(this, ord)
  };
  newFiltered__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  toString__T() {
    return $f_sc_TraversableViewLike__viewToString__T(this)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.length__I();
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_scm_IndexedSeqView__slice__I__I__scm_IndexedSeqView(this, from, until)
  };
  filter__F1__O(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  scala$collection$mutable$IndexedSeqView$$super$tail__scm_IndexedSeqView() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  newFlatMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$5().init___sc_SeqViewLike__F1(this, f)
  };
  distinct__O() {
    return $f_sc_SeqViewLike__distinct__sc_SeqView(this)
  };
  newTakenWhile__F1__sc_SeqViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_scm_IndexedSeqView__span__F1__T2(this, p)
  };
  newAppended__sc_GenTraversable__sc_TraversableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$2().init___sc_SeqViewLike__sc_GenTraversable(this, that)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  seq__sc_Seq() {
    return this
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableViewLike__tail__sc_TraversableView(this)
  };
  filterNot__F1__O(p) {
    return $f_sc_TraversableViewLike__filterNot__F1__sc_TraversableView(this, p)
  };
  sizeHintIfCheap__I() {
    return this.length__I()
  };
  newTakenWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$4().init___scm_IndexedSeqView__F1(this, p)
  };
  drop__I__sc_IterableView(n) {
    return $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView(this, n)
  };
  take__I__O(n) {
    return $f_scm_IndexedSeqView__take__I__scm_IndexedSeqView(this, n)
  };
  splitAt__I__T2(n) {
    return $f_scm_IndexedSeqView__splitAt__I__T2(this, n)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  drop__I__O(n) {
    return $f_scm_IndexedSeqView__drop__I__scm_IndexedSeqView(this, n)
  };
  newMapped__F1__sc_TraversableViewLike$Transformed(f) {
    return new $c_sc_SeqViewLike$$anon$4().init___sc_SeqViewLike__F1(this, f)
  };
  tail__O() {
    return $f_scm_IndexedSeqView__tail__scm_IndexedSeqView(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  sortBy__F1__s_math_Ordering__O(f, ord) {
    return $f_sc_SeqViewLike__sortBy__F1__s_math_Ordering__sc_SeqView(this, f, ord)
  };
  filter__F1__sc_TraversableView(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  init___scm_IndexedSeqView($$outer) {
    $c_sc_SeqViewLike$AbstractTransformed.prototype.init___sc_SeqViewLike.call(this, $$outer);
    return this
  };
  newZipped__sc_GenIterable__sc_IterableViewLike$Transformed(that) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  newFiltered__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$1().init___scm_IndexedSeqView__F1(this, p)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return new $c_sc_SeqViewLike$$anon$10().init___sc_SeqViewLike__sc_GenIterable(this, that)
  };
  segmentLength__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this, p, from)
  };
  newDroppedWhile__F1__sc_TraversableViewLike$Transformed(p) {
    return new $c_scm_IndexedSeqView$$anon$3().init___scm_IndexedSeqView__F1(this, p)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newForced__F0__sc_TraversableViewLike$Transformed(xs) {
    return new $c_sc_SeqViewLike$$anon$1().init___sc_SeqViewLike__F0(this, xs)
  };
  tail__sc_TraversableView() {
    return $f_scm_IndexedSeqView__tail__scm_IndexedSeqView(this)
  };
  zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IndexedSeqOptimized__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
}
class $c_scm_ListBuffer extends $c_scm_AbstractBuffer {
  constructor() {
    super();
    this.scala$collection$mutable$ListBuffer$$start$6 = null;
    this.last0$6 = null;
    this.exported$6 = false;
    this.len$6 = 0
  };
  indexOf__O__I__I(elem, from) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_GenSeqLike__indexOf__O__I__I(this$1, elem, from)
  };
  copyToArray__O__I__V(xs, start) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    $f_sc_TraversableOnce__copyToArray__O__I__V(this$1, xs, start)
  };
  copy__p6__V() {
    if (this.isEmpty__Z()) {
      return (void 0)
    };
    let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
    const this$1 = this.last0$6;
    const limit = this$1.tl$5;
    this.clear__V();
    while ((cursor !== limit)) {
      this.$$plus$eq__O__scm_ListBuffer(cursor.head__O());
      cursor = cursor.tail__O()
    }
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return this.scala$collection$mutable$ListBuffer$$start$6.head__O()
  };
  init___() {
    this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
    this.exported$6 = false;
    this.len$6 = 0;
    return this
  };
  apply__I__O(n) {
    if (((n < 0) || (n >= this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    } else {
      const this$2 = this.scala$collection$mutable$ListBuffer$$start$6;
      return $f_sc_LinearSeqOptimized__apply__I__O(this$2, n)
    }
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__lengthCompare__I__I(this$1, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__sameElements__sc_GenIterable__Z(this$1, that)
  };
  apply__O__O(v1) {
    return this.apply__I__O((v1 | 0))
  };
  exists__F1__Z(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__exists__F1__Z(this$1, p)
  };
  $$minus__O__scg_Subtractable(elem) {
    const this$1 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this);
    return this$1.$$minus$eq__O__scm_ListBuffer(elem)
  };
  toList__sci_List() {
    this.exported$6 = (!this.isEmpty__Z());
    return this.scala$collection$mutable$ListBuffer$$start$6
  };
  isEmpty__Z() {
    return (this.len$6 === 0)
  };
  update__I__O__V(n, x) {
    if (((n < 0) || (n >= this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    };
    if (this.exported$6) {
      this.copy__p6__V()
    };
    if ((n === 0)) {
      const newElem = new $c_sci_$colon$colon().init___O__sci_List(x, this.scala$collection$mutable$ListBuffer$$start$6.tail__O());
      if ((this.last0$6 === this.scala$collection$mutable$ListBuffer$$start$6)) {
        this.last0$6 = newElem
      };
      this.scala$collection$mutable$ListBuffer$$start$6 = newElem
    } else {
      let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
      let i = 1;
      while ((i < n)) {
        cursor = cursor.tail__O();
        i = ((1 + i) | 0)
      };
      const newElem$2 = new $c_sci_$colon$colon().init___O__sci_List(x, cursor.tail__O().tail__O());
      if ((this.last0$6 === cursor.tail__O())) {
        this.last0$6 = newElem$2
      };
      cursor.tl$5 = newElem$2
    }
  };
  thisCollection__sc_Traversable() {
    return this
  };
  equals__O__Z(that) {
    if ($is_scm_ListBuffer(that)) {
      const x2 = that;
      return this.scala$collection$mutable$ListBuffer$$start$6.equals__O__Z(x2.scala$collection$mutable$ListBuffer$$start$6)
    } else {
      return $f_sc_GenSeqLike__equals__O__Z(this, that)
    }
  };
  count__F1__I(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__count__F1__I(this$1, p)
  };
  mkString__T__T(sep) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, "", sep, "")
  };
  mkString__T__T__T__T(start, sep, end) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__mkString__T__T__T__T(this$1, start, sep, end)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_ListBuffer(elem)
  };
  clone__scm_Buffer() {
    return new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(this)
  };
  forall__F1__Z(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__forall__F1__Z(this$1, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_ListBuffer$()
  };
  foreach__F1__V(f) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      f.apply__O__O(these.head__O());
      these = these.tail__O()
    }
  };
  foldLeft__O__F2__O(z, op) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__foldLeft__O__F2__O(this$1, z, op)
  };
  indexWhere__F1__I__I(p, from) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__indexWhere__F1__I__I(this$1, p, from)
  };
  headOption__s_Option() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableLike__headOption__s_Option(this$1)
  };
  size__I() {
    return this.len$6
  };
  toBuffer__scm_Buffer() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    const this$2 = $m_scm_ArrayBuffer$();
    const cbf = this$2.ReusableCBFInstance$2;
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf)
  };
  result__O() {
    return this.toList__sci_List()
  };
  iterator__sc_Iterator() {
    return new $c_scm_ListBuffer$$anon$1().init___scm_ListBuffer(this)
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__find__F1__s_Option(this$1, p)
  };
  length__I() {
    return this.len$6
  };
  seq__sc_Seq() {
    return this
  };
  remove__I__O(n) {
    if (((n < 0) || (n >= this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    };
    if (this.exported$6) {
      this.copy__p6__V()
    };
    let old = this.scala$collection$mutable$ListBuffer$$start$6.head__O();
    if ((n === 0)) {
      this.scala$collection$mutable$ListBuffer$$start$6 = this.scala$collection$mutable$ListBuffer$$start$6.tail__O()
    } else {
      let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
      let i = 1;
      while ((i < n)) {
        cursor = cursor.tail__O();
        i = ((1 + i) | 0)
      };
      old = cursor.tail__O().head__O();
      if ((this.last0$6 === cursor.tail__O())) {
        this.last0$6 = cursor
      };
      cursor.tl$5 = cursor.tail__O().tail__O()
    };
    this.reduceLengthBy__p6__I__V(1);
    return old
  };
  $$minus$eq__O__scm_ListBuffer(elem) {
    if (this.exported$6) {
      this.copy__p6__V()
    };
    if ((!this.isEmpty__Z())) {
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(this.scala$collection$mutable$ListBuffer$$start$6.head__O(), elem)) {
        this.scala$collection$mutable$ListBuffer$$start$6 = this.scala$collection$mutable$ListBuffer$$start$6.tail__O();
        this.reduceLengthBy__p6__I__V(1)
      } else {
        let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
        while (((!cursor.tail__O().isEmpty__Z()) && (!$m_sr_BoxesRunTime$().equals__O__O__Z(cursor.tail__O().head__O(), elem)))) {
          cursor = cursor.tail__O()
        };
        if ((!cursor.tail__O().isEmpty__Z())) {
          const z = cursor;
          const x = z.tl$5;
          const x$2 = this.last0$6;
          if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
            this.last0$6 = z
          };
          z.tl$5 = cursor.tail__O().tail__O();
          this.reduceLengthBy__p6__I__V(1)
        }
      }
    };
    return this
  };
  toStream__sci_Stream() {
    return this.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream()
  };
  reduceLengthBy__p6__I__V(num) {
    this.len$6 = ((this.len$6 - num) | 0);
    if ((this.len$6 <= 0)) {
      this.last0$6 = null
    }
  };
  prependToList__sci_List__sci_List(xs) {
    if (this.isEmpty__Z()) {
      return xs
    } else {
      if (this.exported$6) {
        this.copy__p6__V()
      };
      this.last0$6.tl$5 = xs;
      return this.toList__sci_List()
    }
  };
  contains__O__Z(elem) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__contains__O__Z(this$1, elem)
  };
  addString__scm_StringBuilder__T__T__T__scm_StringBuilder(b, start, sep, end) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__addString__scm_StringBuilder__T__T__T__scm_StringBuilder(this$1, b, start, sep, end)
  };
  $$plus$eq__O__scm_ListBuffer(x) {
    if (this.exported$6) {
      this.copy__p6__V()
    };
    if (this.isEmpty__Z()) {
      this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
      this.scala$collection$mutable$ListBuffer$$start$6 = this.last0$6
    } else {
      const last1 = this.last0$6;
      this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
      last1.tl$5 = this.last0$6
    };
    this.len$6 = ((1 + this.len$6) | 0);
    return this
  };
  toSeq__sc_Seq() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return this$1
  };
  isDefinedAt__O__Z(x) {
    const x$1 = (x | 0);
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__isDefinedAt__I__Z(this$1, x$1)
  };
  $$minus$eq__O__scm_Buffer(x) {
    return this.$$minus$eq__O__scm_ListBuffer(x)
  };
  toSet__sci_Set() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    const this$2 = $m_sci_Set$();
    const cbf = new $c_scg_GenSetFactory$$anon$1().init___scg_GenSetFactory(this$2);
    return $f_sc_TraversableLike__to__scg_CanBuildFrom__O(this$1, cbf)
  };
  $$div$colon__O__F2__O(z, op) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__foldLeft__O__F2__O(this$1, z, op)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_ListBuffer(elem)
  };
  indexOf__O__I(elem) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_GenSeqLike__indexOf__O__I__I(this$1, elem, 0)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  copyToArray__O__I__I__V(xs, start, len) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    $f_sc_IterableLike__copyToArray__O__I__I__V(this$1, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return this$1
  };
  toMap__s_Predef$$less$colon$less__sci_Map(ev) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    const b = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    let these = this$1;
    while ((!these.isEmpty__Z())) {
      const arg1 = these.head__O();
      b.$$plus$eq__T2__scm_MapBuilder(arg1);
      these = these.tail__O()
    };
    return b.elems$1
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return this.$$minus$eq__O__scm_ListBuffer(elem)
  };
  clear__V() {
    this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
    this.last0$6 = null;
    this.exported$6 = false;
    this.len$6 = 0
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_TraversableOnce__toArray__s_reflect_ClassTag__O(this$1, evidence$1)
  };
  insertAll__I__sc_Traversable__V(n, seq) {
    if (((n < 0) || (n > this.len$6))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    };
    if (this.exported$6) {
      this.copy__p6__V()
    };
    let elems = seq.toList__sci_List().reverse__sci_List();
    const jsx$1 = this.len$6;
    const this$2 = elems;
    this.len$6 = ((jsx$1 + $f_sc_LinearSeqOptimized__length__I(this$2)) | 0);
    if ((n === 0)) {
      while ((!elems.isEmpty__Z())) {
        const newElem = new $c_sci_$colon$colon().init___O__sci_List(elems.head__O(), this.scala$collection$mutable$ListBuffer$$start$6);
        if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
          this.last0$6 = newElem
        };
        this.scala$collection$mutable$ListBuffer$$start$6 = newElem;
        elems = elems.tail__O()
      }
    } else {
      let cursor = this.scala$collection$mutable$ListBuffer$$start$6;
      let i = 1;
      while ((i < n)) {
        cursor = cursor.tail__O();
        i = ((1 + i) | 0)
      };
      while ((!elems.isEmpty__Z())) {
        const newElem$2 = new $c_sci_$colon$colon().init___O__sci_List(elems.head__O(), cursor.tail__O());
        if (cursor.tail__O().isEmpty__Z()) {
          this.last0$6 = newElem$2
        };
        cursor.tl$5 = newElem$2;
        elems = elems.tail__O()
      }
    }
  };
  nonEmpty__Z() {
    return (this.len$6 > 0)
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs) {
    _$plus$plus$eq: while (true) {
      const x1 = xs;
      if ((x1 !== null)) {
        if ((x1 === this)) {
          const n = this.len$6;
          xs = $f_sc_IterableLike__take__I__O(this, n);
          continue _$plus$plus$eq
        }
      };
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  reduceLeft__F2__O(op) {
    const this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $f_sc_LinearSeqOptimized__reduceLeft__F2__O(this$1, op)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
  };
  stringPrefix__T() {
    return "ListBuffer"
  };
}
const $is_scm_ListBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ListBuffer)))
});
const $isArrayOf_scm_ListBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ListBuffer)))
});
const $d_scm_ListBuffer = new $TypeData().initClass({
  scm_ListBuffer: 0
}, false, "scala.collection.mutable.ListBuffer", {
  scm_ListBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_SeqForwarder: 1,
  scg_IterableForwarder: 1,
  scg_TraversableForwarder: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer.prototype.$classData = $d_scm_ListBuffer;
class $c_scm_StringBuilder extends $c_scm_AbstractSeq {
  constructor() {
    super();
    this.underlying$5 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  $$plus$eq__C__scm_StringBuilder(x) {
    this.append__C__scm_StringBuilder(x);
    return this
  };
  init___() {
    $c_scm_StringBuilder.prototype.init___I__T.call(this, 16, "");
    return this
  };
  apply__I__O(idx) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const c = (65535 & (thiz.charCodeAt(idx) | 0));
    return new $c_jl_Character().init___C(c)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const c = (65535 & (thiz.charCodeAt(index) | 0));
    return new $c_jl_Character().init___C(c)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  subSequence__I__I__jl_CharSequence(start, end) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return thiz.substring(start, end)
  };
  apply__I__C(index) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  $$plus$plus$eq__T__scm_StringBuilder(s) {
    this.underlying$5.append__T__jl_StringBuilder(s);
    return this
  };
  $$plus$eq__O__scg_Growable(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_IndexedSeq$()
  };
  toString__T() {
    const this$1 = this.underlying$5;
    return this$1.content$1
  };
  compareTo__O__I(that) {
    const other = that;
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const end = (thiz.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  compare__O__I(that) {
    const other = that;
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return ((thiz === other) ? 0 : ((!(!(thiz < other))) ? (-1) : 1))
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sci_StringLike__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  result__O() {
    const this$1 = this.underlying$5;
    return this$1.content$1
  };
  append__T__scm_StringBuilder(s) {
    this.underlying$5.append__T__jl_StringBuilder(s);
    return this
  };
  iterator__sc_Iterator() {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, (thiz.length | 0))
  };
  seq__scm_Seq() {
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  init___I(capacity) {
    $c_scm_StringBuilder.prototype.init___I__T.call(this, capacity, "");
    return this
  };
  init___I__T(initCapacity, initValue) {
    $c_scm_StringBuilder.prototype.init___jl_StringBuilder.call(this, new $c_jl_StringBuilder().init___I((((initValue.length | 0) + initCapacity) | 0)).append__T__jl_StringBuilder(initValue));
    return this
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (thiz.length | 0)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (thiz.length | 0)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sci_StringLike__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    const until = (thiz.length | 0);
    return $f_sci_StringLike__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  init___jl_StringBuilder(underlying) {
    this.underlying$5 = underlying;
    return this
  };
  append__O__scm_StringBuilder(x) {
    this.underlying$5.append__T__jl_StringBuilder($m_sjsr_RuntimeString$().valueOf__O__T(x));
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  $$plus$eq__O__scm_Builder(elem) {
    let jsx$1;
    if ((elem === null)) {
      jsx$1 = 0
    } else {
      const this$2 = elem;
      jsx$1 = this$2.value$1
    };
    return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  toArray__s_reflect_ClassTag__O(evidence$1) {
    const jsx$1 = $m_sjsr_RuntimeString$();
    const this$1 = this.underlying$5;
    return jsx$1.toCharArray__T__AC(this$1.content$1)
  };
  append__C__scm_StringBuilder(x) {
    this.underlying$5.append__C__jl_StringBuilder(x);
    return this
  };
  charAt__I__C(index) {
    const this$1 = this.underlying$5;
    const thiz = this$1.content$1;
    return (65535 & (thiz.charCodeAt(index) | 0))
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  newBuilder__scm_Builder() {
    return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_StringBuilder().init___())
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
  };
}
const $d_scm_StringBuilder = new $TypeData().initClass({
  scm_StringBuilder: 0
}, false, "scala.collection.mutable.StringBuilder", {
  scm_StringBuilder: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  jl_CharSequence: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  scm_ReusableBuilder: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder.prototype.$classData = $d_scm_StringBuilder;
class $c_sjs_js_WrappedArray extends $c_scm_AbstractBuffer {
  constructor() {
    super();
    this.array$6 = null
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  init___() {
    $c_sjs_js_WrappedArray.prototype.init___sjs_js_Array.call(this, []);
    return this
  };
  apply__I__O(index) {
    return this.array$6[index]
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const index = (v1 | 0);
    return this.array$6[index]
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_scm_BufferLike__clone__scm_Buffer(this).$$minus$eq__O__scm_Buffer(elem)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  $$plus$eq__O__scg_Growable(elem) {
    this.array$6.push(elem);
    return this
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_sjs_js_WrappedArray$()
  };
  foreach__F1__V(f) {
    $f_sc_IndexedSeqOptimized__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = (this.array$6.length | 0);
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, (this.array$6.length | 0))
  };
  seq__scm_Seq() {
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  length__I() {
    return (this.array$6.length | 0)
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  remove__I__O(n) {
    return this.array$6.splice(n, 1)[0]
  };
  sizeHintIfCheap__I() {
    return (this.array$6.length | 0)
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = (this.array$6.length | 0);
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  $$plus$eq__O__scm_Builder(elem) {
    this.array$6.push(elem);
    return this
  };
  sizeHint__I__V(size) {
    /*<skip>*/
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_sc_IndexedSeqOptimized__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return $f_scm_BufferLike__$$minus$eq__O__scm_Buffer(this, elem)
  };
  init___sjs_js_Array(array) {
    this.array$6 = array;
    return this
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  stringPrefix__T() {
    return "WrappedArray"
  };
}
const $is_sjs_js_WrappedArray = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_WrappedArray)))
});
const $isArrayOf_sjs_js_WrappedArray = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_WrappedArray)))
});
const $d_sjs_js_WrappedArray = new $TypeData().initClass({
  sjs_js_WrappedArray: 0
}, false, "scala.scalajs.js.WrappedArray", {
  sjs_js_WrappedArray: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1
});
$c_sjs_js_WrappedArray.prototype.$classData = $d_sjs_js_WrappedArray;
class $c_scm_ArrayBuffer extends $c_scm_AbstractBuffer {
  constructor() {
    super();
    this.initialSize$6 = 0;
    this.array$6 = null;
    this.size0$6 = 0
  };
  seq__sc_TraversableOnce() {
    return this
  };
  repr__scg_Subtractable() {
    return this
  };
  $$plus$eq__O__scm_ArrayBuffer(elem) {
    const n = ((1 + this.size0$6) | 0);
    $f_scm_ResizableArray__ensureSize__I__V(this, n);
    this.array$6.u[this.size0$6] = elem;
    this.size0$6 = ((1 + this.size0$6) | 0);
    return this
  };
  head__O() {
    return $f_sc_IndexedSeqOptimized__head__O(this)
  };
  init___() {
    $c_scm_ArrayBuffer.prototype.init___I.call(this, 16);
    return this
  };
  apply__I__O(idx) {
    return $f_scm_ResizableArray__apply__I__O(this, idx)
  };
  remove__I__I__V(n, count) {
    if ((count < 0)) {
      throw new $c_jl_IllegalArgumentException().init___T((("removing negative number of elements: " + "") + count))
    } else if ((count === 0)) {
      return (void 0)
    };
    if (((n < 0) || (n > ((this.size0$6 - count) | 0)))) {
      throw new $c_jl_IndexOutOfBoundsException().init___T(((((("at " + "") + n) + " deleting ") + "") + count))
    };
    const m = ((n + count) | 0);
    const len = ((this.size0$6 - ((n + count) | 0)) | 0);
    const src = this.array$6;
    const dest = this.array$6;
    $systemArraycopy(src, m, dest, n, len);
    const sz = ((this.size0$6 - count) | 0);
    $f_scm_ResizableArray__reduceToSize__I__V(this, sz)
  };
  thisCollection__sc_Iterable() {
    return this
  };
  lengthCompare__I__I(len) {
    return $f_sc_IndexedSeqOptimized__lengthCompare__I__I(this, len)
  };
  sameElements__sc_GenIterable__Z(that) {
    return $f_sc_IndexedSeqOptimized__sameElements__sc_GenIterable__Z(this, that)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_scm_ResizableArray__apply__I__O(this, idx)
  };
  exists__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__exists__F1__Z(this, p)
  };
  $$minus__O__scg_Subtractable(elem) {
    return $f_scm_BufferLike__clone__scm_Buffer(this).$$minus$eq__O__scm_Buffer(elem)
  };
  isEmpty__Z() {
    return $f_sc_IndexedSeqOptimized__isEmpty__Z(this)
  };
  seq__sc_Iterable() {
    return this
  };
  thisCollection__sc_Traversable() {
    return this
  };
  dropWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__dropWhile__F1__O(this, p)
  };
  $$plus$eq__O__scg_Growable(elem) {
    return this.$$plus$eq__O__scm_ArrayBuffer(elem)
  };
  forall__F1__Z(p) {
    return $f_sc_IndexedSeqOptimized__forall__F1__Z(this, p)
  };
  companion__scg_GenericCompanion() {
    return $m_scm_ArrayBuffer$()
  };
  foreach__F1__V(f) {
    $f_scm_ResizableArray__foreach__F1__V(this, f)
  };
  foldLeft__O__F2__O(z, op) {
    let start = 0;
    const end = this.size0$6;
    let z$1 = z;
    return $f_sc_IndexedSeqOptimized__foldl__psc_IndexedSeqOptimized__I__I__O__F2__O(this, start, end, z$1, op)
  };
  indexWhere__F1__I__I(p, from) {
    return $f_sc_IndexedSeqOptimized__indexWhere__F1__I__I(this, p, from)
  };
  takeWhile__F1__O(p) {
    return $f_sc_IndexedSeqOptimized__takeWhile__F1__O(this, p)
  };
  slice__I__I__O(from, until) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, from, until)
  };
  toBuffer__scm_Buffer() {
    return $f_sc_IndexedSeqLike__toBuffer__scm_Buffer(this)
  };
  result__O() {
    return this
  };
  iterator__sc_Iterator() {
    return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.size0$6)
  };
  seq__scm_Seq() {
    return this
  };
  sizeHintBounded__I__sc_TraversableLike__V(size, boundingColl) {
    $f_scm_Builder__sizeHintBounded__I__sc_TraversableLike__V(this, size, boundingColl)
  };
  find__F1__s_Option(p) {
    return $f_sc_IndexedSeqOptimized__find__F1__s_Option(this, p)
  };
  span__F1__T2(p) {
    return $f_sc_IndexedSeqOptimized__span__F1__T2(this, p)
  };
  init___I(initialSize) {
    this.initialSize$6 = initialSize;
    $f_scm_ResizableArray__$$init$__V(this);
    return this
  };
  zipWithIndex__scg_CanBuildFrom__O(bf) {
    return $f_sc_IndexedSeqOptimized__zipWithIndex__scg_CanBuildFrom__O(this, bf)
  };
  length__I() {
    return this.size0$6
  };
  scala$collection$IndexedSeqOptimized$$super$tail__O() {
    return $f_sc_TraversableLike__tail__O(this)
  };
  seq__sc_Seq() {
    return this
  };
  sizeHintIfCheap__I() {
    return this.size0$6
  };
  remove__I__O(n) {
    const result = $f_scm_ResizableArray__apply__I__O(this, n);
    this.remove__I__I__V(n, 1);
    return result
  };
  splitAt__I__T2(n) {
    return $f_sc_IndexedSeqOptimized__splitAt__I__T2(this, n)
  };
  take__I__O(n) {
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, 0, n)
  };
  last__O() {
    return $f_sc_IndexedSeqOptimized__last__O(this)
  };
  view__sc_SeqView() {
    return new $c_scm_IndexedSeqLike$$anon$1().init___scm_IndexedSeqLike(this)
  };
  drop__I__O(n) {
    const until = this.size0$6;
    return $f_sc_IndexedSeqOptimized__slice__I__I__O(this, n, until)
  };
  tail__O() {
    return $f_sc_IndexedSeqOptimized__tail__O(this)
  };
  thisCollection__sc_Seq() {
    return this
  };
  $$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs) {
    if ($is_sc_IndexedSeqLike(xs)) {
      const x2 = xs;
      const n = x2.length__I();
      const n$1 = ((this.size0$6 + n) | 0);
      $f_scm_ResizableArray__ensureSize__I__V(this, n$1);
      x2.copyToArray__O__I__I__V(this.array$6, this.size0$6, n);
      this.size0$6 = ((this.size0$6 + n) | 0);
      return this
    } else {
      return $f_scg_Growable__$$plus$plus$eq__sc_TraversableOnce__scg_Growable(this, xs)
    }
  };
  isDefinedAt__O__Z(x) {
    const idx = (x | 0);
    return $f_sc_GenSeqLike__isDefinedAt__I__Z(this, idx)
  };
  $$plus$eq__O__scm_Builder(elem) {
    return this.$$plus$eq__O__scm_ArrayBuffer(elem)
  };
  sizeHint__I__V(len) {
    if (((len > this.size0$6) && (len >= 1))) {
      const newarray = $newArrayObject($d_O.getArrayOf(), [len]);
      $systemArraycopy(this.array$6, 0, newarray, 0, this.size0$6);
      this.array$6 = newarray
    }
  };
  copyToArray__O__I__I__V(xs, start, len) {
    $f_scm_ResizableArray__copyToArray__O__I__I__V(this, xs, start, len)
  };
  toSeq__sc_GenSeq() {
    return this
  };
  hashCode__I() {
    return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
  };
  scala$collection$IndexedSeqOptimized$$super$zip__sc_GenIterable__scg_CanBuildFrom__O(that, bf) {
    return $f_sc_IterableLike__zip__sc_GenIterable__scg_CanBuildFrom__O(this, that, bf)
  };
  $$minus$eq__O__scg_Shrinkable(elem) {
    return $f_scm_BufferLike__$$minus$eq__O__scm_Buffer(this, elem)
  };
  reduceLeft__F2__O(op) {
    return $f_sc_IndexedSeqOptimized__reduceLeft__F2__O(this, op)
  };
  $$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs) {
    return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs)
  };
  stringPrefix__T() {
    return "ArrayBuffer"
  };
}
const $is_scm_ArrayBuffer = (function(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuffer)))
});
const $isArrayOf_scm_ArrayBuffer = (function(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuffer)))
});
const $d_scm_ArrayBuffer = new $TypeData().initClass({
  scm_ArrayBuffer: 0
}, false, "scala.collection.mutable.ArrayBuffer", {
  scm_ArrayBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1,
  scm_ResizableArray: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer.prototype.$classData = $d_scm_ArrayBuffer;
class $c_scm_IndexedSeqView$$anon$1 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.index$3 = null;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Filtered__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$Filtered$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  index$lzycompute__p3__AI() {
    if ((!this.bitmap$0$3)) {
      this.index$3 = $f_sc_SeqViewLike$Filtered__index__AI(this);
      this.bitmap$0$3 = true
    };
    return this.index$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$Filtered__foreach__F1__V(this, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$Filtered__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "F"
  };
  length__I() {
    return $f_sc_SeqViewLike$Filtered__length__I(this)
  };
  init___scm_IndexedSeqView__F1($$outer, p$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$1;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  index__AI() {
    return ((!this.bitmap$0$3) ? this.index$lzycompute__p3__AI() : this.index$3)
  };
  pred__F1() {
    return this.pred$3
  };
  scala$collection$SeqViewLike$Filtered$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  scala$collection$TraversableViewLike$Filtered$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
}
const $d_scm_IndexedSeqView$$anon$1 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$1: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$1", {
  scm_IndexedSeqView$$anon$1: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$Filtered: 1,
  sc_SeqViewLike$Filtered: 1,
  sc_IterableViewLike$Filtered: 1,
  sc_TraversableViewLike$Filtered: 1
});
$c_scm_IndexedSeqView$$anon$1.prototype.$classData = $d_scm_IndexedSeqView$$anon$1;
class $c_scm_IndexedSeqView$$anon$2 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.endpoints$3 = null;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$Sliced__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$Sliced$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    const this$1 = $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this);
    $f_sc_Iterator__foreach__F1__V(this$1, f)
  };
  iterator__sc_Iterator() {
    return $f_sc_SeqViewLike$Sliced__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "S"
  };
  length__I() {
    return this.endpoints$3.width__I()
  };
  init___scm_IndexedSeqView__scg_SliceInterval($$outer, _endpoints$1) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.endpoints$3 = _endpoints$1;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  endpoints__scg_SliceInterval() {
    return this.endpoints$3
  };
}
const $d_scm_IndexedSeqView$$anon$2 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$2: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$2", {
  scm_IndexedSeqView$$anon$2: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$Sliced: 1,
  sc_SeqViewLike$Sliced: 1,
  sc_IterableViewLike$Sliced: 1,
  sc_TraversableViewLike$Sliced: 1
});
$c_scm_IndexedSeqView$$anon$2.prototype.$classData = $d_scm_IndexedSeqView$$anon$2;
class $c_scm_IndexedSeqView$$anon$3 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.start$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$DroppedWhile__apply__I__O(this, idx)
  };
  scala$collection$SeqViewLike$DroppedWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$DroppedWhile__foreach__F1__V(this, f)
  };
  scala$collection$IterableViewLike$DroppedWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$DroppedWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "D"
  };
  length__I() {
    return $f_sc_SeqViewLike$DroppedWhile__length__I(this)
  };
  init___scm_IndexedSeqView__F1($$outer, p$3) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$3;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  scala$collection$TraversableViewLike$DroppedWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  start__I() {
    return ((!this.bitmap$0$3) ? this.start$lzycompute__p3__I() : this.start$3)
  };
  pred__F1() {
    return this.pred$3
  };
  start$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.start$3 = $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.start$3
  };
}
const $d_scm_IndexedSeqView$$anon$3 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$3: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$3", {
  scm_IndexedSeqView$$anon$3: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$DroppedWhile: 1,
  sc_SeqViewLike$DroppedWhile: 1,
  sc_IterableViewLike$DroppedWhile: 1,
  sc_TraversableViewLike$DroppedWhile: 1
});
$c_scm_IndexedSeqView$$anon$3.prototype.$classData = $d_scm_IndexedSeqView$$anon$3;
class $c_scm_IndexedSeqView$$anon$4 extends $c_scm_IndexedSeqView$AbstractTransformed {
  constructor() {
    super();
    this.pred$3 = null;
    this.len$3 = 0;
    this.bitmap$0$3 = false;
    this.$$outer$3 = null
  };
  apply__I__O(idx) {
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  apply__O__O(v1) {
    const idx = (v1 | 0);
    return $f_sc_SeqViewLike$TakenWhile__apply__I__O(this, idx)
  };
  scala$collection$IterableViewLike$TakenWhile$$$outer__sc_IterableViewLike() {
    return this.$$outer$3
  };
  len__I() {
    return ((!this.bitmap$0$3) ? this.len$lzycompute__p3__I() : this.len$3)
  };
  foreach__F1__V(f) {
    $f_sc_TraversableViewLike$TakenWhile__foreach__F1__V(this, f)
  };
  scala$collection$TraversableViewLike$TakenWhile$$$outer__sc_TraversableViewLike() {
    return this.$$outer$3
  };
  iterator__sc_Iterator() {
    return $f_sc_IterableViewLike$TakenWhile__iterator__sc_Iterator(this)
  };
  viewIdentifier__T() {
    return "T"
  };
  length__I() {
    return this.len__I()
  };
  init___scm_IndexedSeqView__F1($$outer, p$2) {
    if (($$outer === null)) {
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
    } else {
      this.$$outer$3 = $$outer
    };
    this.pred$3 = p$2;
    $c_scm_IndexedSeqView$AbstractTransformed.prototype.init___scm_IndexedSeqView.call(this, $$outer);
    return this
  };
  scala$collection$SeqViewLike$TakenWhile$$$outer__sc_SeqViewLike() {
    return this.$$outer$3
  };
  len$lzycompute__p3__I() {
    if ((!this.bitmap$0$3)) {
      const this$1 = this.$$outer$3;
      const p = this.pred$3;
      this.len$3 = $f_sc_IndexedSeqOptimized__segmentLength__F1__I__I(this$1, p, 0);
      this.bitmap$0$3 = true
    };
    return this.len$3
  };
  pred__F1() {
    return this.pred$3
  };
}
const $d_scm_IndexedSeqView$$anon$4 = new $TypeData().initClass({
  scm_IndexedSeqView$$anon$4: 0
}, false, "scala.collection.mutable.IndexedSeqView$$anon$4", {
  scm_IndexedSeqView$$anon$4: 1,
  scm_IndexedSeqView$AbstractTransformed: 1,
  sc_SeqViewLike$AbstractTransformed: 1,
  O: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_Iterable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableViewLike$Transformed: 1,
  sc_IterableView: 1,
  sc_IterableViewLike: 1,
  sc_TraversableView: 1,
  sc_TraversableViewLike: 1,
  sc_ViewMkString: 1,
  sc_TraversableViewLike$Transformed: 1,
  sc_SeqViewLike$Transformed: 1,
  sc_SeqView: 1,
  sc_SeqViewLike: 1,
  scm_IndexedSeqView$Transformed: 1,
  scm_IndexedSeqView: 1,
  scm_IndexedSeq: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_IndexedSeqView$TakenWhile: 1,
  sc_SeqViewLike$TakenWhile: 1,
  sc_IterableViewLike$TakenWhile: 1,
  sc_TraversableViewLike$TakenWhile: 1
});
$c_scm_IndexedSeqView$$anon$4.prototype.$classData = $d_scm_IndexedSeqView$$anon$4;
class $c_Lamf_client_convert_WebApiClientConverters$ extends $c_O {
  constructor() {
    super();
    this.PropertyDependenciesMatcher$module$1 = null;
    this.UnionShapeMatcher$module$1 = null;
    this.ExampleMatcher$module$1 = null;
    this.XMLSerializerMatcher$module$1 = null;
    this.TupleShapeMatcher$module$1 = null;
    this.ArrayShapeMatcher$module$1 = null;
    this.AnyShapeMatcher$module$1 = null;
    this.FileShapeMatcher$module$1 = null;
    this.ScalarShapeMatcher$module$1 = null;
    this.NodeShapeMatcher$module$1 = null;
    this.SchemaShapeMatcher$module$1 = null;
    this.NilShapeMatcher$module$1 = null;
    this.EncodingMatcher$module$1 = null;
    this.CallbackMatcher$module$1 = null;
    this.TemplatedLinkConverter$module$1 = null;
    this.IriTemplateMappingConverter$module$1 = null;
    this.ServerMatcher$module$1 = null;
    this.ScopeMatcher$module$1 = null;
    this.OAuth1SettingsMatcher$module$1 = null;
    this.OAuth2SettingsMatcher$module$1 = null;
    this.ApiKeySettingsMatcher$module$1 = null;
    this.HttpSettingsMatcher$module$1 = null;
    this.OpenIdConnectSettingsMatcher$module$1 = null;
    this.SettingsMatcher$module$1 = null;
    this.SecuritySchemeMatcher$module$1 = null;
    this.ParametrizedSecuritySchemeMatcher$module$1 = null;
    this.PayloadMatcher$module$1 = null;
    this.ParameterMatcher$module$1 = null;
    this.OperationMatcher$module$1 = null;
    this.ResponseMatcher$module$1 = null;
    this.RequestMatcher$module$1 = null;
    this.CreativeWorkMatcher$module$1 = null;
    this.LicenseMatcher$module$1 = null;
    this.OrganizationMatcher$module$1 = null;
    this.TraitMatcher$module$1 = null;
    this.ResourceTypeMatcher$module$1 = null;
    this.EndPointMatcher$module$1 = null;
    this.StringMatcher$module$1 = null;
    this.BooleanMatcher$module$1 = null;
    this.IntMatcher$module$1 = null;
    this.DoubleMatcher$module$1 = null;
    this.FloatMatcher$module$1 = null;
    this.AnyMatcher$module$1 = null;
    this.UnitMatcher$module$1 = null;
    this.ContentMatcher$module$1 = null;
    this.GraphDomainConverter$module$1 = null;
    this.ResourceLoaderMatcher$module$1 = null;
    this.BaseUnitMatcher$module$1 = null;
    this.DomainElementMatcher$module$1 = null;
    this.ValidationReportMatcher$module$1 = null;
    this.ValidationResultMatcher$module$1 = null;
    this.VariableValueMatcher$module$1 = null;
    this.AbstractDeclarationMatcher$module$1 = null;
    this.ParameterizedDeclarationMatcher$module$1 = null;
    this.DomainExtensionMatcher$module$1 = null;
    this.ObjectNodeMatcher$module$1 = null;
    this.ScalarNodeMatcher$module$1 = null;
    this.ArrayNodeMatcher$module$1 = null;
    this.DataNodeMatcher$module$1 = null;
    this.PropertyShapeMatcher$module$1 = null;
    this.ShapeMatcher$module$1 = null;
    this.CustomDomainPropertyMatcher$module$1 = null;
    this.StrFieldMatcher$module$1 = null;
    this.IntFieldMatcher$module$1 = null;
    this.BoolFieldMatcher$module$1 = null;
    this.DoubleFieldMatcher$module$1 = null;
    this.FloatFieldMatcher$module$1 = null;
    this.AnyFieldMatcher$module$1 = null;
    this.AnnotationsFieldMatcher$module$1 = null;
    this.platform$1 = null
  };
  TupleShapeMatcher__Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().TupleShapeMatcher$module$1 === null)) {
      this.TupleShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().TupleShapeMatcher$module$1
  };
  ResourceTypeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ResourceTypeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ResourceTypeMatcher$module$1 = new $c_Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$().init___Lamf_client_convert_ResourceTypeConverter(this)
    }
  };
  ExampleMatcher__Lamf_client_convert_ExampleConverter$ExampleMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher$module$1 === null)) {
      this.ExampleMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher$module$1
  };
  PropertyDependenciesMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher$module$1 = new $c_Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$().init___Lamf_client_convert_PropertyDependenciesConverter(this)
    }
  };
  init___() {
    $n_Lamf_client_convert_WebApiClientConverters$ = this;
    const this$1 = $m_Lamf_core_unsafe_PlatformBuilder$();
    this.platform$1 = this$1.platform$1;
    return this
  };
  ObjectNodeMatcher__Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ObjectNodeMatcher$module$1 === null)) {
      this.ObjectNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ObjectNodeMatcher$module$1
  };
  AnyShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().AnyShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().AnyShapeMatcher$module$1 = new $c_Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$().init___Lamf_client_convert_AnyShapeConverter(this)
    }
  };
  ScalarNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ScalarNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ScalarNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  ScopeMatcher__Lamf_client_convert_ScopeConverter$ScopeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ScopeMatcher$module$1 === null)) {
      this.ScopeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ScopeMatcher$module$1
  };
  ResponseMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher$module$1 = new $c_Lamf_client_convert_ResponseConverter$ResponseMatcher$().init___Lamf_client_convert_ResponseConverter(this)
    }
  };
  NodeShapeMatcher__Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher$module$1 === null)) {
      this.NodeShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher$module$1
  };
  ParametrizedSecuritySchemeMatcher__Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher$module$1 === null)) {
      this.ParametrizedSecuritySchemeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher$module$1
  };
  StrFieldMatcher__Lamf_client_convert_FieldConverter$StrFieldMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher$module$1 === null)) {
      this.StrFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher$module$1
  };
  OAuth2SettingsMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OAuth2SettingsMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().OAuth2SettingsMatcher$module$1 = new $c_Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$().init___Lamf_client_convert_SettingsConverter(this)
    }
  };
  XMLSerializerMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().XMLSerializerMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().XMLSerializerMatcher$module$1 = new $c_Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$().init___Lamf_client_convert_XMLSerializerConverter(this)
    }
  };
  BoolFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$BoolFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  platform__Lamf_core_remote_Platform() {
    return this.platform$1
  };
  ResponseMatcher__Lamf_client_convert_ResponseConverter$ResponseMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher$module$1 === null)) {
      this.ResponseMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ResponseMatcher$module$1
  };
  SecuritySchemeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher$module$1 = new $c_Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$().init___Lamf_client_convert_SecuritySchemeConverter(this)
    }
  };
  StringMatcher__Lamf_client_convert_CoreBaseConverter$StringMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().StringMatcher$module$1 === null)) {
      this.StringMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher$module$1
  };
  OrganizationMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OrganizationMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().OrganizationMatcher$module$1 = new $c_Lamf_client_convert_OrganizationConverter$OrganizationMatcher$().init___Lamf_client_convert_OrganizationConverter(this)
    }
  };
  OperationMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher$module$1 = new $c_Lamf_client_convert_OperationConverter$OperationMatcher$().init___Lamf_client_convert_OperationConverter(this)
    }
  };
  NilShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().NilShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().NilShapeMatcher$module$1 = new $c_Lamf_client_convert_NilShapeConverter$NilShapeMatcher$().init___Lamf_client_convert_NilShapeConverter(this)
    }
  };
  SchemaShapeMatcher__Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().SchemaShapeMatcher$module$1 === null)) {
      this.SchemaShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().SchemaShapeMatcher$module$1
  };
  TraitMatcher__Lamf_client_convert_TraitConverter$TraitMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().TraitMatcher$module$1 === null)) {
      this.TraitMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().TraitMatcher$module$1
  };
  OperationMatcher__Lamf_client_convert_OperationConverter$OperationMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher$module$1 === null)) {
      this.OperationMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().OperationMatcher$module$1
  };
  EncodingMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher$module$1 = new $c_Lamf_client_convert_EncodingConverter$EncodingMatcher$().init___Lamf_client_convert_EncodingConverter(this)
    }
  };
  OAuth1SettingsMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OAuth1SettingsMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().OAuth1SettingsMatcher$module$1 = new $c_Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$().init___Lamf_client_convert_SettingsConverter(this)
    }
  };
  DoubleFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$DoubleFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  PayloadMatcher__Lamf_client_convert_PayloadConverter$PayloadMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher$module$1 === null)) {
      this.PayloadMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher$module$1
  };
  ScalarShapeMatcher__Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher$module$1 === null)) {
      this.ScalarShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher$module$1
  };
  CallbackMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher$module$1 = new $c_Lamf_client_convert_CallbackConverter$CallbackMatcher$().init___Lamf_client_convert_CallbackConverter(this)
    }
  };
  IriTemplateMappingConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().IriTemplateMappingConverter$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().IriTemplateMappingConverter$module$1 = new $c_Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$().init___Lamf_client_convert_IriTemplateMappingConverter(this)
    }
  };
  ResourceTypeMatcher__Lamf_client_convert_ResourceTypeConverter$ResourceTypeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ResourceTypeMatcher$module$1 === null)) {
      this.ResourceTypeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ResourceTypeMatcher$module$1
  };
  ScopeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ScopeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ScopeMatcher$module$1 = new $c_Lamf_client_convert_ScopeConverter$ScopeMatcher$().init___Lamf_client_convert_ScopeConverter(this)
    }
  };
  FileShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().FileShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().FileShapeMatcher$module$1 = new $c_Lamf_client_convert_FileShapeConverter$FileShapeMatcher$().init___Lamf_client_convert_FileShapeConverter(this)
    }
  };
  StringMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().StringMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().StringMatcher$module$1 = new $c_Lamf_client_convert_CoreBaseConverter$StringMatcher$().init___Lamf_client_convert_CoreBaseConverter(this)
    }
  };
  HttpSettingsMatcher__Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().HttpSettingsMatcher$module$1 === null)) {
      this.HttpSettingsMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().HttpSettingsMatcher$module$1
  };
  EndPointMatcher__Lamf_client_convert_EndPointConverter$EndPointMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher$module$1 === null)) {
      this.EndPointMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher$module$1
  };
  OAuth1SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth1SettingsMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OAuth1SettingsMatcher$module$1 === null)) {
      this.OAuth1SettingsMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().OAuth1SettingsMatcher$module$1
  };
  SecuritySchemeMatcher__Lamf_client_convert_SecuritySchemeConverter$SecuritySchemeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher$module$1 === null)) {
      this.SecuritySchemeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().SecuritySchemeMatcher$module$1
  };
  ArrayNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ArrayNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ArrayNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  TupleShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().TupleShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().TupleShapeMatcher$module$1 = new $c_Lamf_client_convert_TupleShapeConverter$TupleShapeMatcher$().init___Lamf_client_convert_TupleShapeConverter(this)
    }
  };
  PropertyDependenciesMatcher__Lamf_client_convert_PropertyDependenciesConverter$PropertyDependenciesMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher$module$1 === null)) {
      this.PropertyDependenciesMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().PropertyDependenciesMatcher$module$1
  };
  ValidationReportMatcher__Lamf_client_convert_ValidationConverter$ValidationReportMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ValidationReportMatcher$module$1 === null)) {
      this.ValidationReportMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ValidationReportMatcher$module$1
  };
  TemplatedLinkConverter$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().TemplatedLinkConverter$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().TemplatedLinkConverter$module$1 = new $c_Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$().init___Lamf_client_convert_TemplatedLinkConverter(this)
    }
  };
  CallbackMatcher__Lamf_client_convert_CallbackConverter$CallbackMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher$module$1 === null)) {
      this.CallbackMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().CallbackMatcher$module$1
  };
  ObjectNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ObjectNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ObjectNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$ObjectNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  TraitMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().TraitMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().TraitMatcher$module$1 = new $c_Lamf_client_convert_TraitConverter$TraitMatcher$().init___Lamf_client_convert_TraitConverter(this)
    }
  };
  LicenseMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().LicenseMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().LicenseMatcher$module$1 = new $c_Lamf_client_convert_LicenseConverter$LicenseMatcher$().init___Lamf_client_convert_LicenseConverter(this)
    }
  };
  CreativeWorkMatcher__Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher$module$1 === null)) {
      this.CreativeWorkMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher$module$1
  };
  ApiKeySettingsMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ApiKeySettingsMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ApiKeySettingsMatcher$module$1 = new $c_Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$().init___Lamf_client_convert_SettingsConverter(this)
    }
  };
  NilShapeMatcher__Lamf_client_convert_NilShapeConverter$NilShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().NilShapeMatcher$module$1 === null)) {
      this.NilShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().NilShapeMatcher$module$1
  };
  IntFieldMatcher__Lamf_client_convert_FieldConverter$IntFieldMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher$module$1 === null)) {
      this.IntFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher$module$1
  };
  StrFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().StrFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$StrFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  DataNodeMatcher__Lamf_client_convert_DataNodeConverter$DataNodeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher$module$1 === null)) {
      this.DataNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher$module$1
  };
  RequestMatcher__Lamf_client_convert_RequestConverter$RequestMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher$module$1 === null)) {
      this.RequestMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher$module$1
  };
  ServerMatcher__Lamf_client_convert_ServerConverter$ServerMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher$module$1 === null)) {
      this.ServerMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher$module$1
  };
  OAuth2SettingsMatcher__Lamf_client_convert_SettingsConverter$OAuth2SettingsMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OAuth2SettingsMatcher$module$1 === null)) {
      this.OAuth2SettingsMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().OAuth2SettingsMatcher$module$1
  };
  IriTemplateMappingConverter__Lamf_client_convert_IriTemplateMappingConverter$IriTemplateMappingConverter$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().IriTemplateMappingConverter$module$1 === null)) {
      this.IriTemplateMappingConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().IriTemplateMappingConverter$module$1
  };
  ShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher$module$1 = new $c_Lamf_client_convert_ShapeConverter$ShapeMatcher$().init___Lamf_client_convert_ShapeConverter(this)
    }
  };
  ExampleMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ExampleMatcher$module$1 = new $c_Lamf_client_convert_ExampleConverter$ExampleMatcher$().init___Lamf_client_convert_ExampleConverter(this)
    }
  };
  RequestMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().RequestMatcher$module$1 = new $c_Lamf_client_convert_RequestConverter$RequestMatcher$().init___Lamf_client_convert_RequestConverter(this)
    }
  };
  PayloadMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().PayloadMatcher$module$1 = new $c_Lamf_client_convert_PayloadConverter$PayloadMatcher$().init___Lamf_client_convert_PayloadConverter(this)
    }
  };
  OpenIdConnectSettingsMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OpenIdConnectSettingsMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().OpenIdConnectSettingsMatcher$module$1 = new $c_Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$().init___Lamf_client_convert_SettingsConverter(this)
    }
  };
  BoolFieldMatcher__Lamf_client_convert_FieldConverter$BoolFieldMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher$module$1 === null)) {
      this.BoolFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().BoolFieldMatcher$module$1
  };
  OpenIdConnectSettingsMatcher__Lamf_client_convert_SettingsConverter$OpenIdConnectSettingsMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OpenIdConnectSettingsMatcher$module$1 === null)) {
      this.OpenIdConnectSettingsMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().OpenIdConnectSettingsMatcher$module$1
  };
  ParameterMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher$module$1 = new $c_Lamf_client_convert_ParameterConverter$ParameterMatcher$().init___Lamf_client_convert_ParameterConverter(this)
    }
  };
  DoubleFieldMatcher__Lamf_client_convert_FieldConverter$DoubleFieldMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher$module$1 === null)) {
      this.DoubleFieldMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().DoubleFieldMatcher$module$1
  };
  ServerMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ServerMatcher$module$1 = new $c_Lamf_client_convert_ServerConverter$ServerMatcher$().init___Lamf_client_convert_ServerConverter(this)
    }
  };
  NodeShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().NodeShapeMatcher$module$1 = new $c_Lamf_client_convert_NodeShapeConverter$NodeShapeMatcher$().init___Lamf_client_convert_NodeShapeConverter(this)
    }
  };
  HttpSettingsMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().HttpSettingsMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().HttpSettingsMatcher$module$1 = new $c_Lamf_client_convert_SettingsConverter$HttpSettingsMatcher$().init___Lamf_client_convert_SettingsConverter(this)
    }
  };
  ScalarShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ScalarShapeMatcher$module$1 = new $c_Lamf_client_convert_ScalarShapeConverter$ScalarShapeMatcher$().init___Lamf_client_convert_ScalarShapeConverter(this)
    }
  };
  ApiKeySettingsMatcher__Lamf_client_convert_SettingsConverter$ApiKeySettingsMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ApiKeySettingsMatcher$module$1 === null)) {
      this.ApiKeySettingsMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ApiKeySettingsMatcher$module$1
  };
  CreativeWorkMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().CreativeWorkMatcher$module$1 = new $c_Lamf_client_convert_CreativeWorkConverter$CreativeWorkMatcher$().init___Lamf_client_convert_CreativeWorkConverter(this)
    }
  };
  EncodingMatcher__Lamf_client_convert_EncodingConverter$EncodingMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher$module$1 === null)) {
      this.EncodingMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().EncodingMatcher$module$1
  };
  OrganizationMatcher__Lamf_client_convert_OrganizationConverter$OrganizationMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().OrganizationMatcher$module$1 === null)) {
      this.OrganizationMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().OrganizationMatcher$module$1
  };
  ArrayNodeMatcher__Lamf_client_convert_DataNodeConverter$ArrayNodeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ArrayNodeMatcher$module$1 === null)) {
      this.ArrayNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ArrayNodeMatcher$module$1
  };
  ParametrizedSecuritySchemeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ParametrizedSecuritySchemeMatcher$module$1 = new $c_Lamf_client_convert_ParametrizedSecuritySchemeConverter$ParametrizedSecuritySchemeMatcher$().init___Lamf_client_convert_ParametrizedSecuritySchemeConverter(this)
    }
  };
  DataNodeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().DataNodeMatcher$module$1 = new $c_Lamf_client_convert_DataNodeConverter$DataNodeMatcher$().init___Lamf_client_convert_DataNodeConverter(this)
    }
  };
  ScalarNodeMatcher__Lamf_client_convert_DataNodeConverter$ScalarNodeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ScalarNodeMatcher$module$1 === null)) {
      this.ScalarNodeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ScalarNodeMatcher$module$1
  };
  DomainElementMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher$module$1 = new $c_Lamf_client_convert_DomainElementConverter$DomainElementMatcher$().init___Lamf_client_convert_DomainElementConverter(this)
    }
  };
  FileShapeMatcher__Lamf_client_convert_FileShapeConverter$FileShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().FileShapeMatcher$module$1 === null)) {
      this.FileShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().FileShapeMatcher$module$1
  };
  SettingsMatcher__Lamf_client_convert_SettingsConverter$SettingsMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher$module$1 === null)) {
      this.SettingsMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher$module$1
  };
  ValidationReportMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ValidationReportMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().ValidationReportMatcher$module$1 = new $c_Lamf_client_convert_ValidationConverter$ValidationReportMatcher$().init___Lamf_client_convert_ValidationConverter(this)
    }
  };
  DomainElementMatcher__Lamf_client_convert_DomainElementConverter$DomainElementMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher$module$1 === null)) {
      this.DomainElementMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().DomainElementMatcher$module$1
  };
  LicenseMatcher__Lamf_client_convert_LicenseConverter$LicenseMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().LicenseMatcher$module$1 === null)) {
      this.LicenseMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().LicenseMatcher$module$1
  };
  XMLSerializerMatcher__Lamf_client_convert_XMLSerializerConverter$XMLSerializerMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().XMLSerializerMatcher$module$1 === null)) {
      this.XMLSerializerMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().XMLSerializerMatcher$module$1
  };
  EndPointMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().EndPointMatcher$module$1 = new $c_Lamf_client_convert_EndPointConverter$EndPointMatcher$().init___Lamf_client_convert_EndPointConverter(this)
    }
  };
  IntFieldMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().IntFieldMatcher$module$1 = new $c_Lamf_client_convert_FieldConverter$IntFieldMatcher$().init___Lamf_client_convert_FieldConverter(this)
    }
  };
  ParameterMatcher__Lamf_client_convert_ParameterConverter$ParameterMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher$module$1 === null)) {
      this.ParameterMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ParameterMatcher$module$1
  };
  PropertyShapeMatcher__Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher$module$1 === null)) {
      this.PropertyShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher$module$1
  };
  PropertyShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().PropertyShapeMatcher$module$1 = new $c_Lamf_client_convert_PropertyShapeConverter$PropertyShapeMatcher$().init___Lamf_client_convert_PropertyShapeConverter(this)
    }
  };
  TemplatedLinkConverter__Lamf_client_convert_TemplatedLinkConverter$TemplatedLinkConverter$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().TemplatedLinkConverter$module$1 === null)) {
      this.TemplatedLinkConverter$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().TemplatedLinkConverter$module$1
  };
  ShapeMatcher__Lamf_client_convert_ShapeConverter$ShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher$module$1 === null)) {
      this.ShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().ShapeMatcher$module$1
  };
  SettingsMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().SettingsMatcher$module$1 = new $c_Lamf_client_convert_SettingsConverter$SettingsMatcher$().init___Lamf_client_convert_SettingsConverter(this)
    }
  };
  AnyShapeMatcher__Lamf_client_convert_AnyShapeConverter$AnyShapeMatcher$() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().AnyShapeMatcher$module$1 === null)) {
      this.AnyShapeMatcher$lzycompute$1__p1__V()
    };
    return $m_Lamf_client_convert_WebApiClientConverters$().AnyShapeMatcher$module$1
  };
  SchemaShapeMatcher$lzycompute$1__p1__V() {
    if (($m_Lamf_client_convert_WebApiClientConverters$().SchemaShapeMatcher$module$1 === null)) {
      $m_Lamf_client_convert_WebApiClientConverters$().SchemaShapeMatcher$module$1 = new $c_Lamf_client_convert_SchemaShapeConverter$SchemaShapeMatcher$().init___Lamf_client_convert_SchemaShapeConverter(this)
    }
  };
}
const $d_Lamf_client_convert_WebApiClientConverters$ = new $TypeData().initClass({
  Lamf_client_convert_WebApiClientConverters$: 0
}, false, "amf.client.convert.WebApiClientConverters$", {
  Lamf_client_convert_WebApiClientConverters$: 1,
  O: 1,
  Lamf_client_convert_WebApiBaseConverter: 1,
  Lamf_client_convert_CoreBaseConverter: 1,
  Lamf_core_unsafe_PlatformSecrets: 1,
  Lamf_client_convert_CollectionConverter: 1,
  Lamf_client_convert_FutureConverter: 1,
  Lamf_client_convert_FieldConverter: 1,
  Lamf_client_convert_HandlerConverter: 1,
  Lamf_client_convert_CustomDomainPropertyConverter: 1,
  Lamf_client_convert_ShapeConverter: 1,
  Lamf_client_convert_PropertyShapeConverter: 1,
  Lamf_client_convert_DataNodeConverter: 1,
  Lamf_client_convert_DomainExtensionConverter: 1,
  Lamf_client_convert_DeclarationsConverter: 1,
  Lamf_client_convert_VariableValueConverter: 1,
  Lamf_client_convert_ValidationConverter: 1,
  Lamf_client_convert_DomainElementConverter: 1,
  Lamf_client_convert_BaseUnitConverter: 1,
  Lamf_client_convert_ResourceLoaderConverter: 1,
  Lamf_client_convert_GraphDomainConverter: 1,
  Lamf_client_convert_EndPointConverter: 1,
  Lamf_client_convert_ResourceTypeConverter: 1,
  Lamf_client_convert_TraitConverter: 1,
  Lamf_client_convert_OrganizationConverter: 1,
  Lamf_client_convert_LicenseConverter: 1,
  Lamf_client_convert_CreativeWorkConverter: 1,
  Lamf_client_convert_RequestConverter: 1,
  Lamf_client_convert_ResponseConverter: 1,
  Lamf_client_convert_OperationConverter: 1,
  Lamf_client_convert_ParameterConverter: 1,
  Lamf_client_convert_PayloadConverter: 1,
  Lamf_client_convert_ParametrizedSecuritySchemeConverter: 1,
  Lamf_client_convert_SecuritySchemeConverter: 1,
  Lamf_client_convert_SettingsConverter: 1,
  Lamf_client_convert_ScopeConverter: 1,
  Lamf_client_convert_ServerConverter: 1,
  Lamf_client_convert_IriTemplateMappingConverter: 1,
  Lamf_client_convert_TemplatedLinkConverter: 1,
  Lamf_client_convert_CallbackConverter: 1,
  Lamf_client_convert_EncodingConverter: 1,
  Lamf_client_convert_DataShapesBaseConverter: 1,
  Lamf_client_convert_NilShapeConverter: 1,
  Lamf_client_convert_SchemaShapeConverter: 1,
  Lamf_client_convert_NodeShapeConverter: 1,
  Lamf_client_convert_ScalarShapeConverter: 1,
  Lamf_client_convert_FileShapeConverter: 1,
  Lamf_client_convert_AnyShapeConverter: 1,
  Lamf_client_convert_ArrayShapeConverter: 1,
  Lamf_client_convert_TupleShapeConverter: 1,
  Lamf_client_convert_XMLSerializerConverter: 1,
  Lamf_client_convert_ExampleConverter: 1,
  Lamf_client_convert_UnionShapeConverter: 1,
  Lamf_client_convert_PropertyDependenciesConverter: 1,
  Lamf_client_convert_WebApiBaseClientConverter: 1,
  Lamf_client_convert_CoreBaseClientConverter: 1,
  Lamf_client_convert_DataShapesBaseClientConverter: 1
});
$c_Lamf_client_convert_WebApiClientConverters$.prototype.$classData = $d_Lamf_client_convert_WebApiClientConverters$;
let $n_Lamf_client_convert_WebApiClientConverters$ = (void 0);
const $m_Lamf_client_convert_WebApiClientConverters$ = (function() {
  if ((!$n_Lamf_client_convert_WebApiClientConverters$)) {
    $n_Lamf_client_convert_WebApiClientConverters$ = new $c_Lamf_client_convert_WebApiClientConverters$().init___()
  };
  return $n_Lamf_client_convert_WebApiClientConverters$
});
$e.AMF = $m_Lamf_client_AMF$();
$e.Core = $m_Lamf_client_CoreWrapper$();
$e.plugins = $m_Lamf_client_PluginsWrapper$();
$e.render = ($e.render || {});
/** @constructor */
$e.render.RenderOptions = (function() {
  const $thiz = new $c_Lamf_client_render_RenderOptions();
  $c_Lamf_client_render_RenderOptions.prototype.init___.call($thiz);
  return $thiz
});
$e.render.RenderOptions.prototype = $c_Lamf_client_render_RenderOptions.prototype;
$e.ExecutionLog = $m_Lamf_core_benchmark_ExecutionLog$();
$e.Main = $m_Lamf_Main$();
$e.client = ($e.client || {});
$e.client.DefaultEnvironment = $m_Lamf_client_environment_DefaultEnvironment$();
/** @constructor */
$e.AmfGraphParser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_AmfGraphParser();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_AmfGraphParser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_parse_AmfGraphParser.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.AmfGraphParser.prototype = $c_Lamf_client_parse_AmfGraphParser.prototype;
/** @constructor */
$e.JsonPayloadParser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_JsonPayloadParser();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_JsonPayloadParser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_parse_JsonPayloadParser.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.JsonPayloadParser.prototype = $c_Lamf_client_parse_JsonPayloadParser.prototype;
/** @constructor */
$e.Oas20Parser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_Oas20Parser();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_parse_Oas20Parser.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_Oas20Parser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.Oas20Parser.prototype = $c_Lamf_client_parse_Oas20Parser.prototype;
/** @constructor */
$e.Raml08Parser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_Raml08Parser();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_Raml08Parser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_parse_Raml08Parser.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.Raml08Parser.prototype = $c_Lamf_client_parse_Raml08Parser.prototype;
/** @constructor */
$e.Raml10Parser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_Raml10Parser();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_Raml10Parser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_parse_Raml10Parser.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.Raml10Parser.prototype = $c_Lamf_client_parse_Raml10Parser.prototype;
/** @constructor */
$e.RamlParser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_RamlParser();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_parse_RamlParser.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_RamlParser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.RamlParser.prototype = $c_Lamf_client_parse_RamlParser.prototype;
/** @constructor */
$e.YamlPayloadParser = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_parse_YamlPayloadParser();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_parse_YamlPayloadParser.prototype.init___Lamf_client_environment_Environment.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_parse_YamlPayloadParser.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.YamlPayloadParser.prototype = $c_Lamf_client_parse_YamlPayloadParser.prototype;
/** @constructor */
$e.JsonldRenderer = (function() {
  const $thiz = new $c_Lamf_client_render_JsonldRenderer();
  $c_Lamf_client_render_JsonldRenderer.prototype.init___.call($thiz);
  return $thiz
});
$e.JsonldRenderer.prototype = $c_Lamf_client_render_JsonldRenderer.prototype;
/** @constructor */
$e.SHACLValidator = (function() {
  const $thiz = new $c_Lamf_plugins_features_validation_SHACLValidator();
  $c_Lamf_plugins_features_validation_SHACLValidator.prototype.init___.call($thiz);
  return $thiz
});
$e.SHACLValidator.prototype = $c_Lamf_plugins_features_validation_SHACLValidator.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Settings = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Settings();
  $c_Lamf_client_model_domain_Settings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Settings.prototype = $c_Lamf_client_model_domain_Settings.prototype;
$e.client = ($e.client || {});
$e.client.environment = ($e.client.environment || {});
/** @constructor */
$e.client.environment.Environment = (function() {
  const $thiz = new $c_Lamf_client_environment_Environment();
  $c_Lamf_client_environment_Environment.prototype.init___.call($thiz);
  return $thiz
});
$e.client.environment.Environment.prototype = $c_Lamf_client_environment_Environment.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.DialectFragment = (function() {
  const $thiz = new $c_Lamf_client_model_document_DialectFragment();
  $c_Lamf_client_model_document_DialectFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.DialectFragment.prototype = $c_Lamf_client_model_document_DialectFragment.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.DialectInstanceFragment = (function() {
  const $thiz = new $c_Lamf_client_model_document_DialectInstanceFragment();
  $c_Lamf_client_model_document_DialectInstanceFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.DialectInstanceFragment.prototype = $c_Lamf_client_model_document_DialectInstanceFragment.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.DialectInstanceLibrary = (function() {
  const $thiz = new $c_Lamf_client_model_document_DialectInstanceLibrary();
  $c_Lamf_client_model_document_DialectInstanceLibrary.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.DialectInstanceLibrary.prototype = $c_Lamf_client_model_document_DialectInstanceLibrary.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.DialectLibrary = (function() {
  const $thiz = new $c_Lamf_client_model_document_DialectLibrary();
  $c_Lamf_client_model_document_DialectLibrary.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.DialectLibrary.prototype = $c_Lamf_client_model_document_DialectLibrary.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.Vocabulary = (function() {
  const $thiz = new $c_Lamf_client_model_document_Vocabulary();
  $c_Lamf_client_model_document_Vocabulary.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.Vocabulary.prototype = $c_Lamf_client_model_document_Vocabulary.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.AbstractDeclaration = (function(arg$1) {
  const $thiz = new $c_Lamf_client_model_domain_AbstractDeclaration();
  const prep0 = arg$1;
  $c_Lamf_client_model_domain_AbstractDeclaration.prototype.init___Lamf_core_model_domain_templates_AbstractDeclaration.call($thiz, prep0);
  return $thiz
});
$e.model.domain.AbstractDeclaration.prototype = $c_Lamf_client_model_domain_AbstractDeclaration.prototype;
$e.client = ($e.client || {});
$e.client.remote = ($e.client.remote || {});
/** @constructor */
$e.client.remote.Content = (function(arg$1, arg$2, ...arg$rest) {
  const $thiz = new $c_Lamf_client_remote_Content();
  switch ((arg$rest.length | 0)) {
    case 0: {
      const prep0 = arg$1;
      const prep1 = arg$2;
      $c_Lamf_client_remote_Content.prototype.init___T__T.call($thiz, prep0, prep1);
      break
    }
    case 1: {
      const prep0 = arg$1;
      const prep1 = arg$2;
      const prep2 = arg$rest[0];
      $c_Lamf_client_remote_Content.prototype.init___T__T__T.call($thiz, prep0, prep1, prep2);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.client.remote.Content.prototype = $c_Lamf_client_remote_Content.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Variable = (function(arg$1, arg$2) {
  const $thiz = new $c_Lamf_core_model_domain_templates_Variable();
  const prep0 = arg$1;
  const prep1 = arg$2;
  $c_Lamf_core_model_domain_templates_Variable.prototype.init___T__Lamf_core_model_domain_DataNode.call($thiz, prep0, prep1);
  return $thiz
});
$e.model.domain.Variable.prototype = $c_Lamf_core_model_domain_templates_Variable.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.DialectInstance = (function() {
  const $thiz = new $c_Lamf_client_model_document_DialectInstance();
  $c_Lamf_client_model_document_DialectInstance.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.DialectInstance.prototype = $c_Lamf_client_model_document_DialectInstance.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.Document = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_document_Document();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_document_Document.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_document_Document.prototype.init___Lamf_client_model_domain_DomainElement.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.document.Document.prototype = $c_Lamf_client_model_document_Document.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.AnyShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_AnyShape();
  $c_Lamf_client_model_domain_AnyShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.AnyShape.prototype = $c_Lamf_client_model_domain_AnyShape.prototype;
/** @constructor */
$e.JsBrowserHttpResourceLoader = (function() {
  const $thiz = new $c_Lamf_core_remote_browser_JsBrowserHttpResourceLoader();
  $c_Lamf_core_remote_browser_JsBrowserHttpResourceLoader.prototype.init___.call($thiz);
  return $thiz
});
$e.JsBrowserHttpResourceLoader.prototype = $c_Lamf_core_remote_browser_JsBrowserHttpResourceLoader.prototype;
/** @constructor */
$e.JsServerHttpResourceLoader = (function() {
  const $thiz = new $c_Lamf_core_remote_server_JsServerHttpResourceLoader();
  $c_Lamf_core_remote_server_JsServerHttpResourceLoader.prototype.init___.call($thiz);
  return $thiz
});
$e.JsServerHttpResourceLoader.prototype = $c_Lamf_core_remote_server_JsServerHttpResourceLoader.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Callback = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Callback();
  $c_Lamf_client_model_domain_Callback.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Callback.prototype = $c_Lamf_client_model_domain_Callback.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ClassTerm = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ClassTerm();
  $c_Lamf_client_model_domain_ClassTerm.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ClassTerm.prototype = $c_Lamf_client_model_domain_ClassTerm.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.CreativeWork = (function() {
  const $thiz = new $c_Lamf_client_model_domain_CreativeWork();
  $c_Lamf_client_model_domain_CreativeWork.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.CreativeWork.prototype = $c_Lamf_client_model_domain_CreativeWork.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DialectDomainElement = (function() {
  const $thiz = new $c_Lamf_client_model_domain_DialectDomainElement();
  $c_Lamf_client_model_domain_DialectDomainElement.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DialectDomainElement.prototype = $c_Lamf_client_model_domain_DialectDomainElement.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DocumentMapping = (function() {
  const $thiz = new $c_Lamf_client_model_domain_DocumentMapping();
  $c_Lamf_client_model_domain_DocumentMapping.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DocumentMapping.prototype = $c_Lamf_client_model_domain_DocumentMapping.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DocumentsModel = (function() {
  const $thiz = new $c_Lamf_client_model_domain_DocumentsModel();
  $c_Lamf_client_model_domain_DocumentsModel.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DocumentsModel.prototype = $c_Lamf_client_model_domain_DocumentsModel.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DomainExtension = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_DomainExtension();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_domain_DomainExtension.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_DomainExtension.prototype.init___Lamf_core_model_domain_extensions_DomainExtension.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.DomainExtension.prototype = $c_Lamf_client_model_domain_DomainExtension.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Encoding = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Encoding();
  $c_Lamf_client_model_domain_Encoding.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Encoding.prototype = $c_Lamf_client_model_domain_Encoding.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.EndPoint = (function() {
  const $thiz = new $c_Lamf_client_model_domain_EndPoint();
  $c_Lamf_client_model_domain_EndPoint.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.EndPoint.prototype = $c_Lamf_client_model_domain_EndPoint.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.External = (function() {
  const $thiz = new $c_Lamf_client_model_domain_External();
  $c_Lamf_client_model_domain_External.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.External.prototype = $c_Lamf_client_model_domain_External.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ExternalDomainElement = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_ExternalDomainElement();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_domain_ExternalDomainElement.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_ExternalDomainElement.prototype.init___Lamf_core_model_domain_ExternalDomainElement.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ExternalDomainElement.prototype = $c_Lamf_client_model_domain_ExternalDomainElement.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.IriTemplateMapping = (function() {
  const $thiz = new $c_Lamf_client_model_domain_IriTemplateMapping();
  $c_Lamf_client_model_domain_IriTemplateMapping.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.IriTemplateMapping.prototype = $c_Lamf_client_model_domain_IriTemplateMapping.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.License = (function() {
  const $thiz = new $c_Lamf_client_model_domain_License();
  $c_Lamf_client_model_domain_License.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.License.prototype = $c_Lamf_client_model_domain_License.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NodeMapping = (function() {
  const $thiz = new $c_Lamf_client_model_domain_NodeMapping();
  $c_Lamf_client_model_domain_NodeMapping.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NodeMapping.prototype = $c_Lamf_client_model_domain_NodeMapping.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Operation = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Operation();
  $c_Lamf_client_model_domain_Operation.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Operation.prototype = $c_Lamf_client_model_domain_Operation.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Organization = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Organization();
  $c_Lamf_client_model_domain_Organization.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Organization.prototype = $c_Lamf_client_model_domain_Organization.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Parameter = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Parameter();
  $c_Lamf_client_model_domain_Parameter.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Parameter.prototype = $c_Lamf_client_model_domain_Parameter.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedSecurityScheme = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ParametrizedSecurityScheme();
  $c_Lamf_client_model_domain_ParametrizedSecurityScheme.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ParametrizedSecurityScheme.prototype = $c_Lamf_client_model_domain_ParametrizedSecurityScheme.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Payload = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Payload();
  $c_Lamf_client_model_domain_Payload.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Payload.prototype = $c_Lamf_client_model_domain_Payload.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PropertyDependencies = (function() {
  const $thiz = new $c_Lamf_client_model_domain_PropertyDependencies();
  $c_Lamf_client_model_domain_PropertyDependencies.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.PropertyDependencies.prototype = $c_Lamf_client_model_domain_PropertyDependencies.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PropertyMapping = (function() {
  const $thiz = new $c_Lamf_client_model_domain_PropertyMapping();
  $c_Lamf_client_model_domain_PropertyMapping.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.PropertyMapping.prototype = $c_Lamf_client_model_domain_PropertyMapping.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PublicNodeMapping = (function() {
  const $thiz = new $c_Lamf_client_model_domain_PublicNodeMapping();
  $c_Lamf_client_model_domain_PublicNodeMapping.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.PublicNodeMapping.prototype = $c_Lamf_client_model_domain_PublicNodeMapping.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Request = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Request();
  $c_Lamf_client_model_domain_Request.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Request.prototype = $c_Lamf_client_model_domain_Request.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Response = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Response();
  $c_Lamf_client_model_domain_Response.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Response.prototype = $c_Lamf_client_model_domain_Response.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Scope = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Scope();
  $c_Lamf_client_model_domain_Scope.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Scope.prototype = $c_Lamf_client_model_domain_Scope.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Server = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Server();
  $c_Lamf_client_model_domain_Server.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Server.prototype = $c_Lamf_client_model_domain_Server.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.TemplatedLink = (function() {
  const $thiz = new $c_Lamf_client_model_domain_TemplatedLink();
  $c_Lamf_client_model_domain_TemplatedLink.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.TemplatedLink.prototype = $c_Lamf_client_model_domain_TemplatedLink.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.VocabularyReference = (function() {
  const $thiz = new $c_Lamf_client_model_domain_VocabularyReference();
  $c_Lamf_client_model_domain_VocabularyReference.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.VocabularyReference.prototype = $c_Lamf_client_model_domain_VocabularyReference.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.WebApi = (function() {
  const $thiz = new $c_Lamf_client_model_domain_WebApi();
  $c_Lamf_client_model_domain_WebApi.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.WebApi.prototype = $c_Lamf_client_model_domain_WebApi.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.XMLSerializer = (function() {
  const $thiz = new $c_Lamf_client_model_domain_XMLSerializer();
  $c_Lamf_client_model_domain_XMLSerializer.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.XMLSerializer.prototype = $c_Lamf_client_model_domain_XMLSerializer.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.Module = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_document_Module();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_document_Module.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_document_Module.prototype.init___Lamf_core_model_document_Module.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.document.Module.prototype = $c_Lamf_client_model_document_Module.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ApiKeySettings = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ApiKeySettings();
  $c_Lamf_client_model_domain_ApiKeySettings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ApiKeySettings.prototype = $c_Lamf_client_model_domain_ApiKeySettings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ArrayNode = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_ArrayNode();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_domain_ArrayNode.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_ArrayNode.prototype.init___Lamf_core_model_domain_ArrayNode.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ArrayNode.prototype = $c_Lamf_client_model_domain_ArrayNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.CustomDomainProperty = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_CustomDomainProperty();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_CustomDomainProperty.prototype.init___Lamf_core_model_domain_extensions_CustomDomainProperty.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_model_domain_CustomDomainProperty.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.CustomDomainProperty.prototype = $c_Lamf_client_model_domain_CustomDomainProperty.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DatatypePropertyTerm = (function() {
  const $thiz = new $c_Lamf_client_model_domain_DatatypePropertyTerm();
  $c_Lamf_client_model_domain_DatatypePropertyTerm.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DatatypePropertyTerm.prototype = $c_Lamf_client_model_domain_DatatypePropertyTerm.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Example = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Example();
  $c_Lamf_client_model_domain_Example.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Example.prototype = $c_Lamf_client_model_domain_Example.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.HttpSettings = (function() {
  const $thiz = new $c_Lamf_client_model_domain_HttpSettings();
  $c_Lamf_client_model_domain_HttpSettings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.HttpSettings.prototype = $c_Lamf_client_model_domain_HttpSettings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.OAuth1Settings = (function() {
  const $thiz = new $c_Lamf_client_model_domain_OAuth1Settings();
  $c_Lamf_client_model_domain_OAuth1Settings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.OAuth1Settings.prototype = $c_Lamf_client_model_domain_OAuth1Settings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.OAuth2Settings = (function() {
  const $thiz = new $c_Lamf_client_model_domain_OAuth2Settings();
  $c_Lamf_client_model_domain_OAuth2Settings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.OAuth2Settings.prototype = $c_Lamf_client_model_domain_OAuth2Settings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ObjectNode = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_ObjectNode();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_ObjectNode.prototype.init___Lamf_core_model_domain_ObjectNode.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_model_domain_ObjectNode.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ObjectNode.prototype = $c_Lamf_client_model_domain_ObjectNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ObjectPropertyTerm = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ObjectPropertyTerm();
  $c_Lamf_client_model_domain_ObjectPropertyTerm.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ObjectPropertyTerm.prototype = $c_Lamf_client_model_domain_ObjectPropertyTerm.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.OpenIdConnectSettings = (function() {
  const $thiz = new $c_Lamf_client_model_domain_OpenIdConnectSettings();
  $c_Lamf_client_model_domain_OpenIdConnectSettings.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.OpenIdConnectSettings.prototype = $c_Lamf_client_model_domain_OpenIdConnectSettings.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedResourceType = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ParametrizedResourceType();
  $c_Lamf_client_model_domain_ParametrizedResourceType.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ParametrizedResourceType.prototype = $c_Lamf_client_model_domain_ParametrizedResourceType.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ParametrizedTrait = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ParametrizedTrait();
  $c_Lamf_client_model_domain_ParametrizedTrait.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ParametrizedTrait.prototype = $c_Lamf_client_model_domain_ParametrizedTrait.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ScalarNode = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_ScalarNode();
  switch ((arg$rest.length | 0)) {
    case 2: {
      const prep0 = arg$rest[0];
      const prep1 = arg$rest[1];
      $c_Lamf_client_model_domain_ScalarNode.prototype.init___T__T.call($thiz, prep0, prep1);
      break
    }
    case 0: {
      $c_Lamf_client_model_domain_ScalarNode.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_ScalarNode.prototype.init___Lamf_core_model_domain_ScalarNode.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.ScalarNode.prototype = $c_Lamf_client_model_domain_ScalarNode.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.SecurityScheme = (function() {
  const $thiz = new $c_Lamf_client_model_domain_SecurityScheme();
  $c_Lamf_client_model_domain_SecurityScheme.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.SecurityScheme.prototype = $c_Lamf_client_model_domain_SecurityScheme.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.AnnotationTypeDeclaration = (function() {
  const $thiz = new $c_Lamf_client_model_document_AnnotationTypeDeclaration();
  $c_Lamf_client_model_document_AnnotationTypeDeclaration.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.AnnotationTypeDeclaration.prototype = $c_Lamf_client_model_document_AnnotationTypeDeclaration.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DataType = (function() {
  const $thiz = new $c_Lamf_client_model_document_DataType();
  $c_Lamf_client_model_document_DataType.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DataType.prototype = $c_Lamf_client_model_document_DataType.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.Dialect = (function() {
  const $thiz = new $c_Lamf_client_model_document_Dialect();
  $c_Lamf_client_model_document_Dialect.prototype.init___.call($thiz);
  return $thiz
});
$e.model.document.Dialect.prototype = $c_Lamf_client_model_document_Dialect.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.DocumentationItem = (function() {
  const $thiz = new $c_Lamf_client_model_document_DocumentationItem();
  $c_Lamf_client_model_document_DocumentationItem.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.DocumentationItem.prototype = $c_Lamf_client_model_document_DocumentationItem.prototype;
$e.model = ($e.model || {});
$e.model.document = ($e.model.document || {});
/** @constructor */
$e.model.document.ExternalFragment = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_document_ExternalFragment();
  switch ((arg$rest.length | 0)) {
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_document_ExternalFragment.prototype.init___Lamf_core_model_document_ExternalFragment.call($thiz, prep0);
      break
    }
    case 0: {
      $c_Lamf_client_model_document_ExternalFragment.prototype.init___.call($thiz);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.document.ExternalFragment.prototype = $c_Lamf_client_model_document_ExternalFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NamedExample = (function() {
  const $thiz = new $c_Lamf_client_model_document_NamedExample();
  $c_Lamf_client_model_document_NamedExample.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NamedExample.prototype = $c_Lamf_client_model_document_NamedExample.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PayloadFragment = (function(arg$1, arg$2) {
  const $thiz = new $c_Lamf_client_model_document_PayloadFragment();
  const prep0 = arg$1;
  const prep1 = arg$2;
  $c_Lamf_client_model_document_PayloadFragment.prototype.init___Lamf_client_model_domain_DataNode__T.call($thiz, prep0, prep1);
  return $thiz
});
$e.model.domain.PayloadFragment.prototype = $c_Lamf_client_model_document_PayloadFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ResourceTypeFragment = (function() {
  const $thiz = new $c_Lamf_client_model_document_ResourceTypeFragment();
  $c_Lamf_client_model_document_ResourceTypeFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ResourceTypeFragment.prototype = $c_Lamf_client_model_document_ResourceTypeFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.SecuritySchemeFragment = (function() {
  const $thiz = new $c_Lamf_client_model_document_SecuritySchemeFragment();
  $c_Lamf_client_model_document_SecuritySchemeFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.SecuritySchemeFragment.prototype = $c_Lamf_client_model_document_SecuritySchemeFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.TraitFragment = (function() {
  const $thiz = new $c_Lamf_client_model_document_TraitFragment();
  $c_Lamf_client_model_document_TraitFragment.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.TraitFragment.prototype = $c_Lamf_client_model_document_TraitFragment.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ResourceType = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ResourceType();
  $c_Lamf_client_model_domain_ResourceType.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ResourceType.prototype = $c_Lamf_client_model_domain_ResourceType.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Trait = (function() {
  const $thiz = new $c_Lamf_client_model_domain_Trait();
  $c_Lamf_client_model_domain_Trait.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.Trait.prototype = $c_Lamf_client_model_domain_Trait.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Extension = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_document_Extension();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_document_Extension.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_document_Extension.prototype.init___Lamf_plugins_document_webapi_model_Extension.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.Extension.prototype = $c_Lamf_client_model_document_Extension.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.Overlay = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_document_Overlay();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_document_Overlay.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_document_Overlay.prototype.init___Lamf_plugins_document_webapi_model_Overlay.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.Overlay.prototype = $c_Lamf_client_model_document_Overlay.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.PropertyShape = (function(...arg$rest) {
  const $thiz = new $c_Lamf_client_model_domain_PropertyShape();
  switch ((arg$rest.length | 0)) {
    case 0: {
      $c_Lamf_client_model_domain_PropertyShape.prototype.init___.call($thiz);
      break
    }
    case 1: {
      const prep0 = arg$rest[0];
      $c_Lamf_client_model_domain_PropertyShape.prototype.init___Lamf_core_model_domain_extensions_PropertyShape.call($thiz, prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  };
  return $thiz
});
$e.model.domain.PropertyShape.prototype = $c_Lamf_client_model_domain_PropertyShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.RecursiveShape = (function(arg$1) {
  const $thiz = new $c_Lamf_client_model_domain_RecursiveShape();
  const prep0 = arg$1;
  $c_Lamf_client_model_domain_RecursiveShape.prototype.init___Lamf_core_model_domain_RecursiveShape.call($thiz, prep0);
  return $thiz
});
$e.model.domain.RecursiveShape.prototype = $c_Lamf_client_model_domain_RecursiveShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.FileShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_FileShape();
  $c_Lamf_client_model_domain_FileShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.FileShape.prototype = $c_Lamf_client_model_domain_FileShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NilShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_NilShape();
  $c_Lamf_client_model_domain_NilShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NilShape.prototype = $c_Lamf_client_model_domain_NilShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.NodeShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_NodeShape();
  $c_Lamf_client_model_domain_NodeShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.NodeShape.prototype = $c_Lamf_client_model_domain_NodeShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ScalarShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ScalarShape();
  $c_Lamf_client_model_domain_ScalarShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ScalarShape.prototype = $c_Lamf_client_model_domain_ScalarShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.SchemaShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_SchemaShape();
  $c_Lamf_client_model_domain_SchemaShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.SchemaShape.prototype = $c_Lamf_client_model_domain_SchemaShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.UnionShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_UnionShape();
  $c_Lamf_client_model_domain_UnionShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.UnionShape.prototype = $c_Lamf_client_model_domain_UnionShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.ArrayShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_ArrayShape();
  $c_Lamf_client_model_domain_ArrayShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.ArrayShape.prototype = $c_Lamf_client_model_domain_ArrayShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.TupleShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_TupleShape();
  $c_Lamf_client_model_domain_TupleShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.TupleShape.prototype = $c_Lamf_client_model_domain_TupleShape.prototype;
$e.model = ($e.model || {});
$e.model.domain = ($e.model.domain || {});
/** @constructor */
$e.model.domain.MatrixShape = (function() {
  const $thiz = new $c_Lamf_client_model_domain_MatrixShape();
  $c_Lamf_client_model_domain_MatrixShape.prototype.init___.call($thiz);
  return $thiz
});
$e.model.domain.MatrixShape.prototype = $c_Lamf_client_model_domain_MatrixShape.prototype;
//# sourceMappingURL=amf-client-module.js.map
